<?php

/**
 * Title: Author Banner Section
 * Slug: jetnews-magazine/author-banner
 * Categories: jetnews-magazine
 */
$jetnews_magazine_url = trailingslashit(get_template_directory_uri());
$jetnews_magazine_images = array(
    $jetnews_magazine_url . 'assets/images/author_girl.png'
);
?>
<!-- wp:group {"metadata":{"categories":["jetnews-magazine"],"patternName":"jetnews-magazine/author-banner","name":"Author Banner Section"},"style":{"spacing":{"padding":{"top":"80px","bottom":"80px","left":"var:preset|spacing|40","right":"var:preset|spacing|40"}}},"backgroundColor":"primary","layout":{"type":"constrained","contentSize":"740px"}} -->
<div class="wp-block-group has-primary-background-color has-background" style="padding-top:80px;padding-right:var(--wp--preset--spacing--40);padding-bottom:80px;padding-left:var(--wp--preset--spacing--40)"><!-- wp:image {"id":3064,"width":"200px","height":"200px","scale":"cover","sizeSlug":"full","linkDestination":"none","align":"center","style":{"border":{"radius":"50%"}}} -->
    <figure class="wp-block-image aligncenter size-full is-resized has-custom-border"><img src="<?php echo esc_url($jetnews_magazine_images[0]) ?>" alt="" class="wp-image-3064" style="border-radius:50%;object-fit:cover;width:200px;height:200px" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":1,"style":{"typography":{"textTransform":"uppercase"},"elements":{"link":{"color":{"text":"var:preset|color|light-color"}}},"spacing":{"margin":{"bottom":"16px"}}},"textColor":"light-color","fontSize":"large"} -->
    <h1 class="wp-block-heading has-text-align-center has-light-color-color has-text-color has-link-color has-large-font-size" style="margin-bottom:16px;text-transform:uppercase"><?php esc_html_e('Hello, I am Zelina Powel!', 'jetnews-magazine') ?></h1>
    <!-- /wp:heading -->

    <!-- wp:heading {"textAlign":"center","level":4,"style":{"typography":{"textTransform":"uppercase"},"elements":{"link":{"color":{"text":"var:preset|color|light-color"}}}},"textColor":"light-color","fontSize":"normal"} -->
    <h4 class="wp-block-heading has-text-align-center has-light-color-color has-text-color has-link-color has-normal-font-size" style="text-transform:uppercase"><?php esc_html_e('Influence Marketer and Blogger', 'jetnews-magazine') ?></h4>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"top":"20px"}},"elements":{"link":{"color":{"text":"var:preset|color|light-color"}}}},"textColor":"light-color","fontSize":"normal"} -->
    <p class="has-text-align-center has-light-color-color has-text-color has-link-color has-normal-font-size" style="margin-top:20px"><?php esc_html_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore.', 'jetnews-magazine') ?></p>
    <!-- /wp:paragraph -->

    <!-- wp:social-links {"iconColor":"primary","iconColorValue":"#1FAC17","iconBackgroundColor":"light-color","iconBackgroundColorValue":"#FFFFFE","className":"is-style-default","style":{"spacing":{"blockGap":{"top":"var:preset|spacing|40","left":"var:preset|spacing|40"},"margin":{"top":"24px"}}},"layout":{"type":"flex","justifyContent":"center"}} -->
    <ul class="wp-block-social-links has-icon-color has-icon-background-color is-style-default" style="margin-top:24px"><!-- wp:social-link {"url":"#","service":"facebook"} /-->

        <!-- wp:social-link {"url":"#","service":"x"} /-->

        <!-- wp:social-link {"url":"#","service":"instagram"} /-->

        <!-- wp:social-link {"url":"#","service":"youtube"} /-->

        <!-- wp:social-link {"url":"#","service":"tiktok"} /-->
    </ul>
    <!-- /wp:social-links -->

    <!-- wp:buttons {"style":{"spacing":{"margin":{"top":"40px"}}},"layout":{"type":"flex","justifyContent":"center"}} -->
    <div class="wp-block-buttons" style="margin-top:40px"><!-- wp:button {"backgroundColor":"light-color","textColor":"primary","className":"is-style-button-hover-secondary-bgcolor","style":{"border":{"radius":"0px"},"typography":{"fontSize":"14px","fontStyle":"normal","fontWeight":"500","textTransform":"uppercase"},"spacing":{"padding":{"left":"32px","right":"32px","top":"18px","bottom":"18px"}},"elements":{"link":{"color":{"text":"var:preset|color|primary"}}}}} -->
        <div class="wp-block-button has-custom-font-size is-style-button-hover-secondary-bgcolor" style="font-size:14px;font-style:normal;font-weight:500;text-transform:uppercase"><a class="wp-block-button__link has-primary-color has-light-color-background-color has-text-color has-background has-link-color wp-element-button" style="border-radius:0px;padding-top:18px;padding-right:32px;padding-bottom:18px;padding-left:32px"><?php esc_html_e('Explore My Portfolios', 'jetnews-magazine') ?></a></div>
        <!-- /wp:button -->
    </div>
    <!-- /wp:buttons -->
</div>
<!-- /wp:group -->