<?php

/**
 * Title: Contact Us Page with Form
 * Slug: jetnews-magazine/contactus-page-with-form
 * Categories: jetnews-magazine-pages
 */
$jetnews_magazine_url = trailingslashit(get_template_directory_uri());
$jetnews_magazine_images = array(
    $jetnews_magazine_url . 'assets/images/page_header_bg.jpg',
);
?>
<!-- wp:group {"layout":{"type":"constrained","contentSize":"100%"}} -->
<div class="wp-block-group"><!-- wp:cover {"url":"<?php echo esc_url($jetnews_magazine_images[0]) ?>","id":1039,"dimRatio":50,"overlayColor":"dark-shade","isUserOverlayColor":true,"minHeight":280,"layout":{"type":"constrained","contentSize":"860px"}} -->
    <div class="wp-block-cover" style="min-height:280px"><span aria-hidden="true" class="wp-block-cover__background has-dark-shade-background-color has-background-dim"></span><img class="wp-block-cover__image-background wp-image-1039" alt="" src="<?php echo esc_url($jetnews_magazine_images[0]) ?>" data-object-fit="cover" />
        <div class="wp-block-cover__inner-container"><!-- wp:heading {"textAlign":"center","style":{"typography":{"fontStyle":"normal","fontWeight":"600"},"elements":{"link":{"color":{"text":"var:preset|color|light-color"}}}},"textColor":"light-color","fontSize":"xxx-large"} -->
            <h2 class="wp-block-heading has-text-align-center has-light-color-color has-text-color has-link-color has-xxx-large-font-size" style="font-style:normal;font-weight:600"><?php esc_html_e('Contact Us', 'jetnews-magazine') ?></h2>
            <!-- /wp:heading -->

            <!-- wp:paragraph {"align":"center","style":{"typography":{"fontSize":"18px"}}} -->
            <p class="has-text-align-center" style="font-size:18px"><?php esc_html_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 'jetnews-magazine') ?></p>
            <!-- /wp:paragraph -->
        </div>
    </div>
    <!-- /wp:cover -->

    <!-- wp:group {"style":{"spacing":{"margin":{"top":"0","bottom":"0"},"padding":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|60","left":"var:preset|spacing|40","right":"var:preset|spacing|40"}}},"layout":{"type":"constrained","contentSize":"1180px"}} -->
    <div class="wp-block-group" style="margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)"><!-- wp:heading {"level":3,"style":{"typography":{"fontStyle":"normal","fontWeight":"600","textTransform":"uppercase"},"elements":{"link":{"color":{"text":"var:preset|color|heading-color"}}}},"textColor":"heading-color","fontSize":"large"} -->
        <h3 class="wp-block-heading has-heading-color-color has-text-color has-link-color has-large-font-size" style="font-style:normal;font-weight:600;text-transform:uppercase"><?php esc_html_e('Get in Touch', 'jetnews-magazine') ?></h3>
        <!-- /wp:heading -->

        <!-- wp:paragraph -->
        <p><?php esc_html_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 'jetnews-magazine') ?></p>
        <!-- /wp:paragraph -->

        <!-- wp:columns {"style":{"spacing":{"blockGap":{"left":"80px"},"margin":{"top":"48px"}}}} -->
        <div class="wp-block-columns" style="margin-top:48px"><!-- wp:column -->
            <div class="wp-block-column"><!-- wp:list {"className":"is-style-list-style-no-bullet","style":{"typography":{"lineHeight":"1.5"},"spacing":{"padding":{"top":"0","bottom":"0","left":"0","right":"0"}}},"fontSize":"medium"} -->
                <ul style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;line-height:1.5" class="wp-block-list is-style-list-style-no-bullet has-medium-font-size"><!-- wp:list-item -->
                    <li><a href="#"><?php esc_html_e('2824 Fleming Street, Montgomery', 'jetnews-magazine') ?></a></li>
                    <!-- /wp:list-item -->
                </ul>
                <!-- /wp:list -->

                <!-- wp:list {"className":"is-style-list-style-no-bullet","style":{"typography":{"lineHeight":"1.5"},"spacing":{"padding":{"top":"0","bottom":"0","left":"0","right":"0"}}},"fontSize":"medium"} -->
                <ul style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;line-height:1.5" class="wp-block-list is-style-list-style-no-bullet has-medium-font-size"><!-- wp:list-item -->
                    <li><a href="#"><?php esc_html_e('+1 (012) 345-6789', 'jetnews-magazine') ?></a></li>
                    <!-- /wp:list-item -->
                </ul>
                <!-- /wp:list -->

                <!-- wp:list {"className":"is-style-list-style-no-bullet","style":{"typography":{"lineHeight":"1.5"},"spacing":{"padding":{"top":"0","bottom":"0","left":"0","right":"0"}}},"fontSize":"medium"} -->
                <ul style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;line-height:1.5" class="wp-block-list is-style-list-style-no-bullet has-medium-font-size"><!-- wp:list-item -->
                    <li><a href="#"><?php esc_html_e('email@yoursite.com', 'jetnews-magazine') ?></a></li>
                    <!-- /wp:list-item -->
                </ul>
                <!-- /wp:list -->

                <!-- wp:list {"className":"is-style-list-style-no-bullet","style":{"typography":{"lineHeight":"1.5"},"spacing":{"padding":{"top":"0","bottom":"0","left":"0","right":"0"}},"elements":{"link":{"color":{"text":"var:preset|color|heading-color"}}}},"textColor":"heading-color","fontSize":"medium"} -->
                <ul style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;line-height:1.5" class="wp-block-list is-style-list-style-no-bullet has-heading-color-color has-text-color has-link-color has-medium-font-size"><!-- wp:list-item -->
                    <li><?php esc_html_e('Monday - Friday : 10:00AM - 6:00PM', 'jetnews-magazine') ?></li>
                    <!-- /wp:list-item -->
                </ul>
                <!-- /wp:list -->

                <!-- wp:social-links {"style":{"spacing":{"margin":{"top":"40px"}}}} -->
                <ul class="wp-block-social-links" style="margin-top:40px"><!-- wp:social-link {"url":"#","service":"facebook"} /-->

                    <!-- wp:social-link {"url":"#","service":"x"} /-->

                    <!-- wp:social-link {"url":"#","service":"linkedin"} /-->

                    <!-- wp:social-link {"url":"#","service":"instagram"} /-->
                </ul>
                <!-- /wp:social-links -->
            </div>
            <!-- /wp:column -->

            <!-- wp:column {"style":{"border":{"width":"1px"},"spacing":{"padding":{"top":"24px","bottom":"24px","left":"24px","right":"24px"}}},"borderColor":"border-dark-color"} -->
            <div class="wp-block-column has-border-color has-border-dark-color-border-color" style="border-width:1px;padding-top:24px;padding-right:24px;padding-bottom:24px;padding-left:24px">
                <?php esc_html_e('Add shortcuode for contact form here', 'jetnews-magazine') ?>
            </div>
            <!-- /wp:column -->
        </div>
        <!-- /wp:columns -->
    </div>
    <!-- /wp:group -->
</div>
<!-- /wp:group -->