/* DUPLICATOR-PRO (PHP MULTI-THREADED BUILD MODE) MYSQL SCRIPT CREATED ON : 2025-01-20 08:47:03 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;

CREATE TABLE IF NOT EXISTS `zrO6sh_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(255) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT 0,
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT 0,
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT 0,
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_duplicator_backups` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `archive_name` varchar(350) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL,
  `progress` float NOT NULL DEFAULT 0,
  `flags` set('MANUAL','SCHEDULE','SCHEDULE_RUN_NOW','DB_ONLY','MEDIA_ONLY','HAVE_LOCAL','HAVE_REMOTE','DISASTER_AVAIABLE','DISASTER_SET','CREATED_AFTER_RESTORE','ACTIVE','TEMPLATE','ZIP_ARCHIVE','DUP_ARCHIVE') NOT NULL DEFAULT '',
  `package` longtext NOT NULL,
  `owner` varchar(60) NOT NULL DEFAULT '',
  `version` varchar(30) NOT NULL DEFAULT '',
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`),
  KEY `flags` (`flags`),
  KEY `version` (`version`),
  KEY `created` (`created`),
  KEY `updated_at` (`updated_at`),
  KEY `status` (`status`),
  KEY `name` (`name`(191)),
  KEY `archive_name` (`archive_name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_duplicator_entities` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(100) NOT NULL,
  `value_1` varchar(255) NOT NULL DEFAULT '',
  `value_2` varchar(255) NOT NULL DEFAULT '',
  `value_3` varchar(255) NOT NULL DEFAULT '',
  `value_4` varchar(255) NOT NULL DEFAULT '',
  `value_5` varchar(255) NOT NULL DEFAULT '',
  `data` longtext NOT NULL,
  `version` varchar(30) NOT NULL DEFAULT '',
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `type_idx` (`type`),
  KEY `created_at` (`created_at`),
  KEY `updated_at` (`updated_at`),
  KEY `version` (`version`),
  KEY `value_1` (`value_1`(191)),
  KEY `value_2` (`value_2`(191)),
  KEY `value_3` (`value_3`(191)),
  KEY `value_4` (`value_4`(191)),
  KEY `value_5` (`value_5`(191))
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT 1,
  `link_rating` int(11) NOT NULL DEFAULT 0,
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=1457 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=81 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT 0,
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(255) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT 0,
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=136 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE IF NOT EXISTS `zrO6sh_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/
INSERT IGNORE INTO `zrO6sh_users` VALUES 
("1","admin","$P$BB4U8mukjq6a9DE9378tsiiDFwuC0v/","admin","admin@hamzehhemmati.ir","https://hamzehhemmati.ir","2025-01-07 12:30:40","","0","admin");

INSERT IGNORE INTO `zrO6sh_usermeta` VALUES 
("1","1","nickname","admin"),
("2","1","first_name",""),
("3","1","last_name",""),
("4","1","description",""),
("5","1","rich_editing","true"),
("6","1","syntax_highlighting","true"),
("7","1","comment_shortcuts","false"),
("8","1","admin_color","fresh"),
("9","1","use_ssl","0"),
("10","1","show_admin_bar_front","true"),
("11","1","locale",""),
("12","1","zrO6sh_capabilities","a:1:{s:13:\"administrator\";b:1;}"),
("13","1","zrO6sh_user_level","10"),
("14","1","dismissed_wp_pointers",""),
("15","1","show_welcome_panel","1"),
("16","1","session_tokens","a:4:{s:64:\"e52d3b917a33c660d88c8b53196731b8b215aadb5370a3fb24c2f17db13f4cca\";a:4:{s:10:\"expiration\";i:1737363784;s:2:\"ip\";s:13:\"37.202.133.32\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36\";s:5:\"login\";i:1737190984;}s:64:\"db06ebea7e40f88533862815a7d11b16847566e3bbd196e8d2ebd8a6edc5e083\";a:4:{s:10:\"expiration\";i:1737367436;s:2:\"ip\";s:13:\"37.202.133.32\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36\";s:5:\"login\";i:1737194636;}s:64:\"6f77f592f18b964d53179ceab97c9b0d2ae5b672e6db5c351cf790cc4169420a\";a:4:{s:10:\"expiration\";i:1737455268;s:2:\"ip\";s:13:\"37.202.146.74\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36\";s:5:\"login\";i:1737282468;}s:64:\"d981f289887e8aab749491554c7f22a6dc4b1284e2a495eb1a9cfe5f3cd7227d\";a:4:{s:10:\"expiration\";i:1737533736;s:2:\"ip\";s:13:\"37.202.151.70\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36\";s:5:\"login\";i:1737360936;}}"),
("17","1","zrO6sh_dashboard_quick_press_last_post_id","71"),
("18","1","community-events-location","a:1:{s:2:\"ip\";s:12:\"37.202.151.0\";}"),
("19","1","zrO6sh_persisted_preferences","a:8:{s:4:\"core\";a:2:{s:26:\"isComplementaryAreaVisible\";b:1;s:10:\"openPanels\";a:1:{i:0;s:11:\"post-status\";}}s:9:\"_modified\";s:24:\"2025-01-18T10:03:16.463Z\";s:22:\"themeisle/otter-blocks\";a:1:{s:16:\"onboarding-optin\";b:1;}s:14:\"core/edit-site\";a:2:{s:12:\"welcomeGuide\";b:0;s:18:\"welcomeGuideStyles\";b:0;}s:14:\"core/edit-post\";a:1:{s:12:\"welcomeGuide\";b:0;}s:17:\"core/edit-widgets\";a:2:{s:26:\"isComplementaryAreaVisible\";b:1;s:12:\"welcomeGuide\";b:0;}s:22:\"core/customize-widgets\";a:1:{s:12:\"welcomeGuide\";b:0;}s:17:\"core/block-editor\";a:1:{s:25:\"linkControlSettingsDrawer\";b:1;}}"),
("20","1","closedpostboxes_post","a:1:{i:0;s:15:\"muki-ai-summary\";}"),
("21","1","metaboxhidden_post","a:0:{}"),
("22","1","zrO6sh_user-settings","libraryContent=browse"),
("23","1","zrO6sh_user-settings-time","1736281982"),
("24","1","plover_dismissed_get_start","true"),
("26","1","managenav-menuscolumnshidden","a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}"),
("27","1","metaboxhidden_nav-menus","a:1:{i:0;s:12:\"add-post_tag\";}");

INSERT IGNORE INTO `zrO6sh_comments` VALUES 
("1","1","A WordPress Commenter","wapuu@wordpress.example","https://wordpress.org/","","2025-01-07 12:30:40","2025-01-07 12:30:40","Hi, this is a comment.\nTo get started with moderating, editing, and deleting comments, please visit the Comments screen in the dashboard.\nCommenter avatars come from <a href=\"https://gravatar.com/\">Gravatar</a>.","0","1","","comment","0","0");

INSERT IGNORE INTO `zrO6sh_duplicator_backups` VALUES 
("8","jetnewsmagazineLamerdWeb","111bf9c9c821aa585185_20250120084048","jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_archive.zip","20","20","MANUAL,ZIP_ARCHIVE","{\n    \"ID\": 8,\n    \"VersionWP\": \"6.7.1\",\n    \"VersionDB\": \"10.3.39\",\n    \"VersionPHP\": \"8.1.29\",\n    \"VersionOS\": \"Linux\",\n    \"Name\": \"jetnewsmagazineLamerdWeb\",\n    \"Hash\": \"111bf9c9c821aa585185_20250120084048\",\n    \"Type\": 0,\n    \"notes\": \"\",\n    \"StorePath\": \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\\/tmp\",\n    \"StoreURL\": \"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/backups-dup-pro\\/\",\n    \"ScanFile\": \"jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_scan.json\",\n    \"timer_start\": 1737362823.059407,\n    \"Runtime\": \"\",\n    \"ExeSize\": \"0\",\n    \"ZipSize\": \"0\",\n    \"Brand\": \"\\u067e\\u06cc\\u0634 \\u0641\\u0631\\u0636\",\n    \"Brand_ID\": -1,\n    \"ziparchive_mode\": 0,\n    \"Archive\": {\n        \"ExportOnlyDB\": false,\n        \"FilterDirs\": \"\",\n        \"FilterExts\": \"\",\n        \"FilterFiles\": \"\",\n        \"FilterDirsAll\": [\n            \"\\/home\\/hamzehhe\\/public_html\\/.opcache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/.tmb\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/ai1wm-backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-lite\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backupwordpress\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/bps-backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/content\\/cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/contents\\/cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/infinitewp\\/backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/managewp\\/backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/old-cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/all-in-one-wp-migration\\/storage\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/really-simple-captcha\\/tmp\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/wordfence\\/tmp\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/updraft\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/aiowps_backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backup-guard\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_temp\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/ithemes-security\\/backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/mainwp\\/backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/pb_backupbuddy\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/snapshots\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/sucuri\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp-clone\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp_all_backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wpbackitup_backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wfcache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wishlist-backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wpvividbackups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-snapshots\"\n        ],\n        \"FilterExtsAll\": [],\n        \"FilterFilesAll\": [\n            \".DS_Store\",\n            \"\\/home\\/hamzehhe\\/public_html\\/.htaccess\",\n            \"\\/home\\/hamzehhe\\/public_html\\/.user.ini\",\n            \"\\/home\\/hamzehhe\\/public_html\\/php.ini\",\n            \"\\/home\\/hamzehhe\\/public_html\\/web.config\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-config.php\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/debug.log\",\n            \"dbcache\",\n            \"debug_log\",\n            \"error_log\",\n            \"objectcache\",\n            \"pgcache\",\n            \"ws_ftp.log\"\n        ],\n        \"FilterOn\": false,\n        \"FilterNames\": false,\n        \"File\": \"jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_archive.zip\",\n        \"Format\": \"ZIP\",\n        \"PackDir\": \"\\/home\\/hamzehhe\\/public_html\",\n        \"Size\": 102361047,\n        \"Dirs\": [],\n        \"DirCount\": 981,\n        \"RecursiveLinks\": [],\n        \"Files\": [],\n        \"FileCount\": 6012,\n        \"file_count\": -1,\n        \"FilterInfo\": {\n            \"Dirs\": {\n                \"AddonSites\": [],\n                \"Size\": [],\n                \"Core\": [],\n                \"Global\": [\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-snapshots\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.opcache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.tmb\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-lite\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/ai1wm-backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backupwordpress\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/content\\/cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/contents\\/cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/infinitewp\\/backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/managewp\\/backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/old-cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/updraft\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wpvividbackups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wishlist-backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wfcache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/bps-backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/aiowps_backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_temp\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/ithemes-security\\/backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/mainwp\\/backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/pb_backupbuddy\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/snapshots\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/sucuri\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp-clone\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp_all_backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wpbackitup_backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backup-guard\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/all-in-one-wp-migration\\/storage\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/really-simple-captcha\\/tmp\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/wordfence\\/tmp\"\n                ],\n                \"Instance\": [],\n                \"Unreadable\": []\n            },\n            \"Files\": {\n                \"Size\": [],\n                \"Core\": [],\n                \"Global\": [\n                    \"error_log\",\n                    \"debug_log\",\n                    \"ws_ftp.log\",\n                    \"dbcache\",\n                    \"pgcache\",\n                    \"objectcache\",\n                    \".DS_Store\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.htaccess\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.user.ini\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/php.ini\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/web.config\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/debug.log\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-config.php\"\n                ],\n                \"Instance\": [],\n                \"Unreadable\": []\n            },\n            \"Exts\": {\n                \"Core\": [],\n                \"Global\": [],\n                \"Instance\": [],\n                \"Unreadable\": []\n            },\n            \"TreeSize\": {\n                \"treeList\": []\n            }\n        },\n        \"ListDelimiter\": \"\\n\"\n    },\n    \"Multisite\": {\n        \"FilterSites\": []\n    },\n    \"Installer\": {\n        \"File\": \"jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_installer.php\",\n        \"Size\": 0,\n        \"OptsSecureOn\": 0,\n        \"passowrd\": \"ru8fsp8hxuKMjWYQxqNUTmne0q5O43pAneS\\/LtaiY\\/05RmB3cSkCz6RRuQOzvGZhyr7w1FWH9fCKEkaqaPRRrQ==\",\n        \"OptsSecurePass\": \"\",\n        \"OptsSkipScan\": 0,\n        \"OptsDBHost\": \"\",\n        \"OptsDBName\": \"\",\n        \"OptsDBUser\": \"\",\n        \"OptsCPNLHost\": \"\",\n        \"OptsCPNLUser\": \"\",\n        \"OptsCPNLPass\": \"\",\n        \"OptsCPNLEnable\": 0,\n        \"OptsCPNLConnect\": false,\n        \"OptsCPNLDBAction\": \"create\",\n        \"OptsCPNLDBHost\": \"\",\n        \"OptsCPNLDBName\": \"\",\n        \"OptsCPNLDBUser\": \"\",\n        \"numFilesAdded\": 0,\n        \"numDirsAdded\": 0\n    },\n    \"Database\": {\n        \"info\": {\n            \"buildMode\": \"PHPCHUNKING\",\n            \"charSetList\": [\n                \"utf8mb4\"\n            ],\n            \"collationList\": [\n                \"utf8mb4_unicode_520_ci\"\n            ],\n            \"engineList\": [\n                \"InnoDB\"\n            ],\n            \"isTablesUpperCase\": true,\n            \"lowerCaseTableNames\": 0,\n            \"isNameUpperCase\": false,\n            \"name\": \"hamzehhe_wp_1rl0p\",\n            \"tablesBaseCount\": 14,\n            \"tablesFinalCount\": 14,\n            \"muFilteredTableCount\": 0,\n            \"tablesRowCount\": 471,\n            \"tablesSizeOnDisk\": 7733248,\n            \"tablesList\": {\n                \"zrO6sh_commentmeta\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_comments\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 98304\n                },\n                \"zrO6sh_duplicator_backups\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 163840\n                },\n                \"zrO6sh_duplicator_entities\": {\n                    \"inaccurateRows\": \"9\",\n                    \"insertedRows\": 0,\n                    \"size\": 163840\n                },\n                \"zrO6sh_links\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 32768\n                },\n                \"zrO6sh_options\": {\n                    \"inaccurateRows\": \"210\",\n                    \"insertedRows\": 0,\n                    \"size\": 4276224\n                },\n                \"zrO6sh_postmeta\": {\n                    \"inaccurateRows\": \"57\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_posts\": {\n                    \"inaccurateRows\": \"98\",\n                    \"insertedRows\": 0,\n                    \"size\": 2605056\n                },\n                \"zrO6sh_termmeta\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_terms\": {\n                    \"inaccurateRows\": \"7\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_term_relationships\": {\n                    \"inaccurateRows\": \"57\",\n                    \"insertedRows\": 0,\n                    \"size\": 32768\n                },\n                \"zrO6sh_term_taxonomy\": {\n                    \"inaccurateRows\": \"7\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_usermeta\": {\n                    \"inaccurateRows\": \"26\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_users\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 65536\n                }\n            },\n            \"dbEngine\": \"MariaDB\",\n            \"version\": \"10.3.39\",\n            \"versionComment\": \"MariaDB Server\",\n            \"viewCount\": 0,\n            \"procCount\": 0,\n            \"funcCount\": 0,\n            \"triggerList\": []\n        },\n        \"Type\": \"MySQL\",\n        \"Size\": 0,\n        \"File\": \"jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_database.sql\",\n        \"FilterTables\": \"\",\n        \"FilterOn\": false,\n        \"prefixFilter\": false,\n        \"prefixSubFilter\": false,\n        \"DBMode\": \"PHPCHUNKING\",\n        \"Compatible\": \"\",\n        \"Comments\": \"MariaDB Server\",\n        \"dbStorePathPublic\": \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\\/tmp\\/jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_database.sql\"\n    },\n    \"components\": [\n        \"package_component_db\",\n        \"package_component_core\",\n        \"package_component_plugins\",\n        \"package_component_themes\",\n        \"package_component_uploads\",\n        \"package_component_other\"\n    ],\n    \"Status\": 20,\n    \"schedule_id\": -1,\n    \"descriptorsMng\": null,\n    \"build_progress\": {\n        \"thread_start_time\": 1737362824,\n        \"initialized\": true,\n        \"installer_built\": false,\n        \"archive_started\": false,\n        \"archive_start_time\": 0,\n        \"archive_has_database\": false,\n        \"archive_built\": false,\n        \"database_script_built\": false,\n        \"failed\": false,\n        \"next_archive_file_index\": 0,\n        \"next_archive_dir_index\": 0,\n        \"retries\": 0,\n        \"current_build_mode\": 1,\n        \"current_build_compression\": true,\n        \"dupCreate\": null,\n        \"dupExpand\": null,\n        \"warnings\": []\n    },\n    \"db_build_progress\": {\n        \"tablesToProcess\": [\n            \"zrO6sh_users\",\n            \"zrO6sh_usermeta\",\n            \"zrO6sh_commentmeta\",\n            \"zrO6sh_comments\",\n            \"zrO6sh_duplicator_backups\",\n            \"zrO6sh_duplicator_entities\",\n            \"zrO6sh_links\",\n            \"zrO6sh_options\",\n            \"zrO6sh_postmeta\",\n            \"zrO6sh_posts\",\n            \"zrO6sh_termmeta\",\n            \"zrO6sh_terms\",\n            \"zrO6sh_term_relationships\",\n            \"zrO6sh_term_taxonomy\"\n        ],\n        \"validationStage1\": false,\n        \"doneInit\": true,\n        \"doneFiltering\": true,\n        \"doneCreates\": true,\n        \"completed\": false,\n        \"startTime\": 1737362823.107155,\n        \"wasInterrupted\": true,\n        \"errorOut\": false,\n        \"failureCount\": 0,\n        \"countCheckData\": {\n            \"countTotal\": 0,\n            \"impreciseTotalRows\": 472,\n            \"tables\": {\n                \"zrO6sh_users\": {\n                    \"start\": \"1\",\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_usermeta\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_commentmeta\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_comments\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_duplicator_backups\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_duplicator_entities\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_links\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_options\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_postmeta\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_posts\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_termmeta\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_terms\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_term_relationships\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                },\n                \"zrO6sh_term_taxonomy\": {\n                    \"start\": 0,\n                    \"end\": 0,\n                    \"count\": 0,\n                    \"create\": true\n                }\n            }\n        }\n    },\n    \"upload_infos\": [\n        {\n            \"storage_id\": 3,\n            \"archive_offset\": 0,\n            \"copied_installer\": false,\n            \"copied_archive\": false,\n            \"progress\": 0,\n            \"num_failures\": 0,\n            \"failed\": false,\n            \"cancelled\": false,\n            \"upload_id\": null,\n            \"failure_count\": 0,\n            \"data\": \"\",\n            \"data2\": \"\",\n            \"has_started\": false,\n            \"status_message_details\": \"\",\n            \"started_timestamp\": 0,\n            \"stopped_timestamp\": 0,\n            \"chunkPosition\": [],\n            \"storage\": null,\n            \"packageExists\": true,\n            \"isDownloadFromRemote\": false,\n            \"copyExtraData\": []\n        }\n    ],\n    \"active_storage_id\": -1,\n    \"template_id\": 6,\n    \"buildEmailSent\": false,\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-20 08:40:48\",\n    \"updated\": \"2025-01-20 08:47:04\",\n    \"flags\": [\n        \"MANUAL\",\n        \"ZIP_ARCHIVE\"\n    ],\n    \"flagUpdatedAfterLoad\": false\n}","unknown","4.5.20.1","2025-01-20 08:40:48","2025-01-20 08:47:04");

INSERT IGNORE INTO `zrO6sh_duplicator_entities` VALUES 
("1","DUP_PRO_Global_Entity","","","","","","{\n    \"uninstall_settings\": false,\n    \"uninstall_packages\": false,\n    \"crypt\": true,\n    \"email_summary_frequency\": \"weekly\",\n    \"email_summary_recipients\": [\n        \"admin@hamzehhemmati.ir\"\n    ],\n    \"usageTracking\": true,\n    \"amNotices\": true,\n    \"package_mysqldump\": false,\n    \"package_mysqldump_path\": \"\",\n    \"package_phpdump_mode\": 0,\n    \"package_mysqldump_qrylimit\": 131072,\n    \"packageMysqldumpOptions\": [\n        {\n            \"option\": \"quick\",\n            \"inputGroupPrefix\": \"package_mysqldump_\",\n            \"possibleArguments\": [],\n            \"enabled\": false,\n            \"arguments\": []\n        },\n        {\n            \"option\": \"extended-insert\",\n            \"inputGroupPrefix\": \"package_mysqldump_\",\n            \"possibleArguments\": [],\n            \"enabled\": false,\n            \"arguments\": []\n        },\n        {\n            \"option\": \"routines\",\n            \"inputGroupPrefix\": \"package_mysqldump_\",\n            \"possibleArguments\": [],\n            \"enabled\": true,\n            \"arguments\": []\n        },\n        {\n            \"option\": \"disable-keys\",\n            \"inputGroupPrefix\": \"package_mysqldump_\",\n            \"possibleArguments\": [],\n            \"enabled\": false,\n            \"arguments\": []\n        },\n        {\n            \"option\": \"compact\",\n            \"inputGroupPrefix\": \"package_mysqldump_\",\n            \"possibleArguments\": [],\n            \"enabled\": false,\n            \"arguments\": []\n        }\n    ],\n    \"archive_build_mode\": 1,\n    \"archive_compression\": true,\n    \"ziparchive_validation\": false,\n    \"ziparchive_mode\": 0,\n    \"ziparchive_chunk_size_in_mb\": 32,\n    \"homepath_as_abspath\": false,\n    \"server_load_reduction\": 0,\n    \"max_package_runtime_in_min\": 90,\n    \"max_package_transfer_time_in_min\": 90,\n    \"php_max_worker_time_in_sec\": 20,\n    \"cleanup_mode\": 0,\n    \"cleanup_email\": \"admin@hamzehhemmati.ir\",\n    \"auto_cleanup_hours\": 24,\n    \"lock_mode\": 1,\n    \"ajax_protocol\": \"https\",\n    \"custom_ajax_url\": \"https:\\/\\/hamzehhemmati.ir\\/wp-admin\\/admin-ajax.php\",\n    \"clientside_kickoff\": false,\n    \"basic_auth_enabled\": false,\n    \"basic_auth_user\": \"\",\n    \"basic_auth_password\": \"\",\n    \"installer_name_mode\": \"simple\",\n    \"installer_base_name\": \"installer.php\",\n    \"chunk_size\": 2048,\n    \"skip_archive_scan\": false,\n    \"send_email_on_build_mode\": 1,\n    \"notification_email_address\": \"\",\n    \"storage_htaccess_off\": false,\n    \"max_storage_retries\": 10,\n    \"max_default_store_files\": 20,\n    \"purge_default_package_record\": false,\n    \"dropbox_upload_chunksize_in_kb\": null,\n    \"dropbox_transfer_mode\": null,\n    \"gdrive_upload_chunksize_in_kb\": null,\n    \"gdrive_transfer_mode\": null,\n    \"s3_upload_part_size_in_kb\": null,\n    \"onedrive_upload_chunksize_in_kb\": null,\n    \"local_upload_chunksize_in_MB\": null,\n    \"manual_mode_storage_ids\": [\n        3\n    ],\n    \"license_key_visible\": 1,\n    \"lkp\": \"\",\n    \"last_system_check_timestamp\": 0,\n    \"initial_activation_timestamp\": 1736282382,\n    \"ssl_useservercerts\": true,\n    \"ssl_disableverify\": true,\n    \"import_chunk_size\": 1024,\n    \"import_custom_path\": \"\",\n    \"ipv4_only\": false,\n    \"unhook_third_party_js\": false,\n    \"unhook_third_party_css\": false,\n    \"recoveryCustomPath\": \"\",\n    \"id\": 1,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-20 08:40:48\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-20 08:40:48"),
("2","DUP_PRO_Secure_Global_Entity","","","","","","{\n    \"basic_auth_password\": \"\",\n    \"lkp\": \"\",\n    \"id\": 2,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-18 10:04:03\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-18 10:04:03"),
("3","DUP_PRO_Storage_Entity","","","","","","{\n    \"name\": \"Default\",\n    \"notes\": \"The default location for storage on this server.\",\n    \"storage_type\": -2,\n    \"config\": \"PsqL+gYqm7HwRTMIEfjz28b3863Ej2CFwzqTdH54BYCgSdHj4HzpWp+h3TwiTtccmRXk7UFjooBM\\/Sy63ROei9XClTmC70jEbhQAq6IfihJLbmfO7qmFWlR5NZvsAJCpSjMqnrZtxpYEpCvTxLKZTO2\\/XPuSVFJpdxWvjSuVN\\/SFxXZYqszW5gzjmOqof7zoCIfdW3uAdc\\/haFXpJOw3DcZPNueN2WhHBh+kDPwAsSsM23oJT0RORtER\\/9D+4UcDqb0XaGONJ3qI\\/1oYWHe6UZIwV9P2rvas\",\n    \"legacyEntity\": false,\n    \"local_storage_folder\": \"\",\n    \"local_max_files\": 10,\n    \"local_filter_protection\": true,\n    \"purge_package_record\": true,\n    \"dropbox_access_token\": \"\",\n    \"dropbox_access_token_secret\": \"\",\n    \"dropbox_v2_access_token\": \"\",\n    \"dropbox_storage_folder\": \"\",\n    \"dropbox_max_files\": 10,\n    \"dropbox_authorization_state\": 0,\n    \"onedrive_endpoint_url\": \"\",\n    \"onedrive_resource_id\": \"\",\n    \"onedrive_access_token\": \"\",\n    \"onedrive_refresh_token\": \"\",\n    \"onedrive_token_obtained\": 0,\n    \"onedrive_user_id\": \"\",\n    \"onedrive_storage_folder\": \"\",\n    \"onedrive_max_files\": 10,\n    \"onedrive_storage_folder_id\": \"\",\n    \"onedrive_authorization_state\": 0,\n    \"onedrive_storage_folder_web_url\": \"\",\n    \"ftp_server\": \"\",\n    \"ftp_port\": 21,\n    \"ftp_username\": \"\",\n    \"ftp_password\": \"\",\n    \"ftp_use_curl\": false,\n    \"ftp_storage_folder\": \"\",\n    \"ftp_max_files\": 10,\n    \"ftp_timeout_in_secs\": 15,\n    \"ftp_ssl\": false,\n    \"ftp_passive_mode\": false,\n    \"sftp_server\": \"\",\n    \"sftp_port\": 22,\n    \"sftp_username\": \"\",\n    \"sftp_password\": \"\",\n    \"sftp_private_key\": \"\",\n    \"sftp_private_key_password\": \"\",\n    \"sftp_storage_folder\": \"\",\n    \"sftp_timeout_in_secs\": 15,\n    \"sftp_max_files\": 10,\n    \"sftp_disable_chunking_mode\": false,\n    \"gdrive_access_token_set_json\": \"\",\n    \"gdrive_refresh_token\": \"\",\n    \"gdrive_storage_folder\": \"\",\n    \"gdrive_max_files\": 10,\n    \"gdrive_authorization_state\": 0,\n    \"gdrive_client_number\": -1,\n    \"s3_access_key\": \"\",\n    \"s3_bucket\": \"\",\n    \"s3_max_files\": 10,\n    \"s3_provider\": \"amazon\",\n    \"s3_region\": \"\",\n    \"s3_endpoint\": \"\",\n    \"s3_secret_key\": \"\",\n    \"s3_storage_class\": \"STANDARD\",\n    \"s3_storage_folder\": \"\",\n    \"s3_ACL_full_control\": true,\n    \"id\": 3,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-18 10:04:03\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-18 10:04:03"),
("4","EmailSummary","","","","","","{\n    \"manualPackageIds\": [\n        5,\n        6,\n        7\n    ],\n    \"scheduledPackageIds\": [],\n    \"failedPackageIds\": [],\n    \"failedUploads\": [],\n    \"cancelledUploads\": [],\n    \"successfulUploads\": [],\n    \"scheduleIds\": [],\n    \"storageIds\": [],\n    \"id\": 4,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"0000-00-00 00:00:00\",\n    \"updated\": \"2025-01-19 16:06:31\"\n}","4.5.20.1","0000-00-00 00:00:00","2025-01-19 16:06:31"),
("5","DUP_PRO_Package_Template_Entity","","","","","","{\n    \"name\": \"Default\",\n    \"package_name_format\": \"%year%%month%%day%_%sitetitle%\",\n    \"notes\": \"The default template.\",\n    \"filter_sites\": [],\n    \"archive_export_onlydb\": false,\n    \"archive_filter_on\": false,\n    \"archive_filter_dirs\": \"\",\n    \"archive_filter_exts\": \"\",\n    \"archive_filter_files\": \"\",\n    \"archive_filter_names\": false,\n    \"components\": [\n        \"package_component_db\",\n        \"package_component_core\",\n        \"package_component_plugins\",\n        \"package_component_themes\",\n        \"package_component_uploads\",\n        \"package_component_other\"\n    ],\n    \"database_filter_on\": false,\n    \"databasePrefixFilter\": false,\n    \"databasePrefixSubFilter\": false,\n    \"database_filter_tables\": \"\",\n    \"database_compatibility_modes\": \"\",\n    \"installer_opts_secure_on\": 0,\n    \"installerPassowrd\": \"J57OdE2acafP7fHcXtBOEQ3c0SYn8WA9xhPAzmeBctRzhXkRGP985VtycX8xQVbX37XEXE1EAK68gmJT5SDxGQ==\",\n    \"installer_opts_skip_scan\": false,\n    \"installer_opts_db_host\": \"\",\n    \"installer_opts_db_name\": \"\",\n    \"installer_opts_db_user\": \"\",\n    \"installer_opts_cpnl_enable\": false,\n    \"installer_opts_cpnl_host\": \"\",\n    \"installer_opts_cpnl_user\": \"\",\n    \"installer_opts_cpnl_pass\": \"\",\n    \"installer_opts_cpnl_db_action\": \"create\",\n    \"installer_opts_cpnl_db_host\": \"\",\n    \"installer_opts_cpnl_db_name\": \"\",\n    \"installer_opts_cpnl_db_user\": \"\",\n    \"installer_opts_brand\": -2,\n    \"is_default\": true,\n    \"is_manual\": false,\n    \"id\": 5,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-07 20:39:42\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-07 20:39:42"),
("6","DUP_PRO_Package_Template_Entity","","","","","","{\n    \"name\": \"[Manual Mode]\",\n    \"package_name_format\": \"jetnews-magazine-LamerdWeb\",\n    \"notes\": \"\",\n    \"filter_sites\": \"\",\n    \"archive_export_onlydb\": false,\n    \"archive_filter_on\": 0,\n    \"archive_filter_dirs\": \"\",\n    \"archive_filter_exts\": \"\",\n    \"archive_filter_files\": \"\",\n    \"archive_filter_names\": false,\n    \"components\": [\n        \"package_component_db\",\n        \"package_component_core\",\n        \"package_component_plugins\",\n        \"package_component_themes\",\n        \"package_component_uploads\",\n        \"package_component_other\"\n    ],\n    \"database_filter_on\": 0,\n    \"databasePrefixFilter\": false,\n    \"databasePrefixSubFilter\": false,\n    \"database_filter_tables\": \"\",\n    \"database_compatibility_modes\": \"\",\n    \"installer_opts_secure_on\": 0,\n    \"installerPassowrd\": \"bkixL2UXWK31jHYn2M8wN+Qr6MkaTjnP8NXSj9YnC7z4EGow+n\\/dXqnEVJMVaT\\/PQ7Fk\\/bFHa5VI3iDjTpAvXg==\",\n    \"installer_opts_skip_scan\": 0,\n    \"installer_opts_db_host\": \"\",\n    \"installer_opts_db_name\": \"\",\n    \"installer_opts_db_user\": \"\",\n    \"installer_opts_cpnl_enable\": 0,\n    \"installer_opts_cpnl_host\": \"\",\n    \"installer_opts_cpnl_user\": \"\",\n    \"installer_opts_cpnl_pass\": \"\",\n    \"installer_opts_cpnl_db_action\": \"create\",\n    \"installer_opts_cpnl_db_host\": \"\",\n    \"installer_opts_cpnl_db_name\": \"\",\n    \"installer_opts_cpnl_db_user\": \"\",\n    \"installer_opts_brand\": -1,\n    \"is_default\": false,\n    \"is_manual\": true,\n    \"id\": 6,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-20 08:40:48\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-20 08:40:48"),
("7","Dynamic_Entity","","","","","","{\n    \"data\": {\n        \"dropbox_upload_chunksize_in_kb\": 2000,\n        \"dropbox_transfer_mode\": 1,\n        \"gdrive_upload_chunksize_in_kb\": 1024,\n        \"gdrive_transfer_mode\": 0,\n        \"s3_upload_part_size_in_kb\": 6000,\n        \"onedrive_upload_chunksize_in_kb\": 3200,\n        \"local_upload_chunksize_in_MB\": 16\n    },\n    \"id\": 7,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-07 20:39:42\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-07 20:39:42"),
("8","LicenseDataEntity","","","","","","{\n    \"licenseKey\": \"wqfjjrVw\\/7V\\/cz8xVVQTC3i6uvKJObokDsAGty4dR1LHyKWq5o4pKXdHvbFqLmfAHULkGOZGfTBsr37ytOqzKg==\",\n    \"status\": \"fDGtsC2zAVEBeT0ngchIXc86+\\/p15Kw2jJEwU2tH6dEwsyaPUSZ7jddNFbJ41qT6rduUgj4fOwOJ+a5\\/QQlSmyY5ieOG+Zaa\",\n    \"type\": \"MIS3n3OOUSkzlwZV948Zp7yjiErOS624Ic4kBncw89JSYAq18FxQnR5pPu3wz6jq3Qe7tNr9+J6RuoQO6lyODzNKwnIPeM3p\",\n    \"data\": \"wdSQlqMoNAyVhA01Io2NJ4c8G1UQV2XsE0a33ZRcX\\/qEpX6c3AwfloIW+bj4ogdYlorURLDUsGWfFX9NgOj4NUU1VlaOemGCLiBIM9H9MfTQbVDaLTWItk+Ur6+5M+3cTsSwm8CsIlwc2dxP9Z2NEimV+daUNT+EQ5Bbt9RlpuXreOuZi1aGg1uOtBXGKyBfUJk8k22waeY6\\/1gCJx\\/TdFbbtxkBDfoWbUf+D2eEBXjQFuCSXiSJFZaK1ESw1LBlnir3+k\\/Ixstu8JHfKXbBml6lMp69LYoevQG2i7TRpSL8EvgiMbGshbdgYcKSCstBvIyItJmc\\/dnzyUEuvjQJk\\/YCVnkNR\\/S6bMOVsptk69oh75n3XZ1cUSril+mbEmNiWc\\/u0zdw0oJwXy8g52gpQlld1HlvSLUIQ5tx8YJg6aI=\",\n    \"lastRemoteUpdate\": \"\",\n    \"lastFailureTime\": \"\",\n    \"id\": 8,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:42\",\n    \"updated\": \"2025-01-20 08:47:04\"\n}","4.5.20.1","2025-01-07 20:39:42","2025-01-20 08:47:04"),
("9","DUP_PRO_System_Global_Entity","","","","","","{\n    \"recommended_fixes\": [],\n    \"schedule_failed\": false,\n    \"package_check_ts\": 1737362822,\n    \"id\": 9,\n    \"value1\": \"\",\n    \"value2\": \"\",\n    \"value3\": \"\",\n    \"value4\": \"\",\n    \"value5\": \"\",\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-07 20:39:45\",\n    \"updated\": \"2025-01-20 08:47:02\"\n}","4.5.20.1","2025-01-07 20:39:45","2025-01-20 08:47:02");

INSERT IGNORE INTO `zrO6sh_options` VALUES 
("1","cron","a:12:{i:1737365442;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1737376242;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1737376367;a:3:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1737376370;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1737381600;a:1:{s:33:\"duplicator_pro_email_summary_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1737381638;a:1:{s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1737383438;a:1:{s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1737462777;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1737525880;a:1:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1737549042;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1737962443;a:1:{s:30:\"duplicator_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}","on"),
("2","siteurl","https://hamzehhemmati.ir","on"),
("3","home","https://hamzehhemmati.ir","on"),
("4","blogname","لامرد وب","on"),
("5","blogdescription","راه اندازی کسب و کار اینترنتی","on"),
("6","users_can_register","0","on"),
("7","admin_email","admin@hamzehhemmati.ir","on"),
("8","start_of_week","0","on"),
("9","use_balanceTags","0","on"),
("10","use_smilies","1","on"),
("11","require_name_email","1","on"),
("12","comments_notify","1","on"),
("13","posts_per_rss","10","on"),
("14","rss_use_excerpt","0","on"),
("15","mailserver_url","mail.example.com","on"),
("16","mailserver_login","login@example.com","on"),
("17","mailserver_pass","","on"),
("18","mailserver_port","110","on"),
("19","default_category","1","on"),
("20","default_comment_status","open","on"),
("21","default_ping_status","open","on"),
("22","default_pingback_flag","1","on"),
("23","posts_per_page","10","on"),
("24","date_format","F j, Y","on"),
("25","time_format","g:i a","on"),
("26","links_updated_date_format","F j, Y g:i a","on"),
("27","comment_moderation","0","on"),
("28","moderation_notify","1","on"),
("29","permalink_structure","/index.php/%year%/%monthnum%/%day%/%postname%/","on"),
("30","rewrite_rules","a:97:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:57:\"index.php/category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:52:\"index.php/category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:33:\"index.php/category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:45:\"index.php/category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:27:\"index.php/category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:54:\"index.php/tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:49:\"index.php/tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:30:\"index.php/tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:42:\"index.php/tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:24:\"index.php/tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:55:\"index.php/type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:50:\"index.php/type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:31:\"index.php/type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:43:\"index.php/type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:25:\"index.php/type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:13:\"favicon\\.ico$\";s:19:\"index.php?favicon=1\";s:12:\"sitemap\\.xml\";s:24:\"index.php??sitemap=index\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:42:\"index.php/feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:37:\"index.php/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:18:\"index.php/embed/?$\";s:21:\"index.php?&embed=true\";s:30:\"index.php/page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:51:\"index.php/comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:46:\"index.php/comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:27:\"index.php/comments/embed/?$\";s:21:\"index.php?&embed=true\";s:54:\"index.php/search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:49:\"index.php/search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:30:\"index.php/search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:42:\"index.php/search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:24:\"index.php/search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:57:\"index.php/author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:52:\"index.php/author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:33:\"index.php/author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:45:\"index.php/author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:27:\"index.php/author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:79:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:74:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:55:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:67:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:49:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:66:\"index.php/([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:61:\"index.php/([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:42:\"index.php/([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:54:\"index.php/([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:36:\"index.php/([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:53:\"index.php/([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:48:\"index.php/([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:29:\"index.php/([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:41:\"index.php/([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:23:\"index.php/([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:68:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:78:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:98:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:93:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:93:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:74:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:63:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:67:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:87:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:82:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:75:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:82:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:71:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:57:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:67:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:87:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:82:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:82:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:63:\"index.php/[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:74:\"index.php/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:61:\"index.php/([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:48:\"index.php/([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:37:\"index.php/.?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"index.php/.?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"index.php/.?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"index.php/.?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"index.php/.?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:43:\"index.php/.?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:26:\"index.php/(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:30:\"index.php/(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:50:\"index.php/(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:45:\"index.php/(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:38:\"index.php/(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:45:\"index.php/(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:34:\"index.php/(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}","on"),
("31","hack_file","0","on"),
("32","blog_charset","UTF-8","on"),
("33","moderation_keys","","off"),
("34","active_plugins","a:3:{i:0;s:33:\"duplicator-pro/duplicator-pro.php\";i:2;s:28:\"lamerdweb.php_/lamerdweb.php\";i:3;s:29:\"wp-parsidate/wp-parsidate.php\";}","on"),
("35","category_base","","on"),
("36","ping_sites","http://rpc.pingomatic.com/","on"),
("37","comment_max_links","2","on"),
("38","gmt_offset","0","on"),
("39","default_email_category","1","on"),
("40","recently_edited","","off"),
("41","template","jetnews-magazine","on"),
("42","stylesheet","jetnews-magazine","on"),
("43","comment_registration","0","on"),
("44","html_type","text/html","on"),
("45","use_trackback","0","on"),
("46","default_role","subscriber","on"),
("47","db_version","58975","on"),
("48","uploads_use_yearmonth_folders","1","on"),
("49","upload_path","","on"),
("50","blog_public","1","on"),
("51","default_link_category","2","on"),
("52","show_on_front","posts","on"),
("53","tag_base","","on"),
("54","show_avatars","1","on"),
("55","avatar_rating","G","on"),
("56","upload_url_path","","on"),
("57","thumbnail_size_w","150","on"),
("58","thumbnail_size_h","150","on"),
("59","thumbnail_crop","1","on"),
("60","medium_size_w","300","on"),
("61","medium_size_h","300","on"),
("62","avatar_default","mystery","on"),
("63","large_size_w","1024","on"),
("64","large_size_h","1024","on"),
("65","image_default_link_type","none","on"),
("66","image_default_size","","on"),
("67","image_default_align","","on"),
("68","close_comments_for_old_posts","0","on"),
("69","close_comments_days_old","14","on"),
("70","thread_comments","1","on"),
("71","thread_comments_depth","5","on"),
("72","page_comments","0","on"),
("73","comments_per_page","50","on"),
("74","default_comments_page","newest","on"),
("75","comment_order","asc","on"),
("76","sticky_posts","a:0:{}","on"),
("77","widget_categories","a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}","auto"),
("78","widget_text","a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}","auto"),
("79","widget_rss","a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}","auto"),
("80","uninstall_plugins","a:0:{}","off"),
("81","timezone_string","","on"),
("82","page_for_posts","0","on"),
("83","page_on_front","0","on"),
("84","default_post_format","0","on"),
("85","link_manager_enabled","0","on"),
("86","finished_splitting_shared_terms","1","on"),
("87","site_icon","0","on"),
("88","medium_large_size_w","768","on"),
("89","medium_large_size_h","0","on"),
("90","wp_page_for_privacy_policy","3","on"),
("91","show_comments_cookies_opt_in","1","on"),
("92","admin_email_lifespan","1751805038","on"),
("93","disallowed_keys","","off"),
("94","comment_previously_approved","1","on"),
("95","auto_plugin_theme_update_emails","a:0:{}","off"),
("96","auto_update_core_dev","enabled","on"),
("97","auto_update_core_minor","enabled","on"),
("98","auto_update_core_major","enabled","on"),
("99","wp_force_deactivated_plugins","a:0:{}","on"),
("100","wp_attachment_pages_enabled","0","on"),
("101","initial_db_version","58975","on"),
("102","zrO6sh_user_roles","a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:70:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:20:\"duplicator_pro_basic\";b:1;s:21:\"duplicator_pro_create\";b:1;s:23:\"duplicator_pro_schedule\";b:1;s:22:\"duplicator_pro_storage\";b:1;s:29:\"duplicator_pro_backup_restore\";b:1;s:21:\"duplicator_pro_import\";b:1;s:21:\"duplicator_pro_export\";b:1;s:23:\"duplicator_pro_settings\";b:1;s:22:\"duplicator_pro_license\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}","on"),
("103","fresh_site","0","off"),
("104","user_count","1","off"),
("105","widget_block","a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}","auto"),
("106","sidebars_widgets","a:2:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}s:13:\"array_version\";i:3;}","auto"),
("107","widget_pages","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("108","widget_calendar","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("109","widget_archives","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("110","widget_media_audio","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("111","widget_media_image","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("112","widget_media_gallery","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("113","widget_media_video","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("114","widget_meta","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("115","widget_search","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("116","widget_recent-posts","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("117","widget_recent-comments","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("118","widget_tag_cloud","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("119","widget_nav_menu","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("120","widget_custom_html","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("121","_transient_wp_core_block_css_files","a:2:{s:7:\"version\";s:5:\"6.7.1\";s:5:\"files\";a:540:{i:0;s:23:\"archives/editor-rtl.css\";i:1;s:27:\"archives/editor-rtl.min.css\";i:2;s:19:\"archives/editor.css\";i:3;s:23:\"archives/editor.min.css\";i:4;s:22:\"archives/style-rtl.css\";i:5;s:26:\"archives/style-rtl.min.css\";i:6;s:18:\"archives/style.css\";i:7;s:22:\"archives/style.min.css\";i:8;s:20:\"audio/editor-rtl.css\";i:9;s:24:\"audio/editor-rtl.min.css\";i:10;s:16:\"audio/editor.css\";i:11;s:20:\"audio/editor.min.css\";i:12;s:19:\"audio/style-rtl.css\";i:13;s:23:\"audio/style-rtl.min.css\";i:14;s:15:\"audio/style.css\";i:15;s:19:\"audio/style.min.css\";i:16;s:19:\"audio/theme-rtl.css\";i:17;s:23:\"audio/theme-rtl.min.css\";i:18;s:15:\"audio/theme.css\";i:19;s:19:\"audio/theme.min.css\";i:20;s:21:\"avatar/editor-rtl.css\";i:21;s:25:\"avatar/editor-rtl.min.css\";i:22;s:17:\"avatar/editor.css\";i:23;s:21:\"avatar/editor.min.css\";i:24;s:20:\"avatar/style-rtl.css\";i:25;s:24:\"avatar/style-rtl.min.css\";i:26;s:16:\"avatar/style.css\";i:27;s:20:\"avatar/style.min.css\";i:28;s:21:\"button/editor-rtl.css\";i:29;s:25:\"button/editor-rtl.min.css\";i:30;s:17:\"button/editor.css\";i:31;s:21:\"button/editor.min.css\";i:32;s:20:\"button/style-rtl.css\";i:33;s:24:\"button/style-rtl.min.css\";i:34;s:16:\"button/style.css\";i:35;s:20:\"button/style.min.css\";i:36;s:22:\"buttons/editor-rtl.css\";i:37;s:26:\"buttons/editor-rtl.min.css\";i:38;s:18:\"buttons/editor.css\";i:39;s:22:\"buttons/editor.min.css\";i:40;s:21:\"buttons/style-rtl.css\";i:41;s:25:\"buttons/style-rtl.min.css\";i:42;s:17:\"buttons/style.css\";i:43;s:21:\"buttons/style.min.css\";i:44;s:22:\"calendar/style-rtl.css\";i:45;s:26:\"calendar/style-rtl.min.css\";i:46;s:18:\"calendar/style.css\";i:47;s:22:\"calendar/style.min.css\";i:48;s:25:\"categories/editor-rtl.css\";i:49;s:29:\"categories/editor-rtl.min.css\";i:50;s:21:\"categories/editor.css\";i:51;s:25:\"categories/editor.min.css\";i:52;s:24:\"categories/style-rtl.css\";i:53;s:28:\"categories/style-rtl.min.css\";i:54;s:20:\"categories/style.css\";i:55;s:24:\"categories/style.min.css\";i:56;s:19:\"code/editor-rtl.css\";i:57;s:23:\"code/editor-rtl.min.css\";i:58;s:15:\"code/editor.css\";i:59;s:19:\"code/editor.min.css\";i:60;s:18:\"code/style-rtl.css\";i:61;s:22:\"code/style-rtl.min.css\";i:62;s:14:\"code/style.css\";i:63;s:18:\"code/style.min.css\";i:64;s:18:\"code/theme-rtl.css\";i:65;s:22:\"code/theme-rtl.min.css\";i:66;s:14:\"code/theme.css\";i:67;s:18:\"code/theme.min.css\";i:68;s:22:\"columns/editor-rtl.css\";i:69;s:26:\"columns/editor-rtl.min.css\";i:70;s:18:\"columns/editor.css\";i:71;s:22:\"columns/editor.min.css\";i:72;s:21:\"columns/style-rtl.css\";i:73;s:25:\"columns/style-rtl.min.css\";i:74;s:17:\"columns/style.css\";i:75;s:21:\"columns/style.min.css\";i:76;s:33:\"comment-author-name/style-rtl.css\";i:77;s:37:\"comment-author-name/style-rtl.min.css\";i:78;s:29:\"comment-author-name/style.css\";i:79;s:33:\"comment-author-name/style.min.css\";i:80;s:29:\"comment-content/style-rtl.css\";i:81;s:33:\"comment-content/style-rtl.min.css\";i:82;s:25:\"comment-content/style.css\";i:83;s:29:\"comment-content/style.min.css\";i:84;s:26:\"comment-date/style-rtl.css\";i:85;s:30:\"comment-date/style-rtl.min.css\";i:86;s:22:\"comment-date/style.css\";i:87;s:26:\"comment-date/style.min.css\";i:88;s:31:\"comment-edit-link/style-rtl.css\";i:89;s:35:\"comment-edit-link/style-rtl.min.css\";i:90;s:27:\"comment-edit-link/style.css\";i:91;s:31:\"comment-edit-link/style.min.css\";i:92;s:32:\"comment-reply-link/style-rtl.css\";i:93;s:36:\"comment-reply-link/style-rtl.min.css\";i:94;s:28:\"comment-reply-link/style.css\";i:95;s:32:\"comment-reply-link/style.min.css\";i:96;s:30:\"comment-template/style-rtl.css\";i:97;s:34:\"comment-template/style-rtl.min.css\";i:98;s:26:\"comment-template/style.css\";i:99;s:30:\"comment-template/style.min.css\";i:100;s:42:\"comments-pagination-numbers/editor-rtl.css\";i:101;s:46:\"comments-pagination-numbers/editor-rtl.min.css\";i:102;s:38:\"comments-pagination-numbers/editor.css\";i:103;s:42:\"comments-pagination-numbers/editor.min.css\";i:104;s:34:\"comments-pagination/editor-rtl.css\";i:105;s:38:\"comments-pagination/editor-rtl.min.css\";i:106;s:30:\"comments-pagination/editor.css\";i:107;s:34:\"comments-pagination/editor.min.css\";i:108;s:33:\"comments-pagination/style-rtl.css\";i:109;s:37:\"comments-pagination/style-rtl.min.css\";i:110;s:29:\"comments-pagination/style.css\";i:111;s:33:\"comments-pagination/style.min.css\";i:112;s:29:\"comments-title/editor-rtl.css\";i:113;s:33:\"comments-title/editor-rtl.min.css\";i:114;s:25:\"comments-title/editor.css\";i:115;s:29:\"comments-title/editor.min.css\";i:116;s:23:\"comments/editor-rtl.css\";i:117;s:27:\"comments/editor-rtl.min.css\";i:118;s:19:\"comments/editor.css\";i:119;s:23:\"comments/editor.min.css\";i:120;s:22:\"comments/style-rtl.css\";i:121;s:26:\"comments/style-rtl.min.css\";i:122;s:18:\"comments/style.css\";i:123;s:22:\"comments/style.min.css\";i:124;s:20:\"cover/editor-rtl.css\";i:125;s:24:\"cover/editor-rtl.min.css\";i:126;s:16:\"cover/editor.css\";i:127;s:20:\"cover/editor.min.css\";i:128;s:19:\"cover/style-rtl.css\";i:129;s:23:\"cover/style-rtl.min.css\";i:130;s:15:\"cover/style.css\";i:131;s:19:\"cover/style.min.css\";i:132;s:22:\"details/editor-rtl.css\";i:133;s:26:\"details/editor-rtl.min.css\";i:134;s:18:\"details/editor.css\";i:135;s:22:\"details/editor.min.css\";i:136;s:21:\"details/style-rtl.css\";i:137;s:25:\"details/style-rtl.min.css\";i:138;s:17:\"details/style.css\";i:139;s:21:\"details/style.min.css\";i:140;s:20:\"embed/editor-rtl.css\";i:141;s:24:\"embed/editor-rtl.min.css\";i:142;s:16:\"embed/editor.css\";i:143;s:20:\"embed/editor.min.css\";i:144;s:19:\"embed/style-rtl.css\";i:145;s:23:\"embed/style-rtl.min.css\";i:146;s:15:\"embed/style.css\";i:147;s:19:\"embed/style.min.css\";i:148;s:19:\"embed/theme-rtl.css\";i:149;s:23:\"embed/theme-rtl.min.css\";i:150;s:15:\"embed/theme.css\";i:151;s:19:\"embed/theme.min.css\";i:152;s:19:\"file/editor-rtl.css\";i:153;s:23:\"file/editor-rtl.min.css\";i:154;s:15:\"file/editor.css\";i:155;s:19:\"file/editor.min.css\";i:156;s:18:\"file/style-rtl.css\";i:157;s:22:\"file/style-rtl.min.css\";i:158;s:14:\"file/style.css\";i:159;s:18:\"file/style.min.css\";i:160;s:23:\"footnotes/style-rtl.css\";i:161;s:27:\"footnotes/style-rtl.min.css\";i:162;s:19:\"footnotes/style.css\";i:163;s:23:\"footnotes/style.min.css\";i:164;s:23:\"freeform/editor-rtl.css\";i:165;s:27:\"freeform/editor-rtl.min.css\";i:166;s:19:\"freeform/editor.css\";i:167;s:23:\"freeform/editor.min.css\";i:168;s:22:\"gallery/editor-rtl.css\";i:169;s:26:\"gallery/editor-rtl.min.css\";i:170;s:18:\"gallery/editor.css\";i:171;s:22:\"gallery/editor.min.css\";i:172;s:21:\"gallery/style-rtl.css\";i:173;s:25:\"gallery/style-rtl.min.css\";i:174;s:17:\"gallery/style.css\";i:175;s:21:\"gallery/style.min.css\";i:176;s:21:\"gallery/theme-rtl.css\";i:177;s:25:\"gallery/theme-rtl.min.css\";i:178;s:17:\"gallery/theme.css\";i:179;s:21:\"gallery/theme.min.css\";i:180;s:20:\"group/editor-rtl.css\";i:181;s:24:\"group/editor-rtl.min.css\";i:182;s:16:\"group/editor.css\";i:183;s:20:\"group/editor.min.css\";i:184;s:19:\"group/style-rtl.css\";i:185;s:23:\"group/style-rtl.min.css\";i:186;s:15:\"group/style.css\";i:187;s:19:\"group/style.min.css\";i:188;s:19:\"group/theme-rtl.css\";i:189;s:23:\"group/theme-rtl.min.css\";i:190;s:15:\"group/theme.css\";i:191;s:19:\"group/theme.min.css\";i:192;s:21:\"heading/style-rtl.css\";i:193;s:25:\"heading/style-rtl.min.css\";i:194;s:17:\"heading/style.css\";i:195;s:21:\"heading/style.min.css\";i:196;s:19:\"html/editor-rtl.css\";i:197;s:23:\"html/editor-rtl.min.css\";i:198;s:15:\"html/editor.css\";i:199;s:19:\"html/editor.min.css\";i:200;s:20:\"image/editor-rtl.css\";i:201;s:24:\"image/editor-rtl.min.css\";i:202;s:16:\"image/editor.css\";i:203;s:20:\"image/editor.min.css\";i:204;s:19:\"image/style-rtl.css\";i:205;s:23:\"image/style-rtl.min.css\";i:206;s:15:\"image/style.css\";i:207;s:19:\"image/style.min.css\";i:208;s:19:\"image/theme-rtl.css\";i:209;s:23:\"image/theme-rtl.min.css\";i:210;s:15:\"image/theme.css\";i:211;s:19:\"image/theme.min.css\";i:212;s:29:\"latest-comments/style-rtl.css\";i:213;s:33:\"latest-comments/style-rtl.min.css\";i:214;s:25:\"latest-comments/style.css\";i:215;s:29:\"latest-comments/style.min.css\";i:216;s:27:\"latest-posts/editor-rtl.css\";i:217;s:31:\"latest-posts/editor-rtl.min.css\";i:218;s:23:\"latest-posts/editor.css\";i:219;s:27:\"latest-posts/editor.min.css\";i:220;s:26:\"latest-posts/style-rtl.css\";i:221;s:30:\"latest-posts/style-rtl.min.css\";i:222;s:22:\"latest-posts/style.css\";i:223;s:26:\"latest-posts/style.min.css\";i:224;s:18:\"list/style-rtl.css\";i:225;s:22:\"list/style-rtl.min.css\";i:226;s:14:\"list/style.css\";i:227;s:18:\"list/style.min.css\";i:228;s:22:\"loginout/style-rtl.css\";i:229;s:26:\"loginout/style-rtl.min.css\";i:230;s:18:\"loginout/style.css\";i:231;s:22:\"loginout/style.min.css\";i:232;s:25:\"media-text/editor-rtl.css\";i:233;s:29:\"media-text/editor-rtl.min.css\";i:234;s:21:\"media-text/editor.css\";i:235;s:25:\"media-text/editor.min.css\";i:236;s:24:\"media-text/style-rtl.css\";i:237;s:28:\"media-text/style-rtl.min.css\";i:238;s:20:\"media-text/style.css\";i:239;s:24:\"media-text/style.min.css\";i:240;s:19:\"more/editor-rtl.css\";i:241;s:23:\"more/editor-rtl.min.css\";i:242;s:15:\"more/editor.css\";i:243;s:19:\"more/editor.min.css\";i:244;s:30:\"navigation-link/editor-rtl.css\";i:245;s:34:\"navigation-link/editor-rtl.min.css\";i:246;s:26:\"navigation-link/editor.css\";i:247;s:30:\"navigation-link/editor.min.css\";i:248;s:29:\"navigation-link/style-rtl.css\";i:249;s:33:\"navigation-link/style-rtl.min.css\";i:250;s:25:\"navigation-link/style.css\";i:251;s:29:\"navigation-link/style.min.css\";i:252;s:33:\"navigation-submenu/editor-rtl.css\";i:253;s:37:\"navigation-submenu/editor-rtl.min.css\";i:254;s:29:\"navigation-submenu/editor.css\";i:255;s:33:\"navigation-submenu/editor.min.css\";i:256;s:25:\"navigation/editor-rtl.css\";i:257;s:29:\"navigation/editor-rtl.min.css\";i:258;s:21:\"navigation/editor.css\";i:259;s:25:\"navigation/editor.min.css\";i:260;s:24:\"navigation/style-rtl.css\";i:261;s:28:\"navigation/style-rtl.min.css\";i:262;s:20:\"navigation/style.css\";i:263;s:24:\"navigation/style.min.css\";i:264;s:23:\"nextpage/editor-rtl.css\";i:265;s:27:\"nextpage/editor-rtl.min.css\";i:266;s:19:\"nextpage/editor.css\";i:267;s:23:\"nextpage/editor.min.css\";i:268;s:24:\"page-list/editor-rtl.css\";i:269;s:28:\"page-list/editor-rtl.min.css\";i:270;s:20:\"page-list/editor.css\";i:271;s:24:\"page-list/editor.min.css\";i:272;s:23:\"page-list/style-rtl.css\";i:273;s:27:\"page-list/style-rtl.min.css\";i:274;s:19:\"page-list/style.css\";i:275;s:23:\"page-list/style.min.css\";i:276;s:24:\"paragraph/editor-rtl.css\";i:277;s:28:\"paragraph/editor-rtl.min.css\";i:278;s:20:\"paragraph/editor.css\";i:279;s:24:\"paragraph/editor.min.css\";i:280;s:23:\"paragraph/style-rtl.css\";i:281;s:27:\"paragraph/style-rtl.min.css\";i:282;s:19:\"paragraph/style.css\";i:283;s:23:\"paragraph/style.min.css\";i:284;s:35:\"post-author-biography/style-rtl.css\";i:285;s:39:\"post-author-biography/style-rtl.min.css\";i:286;s:31:\"post-author-biography/style.css\";i:287;s:35:\"post-author-biography/style.min.css\";i:288;s:30:\"post-author-name/style-rtl.css\";i:289;s:34:\"post-author-name/style-rtl.min.css\";i:290;s:26:\"post-author-name/style.css\";i:291;s:30:\"post-author-name/style.min.css\";i:292;s:26:\"post-author/editor-rtl.css\";i:293;s:30:\"post-author/editor-rtl.min.css\";i:294;s:22:\"post-author/editor.css\";i:295;s:26:\"post-author/editor.min.css\";i:296;s:25:\"post-author/style-rtl.css\";i:297;s:29:\"post-author/style-rtl.min.css\";i:298;s:21:\"post-author/style.css\";i:299;s:25:\"post-author/style.min.css\";i:300;s:33:\"post-comments-form/editor-rtl.css\";i:301;s:37:\"post-comments-form/editor-rtl.min.css\";i:302;s:29:\"post-comments-form/editor.css\";i:303;s:33:\"post-comments-form/editor.min.css\";i:304;s:32:\"post-comments-form/style-rtl.css\";i:305;s:36:\"post-comments-form/style-rtl.min.css\";i:306;s:28:\"post-comments-form/style.css\";i:307;s:32:\"post-comments-form/style.min.css\";i:308;s:27:\"post-content/editor-rtl.css\";i:309;s:31:\"post-content/editor-rtl.min.css\";i:310;s:23:\"post-content/editor.css\";i:311;s:27:\"post-content/editor.min.css\";i:312;s:26:\"post-content/style-rtl.css\";i:313;s:30:\"post-content/style-rtl.min.css\";i:314;s:22:\"post-content/style.css\";i:315;s:26:\"post-content/style.min.css\";i:316;s:23:\"post-date/style-rtl.css\";i:317;s:27:\"post-date/style-rtl.min.css\";i:318;s:19:\"post-date/style.css\";i:319;s:23:\"post-date/style.min.css\";i:320;s:27:\"post-excerpt/editor-rtl.css\";i:321;s:31:\"post-excerpt/editor-rtl.min.css\";i:322;s:23:\"post-excerpt/editor.css\";i:323;s:27:\"post-excerpt/editor.min.css\";i:324;s:26:\"post-excerpt/style-rtl.css\";i:325;s:30:\"post-excerpt/style-rtl.min.css\";i:326;s:22:\"post-excerpt/style.css\";i:327;s:26:\"post-excerpt/style.min.css\";i:328;s:34:\"post-featured-image/editor-rtl.css\";i:329;s:38:\"post-featured-image/editor-rtl.min.css\";i:330;s:30:\"post-featured-image/editor.css\";i:331;s:34:\"post-featured-image/editor.min.css\";i:332;s:33:\"post-featured-image/style-rtl.css\";i:333;s:37:\"post-featured-image/style-rtl.min.css\";i:334;s:29:\"post-featured-image/style.css\";i:335;s:33:\"post-featured-image/style.min.css\";i:336;s:34:\"post-navigation-link/style-rtl.css\";i:337;s:38:\"post-navigation-link/style-rtl.min.css\";i:338;s:30:\"post-navigation-link/style.css\";i:339;s:34:\"post-navigation-link/style.min.css\";i:340;s:28:\"post-template/editor-rtl.css\";i:341;s:32:\"post-template/editor-rtl.min.css\";i:342;s:24:\"post-template/editor.css\";i:343;s:28:\"post-template/editor.min.css\";i:344;s:27:\"post-template/style-rtl.css\";i:345;s:31:\"post-template/style-rtl.min.css\";i:346;s:23:\"post-template/style.css\";i:347;s:27:\"post-template/style.min.css\";i:348;s:24:\"post-terms/style-rtl.css\";i:349;s:28:\"post-terms/style-rtl.min.css\";i:350;s:20:\"post-terms/style.css\";i:351;s:24:\"post-terms/style.min.css\";i:352;s:24:\"post-title/style-rtl.css\";i:353;s:28:\"post-title/style-rtl.min.css\";i:354;s:20:\"post-title/style.css\";i:355;s:24:\"post-title/style.min.css\";i:356;s:26:\"preformatted/style-rtl.css\";i:357;s:30:\"preformatted/style-rtl.min.css\";i:358;s:22:\"preformatted/style.css\";i:359;s:26:\"preformatted/style.min.css\";i:360;s:24:\"pullquote/editor-rtl.css\";i:361;s:28:\"pullquote/editor-rtl.min.css\";i:362;s:20:\"pullquote/editor.css\";i:363;s:24:\"pullquote/editor.min.css\";i:364;s:23:\"pullquote/style-rtl.css\";i:365;s:27:\"pullquote/style-rtl.min.css\";i:366;s:19:\"pullquote/style.css\";i:367;s:23:\"pullquote/style.min.css\";i:368;s:23:\"pullquote/theme-rtl.css\";i:369;s:27:\"pullquote/theme-rtl.min.css\";i:370;s:19:\"pullquote/theme.css\";i:371;s:23:\"pullquote/theme.min.css\";i:372;s:39:\"query-pagination-numbers/editor-rtl.css\";i:373;s:43:\"query-pagination-numbers/editor-rtl.min.css\";i:374;s:35:\"query-pagination-numbers/editor.css\";i:375;s:39:\"query-pagination-numbers/editor.min.css\";i:376;s:31:\"query-pagination/editor-rtl.css\";i:377;s:35:\"query-pagination/editor-rtl.min.css\";i:378;s:27:\"query-pagination/editor.css\";i:379;s:31:\"query-pagination/editor.min.css\";i:380;s:30:\"query-pagination/style-rtl.css\";i:381;s:34:\"query-pagination/style-rtl.min.css\";i:382;s:26:\"query-pagination/style.css\";i:383;s:30:\"query-pagination/style.min.css\";i:384;s:25:\"query-title/style-rtl.css\";i:385;s:29:\"query-title/style-rtl.min.css\";i:386;s:21:\"query-title/style.css\";i:387;s:25:\"query-title/style.min.css\";i:388;s:20:\"query/editor-rtl.css\";i:389;s:24:\"query/editor-rtl.min.css\";i:390;s:16:\"query/editor.css\";i:391;s:20:\"query/editor.min.css\";i:392;s:19:\"quote/style-rtl.css\";i:393;s:23:\"quote/style-rtl.min.css\";i:394;s:15:\"quote/style.css\";i:395;s:19:\"quote/style.min.css\";i:396;s:19:\"quote/theme-rtl.css\";i:397;s:23:\"quote/theme-rtl.min.css\";i:398;s:15:\"quote/theme.css\";i:399;s:19:\"quote/theme.min.css\";i:400;s:23:\"read-more/style-rtl.css\";i:401;s:27:\"read-more/style-rtl.min.css\";i:402;s:19:\"read-more/style.css\";i:403;s:23:\"read-more/style.min.css\";i:404;s:18:\"rss/editor-rtl.css\";i:405;s:22:\"rss/editor-rtl.min.css\";i:406;s:14:\"rss/editor.css\";i:407;s:18:\"rss/editor.min.css\";i:408;s:17:\"rss/style-rtl.css\";i:409;s:21:\"rss/style-rtl.min.css\";i:410;s:13:\"rss/style.css\";i:411;s:17:\"rss/style.min.css\";i:412;s:21:\"search/editor-rtl.css\";i:413;s:25:\"search/editor-rtl.min.css\";i:414;s:17:\"search/editor.css\";i:415;s:21:\"search/editor.min.css\";i:416;s:20:\"search/style-rtl.css\";i:417;s:24:\"search/style-rtl.min.css\";i:418;s:16:\"search/style.css\";i:419;s:20:\"search/style.min.css\";i:420;s:20:\"search/theme-rtl.css\";i:421;s:24:\"search/theme-rtl.min.css\";i:422;s:16:\"search/theme.css\";i:423;s:20:\"search/theme.min.css\";i:424;s:24:\"separator/editor-rtl.css\";i:425;s:28:\"separator/editor-rtl.min.css\";i:426;s:20:\"separator/editor.css\";i:427;s:24:\"separator/editor.min.css\";i:428;s:23:\"separator/style-rtl.css\";i:429;s:27:\"separator/style-rtl.min.css\";i:430;s:19:\"separator/style.css\";i:431;s:23:\"separator/style.min.css\";i:432;s:23:\"separator/theme-rtl.css\";i:433;s:27:\"separator/theme-rtl.min.css\";i:434;s:19:\"separator/theme.css\";i:435;s:23:\"separator/theme.min.css\";i:436;s:24:\"shortcode/editor-rtl.css\";i:437;s:28:\"shortcode/editor-rtl.min.css\";i:438;s:20:\"shortcode/editor.css\";i:439;s:24:\"shortcode/editor.min.css\";i:440;s:24:\"site-logo/editor-rtl.css\";i:441;s:28:\"site-logo/editor-rtl.min.css\";i:442;s:20:\"site-logo/editor.css\";i:443;s:24:\"site-logo/editor.min.css\";i:444;s:23:\"site-logo/style-rtl.css\";i:445;s:27:\"site-logo/style-rtl.min.css\";i:446;s:19:\"site-logo/style.css\";i:447;s:23:\"site-logo/style.min.css\";i:448;s:27:\"site-tagline/editor-rtl.css\";i:449;s:31:\"site-tagline/editor-rtl.min.css\";i:450;s:23:\"site-tagline/editor.css\";i:451;s:27:\"site-tagline/editor.min.css\";i:452;s:26:\"site-tagline/style-rtl.css\";i:453;s:30:\"site-tagline/style-rtl.min.css\";i:454;s:22:\"site-tagline/style.css\";i:455;s:26:\"site-tagline/style.min.css\";i:456;s:25:\"site-title/editor-rtl.css\";i:457;s:29:\"site-title/editor-rtl.min.css\";i:458;s:21:\"site-title/editor.css\";i:459;s:25:\"site-title/editor.min.css\";i:460;s:24:\"site-title/style-rtl.css\";i:461;s:28:\"site-title/style-rtl.min.css\";i:462;s:20:\"site-title/style.css\";i:463;s:24:\"site-title/style.min.css\";i:464;s:26:\"social-link/editor-rtl.css\";i:465;s:30:\"social-link/editor-rtl.min.css\";i:466;s:22:\"social-link/editor.css\";i:467;s:26:\"social-link/editor.min.css\";i:468;s:27:\"social-links/editor-rtl.css\";i:469;s:31:\"social-links/editor-rtl.min.css\";i:470;s:23:\"social-links/editor.css\";i:471;s:27:\"social-links/editor.min.css\";i:472;s:26:\"social-links/style-rtl.css\";i:473;s:30:\"social-links/style-rtl.min.css\";i:474;s:22:\"social-links/style.css\";i:475;s:26:\"social-links/style.min.css\";i:476;s:21:\"spacer/editor-rtl.css\";i:477;s:25:\"spacer/editor-rtl.min.css\";i:478;s:17:\"spacer/editor.css\";i:479;s:21:\"spacer/editor.min.css\";i:480;s:20:\"spacer/style-rtl.css\";i:481;s:24:\"spacer/style-rtl.min.css\";i:482;s:16:\"spacer/style.css\";i:483;s:20:\"spacer/style.min.css\";i:484;s:20:\"table/editor-rtl.css\";i:485;s:24:\"table/editor-rtl.min.css\";i:486;s:16:\"table/editor.css\";i:487;s:20:\"table/editor.min.css\";i:488;s:19:\"table/style-rtl.css\";i:489;s:23:\"table/style-rtl.min.css\";i:490;s:15:\"table/style.css\";i:491;s:19:\"table/style.min.css\";i:492;s:19:\"table/theme-rtl.css\";i:493;s:23:\"table/theme-rtl.min.css\";i:494;s:15:\"table/theme.css\";i:495;s:19:\"table/theme.min.css\";i:496;s:24:\"tag-cloud/editor-rtl.css\";i:497;s:28:\"tag-cloud/editor-rtl.min.css\";i:498;s:20:\"tag-cloud/editor.css\";i:499;s:24:\"tag-cloud/editor.min.css\";i:500;s:23:\"tag-cloud/style-rtl.css\";i:501;s:27:\"tag-cloud/style-rtl.min.css\";i:502;s:19:\"tag-cloud/style.css\";i:503;s:23:\"tag-cloud/style.min.css\";i:504;s:28:\"template-part/editor-rtl.css\";i:505;s:32:\"template-part/editor-rtl.min.css\";i:506;s:24:\"template-part/editor.css\";i:507;s:28:\"template-part/editor.min.css\";i:508;s:27:\"template-part/theme-rtl.css\";i:509;s:31:\"template-part/theme-rtl.min.css\";i:510;s:23:\"template-part/theme.css\";i:511;s:27:\"template-part/theme.min.css\";i:512;s:30:\"term-description/style-rtl.css\";i:513;s:34:\"term-description/style-rtl.min.css\";i:514;s:26:\"term-description/style.css\";i:515;s:30:\"term-description/style.min.css\";i:516;s:27:\"text-columns/editor-rtl.css\";i:517;s:31:\"text-columns/editor-rtl.min.css\";i:518;s:23:\"text-columns/editor.css\";i:519;s:27:\"text-columns/editor.min.css\";i:520;s:26:\"text-columns/style-rtl.css\";i:521;s:30:\"text-columns/style-rtl.min.css\";i:522;s:22:\"text-columns/style.css\";i:523;s:26:\"text-columns/style.min.css\";i:524;s:19:\"verse/style-rtl.css\";i:525;s:23:\"verse/style-rtl.min.css\";i:526;s:15:\"verse/style.css\";i:527;s:19:\"verse/style.min.css\";i:528;s:20:\"video/editor-rtl.css\";i:529;s:24:\"video/editor-rtl.min.css\";i:530;s:16:\"video/editor.css\";i:531;s:20:\"video/editor.min.css\";i:532;s:19:\"video/style-rtl.css\";i:533;s:23:\"video/style-rtl.min.css\";i:534;s:15:\"video/style.css\";i:535;s:19:\"video/style.min.css\";i:536;s:19:\"video/theme-rtl.css\";i:537;s:23:\"video/theme-rtl.min.css\";i:538;s:15:\"video/theme.css\";i:539;s:19:\"video/theme.min.css\";}}","on"),
("125","nonce_key","UBfmfl7]$J<mtD1k_]DNEEyY~r7rp?bNL9)jBc+CbBE rVkaed:@rG#:&IddIjln","off"),
("126","nonce_salt","!+<z<QRxwWZrSZTc66]G]a(BI~jV)4ml+W:2_ic8 >;((69zF$Z->aEC?^fU.Nk1","off"),
("127","recovery_keys","a:0:{}","off"),
("128","theme_mods_twentytwentyfive","a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736280705;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}}}}","off"),
("129","_transient_wp_styles_for_blocks","a:2:{s:4:\"hash\";s:32:\"5fac7a7d128552dacfaa7bc0a1be61f1\";s:6:\"blocks\";a:5:{s:11:\"core/button\";s:0:\"\";s:14:\"core/site-logo\";s:0:\"\";s:18:\"core/post-template\";s:0:\"\";s:12:\"core/columns\";s:0:\"\";s:14:\"core/pullquote\";s:121:\":root :where(.wp-block-pullquote){font-size: clamp(0.984em, 0.984rem + ((1vw - 0.2em) * 0.503), 1.5em);line-height: 1.6;}\";}}","on"),
("140","can_compress_scripts","1","on"),
("149","_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9","1736296376","off"),
("153","WPLANG","fa_IR","auto"),
("154","new_admin_email","admin@hamzehhemmati.ir","auto"),
("159","finished_updating_comment_type","1","auto"),
("171","_site_transient_wp_plugin_dependencies_plugin_data","a:0:{}","off"),
("180","muki_ai_summary_auto_generate","a:2:{s:6:\"single\";b:0;s:4:\"list\";b:0;}","auto"),
("181","recently_activated","a:1:{s:35:\"ezpz-admin-chat/ezpz-admin-chat.php\";i:1737290668;}","off"),
("188","muki_ai_last_error","OpenAI API key not set","auto"),
("225","current_theme","JetNews Magazine","auto"),
("226","theme_mods_cinema-house","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736322644;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("227","theme_switched","","auto"),
("241","duplicator_pro_license_key","activated","auto"),
("242","duplicator_pro_capabilities","a:9:{s:20:\"duplicator_pro_basic\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:21:\"duplicator_pro_create\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:23:\"duplicator_pro_schedule\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:22:\"duplicator_pro_storage\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:29:\"duplicator_pro_backup_restore\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:21:\"duplicator_pro_import\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:21:\"duplicator_pro_export\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:23:\"duplicator_pro_settings\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}s:22:\"duplicator_pro_license\";a:2:{s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:5:\"users\";a:0:{}}}","auto"),
("243","edd_sl_d4cddcbfacec1cb84c2108addd3c8f99","a:2:{s:7:\"timeout\";i:1737372020;s:5:\"value\";s:3365:\"{\"new_version\":\"4.5.20.1\",\"stable_version\":\"4.5.20.1\",\"name\":\"Duplicator Pro\",\"slug\":\"duplicator-pro\",\"url\":\"https:\\/\\/duplicator.com\\/downloads\\/duplicator-pro\\/?changelog=1\",\"last_updated\":\"2024-12-17 15:49:22\",\"homepage\":\"https:\\/\\/duplicator.com\\/downloads\\/duplicator-pro\\/\",\"package\":\"\",\"download_link\":\"\",\"sections\":{\"description\":\"<h4> WordPress Backup &amp; Migration Plugin <\\/h4>\\n<p><a href=\\\"https:\\/\\/duplicator.com\\\">Duplicator PRO<\\/a> provides a simple way to move WordPress sites, create reliable backups, or clone a site for staging. With Duplicator, you can easily migrate, transfer, or clone your WordPress site between domains or hosts with no downtime. Create full backups of your website, or package your entire site to download and install elsewhere with only a few steps.<\\/p>\\n<p>At Duplicator, reliabilty, security, and ease of use are our top priorities. Our variety of cloud backup integrations and easy migration wizard make Duplicator the most beginner-friendly backup and migration plugin on the market. You don\'t have to hire a developer. Create a backup and migrate sites in just a few minutes.<\\/p>\\n<p>Duplicator Pro comes with scheduled backups, cloud storage integrations, multisite support, and more.<\\/p>\",\"changelog\":\"<p>Please see the following url:\\n<a href=\\\"https:\\/\\/duplicator.com\\/knowledge-base\\/changelog\\\">https:\\/\\/duplicator.com\\/knowledge-base\\/changelog<\\/a><\\/p>\"},\"banners\":{\"high\":\"\",\"low\":\"\"},\"icons\":{\"1x\":\"https:\\/\\/duplicator.com\\/wp-content\\/uploads\\/edd\\/2023\\/10\\/icon-256x256-1-128x128.png\",\"2x\":\"https:\\/\\/duplicator.com\\/wp-content\\/uploads\\/edd\\/2023\\/10\\/icon-256x256-1.png\"},\"msg\":\"No license key has been provided.\",\"contributors\":{\"seedprod\":{\"display_name\":\"seedprod\",\"profile\":\"\\/\\/profiles.wordpress.org\\/seedprod\",\"avatar\":\"https:\\/\\/wordpress.org\\/grav-redirect.php?user=seedprod\"},\"smub\":{\"display_name\":\"smub\",\"profile\":\"\\/\\/profiles.wordpress.org\\/smub\",\"avatar\":\"https:\\/\\/wordpress.org\\/grav-redirect.php?user=smub\"},\"andreamk\":{\"display_name\":\"andreamk\",\"profile\":\"\\/\\/profiles.wordpress.org\\/andreamk\",\"avatar\":\"https:\\/\\/wordpress.org\\/grav-redirect.php?user=andreamk\"}},\"tested\":\"6.7.99\",\"description\":[\"<h4> WordPress Backup &amp; Migration Plugin <\\/h4>\\n<p><a href=\\\"https:\\/\\/duplicator.com\\\">Duplicator PRO<\\/a> provides a simple way to move WordPress sites, create reliable backups, or clone a site for staging. With Duplicator, you can easily migrate, transfer, or clone your WordPress site between domains or hosts with no downtime. Create full backups of your website, or package your entire site to download and install elsewhere with only a few steps.<\\/p>\\n<p>At Duplicator, reliabilty, security, and ease of use are our top priorities. Our variety of cloud backup integrations and easy migration wizard make Duplicator the most beginner-friendly backup and migration plugin on the market. You don\'t have to hire a developer. Create a backup and migrate sites in just a few minutes.<\\/p>\\n<p>Duplicator Pro comes with scheduled backups, cloud storage integrations, multisite support, and more.<\\/p>\"],\"changelog\":[\"<p>Please see the following url:\\n<a href=\\\"https:\\/\\/duplicator.com\\/knowledge-base\\/changelog\\\">https:\\/\\/duplicator.com\\/knowledge-base\\/changelog<\\/a><\\/p>\"],\"plugin\":\"duplicator-pro\\/duplicator-pro.php\",\"id\":\"duplicator-pro\\/duplicator-pro.php\"}\";}","off"),
("246","duplicator_pro_plugin_data_stats","{\n    \"CL_-=_-=\": \"Duplicator\\\\Utils\\\\UsageStatistics\\\\PluginData\",\n    \"lastSendTime\": 1737360911,\n    \"identifier\": \"k-gqrY0DKNLfZSgGPggf5nY;RJUtH=1cDDIXCkQFJ4A3\",\n    \"plugin\": \"dup-pro\",\n    \"pluginStatus\": \"active\",\n    \"anonymous\": false,\n    \"buildCount\": 7,\n    \"buildLastDate\": 1737302792,\n    \"buildFailedCount\": 0,\n    \"buildFailedLastDate\": 0,\n    \"packagesBuildCompFullCount\": 7,\n    \"packagesBuildCompDbOnlyCount\": 0,\n    \"packagesBuildCompMdOnlyCount\": 0,\n    \"packagesBuildCompCustomCount\": 0,\n    \"packagesBuildCompCustomOnlyActiveCount\": 0,\n    \"schedulesBuildCount\": 0,\n    \"schedulesBuildLastDate\": 0,\n    \"schedulesBuildFailedCount\": 0,\n    \"schedulesBuildFailedLastDate\": 0,\n    \"schedulesBuildCompFullCount\": 0,\n    \"schedulesBuildCompDbOnlyCount\": 0,\n    \"schedulesBuildCompMdOnlyCount\": 0,\n    \"schedulesBuildCompCustomCount\": 0,\n    \"schedulesBuildCompCustomOnlyActiveCount\": 0,\n    \"usedRecoveryCount\": 0,\n    \"siteSizeMB\": 97.62,\n    \"siteNumFiles\": 6993,\n    \"siteDbSizeMB\": 7.38,\n    \"siteDbNumTables\": 14\n}","auto"),
("247","duplicator_pro_notifications","a:4:{s:6:\"update\";i:1737360937;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}","auto"),
("253","duplicator_pro_package_active","{\n    \"ID\": null,\n    \"VersionWP\": \"6.7.1\",\n    \"VersionDB\": \"10.3.39\",\n    \"VersionPHP\": \"8.1.29\",\n    \"VersionOS\": \"Linux\",\n    \"Name\": \"jetnewsmagazineLamerdWeb\",\n    \"Hash\": \"111bf9c9c821aa585185_20250120084048\",\n    \"Type\": 0,\n    \"notes\": \"\",\n    \"StorePath\": \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\\/tmp\",\n    \"StoreURL\": \"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/backups-dup-pro\\/\",\n    \"ScanFile\": \"jetnewsmagazineLamerdWeb_111bf9c9c821aa585185_20250120084048_scan.json\",\n    \"timer_start\": -1,\n    \"Runtime\": \"\",\n    \"ExeSize\": \"0\",\n    \"ZipSize\": \"0\",\n    \"Brand\": \"\\u067e\\u06cc\\u0634 \\u0641\\u0631\\u0636\",\n    \"Brand_ID\": -1,\n    \"ziparchive_mode\": 0,\n    \"Archive\": {\n        \"ExportOnlyDB\": false,\n        \"FilterDirs\": \"\",\n        \"FilterExts\": \"\",\n        \"FilterFiles\": \"\",\n        \"FilterDirsAll\": [\n            \"\\/home\\/hamzehhe\\/public_html\\/.opcache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/.tmb\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/ai1wm-backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-lite\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backupwordpress\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/bps-backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/content\\/cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/contents\\/cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/infinitewp\\/backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/managewp\\/backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/old-cache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/all-in-one-wp-migration\\/storage\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/really-simple-captcha\\/tmp\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/wordfence\\/tmp\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/updraft\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/aiowps_backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backup-guard\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_temp\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/ithemes-security\\/backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/mainwp\\/backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/pb_backupbuddy\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/snapshots\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/sucuri\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp-clone\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp_all_backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wpbackitup_backups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wfcache\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wishlist-backup\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wpvividbackups\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-snapshots\"\n        ],\n        \"FilterExtsAll\": [],\n        \"FilterFilesAll\": [\n            \".DS_Store\",\n            \"\\/home\\/hamzehhe\\/public_html\\/.htaccess\",\n            \"\\/home\\/hamzehhe\\/public_html\\/.user.ini\",\n            \"\\/home\\/hamzehhe\\/public_html\\/php.ini\",\n            \"\\/home\\/hamzehhe\\/public_html\\/web.config\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-config.php\",\n            \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/debug.log\",\n            \"dbcache\",\n            \"debug_log\",\n            \"error_log\",\n            \"objectcache\",\n            \"pgcache\",\n            \"ws_ftp.log\"\n        ],\n        \"FilterOn\": false,\n        \"FilterNames\": false,\n        \"File\": null,\n        \"Format\": \"ZIP\",\n        \"PackDir\": \"\\/home\\/hamzehhe\\/public_html\",\n        \"Size\": 102361047,\n        \"Dirs\": [],\n        \"DirCount\": 981,\n        \"RecursiveLinks\": [],\n        \"Files\": [],\n        \"FileCount\": 6012,\n        \"file_count\": -1,\n        \"FilterInfo\": {\n            \"Dirs\": {\n                \"AddonSites\": [],\n                \"Size\": [],\n                \"Core\": [],\n                \"Global\": [\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-snapshots\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.opcache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.tmb\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-lite\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backups-dup-pro\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/ai1wm-backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/backupwordpress\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/content\\/cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/contents\\/cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/infinitewp\\/backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/managewp\\/backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/old-cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/updraft\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wpvividbackups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wishlist-backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/wfcache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/bps-backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/cache\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/aiowps_backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_temp\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backupbuddy_backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/ithemes-security\\/backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/mainwp\\/backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/pb_backupbuddy\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/snapshots\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/sucuri\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp-clone\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wp_all_backup\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/wpbackitup_backups\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/uploads\\/backup-guard\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/all-in-one-wp-migration\\/storage\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/really-simple-captcha\\/tmp\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/plugins\\/wordfence\\/tmp\"\n                ],\n                \"Instance\": [],\n                \"Unreadable\": []\n            },\n            \"Files\": {\n                \"Size\": [],\n                \"Core\": [],\n                \"Global\": [\n                    \"error_log\",\n                    \"debug_log\",\n                    \"ws_ftp.log\",\n                    \"dbcache\",\n                    \"pgcache\",\n                    \"objectcache\",\n                    \".DS_Store\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.htaccess\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/.user.ini\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/php.ini\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/web.config\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-content\\/debug.log\",\n                    \"\\/home\\/hamzehhe\\/public_html\\/wp-config.php\"\n                ],\n                \"Instance\": [],\n                \"Unreadable\": []\n            },\n            \"Exts\": {\n                \"Core\": [],\n                \"Global\": [],\n                \"Instance\": [],\n                \"Unreadable\": []\n            },\n            \"TreeSize\": {\n                \"treeList\": []\n            }\n        },\n        \"ListDelimiter\": \"\\n\"\n    },\n    \"Multisite\": {\n        \"FilterSites\": []\n    },\n    \"Installer\": {\n        \"File\": \"\",\n        \"Size\": 0,\n        \"OptsSecureOn\": 0,\n        \"passowrd\": \"HR\\/SrV6lQbjNYWMPoKVUQFbM0spu4152t3UEXpK5atYz+Ssb5PPS5Jo8vanWN09GF6eK6oRErtJlODxej212xw==\",\n        \"OptsSecurePass\": \"\",\n        \"OptsSkipScan\": 0,\n        \"OptsDBHost\": \"\",\n        \"OptsDBName\": \"\",\n        \"OptsDBUser\": \"\",\n        \"OptsCPNLHost\": \"\",\n        \"OptsCPNLUser\": \"\",\n        \"OptsCPNLPass\": \"\",\n        \"OptsCPNLEnable\": 0,\n        \"OptsCPNLConnect\": false,\n        \"OptsCPNLDBAction\": \"create\",\n        \"OptsCPNLDBHost\": \"\",\n        \"OptsCPNLDBName\": \"\",\n        \"OptsCPNLDBUser\": \"\",\n        \"numFilesAdded\": 0,\n        \"numDirsAdded\": 0\n    },\n    \"Database\": {\n        \"info\": {\n            \"buildMode\": \"PHPCHUNKING\",\n            \"charSetList\": [\n                \"utf8mb4\"\n            ],\n            \"collationList\": [\n                \"utf8mb4_unicode_520_ci\"\n            ],\n            \"engineList\": [\n                \"InnoDB\"\n            ],\n            \"isTablesUpperCase\": true,\n            \"lowerCaseTableNames\": 0,\n            \"isNameUpperCase\": false,\n            \"name\": \"hamzehhe_wp_1rl0p\",\n            \"tablesBaseCount\": 14,\n            \"tablesFinalCount\": 14,\n            \"muFilteredTableCount\": 0,\n            \"tablesRowCount\": 471,\n            \"tablesSizeOnDisk\": 7733248,\n            \"tablesList\": {\n                \"zrO6sh_commentmeta\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_comments\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 98304\n                },\n                \"zrO6sh_duplicator_backups\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 163840\n                },\n                \"zrO6sh_duplicator_entities\": {\n                    \"inaccurateRows\": \"9\",\n                    \"insertedRows\": 0,\n                    \"size\": 163840\n                },\n                \"zrO6sh_links\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 32768\n                },\n                \"zrO6sh_options\": {\n                    \"inaccurateRows\": \"210\",\n                    \"insertedRows\": 0,\n                    \"size\": 4276224\n                },\n                \"zrO6sh_postmeta\": {\n                    \"inaccurateRows\": \"57\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_posts\": {\n                    \"inaccurateRows\": \"98\",\n                    \"insertedRows\": 0,\n                    \"size\": 2605056\n                },\n                \"zrO6sh_termmeta\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_terms\": {\n                    \"inaccurateRows\": \"7\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_term_relationships\": {\n                    \"inaccurateRows\": \"57\",\n                    \"insertedRows\": 0,\n                    \"size\": 32768\n                },\n                \"zrO6sh_term_taxonomy\": {\n                    \"inaccurateRows\": \"7\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_usermeta\": {\n                    \"inaccurateRows\": \"26\",\n                    \"insertedRows\": 0,\n                    \"size\": 49152\n                },\n                \"zrO6sh_users\": {\n                    \"inaccurateRows\": \"0\",\n                    \"insertedRows\": 0,\n                    \"size\": 65536\n                }\n            },\n            \"dbEngine\": \"MariaDB\",\n            \"version\": \"10.3.39\",\n            \"versionComment\": \"MariaDB Server\",\n            \"viewCount\": 0,\n            \"procCount\": 0,\n            \"funcCount\": 0,\n            \"triggerList\": []\n        },\n        \"Type\": \"MySQL\",\n        \"Size\": 0,\n        \"File\": \"\",\n        \"FilterTables\": \"\",\n        \"FilterOn\": false,\n        \"prefixFilter\": false,\n        \"prefixSubFilter\": false,\n        \"DBMode\": \"PHP\",\n        \"Compatible\": \"\",\n        \"Comments\": \"MariaDB Server\",\n        \"dbStorePathPublic\": \"\"\n    },\n    \"components\": [\n        \"package_component_db\",\n        \"package_component_core\",\n        \"package_component_plugins\",\n        \"package_component_themes\",\n        \"package_component_uploads\",\n        \"package_component_other\"\n    ],\n    \"Status\": 5,\n    \"schedule_id\": -1,\n    \"descriptorsMng\": null,\n    \"build_progress\": {\n        \"thread_start_time\": 0,\n        \"initialized\": false,\n        \"installer_built\": false,\n        \"archive_started\": false,\n        \"archive_start_time\": 0,\n        \"archive_has_database\": false,\n        \"archive_built\": false,\n        \"database_script_built\": false,\n        \"failed\": false,\n        \"next_archive_file_index\": 0,\n        \"next_archive_dir_index\": 0,\n        \"retries\": 0,\n        \"current_build_mode\": 1,\n        \"current_build_compression\": true,\n        \"dupCreate\": null,\n        \"dupExpand\": null,\n        \"warnings\": []\n    },\n    \"db_build_progress\": {\n        \"tablesToProcess\": [],\n        \"validationStage1\": false,\n        \"doneInit\": false,\n        \"doneFiltering\": false,\n        \"doneCreates\": false,\n        \"completed\": false,\n        \"startTime\": 0,\n        \"wasInterrupted\": false,\n        \"errorOut\": false,\n        \"failureCount\": 0,\n        \"countCheckData\": {\n            \"impreciseTotalRows\": 0,\n            \"countTotal\": 0,\n            \"tables\": []\n        }\n    },\n    \"upload_infos\": [\n        {\n            \"storage_id\": 3,\n            \"archive_offset\": 0,\n            \"copied_installer\": false,\n            \"copied_archive\": false,\n            \"progress\": 0,\n            \"num_failures\": 0,\n            \"failed\": false,\n            \"cancelled\": false,\n            \"upload_id\": null,\n            \"failure_count\": 0,\n            \"data\": \"\",\n            \"data2\": \"\",\n            \"has_started\": false,\n            \"status_message_details\": \"\",\n            \"started_timestamp\": 0,\n            \"stopped_timestamp\": 0,\n            \"chunkPosition\": [],\n            \"storage\": null,\n            \"packageExists\": true,\n            \"isDownloadFromRemote\": false,\n            \"copyExtraData\": []\n        }\n    ],\n    \"active_storage_id\": -1,\n    \"template_id\": 6,\n    \"buildEmailSent\": false,\n    \"version\": \"4.5.20.1\",\n    \"created\": \"2025-01-20 08:40:48\",\n    \"updated\": \"2025-01-20 08:40:52\",\n    \"flags\": [\n        \"MANUAL\",\n        \"ZIP_ARCHIVE\"\n    ],\n    \"flagUpdatedAfterLoad\": false\n}","auto"),
("300","dismissed-get_started_notice","","auto"),
("302","theme_mods_twentytwentyfour","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736422824;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("313","theme_mods_spike-business","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736331925;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("362","theme_mods_spike-construction","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736408995;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("386","_transient_health-check-site-status-result","{\"good\":18,\"recommended\":5,\"critical\":0}","on"),
("456","theme_mods_hello-elementor","a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736422771;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("457","hello_theme_version","3.2.1","auto"),
("483","theme_mods_nexal","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736496391;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("645","theme_mods_plover","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1736938883;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("989","_site_transient_timeout_browser_0845b309c7b9b957afd9ecf775a4c21f","1737543586","off"),
("990","_site_transient_browser_0845b309c7b9b957afd9ecf775a4c21f","a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"131.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}","off"),
("991","_site_transient_timeout_php_check_1a31e573deff9bf63840fe4b3ef8afb9","1737543587","off"),
("992","_site_transient_php_check_1a31e573deff9bf63840fe4b3ef8afb9","a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"7.2.24\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}","off"),
("1013","theme_mods_patterns-automotive","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1737194806;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("1035","category_children","a:0:{}","auto"),
("1186","duplicator_pro_plugin_version","4.5.20.1","on"),
("1187","duplicator_pro_install_info","a:3:{s:7:\"version\";s:8:\"4.5.20.1\";s:4:\"time\";i:1736425537;s:10:\"updateTime\";i:1737194643;}","off"),
("1188","duplicator_expire_tmp_cleanup_check","{\"expire\":1737368728,\"value\":true}","on"),
("1189","duplicator_expire_daily_bootstrap_actions","{\"expire\":1737368728,\"value\":true}","on"),
("1190","duplicator_expire_rename_delay","{\"expire\":1737384729,\"value\":true}","on"),
("1199","theme_mods_auto-car-dealership","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:102;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1737290715;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("1202","duplicator_expire_license_check","{\"expire\":1737362872,\"value\":true}","on"),
("1203","duplicator_expire_duplicator_pro_frotend_delay","{\"expire\":1737362871,\"value\":true}","on"),
("1204","downloaded_font_files","a:46:{s:80:\"https://fonts.gstatic.com/s/montserrat/v29/JTUQjIg1_i6t8kCHKm459WxRxC7mw9c.woff2\";s:93:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUQjIg1_i6t8kCHKm459WxRxC7mw9c.woff2\";s:80:\"https://fonts.gstatic.com/s/montserrat/v29/JTUQjIg1_i6t8kCHKm459WxRzS7mw9c.woff2\";s:93:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUQjIg1_i6t8kCHKm459WxRzS7mw9c.woff2\";s:80:\"https://fonts.gstatic.com/s/montserrat/v29/JTUQjIg1_i6t8kCHKm459WxRxi7mw9c.woff2\";s:93:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUQjIg1_i6t8kCHKm459WxRxi7mw9c.woff2\";s:80:\"https://fonts.gstatic.com/s/montserrat/v29/JTUQjIg1_i6t8kCHKm459WxRxy7mw9c.woff2\";s:93:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUQjIg1_i6t8kCHKm459WxRxy7mw9c.woff2\";s:77:\"https://fonts.gstatic.com/s/montserrat/v29/JTUQjIg1_i6t8kCHKm459WxRyS7m.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUQjIg1_i6t8kCHKm459WxRyS7m.woff2\";s:77:\"https://fonts.gstatic.com/s/montserrat/v29/JTUSjIg1_i6t8kCHKm459WRhyzbi.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUSjIg1_i6t8kCHKm459WRhyzbi.woff2\";s:77:\"https://fonts.gstatic.com/s/montserrat/v29/JTUSjIg1_i6t8kCHKm459W1hyzbi.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUSjIg1_i6t8kCHKm459W1hyzbi.woff2\";s:77:\"https://fonts.gstatic.com/s/montserrat/v29/JTUSjIg1_i6t8kCHKm459WZhyzbi.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUSjIg1_i6t8kCHKm459WZhyzbi.woff2\";s:77:\"https://fonts.gstatic.com/s/montserrat/v29/JTUSjIg1_i6t8kCHKm459Wdhyzbi.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUSjIg1_i6t8kCHKm459Wdhyzbi.woff2\";s:75:\"https://fonts.gstatic.com/s/montserrat/v29/JTUSjIg1_i6t8kCHKm459Wlhyw.woff2\";s:88:\"/home/hamzehhe/public_html/wp-content//fonts/montserrat/JTUSjIg1_i6t8kCHKm459Wlhyw.woff2\";s:76:\"https://fonts.gstatic.com/s/poppins/v22/pxiAyp8kv8JHgFVrJJLmE0tMMPKzSQ.woff2\";s:89:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiAyp8kv8JHgFVrJJLmE0tMMPKzSQ.woff2\";s:73:\"https://fonts.gstatic.com/s/poppins/v22/pxiAyp8kv8JHgFVrJJLmE0tCMPI.woff2\";s:86:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiAyp8kv8JHgFVrJJLmE0tCMPI.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmv1pVGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmv1pVGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmv1pVF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmv1pVF9eO.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLm21lVGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLm21lVGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLm21lVF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLm21lVF9eO.woff2\";s:73:\"https://fonts.gstatic.com/s/poppins/v22/pxiGyp8kv8JHgFVrJJLufntAKPY.woff2\";s:86:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiGyp8kv8JHgFVrJJLufntAKPY.woff2\";s:70:\"https://fonts.gstatic.com/s/poppins/v22/pxiGyp8kv8JHgFVrJJLucHtA.woff2\";s:83:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiGyp8kv8JHgFVrJJLucHtA.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmg1hVGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmg1hVGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmg1hVF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmg1hVF9eO.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmr19VGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmr19VGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmr19VF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmr19VF9eO.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmy15VGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmy15VGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLmy15VF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLmy15VF9eO.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLm111VGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLm111VGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLm111VF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLm111VF9eO.woff2\";s:77:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLm81xVGdeOcEg.woff2\";s:90:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLm81xVGdeOcEg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiDyp8kv8JHgFVrJJLm81xVF9eO.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiDyp8kv8JHgFVrJJLm81xVF9eO.woff2\";s:73:\"https://fonts.gstatic.com/s/poppins/v22/pxiGyp8kv8JHgFVrLPTufntAKPY.woff2\";s:86:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiGyp8kv8JHgFVrLPTufntAKPY.woff2\";s:70:\"https://fonts.gstatic.com/s/poppins/v22/pxiGyp8kv8JHgFVrLPTucHtA.woff2\";s:83:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiGyp8kv8JHgFVrLPTucHtA.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLFj_Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLFj_Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLFj_Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLFj_Z1xlFQ.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLDz8Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLDz8Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLDz8Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLDz8Z1xlFQ.woff2\";s:70:\"https://fonts.gstatic.com/s/poppins/v22/pxiEyp8kv8JHgFVrJJnecmNE.woff2\";s:83:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiEyp8kv8JHgFVrJJnecmNE.woff2\";s:68:\"https://fonts.gstatic.com/s/poppins/v22/pxiEyp8kv8JHgFVrJJfecg.woff2\";s:81:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiEyp8kv8JHgFVrJJfecg.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLGT9Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLGT9Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLGT9Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLGT9Z1xlFQ.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLEj6Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLEj6Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLEj6Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLEj6Z1xlFQ.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLCz7Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLCz7Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLCz7Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLCz7Z1xlFQ.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLDD4Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLDD4Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLDD4Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLDD4Z1xlFQ.woff2\";s:74:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLBT5Z1JlFc-K.woff2\";s:87:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLBT5Z1JlFc-K.woff2\";s:72:\"https://fonts.gstatic.com/s/poppins/v22/pxiByp8kv8JHgFVrLBT5Z1xlFQ.woff2\";s:85:\"/home/hamzehhe/public_html/wp-content//fonts/poppins/pxiByp8kv8JHgFVrLBT5Z1xlFQ.woff2\";}","off"),
("1220","_site_transient_update_core","O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.7.1.zip\";s:6:\"locale\";s:5:\"fa_IR\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.7.1.zip\";s:10:\"no_content\";s:0:\"\";s:11:\"new_bundled\";s:0:\"\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.7.1\";s:7:\"version\";s:5:\"6.7.1\";s:11:\"php_version\";s:6:\"7.2.24\";s:13:\"mysql_version\";s:5:\"5.5.5\";s:11:\"new_bundled\";s:3:\"6.7\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1737361276;s:15:\"version_checked\";s:5:\"6.7.1\";s:12:\"translations\";a:0:{}}","off"),
("1224","wpp_settings","a:12:{s:12:\"persian_date\";s:6:\"enable\";s:10:\"conv_title\";s:7:\"disable\";s:13:\"conv_contents\";s:7:\"disable\";s:12:\"conv_excerpt\";s:7:\"disable\";s:13:\"conv_comments\";s:7:\"disable\";s:18:\"conv_comment_count\";s:7:\"disable\";s:10:\"conv_dates\";s:7:\"disable\";s:9:\"conv_cats\";s:7:\"disable\";s:11:\"conv_arabic\";s:7:\"disable\";s:15:\"conv_permalinks\";s:7:\"disable\";s:11:\"news_source\";s:5:\"parsi\";s:16:\"months_name_type\";s:7:\"persian\";}","auto"),
("1225","widget_parsidate_archive","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("1226","widget_parsidate_calendar","a:1:{s:12:\"_multiwidget\";i:1;}","auto"),
("1292","_transient_timeout_wpp_sponsors_cache","1737887270","off"),
("1293","_transient_wpp_sponsors_cache","[{\"link\":\"https:\\/\\/wp-parsi.com\\/\",\"image_url\":\"https:\\/\\/wp-parsi.com\\/wp-content\\/uploads\\/2024\\/11\\/wpp.png\",\"image_alt\":\"\"}]","off"),
("1297","_transient_timeout_feed_mod_b7293ccde035c8cf244a9ddb3e8550ab","1737404141","off"),
("1299","_transient_feed_mod_b7293ccde035c8cf244a9ddb3e8550ab","1737360941","off"),
("1300","_transient_timeout_feed_mod_1a35a986d21ecac6e67e45f5050a2d43","1737404141","off"),
("1301","_transient_feed_mod_1a35a986d21ecac6e67e45f5050a2d43","1737360941","off"),
("1304","_site_transient_timeout_community-events-a9b1ecb7665fd7ec80e041fef2749bb8","1737325671","off"),
("1305","_site_transient_community-events-a9b1ecb7665fd7ec80e041fef2749bb8","a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";s:12:\"37.202.146.0\";}s:6:\"events\";a:0:{}}","off"),
("1310","_transient_timeout_feed_mod_7e5c49ef2d8ac9fab50b823466eb0d08","1737404141","off"),
("1311","_transient_feed_mod_7e5c49ef2d8ac9fab50b823466eb0d08","1737360941","off"),
("1322","_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a","1737299475","off"),
("1323","_site_transient_poptags_40cd750bba9870f18aada2478b24840a","O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6752;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4864;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2791;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2689;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2101;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1995;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1935;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1810;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1594;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1590;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1570;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1546;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1511;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1507;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1450;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1317;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1316;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1190;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1172;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1167;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1160;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1032;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:1027;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:999;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:993;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:963;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:963;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:940;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:911;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:907;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:902;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:902;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:896;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:862;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:848;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:822;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:814;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:790;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:779;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:759;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:759;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:756;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:741;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:721;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:706;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:703;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:672;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:662;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:661;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:643;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:641;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:632;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:617;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:615;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:613;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:610;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:608;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:607;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:606;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:601;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:593;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:589;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:584;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:580;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:578;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:574;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:573;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:572;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:563;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:555;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:552;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:548;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:543;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:529;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:529;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:520;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:517;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:505;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:504;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:500;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:497;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:472;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:462;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:458;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:458;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:454;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:453;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:451;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:451;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:449;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:448;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:443;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:430;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:428;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:418;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:418;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:417;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:407;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:400;}s:2:\"ai\";a:3:{s:4:\"name\";s:2:\"AI\";s:4:\"slug\";s:2:\"ai\";s:5:\"count\";i:395;}}","off"),
("1341","theme_mods_home-internet-provider","a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1737361281;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}","off"),
("1346","_site_transient_timeout_wp_remote_block_patterns_bdf2ab325d99e9c3084b4e6066cbf3c2","1737294565","off"),
("1347","_site_transient_wp_remote_block_patterns_bdf2ab325d99e9c3084b4e6066cbf3c2","a:83:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:515117;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Intro area with heading and image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1842:\"\n<div class=\"wp-block-group alignfull is-content-justification-center is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0\">\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-layout-flow wp-block-group-is-layout-flow\">\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-core-columns-is-layout-1 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-content-justification-right is-layout-constrained wp-container-core-column-is-layout-1 wp-block-column-is-layout-constrained\">\n<h2 class=\"wp-block-heading\">قلمرویی از فرصت ها کشف کنید.</h2>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:40%\">\n<p>با کاوش در نقاشی‌های پیچیده زندگی، گزینه‌ها مسیرهایی را به سوی موارد استثنایی نشان می‌دهند که برای یک سفر عمیقاً رضایت‌بخش به نوآوری، کنجکاوی و شجاعت نیاز دارند.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">شروع کنید</a></div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://pd.w.org/2023/07/44364b18862589f06.53436652.jpg\" alt=\"\" style=\"aspect-ratio:16/9;object-fit:cover\" /></figure>\n</div>\n\n\n\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:15:\"بخش اصلی\";s:16:\"wpop_description\";s:145:\"دو ستون متن، سمت چپ با عنوان و سمت راست با یک پاراگراف، با یک تصویر گسترده در زیر.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.5\";s:25:\"wpop_contains_block_types\";s:111:\"core/button,core/buttons,core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"about\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2584:\"<!-- wp:group {\"metadata\":{\"name\":\"Intro\"},\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"alignfull\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Contents\"},\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"450px\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading -->\n<h2 class=\"wp-block-heading\">قلمرویی از فرصت ها کشف کنید.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"40%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:40%\"><!-- wp:paragraph -->\n<p>با کاوش در نقاشی‌های پیچیده زندگی، گزینه‌ها مسیرهایی را به سوی موارد استثنایی نشان می‌دهند که برای یک سفر عمیقاً رضایت‌بخش به نوآوری، کنجکاوی و شجاعت نیاز دارند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"aspectRatio\":\"16/9\",\"scale\":\"cover\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2023/07/44364b18862589f06.53436652.jpg\" alt=\"\" style=\"aspect-ratio:16/9;object-fit:cover\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:423764;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:68:\"تصویر وسط‌چین با رنگ پس‌زمینه دو رنگ\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1338:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-1 is-layout-constrained wp-container-core-group-is-layout-3 wp-block-group-is-layout-constrained\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large is-style-default wp-duotone-000000-ffffff-1\"><img decoding=\"async\" src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">و غیره</h2>\n\n\n\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:29:\"گرادیانت, دو رنگ\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:57:\"core/cover,core/group,core/heading,core/image,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2137:\"<!-- wp:cover {\"minHeight\":66,\"minHeightUnit\":\"vh\",\"customGradient\":\"linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"600px\",\"wideSize\":\"1200px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"color\":{\"duotone\":[\"#000000\",\"#ffffff\"]}},\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"50px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"32px\",\"lineHeight\":\"1\"},\"spacing\":{\"padding\":{\"left\":\"32px\"}}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">و غیره</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:423152;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:70:\"بنر تاریک تمام عرض با عنوان بالا سمت چپ\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1089:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-2 is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-4 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:23:\"جاز, تمام عرض\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1697:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\",\"id\":333,\"dimRatio\":90,\"customOverlayColor\":\"#141414\",\"focalPoint\":{\"x\":0.5,\"y\":0},\"minHeight\":50,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top left\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\",\"textTransform\":\"none\"},\"color\":{\"text\":\"#d8a557\"}},\"fontFamily\":\"source-serif-pro\"} -->\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:423159;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:75:\"کاور تمام عرض با متن گرادیانت تکرار شونده\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1743:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-36345d-abaaaa-2\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-5 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:84:\"تمام‌عرض, تصویر پس‌زمینه, گرادیانت, حروف بزرگ\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3135:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\",\"id\":334,\"dimRatio\":60,\"customOverlayColor\":\"#c2b7a4\",\"focalPoint\":{\"x\":0.5,\"y\":0.05},\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#36345d\",\"#abaaaa\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#c8c4d3\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#ac94b2\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#71689c\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#444178\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:422092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:103:\"تیتر با عرض کامل و تراز عمودی در سمت راست و توضیحات سمت چپ\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2267:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-8 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-4 is-layout-flow wp-container-core-group-is-layout-6 wp-block-group-is-layout-flow\">\n<p class=\"wp-container-content-3\" style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let&#8217;em Roll آلبومی از ارگانیست آمریکایی بیگ جان پاتون است که در سال 1965 ضبط و با لیبل Blue Note منتشر شد.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">الان خرید کنید</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-5 is-layout-flow wp-container-core-group-is-layout-7 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>&#8216;EM<br>Roll</p>\n\n\n\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">بیگ<br>جان<br>پاتون</p>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:95:\"عمودی, پررنگ, جاز, shop, فروشگاه, سرتیتر, بخش اصلی, محصول\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:61:\"core/button,core/buttons,core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3806:\"<!-- wp:cover {\"customOverlayColor\":\"#e68b14\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"320px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"330px\"},\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"1.4\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"}}} -->\n<p style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let\'em Roll آلبومی از ارگانیست آمریکایی بیگ جان پاتون است که در سال 1965 ضبط و با لیبل Blue Note منتشر شد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"36px\",\"right\":\"36px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">الان خرید کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>\'EM<br>Roll</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">بیگ<br>جان<br>پاتون</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:423776;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:60:\"Fullwidth headline with links and gradient offset background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2054:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-12 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-6 is-layout-flow wp-container-core-group-is-layout-9 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color wp-elements-45f800048fc9de7cd05017eb73b2d5ab\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-7 is-layout-flow wp-container-core-group-is-layout-11 wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-10 wp-block-group-is-layout-flex\">\n<p class=\"has-white-color has-text-color has-link-color wp-elements-7819b4edffc55447a85838c6e09d9ab6\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">مجموعه ای جدید</p>\n\n\n\n<p class=\"has-white-color has-text-color has-link-color wp-elements-a445b1e2216cf2f69bb9d951b99675d1\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">بیشتر بدانید <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">←</span> </p>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:60:\"آفست, گرادیانت, جاز, سرتیتر, ویژگی\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3218:\"<!-- wp:cover {\"customGradient\":\"linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"5vw\",\"bottom\":\"48px\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"172px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.7\",\"letterSpacing\":\"-10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"400px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">مجموعه ای جدید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">بیشتر بدانید ← </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"260px\"} -->\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:430456;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:59:\"تیتر، پاراگراف، دکمه با دو تصویر\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2657:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-layout-flex wp-container-core-group-is-layout-16 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group alignwide wp-container-content-8 is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-13 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">زمانی برای ماجراجویی</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-3 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">ثبت‌نام</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-15 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-10 is-layout-flow wp-block-group-is-layout-flow\">\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-9 wp-duotone-rgb000-rgb21788120-3\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-11 wp-duotone-rgb000-rgb21788120-4\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:4127:\"<!-- wp:cover {\"customOverlayColor\":\"#eb4c77\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"6vw\",\"right\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\"}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"0.9\"}},\"textColor\":\"contrast\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">زمانی برای ماجراجویی</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"contrast\"} -->\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"contrast\",\"textColor\":\"base\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">ثبت‌نام</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"8vw\"} -->\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:423781;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:58:\"بنر فروش پررنگ با پس زمینه هندسی\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1781:\"\n<div class=\"wp-block-cover alignfull wp-duotone-rgb4448102-ffb23d-5\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flow wp-container-core-group-is-layout-17 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">لذت ببرید</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% تخفیف</p>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">الان خرید کنید</a></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:68:\"فروشگاه, shop, کوپن, جاز, تصویر پس‌زمینه\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2856:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\",\"id\":334,\"dimRatio\":90,\"customOverlayColor\":\"#2c3066\",\"minHeight\":50,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(44, 48, 102)\",\"#ffb23d\"]}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">لذت ببرید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% تخفیف</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ffb23d\",\"text\":\"#2c3066\"},\"spacing\":{\"padding\":{\"top\":\"32px\",\"right\":\"48px\",\"bottom\":\"32px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"20px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">الان خرید کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:429026;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Offset bold paragraph text with varying opacity\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1677:\"\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-18 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">ماجراجویی و کشف زیبایی‌ بهترین‌های طبیعت …</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">در</p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">جنگل.</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3082:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"white\"} -->\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"700px\",\"contentSize\":\"700px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"120px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffff61\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffff73\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffffad\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">ماجراجویی و کشف زیبایی‌ بهترین‌های طبیعت …</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffffd1\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">در</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"162px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#fffffff5\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">جنگل.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:430464;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Offset text with a brutalist design vibe\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1460:\"\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-core-group-is-layout-19 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> قدم زدن</p>\n\n\n\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">در</p>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">پارک</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2642:\"<!-- wp:cover {\"customOverlayColor\":\"#ffb43c\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"1200px\",\"contentSize\":\"800px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> قدم زدن</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">در</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">پارک</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"200\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.9\"},\"color\":{\"text\":\"#a65a00\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:429032;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:66:\"تصویر تمام صفحه با بخش محتوایی مناسب\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2119:\"\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-flex wp-container-core-group-is-layout-21 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large wp-container-content-13\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n\n\n\n<div class=\"wp-block-group alignwide wp-container-content-14 is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-20 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">پرسه زدن میان جنگل</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">ثبت‌نام</a></div>\n</div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3275:\"<!-- wp:cover {\"customOverlayColor\":\"#376a23\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"80px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"lineHeight\":\"1.0\"}},\"textColor\":\"black\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">پرسه زدن میان جنگل</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">ثبت‌نام</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:535769;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:46:\"Cover Image with Bold Heading and Button, Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1629:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-094850-f9644e-7\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-22 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-6 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline is-style-outline--6\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">کاوش </a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2445:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#094850\",\"#f9644e\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"75%\",\"justifyContent\":\"left\",\"wideSize\":\"75%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">کاوش </a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:535773;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Image with Bold Heading and Button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1636:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-rgb4247103-rgb21419442-9\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-core-group-is-layout-23 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-nowrap is-layout-flex wp-container-core-buttons-is-layout-7 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline is-style-outline--8\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">کاوش </a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2451:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(42, 47, 103)\",\"rgb(214, 194, 42)\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"80%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">کاوش </a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:423791;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:50:\"کاور تمام صفحه گالری تصاویر\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:955:\"\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-24 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:59:\"گالری, تصویر, ستون, پس زمینه, کاور\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:32:\"core/cover,core/group,core/image\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1259:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:437903;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth posts with uppercase titles\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:498:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:52:\"ستاره, نوشته‌ها, loop, بلاگ, index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and start accents.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:182:\"core/group,core/paragraph,core/post-date,core/post-template,core/post-terms,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3502:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"16px\",\"bottom\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p>✴︎</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"M j, Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"✴︎ \",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"var:preset|spacing|70\",\"right\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"5.2rem\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"right\":\"16px\",\"left\":\"16px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Previous\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Next\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:439452;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:63:\"عناوین پست های تمام عرض با تاریخ ها\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:637:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:56:\"نوشته‌ها, درخواست, Loop, بلاگ, Index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and numeral dates.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:151:\"core/group,core/post-date,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3583:\"<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"align\":\"full\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"bottom\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"m.j\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:478396;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:54:\"عنوان سایت تمام عرض و دکمه منو\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3399:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-29 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-1 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open always-shown\" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container hidden-by-default \"  id=\"modal-10\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-10-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:443568;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"سربرگ وسط‌چین با لوگو\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3737:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-31 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-30 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-7b215d308770124d58b518591412dff8 wp-block-site-title has-text-color has-contrast-color has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"is-responsive items-justified-center wp-block-navigation is-content-justification-center is-layout-flex wp-container-core-navigation-is-layout-2 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-11\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-11-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-center wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:443572;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"سربرگ ساده\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3793:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-34 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-33 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-32 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-74d9c587c704a765f018836daab4c876 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-3 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-12\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-12-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:478400;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:58:\"سربرگ تمام عرض با فونت سایز بزرگ\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3507:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-35 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-4 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-13\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-13-content\">\n								<ul class=\"wp-block-navigation__container has-large-font-size is-responsive items-justified-right wp-block-navigation has-large-font-size\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:478111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:69:\"پاورقی وسط چین شده با لینک های اجتماعی\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4246:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-37 wp-block-group-is-layout-flex\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-36 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-core-social-links-is-layout-1 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:139:\"پاورقی وسط‌چین با جمله \"با افتخار ارائه شده توسط وردپرس\" و لینک‌های اجتماعی.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/paragraph,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:423970;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3188:\"\n<div class=\"wp-block-group alignfull has-background is-layout-constrained wp-container-core-group-is-layout-45 wp-block-group-is-layout-constrained\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-42 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-15 is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-38 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">جستجو</p>\n\n\n<form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"    ><label class=\"wp-block-search__label screen-reader-text\" for=\"wp-block-search__input-14\" >Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input class=\"wp-block-search__input\" id=\"wp-block-search__input-14\" placeholder=\"\" value=\"\" type=\"search\" name=\"s\" required  style=\"border-width: 1px\"/><button aria-label=\"Search\" class=\"wp-block-search__button has-icon wp-element-button\" type=\"submit\"  style=\"border-width: 1px\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13 5c-3.3 0-6 2.7-6 6 0 1.4.5 2.7 1.3 3.7l-3.8 3.8 1.1 1.1 3.8-3.8c1 .8 2.3 1.3 3.7 1.3 3.3 0 6-2.7 6-6S16.3 5 13 5zm0 10.5c-2.5 0-4.5-2-4.5-4.5s2-4.5 4.5-4.5 4.5 2 4.5 4.5-2 4.5-4.5 4.5z\"></path>\n				</svg></button></div></form></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-41 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-40 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">شبکه‌های اجتماعی</p>\n\n\n\n<div class=\"wp-block-group has-small-font-size is-vertical is-content-justification-left is-layout-flex wp-container-core-group-is-layout-39 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">فیس‌بوک</a></p>\n\n\n\n<p><a href=\"#\">اینستاگرام</a></p>\n\n\n\n<p><a href=\"#\">توییتر</a></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-44 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:65:\"core/group,core/paragraph,core/search,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3336:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\"}},\"color\":{\"background\":\"#00000008\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|60\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">جستجو</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":[]},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">شبکه‌های اجتماعی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:paragraph -->\n<p><a href=\"#\">فیس‌بوک</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">اینستاگرام</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">توییتر</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:478407;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:911:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-container-core-group-is-layout-48 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-47 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:478411;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3694:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-container-core-group-is-layout-51 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-50 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left wp-block-navigation is-content-justification-left is-layout-flex wp-container-core-navigation-is-layout-5 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-15\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-15-content\">\n								<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-left wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1203:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:434826;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:73:\"پاورقی تمام عرض با رنگ پس زمینه و سه ستون\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3092:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-201627d067cb17121620fff11a93f7fe is-vertical is-content-justification-stretch is-layout-flex wp-container-core-group-is-layout-54 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-core-columns-is-layout-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">مکان</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">صفحه‌ها</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap wp-block-navigation is-content-justification-center is-nowrap is-layout-flex wp-container-core-navigation-is-layout-6 wp-block-navigation-is-layout-flex\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-center is-vertical no-wrap wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">ما را دنبال کنید</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-52 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">فیس‌بوک</a></p>\n\n\n\n<p><a href=\"#\">اینستاگرام</a></p>\n\n\n\n<p><a href=\"#\">توییتر</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-core-group-is-layout-53 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:73:\"پاورقی تمام عرض با رنگ پس زمینه و سه ستون\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3307:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">مکان</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">صفحه‌ها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">ما را دنبال کنید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">فیس‌بوک</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">اینستاگرام</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">توییتر</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:486492;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:69:\"پاورقی وسط چین شده با لینک های اجتماعی\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4172:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-55 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-core-social-links-is-layout-2 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-facebook  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:478417;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4674:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-core-group-is-layout-57 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-16\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-17 is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-56 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-18 is-content-justification-right is-nowrap is-layout-flex wp-container-core-social-links-is-layout-3 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1898:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:27;O:8:\"stdClass\":7:{s:2:\"id\";i:434830;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:24:\"پاورقی چپ چین\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2993:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-64 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-19 is-vertical is-layout-flex wp-container-core-group-is-layout-59 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-core-group-is-layout-63 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-60 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">صفحه‌ها</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap wp-block-navigation is-content-justification-left is-nowrap is-layout-flex wp-container-core-navigation-is-layout-7 wp-block-navigation-is-layout-flex\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-left is-vertical no-wrap wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-62 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">شبکه‌های اجتماعی</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-core-group-is-layout-61 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">فیس‌بوک</a></p>\n\n\n\n<p><a href=\"#\">اینستاگرام</a></p>\n\n\n\n<p><a href=\"#\">توییتر</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3027:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">با افتخار ارائه شده توسط <a rel=\"nofollow\" href=\"https://wordpress.org\">وردپرس</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">صفحه‌ها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">شبکه‌های اجتماعی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">فیس‌بوک</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">اینستاگرام</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">توییتر</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:28;O:8:\"stdClass\":7:{s:2:\"id\";i:425644;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"سه ستون با تصاویر افست\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1441:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"نمای نزدیک و انتزاعی از معماری هندسی.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"نمای نزدیک و زاویه دار از یک پنجره روی یک ساختمان سفید.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"نمای نزدیک از گوشه یک ساختمان سفید و هندسی با نقاط تیز و گوشه های گرد.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"سه ستون با تصاویر آفست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1843:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"نمای نزدیک و انتزاعی از معماری هندسی.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"نمای نزدیک و زاویه دار از یک پنجره روی یک ساختمان سفید.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"نمای نزدیک از گوشه یک ساختمان سفید و هندسی با نقاط تیز و گوشه های گرد.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:29;O:8:\"stdClass\":7:{s:2:\"id\";i:425648;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"سه ستون با عکس و متن\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3832:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-65 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">اکوسیستم</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-66 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-4 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"غروب خورشید از میان جنگلی انبوه.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"توربین های بادی که در دشتی علفزار، در برابر آسمان آبی ایستاده اند.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-5 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"تابش خورشید بر روی خط منتهی به ساحل. در دوردست، ماشینی در جاده ای حرکت می کند.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">بدون شک ما سوالی نداریم که بی پاسخ باشد. باید به کمال خلقت تا اینجای کار اعتماد کنیم تا باور کنیم که هر چه کنجکاوی نظم اشیا در ذهن ما بیدار شده است، نظم چیزها می تواند برآورده شود. شرایط هر مردی راه حلی به خط هیروگلیف برای آن پرسش هایی است که او مطرح می کند.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:98:\"سه ستون با تصاویر و متن، با فاصله عمودی برای نمای آفست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:4:{i:0;s:7:\"columns\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";i:3;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5384:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">اکوسیستم</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"غروب خورشید از میان جنگلی انبوه.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"توربین های بادی که در دشتی علفزار، در برابر آسمان آبی ایستاده اند.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"تابش خورشید بر روی خط منتهی به ساحل. در دوردست، ماشینی در جاده ای حرکت می کند.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">بدون شک ما سوالی نداریم که بی پاسخ باشد. باید به کمال خلقت تا اینجای کار اعتماد کنیم تا باور کنیم که هر چه کنجکاوی نظم اشیا در ذهن ما بیدار شده است، نظم چیزها می تواند برآورده شود. شرایط هر مردی راه حلی به خط هیروگلیف برای آن پرسش هایی است که او مطرح می کند.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:30;O:8:\"stdClass\":7:{s:2:\"id\";i:425652;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"دو ستون متن با عنوان افست\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2837:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-core-columns-is-layout-6 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>الهام اقیانوسی</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">چادرهای پیچ در پیچ دور سرشان، زنان روی عرشه راه می‌رفتند. آنها اکنون به طور پیوسته به سمت پایین رودخانه حرکت می کردند و از اشکال تیره کشتی ها در لنگر می گذشتند، و لندن انبوهی از نورها بود با سایه بان زرد کم رنگی که بالای آن آویزان بود. چراغ‌های تئاترهای بزرگ، چراغ‌های خیابان‌های طولانی، چراغ‌هایی که نشان‌دهنده میدان‌های بزرگ آسایش خانگی بودند، چراغ‌هایی که در هوا آویزان بودند، وجود داشت.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">هیچ تاریکی هرگز بر آن لامپ ها فرو نمی نشیند، چنان که صدها سال هیچ تاریکی بر آنها نشسته بود. وحشتناک به نظر می رسید که شهر برای همیشه در همان نقطه شعله ور شود. وحشتناک حداقل برای مردمی که برای ماجراجویی در دریا می روند و آن را به صورت تپه ای محصور، برای همیشه سوخته، برای همیشه زخمی می بینند. از روی عرشه کشتی، شهر بزرگ چهره ای خمیده و ترسو ظاهر شد، یک بخیل بی تحرک.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"دو ستون متن با عنوان آفست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3392:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>الهام اقیانوسی</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">چادرهای پیچ در پیچ دور سرشان، زنان روی عرشه راه می‌رفتند. آنها اکنون به طور پیوسته به سمت پایین رودخانه حرکت می کردند و از اشکال تیره کشتی ها در لنگر می گذشتند، و لندن انبوهی از نورها بود با سایه بان زرد کم رنگی که بالای آن آویزان بود. چراغ‌های تئاترهای بزرگ، چراغ‌های خیابان‌های طولانی، چراغ‌هایی که نشان‌دهنده میدان‌های بزرگ آسایش خانگی بودند، چراغ‌هایی که در هوا آویزان بودند، وجود داشت.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">هیچ تاریکی هرگز بر آن لامپ ها فرو نمی نشیند، چنان که صدها سال هیچ تاریکی بر آنها نشسته بود. وحشتناک به نظر می رسید که شهر برای همیشه در همان نقطه شعله ور شود. وحشتناک حداقل برای مردمی که برای ماجراجویی در دریا می روند و آن را به صورت تپه ای محصور، برای همیشه سوخته، برای همیشه زخمی می بینند. از روی عرشه کشتی، شهر بزرگ چهره ای خمیده و ترسو ظاهر شد، یک بخیل بی تحرک.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:31;O:8:\"stdClass\":7:{s:2:\"id\";i:401885;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:71:\"رسانه و متن در یک نگهدارنده تمام ارتفاع\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1729:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"نمای نزدیک از زمین خشک شده و ترک خورده.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>مشکل چیه؟</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">امروزه درختان بیشتر از هر زمان دیگری اهمیت دارند. طبق گزارش ها، بیش از 10000 محصول از درختان ساخته می شود. از طریق شیمی، توده‌های چوبی فروتن مواد شیمیایی، پلاستیک و پارچه‌هایی تولید می‌کنند که زمانی که تبر برای اولین بار درخت تگزاس را قطع کرد، قابل درک نبود.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">بیشتر بدانید</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:106:\"بلوک رسانه و متن با تصویر در سمت چپ و متن و دکمه در سمت راست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2266:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"نمای نزدیک از زمین خشک شده و ترک خورده.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>مشکل چیه؟</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">امروزه درختان بیشتر از هر زمان دیگری اهمیت دارند. طبق گزارش ها، بیش از 10000 محصول از درختان ساخته می شود. از طریق شیمی، توده‌های چوبی فروتن مواد شیمیایی، پلاستیک و پارچه‌هایی تولید می‌کنند که زمانی که تبر برای اولین بار درخت تگزاس را قطع کرد، قابل درک نبود.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:32;O:8:\"stdClass\":7:{s:2:\"id\";i:425658;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:57:\"رسانه و متن با تصویر در سمت راست\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:825:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>ساحلی با دریای آبی</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">النور هریس (آمریکایی، 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"منظره روستایی سبز و قهوه‌ای که به اقیانوس آبی و آسمان کمی ابری منتهی می‌شود، با رنگ‌های روغنی کار شده است.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:94:\"بلوک رسانه و متن با تصویر در سمت راست و متن در سمت چپ.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1261:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>ساحلی با دریای آبی</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">النور هریس (آمریکایی، 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"منظره روستایی سبز و قهوه‌ای که به اقیانوس آبی و آسمان کمی ابری منتهی می‌شود، با رنگ‌های روغنی کار شده است.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:33;O:8:\"stdClass\":7:{s:2:\"id\";i:401889;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:53:\"رسانه و متن با تصویر در سمت چپ\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:679:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"نمای نزدیک، نمای انتزاعی از معماری.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>فضاهای باز</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">به مطالعه موردی <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">↗</span></a> مراجعه کنید</p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:94:\"بلوک رسانه و متن با تصویر در سمت چپ و متن در سمت راست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:912:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"نمای نزدیک، نمای انتزاعی از معماری.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>فضاهای باز</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">به مطالعه موردی ↗</a> مراجعه کنید</p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:34;O:8:\"stdClass\":7:{s:2:\"id\";i:425664;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:50:\"سربرگ بزرگ با تیتر و یک دکمه\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1656:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>خارج از کشور:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-8 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">نمایشگاهی درباره بازنمایی های مختلف اقیانوس در طول زمان، بین قرن شانزدهم و بیستم. در اتاق باز ما در <em>طبقه 2</em> برگزار می شود.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline is-style-outline--16\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">مشاهده</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:90:\"سربرگ بزرگ با تصویر پس‌زمینه و متن و دکمه در بالا.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2120:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>خارج از کشور:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">نمایشگاهی درباره بازنمایی های مختلف اقیانوس در طول زمان، بین قرن شانزدهم و بیستم. در اتاق باز ما در <em>طبقه 2</em> برگزار می شود.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">مشاهده</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:35;O:8:\"stdClass\":7:{s:2:\"id\";i:425668;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"سربرگ بزرگ با متن چپ‌چین شده\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1570:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">جنگل.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-9 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>حتی یک کودک می داند که جنگل چقدر ارزشمند است. بوی تازه و نفس گیر درختان، صدای پرندگانی که بالای آنها پرواز می کنند. آب و هوایی پایدار، زندگی متنوع و پایدار و منبع فرهنگ. با این حال، جنگل‌ها و سایر اکوسیستم‌ها در تعادل هستند و در خطر تبدیل شدن به زمین‌های زراعی، مرتع و مزارع هستند.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:50:\"کاور عکس با نقل‌قول در بالا\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1887:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">جنگل.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>حتی یک کودک می داند که جنگل چقدر ارزشمند است. بوی تازه و نفس گیر درختان، صدای پرندگانی که بالای آنها پرواز می کنند. آب و هوایی پایدار، زندگی متنوع و پایدار و منبع فرهنگ. با این حال، جنگل‌ها و سایر اکوسیستم‌ها در تعادل هستند و در خطر تبدیل شدن به زمین‌های زراعی، مرتع و مزارع هستند.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:36;O:8:\"stdClass\":7:{s:2:\"id\";i:11199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:12:\"سرتیتر\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:619:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">ما یک استودیو در برلین هستیم که در زمینه معماری، شهرسازی و طراحی داخلی فعالیت‌های بین‌المللی داریم. ما به اشتراک دانش و ترویج گفتگو برای افزایش پتانسیل خلاق همکاری معتقدیم.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:27:\"متن بزرگ, عنوان\";s:16:\"wpop_description\";s:17:\"متن سربرگ\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:720:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">ما یک استودیو در برلین هستیم که در زمینه معماری، شهرسازی و طراحی داخلی فعالیت‌های بین‌المللی داریم. ما به اشتراک دانش و ترویج گفتگو برای افزایش پتانسیل خلاق همکاری معتقدیم.</h2>\n<!-- /wp:heading -->\";}i:37;O:8:\"stdClass\":7:{s:2:\"id\";i:425690;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"دو ستون متن و عنوان\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2092:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>سفر با یک آسمان به رنگ آبی ملایم و دریای آرام و شادی آغاز شده بود.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-10 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">آنها او را تا عرشه دنبال کردند. همه دود و خانه ها ناپدید شده بودند و کشتی در فضای وسیعی از دریا بسیار تازه و شفاف بود، هرچند در نور اولیه کم رنگ بود. لندن را نشسته روی گل آن ترک کرده بودند. خط بسیار نازکی از سایه در افق مخروطی بود، به سختی ضخیم آنقدر که بار پاریس را تحمل کند، که با این وجود بر آن تکیه می کرد. آنها عاری از جاده ها، عاری از انسان بودند، و همان نشاط از آزادی آنها در همه آنها جاری بود.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">کشتی به‌طور پیوسته از میان امواج کوچکی که به او سیلی می‌زدند می‌رفت و مانند آب جوشان می‌پرید و مرز کمی از حباب و کف در دو طرف باقی می‌گذاشت. آسمان بی رنگ اکتبر بالا، گویی در اثر دود آتش هیزم ابری نازک بود، و هوا به طرز شگفت انگیزی نمک و تند بود. در واقع هوا برای ایستادن خیلی سرد بود. خانم آمبروز بازوی خود را در بازوی شوهرش کشید، و همانطور که آنها رفتند، از گونه ای که گونه شیب دار او به سمت گونه او برگشت، مشخص شد که او چیزی خصوصی برای برقراری ارتباط دارد.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:91:\"دو ستون متن که سربرگی طولانی پیش از آنها قرار دارد.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2269:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>سفر با یک آسمان به رنگ آبی ملایم و دریای آرام و شادی آغاز شده بود.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">آنها او را تا عرشه دنبال کردند. همه دود و خانه ها ناپدید شده بودند و کشتی در فضای وسیعی از دریا بسیار تازه و شفاف بود، هرچند در نور اولیه کم رنگ بود. لندن را نشسته روی گل آن ترک کرده بودند. خط بسیار نازکی از سایه در افق مخروطی بود، به سختی ضخیم آنقدر که بار پاریس را تحمل کند، که با این وجود بر آن تکیه می کرد. آنها عاری از جاده ها، عاری از انسان بودند، و همان نشاط از آزادی آنها در همه آنها جاری بود.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">کشتی به‌طور پیوسته از میان امواج کوچکی که به او سیلی می‌زدند می‌رفت و مانند آب جوشان می‌پرید و مرز کمی از حباب و کف در دو طرف باقی می‌گذاشت. آسمان بی رنگ اکتبر بالا، گویی در اثر دود آتش هیزم ابری نازک بود، و هوا به طرز شگفت انگیزی نمک و تند بود. در واقع هوا برای ایستادن خیلی سرد بود. خانم آمبروز بازوی خود را در بازوی شوهرش کشید، و همانطور که آنها رفتند، از گونه ای که گونه شیب دار او به سمت گونه او برگشت، مشخص شد که او چیزی خصوصی برای برقراری ارتباط دارد.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:38;O:8:\"stdClass\":7:{s:2:\"id\";i:425694;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"دو تصویر در کنار هم\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:631:\"\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped wp-block-gallery-17 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"نمای هوایی از برخورد امواج با یک ساحل.\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"نمایی هوایی از یک میدان. جاده ای از گوشه سمت راست بالا می گذرد.\" /></figure>\n</figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:59:\"یک گالری تصویر با دو تصویر نمونه.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:23:\"core/gallery,core/image\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:764:\"<!-- wp:gallery {\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"نمای هوایی از برخورد امواج با یک ساحل.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"نمایی هوایی از یک میدان. جاده ای از گوشه سمت راست بالا می گذرد.\" /></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery -->\";}i:39;O:8:\"stdClass\":7:{s:2:\"id\";i:514958;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Intro area with heading and image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1688:\"\n<div class=\"wp-block-group alignfull is-content-justification-center is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0\">\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-layout-flow wp-block-group-is-layout-flow\">\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-core-columns-is-layout-11 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-content-justification-right is-layout-constrained wp-container-core-column-is-layout-25 wp-block-column-is-layout-constrained\">\n<h2 class=\"wp-block-heading\">Uncover a realm of opportunities.</h2>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:40%\">\n<p>Exploring life&#8217;s complex tapestry, options reveal routes to the exceptional, requiring innovation, inquisitiveness, and bravery for a deeply satisfying voyage.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">Get Started</a></div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://pd.w.org/2023/07/44364b18862589f06.53436652.jpg\" alt=\"\" style=\"aspect-ratio:16/9;object-fit:cover\" /></figure>\n</div>\n\n\n\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:4:\"hero\";s:16:\"wpop_description\";s:93:\"Two columns of text, left with a heading and right with a paragraph, with a wide image below.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.5\";s:25:\"wpop_contains_block_types\";s:111:\"core/button,core/buttons,core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"about\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2422:\"<!-- wp:group {\"metadata\":{\"name\":\"Intro\"},\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"alignfull\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Contents\"},\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"450px\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Uncover a realm of opportunities.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"40%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:40%\"><!-- wp:paragraph -->\n<p>Exploring life\'s complex tapestry, options reveal routes to the exceptional, requiring innovation, inquisitiveness, and bravery for a deeply satisfying voyage.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">Get Started</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"aspectRatio\":\"16/9\",\"scale\":\"cover\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2023/07/44364b18862589f06.53436652.jpg\" alt=\"\" style=\"aspect-ratio:16/9;object-fit:cover\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:40;O:8:\"stdClass\":7:{s:2:\"id\";i:309935;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Centered image with two-tone background color\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1338:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-20 is-layout-constrained wp-container-core-group-is-layout-71 wp-block-group-is-layout-constrained\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large is-style-default wp-duotone-000000-ffffff-18\"><img decoding=\"async\" src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n\n\n\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:18:\"Gradient, Two-Tone\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:57:\"core/cover,core/group,core/heading,core/image,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2134:\"<!-- wp:cover {\"minHeight\":66,\"minHeightUnit\":\"vh\",\"customGradient\":\"linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"600px\",\"wideSize\":\"1200px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"color\":{\"duotone\":[\"#000000\",\"#ffffff\"]}},\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"50px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"32px\",\"lineHeight\":\"1\"},\"spacing\":{\"padding\":{\"left\":\"32px\"}}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:41;O:8:\"stdClass\":7:{s:2:\"id\";i:309925;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:43:\"Fullwidth Dark Banner with Heading Top Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1091:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-21 is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-72 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:16:\"Jazz, Fulllwidth\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1697:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\",\"id\":333,\"dimRatio\":90,\"customOverlayColor\":\"#141414\",\"focalPoint\":{\"x\":0.5,\"y\":0},\"minHeight\":50,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top left\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\",\"textTransform\":\"none\"},\"color\":{\"text\":\"#d8a557\"}},\"fontFamily\":\"source-serif-pro\"} -->\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:42;O:8:\"stdClass\":7:{s:2:\"id\";i:309230;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:44:\"Fullwidth cover with repeating gradient text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1745:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-36345d-abaaaa-19\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-73 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:48:\"Fullwidth, Background Image, Gradient, Uppercase\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3135:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\",\"id\":334,\"dimRatio\":60,\"customOverlayColor\":\"#c2b7a4\",\"focalPoint\":{\"x\":0.5,\"y\":0.05},\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#36345d\",\"#abaaaa\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#c8c4d3\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#ac94b2\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#71689c\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#444178\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:43;O:8:\"stdClass\":7:{s:2:\"id\";i:309224;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:72:\"Fullwidth, vertically aligned headline on right with description on left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2193:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-76 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-23 is-layout-flow wp-container-core-group-is-layout-74 wp-block-group-is-layout-flow\">\n<p class=\"wp-container-content-22\" style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let &#8217;em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-24 is-layout-flow wp-container-core-group-is-layout-75 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>&#8216;EM<br>Roll</p>\n\n\n\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:60:\"vertically, bold, jazz, shop, store, headline, hero, product\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:61:\"core/button,core/buttons,core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3726:\"<!-- wp:cover {\"customOverlayColor\":\"#e68b14\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"320px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"330px\"},\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"1.4\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"}}} -->\n<p style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let \'em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"36px\",\"right\":\"36px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>\'EM<br>Roll</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:44;O:8:\"stdClass\":7:{s:2:\"id\";i:309236;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:60:\"Fullwidth headline with links and gradient offset background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2034:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-80 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-25 is-layout-flow wp-container-core-group-is-layout-77 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color wp-elements-45f800048fc9de7cd05017eb73b2d5ab\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-26 is-layout-flow wp-container-core-group-is-layout-79 wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-78 wp-block-group-is-layout-flex\">\n<p class=\"has-white-color has-text-color has-link-color wp-elements-fcaed05d2b63cfab14801929208209cc\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n\n\n\n<p class=\"has-white-color has-text-color has-link-color wp-elements-9052d836cb5172aae9b2f2bc27ee61c0\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> </p>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:41:\"Offset, Gradient, Jazz, Headline, Feature\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3195:\"<!-- wp:cover {\"customGradient\":\"linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"5vw\",\"bottom\":\"48px\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"172px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.7\",\"letterSpacing\":\"-10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"400px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More → </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"260px\"} -->\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:45;O:8:\"stdClass\":7:{s:2:\"id\";i:308937;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Heading, Paragraph, Button with Two Images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2637:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-layout-flex wp-container-core-group-is-layout-84 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group alignwide wp-container-content-27 is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-81 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-12 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-83 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-29 is-layout-flow wp-block-group-is-layout-flow\">\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-28 wp-duotone-rgb000-rgb21788120-20\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-30 wp-duotone-rgb000-rgb21788120-21\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:4102:\"<!-- wp:cover {\"customOverlayColor\":\"#eb4c77\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"6vw\",\"right\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\"}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"0.9\"}},\"textColor\":\"contrast\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"contrast\"} -->\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"contrast\",\"textColor\":\"base\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"8vw\"} -->\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:46;O:8:\"stdClass\":7:{s:2:\"id\";i:308949;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Bold sale banner with geometric background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1746:\"\n<div class=\"wp-block-cover alignfull wp-duotone-rgb4448102-ffb23d-22\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flow wp-container-core-group-is-layout-85 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-13 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:43:\"store, shop, coupon, jazz, background image\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2819:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\",\"id\":334,\"dimRatio\":90,\"customOverlayColor\":\"#2c3066\",\"minHeight\":50,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(44, 48, 102)\",\"#ffb23d\"]}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ffb23d\",\"text\":\"#2c3066\"},\"spacing\":{\"padding\":{\"top\":\"32px\",\"right\":\"48px\",\"bottom\":\"32px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"20px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:47;O:8:\"stdClass\":7:{s:2:\"id\";i:308924;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Offset bold paragraph text with varying opacity\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1653:\"\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-86 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature&#8217;s best…</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3052:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"white\"} -->\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"700px\",\"contentSize\":\"700px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"120px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffff61\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffff73\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffffad\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature\'s best…</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffffd1\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"162px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#fffffff5\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:48;O:8:\"stdClass\":7:{s:2:\"id\";i:308916;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Offset text with a brutalist design vibe\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1449:\"\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-core-group-is-layout-87 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n\n\n\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2631:\"<!-- wp:cover {\"customOverlayColor\":\"#ffb43c\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"1200px\",\"contentSize\":\"800px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"200\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.9\"},\"color\":{\"text\":\"#a65a00\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:49;O:8:\"stdClass\":7:{s:2:\"id\";i:308901;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Fullscreen image with right content area\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2106:\"\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-flex wp-container-core-group-is-layout-89 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large wp-container-content-32\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n\n\n\n<div class=\"wp-block-group alignwide wp-container-content-33 is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-88 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-14 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3261:\"<!-- wp:cover {\"customOverlayColor\":\"#376a23\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"80px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"lineHeight\":\"1.0\"}},\"textColor\":\"black\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:50;O:8:\"stdClass\":7:{s:2:\"id\";i:308871;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:46:\"Cover Image with Bold Heading and Button, Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1630:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-094850-f9644e-24\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-90 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-15 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline is-style-outline--23\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2443:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#094850\",\"#f9644e\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"75%\",\"justifyContent\":\"left\",\"wideSize\":\"75%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:51;O:8:\"stdClass\":7:{s:2:\"id\";i:308868;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Image with Bold Heading and Button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1637:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-rgb4247103-rgb21419442-26\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-core-group-is-layout-91 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-nowrap is-layout-flex wp-container-core-buttons-is-layout-16 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline is-style-outline--25\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2449:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(42, 47, 103)\",\"rgb(214, 194, 42)\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"80%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:52;O:8:\"stdClass\":7:{s:2:\"id\";i:303828;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Fullscreen cover image gallery\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:955:\"\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-92 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:43:\"gallery, images, columns, background, cover\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:32:\"core/cover,core/group,core/image\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1259:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:53;O:8:\"stdClass\":7:{s:2:\"id\";i:277265;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth posts with uppercase titles\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:498:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:30:\"star, posts, loop, blog, index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and start accents.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:182:\"core/group,core/paragraph,core/post-date,core/post-template,core/post-terms,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3502:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"16px\",\"bottom\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p>✴︎</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"M j, Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"✴︎ \",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"var:preset|spacing|70\",\"right\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"5.2rem\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"right\":\"16px\",\"left\":\"16px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Previous\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Next\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:54;O:8:\"stdClass\":7:{s:2:\"id\";i:277127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Fullwidth posts titles with dates\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:637:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:31:\"Posts, Query, Loop, Blog, Index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and numeral dates.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:151:\"core/group,core/post-date,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3583:\"<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"align\":\"full\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"bottom\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"m.j\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:55;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3664:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-99 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-98 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-elements-74d9c587c704a765f018836daab4c876 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-8 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-27\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-27-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:56;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4263:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained wp-container-core-group-is-layout-103 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-102 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-101 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-100 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-elements-d6577b4021234b9631cf15d9d1fea330 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-9 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-28\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-28-content\">\n								<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-right wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:57;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3401:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-104 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-10 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open always-shown\" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container hidden-by-default \"  id=\"modal-29\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-29-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:58;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4816:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-107 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-106 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-105 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-elements-f7ec64f471b5bfcc0be230aa4daa838e wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-11 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-30\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-30-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:59;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4842:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-110 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-8500967d37da86b97bb53ecc0a52ca72 wp-block-site-title has-text-color has-white-color has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-12 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-31\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-31-content\">\n								<ul class=\"wp-block-navigation__container has-text-color has-white-color is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:60;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3994:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-602186720dd7d9bef283ca8cacce4883 is-layout-constrained wp-container-core-group-is-layout-115 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-114 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-141496dd038caa4dcf40174bef55cbbe wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-13 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-32\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-32-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1497:\"<!-- wp:group {\"metadata\":{\"categories\":[\"header\",\"wireframe\"],\"patternName\":\"core/simple-header-with-dark-background\",\"name\":\"Simple header with dark background\"},\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:61;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3740:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-117 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-116 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-7b215d308770124d58b518591412dff8 wp-block-site-title has-text-color has-contrast-color has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"is-responsive items-justified-center wp-block-navigation is-content-justification-center is-layout-flex wp-container-core-navigation-is-layout-14 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-33\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-33-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-center wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:62;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3509:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-118 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-15 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-34\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-34-content\">\n								<ul class=\"wp-block-navigation__container has-large-font-size is-responsive items-justified-right wp-block-navigation has-large-font-size\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:63;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3797:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-121 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-120 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-119 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-74d9c587c704a765f018836daab4c876 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-16 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-35\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-35-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:64;O:8:\"stdClass\":7:{s:2:\"id\";i:229123;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4248:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-123 wp-block-group-is-layout-flex\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-122 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-core-social-links-is-layout-4 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:82:\"Centered footer with the sentence \"Proudly powered by WordPress\" and social links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:25:\"core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:65;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3113:\"\n<div class=\"wp-block-group alignfull has-background is-layout-constrained wp-container-core-group-is-layout-131 wp-block-group-is-layout-constrained\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-128 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-34 is-content-justification-right is-layout-constrained wp-container-core-group-is-layout-124 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n\n\n<form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"    ><label class=\"wp-block-search__label screen-reader-text\" for=\"wp-block-search__input-36\" >Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input class=\"wp-block-search__input\" id=\"wp-block-search__input-36\" placeholder=\"\" value=\"\" type=\"search\" name=\"s\" required  style=\"border-width: 1px\"/><button aria-label=\"Search\" class=\"wp-block-search__button has-icon wp-element-button\" type=\"submit\"  style=\"border-width: 1px\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13 5c-3.3 0-6 2.7-6 6 0 1.4.5 2.7 1.3 3.7l-3.8 3.8 1.1 1.1 3.8-3.8c1 .8 2.3 1.3 3.7 1.3 3.3 0 6-2.7 6-6S16.3 5 13 5zm0 10.5c-2.5 0-4.5-2-4.5-4.5s2-4.5 4.5-4.5 4.5 2 4.5 4.5-2 4.5-4.5 4.5z\"></path>\n				</svg></button></div></form></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-127 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-126 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n\n\n\n<div class=\"wp-block-group has-small-font-size is-vertical is-content-justification-left is-layout-flex wp-container-core-group-is-layout-125 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-130 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:65:\"core/group,core/paragraph,core/search,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3254:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\"}},\"color\":{\"background\":\"#00000008\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|60\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":[]},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:66;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:884:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-container-core-group-is-layout-134 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-133 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:67;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3668:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-container-core-group-is-layout-137 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-136 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left wp-block-navigation is-content-justification-left is-layout-flex wp-container-core-navigation-is-layout-17 wp-block-navigation-is-layout-flex\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"\\u0641\\u0647\\u0631\\u0633\\u062a\"}\'><button aria-haspopup=\"dialog\" aria-label=\"باز کردن فهرست\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-37\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"بستن فهرست\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"m13.06 12 6.47-6.47-1.06-1.06L12 10.94 5.53 4.47 4.47 5.53 10.94 12l-6.47 6.47 1.06 1.06L12 13.06l6.47 6.47 1.06-1.06L13.06 12Z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-37-content\">\n								<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-left wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:68;O:8:\"stdClass\":7:{s:2:\"id\";i:229139;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"Fullwidth footer with background color and three columns\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3015:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-8d0170a0199cafe7fbcba6c0b4dac464 is-vertical is-content-justification-stretch is-layout-flex wp-container-core-group-is-layout-140 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-core-columns-is-layout-12 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Location</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap wp-block-navigation is-content-justification-center is-nowrap is-layout-flex wp-container-core-navigation-is-layout-18 wp-block-navigation-is-layout-flex\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-center is-vertical no-wrap wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Follow us</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-138 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-core-group-is-layout-139 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"Text-only footer with background color and three columns.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3225:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Location</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Follow us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:69;O:8:\"stdClass\":7:{s:2:\"id\";i:229143;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4173:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-141 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"آرم سایت\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-core-social-links-is-layout-5 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-facebook  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:70;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4647:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-core-group-is-layout-143 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-35\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-36 is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-142 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-37 is-content-justification-right is-nowrap is-layout-flex wp-container-core-social-links-is-layout-6 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:71;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2912:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-150 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-38 is-vertical is-layout-flex wp-container-core-group-is-layout-145 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-core-group-is-layout-149 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-146 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap wp-block-navigation is-content-justification-left is-nowrap is-layout-flex wp-container-core-navigation-is-layout-19 wp-block-navigation-is-layout-flex\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-left is-vertical no-wrap wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-148 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-core-group-is-layout-147 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:72;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1352:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-13 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:73;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3582:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-151 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-152 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-14 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-15 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:4:{i:0;s:7:\"columns\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";i:3;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:74;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2284:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-core-columns-is-layout-16 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-17 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:75;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1484:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:76;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:77;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:611:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">↗</span></a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:78;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1590:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-18 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline is-style-outline--38\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:79;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1382:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-19 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:80;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:81;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1540:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-20 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:82;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:571:\"\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped wp-block-gallery-39 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n</figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:23:\"core/gallery,core/image\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:704:\"<!-- wp:gallery {\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery -->\";}}","off");

INSERT IGNORE INTO `zrO6sh_options` VALUES 
("1348","_site_transient_timeout_wp_remote_block_patterns_d13a7e261b40857f2c7f9bd42ff0fdb0","1737294566","off"),
("1349","_site_transient_wp_remote_block_patterns_d13a7e261b40857f2c7f9bd42ff0fdb0","a:26:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:420415;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:20:\"لینک در بیو\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6666:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-core-social-links-is-layout-1 wp-block-social-links-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:11195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:43:\"فراخوان برای اقدام ساده\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1044:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>در تماس باشید</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>برنامه ریزی برای بازدید</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-2 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">با ما تماس بگیرید</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:125:\"نگهدارنده ای با زمینه سفید. داخل آن یک پاراگراف، تیتر و دکمه در وسطند.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"buttons\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1566:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>در تماس باشید</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>برنامه ریزی برای بازدید</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">با ما تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:425505;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"جدول قیمت سه ستونی\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4212:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-1 wp-block-columns-is-layout-flex\" style=\"margin-bottom:0\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-e8dadd965cd95f364a41624241146c8c is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>تکی</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>جامعه‌ی رو به رشد ما را غنی کنید.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>پذیرش عمومی و تخفیف اعضا برای یک بزرگسال</li>\n\n\n\n<li>یک بلیط رایگان برای هر نمایشگاه ویژه</li>\n\n\n\n<li>دو گذرنامه یکبار‌مصرف مهمان در هر سال</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-3 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">110$ سالیانه</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-898cad22a37be893e49bf08671e89584 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>خانواده</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>حمایت نمایشگاه‌های ویژه.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>پذیرش عمومی و تخفیف اعضا برای دو بزرگسال</li>\n\n\n\n<li>چهار بلیط رایگان برای هر نمایشگاه ویژه</li>\n\n\n\n<li>چهار گذرنامه یکبار‌مصرف مهمان در هر سال</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">200$ سالیانه</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-e6cee7ef10adcc8b9b3bd171ba9ba7fe is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>حامی</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>پشتیبانی را به سطح بعدی ارتقا دهید.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>پذیرش عمومی و تخفیف اعضا برای دو بزرگسال</li>\n\n\n\n<li>پنج بلیط رایگان برای هر نمایشگاه ویژه</li>\n\n\n\n<li>شش گذرنامه یکبار‌مصرف مهمان در هر سال</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">400$ سالیانه</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:422:\"سه ستون با عرض مساوی به عنوان جدول قیمت گذاری تنظیم شده است. ستون سمت چپ دارای پس زمینه زرد، ستون وسط دارای پس زمینه بنفش روشن و ستون سمت راست دارای پس زمینه آبی روشن است. هر ستون شامل یک تیتر، زیرتیتر، جداکننده، فهرست و سپس یک دکمه است.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:117:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/list-item,core/paragraph,core/separator\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:6488:\"<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"margin-bottom:0\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"single\"} -->\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>تکی</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>جامعه‌ی رو به رشد ما را غنی کنید.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"style\":{\"color\":{\"background\":\"#000000\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>پذیرش عمومی و تخفیف اعضا برای یک بزرگسال</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>یک بلیط رایگان برای هر نمایشگاه ویژه</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>دو گذرنامه یکبار‌مصرف مهمان در هر سال</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">110$ سالیانه</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"family\"} -->\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>خانواده</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>حمایت نمایشگاه‌های ویژه.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>پذیرش عمومی و تخفیف اعضا برای دو بزرگسال</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>چهار بلیط رایگان برای هر نمایشگاه ویژه</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>چهار گذرنامه یکبار‌مصرف مهمان در هر سال</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">200$ سالیانه</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"patron\"} -->\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>حامی</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>پشتیبانی را به سطح بعدی ارتقا دهید.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>پذیرش عمومی و تخفیف اعضا برای دو بزرگسال</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>پنج بلیط رایگان برای هر نمایشگاه ویژه</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>شش گذرنامه یکبار‌مصرف مهمان در هر سال</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">400$ سالیانه</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:425509;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"تصویر و نقل‌قول در پس‌زمینه\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2371:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>حتی تلخ‌ترین میوه‌ها هم قند دارند.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">&#8211; تری آ اونیل</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>درختانی که دیرتر رشد می‌کنند بهترین میوه را می‌دهند.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">&#8211; مولیر</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:340:\"دو بلوک رسانه و متن که بلوک بالایی پس‌زمینه سبز کمرنگ دارد. متن در سمت چپ و با یک نقل قول است و تصویر در سمت راست قرار دارد. بلوک بعدی زیر آن دارای تصویری در سمت چپ و نقل قولی در سمت راست دارد.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"images\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2476:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>حتی تلخ‌ترین میوه‌ها هم قند دارند.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">- تری آ اونیل</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>درختانی که دیرتر رشد می‌کنند بهترین میوه را می‌دهند.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">- مولیر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:425542;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:12:\"رویداد\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1760:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-3e8eb2b1b1e97a77d2555d4248508690\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-e405c4e455e859d312fb3f85b16da34f is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">جشن <br>افتتاحیه</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span></a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1627:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">جشن <br>افتتاحیه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:425562;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:53:\"تصویر روی رنگ ثابت با توضیحات\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2076:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-core-columns-is-layout-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px;aspect-ratio:unset;aspect-ratio:unset;\"><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img loading=\"lazy\" decoding=\"async\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"auto, (max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>هواپیما</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">سیم مسی، پایه چوبی. من این قطعه را در اواخر سال 2008 ساختم. برای این کار، هدفم این بود که هم سنگینی صنعتی یک هواپیما را منتقل کنم، هم کیفیت شناور بودن ابر مانندی را که وقتی در هواپیما هستید را احساس کنید.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:54:\"تصویر روی رنگ ثابت با توضیحات.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"images\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1983:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>هواپیما</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">سیم مسی، پایه چوبی. من این قطعه را در اواخر سال 2008 ساختم. برای این کار، هدفم این بود که هم سنگینی صنعتی یک هواپیما را منتقل کنم، هم کیفیت شناور بودن ابر مانندی را که وقتی در هواپیما هستید را احساس کنید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:425586;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"تصاویر آفست با توضیحات\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3178:\"\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-core-columns-is-layout-4 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-2 is-vertical is-content-justification-left is-nowrap is-layout-flex wp-container-core-group-is-layout-7 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<figure class=\"wp-block-image size-large wp-container-content-1\"><img loading=\"lazy\" decoding=\"async\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"چاپ های فتومکانیکی زیبا از زنبق سفید (1887-1897) توسط اوگاوا کازوماسا. نسخه اصلی از The Rijksmuseum. \" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"auto, (max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-6 wp-block-group-is-layout-flex\">\n<p class=\"has-medium-font-size\"><strong>زنبق سفید</strong></p>\n\n\n\n<p class=\"has-small-font-size\">اوگاوا کازوماسا</p>\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-3 is-vertical is-layout-flex wp-container-core-group-is-layout-9 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-8 wp-block-group-is-layout-flex\">\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-medium-font-size\"><strong>شکوفه‌های گیلاس</strong></p>\n\n\n\n<p class=\"has-small-font-size\">اوگاوا کازوماسا</p>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img loading=\"lazy\" decoding=\"async\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"چاپ‌های فتومکانیکی زیبا از شکوفه‌های گیلاس (1887-1897) توسط اوگاوا کازوماسا. نسخه اصلی از The Rijksmuseum. \" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"auto, (max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:58:\"Two offset columns with images and titles within each one.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:73:\"core/column,core/columns,core/group,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:3090:\"<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"چاپ های فتومکانیکی زیبا از زنبق سفید (1887-1897) توسط اوگاوا کازوماسا. نسخه اصلی از The Rijksmuseum. \" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>زنبق سفید</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">اوگاوا کازوماسا</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"80px\"} -->\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>شکوفه‌های گیلاس</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">اوگاوا کازوماسا</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"چاپ‌های فتومکانیکی زیبا از شکوفه‌های گیلاس (1887-1897) توسط اوگاوا کازوماسا. نسخه اصلی از The Rijksmuseum. \" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:425590;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"تصویر با توضیحات زیر و سمت راست\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1747:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-5 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"تصویر کوپید قدیمی\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-6 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:14px\">چاپ <strong>کوپید در پرواز</strong><br>48 x 48 اینچ Giclee روی کاغذ آرشیوی.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"تصویر با توضیحات زیر و سمت راست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1273:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"تصویر کوپید قدیمی\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\">چاپ <strong>کوپید در پرواز</strong><br>48 x 48 اینچ Giclee روی کاغذ آرشیوی.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:400247;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"جزئیات رویداد\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1779:\"\n<figure class=\"wp-block-image alignwide size-full\"><img loading=\"lazy\" decoding=\"async\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"تصویر زنی که توسط قوها در هوا حمل می‌شود.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"auto, (max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-core-columns-is-layout-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>مکان:</strong><br> خیابان اصلی 82 بروکلین، نیویورک</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>تاریخ:</strong><br>24 اکتبر 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">خرید بلیط‌ها</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:25:\"جزئیات رویداد\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1709:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"تصویر زنی که توسط قوها در هوا حمل می‌شود.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>مکان:</strong><br> خیابان اصلی 82 بروکلین، نیویورک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>تاریخ:</strong><br>24 اکتبر 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">خرید بلیط‌ها</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:425648;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"سه ستون با عکس و متن\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3832:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-10 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">اکوسیستم</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-11 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-8 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"غروب خورشید از میان جنگلی انبوه.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"توربین های بادی که در دشتی علفزار، در برابر آسمان آبی ایستاده اند.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-9 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"تابش خورشید بر روی خط منتهی به ساحل. در دوردست، ماشینی در جاده ای حرکت می کند.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">بدون شک ما سوالی نداریم که بی پاسخ باشد. باید به کمال خلقت تا اینجای کار اعتماد کنیم تا باور کنیم که هر چه کنجکاوی نظم اشیا در ذهن ما بیدار شده است، نظم چیزها می تواند برآورده شود. شرایط هر مردی راه حلی به خط هیروگلیف برای آن پرسش هایی است که او مطرح می کند.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:98:\"سه ستون با تصاویر و متن، با فاصله عمودی برای نمای آفست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:4:{i:0;s:7:\"columns\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";i:3;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5384:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">اکوسیستم</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"غروب خورشید از میان جنگلی انبوه.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"توربین های بادی که در دشتی علفزار، در برابر آسمان آبی ایستاده اند.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"تابش خورشید بر روی خط منتهی به ساحل. در دوردست، ماشینی در جاده ای حرکت می کند.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">بدون شک ما سوالی نداریم که بی پاسخ باشد. باید به کمال خلقت تا اینجای کار اعتماد کنیم تا باور کنیم که هر چه کنجکاوی نظم اشیا در ذهن ما بیدار شده است، نظم چیزها می تواند برآورده شود. شرایط هر مردی راه حلی به خط هیروگلیف برای آن پرسش هایی است که او مطرح می کند.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:401889;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:53:\"رسانه و متن با تصویر در سمت چپ\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:679:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"نمای نزدیک، نمای انتزاعی از معماری.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>فضاهای باز</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">به مطالعه موردی <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">↗</span></a> مراجعه کنید</p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:94:\"بلوک رسانه و متن با تصویر در سمت چپ و متن در سمت راست.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:912:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"نمای نزدیک، نمای انتزاعی از معماری.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>فضاهای باز</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">به مطالعه موردی ↗</a> مراجعه کنید</p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:425668;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"سربرگ بزرگ با متن چپ‌چین شده\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1571:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">جنگل.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-10 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>حتی یک کودک می داند که جنگل چقدر ارزشمند است. بوی تازه و نفس گیر درختان، صدای پرندگانی که بالای آنها پرواز می کنند. آب و هوایی پایدار، زندگی متنوع و پایدار و منبع فرهنگ. با این حال، جنگل‌ها و سایر اکوسیستم‌ها در تعادل هستند و در خطر تبدیل شدن به زمین‌های زراعی، مرتع و مزارع هستند.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:50:\"کاور عکس با نقل‌قول در بالا\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:0:\"\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1887:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">جنگل.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>حتی یک کودک می داند که جنگل چقدر ارزشمند است. بوی تازه و نفس گیر درختان، صدای پرندگانی که بالای آنها پرواز می کنند. آب و هوایی پایدار، زندگی متنوع و پایدار و منبع فرهنگ. با این حال، جنگل‌ها و سایر اکوسیستم‌ها در تعادل هستند و در خطر تبدیل شدن به زمین‌های زراعی، مرتع و مزارع هستند.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:11199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:12:\"سرتیتر\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:619:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">ما یک استودیو در برلین هستیم که در زمینه معماری، شهرسازی و طراحی داخلی فعالیت‌های بین‌المللی داریم. ما به اشتراک دانش و ترویج گفتگو برای افزایش پتانسیل خلاق همکاری معتقدیم.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:27:\"متن بزرگ, عنوان\";s:16:\"wpop_description\";s:17:\"متن سربرگ\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"fa_IR\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:720:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">ما یک استودیو در برلین هستیم که در زمینه معماری، شهرسازی و طراحی داخلی فعالیت‌های بین‌المللی داریم. ما به اشتراک دانش و ترویج گفتگو برای افزایش پتانسیل خلاق همکاری معتقدیم.</h2>\n<!-- /wp:heading -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6666:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-7 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-core-social-links-is-layout-2 wp-block-social-links-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:984:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-8 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"buttons\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Three column pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3852:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-11 wp-block-columns-is-layout-flex\" style=\"margin-bottom:0\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2ae1b943d87d6b5cbc827b8e7de5c343 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>General admission and member discounts for one adult</li>\n\n\n\n<li>One free ticket per special exhibition</li>\n\n\n\n<li>Two single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-9 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-c860b6260b3b3b7bae640a65db9c9aec is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Four free tickets per special exhibition</li>\n\n\n\n<li>Four single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-10 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-4a86cd4fa1de9230a73a90c7ad305893 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Five free tickets per special exhibition</li>\n\n\n\n<li>Six single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-11 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:117:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/list-item,core/paragraph,core/separator\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:6125:\"<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"margin-bottom:0\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"single\"} -->\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"style\":{\"color\":{\"background\":\"#000000\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for one adult</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>One free ticket per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Two single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"family\"} -->\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"patron\"} -->\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Five free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Six single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2293:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"images\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1750:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span></a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1921:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-core-columns-is-layout-13 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px;aspect-ratio:unset;aspect-ratio:unset;\"><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img loading=\"lazy\" decoding=\"async\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"auto, (max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-12 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"images\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Offset images with descriptions\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3023:\"\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-core-columns-is-layout-14 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-5 is-vertical is-content-justification-left is-nowrap is-layout-flex wp-container-core-group-is-layout-19 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<figure class=\"wp-block-image size-large wp-container-content-4\"><img loading=\"lazy\" decoding=\"async\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"auto, (max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-18 wp-block-group-is-layout-flex\">\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-6 is-vertical is-layout-flex wp-container-core-group-is-layout-21 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-20 wp-block-group-is-layout-flex\">\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img loading=\"lazy\" decoding=\"async\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"auto, (max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:58:\"Two offset columns with images and titles within each one.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:73:\"core/column,core/columns,core/group,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2930:\"<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"80px\"} -->\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1717:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-15 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"auto, (max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-16 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1713:\"\n<figure class=\"wp-block-image alignwide size-full\"><img loading=\"lazy\" decoding=\"async\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"auto, (max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-core-columns-is-layout-17 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1642:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3580:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-22 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-23 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-18 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-19 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:4:{i:0;s:7:\"columns\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";i:3;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:611:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">↗</span></a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1382:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-20 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}","off");

INSERT IGNORE INTO `zrO6sh_options` VALUES 
("1365","_site_transient_timeout_wp_font_collection_url_https://s.w.org/images/fonts/wp-6.7/collections/google-fonts-with-preview.json","1737388212","off"),
("1366","_site_transient_wp_font_collection_url_https://s.w.org/images/fonts/wp-6.7/collections/google-fonts-with-preview.json","a:1:{s:13:\"font_families\";a:1726:{i:0;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"ABeeZee\";s:10:\"fontFamily\";s:19:\"ABeeZee, sans-serif\";s:4:\"slug\";s:7:\"abeezee\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/abeezee/v22/esDR31xSG-6AGleN6teukbcHCpE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"ABeeZee\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/abeezee/abeezee-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/abeezee/v22/esDT31xSG-6AGleN2tCkkJUCGpG-GQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"ABeeZee\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/abeezee/abeezee-400-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/abeezee/abeezee.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"ADLaM Display\";s:10:\"fontFamily\";s:26:\"\"ADLaM Display\", system-ui\";s:4:\"slug\";s:13:\"adlam-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/adlamdisplay/v1/KFOhCnGXkPOLlhx6jD8_b1ZECsTYkYBPY3o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"ADLaM Display\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/adlam-display/adlam-display-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/adlam-display/adlam-display.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:2;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"AR One Sans\";s:10:\"fontFamily\";s:25:\"\"AR One Sans\", sans-serif\";s:4:\"slug\";s:11:\"ar-one-sans\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/aronesans/v4/TUZezwhrmbFp0Srr_tH6fv6RcUejHO_u7GF5aXfv-U2QzBLF6gslWn_9DWg3no5mBF4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"AR One Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ar-one-sans/ar-one-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/aronesans/v4/TUZezwhrmbFp0Srr_tH6fv6RcUejHO_u7GF5aXfv-U2QzBLF6gslWk39DWg3no5mBF4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"AR One Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ar-one-sans/ar-one-sans-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/aronesans/v4/TUZezwhrmbFp0Srr_tH6fv6RcUejHO_u7GF5aXfv-U2QzBLF6gslWqH6DWg3no5mBF4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"AR One Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ar-one-sans/ar-one-sans-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/aronesans/v4/TUZezwhrmbFp0Srr_tH6fv6RcUejHO_u7GF5aXfv-U2QzBLF6gslWpj6DWg3no5mBF4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"AR One Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ar-one-sans/ar-one-sans-700-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/ar-one-sans/ar-one-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:3;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Abel\";s:10:\"fontFamily\";s:16:\"Abel, sans-serif\";s:4:\"slug\";s:4:\"abel\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/abel/v18/MwQ5bhbm2POE6V1LPJp6qGI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Abel\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/abel/abel-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/abel/abel.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:4;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Abhaya Libre\";s:10:\"fontFamily\";s:21:\"\"Abhaya Libre\", serif\";s:4:\"slug\";s:12:\"abhaya-libre\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/abhayalibre/v17/e3tmeuGtX-Co5MNzeAOqinEgfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Abhaya Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/abhaya-libre/abhaya-libre-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/abhayalibre/v17/e3t5euGtX-Co5MNzeAOqinEYj2ryr9xI6oYtBA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Abhaya Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/abhaya-libre/abhaya-libre-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/abhayalibre/v17/e3t5euGtX-Co5MNzeAOqinEYo23yr9xI6oYtBA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Abhaya Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/abhaya-libre/abhaya-libre-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/abhayalibre/v17/e3t5euGtX-Co5MNzeAOqinEYx2zyr9xI6oYtBA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Abhaya Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/abhaya-libre/abhaya-libre-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/abhayalibre/v17/e3t5euGtX-Co5MNzeAOqinEY22_yr9xI6oYtBA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Abhaya Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/abhaya-libre/abhaya-libre-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/abhaya-libre/abhaya-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:5;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Aboreto\";s:10:\"fontFamily\";s:18:\"Aboreto, system-ui\";s:4:\"slug\";s:7:\"aboreto\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/aboreto/v2/5DCXAKLhwDDQ4N8blKHeA2yuxSY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Aboreto\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/aboreto/aboreto-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/aboreto/aboreto.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:6;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Abril Fatface\";s:10:\"fontFamily\";s:26:\"\"Abril Fatface\", system-ui\";s:4:\"slug\";s:13:\"abril-fatface\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/abrilfatface/v23/zOL64pLDlL1D99S8g8PtiKchm-VsjOLhZBY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Abril Fatface\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/abril-fatface/abril-fatface-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/abril-fatface/abril-fatface.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:7;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Abyssinica SIL\";s:10:\"fontFamily\";s:23:\"\"Abyssinica SIL\", serif\";s:4:\"slug\";s:14:\"abyssinica-sil\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/abyssinicasil/v5/oY1H8ezOqK7iI3rK_45WKoc8J6UcBFOVAXuI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Abyssinica SIL\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/abyssinica-sil/abyssinica-sil-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/abyssinica-sil/abyssinica-sil.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:8;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Aclonica\";s:10:\"fontFamily\";s:20:\"Aclonica, sans-serif\";s:4:\"slug\";s:8:\"aclonica\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/aclonica/v22/K2FyfZJVlfNNSEBXGb7WCI6oBjLz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Aclonica\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/aclonica/aclonica-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/aclonica/aclonica.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:9;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Acme\";s:10:\"fontFamily\";s:16:\"Acme, sans-serif\";s:4:\"slug\";s:4:\"acme\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/acme/v25/RrQfboBx-C5_bxjLb23lzLk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Acme\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/acme/acme-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/acme/acme.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:10;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Actor\";s:10:\"fontFamily\";s:17:\"Actor, sans-serif\";s:4:\"slug\";s:5:\"actor\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/actor/v17/wEOzEBbCkc5cO3ehXygtUMIO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Actor\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/actor/actor-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/actor/actor.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:11;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Adamina\";s:10:\"fontFamily\";s:14:\"Adamina, serif\";s:4:\"slug\";s:7:\"adamina\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/adamina/v21/j8_r6-DH1bjoc-dwu-_eETl4Bno.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Adamina\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/adamina/adamina-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/adamina/adamina.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:12;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Advent Pro\";s:10:\"fontFamily\";s:24:\"\"Advent Pro\", sans-serif\";s:4:\"slug\";s:10:\"advent-pro\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLQyJPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLwyNPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLHSNPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLQyNPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLcSNPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLnSRPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLpCRPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpLwyRPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/adventpro/v28/V8mqoQfxVT4Dvddr_yOwrzaFxV7JtdQgFqXdUAQrGp_zgX5sWCpL6iRPSZoonw1aBA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2CnDpApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2AnD5ApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2D5D5ApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2CnD5ApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2CVD5ApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2B5CJApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2BACJApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2AnCJApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/adventpro/v28/V8mkoQfxVT4Dvddr_yOwhT-3Jr6w5kKOEbAVEvZiKGAr6BX29i1ei2AOCJApvQhKBH4C.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Advent Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro-900-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/advent-pro/advent-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:13;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Afacad\";s:10:\"fontFamily\";s:18:\"Afacad, sans-serif\";s:4:\"slug\";s:6:\"afacad\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/afacad/v1/6NUK8FKMIQOGaw6wjYT7ZHG_zsBBfhXtWmU08mCgdfM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/afacad/v1/6NUK8FKMIQOGaw6wjYT7ZHG_zsBBfiftWmU08mCgdfM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/afacad/v1/6NUK8FKMIQOGaw6wjYT7ZHG_zsBBfsvqWmU08mCgdfM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/afacad/v1/6NUK8FKMIQOGaw6wjYT7ZHG_zsBBfvLqWmU08mCgdfM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/afacad/v1/6NUI8FKMIQOGaw6ahLYEvBjUVG5Ga92usiM-80KlZfNfuw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/afacad/v1/6NUI8FKMIQOGaw6ahLYEvBjUVG5Ga92ugCM-80KlZfNfuw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/afacad/v1/6NUI8FKMIQOGaw6ahLYEvBjUVG5Ga92ubCQ-80KlZfNfuw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/afacad/v1/6NUI8FKMIQOGaw6ahLYEvBjUVG5Ga92uVSQ-80KlZfNfuw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Afacad\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad/afacad.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:14;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Afacad Flux\";s:10:\"fontFamily\";s:25:\"\"Afacad Flux\", sans-serif\";s:4:\"slug\";s:11:\"afacad-flux\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edsUwWZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edscwXZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edsRIXZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edsUwXZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edsX4XZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edsZIQZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edsasQZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edscwQZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/afacadflux/v1/9oRgNYYQryMlneUPykRmTuH4ET0fri4I5rJVT_CWHKDZnskVK5edseUQZaFqQsJr67E.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Afacad Flux\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/afacad-flux/afacad-flux.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:15;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Agbalumo\";s:10:\"fontFamily\";s:19:\"Agbalumo, system-ui\";s:4:\"slug\";s:8:\"agbalumo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/agbalumo/v5/55xvey5uMdT2N37KZcMAirl08KDJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Agbalumo\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/agbalumo/agbalumo-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/agbalumo/agbalumo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:16;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Agdasima\";s:10:\"fontFamily\";s:20:\"Agdasima, sans-serif\";s:4:\"slug\";s:8:\"agdasima\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/agdasima/v4/PN_zRfyxp2f1fUCgAMg_rzjb_-Da.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Agdasima\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/agdasima/agdasima-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/agdasima/v4/PN_0Rfyxp2f1fUCgAPCGgBzW1PzTz2Mi.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Agdasima\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/agdasima/agdasima-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/agdasima/agdasima.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:17;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Aguafina Script\";s:10:\"fontFamily\";s:26:\"\"Aguafina Script\", cursive\";s:4:\"slug\";s:15:\"aguafina-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/aguafinascript/v22/If2QXTv_ZzSxGIO30LemWEOmt1bHr84pgicOrg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Aguafina Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/aguafina-script/aguafina-script-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/aguafina-script/aguafina-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:18;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Akatab\";s:10:\"fontFamily\";s:18:\"Akatab, sans-serif\";s:4:\"slug\";s:6:\"akatab\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/akatab/v7/VuJwdNrK3Z7gqJEPXYz5NIh-YA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akatab\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/akatab/v7/VuJzdNrK3Z7gqJE3rKXdOaNiaRpFvg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akatab\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/akatab/v7/VuJzdNrK3Z7gqJE3gKLdOaNiaRpFvg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akatab\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/akatab/v7/VuJzdNrK3Z7gqJE35KPdOaNiaRpFvg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akatab\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/akatab/v7/VuJzdNrK3Z7gqJE3-KDdOaNiaRpFvg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akatab\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/akatab/v7/VuJzdNrK3Z7gqJE33KHdOaNiaRpFvg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akatab\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/akatab/akatab.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:19;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Akaya Kanadaka\";s:10:\"fontFamily\";s:27:\"\"Akaya Kanadaka\", system-ui\";s:4:\"slug\";s:14:\"akaya-kanadaka\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/akayakanadaka/v16/N0bM2S5CPO5oOQqvazoRRb-8-PfUS5VBBSSF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Akaya Kanadaka\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/akaya-kanadaka/akaya-kanadaka-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/akaya-kanadaka/akaya-kanadaka.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:20;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Akaya Telivigala\";s:10:\"fontFamily\";s:29:\"\"Akaya Telivigala\", system-ui\";s:4:\"slug\";s:16:\"akaya-telivigala\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/akayatelivigala/v22/lJwc-oo_iG9wXqU3rCTD395tp0uifdfdsIH0YH8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Akaya Telivigala\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/akaya-telivigala/akaya-telivigala-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/akaya-telivigala/akaya-telivigala.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:21;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Akronim\";s:10:\"fontFamily\";s:18:\"Akronim, system-ui\";s:4:\"slug\";s:7:\"akronim\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/akronim/v23/fdN-9sqWtWZZlHRp-gVxkFYN-a8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Akronim\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/akronim/akronim-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/akronim/akronim.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:22;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Akshar\";s:10:\"fontFamily\";s:18:\"Akshar, sans-serif\";s:4:\"slug\";s:6:\"akshar\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/akshar/v9/Yq6I-LyHWTfz9rGoqDaUbHvhkAUsSSgFy9WY94XsnPc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akshar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akshar/akshar-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/akshar/v9/Yq6I-LyHWTfz9rGoqDaUbHvhkAUsSXYFy9WY94XsnPc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akshar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akshar/akshar-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/akshar/v9/Yq6I-LyHWTfz9rGoqDaUbHvhkAUsSUQFy9WY94XsnPc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akshar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akshar/akshar-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/akshar/v9/Yq6I-LyHWTfz9rGoqDaUbHvhkAUsSagCy9WY94XsnPc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akshar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akshar/akshar-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/akshar/v9/Yq6I-LyHWTfz9rGoqDaUbHvhkAUsSZECy9WY94XsnPc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Akshar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/akshar/akshar-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/akshar/akshar.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:23;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Aladin\";s:10:\"fontFamily\";s:17:\"Aladin, system-ui\";s:4:\"slug\";s:6:\"aladin\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/aladin/v24/ZgNSjPJFPrvJV5f17Cf4pGT2Ng.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Aladin\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/aladin/aladin-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/aladin/aladin.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:24;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Alata\";s:10:\"fontFamily\";s:17:\"Alata, sans-serif\";s:4:\"slug\";s:5:\"alata\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/alata/v11/PbytFmztEwbIofe_xKcRQEOX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Alata\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/alata/alata-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/alata/alata.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:25;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Alatsi\";s:10:\"fontFamily\";s:18:\"Alatsi, sans-serif\";s:4:\"slug\";s:6:\"alatsi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/alatsi/v13/TK3iWkUJAxQ2nLNGGzUHte5fKg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Alatsi\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/alatsi/alatsi-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/alatsi/alatsi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:26;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Albert Sans\";s:10:\"fontFamily\";s:25:\"\"Albert Sans\", sans-serif\";s:4:\"slug\";s:11:\"albert-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHq5L_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHK5P_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSH9ZP_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHq5P_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHmZP_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHdZT_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHTJT_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHK5T_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/albertsans/v1/i7dZIFdwYjGaAMFtZd_QA3xXSKZqhr-TenSHApT_qY32TxAj1g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9AX7of3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9CX74f3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9BJ74f3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9AX74f3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9Al74f3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9DJ6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9Dw6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9CX6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/albertsans/v1/i7dfIFdwYjGaAMFtZd_QA1Zeelmy79QJ1HOSY9C-6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Albert Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/albert-sans/albert-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:27;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Aldrich\";s:10:\"fontFamily\";s:19:\"Aldrich, sans-serif\";s:4:\"slug\";s:7:\"aldrich\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/aldrich/v21/MCoTzAn-1s3IGyJMZaUS3pP5H_E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Aldrich\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/aldrich/aldrich-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/aldrich/aldrich.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:28;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Alef\";s:10:\"fontFamily\";s:16:\"Alef, sans-serif\";s:4:\"slug\";s:4:\"alef\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/alef/v21/FeVfS0NQpLYgrjdbC5FxxbU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Alef\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/alef/alef-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/alef/v21/FeVQS0NQpLYglo50L5xa2bxii28.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Alef\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/alef/alef-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/alef/alef.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:29;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Alegreya\";s:10:\"fontFamily\";s:15:\"Alegreya, serif\";s:4:\"slug\";s:8:\"alegreya\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreya/v36/4UacrEBBsBhlBjvfkQjt71kZfyBzPgNG9hUI-aCisSGVrw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreya/v36/4UacrEBBsBhlBjvfkQjt71kZfyBzPgNGxBUI-aCisSGVrw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreya/v36/4UacrEBBsBhlBjvfkQjt71kZfyBzPgNGKBII-aCisSGVrw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreya/v36/4UacrEBBsBhlBjvfkQjt71kZfyBzPgNGERII-aCisSGVrw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreya/v36/4UacrEBBsBhlBjvfkQjt71kZfyBzPgNGdhII-aCisSGVrw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreya/v36/4UacrEBBsBhlBjvfkQjt71kZfyBzPgNGXxII-aCisSGVrw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreya/v36/4UaSrEBBsBhlBjvfkSLk3abBFkvpkARTPlbgv6qjkySFr9V9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreya/v36/4UaSrEBBsBhlBjvfkSLk3abBFkvpkARTPlbSv6qjkySFr9V9.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreya/v36/4UaSrEBBsBhlBjvfkSLk3abBFkvpkARTPlY-uKqjkySFr9V9.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreya/v36/4UaSrEBBsBhlBjvfkSLk3abBFkvpkARTPlYHuKqjkySFr9V9.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreya/v36/4UaSrEBBsBhlBjvfkSLk3abBFkvpkARTPlZguKqjkySFr9V9.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreya/v36/4UaSrEBBsBhlBjvfkSLk3abBFkvpkARTPlZJuKqjkySFr9V9.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Alegreya\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya/alegreya.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:30;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Alegreya SC\";s:10:\"fontFamily\";s:20:\"\"Alegreya SC\", serif\";s:4:\"slug\";s:11:\"alegreya-sc\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiOGmRtCJ62-O0HhNEa-a6t05E5abe_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiMGmRtCJ62-O0HhNEa-Z6q2ZAbbKe_DGs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiTGmRtCJ62-O0HhNEa-ZZc-rU0Qqu2FXKD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiRGmRtCJ62-O0HhNEa-Z6q4WEySKqUEGKDBz4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-500-italic.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiTGmRtCJ62-O0HhNEa-ZYU_LU0Qqu2FXKD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiRGmRtCJ62-O0HhNEa-Z6q4Sk0SKqUEGKDBz4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-700-italic.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiTGmRtCJ62-O0HhNEa-ZYI_7U0Qqu2FXKD.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiRGmRtCJ62-O0HhNEa-Z6q4TU3SKqUEGKDBz4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-800-italic.svg\";}i:8;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiTGmRtCJ62-O0HhNEa-ZYs_rU0Qqu2FXKD.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/alegreyasc/v25/taiRGmRtCJ62-O0HhNEa-Z6q4RE2SKqUEGKDBz4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alegreya SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sc/alegreya-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:31;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Alegreya Sans\";s:10:\"fontFamily\";s:27:\"\"Alegreya Sans\", sans-serif\";s:4:\"slug\";s:13:\"alegreya-sans\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUt9_-1phKLFgshYDvh6Vwt5TltvWdShm5bsg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUv9_-1phKLFgshYDvh6Vwt7V9V3G1TpGtLsgu7.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUu9_-1phKLFgshYDvh6Vwt5fFPmEh8imdCqxI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUo9_-1phKLFgshYDvh6Vwt7V9VFE92i0VHuxKiBA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUz9_-1phKLFgshYDvh6Vwt3VhnvEVXlm4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUt9_-1phKLFgshYDvh6Vwt7V9tvWdShm5bsg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUu9_-1phKLFgshYDvh6Vwt5alOmEh8imdCqxI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUo9_-1phKLFgshYDvh6Vwt7V9VTE52i0VHuxKiBA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUu9_-1phKLFgshYDvh6Vwt5eFImEh8imdCqxI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUo9_-1phKLFgshYDvh6Vwt7V9VBEh2i0VHuxKiBA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUu9_-1phKLFgshYDvh6Vwt5f1LmEh8imdCqxI.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-800-normal.svg\";}i:11;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUo9_-1phKLFgshYDvh6Vwt7V9VGEt2i0VHuxKiBA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-800-italic.svg\";}i:12;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUu9_-1phKLFgshYDvh6Vwt5dlKmEh8imdCqxI.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-900-normal.svg\";}i:13;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/alegreyasans/v25/5aUo9_-1phKLFgshYDvh6Vwt7V9VPEp2i0VHuxKiBA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Alegreya Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans-900-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans/alegreya-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:32;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Alegreya Sans SC\";s:10:\"fontFamily\";s:30:\"\"Alegreya Sans SC\", sans-serif\";s:4:\"slug\";s:16:\"alegreya-sans-sc\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGn4-RGJqfMvt7P8FUr0Q1j-Hf1Dipl9w5FPYtmMg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGl4-RGJqfMvt7P8FUr0Q1j-Hf1BkxdlgREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGm4-RGJqfMvt7P8FUr0Q1j-Hf1DuJH0iFrMYJ_K-4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGk4-RGJqfMvt7P8FUr0Q1j-Hf1BkxdXiZhMKB6O-51OA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGh4-RGJqfMvt7P8FUr0Q1j-Hf1Nktv9ixALYs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGn4-RGJqfMvt7P8FUr0Q1j-Hf1Bkxl9w5FPYtmMg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGm4-RGJqfMvt7P8FUr0Q1j-Hf1DrpG0iFrMYJ_K-4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGk4-RGJqfMvt7P8FUr0Q1j-Hf1BkxdBidhMKB6O-51OA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGm4-RGJqfMvt7P8FUr0Q1j-Hf1DvJA0iFrMYJ_K-4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGk4-RGJqfMvt7P8FUr0Q1j-Hf1BkxdTiFhMKB6O-51OA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGm4-RGJqfMvt7P8FUr0Q1j-Hf1Du5D0iFrMYJ_K-4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-800-normal.svg\";}i:11;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGk4-RGJqfMvt7P8FUr0Q1j-Hf1BkxdUiJhMKB6O-51OA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-800-italic.svg\";}i:12;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGm4-RGJqfMvt7P8FUr0Q1j-Hf1DspC0iFrMYJ_K-4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-900-normal.svg\";}i:13;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alegreyasanssc/v23/mtGk4-RGJqfMvt7P8FUr0Q1j-Hf1BkxddiNhMKB6O-51OA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Alegreya Sans SC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc-900-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/alegreya-sans-sc/alegreya-sans-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:33;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Aleo\";s:10:\"fontFamily\";s:11:\"Aleo, serif\";s:4:\"slug\";s:4:\"aleo\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KJ3G2P4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KL3GmP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KIpGmP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KJ3GmP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KJFGmP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KKpHWP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KKQHWP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KL3HWP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/aleo/v14/c4m61nF8G8_s6gHhIOX0IYBo_KLeHWP4HI4qCBtJ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WYu_Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WQu-Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WdW-Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WYu-Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_Wbm-Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WVW5Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WWy5Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WQu5Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/aleo/v14/c4m81nF8G8_swAjT3z2dShrG-7e_WSK5Fo8IDQtJbok.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Aleo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo-900-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/aleo/aleo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:34;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Alex Brush\";s:10:\"fontFamily\";s:21:\"\"Alex Brush\", cursive\";s:4:\"slug\";s:10:\"alex-brush\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/alexbrush/v22/SZc83FzrJKuqFbwMKk6EtUf57DtOmCc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alex Brush\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alex-brush/alex-brush-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/alex-brush/alex-brush.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:35;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Alexandria\";s:10:\"fontFamily\";s:22:\"Alexandria, sans-serif\";s:4:\"slug\";s:10:\"alexandria\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9r7T6bCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9p7TqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9qlTqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9r7TqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9rJTqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9olSabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9ocSabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9p7SabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/alexandria/v3/UMBCrPdDqW66y0Y2usFeQCH18mulUxBvI9pSSabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Alexandria\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/alexandria/alexandria.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:36;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Alfa Slab One\";s:10:\"fontFamily\";s:26:\"\"Alfa Slab One\", system-ui\";s:4:\"slug\";s:13:\"alfa-slab-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/alfaslabone/v19/6NUQ8FmMKwSEKjnm5-4v-4Jh6dBretWvYmE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alfa Slab One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alfa-slab-one/alfa-slab-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/alfa-slab-one/alfa-slab-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:37;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Alice\";s:10:\"fontFamily\";s:12:\"Alice, serif\";s:4:\"slug\";s:5:\"alice\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/alice/v20/OpNCnoEEmtHa6FcMpA_chzJ0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Alice\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/alice/alice-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/alice/alice.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:38;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Alike\";s:10:\"fontFamily\";s:12:\"Alike, serif\";s:4:\"slug\";s:5:\"alike\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/alike/v21/HI_EiYEYI6BIoEjESZXAQ4-d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Alike\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/alike/alike-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/alike/alike.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:39;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Alike Angular\";s:10:\"fontFamily\";s:22:\"\"Alike Angular\", serif\";s:4:\"slug\";s:13:\"alike-angular\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/alikeangular/v25/3qTrojWunjGQtEBlIcwMbSoI3kY6bB7FKjE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Alike Angular\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/alike-angular/alike-angular-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/alike-angular/alike-angular.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:40;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Alkalami\";s:10:\"fontFamily\";s:15:\"Alkalami, serif\";s:4:\"slug\";s:8:\"alkalami\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/alkalami/v7/zOL_4pfDmqRL95WXi5eOw8BMuvhH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Alkalami\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/alkalami/alkalami-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/alkalami/alkalami.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:41;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Alkatra\";s:10:\"fontFamily\";s:18:\"Alkatra, system-ui\";s:4:\"slug\";s:7:\"alkatra\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/alkatra/v3/r05EGLZA5qhCYsyJbuChFuK48Medzngmu7cKrNDVemxE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Alkatra\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/alkatra/alkatra-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/alkatra/v3/r05EGLZA5qhCYsyJbuChFuK48MedzngUu7cKrNDVemxE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Alkatra\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/alkatra/alkatra-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/alkatra/v3/r05EGLZA5qhCYsyJbuChFuK48Medznj4vLcKrNDVemxE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Alkatra\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/alkatra/alkatra-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/alkatra/v3/r05EGLZA5qhCYsyJbuChFuK48MedznjBvLcKrNDVemxE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Alkatra\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/alkatra/alkatra-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/alkatra/alkatra.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:42;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Allan\";s:10:\"fontFamily\";s:16:\"Allan, system-ui\";s:4:\"slug\";s:5:\"allan\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/allan/v24/ea8XadU7WuTxEtbzP9SF8nZE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Allan\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/allan/allan-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/allan/v24/ea8aadU7WuTxEu5KEPCI2WpNgEKU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Allan\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/allan/allan-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/allan/allan.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:43;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Allerta\";s:10:\"fontFamily\";s:19:\"Allerta, sans-serif\";s:4:\"slug\";s:7:\"allerta\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/allerta/v18/TwMO-IAHRlkbx940UnQdSQqO5uY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Allerta\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/allerta/allerta-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/allerta/allerta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:44;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Allerta Stencil\";s:10:\"fontFamily\";s:29:\"\"Allerta Stencil\", sans-serif\";s:4:\"slug\";s:15:\"allerta-stencil\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/allertastencil/v22/HTx0L209KT-LmIE9N7OR6eiycOeF_jz313DuvQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Allerta Stencil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/allerta-stencil/allerta-stencil-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/allerta-stencil/allerta-stencil.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:45;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Allison\";s:10:\"fontFamily\";s:16:\"Allison, cursive\";s:4:\"slug\";s:7:\"allison\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/allison/v11/X7nl4b88AP2nkbvZOCOQ4MTgAgk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Allison\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/allison/allison-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/allison/allison.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:46;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Allura\";s:10:\"fontFamily\";s:15:\"Allura, cursive\";s:4:\"slug\";s:6:\"allura\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/allura/v21/9oRPNYsQpS4zjuAPiQIXPtrrGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Allura\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/allura/allura-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/allura/allura.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:47;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Almarai\";s:10:\"fontFamily\";s:19:\"Almarai, sans-serif\";s:4:\"slug\";s:7:\"almarai\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/almarai/v13/tssoApxBaigK_hnnS_anhn2coq72sXg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Almarai\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/almarai/almarai-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/almarai/v13/tsstApxBaigK_hnnc1-PonC3vqc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Almarai\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/almarai/almarai-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/almarai/v13/tssoApxBaigK_hnnS-aghn2coq72sXg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Almarai\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/almarai/almarai-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/almarai/v13/tssoApxBaigK_hnnS_qjhn2coq72sXg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Almarai\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/almarai/almarai-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/almarai/almarai.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:48;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Almendra\";s:10:\"fontFamily\";s:15:\"Almendra, serif\";s:4:\"slug\";s:8:\"almendra\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/almendra/v26/H4ckBXKAlMnTn0CskyY_wr-wg763.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Almendra\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra/almendra-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/almendra/v26/H4ciBXKAlMnTn0CskxY4yL6Shq63czE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Almendra\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra/almendra-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/almendra/v26/H4cjBXKAlMnTn0Cskx6G7Zu9qKK-aihq.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Almendra\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra/almendra-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/almendra/v26/H4chBXKAlMnTn0CskxY48Ae9oqOcbzhqDtg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Almendra\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra/almendra-700-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra/almendra.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:49;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Almendra Display\";s:10:\"fontFamily\";s:29:\"\"Almendra Display\", system-ui\";s:4:\"slug\";s:16:\"almendra-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/almendradisplay/v31/0FlPVOGWl1Sb4O3tETtADHRRlZhzXSreTyer338.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Almendra Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra-display/almendra-display-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra-display/almendra-display.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:50;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Almendra SC\";s:10:\"fontFamily\";s:20:\"\"Almendra SC\", serif\";s:4:\"slug\";s:11:\"almendra-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/almendrasc/v29/Iure6Yx284eebowr7hbyTZZMprVA4XQ0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Almendra SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra-sc/almendra-sc-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/almendra-sc/almendra-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:51;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Alumni Sans\";s:10:\"fontFamily\";s:25:\"\"Alumni Sans\", sans-serif\";s:4:\"slug\";s:11:\"alumni-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9OO5QrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9uO9QrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9Zu9QrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9OO9QrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9Cu9QrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd95uhQrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd93-hQrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9uOhQrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpHtKqkOwdO2aOIwhWudEWpx_zq_Xna-Xd9kehQrVsJ3C8qng.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Ky46lEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Kw461EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Kzm61EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Ky461EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8KyK61EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Kxm7FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Kxf7FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8Kw47FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/alumnisans/v18/nwpBtKqkOwdO2aOIwhWudG-g9QMylBJAV3Bo8KwR7FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Alumni Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans/alumni-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:52;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Alumni Sans Collegiate One\";s:10:\"fontFamily\";s:40:\"\"Alumni Sans Collegiate One\", sans-serif\";s:4:\"slug\";s:26:\"alumni-sans-collegiate-one\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/alumnisanscollegiateone/v5/MQpB-XChK8G5CtmK_AuGxQrdNvPSXkn0RM-XqjWWhjdfyDiPw2ta.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Alumni Sans Collegiate One\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-collegiate-one/alumni-sans-collegiate-one-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/alumnisanscollegiateone/v5/MQpD-XChK8G5CtmK_AuGxQrdNvPSXkn0RM-XqjWWhgdYwjmtxntaDFU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Alumni Sans Collegiate One\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-collegiate-one/alumni-sans-collegiate-one-400-italic.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-collegiate-one/alumni-sans-collegiate-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:53;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Alumni Sans Inline One\";s:10:\"fontFamily\";s:35:\"\"Alumni Sans Inline One\", system-ui\";s:4:\"slug\";s:22:\"alumni-sans-inline-one\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/alumnisansinlineone/v5/RrQBbpJx9zZ3IXTBOASKp5gJAetBdaihcjbpD3UZcr7xbYw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Alumni Sans Inline One\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-inline-one/alumni-sans-inline-one-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/alumnisansinlineone/v5/RrQDbpJx9zZ3IXTBOASKp5gJAetBdaihcjbpP3ITc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:22:\"Alumni Sans Inline One\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-inline-one/alumni-sans-inline-one-400-italic.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-inline-one/alumni-sans-inline-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:54;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Alumni Sans Pinstripe\";s:10:\"fontFamily\";s:35:\"\"Alumni Sans Pinstripe\", sans-serif\";s:4:\"slug\";s:21:\"alumni-sans-pinstripe\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/alumnisanspinstripe/v6/ZgNNjOFFPq_AUJD1umyS30W-Xub8zD1ObhezZ7VIpcDA5w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Alumni Sans Pinstripe\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-pinstripe/alumni-sans-pinstripe-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/alumnisanspinstripe/v6/ZgNDjOFFPq_AUJD1umyS30W-Xub8zD1ObheDYL9Jh8XQ5_cY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Alumni Sans Pinstripe\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-pinstripe/alumni-sans-pinstripe-400-italic.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/alumni-sans-pinstripe/alumni-sans-pinstripe.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:55;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Amarante\";s:10:\"fontFamily\";s:19:\"Amarante, system-ui\";s:4:\"slug\";s:8:\"amarante\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/amarante/v28/xMQXuF1KTa6EvGx9bq-yC3rAmD-b.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Amarante\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/amarante/amarante-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/amarante/amarante.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:56;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Amaranth\";s:10:\"fontFamily\";s:20:\"Amaranth, sans-serif\";s:4:\"slug\";s:8:\"amaranth\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/amaranth/v18/KtkuALODe433f0j1zPnHF9GqwnzW.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Amaranth\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/amaranth/amaranth-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/amaranth/v18/KtkoALODe433f0j1zMnAHdCIx2zWD4I.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Amaranth\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/amaranth/amaranth-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/amaranth/v18/KtkpALODe433f0j1zMF-OPWn6WDfFpuc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Amaranth\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/amaranth/amaranth-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/amaranth/v18/KtkrALODe433f0j1zMnAJWmn42H9E4ucRY8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Amaranth\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/amaranth/amaranth-700-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/amaranth/amaranth.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:57;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Amatic SC\";s:10:\"fontFamily\";s:20:\"\"Amatic SC\", cursive\";s:4:\"slug\";s:9:\"amatic-sc\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/amaticsc/v26/TUZyzwprpvBS1izr_vO0CO6ecZQf1A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Amatic SC\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/amatic-sc/amatic-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/amaticsc/v26/TUZ3zwprpvBS1izr_vOMscG6fL8D3WTy-A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Amatic SC\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/amatic-sc/amatic-sc-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/amatic-sc/amatic-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:58;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Amethysta\";s:10:\"fontFamily\";s:16:\"Amethysta, serif\";s:4:\"slug\";s:9:\"amethysta\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/amethysta/v16/rP2Fp2K15kgb_F3ibfWIHTWCBl0O8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Amethysta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/amethysta/amethysta-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/amethysta/amethysta.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:59;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Amiko\";s:10:\"fontFamily\";s:17:\"Amiko, sans-serif\";s:4:\"slug\";s:5:\"amiko\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/amiko/v14/WwkQxPq1DFK04tqgc17MMZgJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amiko\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiko/amiko-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/amiko/v14/WwkdxPq1DFK04uJ9XXrBGoQAUco5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amiko\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiko/amiko-600-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/amiko/v14/WwkdxPq1DFK04uIZXHrBGoQAUco5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amiko\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiko/amiko-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/amiko/amiko.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:60;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Amiri\";s:10:\"fontFamily\";s:12:\"Amiri, serif\";s:4:\"slug\";s:5:\"amiri\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/amiri/v27/J7aRnpd8CGxBHqUsvrIw74NL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amiri\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri/amiri-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/amiri/v27/J7afnpd8CGxBHpUrtLMS6pNLAjk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Amiri\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri/amiri-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/amiri/v27/J7acnpd8CGxBHp2VkZY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amiri\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri/amiri-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/amiri/v27/J7aanpd8CGxBHpUrjAo9zp5gHjAavCA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Amiri\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri/amiri-700-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri/amiri.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:61;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Amiri Quran\";s:10:\"fontFamily\";s:20:\"\"Amiri Quran\", serif\";s:4:\"slug\";s:11:\"amiri-quran\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/amiriquran/v14/_Xmo-Hk0rD6DbUL4_vH8Zq5o7Cycsu-2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Amiri Quran\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri-quran/amiri-quran-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/amiri-quran/amiri-quran.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:62;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Amita\";s:10:\"fontFamily\";s:14:\"Amita, cursive\";s:4:\"slug\";s:5:\"amita\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/amita/v18/HhyaU5si9Om7PQlqAfSKEZZL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amita\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amita/amita-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/amita/v18/HhyXU5si9Om7PTHTLtCHOopCTKkI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Amita\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/amita/amita-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/amita/amita.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:63;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Anaheim\";s:10:\"fontFamily\";s:19:\"Anaheim, sans-serif\";s:4:\"slug\";s:7:\"anaheim\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/anaheim/v15/8vIX7w042Wp87g4Gy0_24JbCiPrl-h5sLqrAIkJQb7zU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anaheim\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anaheim/anaheim-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/anaheim/v15/8vIX7w042Wp87g4Gy0_24JbCiPrl-h5eLqrAIkJQb7zU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anaheim\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anaheim/anaheim-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/anaheim/v15/8vIX7w042Wp87g4Gy0_24JbCiPrl-h6yKarAIkJQb7zU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anaheim\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anaheim/anaheim-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/anaheim/v15/8vIX7w042Wp87g4Gy0_24JbCiPrl-h6LKarAIkJQb7zU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anaheim\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anaheim/anaheim-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/anaheim/v15/8vIX7w042Wp87g4Gy0_24JbCiPrl-h7sKarAIkJQb7zU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anaheim\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anaheim/anaheim-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/anaheim/anaheim.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:64;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Andada Pro\";s:10:\"fontFamily\";s:19:\"\"Andada Pro\", serif\";s:4:\"slug\";s:10:\"andada-pro\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/andadapro/v21/HhyEU5Qi9-SuOEhPe4LtKoVCuWGURPcg3DPJBY8ZFLzvIt2S.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/andadapro/v21/HhyEU5Qi9-SuOEhPe4LtKoVCuWGURPcg3DP7BY8ZFLzvIt2S.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/andadapro/v21/HhyEU5Qi9-SuOEhPe4LtKoVCuWGURPcg3DMXAo8ZFLzvIt2S.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/andadapro/v21/HhyEU5Qi9-SuOEhPe4LtKoVCuWGURPcg3DMuAo8ZFLzvIt2S.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/andadapro/v21/HhyEU5Qi9-SuOEhPe4LtKoVCuWGURPcg3DNJAo8ZFLzvIt2S.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/andadapro/v21/HhyGU5Qi9-SuOEhPe4LtAIxwRrn9L22O2yYBRmdfHr3NJ82Stjw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/andadapro/v21/HhyGU5Qi9-SuOEhPe4LtAIxwRrn9L22O2yYBRlVfHr3NJ82Stjw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-500-italic.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/andadapro/v21/HhyGU5Qi9-SuOEhPe4LtAIxwRrn9L22O2yYBRrlYHr3NJ82Stjw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/andadapro/v21/HhyGU5Qi9-SuOEhPe4LtAIxwRrn9L22O2yYBRoBYHr3NJ82Stjw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-700-italic.svg\";}i:9;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/andadapro/v21/HhyGU5Qi9-SuOEhPe4LtAIxwRrn9L22O2yYBRudYHr3NJ82Stjw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Andada Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro-800-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/andada-pro/andada-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:65;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Andika\";s:10:\"fontFamily\";s:18:\"Andika, sans-serif\";s:4:\"slug\";s:6:\"andika\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/andika/v25/mem_Ya6iyW-LwqgAaLwRWrwGVA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Andika\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/andika/andika-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/andika/v25/mem9Ya6iyW-Lwqgwb7YQeLkWVNBt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Andika\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/andika/andika-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/andika/v25/mem8Ya6iyW-Lwqg40ZM1V5caXcl0Aw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Andika\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/andika/andika-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/andika/v25/mem6Ya6iyW-Lwqgwb46pV50bf8xkA76a.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Andika\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/andika/andika-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/andika/andika.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:66;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Anek Bangla\";s:10:\"fontFamily\";s:25:\"\"Anek Bangla\", sans-serif\";s:4:\"slug\";s:11:\"anek-bangla\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3Ofm9YIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3Ofu9ZIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3OfjFZIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3Ofm9ZIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3Ofl1ZIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3OfrFeIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3OfoheIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anekbangla/v5/_gPW1R38qTExHg-17BhM6n66QhabMYB0fBKONtHhRSIUIre5mq3Ofu9eIoIg56yyvt0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-bangla/anek-bangla.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:67;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Anek Devanagari\";s:10:\"fontFamily\";s:29:\"\"Anek Devanagari\", sans-serif\";s:4:\"slug\";s:15:\"anek-devanagari\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLDtk-9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLBtku9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLCzku9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLDtku9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLDfku9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLAzle9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLAKle9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/anekdevanagari/v8/jVyo7nP0CGrUsxB-QiRgw0NlLaVt_QUAkYxLRoCL23mlh20ZVHOMAWbgHLBtle9iFk0LjZ7E.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Anek Devanagari\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari-800-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-devanagari/anek-devanagari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:68;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Anek Gujarati\";s:10:\"fontFamily\";s:27:\"\"Anek Gujarati\", sans-serif\";s:4:\"slug\";s:13:\"anek-gujarati\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0F5G7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0l5C7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0SZC7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0F5C7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0JZC7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0yZe7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-08Je7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgujarati/v9/l7g_bj5oysqknvkCo2T_8FuiIRBA7lncQUmbIBEtPKiYYQhRwyBxCD-0l5e7xkKgB7Lm7g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gujarati\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati-800-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gujarati/anek-gujarati.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:69;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Anek Gurmukhi\";s:10:\"fontFamily\";s:27:\"\"Anek Gurmukhi\", sans-serif\";s:4:\"slug\";s:13:\"anek-gurmukhi\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkbd5ppWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkb95tpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkbKZtpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkbd5tpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkbRZtpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkbqZxpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkbkJxpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/anekgurmukhi/v8/0QIAMXRO_YSkA0quVLY79JnHybfeEOrXCa9Dmd9Ql6a6R_vEMc5TaLkb95xpWa41H6DjbA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anek Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi-800-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-gurmukhi/anek-gurmukhi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:70;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Anek Kannada\";s:10:\"fontFamily\";s:26:\"\"Anek Kannada\", sans-serif\";s:4:\"slug\";s:12:\"anek-kannada\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dFDEAuhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dHDEQuhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dEdEQuhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dFDEQuhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dFxEQuhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dGdFguhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dGkFguhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/anekkannada/v5/raxcHiCNvNMKe1CKFsINYFlgkEIwGa8nL6ruWJg1j--h8pvBKSiw4dHDFguhVReA1oef.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Anek Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-kannada/anek-kannada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:71;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Anek Latin\";s:10:\"fontFamily\";s:24:\"\"Anek Latin\", sans-serif\";s:4:\"slug\";s:10:\"anek-latin\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3PuR7EZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3Pux7AZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3PuGbAZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3PuR7AZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3PudbAZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3PumbcZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3PuoLcZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/aneklatin/v5/co3pmWZulTRoU4a8dqrWiajBS5ByUkvdrluH-xWG5uJTY4x-L3Pux7cZLNClWL3kgw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Latin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin-800-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-latin/anek-latin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:72;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Anek Malayalam\";s:10:\"fontFamily\";s:28:\"\"Anek Malayalam\", sans-serif\";s:4:\"slug\";s:14:\"anek-malayalam\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTUZu_HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTURu-HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTUcW-HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTUZu-HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTUam-HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTUUW5HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTUXy5HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/anekmalayalam/v6/6qLjKZActRTs_mZAJUZWWkhke0nYa_vC8_Azq3-gP1SReZeOtqQuDVUTURu5HM_5PDO71Qs.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Anek Malayalam\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam-800-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-malayalam/anek-malayalam.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:73;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Anek Odia\";s:10:\"fontFamily\";s:23:\"\"Anek Odia\", sans-serif\";s:4:\"slug\";s:9:\"anek-odia\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnmZf63jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnkZfq3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnnHfq3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnmZfq3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnmrfq3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnlHea3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnl-ea3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anekodia/v6/TK3PWkoJARApz5UCd345tuevwwQX0CwsoYkAWgWYevAauivBUnkZea3jXZAtm_es.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Anek Odia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia-800-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-odia/anek-odia.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:74;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Anek Tamil\";s:10:\"fontFamily\";s:24:\"\"Anek Tamil\", sans-serif\";s:4:\"slug\";s:10:\"anek-tamil\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNQiZ6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNwid6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNHCd6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNQid6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNcCd6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNnCB6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNpSB6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/anektamil/v9/XLYJIZH2bYJHGYtPGSbUB8JKTp-_9n55SsLHW0WZez6TjtkDu3uNwiB6rov4oegjOQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Anek Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil-800-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-tamil/anek-tamil.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:75;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Anek Telugu\";s:10:\"fontFamily\";s:25:\"\"Anek Telugu\", sans-serif\";s:4:\"slug\";s:11:\"anek-telugu\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i13y-_oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i136--oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i133G-oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i13y--oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i13x2-oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i13_G5oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i138i5oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/anektelugu/v8/LhWLMVrUNvsddMtYGCx4FcVWOjlwE1WgXdoJ-5XHMl2DkooGK7i136-5oEiG2ep10_8.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Anek Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/anek-telugu/anek-telugu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:76;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Angkor\";s:10:\"fontFamily\";s:17:\"Angkor, system-ui\";s:4:\"slug\";s:6:\"angkor\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/angkor/v32/H4cmBXyAlsPdnlb-9yw-4Lqggw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Angkor\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/angkor/angkor-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/angkor/angkor.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:77;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Annapurna SIL\";s:10:\"fontFamily\";s:22:\"\"Annapurna SIL\", serif\";s:4:\"slug\";s:13:\"annapurna-sil\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/annapurnasil/v2/yYLv0hDY0f2iu9tPmRWtllid8NZ9dZT_PZs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Annapurna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/annapurna-sil/annapurna-sil-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/annapurnasil/v2/yYLy0hDY0f2iu9tPmRWtllidyG9SUZnUIZJ008A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Annapurna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/annapurna-sil/annapurna-sil-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/annapurna-sil/annapurna-sil.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:78;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Annie Use Your Telescope\";s:10:\"fontFamily\";s:35:\"\"Annie Use Your Telescope\", cursive\";s:4:\"slug\";s:24:\"annie-use-your-telescope\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/annieuseyourtelescope/v18/daaLSS4tI2qYYl3Jq9s_Hu74xwktnlKxH6osGVGjkTfB3UUVZA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Annie Use Your Telescope\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/annie-use-your-telescope/annie-use-your-telescope-400-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/annie-use-your-telescope/annie-use-your-telescope.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:79;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Anonymous Pro\";s:10:\"fontFamily\";s:26:\"\"Anonymous Pro\", monospace\";s:4:\"slug\";s:13:\"anonymous-pro\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/anonymouspro/v21/rP2Bp2a15UIB7Un-bOeISG3pLlk89CH98Ko.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anonymous Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anonymous-pro/anonymous-pro-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anonymouspro/v21/rP2fp2a15UIB7Un-bOeISG3pHl429QP44Kqr2Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Anonymous Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anonymous-pro/anonymous-pro-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/anonymouspro/v21/rP2cp2a15UIB7Un-bOeISG3pFuAT0CzW7KOywKo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Anonymous Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anonymous-pro/anonymous-pro-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/anonymouspro/v21/rP2ap2a15UIB7Un-bOeISG3pHl4OTCzc7YG30KqB9Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Anonymous Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/anonymous-pro/anonymous-pro-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/anonymous-pro/anonymous-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:80;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Anta\";s:10:\"fontFamily\";s:16:\"Anta, sans-serif\";s:4:\"slug\";s:4:\"anta\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:65:\"https://fonts.gstatic.com/s/anta/v1/gyBzhwQ3KsIyZFkxPFimIo0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Anta\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/anta/anta-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/anta/anta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:81;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Antic\";s:10:\"fontFamily\";s:17:\"Antic, sans-serif\";s:4:\"slug\";s:5:\"antic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/antic/v19/TuGfUVB8XY5DRaZOodgzydtk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Antic\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/antic/antic-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/antic/antic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:82;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Antic Didone\";s:10:\"fontFamily\";s:21:\"\"Antic Didone\", serif\";s:4:\"slug\";s:12:\"antic-didone\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/anticdidone/v16/RWmPoKKX6u8sp8fIWdnDKqDirIsGBGBzCw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Antic Didone\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/antic-didone/antic-didone-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/antic-didone/antic-didone.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:83;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Antic Slab\";s:10:\"fontFamily\";s:19:\"\"Antic Slab\", serif\";s:4:\"slug\";s:10:\"antic-slab\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/anticslab/v16/bWt97fPFfRzkCa9Jlp6IWcdWXW5p5Qo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Antic Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/antic-slab/antic-slab-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/antic-slab/antic-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:84;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Anton\";s:10:\"fontFamily\";s:17:\"Anton, sans-serif\";s:4:\"slug\";s:5:\"anton\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/anton/v25/1Ptgg87LROyAm0Kx8i4gS7lu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Anton\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/anton/anton-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/anton/anton.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:85;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Anton SC\";s:10:\"fontFamily\";s:22:\"\"Anton SC\", sans-serif\";s:4:\"slug\";s:8:\"anton-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/antonsc/v1/4UaBrEBBsgltGn71sxLjzanB44N1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Anton SC\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/anton-sc/anton-sc-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/anton-sc/anton-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:86;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Antonio\";s:10:\"fontFamily\";s:19:\"Antonio, sans-serif\";s:4:\"slug\";s:7:\"antonio\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVxx8BtNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVzx8RtNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVwv8RtNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVxx8RtNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVxD8RtNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVyv9htNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/antonio/v19/gNMbW3NwSYq_9WD34ngK5F8vR8T0PVyW9htNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Antonio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/antonio/antonio.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:87;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Anuphan\";s:10:\"fontFamily\";s:19:\"Anuphan, sans-serif\";s:4:\"slug\";s:7:\"anuphan\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZCkY9A4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZCmY9Q4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZClG9Q4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZCkY9Q4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZCkq9Q4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZCnG8g4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/anuphan/v4/2sDBZGxYgY7LkLT0s2Yrm5UhuLoIZCn_8g4hGmW927Gu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anuphan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/anuphan/anuphan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:88;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Anybody\";s:10:\"fontFamily\";s:18:\"Anybody, system-ui\";s:4:\"slug\";s:7:\"anybody\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4J12HPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4JV2DPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4JiWDPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4J12DPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4J5WDPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4JCWfPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4JMGfPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4JV2fPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/anybody/v11/VuJbdNvK2Ib2ppdWYq311GH32hxIv0sd5grncSUi2F_Wim4JfmfPq8XD_nBPpQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyMn7M_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyOn7c_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyN57c_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyMn7c_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyMV7c_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyP56s_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyPA6s_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyOn6s_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/anybody/v11/VuJddNvK2Ib2ppdWSKTHN4GOiYrmuF7VpPiuQ9r6sTRMJGkcHyOO6s_C3HVfpcHY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Anybody\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/anybody/anybody.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:89;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Aoboshi One\";s:10:\"fontFamily\";s:20:\"\"Aoboshi One\", serif\";s:4:\"slug\";s:11:\"aoboshi-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/aoboshione/v11/Gg8xN5kXaAXtHQrFxwl10ysOBmZX_UEg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Aoboshi One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/aoboshi-one/aoboshi-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/aoboshi-one/aoboshi-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:90;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Arapey\";s:10:\"fontFamily\";s:13:\"Arapey, serif\";s:4:\"slug\";s:6:\"arapey\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/arapey/v16/-W__XJn-UDDA2RC6YtAcZkIzeg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Arapey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/arapey/arapey-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/arapey/v16/-W_9XJn-UDDA2RCKZdodREcjeo0k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Arapey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/arapey/arapey-400-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/arapey/arapey.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:91;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Arbutus\";s:10:\"fontFamily\";s:14:\"Arbutus, serif\";s:4:\"slug\";s:7:\"arbutus\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/arbutus/v28/NaPYcZ7dG_5J3poob9dtryO8fMU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Arbutus\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/arbutus/arbutus-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/arbutus/arbutus.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:92;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Arbutus Slab\";s:10:\"fontFamily\";s:21:\"\"Arbutus Slab\", serif\";s:4:\"slug\";s:12:\"arbutus-slab\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/arbutusslab/v16/oY1Z8e7OuLXkJGbXtr5ba7ZVbq8dJlaFAQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Arbutus Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/arbutus-slab/arbutus-slab-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/arbutus-slab/arbutus-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:93;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Architects Daughter\";s:10:\"fontFamily\";s:30:\"\"Architects Daughter\", cursive\";s:4:\"slug\";s:19:\"architects-daughter\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/architectsdaughter/v18/KtkxAKiDZI_td1Lkx62xHZHDtgO_Y-bvfYtq4szgE-Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Architects Daughter\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/architects-daughter/architects-daughter-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/architects-daughter/architects-daughter.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:94;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Archivo\";s:10:\"fontFamily\";s:19:\"Archivo, sans-serif\";s:4:\"slug\";s:7:\"archivo\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTNDJp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTtDNp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTajNp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTNDNp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTBjNp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTT6jRp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTT0zRp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTtDRp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivo/v19/k3k6o8UDI-1M0wlSV9XAw6lQkqWY8Q82sJaRE-NWIDdgffTTnTRp9R1oJ0vyVQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HCBshdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HABsxdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HDfsxdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HCBsxdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HCzsxdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HBftBdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HBmtBdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HABtBdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/archivo/v19/k3k8o8UDI-1M0wlSfdzyIEkpwTM29hr-8mTYIRyOSVz60_PG_HAotBdpBU7iVdxQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Archivo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo/archivo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:95;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Archivo Black\";s:10:\"fontFamily\";s:27:\"\"Archivo Black\", sans-serif\";s:4:\"slug\";s:13:\"archivo-black\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/archivoblack/v21/HTxqL289NzCGg4MzN6KJ7eW6OY6P_x7yx3A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Archivo Black\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-black/archivo-black-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-black/archivo-black.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:96;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Archivo Narrow\";s:10:\"fontFamily\";s:28:\"\"Archivo Narrow\", sans-serif\";s:4:\"slug\";s:14:\"archivo-narrow\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss5ApVBdCYD5Q7hcxTE1ArZ0Zz8oY2KRmwvKhhvLFGKoXOtFCQ76Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss5ApVBdCYD5Q7hcxTE1ArZ0Zz8oY2KRmwvKhhvHlGKoXOtFCQ76Q.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss5ApVBdCYD5Q7hcxTE1ArZ0Zz8oY2KRmwvKhhv8laKoXOtFCQ76Q.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss5ApVBdCYD5Q7hcxTE1ArZ0Zz8oY2KRmwvKhhvy1aKoXOtFCQ76Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss7ApVBdCYD5Q7hcxTE1ArZ0bb1k3JSLwe1hB965BJi53msNiEr6T6Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss7ApVBdCYD5Q7hcxTE1ArZ0bb1k3JSLwe1hB965BJQ53msNiEr6T6Y.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss7ApVBdCYD5Q7hcxTE1ArZ0bb1k3JSLwe1hB965BK84HmsNiEr6T6Y.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/archivonarrow/v30/tss7ApVBdCYD5Q7hcxTE1ArZ0bb1k3JSLwe1hB965BKF4HmsNiEr6T6Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Archivo Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow-700-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/archivo-narrow/archivo-narrow.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:97;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Are You Serious\";s:10:\"fontFamily\";s:26:\"\"Are You Serious\", cursive\";s:4:\"slug\";s:15:\"are-you-serious\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/areyouserious/v12/ll8kK2GVSSr-PtjQ5nONVcNn4306gD9nCGRayg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Are You Serious\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/are-you-serious/are-you-serious-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/are-you-serious/are-you-serious.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:98;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Aref Ruqaa\";s:10:\"fontFamily\";s:19:\"\"Aref Ruqaa\", serif\";s:4:\"slug\";s:10:\"aref-ruqaa\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/arefruqaa/v25/WwkbxPW1E165rajQKDulEIUiVNo5xNY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Aref Ruqaa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/aref-ruqaa/aref-ruqaa-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/arefruqaa/v25/WwkYxPW1E165rajQKDulKDwNcNcS2N_7Bdk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Aref Ruqaa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/aref-ruqaa/aref-ruqaa-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/aref-ruqaa/aref-ruqaa.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:99;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Aref Ruqaa Ink\";s:10:\"fontFamily\";s:23:\"\"Aref Ruqaa Ink\", serif\";s:4:\"slug\";s:14:\"aref-ruqaa-ink\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/arefruqaaink/v10/1q2fY5WOGUFlt84GTOkP6Kdx72TkVIGpgnxL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Aref Ruqaa Ink\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/aref-ruqaa-ink/aref-ruqaa-ink-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/arefruqaaink/v10/1q2cY5WOGUFlt84GTOkP6Kdx71xde6WkqWBCyxWn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Aref Ruqaa Ink\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/aref-ruqaa-ink/aref-ruqaa-ink-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/aref-ruqaa-ink/aref-ruqaa-ink.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:100;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Arima\";s:10:\"fontFamily\";s:16:\"Arima, system-ui\";s:4:\"slug\";s:5:\"arima\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX1YTE-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX14TA-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX1PzA-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX1YTA-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX1UzA-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX1vzc-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arima/v5/neIWzCqmt4Aup_qE1nFWqxI1RZX1hjc-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arima\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/arima/arima.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:101;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Arimo\";s:10:\"fontFamily\";s:17:\"Arimo, sans-serif\";s:4:\"slug\";s:5:\"arimo\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/arimo/v29/P5sfzZCDf9_T_3cV7NCUECyoxNk37cxsAhDAVQI4aA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/arimo/v29/P5sfzZCDf9_T_3cV7NCUECyoxNk338xsAhDAVQI4aA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/arimo/v29/P5sfzZCDf9_T_3cV7NCUECyoxNk3M8tsAhDAVQI4aA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/arimo/v29/P5sfzZCDf9_T_3cV7NCUECyoxNk3CstsAhDAVQI4aA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/arimo/v29/P5sdzZCDf9_T_10c3i9MeUcyat4iJY-ERBrBdwcoaKww.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/arimo/v29/P5sdzZCDf9_T_10c3i9MeUcyat4iJY-2RBrBdwcoaKww.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/arimo/v29/P5sdzZCDf9_T_10c3i9MeUcyat4iJY9aQxrBdwcoaKww.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/arimo/v29/P5sdzZCDf9_T_10c3i9MeUcyat4iJY9jQxrBdwcoaKww.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Arimo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo-700-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/arimo/arimo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:102;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Arizonia\";s:10:\"fontFamily\";s:17:\"Arizonia, cursive\";s:4:\"slug\";s:8:\"arizonia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/arizonia/v21/neIIzCemt4A5qa7mv6WDHK06UY30.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Arizonia\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/arizonia/arizonia-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/arizonia/arizonia.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:103;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Armata\";s:10:\"fontFamily\";s:18:\"Armata, sans-serif\";s:4:\"slug\";s:6:\"armata\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/armata/v20/gokvH63_HV5jQ-E9kT53Q2u_mQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Armata\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/armata/armata-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/armata/armata.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:104;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Arsenal\";s:10:\"fontFamily\";s:19:\"Arsenal, sans-serif\";s:4:\"slug\";s:7:\"arsenal\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/arsenal/v12/wXKrE3kQtZQ4pF3D11rWAewrhXY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Arsenal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal/arsenal-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/arsenal/v12/wXKpE3kQtZQ4pF3D513cAM4ulXYrtA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Arsenal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal/arsenal-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/arsenal/v12/wXKuE3kQtZQ4pF3D7-P5JeEAmX8yrdk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Arsenal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal/arsenal-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/arsenal/v12/wXKsE3kQtZQ4pF3D513kueEKmF03vdnKjw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Arsenal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal/arsenal-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal/arsenal.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:105;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Arsenal SC\";s:10:\"fontFamily\";s:24:\"\"Arsenal SC\", sans-serif\";s:4:\"slug\";s:10:\"arsenal-sc\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/arsenalsc/v1/x3dlckLHea6e5BEtsfxiXN8ssybsHQI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Arsenal SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal-sc/arsenal-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/arsenalsc/v1/x3dnckLHea6e5BEtsfxibNgmsgTpDQIrGg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Arsenal SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal-sc/arsenal-sc-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/arsenalsc/v1/x3dmckLHea6e5BEtsfxiZGYDlyvHAQsyA2Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Arsenal SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal-sc/arsenal-sc-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/arsenalsc/v1/x3d4ckLHea6e5BEtsfxibNgeCyvNACk3E2YljQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Arsenal SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal-sc/arsenal-sc-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/arsenal-sc/arsenal-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:106;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Artifika\";s:10:\"fontFamily\";s:15:\"Artifika, serif\";s:4:\"slug\";s:8:\"artifika\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/artifika/v21/VEMyRoxzronptCuxu6Wo5jDtreOL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Artifika\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/artifika/artifika-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/artifika/artifika.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:107;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Arvo\";s:10:\"fontFamily\";s:11:\"Arvo, serif\";s:4:\"slug\";s:4:\"arvo\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/arvo/v22/tDbD2oWUg0MKmSUa7Lzr7vs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Arvo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/arvo/arvo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/arvo/v22/tDbN2oWUg0MKqSIQ7Z7u_vvijQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Arvo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/arvo/arvo-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/arvo/v22/tDbM2oWUg0MKoZw1yLHA8vL7lAE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Arvo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/arvo/arvo-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/arvo/v22/tDbO2oWUg0MKqSIoVLHK89D-hAHkGg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Arvo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/arvo/arvo-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/arvo/arvo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:108;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Arya\";s:10:\"fontFamily\";s:16:\"Arya, sans-serif\";s:4:\"slug\";s:4:\"arya\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/arya/v19/ga6CawNG-HJd9UP1-beqdFE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Arya\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/arya/arya-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/arya/v19/ga6NawNG-HJdzfra3bqBaFg3dRE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Arya\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/arya/arya-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/arya/arya.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:109;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Asap\";s:10:\"fontFamily\";s:16:\"Asap, sans-serif\";s:4:\"slug\";s:4:\"asap\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYkqQsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYEqUsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYzKUsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYkqUsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYoKUsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYTKIsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYdaIsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYEqIsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/asap/v30/KFOOCniXp96a4Tc2DaTeuDAoKsE617JFc49knOIYdjTYO6IsK2OXoA7Glw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWubEbGmWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWuZEbWmWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWuaabWmWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWubEbWmWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWub2bWmWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWuYaammWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWuYjammWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWuZEammWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/asap/v30/KFOMCniXp96ayz4E7kSn66aGLdTylUAMQXC89YmC2DPNWuZtammWggvWl0Qn.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Asap\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap-900-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/asap/asap.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:110;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Asap Condensed\";s:10:\"fontFamily\";s:28:\"\"Asap Condensed\", sans-serif\";s:4:\"slug\";s:14:\"asap-condensed\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO9DSWlBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUIFFimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO8nSmlBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUOVGimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxidypY1o9NHyXh3WvSbGSggdNeOYk1Mq3ap.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxifypY1o9NHyXh3WvSbGSggdOeJaExurmapvvM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO9_S2lBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUL1HimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO9TTGlBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUJFAimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO83TWlBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUPVBimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO8rTmlBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-800-normal.svg\";}i:13;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUOlCimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-800-italic.svg\";}i:14;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxieypY1o9NHyXh3WvSbGSggdO8PT2lBgGqgp-pO.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-900-normal.svg\";}i:15;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/asapcondensed/v17/pxiYypY1o9NHyXh3WvSbGSggdOeJUM1DimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Asap Condensed\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/asap-condensed/asap-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:111;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Asar\";s:10:\"fontFamily\";s:11:\"Asar, serif\";s:4:\"slug\";s:4:\"asar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/asar/v22/sZlLdRyI6TBIXkMQDLlTW6E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asar\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asar/asar-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/asar/asar.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:112;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Asset\";s:10:\"fontFamily\";s:16:\"Asset, system-ui\";s:4:\"slug\";s:5:\"asset\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/asset/v29/SLXGc1na-mM4cWIjRJqExst1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Asset\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/asset/asset-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/asset/asset.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:113;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Assistant\";s:10:\"fontFamily\";s:21:\"Assistant, sans-serif\";s:4:\"slug\";s:9:\"assistant\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQtmZnEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQtrhnEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQtuZnEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQttRnEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQtjhgEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQtgFgEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/assistant/v19/2sDPZGJYnIjSi6H75xkZZE1I0yCmYzzQtmZgEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Assistant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant-800-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/assistant/assistant.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:114;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Astloch\";s:10:\"fontFamily\";s:18:\"Astloch, system-ui\";s:4:\"slug\";s:7:\"astloch\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/astloch/v26/TuGRUVJ8QI5GSeUjq9kRzMtkH1Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Astloch\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/astloch/astloch-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/astloch/v26/TuGUUVJ8QI5GSeUjk2A-6MZPA10xLMQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Astloch\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/astloch/astloch-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/astloch/astloch.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:115;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Asul\";s:10:\"fontFamily\";s:16:\"Asul, sans-serif\";s:4:\"slug\";s:4:\"asul\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/asul/v21/VuJ-dNjKxYr46fYFXK78JIg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asul\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asul/asul-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/asul/v21/VuJxdNjKxYr40U8qeKPXOIFneRo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Asul\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/asul/asul-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/asul/asul.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:116;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Athiti\";s:10:\"fontFamily\";s:18:\"Athiti, sans-serif\";s:4:\"slug\";s:6:\"athiti\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/athiti/v12/pe0sMISdLIZIv1wAxDNyB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Athiti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/athiti/v12/pe0sMISdLIZIv1wAoDByB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Athiti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/athiti/v12/pe0vMISdLIZIv1w4CRhWCtaiAg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Athiti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/athiti/v12/pe0sMISdLIZIv1wA-DFyB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Athiti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/athiti/v12/pe0sMISdLIZIv1wA1DZyB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Athiti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/athiti/v12/pe0sMISdLIZIv1wAsDdyB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Athiti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/athiti/athiti.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:117;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Atkinson Hyperlegible\";s:10:\"fontFamily\";s:35:\"\"Atkinson Hyperlegible\", sans-serif\";s:4:\"slug\";s:21:\"atkinson-hyperlegible\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/atkinsonhyperlegible/v11/9Bt23C1KxNDXMspQ1lPyU89-1h6ONRlW45GE4JgpewSSbQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Atkinson Hyperlegible\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/atkinson-hyperlegible/atkinson-hyperlegible-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/atkinsonhyperlegible/v11/9Bt43C1KxNDXMspQ1lPyU89-1h6ONRlW45G055IoWQGCbUWn.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Atkinson Hyperlegible\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/atkinson-hyperlegible/atkinson-hyperlegible-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/atkinsonhyperlegible/v11/9Bt73C1KxNDXMspQ1lPyU89-1h6ONRlW45G8WbcNdi-OZFy-FA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Atkinson Hyperlegible\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/atkinson-hyperlegible/atkinson-hyperlegible-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/atkinsonhyperlegible/v11/9Bt93C1KxNDXMspQ1lPyU89-1h6ONRlW45G056qRdiWPRlmuFH24.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Atkinson Hyperlegible\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/atkinson-hyperlegible/atkinson-hyperlegible-700-italic.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/atkinson-hyperlegible/atkinson-hyperlegible.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:118;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Atma\";s:10:\"fontFamily\";s:15:\"Atma, system-ui\";s:4:\"slug\";s:4:\"atma\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/atma/v16/uK_z4rqWc-Eoo8JzKjI9PvedRkM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Atma\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/atma/atma-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/atma/v16/uK_84rqWc-Eom2tbDj8WIv4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Atma\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/atma/atma-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/atma/v16/uK_z4rqWc-Eoo5pyKjI9PvedRkM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Atma\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/atma/atma-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/atma/v16/uK_z4rqWc-Eoo7Z1KjI9PvedRkM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Atma\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/atma/atma-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/atma/v16/uK_z4rqWc-Eoo9J0KjI9PvedRkM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Atma\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/atma/atma-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/atma/atma.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:119;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Atomic Age\";s:10:\"fontFamily\";s:23:\"\"Atomic Age\", system-ui\";s:4:\"slug\";s:10:\"atomic-age\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/atomicage/v27/f0Xz0eug6sdmRFkYZZGL58Tt9a8GYeA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Atomic Age\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/atomic-age/atomic-age-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/atomic-age/atomic-age.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:120;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Aubrey\";s:10:\"fontFamily\";s:17:\"Aubrey, system-ui\";s:4:\"slug\";s:6:\"aubrey\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/aubrey/v28/q5uGsou7NPBw-p7vvwNsCxVEgA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Aubrey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/aubrey/aubrey-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/aubrey/aubrey.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:121;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Audiowide\";s:10:\"fontFamily\";s:20:\"Audiowide, system-ui\";s:4:\"slug\";s:9:\"audiowide\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/audiowide/v20/l7gdbjpo0cum0ckerWCtlAXPExpQBw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Audiowide\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/audiowide/audiowide-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/audiowide/audiowide.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:122;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Autour One\";s:10:\"fontFamily\";s:23:\"\"Autour One\", system-ui\";s:4:\"slug\";s:10:\"autour-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/autourone/v24/UqyVK80cP25l3fJgbdfbk5xWVscxdKE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Autour One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/autour-one/autour-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/autour-one/autour-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:123;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Average\";s:10:\"fontFamily\";s:14:\"Average, serif\";s:4:\"slug\";s:7:\"average\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/average/v18/fC1hPYBHe23MxA7rIedwVWytTyk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Average\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/average/average-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/average/average.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:124;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Average Sans\";s:10:\"fontFamily\";s:26:\"\"Average Sans\", sans-serif\";s:4:\"slug\";s:12:\"average-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/averagesans/v16/1Ptpg8fLXP2dlAXR-HlJJNJPANqazVoK4A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Average Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/average-sans/average-sans-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/average-sans/average-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:125;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Averia Gruesa Libre\";s:10:\"fontFamily\";s:32:\"\"Averia Gruesa Libre\", system-ui\";s:4:\"slug\";s:19:\"averia-gruesa-libre\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/averiagruesalibre/v22/NGSov4nEGEktOaDRKsY-1dhh8eEtIx3ZUmyJw0SLRA8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Averia Gruesa Libre\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-gruesa-libre/averia-gruesa-libre-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-gruesa-libre/averia-gruesa-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:126;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Averia Libre\";s:10:\"fontFamily\";s:25:\"\"Averia Libre\", system-ui\";s:4:\"slug\";s:12:\"averia-libre\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/averialibre/v16/2V0FKIcMGZEnV6xygz7eNjEarovtak7t-pQgTw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Averia Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/averialibre/v16/2V0HKIcMGZEnV6xygz7eNjESAJFhbUTs2JEwT4Sk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Averia Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/averialibre/v16/2V0aKIcMGZEnV6xygz7eNjEiB6PJZ2Xx8w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Averia Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/averialibre/v16/2V0EKIcMGZEnV6xygz7eNjESAKnIRWDh8405.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Averia Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/averialibre/v16/2V0FKIcMGZEnV6xygz7eNjEavoztak7t-pQgTw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Averia Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/averialibre/v16/2V0HKIcMGZEnV6xygz7eNjESAJFxakTs2JEwT4Sk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Averia Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-libre/averia-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:127;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Averia Sans Libre\";s:10:\"fontFamily\";s:30:\"\"Averia Sans Libre\", system-ui\";s:4:\"slug\";s:17:\"averia-sans-libre\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/averiasanslibre/v19/ga6SaxZG_G5OvCf_rt7FH3B6BHLMEd3lMKcVJZP1LmD9.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Averia Sans Libre\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/averiasanslibre/v19/ga6caxZG_G5OvCf_rt7FH3B6BHLMEdVLKisSL5LXK3D9qtg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Averia Sans Libre\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/averiasanslibre/v19/ga6XaxZG_G5OvCf_rt7FH3B6BHLMEeVMGIMYDo_8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Averia Sans Libre\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/averiasanslibre/v19/ga6RaxZG_G5OvCf_rt7FH3B6BHLMEdVLEoI6C5_8N3k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Averia Sans Libre\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/averiasanslibre/v19/ga6SaxZG_G5OvCf_rt7FH3B6BHLMEd31N6cVJZP1LmD9.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Averia Sans Libre\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/averiasanslibre/v19/ga6caxZG_G5OvCf_rt7FH3B6BHLMEdVLKjsVL5LXK3D9qtg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Averia Sans Libre\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre-700-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-sans-libre/averia-sans-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:128;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Averia Serif Libre\";s:10:\"fontFamily\";s:31:\"\"Averia Serif Libre\", system-ui\";s:4:\"slug\";s:18:\"averia-serif-libre\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/averiaseriflibre/v18/neIVzD2ms4wxr6GvjeD0X88SHPyX2xYGCSmqxKcqdrKvbQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Averia Serif Libre\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/averiaseriflibre/v18/neIbzD2ms4wxr6GvjeD0X88SHPyX2xYOpzMmw60rVLe_bXHq.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Averia Serif Libre\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/averiaseriflibre/v18/neIWzD2ms4wxr6GvjeD0X88SHPyX2xY-oAGOyYw2fw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Averia Serif Libre\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/averiaseriflibre/v18/neIUzD2ms4wxr6GvjeD0X88SHPyX2xYOpwuP64kmf6u2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Averia Serif Libre\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/averiaseriflibre/v18/neIVzD2ms4wxr6GvjeD0X88SHPyX2xYGGS6qxKcqdrKvbQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Averia Serif Libre\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/averiaseriflibre/v18/neIbzD2ms4wxr6GvjeD0X88SHPyX2xYOpzM2xK0rVLe_bXHq.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Averia Serif Libre\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre-700-italic.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/averia-serif-libre/averia-serif-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:129;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Azeret Mono\";s:10:\"fontFamily\";s:24:\"\"Azeret Mono\", monospace\";s:4:\"slug\";s:11:\"azeret-mono\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfnPRh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfHPVh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfwvVh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfnPVh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfrvVh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfQvJh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfe_Jh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfHPJh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfNfJh17aa-5s3AA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLaJkLyb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLYJkbyb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLbXkbyb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLaJkbyb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLa7kbyb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLZXlryb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLZulryb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLYJlryb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/azeretmono/v17/3XF_ErsiyJsY9O_Gepph-HHkf_fUKCzX1EOKVLYglryb2Z4nAN7J.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Azeret Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/azeret-mono/azeret-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:130;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"B612\";s:10:\"fontFamily\";s:18:\"\"B612\", sans-serif\";s:4:\"slug\";s:5:\"b-612\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/b612/v12/3JnySDDxiSz32jy4GDigUXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"B612\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/b612/b612-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/b612/v12/3Jn8SDDxiSz36juyGRqlQXwdVw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"B612\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/b612/b612-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/b612/v12/3Jn9SDDxiSz34oWXPDWLTXUETuE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"B612\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/b612/b612-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/b612/v12/3Jn_SDDxiSz36juKoDWBTFcBXuFb0Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"B612\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/b612/b612-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/b612/b612.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:131;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"B612 Mono\";s:10:\"fontFamily\";s:22:\"\"B612 Mono\", monospace\";s:4:\"slug\";s:10:\"b-612-mono\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/b612mono/v14/kmK_Zq85QVWbN1eW6lJl0gTcquRTtg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"B612 Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/b612-mono/b612-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/b612mono/v14/kmK5Zq85QVWbN1eW6lJV1Q7diOFDtqtf.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"B612 Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/b612-mono/b612-mono-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/b612mono/v14/kmK6Zq85QVWbN1eW6lJdayv4p89Pv7JGSg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"B612 Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/b612-mono/b612-mono-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/b612mono/v14/kmKkZq85QVWbN1eW6lJV1TZkp8VOnbdWSg4x.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"B612 Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/b612-mono/b612-mono-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/b612-mono/b612-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:132;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"BIZ UDGothic\";s:10:\"fontFamily\";s:26:\"\"BIZ UDGothic\", sans-serif\";s:4:\"slug\";s:12:\"biz-udgothic\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bizudgothic/v12/daafSTouBF7RUjnbt8p3LuKtsAN98z_MbQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"BIZ UDGothic\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udgothic/biz-udgothic-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bizudgothic/v12/daaASTouBF7RUjnbt8p3LuKVCSxZ_hTQZMhbaA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"BIZ UDGothic\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udgothic/biz-udgothic-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udgothic/biz-udgothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:133;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"BIZ UDMincho\";s:10:\"fontFamily\";s:21:\"\"BIZ UDMincho\", serif\";s:4:\"slug\";s:12:\"biz-udmincho\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bizudmincho/v11/EJRRQgI6eOxFjBdKs38yhtW1cgT7rcpY8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"BIZ UDMincho\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udmincho/biz-udmincho-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bizudmincho/v11/EJROQgI6eOxFjBdKs38yhtWNyyvfoOFE-IyCrw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"BIZ UDMincho\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udmincho/biz-udmincho-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udmincho/biz-udmincho.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:134;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"BIZ UDPGothic\";s:10:\"fontFamily\";s:27:\"\"BIZ UDPGothic\", sans-serif\";s:4:\"slug\";s:13:\"biz-udpgothic\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/bizudpgothic/v14/hES36X5pHAIBjmS84VL0Bue83nAMQWkMUAk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"BIZ UDPGothic\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udpgothic/biz-udpgothic-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/bizudpgothic/v14/hESq6X5pHAIBjmS84VL0Bue85skjZWQnTABCSQo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"BIZ UDPGothic\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udpgothic/biz-udpgothic-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udpgothic/biz-udpgothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:135;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"BIZ UDPMincho\";s:10:\"fontFamily\";s:22:\"\"BIZ UDPMincho\", serif\";s:4:\"slug\";s:13:\"biz-udpmincho\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/bizudpmincho/v11/ypvfbXOBrmYppy7oWWTg1_58nh1YtUb0gZk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"BIZ UDPMincho\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udpmincho/biz-udpmincho-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/bizudpmincho/v11/ypvCbXOBrmYppy7oWWTg1_58pqR3kUvfnZAy57k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"BIZ UDPMincho\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udpmincho/biz-udpmincho-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/biz-udpmincho/biz-udpmincho.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:136;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Babylonica\";s:10:\"fontFamily\";s:19:\"Babylonica, cursive\";s:4:\"slug\";s:10:\"babylonica\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/babylonica/v5/5aUw9_i2qxWVCAE2aHjTqDd0-VVMoEw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Babylonica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/babylonica/babylonica-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/babylonica/babylonica.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:137;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Bacasime Antique\";s:10:\"fontFamily\";s:25:\"\"Bacasime Antique\", serif\";s:4:\"slug\";s:16:\"bacasime-antique\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/bacasimeantique/v1/tDbX2pGXkFYEykldjZSrmI6T_XWZOwGtSUrV_BE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Bacasime Antique\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/bacasime-antique/bacasime-antique-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/bacasime-antique/bacasime-antique.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:138;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Bad Script\";s:10:\"fontFamily\";s:21:\"\"Bad Script\", cursive\";s:4:\"slug\";s:10:\"bad-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/badscript/v16/6NUT8F6PJgbFWQn47_x7lOkuzd1AZtw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Bad Script\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/bad-script/bad-script-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/bad-script/bad-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:139;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Bagel Fat One\";s:10:\"fontFamily\";s:26:\"\"Bagel Fat One\", system-ui\";s:4:\"slug\";s:13:\"bagel-fat-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bagelfatone/v1/hYkPPucsQOr5dy02WmQr5Zkd0Btmvv0dSbM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Bagel Fat One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/bagel-fat-one/bagel-fat-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/bagel-fat-one/bagel-fat-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:140;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Bahiana\";s:10:\"fontFamily\";s:18:\"Bahiana, system-ui\";s:4:\"slug\";s:7:\"bahiana\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/bahiana/v23/uU9PCBUV4YenPWJU7xbb3vyHmlI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Bahiana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bahiana/bahiana-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/bahiana/bahiana.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:141;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Bahianita\";s:10:\"fontFamily\";s:20:\"Bahianita, system-ui\";s:4:\"slug\";s:9:\"bahianita\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/bahianita/v21/yYLr0hTb3vuqqsBUgxWtwDvV2NJPcA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Bahianita\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/bahianita/bahianita-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/bahianita/bahianita.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:142;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Bai Jamjuree\";s:10:\"fontFamily\";s:26:\"\"Bai Jamjuree\", sans-serif\";s:4:\"slug\";s:12:\"bai-jamjuree\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIqapSCOBt_aeQQ7ftydoa0kePulpA1-yiSgA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIoapSCOBt_aeQQ7ftydoa8W_oGkpo02S2CgOva.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIqapSCOBt_aeQQ7ftydoa09eDulpA1-yiSgA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIoapSCOBt_aeQQ7ftydoa8W_pikZo02S2CgOva.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDI1apSCOBt_aeQQ7ftydoaMXMjKm7sp8g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIrapSCOBt_aeQQ7ftydoa8W8LLub458jGL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIqapSCOBt_aeQQ7ftydoa0reHulpA1-yiSgA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIoapSCOBt_aeQQ7ftydoa8W_o6kJo02S2CgOva.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIqapSCOBt_aeQQ7ftydoa0gebulpA1-yiSgA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIoapSCOBt_aeQQ7ftydoa8W_oWl5o02S2CgOva.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIqapSCOBt_aeQQ7ftydoa05efulpA1-yiSgA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/baijamjuree/v11/LDIoapSCOBt_aeQQ7ftydoa8W_pylpo02S2CgOva.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bai Jamjuree\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/bai-jamjuree/bai-jamjuree.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:143;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Bakbak One\";s:10:\"fontFamily\";s:23:\"\"Bakbak One\", system-ui\";s:4:\"slug\";s:10:\"bakbak-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/bakbakone/v8/zOL54pXAl6RI-p_ardnuycFuv-hHkOs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Bakbak One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/bakbak-one/bakbak-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/bakbak-one/bakbak-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:144;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ballet\";s:10:\"fontFamily\";s:15:\"Ballet, cursive\";s:4:\"slug\";s:6:\"ballet\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ballet/v27/QGYyz_MYZA-HM4NjuGOVnUEXme1I4Xi3C4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ballet\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ballet/ballet-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ballet/ballet.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:145;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Baloo 2\";s:10:\"fontFamily\";s:20:\"\"Baloo 2\", system-ui\";s:4:\"slug\";s:7:\"baloo-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/baloo2/v21/wXK0E3kTposypRydzVT08TS3JnAmtdgazapq9Fat7WcN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Baloo 2\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-2/baloo-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/baloo2/v21/wXK0E3kTposypRydzVT08TS3JnAmtdgozapq9Fat7WcN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Baloo 2\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-2/baloo-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/baloo2/v21/wXK0E3kTposypRydzVT08TS3JnAmtdjEyqpq9Fat7WcN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Baloo 2\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-2/baloo-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/baloo2/v21/wXK0E3kTposypRydzVT08TS3JnAmtdj9yqpq9Fat7WcN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Baloo 2\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-2/baloo-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/baloo2/v21/wXK0E3kTposypRydzVT08TS3JnAmtdiayqpq9Fat7WcN.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Baloo 2\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-2/baloo-2-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-2/baloo-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:146;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Baloo Bhai 2\";s:10:\"fontFamily\";s:25:\"\"Baloo Bhai 2\", system-ui\";s:4:\"slug\";s:12:\"baloo-bhai-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/baloobhai2/v28/sZlWdRSL-z1VEWZ4YNA7Y5ItevYWUOHDE8FvNighMXKCo-jsZzo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Baloo Bhai 2\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhai-2/baloo-bhai-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/baloobhai2/v28/sZlWdRSL-z1VEWZ4YNA7Y5ItevYWUOHDE8FvNhohMXKCo-jsZzo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Baloo Bhai 2\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhai-2/baloo-bhai-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/baloobhai2/v28/sZlWdRSL-z1VEWZ4YNA7Y5ItevYWUOHDE8FvNvYmMXKCo-jsZzo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Baloo Bhai 2\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhai-2/baloo-bhai-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/baloobhai2/v28/sZlWdRSL-z1VEWZ4YNA7Y5ItevYWUOHDE8FvNs8mMXKCo-jsZzo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Baloo Bhai 2\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhai-2/baloo-bhai-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/baloobhai2/v28/sZlWdRSL-z1VEWZ4YNA7Y5ItevYWUOHDE8FvNqgmMXKCo-jsZzo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Baloo Bhai 2\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhai-2/baloo-bhai-2-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhai-2/baloo-bhai-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:147;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Baloo Bhaijaan 2\";s:10:\"fontFamily\";s:29:\"\"Baloo Bhaijaan 2\", system-ui\";s:4:\"slug\";s:16:\"baloo-bhaijaan-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/baloobhaijaan2/v19/zYXwKUwuEqdVGqM8tPDdAA_Y-_bMKo1EhQd2tWxo8TyRSqP9L4ppfcyC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Baloo Bhaijaan 2\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaijaan-2/baloo-bhaijaan-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/baloobhaijaan2/v19/zYXwKUwuEqdVGqM8tPDdAA_Y-_bMKo1EhQd2tWxo8TyjSqP9L4ppfcyC.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Baloo Bhaijaan 2\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaijaan-2/baloo-bhaijaan-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/baloobhaijaan2/v19/zYXwKUwuEqdVGqM8tPDdAA_Y-_bMKo1EhQd2tWxo8TxPTaP9L4ppfcyC.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Baloo Bhaijaan 2\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaijaan-2/baloo-bhaijaan-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/baloobhaijaan2/v19/zYXwKUwuEqdVGqM8tPDdAA_Y-_bMKo1EhQd2tWxo8Tx2TaP9L4ppfcyC.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Baloo Bhaijaan 2\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaijaan-2/baloo-bhaijaan-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/baloobhaijaan2/v19/zYXwKUwuEqdVGqM8tPDdAA_Y-_bMKo1EhQd2tWxo8TwRTaP9L4ppfcyC.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Baloo Bhaijaan 2\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaijaan-2/baloo-bhaijaan-2-800-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaijaan-2/baloo-bhaijaan-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:148;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Baloo Bhaina 2\";s:10:\"fontFamily\";s:27:\"\"Baloo Bhaina 2\", system-ui\";s:4:\"slug\";s:14:\"baloo-bhaina-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloobhaina2/v27/qWc-B6yyq4P9Adr3RtoX1q6ySgbwusXwJjkOS-XEssPvQPRLYWmZSA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Bhaina 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaina-2/baloo-bhaina-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloobhaina2/v27/qWc-B6yyq4P9Adr3RtoX1q6ySgbwusXwJjkOS-XEgMPvQPRLYWmZSA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Bhaina 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaina-2/baloo-bhaina-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloobhaina2/v27/qWc-B6yyq4P9Adr3RtoX1q6ySgbwusXwJjkOS-XEbMTvQPRLYWmZSA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Bhaina 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaina-2/baloo-bhaina-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloobhaina2/v27/qWc-B6yyq4P9Adr3RtoX1q6ySgbwusXwJjkOS-XEVcTvQPRLYWmZSA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Bhaina 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaina-2/baloo-bhaina-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloobhaina2/v27/qWc-B6yyq4P9Adr3RtoX1q6ySgbwusXwJjkOS-XEMsTvQPRLYWmZSA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Bhaina 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaina-2/baloo-bhaina-2-800-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-bhaina-2/baloo-bhaina-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:149;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Baloo Chettan 2\";s:10:\"fontFamily\";s:28:\"\"Baloo Chettan 2\", system-ui\";s:4:\"slug\";s:15:\"baloo-chettan-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/baloochettan2/v21/vm8hdRbmXEva26PK-NtuX4ynWEzF69-L4gqgkIL5CeKTO18eH9xI2gc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Chettan 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-chettan-2/baloo-chettan-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/baloochettan2/v21/vm8hdRbmXEva26PK-NtuX4ynWEzF69-L4gqgkIL5CdCTO18eH9xI2gc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Chettan 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-chettan-2/baloo-chettan-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/baloochettan2/v21/vm8hdRbmXEva26PK-NtuX4ynWEzF69-L4gqgkIL5CTyUO18eH9xI2gc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Chettan 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-chettan-2/baloo-chettan-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/baloochettan2/v21/vm8hdRbmXEva26PK-NtuX4ynWEzF69-L4gqgkIL5CQWUO18eH9xI2gc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Chettan 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-chettan-2/baloo-chettan-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/baloochettan2/v21/vm8hdRbmXEva26PK-NtuX4ynWEzF69-L4gqgkIL5CWKUO18eH9xI2gc.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Chettan 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-chettan-2/baloo-chettan-2-800-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-chettan-2/baloo-chettan-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:150;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Baloo Da 2\";s:10:\"fontFamily\";s:23:\"\"Baloo Da 2\", system-ui\";s:4:\"slug\";s:10:\"baloo-da-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/balooda2/v24/2-c39J9j0IaUMQZwAJyJaOX1UUnf3GLnYjALsTNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Baloo Da 2\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-da-2/baloo-da-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/balooda2/v24/2-c39J9j0IaUMQZwAJyJaOX1UUnf3GLnYjA5sTNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Baloo Da 2\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-da-2/baloo-da-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/balooda2/v24/2-c39J9j0IaUMQZwAJyJaOX1UUnf3GLnYjDVtjNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Baloo Da 2\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-da-2/baloo-da-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/balooda2/v24/2-c39J9j0IaUMQZwAJyJaOX1UUnf3GLnYjDstjNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Baloo Da 2\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-da-2/baloo-da-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/balooda2/v24/2-c39J9j0IaUMQZwAJyJaOX1UUnf3GLnYjCLtjNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Baloo Da 2\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-da-2/baloo-da-2-800-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-da-2/baloo-da-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:151;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Baloo Paaji 2\";s:10:\"fontFamily\";s:26:\"\"Baloo Paaji 2\", system-ui\";s:4:\"slug\";s:13:\"baloo-paaji-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/baloopaaji2/v27/i7dfIFFzbz-QHZUdV9_UGWZuelmy79QJ1HOSY9AX74f3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Paaji 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-paaji-2/baloo-paaji-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/baloopaaji2/v27/i7dfIFFzbz-QHZUdV9_UGWZuelmy79QJ1HOSY9Al74f3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Paaji 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-paaji-2/baloo-paaji-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/baloopaaji2/v27/i7dfIFFzbz-QHZUdV9_UGWZuelmy79QJ1HOSY9DJ6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Paaji 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-paaji-2/baloo-paaji-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/baloopaaji2/v27/i7dfIFFzbz-QHZUdV9_UGWZuelmy79QJ1HOSY9Dw6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Paaji 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-paaji-2/baloo-paaji-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/baloopaaji2/v27/i7dfIFFzbz-QHZUdV9_UGWZuelmy79QJ1HOSY9CX6If3bRUz1r5t.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Paaji 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-paaji-2/baloo-paaji-2-800-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-paaji-2/baloo-paaji-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:152;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Baloo Tamma 2\";s:10:\"fontFamily\";s:26:\"\"Baloo Tamma 2\", system-ui\";s:4:\"slug\";s:13:\"baloo-tamma-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/balootamma2/v16/vEFE2_hCAgcR46PaajtrYlBbVUMUJgIC5LHTrMscPp-xIF71SGC5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Tamma 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tamma-2/baloo-tamma-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/balootamma2/v16/vEFE2_hCAgcR46PaajtrYlBbVUMUJgIC5LHTrMsuPp-xIF71SGC5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Tamma 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tamma-2/baloo-tamma-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/balootamma2/v16/vEFE2_hCAgcR46PaajtrYlBbVUMUJgIC5LHTrMvCOZ-xIF71SGC5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Tamma 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tamma-2/baloo-tamma-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/balootamma2/v16/vEFE2_hCAgcR46PaajtrYlBbVUMUJgIC5LHTrMv7OZ-xIF71SGC5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Tamma 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tamma-2/baloo-tamma-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/balootamma2/v16/vEFE2_hCAgcR46PaajtrYlBbVUMUJgIC5LHTrMucOZ-xIF71SGC5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Baloo Tamma 2\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tamma-2/baloo-tamma-2-800-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tamma-2/baloo-tamma-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:153;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Baloo Tammudu 2\";s:10:\"fontFamily\";s:28:\"\"Baloo Tammudu 2\", system-ui\";s:4:\"slug\";s:15:\"baloo-tammudu-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/balootammudu2/v23/1Pt5g8TIS_SAmkLguUdFP8UaJcKkzlPmMT00GaE_Jf8e4cuPZSlGmAA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Tammudu 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tammudu-2/baloo-tammudu-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/balootammudu2/v23/1Pt5g8TIS_SAmkLguUdFP8UaJcKkzlPmMT00GaE_Jc0e4cuPZSlGmAA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Tammudu 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tammudu-2/baloo-tammudu-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/balootammudu2/v23/1Pt5g8TIS_SAmkLguUdFP8UaJcKkzlPmMT00GaE_JSEZ4cuPZSlGmAA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Tammudu 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tammudu-2/baloo-tammudu-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/balootammudu2/v23/1Pt5g8TIS_SAmkLguUdFP8UaJcKkzlPmMT00GaE_JRgZ4cuPZSlGmAA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Tammudu 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tammudu-2/baloo-tammudu-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/balootammudu2/v23/1Pt5g8TIS_SAmkLguUdFP8UaJcKkzlPmMT00GaE_JX8Z4cuPZSlGmAA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baloo Tammudu 2\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tammudu-2/baloo-tammudu-2-800-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-tammudu-2/baloo-tammudu-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:154;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Baloo Thambi 2\";s:10:\"fontFamily\";s:27:\"\"Baloo Thambi 2\", system-ui\";s:4:\"slug\";s:14:\"baloo-thambi-2\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloothambi2/v17/cY9RfjeOW0NHpmOQXranrbDyu5JMJmNp-aDvUBbKzcIzbARG_n4osQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Thambi 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-thambi-2/baloo-thambi-2-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloothambi2/v17/cY9RfjeOW0NHpmOQXranrbDyu5JMJmNp-aDvUBbK_8IzbARG_n4osQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Thambi 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-thambi-2/baloo-thambi-2-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloothambi2/v17/cY9RfjeOW0NHpmOQXranrbDyu5JMJmNp-aDvUBbKE8UzbARG_n4osQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Thambi 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-thambi-2/baloo-thambi-2-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloothambi2/v17/cY9RfjeOW0NHpmOQXranrbDyu5JMJmNp-aDvUBbKKsUzbARG_n4osQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Thambi 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-thambi-2/baloo-thambi-2-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/baloothambi2/v17/cY9RfjeOW0NHpmOQXranrbDyu5JMJmNp-aDvUBbKTcUzbARG_n4osQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Baloo Thambi 2\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-thambi-2/baloo-thambi-2-800-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/baloo-thambi-2/baloo-thambi-2.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:155;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Balsamiq Sans\";s:10:\"fontFamily\";s:26:\"\"Balsamiq Sans\", system-ui\";s:4:\"slug\";s:13:\"balsamiq-sans\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/balsamiqsans/v14/P5sEzZiAbNrN8SB3lQQX7Pnc8dwdIYdNHzs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Balsamiq Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/balsamiq-sans/balsamiq-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/balsamiqsans/v14/P5sazZiAbNrN8SB3lQQX7PncwdsXIKVIDzvcXA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Balsamiq Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/balsamiq-sans/balsamiq-sans-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/balsamiqsans/v14/P5sZzZiAbNrN8SB3lQQX7PncyWUyBYpmAzLFRQI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Balsamiq Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/balsamiq-sans/balsamiq-sans-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/balsamiqsans/v14/P5sfzZiAbNrN8SB3lQQX7PncwdsvmYpsAhDAVQI4aA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Balsamiq Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/balsamiq-sans/balsamiq-sans-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/balsamiq-sans/balsamiq-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:156;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Balthazar\";s:10:\"fontFamily\";s:16:\"Balthazar, serif\";s:4:\"slug\";s:9:\"balthazar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/balthazar/v17/d6lKkaajS8Gm4CVQjFEvzBTo39l8hw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Balthazar\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/balthazar/balthazar-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/balthazar/balthazar.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:157;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Bangers\";s:10:\"fontFamily\";s:18:\"Bangers, system-ui\";s:4:\"slug\";s:7:\"bangers\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/bangers/v24/FeVQS0BTqb0h60ACL5xa2bxii28.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Bangers\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bangers/bangers-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/bangers/bangers.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:158;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Barlow\";s:10:\"fontFamily\";s:18:\"Barlow, sans-serif\";s:4:\"slug\";s:6:\"barlow\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/barlow/v12/7cHrv4kjgoGqM7E3b8s5yn4hnCci.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/barlow/v12/7cHtv4kjgoGqM7E_CfNYwH8DmTcibrA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E3w-oc5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfP04Vostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E3p-kc5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfOQ4lostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/barlow/v12/7cHpv4kjgoGqM7EPDsE46HsxnA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/barlow/v12/7cHrv4kjgoGqM7E_Ccs5yn4hnCci.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E3_-gc5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfPI41ostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E30-8c5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfPk5Fostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E3t-4c5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfOA5Vostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E3q-0c5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfOc5lostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/barlow/v12/7cHqv4kjgoGqM7E3j-wc5VAtlT47dw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/barlow/v12/7cHsv4kjgoGqM7E_CfO451ostzsrd6m9.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Barlow\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow/barlow.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:159;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Barlow Condensed\";s:10:\"fontFamily\";s:30:\"\"Barlow Condensed\", sans-serif\";s:4:\"slug\";s:16:\"barlow-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxxL3I-JCGChYJ8VI-L6OO_au7B43LT2lvytKgbaw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxzL3I-JCGChYJ8VI-L6OO_au7B6xTru1Hzlq0La6JN.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B497y_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrF3DWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B47rx_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrc3PWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTx3L3I-JCGChYJ8VI-L6OO_au7B2xPZ23n3pKg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxxL3I-JCGChYJ8VI-L6OO_au7B6xTT2lvytKgbaw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B4-Lw_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrK3LWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B4873_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrB3XWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B46r2_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrY3TWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B47b1_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrf3fWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxwL3I-JCGChYJ8VI-L6OO_au7B45L0_3TcuKECcrs.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/barlowcondensed/v12/HTxyL3I-JCGChYJ8VI-L6OO_au7B6xTrW3bWuYMHYrtUxg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Barlow Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed-900-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-condensed/barlow-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:160;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Barlow Semi Condensed\";s:10:\"fontFamily\";s:35:\"\"Barlow Semi Condensed\", sans-serif\";s:4:\"slug\";s:21:\"barlow-semi-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlphgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRfG4qqKk8ogoSP.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpjgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbLLIE4Kh5SPZWs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRft6uPBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbJnAWslqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRf06iPBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbIDAmslqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpvgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRneoCrCEo4gg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlphgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfYqqKk8ogoSP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRfi6mPBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbJbA2slqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRfp66PBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbJ3BGslqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRfw6-PBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbITBWslqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRf36yPBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbIPBmslqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRf-62PBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/barlowsemicondensed/v15/wlpkgxjLBV1hqnzfr-F8sEYMB0Yybp0mudRXfbIrB2slqZiGfHK5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Barlow Semi Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed-900-italic.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/barlow-semi-condensed/barlow-semi-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:161;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Barriecito\";s:10:\"fontFamily\";s:21:\"Barriecito, system-ui\";s:4:\"slug\";s:10:\"barriecito\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/barriecito/v17/WWXXlj-CbBOSLY2QTuY_KdAiYwTO0MU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Barriecito\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/barriecito/barriecito-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/barriecito/barriecito.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:162;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Barrio\";s:10:\"fontFamily\";s:17:\"Barrio, system-ui\";s:4:\"slug\";s:6:\"barrio\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/barrio/v19/wEO8EBXBk8hBIDiEcAYhWdsX1Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Barrio\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/barrio/barrio-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/barrio/barrio.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:163;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Basic\";s:10:\"fontFamily\";s:17:\"Basic, sans-serif\";s:4:\"slug\";s:5:\"basic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/basic/v17/xfu_0WLxV2_XKQNy4lDVyR7D.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Basic\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/basic/basic-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/basic/basic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:164;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Baskervville\";s:10:\"fontFamily\";s:19:\"Baskervville, serif\";s:4:\"slug\";s:12:\"baskervville\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/baskervville/v16/YA9Ur0yU4l_XOrogbkun3kQgspOohvbJ9A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Baskervville\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baskervville/baskervville-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/baskervville/v16/YA9Kr0yU4l_XOrogbkun3kQQtZmppPPZ9Mlt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Baskervville\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/baskervville/baskervville-400-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/baskervville/baskervville.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:165;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Baskervville SC\";s:10:\"fontFamily\";s:24:\"\"Baskervville SC\", serif\";s:4:\"slug\";s:15:\"baskervville-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/baskervvillesc/v1/X7n94bc_DeKlh6bBbk_WiKnBSUvR6lR3tiSx0g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Baskervville SC\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/baskervville-sc/baskervville-sc-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/baskervville-sc/baskervville-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:166;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Battambang\";s:10:\"fontFamily\";s:21:\"Battambang, system-ui\";s:4:\"slug\";s:10:\"battambang\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/battambang/v24/uk-kEGe7raEw-HjkzZabNhGp4g50_o9T7Q.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Battambang\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/battambang/battambang-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/battambang/v24/uk-lEGe7raEw-HjkzZabNtmLxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Battambang\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/battambang/battambang-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/battambang/v24/uk-mEGe7raEw-HjkzZabDnCj4yxx7o8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Battambang\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/battambang/battambang-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/battambang/v24/uk-lEGe7raEw-HjkzZabNsmMxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Battambang\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/battambang/battambang-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/battambang/v24/uk-lEGe7raEw-HjkzZabNvGOxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Battambang\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/battambang/battambang-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/battambang/battambang.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:167;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Baumans\";s:10:\"fontFamily\";s:18:\"Baumans, system-ui\";s:4:\"slug\";s:7:\"baumans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/baumans/v17/-W_-XJj9QyTd3QfpR_8yaksqY5Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Baumans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/baumans/baumans-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/baumans/baumans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:168;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Bayon\";s:10:\"fontFamily\";s:17:\"Bayon, sans-serif\";s:4:\"slug\";s:5:\"bayon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/bayon/v34/9XUrlJNmn0LPFl-sOhYEd2NJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Bayon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/bayon/bayon-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/bayon/bayon.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:169;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Be Vietnam Pro\";s:10:\"fontFamily\";s:28:\"\"Be Vietnam Pro\", sans-serif\";s:4:\"slug\";s:14:\"be-vietnam-pro\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVNSTAyLFyeg_IDWvOJmVES_HRUBXoYYbAiah8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVLSTAyLFyeg_IDWvOJmVES_HwyPRsSYJIneh-waA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HT4JF83T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPbczRb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HScJ183T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPdMwRb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVPSTAyLFyeg_IDWvOJmVES_Ew1D3s6ZKAi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVNSTAyLFyeg_IDWvOJmVES_HwyBXoYYbAiah8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HTEJl83T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPYsxRb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HToIV83T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPac2Rb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HSMIF83T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPcM3Rb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HSQI183T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPd80Rb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVMSTAyLFyeg_IDWvOJmVES_HS0Il83T7wrcwap.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/bevietnampro/v11/QdVKSTAyLFyeg_IDWvOJmVES_HwyPfs1Rb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Be Vietnam Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/be-vietnam-pro/be-vietnam-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:170;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Beau Rivage\";s:10:\"fontFamily\";s:22:\"\"Beau Rivage\", cursive\";s:4:\"slug\";s:11:\"beau-rivage\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/beaurivage/v2/UcCi3FIgIG2bH4mMNWJUlmgyNZp8K2sL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Beau Rivage\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/beau-rivage/beau-rivage-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/beau-rivage/beau-rivage.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:171;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Bebas Neue\";s:10:\"fontFamily\";s:24:\"\"Bebas Neue\", sans-serif\";s:4:\"slug\";s:10:\"bebas-neue\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/bebasneue/v14/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Bebas Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/bebas-neue/bebas-neue-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/bebas-neue/bebas-neue.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:172;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Beiruti\";s:10:\"fontFamily\";s:19:\"Beiruti, sans-serif\";s:4:\"slug\";s:7:\"beiruti\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9Y95wumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9bj5wumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9a95wumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9aP5wumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9Zj4AumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9Za4AumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9Y94AumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/beiruti/v2/JTUIjIU69Cmr9FGcYgRFEb7cdQn2-9YU4AumgWg2SGdV.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Beiruti\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/beiruti/beiruti.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:173;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Belanosima\";s:10:\"fontFamily\";s:22:\"Belanosima, sans-serif\";s:4:\"slug\";s:10:\"belanosima\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/belanosima/v3/3y9k6bI8ejDo_3MfCDSLxAVbF3JBg54.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Belanosima\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/belanosima/belanosima-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/belanosima/v3/3y9n6bI8ejDo_3MfCDSL_Nh1M39qn5cdJ-4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Belanosima\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/belanosima/belanosima-600-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/belanosima/v3/3y9n6bI8ejDo_3MfCDSL_Lx0M39qn5cdJ-4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Belanosima\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/belanosima/belanosima-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/belanosima/belanosima.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:174;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Belgrano\";s:10:\"fontFamily\";s:15:\"Belgrano, serif\";s:4:\"slug\";s:8:\"belgrano\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/belgrano/v18/55xvey5tM9rwKWrJZcMAirl08KDJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Belgrano\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/belgrano/belgrano-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/belgrano/belgrano.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:175;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Bellefair\";s:10:\"fontFamily\";s:16:\"Bellefair, serif\";s:4:\"slug\";s:9:\"bellefair\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/bellefair/v14/kJExBuYY6AAuhiXUxG19-vA2pOdvDA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Bellefair\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/bellefair/bellefair-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/bellefair/bellefair.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:176;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Belleza\";s:10:\"fontFamily\";s:19:\"Belleza, sans-serif\";s:4:\"slug\";s:7:\"belleza\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/belleza/v17/0nkoC9_pNeMfhX4BtcPyawzruP8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Belleza\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/belleza/belleza-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/belleza/belleza.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:177;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Bellota\";s:10:\"fontFamily\";s:18:\"Bellota, system-ui\";s:4:\"slug\";s:7:\"bellota\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/bellota/v16/MwQzbhXl3_qEpiwAID55kGYViblPtXs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Bellota\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/bellota/v16/MwQxbhXl3_qEpiwAKJBjHGEfiJtKpXulTQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Bellota\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/bellota/v16/MwQ2bhXl3_qEpiwAGJdRtGs-lbA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Bellota\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/bellota/v16/MwQ0bhXl3_qEpiwAKJBbtUk7hbBWrA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Bellota\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/bellota/v16/MwQzbhXl3_qEpiwAIC5-kGYViblPtXs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Bellota\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/bellota/v16/MwQxbhXl3_qEpiwAKJBjDGYfiJtKpXulTQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Bellota\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota/bellota.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:178;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Bellota Text\";s:10:\"fontFamily\";s:25:\"\"Bellota Text\", system-ui\";s:4:\"slug\";s:12:\"bellota-text\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bellotatext/v18/0FlMVP2VnlWS4f3-UE9hHXM5VfsqeAXwQy6yxg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bellota Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/bellotatext/v18/0FlOVP2VnlWS4f3-UE9hHXMx--Gmfw_xYSuixmYK.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bellota Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bellotatext/v18/0FlTVP2VnlWS4f3-UE9hHXMB_NMOdS7sSg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bellota Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/bellotatext/v18/0FlNVP2VnlWS4f3-UE9hHXMx-9kPVyv8Sjer.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bellota Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bellotatext/v18/0FlMVP2VnlWS4f3-UE9hHXM5RfwqeAXwQy6yxg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bellota Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/bellotatext/v18/0FlOVP2VnlWS4f3-UE9hHXMx--G2eA_xYSuixmYK.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bellota Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/bellota-text/bellota-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:179;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"BenchNine\";s:10:\"fontFamily\";s:21:\"BenchNine, sans-serif\";s:4:\"slug\";s:9:\"benchnine\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/benchnine/v16/ahcev8612zF4jxrwMosT--tRgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"BenchNine\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/benchnine/benchnine-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/benchnine/v16/ahcbv8612zF4jxrwMosrUsN1jU2gog.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"BenchNine\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/benchnine/benchnine-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/benchnine/v16/ahcev8612zF4jxrwMosT6-xRgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"BenchNine\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/benchnine/benchnine-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/benchnine/benchnine.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:180;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Benne\";s:10:\"fontFamily\";s:12:\"Benne, serif\";s:4:\"slug\";s:5:\"benne\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/benne/v22/L0xzDFAhn18E6Vj0lt6qTDBN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Benne\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/benne/benne-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/benne/benne.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:181;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Bentham\";s:10:\"fontFamily\";s:14:\"Bentham, serif\";s:4:\"slug\";s:7:\"bentham\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/bentham/v18/VdGeAZQPEpYfmHglKWk7CJaK_y4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Bentham\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/bentham/bentham-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/bentham/bentham.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:182;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Berkshire Swash\";s:10:\"fontFamily\";s:26:\"\"Berkshire Swash\", cursive\";s:4:\"slug\";s:15:\"berkshire-swash\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/berkshireswash/v20/ptRRTi-cavZOGqCvnNJDl5m5XmNPqMQybX4pQA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Berkshire Swash\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/berkshire-swash/berkshire-swash-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/berkshire-swash/berkshire-swash.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:183;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Besley\";s:10:\"fontFamily\";s:13:\"Besley, serif\";s:4:\"slug\";s:6:\"besley\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/besley/v20/PlIhFlO1MaNwaNGWUC92IOH_mtG4fbbBSdFoFPOl8-E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/besley/v20/PlIhFlO1MaNwaNGWUC92IOH_mtG4fYTBSdFoFPOl8-E.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/besley/v20/PlIhFlO1MaNwaNGWUC92IOH_mtG4fWjGSdFoFPOl8-E.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/besley/v20/PlIhFlO1MaNwaNGWUC92IOH_mtG4fVHGSdFoFPOl8-E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/besley/v20/PlIhFlO1MaNwaNGWUC92IOH_mtG4fTbGSdFoFPOl8-E.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/besley/v20/PlIhFlO1MaNwaNGWUC92IOH_mtG4fR_GSdFoFPOl8-E.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/besley/v20/PlIjFlO1MaNwaNG8WR2J-IiUAH-_aH6CoZdiFdGg4-E04A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/besley/v20/PlIjFlO1MaNwaNG8WR2J-IiUAH-_aH6Ck5diFdGg4-E04A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/besley/v20/PlIjFlO1MaNwaNG8WR2J-IiUAH-_aH6Cf5BiFdGg4-E04A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/besley/v20/PlIjFlO1MaNwaNG8WR2J-IiUAH-_aH6CRpBiFdGg4-E04A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/besley/v20/PlIjFlO1MaNwaNG8WR2J-IiUAH-_aH6CIZBiFdGg4-E04A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/besley/v20/PlIjFlO1MaNwaNG8WR2J-IiUAH-_aH6CCJBiFdGg4-E04A.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Besley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/besley/besley.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:184;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Beth Ellen\";s:10:\"fontFamily\";s:21:\"\"Beth Ellen\", cursive\";s:4:\"slug\";s:10:\"beth-ellen\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/bethellen/v21/WwkbxPW2BE-3rb_JNT-qEIUiVNo5xNY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Beth Ellen\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/beth-ellen/beth-ellen-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/beth-ellen/beth-ellen.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:185;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Bevan\";s:10:\"fontFamily\";s:12:\"Bevan, serif\";s:4:\"slug\";s:5:\"bevan\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/bevan/v24/4iCj6KZ0a9NXjF8fUir7tlSJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Bevan\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/bevan/bevan-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/bevan/v24/4iCt6KZ0a9NXjG8YWCvZs0SJD4U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Bevan\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/bevan/bevan-400-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/bevan/bevan.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:186;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"BhuTuka Expanded One\";s:10:\"fontFamily\";s:29:\"\"BhuTuka Expanded One\", serif\";s:4:\"slug\";s:20:\"bhutuka-expanded-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/bhutukaexpandedone/v7/SLXXc0jZ4WUJcClHTtv0t7IaDRsBsWRiJCyS8pg_RVH1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"BhuTuka Expanded One\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/bhutuka-expanded-one/bhutuka-expanded-one-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/bhutuka-expanded-one/bhutuka-expanded-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:187;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Big Shoulders Display\";s:10:\"fontFamily\";s:34:\"\"Big Shoulders Display\", system-ui\";s:4:\"slug\";s:21:\"big-shoulders-display\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdY86JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdQ87JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YddE7JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdY87JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0Ydb07JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdVE8JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdWg8JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdQ88JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bigshouldersdisplay/v21/fC1MPZJEZG-e9gHhdI4-NBbfd2ys3SjJCx12wPgf9g-_3F0YdSY8JFs6SRP4yZQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Big Shoulders Display\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display-900-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-display/big-shoulders-display.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:188;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:28:\"Big Shoulders Inline Display\";s:10:\"fontFamily\";s:41:\"\"Big Shoulders Inline Display\", system-ui\";s:4:\"slug\";s:28:\"big-shoulders-inline-display\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0nBEnR8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0lBE3R8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0mfE3R8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0nBE3R8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0nzE3R8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0kfFHR8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0kmFHR8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0lBFHR8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/bigshouldersinlinedisplay/v27/_LOumyfF4eSU_SCrJc9OI24U7siGvBGcZqmqV9-ZZ85CGNOFeNLxoYMPJ0loFHR8yPc2Huux.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Big Shoulders Inline Display\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display-900-normal.svg\";}}s:7:\"preview\";s:106:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-display/big-shoulders-inline-display.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:189;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Big Shoulders Inline Text\";s:10:\"fontFamily\";s:38:\"\"Big Shoulders Inline Text\", system-ui\";s:4:\"slug\";s:25:\"big-shoulders-inline-text\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwga0yqGI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgY0y6GI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgbqy6GI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwga0y6GI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgaGy6GI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgZqzKGI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgZTzKGI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgY0zKGI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/bigshouldersinlinetext/v26/vm8XdQDmVECV5-vm5dJ-Tp-6WDeRjL4RV7dP8u-NMyHY74qpoNNcwgYdzKGI7Y6Jsc8c.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Big Shoulders Inline Text\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text-900-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-inline-text/big-shoulders-inline-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:190;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:29:\"Big Shoulders Stencil Display\";s:10:\"fontFamily\";s:42:\"\"Big Shoulders Stencil Display\", system-ui\";s:4:\"slug\";s:29:\"big-shoulders-stencil-display\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_O0nPLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_u0jPLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_ZUjPLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_O0jPLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_CUjPLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_5U_PLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_3E_PLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_u0_PLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/bigshouldersstencildisplay/v28/6aeZ4LS6U6pR_bp5b_t2ugOhHWFcxSGP9ttD96KCb8xPytKb-oPRU-vkuLm_kk_PLXznJucP9w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Big Shoulders Stencil Display\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display-900-normal.svg\";}}s:7:\"preview\";s:108:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-display/big-shoulders-stencil-display.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:191;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Big Shoulders Stencil Text\";s:10:\"fontFamily\";s:39:\"\"Big Shoulders Stencil Text\", system-ui\";s:4:\"slug\";s:26:\"big-shoulders-stencil-text\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGR04XIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGRU4TIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGRjYTIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGR04TIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGR4YTIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGRDYPIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGRNIPIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGRU4PIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/bigshouldersstenciltext/v26/5aUV9-i2oxDMNwY3dHfW7UAt3Q453SM15wNj53bCcab2SJYLLUtk1OGReoPIHC_Py_AWbQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Big Shoulders Stencil Text\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text-900-normal.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-stencil-text/big-shoulders-stencil-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:192;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Big Shoulders Text\";s:10:\"fontFamily\";s:31:\"\"Big Shoulders Text\", system-ui\";s:4:\"slug\";s:18:\"big-shoulders-text\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3Y-r3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3Q-q3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3dGq3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3Y-q3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3b2q3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3VGt3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3Wit3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3Q-t3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/bigshoulderstext/v24/55xEezRtP9G3CGPIf49hxc8P0eytUxB2l66LmF6xc3kA3Sat3TcPNl6P2pc.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Big Shoulders Text\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/big-shoulders-text/big-shoulders-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:193;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Bigelow Rules\";s:10:\"fontFamily\";s:26:\"\"Bigelow Rules\", system-ui\";s:4:\"slug\";s:13:\"bigelow-rules\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/bigelowrules/v29/RrQWboly8iR_I3KWSzeRuN0zT4ICH8WAJVk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Bigelow Rules\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/bigelow-rules/bigelow-rules-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/bigelow-rules/bigelow-rules.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:194;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Bigshot One\";s:10:\"fontFamily\";s:24:\"\"Bigshot One\", system-ui\";s:4:\"slug\";s:11:\"bigshot-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/bigshotone/v29/u-470qukhRkkO6BD_7cM_gxrUQJBXv_-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bigshot One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bigshot-one/bigshot-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/bigshot-one/bigshot-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:195;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Bilbo\";s:10:\"fontFamily\";s:14:\"Bilbo, cursive\";s:4:\"slug\";s:5:\"bilbo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/bilbo/v20/o-0EIpgpwWwZ210kpIRz4wxE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Bilbo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/bilbo/bilbo-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/bilbo/bilbo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:196;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Bilbo Swash Caps\";s:10:\"fontFamily\";s:27:\"\"Bilbo Swash Caps\", cursive\";s:4:\"slug\";s:16:\"bilbo-swash-caps\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/bilboswashcaps/v22/zrf-0GXbz-H3Wb4XBsGrTgq2PVmdqAbopiRfKp8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Bilbo Swash Caps\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/bilbo-swash-caps/bilbo-swash-caps-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/bilbo-swash-caps/bilbo-swash-caps.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:197;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"BioRhyme\";s:10:\"fontFamily\";s:15:\"BioRhyme, serif\";s:4:\"slug\";s:8:\"biorhyme\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OrIimiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OmwimiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OjIimiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OgAimiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OuwlmiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OtUlmiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/biorhyme/v17/1cXeaULHBpDMsHYW_GZNh7loEHurwOIGadI205trrbeBgQs4OrIlmiOki-gkRDE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"BioRhyme\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme-800-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme/biorhyme.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:198;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"BioRhyme Expanded\";s:10:\"fontFamily\";s:26:\"\"BioRhyme Expanded\", serif\";s:4:\"slug\";s:17:\"biorhyme-expanded\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/biorhymeexpanded/v21/i7dVIE1zZzytGswgU577CDY9LjbffxxcblSCSdTXrb_z.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"BioRhyme Expanded\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme-expanded/biorhyme-expanded-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/biorhymeexpanded/v21/i7dVIE1zZzytGswgU577CDY9Ljbffxw4bVSCSdTXrb_z.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"BioRhyme Expanded\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme-expanded/biorhyme-expanded-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/biorhymeexpanded/v21/i7dQIE1zZzytGswgU577CDY9LjbffySRRXCPYsje.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"BioRhyme Expanded\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme-expanded/biorhyme-expanded-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/biorhymeexpanded/v21/i7dVIE1zZzytGswgU577CDY9LjbffxwoalSCSdTXrb_z.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"BioRhyme Expanded\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme-expanded/biorhyme-expanded-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/biorhymeexpanded/v21/i7dVIE1zZzytGswgU577CDY9Ljbffxw0aVSCSdTXrb_z.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"BioRhyme Expanded\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme-expanded/biorhyme-expanded-800-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/biorhyme-expanded/biorhyme-expanded.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:199;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Birthstone\";s:10:\"fontFamily\";s:19:\"Birthstone, cursive\";s:4:\"slug\";s:10:\"birthstone\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/birthstone/v14/8AtsGs2xO4yLRhy87sv_HLz5jRfZHzM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Birthstone\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/birthstone/birthstone-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/birthstone/birthstone.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:200;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Birthstone Bounce\";s:10:\"fontFamily\";s:28:\"\"Birthstone Bounce\", cursive\";s:4:\"slug\";s:17:\"birthstone-bounce\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/birthstonebounce/v11/ga6XaxZF43lIvTWrktHOTBJZGH7dEeVMGIMYDo_8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Birthstone Bounce\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/birthstone-bounce/birthstone-bounce-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/birthstonebounce/v11/ga6SaxZF43lIvTWrktHOTBJZGH7dEd29MacVJZP1LmD9.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Birthstone Bounce\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/birthstone-bounce/birthstone-bounce-500-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/birthstone-bounce/birthstone-bounce.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:201;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Biryani\";s:10:\"fontFamily\";s:19:\"Biryani, sans-serif\";s:4:\"slug\";s:7:\"biryani\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/biryani/v13/hv-TlzNxIFoO84YddYQyGTVSU-J-RxQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/biryani/v13/hv-TlzNxIFoO84YddeAxGTVSU-J-RxQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/biryani/v13/hv-WlzNxIFoO84YdTUkZPTh5T-s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/biryani/v13/hv-TlzNxIFoO84YddZQ3GTVSU-J-RxQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/biryani/v13/hv-TlzNxIFoO84YddfA2GTVSU-J-RxQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/biryani/v13/hv-TlzNxIFoO84Yddew1GTVSU-J-RxQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/biryani/v13/hv-TlzNxIFoO84Yddcg0GTVSU-J-RxQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Biryani\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/biryani/biryani.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:202;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Bitter\";s:10:\"fontFamily\";s:13:\"Bitter, serif\";s:4:\"slug\";s:6:\"bitter\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8fbeCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8XbfCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8ajfCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8fbfCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8cTfCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8SjYCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8RHYCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8XbYCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bitter/v36/raxhHiqOu8IVPmnRc6SY1KXhnF_Y8V_YCLrEXFh2reU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6c4P3OXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6cYPzOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6cvvzOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6c4PzOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6c0vzOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6cPvvOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6cB_vOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6cYPvOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bitter/v36/raxjHiqOu8IVPmn7epZnDMyKBvHf5D6cSfvOXXpzveWxBw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Bitter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/bitter/bitter.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:203;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Black And White Picture\";s:10:\"fontFamily\";s:36:\"\"Black And White Picture\", system-ui\";s:4:\"slug\";s:23:\"black-and-white-picture\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/blackandwhitepicture/v24/TwMe-JAERlQd3ooUHBUXGmrmioKjjnRSFO-NqI5CbcMi-yWY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Black And White Picture\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/black-and-white-picture/black-and-white-picture-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/black-and-white-picture/black-and-white-picture.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:204;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Black Han Sans\";s:10:\"fontFamily\";s:28:\"\"Black Han Sans\", sans-serif\";s:4:\"slug\";s:14:\"black-han-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/blackhansans/v17/ea8Aad44WunzF9a-dL6toA8r8nqQIXSkH-Hc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Black Han Sans\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/black-han-sans/black-han-sans-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/black-han-sans/black-han-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:205;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Black Ops One\";s:10:\"fontFamily\";s:26:\"\"Black Ops One\", system-ui\";s:4:\"slug\";s:13:\"black-ops-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/blackopsone/v20/qWcsB6-ypo7xBdr6Xshe96H3WDnRtjkho4M.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Black Ops One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/black-ops-one/black-ops-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/black-ops-one/black-ops-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:206;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Blaka\";s:10:\"fontFamily\";s:16:\"Blaka, system-ui\";s:4:\"slug\";s:5:\"blaka\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/blaka/v7/8vIG7w8722p_6kdu20D2FV5e.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Blaka\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/blaka/blaka-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/blaka/blaka.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:207;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Blaka Hollow\";s:10:\"fontFamily\";s:25:\"\"Blaka Hollow\", system-ui\";s:4:\"slug\";s:12:\"blaka-hollow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/blakahollow/v7/MCoUzAL91sjRE2FsKsxUtezYAtoFyW_-oA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Blaka Hollow\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/blaka-hollow/blaka-hollow-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/blaka-hollow/blaka-hollow.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:208;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Blaka Ink\";s:10:\"fontFamily\";s:22:\"\"Blaka Ink\", system-ui\";s:4:\"slug\";s:9:\"blaka-ink\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/blakaink/v8/AlZy_zVVtpj22Znag2chcHf4XB0Tow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Blaka Ink\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/blaka-ink/blaka-ink-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/blaka-ink/blaka-ink.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:209;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Blinker\";s:10:\"fontFamily\";s:19:\"Blinker, sans-serif\";s:4:\"slug\";s:7:\"blinker\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/blinker/v13/cIf_MaFatEE-VTaP_E2hYUsCkIt9QQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/blinker/v13/cIf4MaFatEE-VTaP_OGARGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/blinker/v13/cIf4MaFatEE-VTaP_IWDRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/blinker/v13/cIf9MaFatEE-VTaPxCyrYGkHgIs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/blinker/v13/cIf4MaFatEE-VTaP_PGFRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/blinker/v13/cIf4MaFatEE-VTaP_JWERGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/blinker/v13/cIf4MaFatEE-VTaP_ImHRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/blinker/v13/cIf4MaFatEE-VTaP_K2GRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Blinker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/blinker/blinker.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:210;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Bodoni Moda\";s:10:\"fontFamily\";s:20:\"\"Bodoni Moda\", serif\";s:4:\"slug\";s:11:\"bodoni-moda\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT67PxzY382XsXX63LUYL6GYFcan6NJrKp-VPjfJMShrpsGFUt8oU7awIVytVjMYwE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT67PxzY382XsXX63LUYL6GYFcan6NJrKp-VPjfJMShrpsGFUt8oXzawIVytVjMYwE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT67PxzY382XsXX63LUYL6GYFcan6NJrKp-VPjfJMShrpsGFUt8oZDdwIVytVjMYwE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT67PxzY382XsXX63LUYL6GYFcan6NJrKp-VPjfJMShrpsGFUt8oandwIVytVjMYwE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT67PxzY382XsXX63LUYL6GYFcan6NJrKp-VPjfJMShrpsGFUt8oc7dwIVytVjMYwE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT67PxzY382XsXX63LUYL6GYFcan6NJrKp-VPjfJMShrpsGFUt8oefdwIVytVjMYwE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT07PxzY382XsXX63LUYJSPUqb0pL6OQqxrZLnVbvZedvJtj-V7tIaZKMN4tHrJcwHqoQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT07PxzY382XsXX63LUYJSPUqb0pL6OQqxrZLnVbvZedvJtj-V7tIaZGsN4tHrJcwHqoQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT07PxzY382XsXX63LUYJSPUqb0pL6OQqxrZLnVbvZedvJtj-V7tIaZ9sR4tHrJcwHqoQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT07PxzY382XsXX63LUYJSPUqb0pL6OQqxrZLnVbvZedvJtj-V7tIaZz8R4tHrJcwHqoQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT07PxzY382XsXX63LUYJSPUqb0pL6OQqxrZLnVbvZedvJtj-V7tIaZqMR4tHrJcwHqoQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/bodonimoda/v25/aFT07PxzY382XsXX63LUYJSPUqb0pL6OQqxrZLnVbvZedvJtj-V7tIaZgcR4tHrJcwHqoQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Bodoni Moda\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda/bodoni-moda.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:211;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Bodoni Moda SC\";s:10:\"fontFamily\";s:23:\"\"Bodoni Moda SC\", serif\";s:4:\"slug\";s:14:\"bodoni-moda-sc\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjhdGTykkIgA8197UwkzHp8F-XUUG5UNs2KqliEb-g_DaUdIA6SfiYHbA7uXJmb9N7yr8E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjhdGTykkIgA8197UwkzHp8F-XUUG5UNs2KqliEb-g_DaUdIA6SfiYHbDzuXJmb9N7yr8E.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjhdGTykkIgA8197UwkzHp8F-XUUG5UNs2KqliEb-g_DaUdIA6SfiYHbNDpXJmb9N7yr8E.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjhdGTykkIgA8197UwkzHp8F-XUUG5UNs2KqliEb-g_DaUdIA6SfiYHbOnpXJmb9N7yr8E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjhdGTykkIgA8197UwkzHp8F-XUUG5UNs2KqliEb-g_DaUdIA6SfiYHbI7pXJmb9N7yr8E.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjhdGTykkIgA8197UwkzHp8F-XUUG5UNs2KqliEb-g_DaUdIA6SfiYHbKfpXJmb9N7yr8E.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjndGTykkIgA8197UwkzHp8F8_dYp-6DdBNRF6RX6k1R5fi-Gf55IgAecattN-R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjndGTykkIgA8197UwkzHp8F8_dYp-6DdBNRF6RX6k1R5fi-Gf55IgAecatht-R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjndGTykkIgA8197UwkzHp8F8_dYp-6DdBNRF6RX6k1R5fi-Gf55IgAecatatiR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjndGTykkIgA8197UwkzHp8F8_dYp-6DdBNRF6RX6k1R5fi-Gf55IgAecatU9iR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjndGTykkIgA8197UwkzHp8F8_dYp-6DdBNRF6RX6k1R5fi-Gf55IgAecatNNiR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/bodonimodasc/v1/LYjndGTykkIgA8197UwkzHp8F8_dYp-6DdBNRF6RX6k1R5fi-Gf55IgAecatHdiR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Bodoni Moda SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/bodoni-moda-sc/bodoni-moda-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:212;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Bokor\";s:10:\"fontFamily\";s:16:\"Bokor, system-ui\";s:4:\"slug\";s:5:\"bokor\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/bokor/v30/m8JcjfpeeaqTiR2TdInbcaxE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Bokor\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/bokor/bokor-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/bokor/bokor.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:213;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Bona Nova\";s:10:\"fontFamily\";s:18:\"\"Bona Nova\", serif\";s:4:\"slug\";s:9:\"bona-nova\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/bonanova/v11/B50NF7ZCpX7fcHfvIUBJjqhqHK-CLA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Bona Nova\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova/bona-nova-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/bonanova/v11/B50LF7ZCpX7fcHfvIUB5iaJrPqqSLJYf.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Bona Nova\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova/bona-nova-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/bonanova/v11/B50IF7ZCpX7fcHfvIUBxN4dOEYSeJY8GgQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Bona Nova\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova/bona-nova-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova/bona-nova.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:214;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Bona Nova SC\";s:10:\"fontFamily\";s:21:\"\"Bona Nova SC\", serif\";s:4:\"slug\";s:12:\"bona-nova-sc\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/bonanovasc/v1/mem5YaShyGWDiYdPG_c1Af4-UOJoCqeDjg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bona Nova SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova-sc/bona-nova-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bonanovasc/v1/memnYaShyGWDiYdPG_c1Af4OV-hpKKKTjrPW.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Bona Nova SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova-sc/bona-nova-sc-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/bonanovasc/v1/memmYaShyGWDiYdPG_c1Af4G6c1MB4yfh6rPXA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bona Nova SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova-sc/bona-nova-sc-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/bona-nova-sc/bona-nova-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:215;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Bonbon\";s:10:\"fontFamily\";s:15:\"Bonbon, cursive\";s:4:\"slug\";s:6:\"bonbon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/bonbon/v30/0FlVVPeVlFec4ee_dTEAbQY5-A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bonbon\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bonbon/bonbon-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/bonbon/bonbon.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:216;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Bonheur Royale\";s:10:\"fontFamily\";s:25:\"\"Bonheur Royale\", cursive\";s:4:\"slug\";s:14:\"bonheur-royale\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bonheurroyale/v13/c4m51nt_GMTrtX-b9GcG4-YRmYK6c0f1N5Ij.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bonheur Royale\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bonheur-royale/bonheur-royale-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/bonheur-royale/bonheur-royale.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:217;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Boogaloo\";s:10:\"fontFamily\";s:19:\"Boogaloo, system-ui\";s:4:\"slug\";s:8:\"boogaloo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/boogaloo/v23/kmK-Zq45GAvOdnaW6x1A_SrQo_1K.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Boogaloo\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/boogaloo/boogaloo-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/boogaloo/boogaloo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:218;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Borel\";s:10:\"fontFamily\";s:14:\"Borel, cursive\";s:4:\"slug\";s:5:\"borel\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/borel/v3/6qLOKZsftAPisgskYyMnOjwE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Borel\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/borel/borel-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/borel/borel.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:219;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Bowlby One\";s:10:\"fontFamily\";s:23:\"\"Bowlby One\", system-ui\";s:4:\"slug\";s:10:\"bowlby-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/bowlbyone/v23/taiPGmVuC4y96PFeqp8smouC_Z0wcK4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Bowlby One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/bowlby-one/bowlby-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/bowlby-one/bowlby-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:220;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Bowlby One SC\";s:10:\"fontFamily\";s:26:\"\"Bowlby One SC\", system-ui\";s:4:\"slug\";s:13:\"bowlby-one-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/bowlbyonesc/v25/DtVlJxerQqQm37tzN3wMug9Pzg38owhNjuE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Bowlby One SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/bowlby-one-sc/bowlby-one-sc-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/bowlby-one-sc/bowlby-one-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:221;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Braah One\";s:10:\"fontFamily\";s:23:\"\"Braah One\", sans-serif\";s:4:\"slug\";s:9:\"braah-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/braahone/v6/KFOlCnWUpt6LsxxxiylvBh05IsDqlA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Braah One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/braah-one/braah-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/braah-one/braah-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:222;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Brawler\";s:10:\"fontFamily\";s:14:\"Brawler, serif\";s:4:\"slug\";s:7:\"brawler\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/brawler/v19/xn7gYHE3xXewAscGsgW7S9XdZN8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Brawler\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/brawler/brawler-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/brawler/v19/xn7lYHE3xXewAscGiryUb9j2eNaPfk8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Brawler\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/brawler/brawler-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/brawler/brawler.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:223;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Bree Serif\";s:10:\"fontFamily\";s:19:\"\"Bree Serif\", serif\";s:4:\"slug\";s:10:\"bree-serif\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/breeserif/v17/4UaHrEJCrhhnVA3DgluAx6jj5pN1MwI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Bree Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/bree-serif/bree-serif-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/bree-serif/bree-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:224;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Bricolage Grotesque\";s:10:\"fontFamily\";s:33:\"\"Bricolage Grotesque\", sans-serif\";s:4:\"slug\";s:19:\"bricolage-grotesque\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvZviyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvUXiyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvRviyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvSniyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvcXlyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvfzlyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/bricolagegrotesque/v7/3y9U6as8bTXq_nANBjzKo3IeZx8z6up5BeSl5jBNz_19PpbpMXuECpwUxJBOm_OJWiaaD30YfKfjZZoLvZvlyMgvs-wJDtw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Bricolage Grotesque\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque-800-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/bricolage-grotesque/bricolage-grotesque.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:225;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Bruno Ace\";s:10:\"fontFamily\";s:22:\"\"Bruno Ace\", system-ui\";s:4:\"slug\";s:9:\"bruno-ace\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/brunoace/v5/WwkcxPa2E06x4trkOj_kNaoMWNMg3Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Bruno Ace\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/bruno-ace/bruno-ace-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/bruno-ace/bruno-ace.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:226;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Bruno Ace SC\";s:10:\"fontFamily\";s:25:\"\"Bruno Ace SC\", system-ui\";s:4:\"slug\";s:12:\"bruno-ace-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/brunoacesc/v5/ptROTiycffFLBuiHjdJDl634KCFrpe8uZA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bruno Ace SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bruno-ace-sc/bruno-ace-sc-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/bruno-ace-sc/bruno-ace-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:227;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Brygada 1918\";s:10:\"fontFamily\";s:21:\"\"Brygada 1918\", serif\";s:4:\"slug\";s:12:\"brygada-1918\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/brygada1918/v25/pe08MI6eKpdGqlF5LANrM--ACNaeo8mTUIR_y2-f-VoWu5O3gbo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/brygada1918/v25/pe08MI6eKpdGqlF5LANrM--ACNaeo8mTUIR_y12f-VoWu5O3gbo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/brygada1918/v25/pe08MI6eKpdGqlF5LANrM--ACNaeo8mTUIR_y7GY-VoWu5O3gbo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/brygada1918/v25/pe08MI6eKpdGqlF5LANrM--ACNaeo8mTUIR_y4iY-VoWu5O3gbo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/brygada1918/v25/pe06MI6eKpdGqlF5LANrM--qAeRhe6D4yip43qfcERwcurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/brygada1918/v25/pe06MI6eKpdGqlF5LANrM--qAeRhe6D4yip43qfcIxwcurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/brygada1918/v25/pe06MI6eKpdGqlF5LANrM--qAeRhe6D4yip43qfczxscurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/brygada1918/v25/pe06MI6eKpdGqlF5LANrM--qAeRhe6D4yip43qfc9hscurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Brygada 1918\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/brygada-1918/brygada-1918.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:228;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Bubblegum Sans\";s:10:\"fontFamily\";s:27:\"\"Bubblegum Sans\", system-ui\";s:4:\"slug\";s:14:\"bubblegum-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bubblegumsans/v20/AYCSpXb_Z9EORv1M5QTjEzMEtdaCzoPPb7R4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bubblegum Sans\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bubblegum-sans/bubblegum-sans-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/bubblegum-sans/bubblegum-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:229;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Bubbler One\";s:10:\"fontFamily\";s:25:\"\"Bubbler One\", sans-serif\";s:4:\"slug\";s:11:\"bubbler-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/bubblerone/v21/f0Xy0eqj68ppQV9KBLmAouHC26MPePkt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bubbler One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bubbler-one/bubbler-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/bubbler-one/bubbler-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:230;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Buda\";s:10:\"fontFamily\";s:15:\"Buda, system-ui\";s:4:\"slug\";s:4:\"buda\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/buda/v29/GFDqWAN8mnyIJSSrG7ABr7pZKA0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Buda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/buda/buda-300-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/buda/buda.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:231;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Buenard\";s:10:\"fontFamily\";s:14:\"Buenard, serif\";s:4:\"slug\";s:7:\"buenard\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/buenard/v17/OD5DuM6Cyma8FnnsPzL9qGi9HL4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Buenard\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/buenard/buenard-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/buenard/v17/OD5GuM6Cyma8FnnsB4vSjGWWALepwss.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Buenard\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/buenard/buenard-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/buenard/buenard.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:232;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Bungee\";s:10:\"fontFamily\";s:17:\"Bungee, system-ui\";s:4:\"slug\";s:6:\"bungee\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/bungee/v14/N0bU2SZBIuF2PU_ED350Kd_PmA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Bungee\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee/bungee-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee/bungee.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:233;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Bungee Hairline\";s:10:\"fontFamily\";s:28:\"\"Bungee Hairline\", system-ui\";s:4:\"slug\";s:15:\"bungee-hairline\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/bungeehairline/v23/snfys0G548t04270a_ljTLUVrv-7ZR2dQ5ZPqQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Bungee Hairline\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-hairline/bungee-hairline-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-hairline/bungee-hairline.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:234;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Bungee Inline\";s:10:\"fontFamily\";s:26:\"\"Bungee Inline\", system-ui\";s:4:\"slug\";s:13:\"bungee-inline\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/bungeeinline/v16/Gg8zN58UcgnlCweMrih332VuDGd1-FEglsc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Bungee Inline\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-inline/bungee-inline-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-inline/bungee-inline.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:235;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Bungee Outline\";s:10:\"fontFamily\";s:27:\"\"Bungee Outline\", system-ui\";s:4:\"slug\";s:14:\"bungee-outline\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/bungeeoutline/v21/_6_mEDvmVP24UvU2MyiGDslL3QgyYhJqPXxo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Bungee Outline\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-outline/bungee-outline-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-outline/bungee-outline.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:236;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Bungee Shade\";s:10:\"fontFamily\";s:25:\"\"Bungee Shade\", system-ui\";s:4:\"slug\";s:12:\"bungee-shade\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bungeeshade/v14/DtVkJxarWL0t2KdzK3oI_jks6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bungee Shade\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-shade/bungee-shade-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-shade/bungee-shade.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:237;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Bungee Spice\";s:10:\"fontFamily\";s:25:\"\"Bungee Spice\", system-ui\";s:4:\"slug\";s:12:\"bungee-spice\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/bungeespice/v12/nwpTtK2nIhxE0q-IwgSpZBqCyiI-aMPF7Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Bungee Spice\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-spice/bungee-spice-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-spice/bungee-spice.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:238;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Bungee Tint\";s:10:\"fontFamily\";s:24:\"\"Bungee Tint\", system-ui\";s:4:\"slug\";s:11:\"bungee-tint\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/bungeetint/v1/J7abnpl_EGtUEuAJwN9WmrtPMDwTpTkB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Bungee Tint\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-tint/bungee-tint-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/bungee-tint/bungee-tint.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:239;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Butcherman\";s:10:\"fontFamily\";s:21:\"Butcherman, system-ui\";s:4:\"slug\";s:10:\"butcherman\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/butcherman/v24/2EbiL-thF0loflXUBOdb1zCzq_5uT84.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Butcherman\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/butcherman/butcherman-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/butcherman/butcherman.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:240;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Butterfly Kids\";s:10:\"fontFamily\";s:25:\"\"Butterfly Kids\", cursive\";s:4:\"slug\";s:14:\"butterfly-kids\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/butterflykids/v25/ll8lK2CWTjuqAsXDqlnIbMNs5S4frxFrAX1D.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Butterfly Kids\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/butterfly-kids/butterfly-kids-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/butterfly-kids/butterfly-kids.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:241;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Cabin\";s:10:\"fontFamily\";s:17:\"Cabin, sans-serif\";s:4:\"slug\";s:5:\"cabin\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cabin/v27/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EL7Svxm7rE_s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cabin/v27/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkW-EL7Svxm7rE_s.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cabin/v27/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkYODL7Svxm7rE_s.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cabin/v27/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkbqDL7Svxm7rE_s.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/cabin/v27/u-4V0qWljRw-Pd815fNqc8T_wAFcX-c37MPiNYlWniJ2hJXHx_Klx0zuA_u1Bg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/cabin/v27/u-4V0qWljRw-Pd815fNqc8T_wAFcX-c37MPiNYlWniJ2hJXH9fKlx0zuA_u1Bg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/cabin/v27/u-4V0qWljRw-Pd815fNqc8T_wAFcX-c37MPiNYlWniJ2hJXHGfWlx0zuA_u1Bg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/cabin/v27/u-4V0qWljRw-Pd815fNqc8T_wAFcX-c37MPiNYlWniJ2hJXHIPWlx0zuA_u1Bg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Cabin\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin-700-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin/cabin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:242;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Cabin Condensed\";s:10:\"fontFamily\";s:29:\"\"Cabin Condensed\", sans-serif\";s:4:\"slug\";s:15:\"cabin-condensed\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/cabincondensed/v20/nwpMtK6mNhBK2err_hqkYhHRqmwaZejZ5HZl8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Cabin Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-condensed/cabin-condensed-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cabincondensed/v20/nwpJtK6mNhBK2err_hqkYhHRqmwilMH96V15-K1oqQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Cabin Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-condensed/cabin-condensed-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cabincondensed/v20/nwpJtK6mNhBK2err_hqkYhHRqmwiuMb96V15-K1oqQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Cabin Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-condensed/cabin-condensed-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cabincondensed/v20/nwpJtK6mNhBK2err_hqkYhHRqmwi3Mf96V15-K1oqQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Cabin Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-condensed/cabin-condensed-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-condensed/cabin-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:243;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Cabin Sketch\";s:10:\"fontFamily\";s:25:\"\"Cabin Sketch\", system-ui\";s:4:\"slug\";s:12:\"cabin-sketch\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/cabinsketch/v21/QGYpz_kZZAGCONcK2A4bGOjMmtJM6fnuKg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cabin Sketch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-sketch/cabin-sketch-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cabinsketch/v21/QGY2z_kZZAGCONcK2A4bGOj0I_1o5NLyI4CMFw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cabin Sketch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-sketch/cabin-sketch-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/cabin-sketch/cabin-sketch.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:244;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Cactus Classical Serif\";s:10:\"fontFamily\";s:31:\"\"Cactus Classical Serif\", serif\";s:4:\"slug\";s:22:\"cactus-classical-serif\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/cactusclassicalserif/v5/sZlVdQ6K-zJOCzUaS90zMNN-Ep-OoC8dZr0JFuVIFX-pv-E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Cactus Classical Serif\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/cactus-classical-serif/cactus-classical-serif-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/cactus-classical-serif/cactus-classical-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:245;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Caesar Dressing\";s:10:\"fontFamily\";s:28:\"\"Caesar Dressing\", system-ui\";s:4:\"slug\";s:15:\"caesar-dressing\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/caesardressing/v21/yYLx0hLa3vawqtwdswbotmK4vrR3dLb6LZttyg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Caesar Dressing\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/caesar-dressing/caesar-dressing-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/caesar-dressing/caesar-dressing.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:246;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Cagliostro\";s:10:\"fontFamily\";s:22:\"Cagliostro, sans-serif\";s:4:\"slug\";s:10:\"cagliostro\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/cagliostro/v21/ZgNWjP5HM73BV5amnX-TjGDEM4COoE4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cagliostro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cagliostro/cagliostro-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/cagliostro/cagliostro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:247;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Cairo\";s:10:\"fontFamily\";s:17:\"Cairo, sans-serif\";s:4:\"slug\";s:5:\"cairo\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hGA-W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hL4-W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hOA-W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hNI-W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hD45W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hAc5W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hGA5W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/cairo/v28/SLXgc1nY6HkvangtZmpQdkhzfH5lkSs2SgRjCAGMQ1z0hEk5W1HoLQ-HmkA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cairo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo/cairo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:248;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Cairo Play\";s:10:\"fontFamily\";s:24:\"\"Cairo Play\", sans-serif\";s:4:\"slug\";s:10:\"cairo-play\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1EnYq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1zHYq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1knYq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1oHYq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1THEq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1dXEq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1EnEq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/cairoplay/v7/wXKEE3QSpo4vpRz_mz6FP-8iaauCLt_Hjopv3miu5IvcJo49mOo1O3Eq8iXa8GvzaA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Cairo Play\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/cairo-play/cairo-play.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:249;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Caladea\";s:10:\"fontFamily\";s:14:\"Caladea, serif\";s:4:\"slug\";s:7:\"caladea\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/caladea/v7/kJEzBugZ7AAjhybUjRp3-9IztOc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Caladea\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/caladea/caladea-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/caladea/v7/kJExBugZ7AAjhybUvR19-vA2pOdvDA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Caladea\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/caladea/caladea-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/caladea/v7/kJE2BugZ7AAjhybUtaNY398YqO52FZ0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Caladea\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/caladea/caladea-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/caladea/v7/kJE0BugZ7AAjhybUvR1FQ98SqcxzBZ2lDA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Caladea\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/caladea/caladea-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/caladea/caladea.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:250;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Calistoga\";s:10:\"fontFamily\";s:20:\"Calistoga, system-ui\";s:4:\"slug\";s:9:\"calistoga\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/calistoga/v16/6NUU8F2OJg6MeR7l4e0vscYAwdRZfw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Calistoga\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/calistoga/calistoga-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/calistoga/calistoga.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:251;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Calligraffitti\";s:10:\"fontFamily\";s:23:\"Calligraffitti, cursive\";s:4:\"slug\";s:14:\"calligraffitti\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/calligraffitti/v19/46k2lbT3XjDVqJw3DCmCFjE0vnFcM5ZBpYN-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Calligraffitti\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/calligraffitti/calligraffitti-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/calligraffitti/calligraffitti.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:252;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Cambay\";s:10:\"fontFamily\";s:18:\"Cambay, sans-serif\";s:4:\"slug\";s:6:\"cambay\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/cambay/v12/SLXJc1rY6H0_ZDsGa7SIz9JsaA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cambay\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cambay/cambay-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/cambay/v12/SLXLc1rY6H0_ZDs2bL6J7dd8aGZk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Cambay\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cambay/cambay-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/cambay/v12/SLXKc1rY6H0_ZDs-0puswvlwYX99kA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cambay\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cambay/cambay-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/cambay/v12/SLXMc1rY6H0_ZDs2bIYwwvNxQ3ptkDMN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Cambay\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cambay/cambay-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/cambay/cambay.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:253;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Cambo\";s:10:\"fontFamily\";s:12:\"Cambo, serif\";s:4:\"slug\";s:5:\"cambo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/cambo/v18/IFSqHeNEk8FJk41_ok7xkPm8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cambo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cambo/cambo-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/cambo/cambo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:254;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Candal\";s:10:\"fontFamily\";s:18:\"Candal, sans-serif\";s:4:\"slug\";s:6:\"candal\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/candal/v15/XoHn2YH6T7-t_8cNBB4Jt9Yxlw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Candal\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/candal/candal-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/candal/candal.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:255;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Cantarell\";s:10:\"fontFamily\";s:21:\"Cantarell, sans-serif\";s:4:\"slug\";s:9:\"cantarell\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/cantarell/v17/B50NF7ZDq37KMUvlO01JjqhqHK-CLA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cantarell\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cantarell/cantarell-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/cantarell/v17/B50LF7ZDq37KMUvlO015iaJrPqqSLJYf.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cantarell\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cantarell/cantarell-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/cantarell/v17/B50IF7ZDq37KMUvlO01xN4dOEYSeJY8GgQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cantarell\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cantarell/cantarell-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/cantarell/v17/B50WF7ZDq37KMUvlO015iZrSEY6fB4oWgWHB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cantarell\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cantarell/cantarell-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/cantarell/cantarell.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:256;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Cantata One\";s:10:\"fontFamily\";s:20:\"\"Cantata One\", serif\";s:4:\"slug\";s:11:\"cantata-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/cantataone/v15/PlI5Fl60Nb5obNzNe2jslVxBt8CwfGaD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Cantata One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/cantata-one/cantata-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/cantata-one/cantata-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:257;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Cantora One\";s:10:\"fontFamily\";s:25:\"\"Cantora One\", sans-serif\";s:4:\"slug\";s:11:\"cantora-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/cantoraone/v19/gyB4hws1JdgnKy56GB_JX6zYZ4vZVbgZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Cantora One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/cantora-one/cantora-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/cantora-one/cantora-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:258;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Caprasimo\";s:10:\"fontFamily\";s:20:\"Caprasimo, system-ui\";s:4:\"slug\";s:9:\"caprasimo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/caprasimo/v5/esDT31JQOPuXIUGBp72kkJUCGpG-GQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Caprasimo\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/caprasimo/caprasimo-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/caprasimo/caprasimo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:259;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Capriola\";s:10:\"fontFamily\";s:20:\"Capriola, sans-serif\";s:4:\"slug\";s:8:\"capriola\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/capriola/v14/wXKoE3YSppcvo1PDln_5L-AinG8y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Capriola\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/capriola/capriola-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/capriola/capriola.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:260;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Caramel\";s:10:\"fontFamily\";s:16:\"Caramel, cursive\";s:4:\"slug\";s:7:\"caramel\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/caramel/v7/P5sCzZKBbMTf_ShyxCFuiZ-uydg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Caramel\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/caramel/caramel-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/caramel/caramel.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:261;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Carattere\";s:10:\"fontFamily\";s:18:\"Carattere, cursive\";s:4:\"slug\";s:9:\"carattere\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/carattere/v7/4iCv6Kp1b9dXlgt_CkvTsmaMH4V_gg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Carattere\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/carattere/carattere-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/carattere/carattere.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:262;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Cardo\";s:10:\"fontFamily\";s:12:\"Cardo, serif\";s:4:\"slug\";s:5:\"cardo\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/cardo/v19/wlp_gwjKBV1pqiv61oAZ2H5O.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cardo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cardo/cardo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/cardo/v19/wlpxgwjKBV1pqhv93IE73W5OcCk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Cardo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cardo/cardo-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/cardo/v19/wlpygwjKBV1pqhND-aQU82JHaTBX.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Cardo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/cardo/cardo-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/cardo/cardo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:263;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Carlito\";s:10:\"fontFamily\";s:19:\"Carlito, sans-serif\";s:4:\"slug\";s:7:\"carlito\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/carlito/v3/3Jn9SDPw3m-pk039PDWLTXUETuE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Carlito\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/carlito/carlito-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/carlito/v3/3Jn_SDPw3m-pk039DDKBTFcBXuFb0Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Carlito\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/carlito/carlito-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/carlito/v3/3Jn4SDPw3m-pk039BIykaXgvUuhCyOo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Carlito\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/carlito/carlito-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/carlito/v3/3Jn6SDPw3m-pk039DDK59XglU8pH2OprMQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Carlito\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/carlito/carlito-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/carlito/carlito.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:264;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Carme\";s:10:\"fontFamily\";s:17:\"Carme, sans-serif\";s:4:\"slug\";s:5:\"carme\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/carme/v16/ptRHTiWdbvZIDOjDxLNrxfbZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Carme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/carme/carme-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/carme/carme.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:265;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Carrois Gothic\";s:10:\"fontFamily\";s:28:\"\"Carrois Gothic\", sans-serif\";s:4:\"slug\";s:14:\"carrois-gothic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/carroisgothic/v16/Z9XPDmFATg-N1PLtLOOxvIHl9ZmG3i7ajcJ-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Carrois Gothic\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/carrois-gothic/carrois-gothic-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/carrois-gothic/carrois-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:266;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Carrois Gothic SC\";s:10:\"fontFamily\";s:31:\"\"Carrois Gothic SC\", sans-serif\";s:4:\"slug\";s:17:\"carrois-gothic-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/carroisgothicsc/v15/ZgNJjOVHM6jfUZCmyUqT2A2HVKjc-28iNHabY4dN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Carrois Gothic SC\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/carrois-gothic-sc/carrois-gothic-sc-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/carrois-gothic-sc/carrois-gothic-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:267;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Carter One\";s:10:\"fontFamily\";s:23:\"\"Carter One\", system-ui\";s:4:\"slug\";s:10:\"carter-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/carterone/v17/q5uCsoe5IOB2-pXv9UcNIxF2hYxREMs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Carter One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/carter-one/carter-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/carter-one/carter-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:268;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Castoro\";s:10:\"fontFamily\";s:14:\"Castoro, serif\";s:4:\"slug\";s:7:\"castoro\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/castoro/v19/1q2GY5yMCld3-O4cHY1EzOYenEU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Castoro\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/castoro/castoro-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/castoro/v19/1q2EY5yMCld3-O4cLYpOzcQbjEX5fw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Castoro\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/castoro/castoro-400-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/castoro/castoro.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:269;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Castoro Titling\";s:10:\"fontFamily\";s:28:\"\"Castoro Titling\", system-ui\";s:4:\"slug\";s:15:\"castoro-titling\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/castorotitling/v8/buEupouwccj03leTfjUAhEZWlrNqZwckeo9RMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Castoro Titling\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/castoro-titling/castoro-titling-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/castoro-titling/castoro-titling.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:270;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Catamaran\";s:10:\"fontFamily\";s:21:\"Catamaran, sans-serif\";s:4:\"slug\";s:9:\"catamaran\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPHjc1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPPjd1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPCbd1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPHjd1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPErd1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPKba1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPJ_a1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPPja1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/catamaran/v19/o-0bIpQoyXQa2RxT7-5B6Ryxs2E_6n1iPNHa1azXuluiLyw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Catamaran\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/catamaran/catamaran.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:271;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Caudex\";s:10:\"fontFamily\";s:13:\"Caudex, serif\";s:4:\"slug\";s:6:\"caudex\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/caudex/v17/esDQ311QOP6BJUrIz_iAnb4eEw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Caudex\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caudex/caudex-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/caudex/v17/esDS311QOP6BJUr4yPKBv7sOE4in.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Caudex\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caudex/caudex-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/caudex/v17/esDT311QOP6BJUrwdtekkJUCGpG-GQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Caudex\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caudex/caudex-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/caudex/v17/esDV311QOP6BJUr4yMo4kJ8DOJSuGdLB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Caudex\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caudex/caudex-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/caudex/caudex.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:272;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Caveat\";s:10:\"fontFamily\";s:15:\"Caveat, cursive\";s:4:\"slug\";s:6:\"caveat\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/caveat/v18/WnznHAc5bAfYB2QRah7pcpNvOx-pjfJ9SIejYBxPigs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Caveat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat/caveat-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/caveat/v18/WnznHAc5bAfYB2QRah7pcpNvOx-pjcB9SIejYBxPigs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Caveat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat/caveat-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/caveat/v18/WnznHAc5bAfYB2QRah7pcpNvOx-pjSx6SIejYBxPigs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Caveat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat/caveat-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/caveat/v18/WnznHAc5bAfYB2QRah7pcpNvOx-pjRV6SIejYBxPigs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Caveat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat/caveat-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat/caveat.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:273;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Caveat Brush\";s:10:\"fontFamily\";s:23:\"\"Caveat Brush\", cursive\";s:4:\"slug\";s:12:\"caveat-brush\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/caveatbrush/v11/EYq0maZfwr9S9-ETZc3fKXtMXrmT03pdQw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Caveat Brush\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat-brush/caveat-brush-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/caveat-brush/caveat-brush.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:274;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Cedarville Cursive\";s:10:\"fontFamily\";s:29:\"\"Cedarville Cursive\", cursive\";s:4:\"slug\";s:18:\"cedarville-cursive\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cedarvillecursive/v17/yYL00g_a2veiudhUmxjo5VKkoqA-B_neILBxw8BeTg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Cedarville Cursive\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cedarville-cursive/cedarville-cursive-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/cedarville-cursive/cedarville-cursive.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:275;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Ceviche One\";s:10:\"fontFamily\";s:24:\"\"Ceviche One\", system-ui\";s:4:\"slug\";s:11:\"ceviche-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/cevicheone/v16/gyB4hws1IcA6JzR-GB_JX6zYZ4vZVbgZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ceviche One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ceviche-one/ceviche-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/ceviche-one/ceviche-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:276;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Chakra Petch\";s:10:\"fontFamily\";s:26:\"\"Chakra Petch\", sans-serif\";s:4:\"slug\";s:12:\"chakra-petch\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIflMapbsEk7TDLdtEz1BwkeNIhFRZXE3AY00g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIfnMapbsEk7TDLdtEz1BwkWmpLJQp_F_gMk0izH.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIf6MapbsEk7TDLdtEz1BwkmnaBhSL7Y1Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIfkMapbsEk7TDLdtEz1BwkWmqpgarvI1R8t.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIflMapbsEk7TDLdtEz1BwkebIlFRZXE3AY00g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIfnMapbsEk7TDLdtEz1BwkWmpKRQ5_F_gMk0izH.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIflMapbsEk7TDLdtEz1BwkeQI5FRZXE3AY00g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIfnMapbsEk7TDLdtEz1BwkWmpK9RJ_F_gMk0izH.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIflMapbsEk7TDLdtEz1BwkeJI9FRZXE3AY00g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/chakrapetch/v11/cIfnMapbsEk7TDLdtEz1BwkWmpLZRZ_F_gMk0izH.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Chakra Petch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/chakra-petch/chakra-petch.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:277;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Changa\";s:10:\"fontFamily\";s:18:\"Changa, sans-serif\";s:4:\"slug\";s:6:\"changa\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZy2xQjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZ_OxQjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZ62xQjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZ5-xQjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZ3O2QjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZ0q2QjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/changa/v27/2-c79JNi2YuVOUcOarRPgnNGooxCZy22QjXp9htf1ZM.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Changa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa-800-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/changa/changa.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:278;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Changa One\";s:10:\"fontFamily\";s:23:\"\"Changa One\", system-ui\";s:4:\"slug\";s:10:\"changa-one\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/changaone/v20/xfu00W3wXn3QLUJXhzq46APouLfbK64.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Changa One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/changa-one/changa-one-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/changaone/v20/xfu20W3wXn3QLUJXhzq42ATiuZXeO67ISw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Changa One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/changa-one/changa-one-400-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/changa-one/changa-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:279;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Chango\";s:10:\"fontFamily\";s:17:\"Chango, system-ui\";s:4:\"slug\";s:6:\"chango\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/chango/v27/2V0cKI0OB5U7WaJyyn24TFUaAw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Chango\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/chango/chango-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/chango/chango.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:280;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Charis SIL\";s:10:\"fontFamily\";s:19:\"\"Charis SIL\", serif\";s:4:\"slug\";s:10:\"charis-sil\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/charissil/v2/oPWK_kV3l-s-Q8govXvKrP_mYjZ2Xn0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Charis SIL\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/charis-sil/charis-sil-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/charissil/v2/oPWI_kV3l-s-Q8govXvKnPjsYxRzTn2Ozw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Charis SIL\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/charis-sil/charis-sil-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/charissil/v2/oPWJ_kV3l-s-Q8govXvKlEbJRjtdQnSX1ko.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Charis SIL\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/charis-sil/charis-sil-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/charissil/v2/oPWX_kV3l-s-Q8govXvKnPjU2jtXQ1aSxkrMCQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Charis SIL\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/charis-sil/charis-sil-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/charis-sil/charis-sil.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:281;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Charm\";s:10:\"fontFamily\";s:14:\"Charm, cursive\";s:4:\"slug\";s:5:\"charm\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/charm/v11/7cHmv4oii5K0MeYqIe804WIo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Charm\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/charm/charm-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/charm/v11/7cHrv4oii5K0Md6TDss5yn4hnCci.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Charm\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/charm/charm-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/charm/charm.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:282;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Charmonman\";s:10:\"fontFamily\";s:19:\"Charmonman, cursive\";s:4:\"slug\";s:10:\"charmonman\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/charmonman/v18/MjQDmiR3vP_nuxDv47jiWJSovLdh6OE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Charmonman\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/charmonman/charmonman-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/charmonman/v18/MjQAmiR3vP_nuxDv47jiYC2HmLpK9OhmGnY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Charmonman\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/charmonman/charmonman-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/charmonman/charmonman.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:283;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Chathura\";s:10:\"fontFamily\";s:20:\"Chathura, sans-serif\";s:4:\"slug\";s:8:\"chathura\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/chathura/v20/_gP91R7-rzUuVjim42dEq0GbTvZyuDo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chathura\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chathura/chathura-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/chathura/v20/_gP81R7-rzUuVjim42eMiWS0YPp7oSNy.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chathura\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chathura/chathura-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/chathura/v20/_gP71R7-rzUuVjim418loUC5S-Zy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chathura\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chathura/chathura-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/chathura/v20/_gP81R7-rzUuVjim42ecjmS0YPp7oSNy.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chathura\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chathura/chathura-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/chathura/v20/_gP81R7-rzUuVjim42eAjWS0YPp7oSNy.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chathura\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chathura/chathura-800-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/chathura/chathura.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:284;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Chau Philomene One\";s:10:\"fontFamily\";s:32:\"\"Chau Philomene One\", sans-serif\";s:4:\"slug\";s:18:\"chau-philomene-one\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/chauphilomeneone/v15/55xxezRsPtfie1vPY49qzdgSlJiHRQFsmYx7QMISdQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Chau Philomene One\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/chau-philomene-one/chau-philomene-one-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/chauphilomeneone/v15/55xzezRsPtfie1vPY49qzdgSlJiHRQFcnoZ6YscCdXQB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Chau Philomene One\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/chau-philomene-one/chau-philomene-one-400-italic.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/chau-philomene-one/chau-philomene-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:285;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Chela One\";s:10:\"fontFamily\";s:22:\"\"Chela One\", system-ui\";s:4:\"slug\";s:9:\"chela-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/chelaone/v21/6ae-4KC7Uqgdz_JZdPIy2lvWNTMwoQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Chela One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/chela-one/chela-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/chela-one/chela-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:286;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Chelsea Market\";s:10:\"fontFamily\";s:27:\"\"Chelsea Market\", system-ui\";s:4:\"slug\";s:14:\"chelsea-market\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chelseamarket/v13/BCawqZsHqfr89WNP_IApC8tzKBhgLA4uKkWk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Chelsea Market\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/chelsea-market/chelsea-market-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/chelsea-market/chelsea-market.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:287;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:6:\"Chenla\";s:10:\"fontFamily\";s:17:\"Chenla, system-ui\";s:4:\"slug\";s:6:\"chenla\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/chenla/v25/SZc43FDpIKu8WZ9eWhfonUPL6Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Chenla\";}}}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:288;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Cherish\";s:10:\"fontFamily\";s:16:\"Cherish, cursive\";s:4:\"slug\";s:7:\"cherish\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/cherish/v8/ll88K2mXUyqsDsTN5iXCI6IJjg8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Cherish\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/cherish/cherish-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/cherish/cherish.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:289;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Cherry Bomb One\";s:10:\"fontFamily\";s:28:\"\"Cherry Bomb One\", system-ui\";s:4:\"slug\";s:15:\"cherry-bomb-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/cherrybombone/v9/y83DW4od1h6KlV3c6JJhRhGOdhrKCdpF41fr-w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Cherry Bomb One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-bomb-one/cherry-bomb-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-bomb-one/cherry-bomb-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:290;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Cherry Cream Soda\";s:10:\"fontFamily\";s:30:\"\"Cherry Cream Soda\", system-ui\";s:4:\"slug\";s:17:\"cherry-cream-soda\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/cherrycreamsoda/v21/UMBIrOxBrW6w2FFyi9paG0fdVdRciTd_Cd47DJ7G.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cherry Cream Soda\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-cream-soda/cherry-cream-soda-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-cream-soda/cherry-cream-soda.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:291;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Cherry Swash\";s:10:\"fontFamily\";s:25:\"\"Cherry Swash\", system-ui\";s:4:\"slug\";s:12:\"cherry-swash\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/cherryswash/v20/i7dNIFByZjaNAMxtZcnfAy58RXi-EwWMbg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cherry Swash\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-swash/cherry-swash-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cherryswash/v20/i7dSIFByZjaNAMxtZcnfAy5E_FeaHi6QZ3WfYg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cherry Swash\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-swash/cherry-swash-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/cherry-swash/cherry-swash.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:292;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Chewy\";s:10:\"fontFamily\";s:16:\"Chewy, system-ui\";s:4:\"slug\";s:5:\"chewy\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/chewy/v18/uK_94ruUb-k-wk50IDMfO-ed.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chewy\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chewy/chewy-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/chewy/chewy.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:293;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Chicle\";s:10:\"fontFamily\";s:17:\"Chicle, system-ui\";s:4:\"slug\";s:6:\"chicle\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/chicle/v25/lJwG-pw9i2dqU-BDzGKuobYSxw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Chicle\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/chicle/chicle-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/chicle/chicle.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:294;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Chilanka\";s:10:\"fontFamily\";s:17:\"Chilanka, cursive\";s:4:\"slug\";s:8:\"chilanka\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/chilanka/v20/WWXRlj2DZQiMJYaYRrJVI9EAZhTO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chilanka\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chilanka/chilanka-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/chilanka/chilanka.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:295;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Chivo\";s:10:\"fontFamily\";s:17:\"Chivo, sans-serif\";s:4:\"slug\";s:5:\"chivo\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_vB7ukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_PB_ukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_4h_ukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_vB_ukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_jh_ukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_YhjukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_WxjukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_PBjukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/chivo/v18/va9b4kzIxd1KFppkaRKvDRPJVDf_FRjukmDSFXjQiQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFwG1WrTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFyG1GrTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFxY1GrTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFwG1GrTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFw01GrTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFzY02rTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFzh02rTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFyG02rTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/chivo/v18/va9Z4kzIxd1KFrBtW-13ZHhT-jDqdFyv02rTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Chivo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo/chivo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:296;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Chivo Mono\";s:10:\"fontFamily\";s:23:\"\"Chivo Mono\", monospace\";s:4:\"slug\";s:10:\"chivo-mono\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D7hrqfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D5hr6fQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D6_r6fQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D7hr6fQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D7Tr6fQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D4_qKfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D4GqKfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D5hqKfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/chivomono/v9/mFThWbgRxKvF_Z5eQMO9qRMrJJrnKNtC3D5IqKfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7E-XIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7M-WIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7BGWIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7E-WIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7H2WIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7JGRIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7KiRIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7M-RIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/chivomono/v9/mFTjWbgRxKvF_Z5eQMO9gxoZ20KOQ0Hs2ysp7OaRIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Chivo Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono-900-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/chivo-mono/chivo-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:297;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Chocolate Classical Sans\";s:10:\"fontFamily\";s:38:\"\"Chocolate Classical Sans\", sans-serif\";s:4:\"slug\";s:24:\"chocolate-classical-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/chocolateclassicalsans/v5/nuFqD-PLTZX4XIgT-P2ToCDudWHHflqUpTpfjWdDOY2J9mHITw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Chocolate Classical Sans\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/chocolate-classical-sans/chocolate-classical-sans-400-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/chocolate-classical-sans/chocolate-classical-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:298;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Chokokutai\";s:10:\"fontFamily\";s:21:\"Chokokutai, system-ui\";s:4:\"slug\";s:10:\"chokokutai\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/chokokutai/v10/kmK4Zqw4HwvCeHGM8Fws9yvypu1Kr7I.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Chokokutai\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/chokokutai/chokokutai-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/chokokutai/chokokutai.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:299;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Chonburi\";s:10:\"fontFamily\";s:19:\"Chonburi, system-ui\";s:4:\"slug\";s:8:\"chonburi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/chonburi/v12/8AtqGs-wOpGRTBq66IWfFr3biAfZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Chonburi\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/chonburi/chonburi-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/chonburi/chonburi.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:300;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Cinzel\";s:10:\"fontFamily\";s:13:\"Cinzel, serif\";s:4:\"slug\";s:6:\"cinzel\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cinzel/v23/8vIU7ww63mVu7gtR-kwKxNvkNOjw-tbnTY_vDE5ZdqU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cinzel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cinzel/v23/8vIU7ww63mVu7gtR-kwKxNvkNOjw-uTnTY_vDE5ZdqU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cinzel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cinzel/v23/8vIU7ww63mVu7gtR-kwKxNvkNOjw-gjgTY_vDE5ZdqU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cinzel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cinzel/v23/8vIU7ww63mVu7gtR-kwKxNvkNOjw-jHgTY_vDE5ZdqU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cinzel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cinzel/v23/8vIU7ww63mVu7gtR-kwKxNvkNOjw-lbgTY_vDE5ZdqU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cinzel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cinzel/v23/8vIU7ww63mVu7gtR-kwKxNvkNOjw-n_gTY_vDE5ZdqU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cinzel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel/cinzel.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:301;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Cinzel Decorative\";s:10:\"fontFamily\";s:30:\"\"Cinzel Decorative\", system-ui\";s:4:\"slug\";s:17:\"cinzel-decorative\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cinzeldecorative/v16/daaCSScvJGqLYhG8nNt8KPPswUAPnh7RRs1LaCyC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cinzel Decorative\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel-decorative/cinzel-decorative-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cinzeldecorative/v16/daaHSScvJGqLYhG8nNt8KPPswUAPniZoaelGQzCLlQXE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cinzel Decorative\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel-decorative/cinzel-decorative-700-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cinzeldecorative/v16/daaHSScvJGqLYhG8nNt8KPPswUAPniZQa-lGQzCLlQXE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cinzel Decorative\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel-decorative/cinzel-decorative-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/cinzel-decorative/cinzel-decorative.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:302;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Clicker Script\";s:10:\"fontFamily\";s:25:\"\"Clicker Script\", cursive\";s:4:\"slug\";s:14:\"clicker-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/clickerscript/v13/raxkHiKPvt8CMH6ZWP8PdlEq72rd2zqUKafv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Clicker Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/clicker-script/clicker-script-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/clicker-script/clicker-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:303;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Climate Crisis\";s:10:\"fontFamily\";s:27:\"\"Climate Crisis\", system-ui\";s:4:\"slug\";s:14:\"climate-crisis\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/climatecrisis/v8/wEOpEB3AntNeKCPBVW9XOKlmp3AUgWFN1DvIvcM0gFp6iKUrGb7PsQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Climate Crisis\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/climate-crisis/climate-crisis-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/climate-crisis/climate-crisis.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:304;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Coda\";s:10:\"fontFamily\";s:15:\"Coda, system-ui\";s:4:\"slug\";s:4:\"coda\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/coda/v21/SLXHc1jY5nQ8JUcMapaN39I.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Coda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/coda/coda-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/coda/v21/SLXIc1jY5nQ8HeIgTpumw9t1cX8.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Coda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/coda/coda-800-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/coda/coda.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:305;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Codystar\";s:10:\"fontFamily\";s:19:\"Codystar, system-ui\";s:4:\"slug\";s:8:\"codystar\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/codystar/v17/FwZf7-Q1xVk-40qxOuYsyuyuj0e29bfC.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Codystar\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/codystar/codystar-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/codystar/v17/FwZY7-Q1xVk-40qxOt6F4sijpFu_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Codystar\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/codystar/codystar-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/codystar/codystar.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:306;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:5:\"Coiny\";s:10:\"fontFamily\";s:16:\"Coiny, system-ui\";s:4:\"slug\";s:5:\"coiny\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/coiny/v16/gyByhwU1K989PXweElSvO5Tc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Coiny\";}}}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:307;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Combo\";s:10:\"fontFamily\";s:16:\"Combo, system-ui\";s:4:\"slug\";s:5:\"combo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/combo/v21/BXRlvF3Jh_fIhg0nBu9y8Hf0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Combo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/combo/combo-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/combo/combo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:308;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Comfortaa\";s:10:\"fontFamily\";s:20:\"Comfortaa, system-ui\";s:4:\"slug\";s:9:\"comfortaa\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/comfortaa/v45/1Pt_g8LJRfWJmhDAuUsSQamb1W0lwk4S4TbMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Comfortaa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/comfortaa/comfortaa-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/comfortaa/v45/1Pt_g8LJRfWJmhDAuUsSQamb1W0lwk4S4WjMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Comfortaa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/comfortaa/comfortaa-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/comfortaa/v45/1Pt_g8LJRfWJmhDAuUsSQamb1W0lwk4S4VrMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Comfortaa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/comfortaa/comfortaa-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/comfortaa/v45/1Pt_g8LJRfWJmhDAuUsSQamb1W0lwk4S4bbLPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Comfortaa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/comfortaa/comfortaa-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/comfortaa/v45/1Pt_g8LJRfWJmhDAuUsSQamb1W0lwk4S4Y_LPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Comfortaa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/comfortaa/comfortaa-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/comfortaa/comfortaa.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:309;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Comforter\";s:10:\"fontFamily\";s:18:\"Comforter, cursive\";s:4:\"slug\";s:9:\"comforter\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/comforter/v7/H4clBXOCl8nQnlaql3Qa7ZG8iqeuag.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Comforter\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/comforter/comforter-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/comforter/comforter.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:310;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Comforter Brush\";s:10:\"fontFamily\";s:26:\"\"Comforter Brush\", cursive\";s:4:\"slug\";s:15:\"comforter-brush\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/comforterbrush/v7/Y4GTYa1xVSggrfzZI5WMjxRaOz0jxbL9Th8YYA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Comforter Brush\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/comforter-brush/comforter-brush-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/comforter-brush/comforter-brush.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:311;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Comic Neue\";s:10:\"fontFamily\";s:21:\"\"Comic Neue\", cursive\";s:4:\"slug\";s:10:\"comic-neue\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/comicneue/v8/4UaErEJDsxBrF37olUeD_wHLwp5eLwtHJlc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Comic Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comicneue/v8/4UaarEJDsxBrF37olUeD96_RTplULilCNlcw_Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Comic Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/comicneue/v8/4UaHrEJDsxBrF37olUeDx6jj5pN1MwI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Comic Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/comicneue/v8/4UaFrEJDsxBrF37olUeD96_p57FwIwJePw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Comic Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/comicneue/v8/4UaErEJDsxBrF37olUeD_xHMwp5eLwtHJlc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Comic Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comicneue/v8/4UaarEJDsxBrF37olUeD96_RXp5ULilCNlcw_Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Comic Neue\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/comic-neue/comic-neue.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:312;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Coming Soon\";s:10:\"fontFamily\";s:22:\"\"Coming Soon\", cursive\";s:4:\"slug\";s:11:\"coming-soon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/comingsoon/v19/qWcuB6mzpYL7AJ2VfdQR1u-XUjjzsykh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Coming Soon\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/coming-soon/coming-soon-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/coming-soon/coming-soon.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:313;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Comme\";s:10:\"fontFamily\";s:17:\"Comme, sans-serif\";s:4:\"slug\";s:5:\"comme\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1z5cBr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1zZcFr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1zu8Fr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1z5cFr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1z18Fr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1zO8Zr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1zAsZr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1zZcZr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/comme/v2/8QIUdirKhMbn-uG1kHz0MgviDe1zTMZr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Comme\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/comme/comme.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:314;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Commissioner\";s:10:\"fontFamily\";s:24:\"Commissioner, sans-serif\";s:4:\"slug\";s:12:\"commissioner\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTMNcGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTENdGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTJ1dGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTMNdGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTPFdGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTB1aGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTCRaGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTENaGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:154:\"https://fonts.gstatic.com/s/commissioner/v20/tDaH2o2WnlgI0FNDgduEk4jAhwgumbU1SVfU5BD8OuRL8OstC6KOhgvBYWSFJ-Mgdrgiju6fF8meZm0rk4eF-ZugTGpaGPK7Fu0jUdk.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Commissioner\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/commissioner/commissioner.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:315;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:11:\"Concert One\";s:10:\"fontFamily\";s:24:\"\"Concert One\", system-ui\";s:4:\"slug\";s:11:\"concert-one\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/concertone/v22/VEM1Ro9xs5PjtzCu-srDqRTghv-CuVAQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Concert One\";}}}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:316;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Condiment\";s:10:\"fontFamily\";s:18:\"Condiment, cursive\";s:4:\"slug\";s:9:\"condiment\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/condiment/v24/pONk1hggFNmwvXALyH6Sron4o1vyCQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Condiment\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/condiment/condiment-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/condiment/condiment.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:317;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:7:\"Content\";s:10:\"fontFamily\";s:18:\"Content, system-ui\";s:4:\"slug\";s:7:\"content\";s:8:\"fontFace\";a:2:{i:0;a:4:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/content/v24/zrfl0HLayePhU_AwUaXyIiL0RCg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Content\";}i:1;a:4:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/content/v24/zrfg0HLayePhU_AwaRzdBi_fWCHvkAI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Content\";}}}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:318;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Contrail One\";s:10:\"fontFamily\";s:25:\"\"Contrail One\", system-ui\";s:4:\"slug\";s:12:\"contrail-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/contrailone/v19/eLGbP-j_JA-kG0_Zo51noafdYEvt_c092w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Contrail One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/contrail-one/contrail-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/contrail-one/contrail-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:319;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Convergence\";s:10:\"fontFamily\";s:23:\"Convergence, sans-serif\";s:4:\"slug\";s:11:\"convergence\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/convergence/v15/rax5HiePvdgXPmmMHcIPYRhfsU7Q8Cad.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Convergence\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/convergence/convergence-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/convergence/convergence.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:320;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Cookie\";s:10:\"fontFamily\";s:15:\"Cookie, cursive\";s:4:\"slug\";s:6:\"cookie\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/cookie/v21/syky-y18lb0tSbfNkACT9tPdpw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cookie\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cookie/cookie-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/cookie/cookie.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:321;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Copse\";s:10:\"fontFamily\";s:12:\"Copse, serif\";s:4:\"slug\";s:5:\"copse\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/copse/v15/11hPGpDKz1rGb0dmHkihUb-A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Copse\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/copse/copse-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/copse/copse.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:322;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Corben\";s:10:\"fontFamily\";s:17:\"Corben, system-ui\";s:4:\"slug\";s:6:\"corben\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/corben/v21/LYjDdGzzklQtCMp9pQlEpVs3VQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Corben\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/corben/corben-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/corben/v21/LYjAdGzzklQtCMpFHCZgqHArXN7HWQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Corben\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/corben/corben-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/corben/corben.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:323;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Corinthia\";s:10:\"fontFamily\";s:18:\"Corinthia, cursive\";s:4:\"slug\";s:9:\"corinthia\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/corinthia/v11/wEO_EBrAnchaJyPMHE0FVPAL3EsHiA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Corinthia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/corinthia/corinthia-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/corinthia/v11/wEO6EBrAnchaJyPMHE097d8v0WAbgbLXQA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Corinthia\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/corinthia/corinthia-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/corinthia/corinthia.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:324;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Cormorant\";s:10:\"fontFamily\";s:16:\"Cormorant, serif\";s:4:\"slug\";s:9:\"cormorant\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorant/v21/H4c2BXOCl9bbnla_nHIA47NMUjsNbCVrFk9TQ7Fg7A2uwYs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorant/v21/H4c2BXOCl9bbnla_nHIA47NMUjsNbCVrFhFTQ7Fg7A2uwYs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorant/v21/H4c2BXOCl9bbnla_nHIA47NMUjsNbCVrFiNTQ7Fg7A2uwYs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorant/v21/H4c2BXOCl9bbnla_nHIA47NMUjsNbCVrFs9UQ7Fg7A2uwYs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorant/v21/H4c2BXOCl9bbnla_nHIA47NMUjsNbCVrFvZUQ7Fg7A2uwYs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cormorant/v21/H4c0BXOCl9bbnla_nHIq6oGzilJm9otsA9kQ9fdq7S-r0YvxdA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cormorant/v21/H4c0BXOCl9bbnla_nHIq6oGzilJm9otsA9kQq_dq7S-r0YvxdA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cormorant/v21/H4c0BXOCl9bbnla_nHIq6oGzilJm9otsA9kQmfdq7S-r0YvxdA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cormorant/v21/H4c0BXOCl9bbnla_nHIq6oGzilJm9otsA9kQdfBq7S-r0YvxdA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cormorant/v21/H4c0BXOCl9bbnla_nHIq6oGzilJm9otsA9kQTPBq7S-r0YvxdA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Cormorant\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant/cormorant.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:325;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Cormorant Garamond\";s:10:\"fontFamily\";s:27:\"\"Cormorant Garamond\", serif\";s:4:\"slug\";s:18:\"cormorant-garamond\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3YmX5slCNuHLi8bLeY9MK7whWMhyjQAllvvAWJ5heb_w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3WmX5slCNuHLi8bLeY9MK7whWMhyjYrEPjuw-IxBKL_y94.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3bmX5slCNuHLi8bLeY9MK7whWMhyjoq3FLsS6V7w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3ZmX5slCNuHLi8bLeY9MK7whWMhyjYrHtKkyuF7w6C.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3YmX5slCNuHLi8bLeY9MK7whWMhyjQWlhvvAWJ5heb_w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3WmX5slCNuHLi8bLeY9MK7whWMhyjYrEO7ug-IxBKL_y94.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3YmX5slCNuHLi8bLeY9MK7whWMhyjQdl9vvAWJ5heb_w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3WmX5slCNuHLi8bLeY9MK7whWMhyjYrEOXvQ-IxBKL_y94.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3YmX5slCNuHLi8bLeY9MK7whWMhyjQEl5vvAWJ5heb_w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/cormorantgaramond/v16/co3WmX5slCNuHLi8bLeY9MK7whWMhyjYrEPzvA-IxBKL_y94.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Cormorant Garamond\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond-700-italic.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-garamond/cormorant-garamond.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:326;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Cormorant Infant\";s:10:\"fontFamily\";s:25:\"\"Cormorant Infant\", serif\";s:4:\"slug\";s:16:\"cormorant-infant\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyIU44g9vKiM1sORYSiWeAsLN9951w3_DYrQqcdJrk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyKU44g9vKiM1sORYSiWeAsLN997_ItcDEhQ4UYNrn_Ig.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyPU44g9vKiM1sORYSiWeAsLN993_Uf2DsAXq4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyJU44g9vKiM1sORYSiWeAsLN997_IV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyIU44g9vKiM1sORYSiWeAsLN995wQ2_DYrQqcdJrk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyKU44g9vKiM1sORYSiWeAsLN997_ItKDAhQ4UYNrn_Ig.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyIU44g9vKiM1sORYSiWeAsLN995ygx_DYrQqcdJrk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyKU44g9vKiM1sORYSiWeAsLN997_ItBDchQ4UYNrn_Ig.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyIU44g9vKiM1sORYSiWeAsLN9950ww_DYrQqcdJrk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/cormorantinfant/v17/HhyKU44g9vKiM1sORYSiWeAsLN997_ItYDYhQ4UYNrn_Ig.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Cormorant Infant\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant-700-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-infant/cormorant-infant.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:327;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Cormorant SC\";s:10:\"fontFamily\";s:21:\"\"Cormorant SC\", serif\";s:4:\"slug\";s:12:\"cormorant-sc\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cormorantsc/v18/0ybmGD4kxqXBmOVLG30OGwsmABIU-B3y8DOWGA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cormorant SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-sc/cormorant-sc-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/cormorantsc/v18/0yb5GD4kxqXBmOVLG30OGwseqTow9Tbu-Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cormorant SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-sc/cormorant-sc-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cormorantsc/v18/0ybmGD4kxqXBmOVLG30OGwsmWBMU-B3y8DOWGA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cormorant SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-sc/cormorant-sc-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cormorantsc/v18/0ybmGD4kxqXBmOVLG30OGwsmdBQU-B3y8DOWGA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cormorant SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-sc/cormorant-sc-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cormorantsc/v18/0ybmGD4kxqXBmOVLG30OGwsmEBUU-B3y8DOWGA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Cormorant SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-sc/cormorant-sc-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-sc/cormorant-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:328;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Cormorant Unicase\";s:10:\"fontFamily\";s:26:\"\"Cormorant Unicase\", serif\";s:4:\"slug\";s:17:\"cormorant-unicase\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantunicase/v24/HI_ViZUaILtOqhqgDeXoF_n1_fTGX9N_tucq7Gy0DRzS.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Unicase\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-unicase/cormorant-unicase-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorantunicase/v24/HI_QiZUaILtOqhqgDeXoF_n1_fTGX-vWnsMnx3C9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Unicase\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-unicase/cormorant-unicase-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantunicase/v24/HI_ViZUaILtOqhqgDeXoF_n1_fTGX9Mnt-cq7Gy0DRzS.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Unicase\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-unicase/cormorant-unicase-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantunicase/v24/HI_ViZUaILtOqhqgDeXoF_n1_fTGX9MLsOcq7Gy0DRzS.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Unicase\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-unicase/cormorant-unicase-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantunicase/v24/HI_ViZUaILtOqhqgDeXoF_n1_fTGX9Nvsecq7Gy0DRzS.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Unicase\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-unicase/cormorant-unicase-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-unicase/cormorant-unicase.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:329;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Cormorant Upright\";s:10:\"fontFamily\";s:26:\"\"Cormorant Upright\", serif\";s:4:\"slug\";s:17:\"cormorant-upright\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantupright/v18/VuJudM3I2Y35poFONtLdafkUCHw1y1N5phDpU9X6RPzQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Upright\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-upright/cormorant-upright-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/cormorantupright/v18/VuJrdM3I2Y35poFONtLdafkUCHw1y2vQjjTkeMnz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Upright\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-upright/cormorant-upright-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantupright/v18/VuJudM3I2Y35poFONtLdafkUCHw1y1MhpxDpU9X6RPzQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Upright\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-upright/cormorant-upright-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantupright/v18/VuJudM3I2Y35poFONtLdafkUCHw1y1MNoBDpU9X6RPzQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Upright\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-upright/cormorant-upright-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/cormorantupright/v18/VuJudM3I2Y35poFONtLdafkUCHw1y1NpoRDpU9X6RPzQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Cormorant Upright\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-upright/cormorant-upright-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/cormorant-upright/cormorant-upright.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:330;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Courgette\";s:10:\"fontFamily\";s:18:\"Courgette, cursive\";s:4:\"slug\";s:9:\"courgette\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/courgette/v17/wEO_EBrAnc9BLjLQAUkFVPAL3EsHiA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Courgette\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/courgette/courgette-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/courgette/courgette.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:331;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Courier Prime\";s:10:\"fontFamily\";s:26:\"\"Courier Prime\", monospace\";s:4:\"slug\";s:13:\"courier-prime\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/courierprime/v9/u-450q2lgwslOqpF_6gQ8kELWwNjW-_-tvg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Courier Prime\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/courier-prime/courier-prime-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/courierprime/v9/u-4n0q2lgwslOqpF_6gQ8kELawRpWs37pvjxPA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Courier Prime\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/courier-prime/courier-prime-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/courierprime/v9/u-4k0q2lgwslOqpF_6gQ8kELY7pMf-LVqvHoJXw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Courier Prime\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/courier-prime/courier-prime-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/courierprime/v9/u-4i0q2lgwslOqpF_6gQ8kELawRR4-Lfq9PtNXyeAg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Courier Prime\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/courier-prime/courier-prime-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/courier-prime/courier-prime.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:332;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Cousine\";s:10:\"fontFamily\";s:18:\"Cousine, monospace\";s:4:\"slug\";s:7:\"cousine\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/cousine/v27/d6lIkaiiRdih4SpPzSYlzTbtz9k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Cousine\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/cousine/cousine-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/cousine/v27/d6lKkaiiRdih4SpP_SEvzBTo39l8hw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Cousine\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/cousine/cousine-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/cousine/v27/d6lNkaiiRdih4SpP9Z8K6TvG09BlnmQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Cousine\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/cousine/cousine-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/cousine/v27/d6lPkaiiRdih4SpP_SEXdTvM0vJgjmRpOA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Cousine\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/cousine/cousine-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/cousine/cousine.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:333;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Coustard\";s:10:\"fontFamily\";s:15:\"Coustard, serif\";s:4:\"slug\";s:8:\"coustard\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/coustard/v16/3XFpErgg3YsZ5fqUU9UKvWXuROTd.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Coustard\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/coustard/coustard-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/coustard/v16/3XFuErgg3YsZ5fqUU-2LkEHjb_jU3eRL.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Coustard\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/coustard/coustard-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/coustard/coustard.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:334;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Covered By Your Grace\";s:10:\"fontFamily\";s:32:\"\"Covered By Your Grace\", cursive\";s:4:\"slug\";s:21:\"covered-by-your-grace\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/coveredbyyourgrace/v15/QGYwz-AZahWOJJI9kykWW9mD6opopoqXSOS0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Covered By Your Grace\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/covered-by-your-grace/covered-by-your-grace-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/covered-by-your-grace/covered-by-your-grace.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:335;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Crafty Girls\";s:10:\"fontFamily\";s:23:\"\"Crafty Girls\", cursive\";s:4:\"slug\";s:12:\"crafty-girls\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/craftygirls/v16/va9B4kXI39VaDdlPJo8N_NvuRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Crafty Girls\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crafty-girls/crafty-girls-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/crafty-girls/crafty-girls.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:336;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Creepster\";s:10:\"fontFamily\";s:20:\"Creepster, system-ui\";s:4:\"slug\";s:9:\"creepster\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/creepster/v13/AlZy_zVUqJz4yMrniH4hcHf4XB0Tow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Creepster\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/creepster/creepster-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/creepster/creepster.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:337;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Crete Round\";s:10:\"fontFamily\";s:20:\"\"Crete Round\", serif\";s:4:\"slug\";s:11:\"crete-round\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/creteround/v15/55xoey1sJNPjPiv1ZZZrxJ1527zAKnxN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crete Round\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crete-round/crete-round-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/creteround/v15/55xqey1sJNPjPiv1ZZZrxK1-0b3iL2xNhKc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crete Round\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crete-round/crete-round-400-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/crete-round/crete-round.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:338;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Crimson Pro\";s:10:\"fontFamily\";s:20:\"\"Crimson Pro\", serif\";s:4:\"slug\";s:11:\"crimson-pro\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZTm18PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZkG18PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZzm18PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZ_G18PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZEGp8PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZKWp8PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZTmp8PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uUsoa5M_tv7IihmnkabC5XiXCAlXGks1WZZ2p8PZE_VNWoyQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi4Ue5s-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi7Ke5s-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi6Ue5s-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi6me5s-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi5KfJs-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi5zfJs-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi4UfJs-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/crimsonpro/v24/q5uSsoa5M_tv7IihmnkabAReu49Y_Bo-HVKMBi49fJs-dtC4yZNE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Crimson Pro\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-pro/crimson-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:339;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Crimson Text\";s:10:\"fontFamily\";s:21:\"\"Crimson Text\", serif\";s:4:\"slug\";s:12:\"crimson-text\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/crimsontext/v19/wlp2gwHKFkZgtmSR3NB0oRJvbQJSA_JN3Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Crimson Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/crimsontext/v19/wlpogwHKFkZgtmSR3NB0oRJfaghTIfdd3ahG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Crimson Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/crimsontext/v19/wlppgwHKFkZgtmSR3NB0oRJXsCx2DtlR1LFffg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Crimson Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/crimsontext/v19/wlprgwHKFkZgtmSR3NB0oRJfajCOD9NQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Crimson Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text-600-italic.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/crimsontext/v19/wlppgwHKFkZgtmSR3NB0oRJX1C12DtlR1LFffg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Crimson Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/crimsontext/v19/wlprgwHKFkZgtmSR3NB0oRJfajDqDtNQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Crimson Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/crimson-text/crimson-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:340;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Croissant One\";s:10:\"fontFamily\";s:26:\"\"Croissant One\", system-ui\";s:4:\"slug\";s:13:\"croissant-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/croissantone/v26/3y9n6bU9bTPg4m8NDy3Kq24UM39qn5cdJ-4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Croissant One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/croissant-one/croissant-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/croissant-one/croissant-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:341;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Crushed\";s:10:\"fontFamily\";s:18:\"Crushed, system-ui\";s:4:\"slug\";s:7:\"crushed\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/crushed/v29/U9Mc6dym6WXImTlFT1wfuIqyLzA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Crushed\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/crushed/crushed-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/crushed/crushed.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:342;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Cuprum\";s:10:\"fontFamily\";s:18:\"Cuprum, sans-serif\";s:4:\"slug\";s:6:\"cuprum\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cuprum/v25/dg45_pLmvrkcOkBnKsOzXyGWTBcmg-X6ZjnSJjQjgnU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cuprum/v25/dg45_pLmvrkcOkBnKsOzXyGWTBcmg9f6ZjnSJjQjgnU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cuprum/v25/dg45_pLmvrkcOkBnKsOzXyGWTBcmgzv9ZjnSJjQjgnU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/cuprum/v25/dg45_pLmvrkcOkBnKsOzXyGWTBcmgwL9ZjnSJjQjgnU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/cuprum/v25/dg47_pLmvrkcOkBNI_FMh0j91rkhli25jn_YJxYmknUPEA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/cuprum/v25/dg47_pLmvrkcOkBNI_FMh0j91rkhli25vH_YJxYmknUPEA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/cuprum/v25/dg47_pLmvrkcOkBNI_FMh0j91rkhli25UHjYJxYmknUPEA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/cuprum/v25/dg47_pLmvrkcOkBNI_FMh0j91rkhli25aXjYJxYmknUPEA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Cuprum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/cuprum/cuprum.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:343;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Cute Font\";s:10:\"fontFamily\";s:22:\"\"Cute Font\", system-ui\";s:4:\"slug\";s:9:\"cute-font\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/cutefont/v22/Noaw6Uny2oWPbSHMrY6vnZNVNC9hkw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Cute Font\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/cute-font/cute-font-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/cute-font/cute-font.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:344;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:6:\"Cutive\";s:10:\"fontFamily\";s:13:\"Cutive, serif\";s:4:\"slug\";s:6:\"cutive\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/cutive/v22/NaPZcZ_fHOhV3Ip7SvhDoyqlZQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Cutive\";}}}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:345;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Cutive Mono\";s:10:\"fontFamily\";s:24:\"\"Cutive Mono\", monospace\";s:4:\"slug\";s:11:\"cutive-mono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/cutivemono/v21/m8JWjfRfY7WVjVi2E-K9H5RARG-K3Mud.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Cutive Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/cutive-mono/cutive-mono-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/cutive-mono/cutive-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:346;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"DM Mono\";s:10:\"fontFamily\";s:20:\"\"DM Mono\", monospace\";s:4:\"slug\";s:7:\"dm-mono\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/dmmono/v14/aFTR7PB1QTsUX8KYvrGyIYGnbKX9Rlk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/dmmono/v14/aFTT7PB1QTsUX8KYth-orYatbYf4VllXuA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/dmmono/v14/aFTU7PB1QTsUX8KYhhiaBYyMcKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/dmmono/v14/aFTW7PB1QTsUX8KYth-QBK6JYKzkXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/dmmono/v14/aFTR7PB1QTsUX8KYvumzIYGnbKX9Rlk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/dmmono/v14/aFTT7PB1QTsUX8KYth-o9YetbYf4VllXuA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono-500-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-mono/dm-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:347;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"DM Sans\";s:10:\"fontFamily\";s:21:\"\"DM Sans\", sans-serif\";s:4:\"slug\";s:7:\"dm-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAop1hS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAIpxhS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwA_JxhS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAopxhS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAkJxhS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAfJthS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwARZthS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAIpthS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/dmsans/v15/rP2tp2ywxg089UriI5-g4vlH9VoD8CmcqZG40F9JadbnoEwAC5thS2f3ZGMZpg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat-JDG32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat8JDW32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat_XDW32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat-JDW32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat-7DW32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat9XCm32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat9uCm32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat8JCm32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dmsans/v15/rP2rp2ywxg089UriCZaSExd86J3t9jz86Mvy4qCRAL19DksVat8gCm32RmYJpso5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"DM Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-sans/dm-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:348;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"DM Serif Display\";s:10:\"fontFamily\";s:25:\"\"DM Serif Display\", serif\";s:4:\"slug\";s:16:\"dm-serif-display\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/dmserifdisplay/v15/-nFnOHM81r4j6k0gjAW3mujVU2B2K_J709jy92k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"DM Serif Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-serif-display/dm-serif-display-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/dmserifdisplay/v15/-nFhOHM81r4j6k0gjAW3mujVU2B2G_Vx0vr352np3Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"DM Serif Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-serif-display/dm-serif-display-400-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-serif-display/dm-serif-display.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:349;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"DM Serif Text\";s:10:\"fontFamily\";s:22:\"\"DM Serif Text\", serif\";s:4:\"slug\";s:13:\"dm-serif-text\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/dmseriftext/v12/rnCu-xZa_krGokauCeNq1wWyafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"DM Serif Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-serif-text/dm-serif-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/dmseriftext/v12/rnCw-xZa_krGokauCeNq1wWyWfGFXVAMArZKqQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"DM Serif Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-serif-text/dm-serif-text-400-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/dm-serif-text/dm-serif-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:350;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Dai Banna SIL\";s:10:\"fontFamily\";s:22:\"\"Dai Banna SIL\", serif\";s:4:\"slug\";s:13:\"dai-banna-sil\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-lwj0AJWmpwGyJ2uEoA4I7tYKoDs_KOgMX95A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-jwj0AJWmpwGyJ2uEoA4I7vSyygsjAOyES55D3Vg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-4wj0AJWmpwGyJ2uEoA4I7jSuAKsLhJgo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-mwj0AJWmpwGyJ2uEoA4I7vSyKK-DkNgoO7g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-lwj0AJWmpwGyJ2uEoA4I7tdqpDs_KOgMX95A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-jwj0AJWmpwGyJ2uEoA4I7vSyy2snAOyES55D3Vg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-lwj0AJWmpwGyJ2uEoA4I7tfauDs_KOgMX95A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-jwj0AJWmpwGyJ2uEoA4I7vSyy9s7AOyES55D3Vg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-lwj0AJWmpwGyJ2uEoA4I7tZKvDs_KOgMX95A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/daibannasil/v2/lW-jwj0AJWmpwGyJ2uEoA4I7vSyyks_AOyES55D3Vg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Dai Banna SIL\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/dai-banna-sil/dai-banna-sil.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:351;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Damion\";s:10:\"fontFamily\";s:15:\"Damion, cursive\";s:4:\"slug\";s:6:\"damion\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/damion/v15/hv-XlzJ3KEUe_YZUaGY3MTFgVg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Damion\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/damion/damion-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/damion/damion.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:352;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Dancing Script\";s:10:\"fontFamily\";s:25:\"\"Dancing Script\", cursive\";s:4:\"slug\";s:14:\"dancing-script\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/dancingscript/v25/If2cXTr6YS-zF4S-kcSWSVi_sxjsohD9F50Ruu7BMSoHSOB9ptDqpw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Dancing Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/dancing-script/dancing-script-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/dancingscript/v25/If2cXTr6YS-zF4S-kcSWSVi_sxjsohD9F50Ruu7BAyoHSOB9ptDqpw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Dancing Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/dancing-script/dancing-script-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/dancingscript/v25/If2cXTr6YS-zF4S-kcSWSVi_sxjsohD9F50Ruu7B7y0HSOB9ptDqpw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Dancing Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/dancing-script/dancing-script-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/dancingscript/v25/If2cXTr6YS-zF4S-kcSWSVi_sxjsohD9F50Ruu7B1i0HSOB9ptDqpw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Dancing Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/dancing-script/dancing-script-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/dancing-script/dancing-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:353;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Danfo\";s:10:\"fontFamily\";s:12:\"Danfo, serif\";s:4:\"slug\";s:5:\"danfo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/danfo/v3/snf3s0u_98t16THfK1Csj3N41ZqbYDe5Tr1ToPrNKQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Danfo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/danfo/danfo-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/danfo/danfo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:354;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Dangrek\";s:10:\"fontFamily\";s:18:\"Dangrek, system-ui\";s:4:\"slug\";s:7:\"dangrek\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/dangrek/v30/LYjCdG30nEgoH8E2gCZqqVIuTN4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Dangrek\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/dangrek/dangrek-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/dangrek/dangrek.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:355;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Darker Grotesque\";s:10:\"fontFamily\";s:30:\"\"Darker Grotesque\", sans-serif\";s:4:\"slug\";s:16:\"darker-grotesque\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXxpqn73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXw3qn73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXwFqn73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXzprX73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXzQrX73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXy3rX73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/darkergrotesque/v8/U9MK6cuh-mLQlC4BKCtayOfARkSVgb381b-W8-QDqXyerX73-XFyZFUB.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Darker Grotesque\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/darker-grotesque/darker-grotesque.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:356;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Darumadrop One\";s:10:\"fontFamily\";s:27:\"\"Darumadrop One\", system-ui\";s:4:\"slug\";s:14:\"darumadrop-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/darumadropone/v12/cY9cfjeIW11dpCKgRLi675a87IhCBJOxZQPp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Darumadrop One\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/darumadrop-one/darumadrop-one-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/darumadrop-one/darumadrop-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:357;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"David Libre\";s:10:\"fontFamily\";s:20:\"\"David Libre\", serif\";s:4:\"slug\";s:11:\"david-libre\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/davidlibre/v16/snfus0W_99N64iuYSvp4W_l56p6TYS-Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"David Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/david-libre/david-libre-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/davidlibre/v16/snfzs0W_99N64iuYSvp4W8GIw7qeSjORSo9W.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"David Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/david-libre/david-libre-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/davidlibre/v16/snfzs0W_99N64iuYSvp4W8HAxbqeSjORSo9W.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"David Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/david-libre/david-libre-700-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/david-libre/david-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:358;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Dawning of a New Day\";s:10:\"fontFamily\";s:31:\"\"Dawning of a New Day\", cursive\";s:4:\"slug\";s:20:\"dawning-of-a-new-day\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/dawningofanewday/v20/t5t_IQMbOp2SEwuncwLRjMfIg1yYit_nAz8ehWJGNoBE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Dawning of a New Day\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/dawning-of-a-new-day/dawning-of-a-new-day-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/dawning-of-a-new-day/dawning-of-a-new-day.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:359;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Days One\";s:10:\"fontFamily\";s:22:\"\"Days One\", sans-serif\";s:4:\"slug\";s:8:\"days-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/daysone/v18/mem9YaCnxnKRiYZOCLYQeLkWVNBt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Days One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/days-one/days-one-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/days-one/days-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:360;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Dekko\";s:10:\"fontFamily\";s:14:\"Dekko, cursive\";s:4:\"slug\";s:5:\"dekko\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/dekko/v21/46khlb_wWjfSrttAR0vsfl1B.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dekko\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dekko/dekko-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/dekko/dekko.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:361;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Dela Gothic One\";s:10:\"fontFamily\";s:28:\"\"Dela Gothic One\", system-ui\";s:4:\"slug\";s:15:\"dela-gothic-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/delagothicone/v16/hESp6XxvMDRA-2eD0lXpDa6QkBAGQEsJQAlbUA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Dela Gothic One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/dela-gothic-one/dela-gothic-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/dela-gothic-one/dela-gothic-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:362;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Delicious Handrawn\";s:10:\"fontFamily\";s:29:\"\"Delicious Handrawn\", cursive\";s:4:\"slug\";s:18:\"delicious-handrawn\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/delicioushandrawn/v8/wlpsgx_NAUNkpmKQifcxkQchDFo3fJ112ZpDd6u3AQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Delicious Handrawn\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/delicious-handrawn/delicious-handrawn-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/delicious-handrawn/delicious-handrawn.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:363;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Delius\";s:10:\"fontFamily\";s:15:\"Delius, cursive\";s:4:\"slug\";s:6:\"delius\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/delius/v19/PN_xRfK0pW_9e1rtZMI-jT3L_w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Delius\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/delius/delius-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/delius/delius.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:364;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Delius Swash Caps\";s:10:\"fontFamily\";s:28:\"\"Delius Swash Caps\", cursive\";s:4:\"slug\";s:17:\"delius-swash-caps\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/deliusswashcaps/v23/oY1E8fPLr7v4JWCExZpWebxVKORpXXeYKmeBvEYs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Delius Swash Caps\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/delius-swash-caps/delius-swash-caps-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/delius-swash-caps/delius-swash-caps.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:365;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Delius Unicase\";s:10:\"fontFamily\";s:25:\"\"Delius Unicase\", cursive\";s:4:\"slug\";s:14:\"delius-unicase\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/deliusunicase/v28/845BNMEwEIOVT8BmgfSzIr_6mmLCd-73LXWs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Delius Unicase\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/delius-unicase/delius-unicase-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/deliusunicase/v28/845CNMEwEIOVT8BmgfSzIr_6mlp7WMr6BmmlS5aw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Delius Unicase\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/delius-unicase/delius-unicase-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/delius-unicase/delius-unicase.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:366;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Della Respira\";s:10:\"fontFamily\";s:22:\"\"Della Respira\", serif\";s:4:\"slug\";s:13:\"della-respira\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dellarespira/v22/RLp5K5v44KaueWI6iEJQBiGPRfwSu6EuTHo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Della Respira\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/della-respira/della-respira-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/della-respira/della-respira.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:367;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Denk One\";s:10:\"fontFamily\";s:22:\"\"Denk One\", sans-serif\";s:4:\"slug\";s:8:\"denk-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/denkone/v19/dg4m_pzhrqcFb2IzROtCpbglShon.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Denk One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/denk-one/denk-one-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/denk-one/denk-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:368;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Devonshire\";s:10:\"fontFamily\";s:19:\"Devonshire, cursive\";s:4:\"slug\";s:10:\"devonshire\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/devonshire/v27/46kqlbDwWirWr4gtBD2BX0Bq01lYAZM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Devonshire\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/devonshire/devonshire-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/devonshire/devonshire.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:369;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Dhurjati\";s:10:\"fontFamily\";s:20:\"Dhurjati, sans-serif\";s:4:\"slug\";s:8:\"dhurjati\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/dhurjati/v24/_6_8ED3gSeatXfFiFX33SKQtuTA2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Dhurjati\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/dhurjati/dhurjati-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/dhurjati/dhurjati.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:370;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Didact Gothic\";s:10:\"fontFamily\";s:27:\"\"Didact Gothic\", sans-serif\";s:4:\"slug\";s:13:\"didact-gothic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/didactgothic/v20/ahcfv8qz1zt6hCC5G4F_P4ASpUmSp0LlcyQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Didact Gothic\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/didact-gothic/didact-gothic-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/didact-gothic/didact-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:371;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Diphylleia\";s:10:\"fontFamily\";s:17:\"Diphylleia, serif\";s:4:\"slug\";s:10:\"diphylleia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/diphylleia/v1/DtVmJxCtRKMixK4_HXsIulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Diphylleia\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/diphylleia/diphylleia-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/diphylleia/diphylleia.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:372;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Diplomata\";s:10:\"fontFamily\";s:20:\"Diplomata, system-ui\";s:4:\"slug\";s:9:\"diplomata\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/diplomata/v31/Cn-0JtiMXwhNwp-wKxyfZWxYrdM9Sg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Diplomata\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/diplomata/diplomata-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/diplomata/diplomata.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:373;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Diplomata SC\";s:10:\"fontFamily\";s:25:\"\"Diplomata SC\", system-ui\";s:4:\"slug\";s:12:\"diplomata-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/diplomatasc/v28/buExpoi3ecvs3kidKgBJo2kf_f5Oaiw4cw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Diplomata SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/diplomata-sc/diplomata-sc-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/diplomata-sc/diplomata-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:374;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Do Hyeon\";s:10:\"fontFamily\";s:22:\"\"Do Hyeon\", sans-serif\";s:4:\"slug\";s:8:\"do-hyeon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/dohyeon/v19/TwMN-I8CRRU2zM86HFEyZwaH__-C.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Do Hyeon\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/do-hyeon/do-hyeon-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/do-hyeon/do-hyeon.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:375;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Dokdo\";s:10:\"fontFamily\";s:16:\"Dokdo, system-ui\";s:4:\"slug\";s:5:\"dokdo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/dokdo/v17/esDf315XNuCBLxLt4NaMlKcH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dokdo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dokdo/dokdo-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/dokdo/dokdo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:376;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Domine\";s:10:\"fontFamily\";s:13:\"Domine, serif\";s:4:\"slug\";s:6:\"domine\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/domine/v23/L0xhDFMnlVwD4h3Lt9JWnbX3jG-2X3LAI1gVErGuW8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Domine\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/domine/domine-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/domine/v23/L0xhDFMnlVwD4h3Lt9JWnbX3jG-2X0DAI1gVErGuW8Q.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Domine\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/domine/domine-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/domine/v23/L0xhDFMnlVwD4h3Lt9JWnbX3jG-2X6zHI1gVErGuW8Q.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Domine\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/domine/domine-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/domine/v23/L0xhDFMnlVwD4h3Lt9JWnbX3jG-2X5XHI1gVErGuW8Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Domine\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/domine/domine-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/domine/domine.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:377;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Donegal One\";s:10:\"fontFamily\";s:20:\"\"Donegal One\", serif\";s:4:\"slug\";s:11:\"donegal-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/donegalone/v21/m8JWjfRYea-ZnFz6fsK9FZRARG-K3Mud.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Donegal One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/donegal-one/donegal-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/donegal-one/donegal-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:378;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Dongle\";s:10:\"fontFamily\";s:18:\"Dongle, sans-serif\";s:4:\"slug\";s:6:\"dongle\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/dongle/v12/sJoG3Ltdjt6VPkqeEcxrZzWNzXvVPA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Dongle\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/dongle/dongle-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/dongle/v12/sJoF3Ltdjt6VPkqmuORPah6RxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Dongle\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/dongle/dongle-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/dongle/v12/sJoG3Ltdjt6VPkqeActrZzWNzXvVPA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Dongle\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/dongle/dongle-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/dongle/dongle.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:379;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Doppio One\";s:10:\"fontFamily\";s:24:\"\"Doppio One\", sans-serif\";s:4:\"slug\";s:10:\"doppio-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/doppioone/v13/Gg8wN5gSaBfyBw2MqCh-lg4hKGpe5Fg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Doppio One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/doppio-one/doppio-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/doppio-one/doppio-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:380;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Dorsa\";s:10:\"fontFamily\";s:17:\"Dorsa, sans-serif\";s:4:\"slug\";s:5:\"dorsa\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/dorsa/v27/yYLn0hjd0OGwqo443XCFxAnQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dorsa\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dorsa/dorsa-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/dorsa/dorsa.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:381;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Dosis\";s:10:\"fontFamily\";s:17:\"Dosis, sans-serif\";s:4:\"slug\";s:5:\"dosis\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJt7MV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJabMV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJN7MV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJBbMV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJ6bQV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJ0LQV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/dosis/v32/HhyJU5sn9vOmLxNkIwRSjTVNWLEJt7QV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Dosis\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis-800-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/dosis/dosis.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:382;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"DotGothic16\";s:10:\"fontFamily\";s:25:\"\"DotGothic16\", sans-serif\";s:4:\"slug\";s:12:\"dotgothic-16\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/dotgothic16/v18/v6-QGYjBJFKgyw5nSoDAGE7O435YPFrT.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"DotGothic16\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/dotgothic16/dotgothic16-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/dotgothic16/dotgothic16.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:383;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Dr Sugiyama\";s:10:\"fontFamily\";s:22:\"\"Dr Sugiyama\", cursive\";s:4:\"slug\";s:11:\"dr-sugiyama\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/drsugiyama/v28/HTxoL2k4N3O9n5I1boGI7abUM4-t-g7y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Dr Sugiyama\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/dr-sugiyama/dr-sugiyama-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/dr-sugiyama/dr-sugiyama.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:384;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Duru Sans\";s:10:\"fontFamily\";s:23:\"\"Duru Sans\", sans-serif\";s:4:\"slug\";s:9:\"duru-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/durusans/v20/xn7iYH8xwmSyTvEV_HOxSvfYdN-WZw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Duru Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/duru-sans/duru-sans-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/duru-sans/duru-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:385;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"DynaPuff\";s:10:\"fontFamily\";s:19:\"DynaPuff, system-ui\";s:4:\"slug\";s:8:\"dynapuff\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dynapuff/v4/z7N5dRvsZDIVHbYPMhZJ3HQ83UaSu4uhr7-ZFeoYkgAr1x8RSxYu6Y3rSRs4wn8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"DynaPuff\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/dynapuff/dynapuff-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dynapuff/v4/z7N5dRvsZDIVHbYPMhZJ3HQ83UaSu4uhr7-ZFeoYkgAr1x8RSyQu6Y3rSRs4wn8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"DynaPuff\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/dynapuff/dynapuff-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dynapuff/v4/z7N5dRvsZDIVHbYPMhZJ3HQ83UaSu4uhr7-ZFeoYkgAr1x8RS8gp6Y3rSRs4wn8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"DynaPuff\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/dynapuff/dynapuff-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/dynapuff/v4/z7N5dRvsZDIVHbYPMhZJ3HQ83UaSu4uhr7-ZFeoYkgAr1x8RS_Ep6Y3rSRs4wn8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"DynaPuff\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/dynapuff/dynapuff-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/dynapuff/dynapuff.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:386;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Dynalight\";s:10:\"fontFamily\";s:20:\"Dynalight, system-ui\";s:4:\"slug\";s:9:\"dynalight\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/dynalight/v22/1Ptsg8LOU_aOmQvTsF4IT4trDfGGxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Dynalight\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/dynalight/dynalight-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/dynalight/dynalight.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:387;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"EB Garamond\";s:10:\"fontFamily\";s:20:\"\"EB Garamond\", serif\";s:4:\"slug\";s:11:\"eb-garamond\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGDmQSNjdsmc35JDF1K5E55YMjF_7DPuGi-6_RUBoV-e6yHgQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGDmQSNjdsmc35JDF1K5E55YMjF_7DPuGi-2fRUBoV-e6yHgQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGDmQSNjdsmc35JDF1K5E55YMjF_7DPuGi-NfNUBoV-e6yHgQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGDmQSNjdsmc35JDF1K5E55YMjF_7DPuGi-DPNUBoV-e6yHgQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGDmQSNjdsmc35JDF1K5E55YMjF_7DPuGi-a_NUBoV-e6yHgQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGFmQSNjdsmc35JDF1K5GRwUjcdlttVFm-rI7e8QI9_WamXgXFI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGFmQSNjdsmc35JDF1K5GRwUjcdlttVFm-rI7eOQI9_WamXgXFI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-500-italic.svg\";}i:7;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGFmQSNjdsmc35JDF1K5GRwUjcdlttVFm-rI7diR49_WamXgXFI.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGFmQSNjdsmc35JDF1K5GRwUjcdlttVFm-rI7dbR49_WamXgXFI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-700-italic.svg\";}i:9;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/ebgaramond/v30/SlGFmQSNjdsmc35JDF1K5GRwUjcdlttVFm-rI7c8R49_WamXgXFI.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"EB Garamond\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond-800-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/eb-garamond/eb-garamond.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:388;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Eagle Lake\";s:10:\"fontFamily\";s:21:\"\"Eagle Lake\", cursive\";s:4:\"slug\";s:10:\"eagle-lake\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/eaglelake/v24/ptRMTiqbbuNJDOiKj9wG5OvyKQNute8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Eagle Lake\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/eagle-lake/eagle-lake-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/eagle-lake/eagle-lake.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:389;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"East Sea Dokdo\";s:10:\"fontFamily\";s:25:\"\"East Sea Dokdo\", cursive\";s:4:\"slug\";s:14:\"east-sea-dokdo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/eastseadokdo/v22/xfuo0Wn2V2_KanASqXSZp22m05_fGavYS18y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"East Sea Dokdo\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/east-sea-dokdo/east-sea-dokdo-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/east-sea-dokdo/east-sea-dokdo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:390;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Eater\";s:10:\"fontFamily\";s:16:\"Eater, system-ui\";s:4:\"slug\";s:5:\"eater\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/eater/v25/mtG04_FCK7bOvpuzu3FwsXsR.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Eater\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/eater/eater-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/eater/eater.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:391;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Economica\";s:10:\"fontFamily\";s:21:\"Economica, sans-serif\";s:4:\"slug\";s:9:\"economica\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/economica/v15/Qw3fZQZaHCLgIWa29ZBrNMgAAl1lfQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Economica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/economica/economica-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/economica/v15/Qw3ZZQZaHCLgIWa29ZBbM8IBIFh1fWUl.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Economica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/economica/economica-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/economica/v15/Qw3aZQZaHCLgIWa29ZBTjeckD3Z5dHw8iw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Economica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/economica/economica-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/economica/v15/Qw3EZQZaHCLgIWa29ZBbM_q4D3x4Vnksi4M7.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Economica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/economica/economica-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/economica/economica.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:392;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Eczar\";s:10:\"fontFamily\";s:12:\"Eczar, serif\";s:4:\"slug\";s:5:\"eczar\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/eczar/v22/BXR2vF3Pi-DLmxcpJB-qbNTyTMDXHd6WrDIVKWJKWg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Eczar\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/eczar/eczar-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/eczar/v22/BXR2vF3Pi-DLmxcpJB-qbNTyTMDXL96WrDIVKWJKWg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Eczar\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/eczar/eczar-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/eczar/v22/BXR2vF3Pi-DLmxcpJB-qbNTyTMDXw9mWrDIVKWJKWg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Eczar\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/eczar/eczar-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/eczar/v22/BXR2vF3Pi-DLmxcpJB-qbNTyTMDX-tmWrDIVKWJKWg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Eczar\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/eczar/eczar-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/eczar/v22/BXR2vF3Pi-DLmxcpJB-qbNTyTMDXndmWrDIVKWJKWg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Eczar\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/eczar/eczar-800-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/eczar/eczar.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:393;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Edu AU VIC WA NT Dots\";s:10:\"fontFamily\";s:32:\"\"Edu AU VIC WA NT Dots\", cursive\";s:4:\"slug\";s:21:\"edu-au-vic-wa-nt-dots\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwantdots/v1/S6uQw5FFVDKI3kwwDUbsPHCpzZNhzrA3or3_B4dZ6MmTX8QNLvtYEtyT2SB3_5U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Dots\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-dots/edu-au-vic-wa-nt-dots-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwantdots/v1/S6uQw5FFVDKI3kwwDUbsPHCpzZNhzrA3or3_B4dZ6MmTX8QNLslYEtyT2SB3_5U.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Dots\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-dots/edu-au-vic-wa-nt-dots-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwantdots/v1/S6uQw5FFVDKI3kwwDUbsPHCpzZNhzrA3or3_B4dZ6MmTX8QNLiVfEtyT2SB3_5U.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Dots\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-dots/edu-au-vic-wa-nt-dots-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwantdots/v1/S6uQw5FFVDKI3kwwDUbsPHCpzZNhzrA3or3_B4dZ6MmTX8QNLhxfEtyT2SB3_5U.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Dots\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-dots/edu-au-vic-wa-nt-dots-700-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-dots/edu-au-vic-wa-nt-dots.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:394;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Edu AU VIC WA NT Guides\";s:10:\"fontFamily\";s:34:\"\"Edu AU VIC WA NT Guides\", cursive\";s:4:\"slug\";s:23:\"edu-au-vic-wa-nt-guides\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/eduauvicwantguides/v1/TuG-UUJ4V48KZ9Nr3ZV46JQkJxtkFIKnvy00LCZuAcLMeb8FnyPdK1Zay4F08FsYlA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Edu AU VIC WA NT Guides\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-guides/edu-au-vic-wa-nt-guides-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/eduauvicwantguides/v1/TuG-UUJ4V48KZ9Nr3ZV46JQkJxtkFIKnvy00LCZuAcLMeb8FnyPdGVZay4F08FsYlA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Edu AU VIC WA NT Guides\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-guides/edu-au-vic-wa-nt-guides-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/eduauvicwantguides/v1/TuG-UUJ4V48KZ9Nr3ZV46JQkJxtkFIKnvy00LCZuAcLMeb8FnyPd9VFay4F08FsYlA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Edu AU VIC WA NT Guides\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-guides/edu-au-vic-wa-nt-guides-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/eduauvicwantguides/v1/TuG-UUJ4V48KZ9Nr3ZV46JQkJxtkFIKnvy00LCZuAcLMeb8FnyPdzFFay4F08FsYlA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Edu AU VIC WA NT Guides\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-guides/edu-au-vic-wa-nt-guides-700-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-guides/edu-au-vic-wa-nt-guides.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:395;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Edu AU VIC WA NT Hand\";s:10:\"fontFamily\";s:32:\"\"Edu AU VIC WA NT Hand\", cursive\";s:4:\"slug\";s:21:\"edu-au-vic-wa-nt-hand\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwanthand/v1/C8cO4dY1tX2x0uuiUHFS4y7ERV-jfqJ6x063HfvcsxiYKifhtCJ1lK5FbYfTEUU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Hand\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-hand/edu-au-vic-wa-nt-hand-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwanthand/v1/C8cO4dY1tX2x0uuiUHFS4y7ERV-jfqJ6x063HfvcsxiYKifhtBB1lK5FbYfTEUU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Hand\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-hand/edu-au-vic-wa-nt-hand-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwanthand/v1/C8cO4dY1tX2x0uuiUHFS4y7ERV-jfqJ6x063HfvcsxiYKifhtPxylK5FbYfTEUU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Hand\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-hand/edu-au-vic-wa-nt-hand-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/eduauvicwanthand/v1/C8cO4dY1tX2x0uuiUHFS4y7ERV-jfqJ6x063HfvcsxiYKifhtMVylK5FbYfTEUU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Edu AU VIC WA NT Hand\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-hand/edu-au-vic-wa-nt-hand-700-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-au-vic-wa-nt-hand/edu-au-vic-wa-nt-hand.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:396;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Edu NSW ACT Foundation\";s:10:\"fontFamily\";s:33:\"\"Edu NSW ACT Foundation\", cursive\";s:4:\"slug\";s:22:\"edu-nsw-act-foundation\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/edunswactfoundation/v2/raxRHjqJtsNBFUi8WO0vUBgc9D-2lV_oQdCAYlt_QTQ0vUxJki9tovGOeC-sfguJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu NSW ACT Foundation\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-nsw-act-foundation/edu-nsw-act-foundation-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/edunswactfoundation/v2/raxRHjqJtsNBFUi8WO0vUBgc9D-2lV_oQdCAYlt_QTQ0vUxJki9fovGOeC-sfguJ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu NSW ACT Foundation\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-nsw-act-foundation/edu-nsw-act-foundation-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/edunswactfoundation/v2/raxRHjqJtsNBFUi8WO0vUBgc9D-2lV_oQdCAYlt_QTQ0vUxJki-zpfGOeC-sfguJ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu NSW ACT Foundation\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-nsw-act-foundation/edu-nsw-act-foundation-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/edunswactfoundation/v2/raxRHjqJtsNBFUi8WO0vUBgc9D-2lV_oQdCAYlt_QTQ0vUxJki-KpfGOeC-sfguJ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu NSW ACT Foundation\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-nsw-act-foundation/edu-nsw-act-foundation-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-nsw-act-foundation/edu-nsw-act-foundation.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:397;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Edu QLD Beginner\";s:10:\"fontFamily\";s:27:\"\"Edu QLD Beginner\", cursive\";s:4:\"slug\";s:16:\"edu-qld-beginner\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/eduqldbeginner/v3/AMOHz5iUuHLEMNXyohhc_Y56PR3A8dNLF_w3Ka4HKE4E3oeei6vyVWCN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu QLD Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-qld-beginner/edu-qld-beginner-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/eduqldbeginner/v3/AMOHz5iUuHLEMNXyohhc_Y56PR3A8dNLF_w3Ka4HKE423oeei6vyVWCN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu QLD Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-qld-beginner/edu-qld-beginner-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/eduqldbeginner/v3/AMOHz5iUuHLEMNXyohhc_Y56PR3A8dNLF_w3Ka4HKE7a2Yeei6vyVWCN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu QLD Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-qld-beginner/edu-qld-beginner-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/eduqldbeginner/v3/AMOHz5iUuHLEMNXyohhc_Y56PR3A8dNLF_w3Ka4HKE7j2Yeei6vyVWCN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu QLD Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-qld-beginner/edu-qld-beginner-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-qld-beginner/edu-qld-beginner.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:398;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Edu SA Beginner\";s:10:\"fontFamily\";s:26:\"\"Edu SA Beginner\", cursive\";s:4:\"slug\";s:15:\"edu-sa-beginner\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/edusabeginner/v3/rnC_-xRb1x-1lHXnLaZZ2xOoLIGfU3L82irpr_3C9989fohyBydUEDs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Edu SA Beginner\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-sa-beginner/edu-sa-beginner-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/edusabeginner/v3/rnC_-xRb1x-1lHXnLaZZ2xOoLIGfU3L82irpr_3C9-09fohyBydUEDs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Edu SA Beginner\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-sa-beginner/edu-sa-beginner-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/edusabeginner/v3/rnC_-xRb1x-1lHXnLaZZ2xOoLIGfU3L82irpr_3C9wE6fohyBydUEDs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Edu SA Beginner\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-sa-beginner/edu-sa-beginner-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/edusabeginner/v3/rnC_-xRb1x-1lHXnLaZZ2xOoLIGfU3L82irpr_3C9zg6fohyBydUEDs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Edu SA Beginner\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-sa-beginner/edu-sa-beginner-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-sa-beginner/edu-sa-beginner.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:399;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Edu TAS Beginner\";s:10:\"fontFamily\";s:27:\"\"Edu TAS Beginner\", cursive\";s:4:\"slug\";s:16:\"edu-tas-beginner\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/edutasbeginner/v3/ZXuwe04WubHfGVY-1TcNg7AFUmshg8jIUTzK3r34f_HwemkuBWRhvk02.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu TAS Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-tas-beginner/edu-tas-beginner-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/edutasbeginner/v3/ZXuwe04WubHfGVY-1TcNg7AFUmshg8jIUTzK3r34f_HCemkuBWRhvk02.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu TAS Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-tas-beginner/edu-tas-beginner-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/edutasbeginner/v3/ZXuwe04WubHfGVY-1TcNg7AFUmshg8jIUTzK3r34f_EufWkuBWRhvk02.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu TAS Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-tas-beginner/edu-tas-beginner-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/edutasbeginner/v3/ZXuwe04WubHfGVY-1TcNg7AFUmshg8jIUTzK3r34f_EXfWkuBWRhvk02.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Edu TAS Beginner\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-tas-beginner/edu-tas-beginner-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-tas-beginner/edu-tas-beginner.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:400;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Edu VIC WA NT Beginner\";s:10:\"fontFamily\";s:33:\"\"Edu VIC WA NT Beginner\", cursive\";s:4:\"slug\";s:22:\"edu-vic-wa-nt-beginner\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/eduvicwantbeginner/v4/jiz2RF1BuW9OwcnNPxLl4KfZCHd9nFtd5Tu7stCpElYpvPfZZ-OXlPmAXwnpkeGR.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu VIC WA NT Beginner\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-vic-wa-nt-beginner/edu-vic-wa-nt-beginner-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/eduvicwantbeginner/v4/jiz2RF1BuW9OwcnNPxLl4KfZCHd9nFtd5Tu7stCpElYpvPfZZ-OllPmAXwnpkeGR.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu VIC WA NT Beginner\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-vic-wa-nt-beginner/edu-vic-wa-nt-beginner-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/eduvicwantbeginner/v4/jiz2RF1BuW9OwcnNPxLl4KfZCHd9nFtd5Tu7stCpElYpvPfZZ-NJk_mAXwnpkeGR.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu VIC WA NT Beginner\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-vic-wa-nt-beginner/edu-vic-wa-nt-beginner-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/eduvicwantbeginner/v4/jiz2RF1BuW9OwcnNPxLl4KfZCHd9nFtd5Tu7stCpElYpvPfZZ-Nwk_mAXwnpkeGR.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Edu VIC WA NT Beginner\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-vic-wa-nt-beginner/edu-vic-wa-nt-beginner-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/edu-vic-wa-nt-beginner/edu-vic-wa-nt-beginner.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:401;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"El Messiri\";s:10:\"fontFamily\";s:24:\"\"El Messiri\", sans-serif\";s:4:\"slug\";s:10:\"el-messiri\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/elmessiri/v22/K2FhfZBRmr9vQ1pHEey6GIGo8_pv3myYjuXwe65lhj3OoapG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"El Messiri\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/el-messiri/el-messiri-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/elmessiri/v22/K2FhfZBRmr9vQ1pHEey6GIGo8_pv3myYjuXCe65lhj3OoapG.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"El Messiri\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/el-messiri/el-messiri-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/elmessiri/v22/K2FhfZBRmr9vQ1pHEey6GIGo8_pv3myYjuUufK5lhj3OoapG.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"El Messiri\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/el-messiri/el-messiri-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/elmessiri/v22/K2FhfZBRmr9vQ1pHEey6GIGo8_pv3myYjuUXfK5lhj3OoapG.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"El Messiri\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/el-messiri/el-messiri-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/el-messiri/el-messiri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:402;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Electrolize\";s:10:\"fontFamily\";s:23:\"Electrolize, sans-serif\";s:4:\"slug\";s:11:\"electrolize\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/electrolize/v18/cIf5Ma1dtE0zSiGSiED7AUEDso5tQafB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Electrolize\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/electrolize/electrolize-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/electrolize/electrolize.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:403;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Elsie\";s:10:\"fontFamily\";s:16:\"Elsie, system-ui\";s:4:\"slug\";s:5:\"elsie\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/elsie/v24/BCanqZABrez54yYr9slAeLgX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Elsie\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/elsie/elsie-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/elsie/v24/BCaqqZABrez54x6q2-1NU6QeXSBk.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Elsie\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/elsie/elsie-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/elsie/elsie.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:404;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Elsie Swash Caps\";s:10:\"fontFamily\";s:29:\"\"Elsie Swash Caps\", system-ui\";s:4:\"slug\";s:16:\"elsie-swash-caps\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/elsieswashcaps/v24/845DNN8xGZyVX5MVo_upKf7KnjK0fe_VKGWsUo8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Elsie Swash Caps\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/elsie-swash-caps/elsie-swash-caps-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/elsieswashcaps/v24/845ENN8xGZyVX5MVo_upKf7KnjK0RW74DGiHToawrdU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Elsie Swash Caps\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/elsie-swash-caps/elsie-swash-caps-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/elsie-swash-caps/elsie-swash-caps.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:405;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Emblema One\";s:10:\"fontFamily\";s:24:\"\"Emblema One\", system-ui\";s:4:\"slug\";s:11:\"emblema-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/emblemaone/v21/nKKT-GQ0F5dSY8vzG0rOEIREHl57G_f_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Emblema One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/emblema-one/emblema-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/emblema-one/emblema-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:406;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Emilys Candy\";s:10:\"fontFamily\";s:25:\"\"Emilys Candy\", system-ui\";s:4:\"slug\";s:12:\"emilys-candy\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/emilyscandy/v19/2EbgL-1mD1Rnb0OGKudbk0y5qtxrX84JjA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Emilys Candy\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/emilys-candy/emilys-candy-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/emilys-candy/emilys-candy.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:407;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Encode Sans\";s:10:\"fontFamily\";s:25:\"\"Encode Sans\", sans-serif\";s:4:\"slug\";s:11:\"encode-sans\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGGHiZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGOHjZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGD_jZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGGHjZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGFPjZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGL_kZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGIbkZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGOHkZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesans/v19/LDIcapOFNxEwR-Bd1O9uYNmnUQomAgE25imKSbHhROjLsZBWTSrQGMjkZtCP7FJCt2c.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Encode Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans/encode-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:408;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Encode Sans Condensed\";s:10:\"fontFamily\";s:35:\"\"Encode Sans Condensed\", sans-serif\";s:4:\"slug\";s:21:\"encode-sans-condensed\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_76_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-5a-MLQoFI2KR.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-SY6pAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-LY2pAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_16_LD37rqfuwxyIuaZhE6cRXOLtm2gfTGhKWNDw8VIw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-dYypAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-WYupAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-PYqpAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-IYmpAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/encodesanscondensed/v10/j8_46_LD37rqfuwxyIuaZhE6cRXOLtm2gfT-BYipAiQJKnuIFA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Encode Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed-900-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-condensed/encode-sans-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:409;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Encode Sans Expanded\";s:10:\"fontFamily\";s:34:\"\"Encode Sans Expanded\", sans-serif\";s:4:\"slug\";s:20:\"encode-sans-expanded\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mx1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpJGKQZicoAbJlw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpLqCCNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpKOCyNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4m_1mF4GcnstG_Jh1QH6ac4hNLeNyeYUqonIwdAd5Ab.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpLWCiNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpL6DSNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpKeDCNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpKCDyNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/encodesansexpanded/v11/c4mw1mF4GcnstG_Jh1QH6ac4hNLeNyeYUpKmDiNNXIwSP0XD.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Encode Sans Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded-900-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-expanded/encode-sans-expanded.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:410;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Encode Sans SC\";s:10:\"fontFamily\";s:28:\"\"Encode Sans SC\", sans-serif\";s:4:\"slug\";s:14:\"encode-sans-sc\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HHhn8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HPhm8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HCZm8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HHhm8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HEpm8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HKZh8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HJ9h8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HPhh8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/encodesanssc/v9/jVyp7nLwCGzQ9zE7ZyRg0QRXHPZc_uUA6Kb3VJWLE_Pdtm7lcD6qvXT1HNFh8cpNOEEClIc.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Encode Sans SC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-sc/encode-sans-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:411;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Encode Sans Semi Condensed\";s:10:\"fontFamily\";s:40:\"\"Encode Sans Semi Condensed\", sans-serif\";s:4:\"slug\";s:26:\"encode-sans-semi-condensed\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT6oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1T19MRtQ9jpVUA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1RZ1eFCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1Q91uFCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT4oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG2yU_sVPRsjp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1Rl1-FCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1RJ0OFCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1Qt0eFCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1Qx0uFCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/encodesanssemicondensed/v10/3qT7oiKqnDuUtQUEHMoXcmspmy55SFWrXFRp9FTOG1QV0-FCbdTgTFmr.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Encode Sans Semi Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed-900-normal.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-condensed/encode-sans-semi-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:412;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Encode Sans Semi Expanded\";s:10:\"fontFamily\";s:39:\"\"Encode Sans Semi Expanded\", sans-serif\";s:4:\"slug\";s:25:\"encode-sans-semi-expanded\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8xOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TM-41LgrlKXeOEA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TM0IUCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TMyYXCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke83OhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TC48_LyjgOXc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TM34WCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TM1IRCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TMzYQCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TMyoTCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/encodesanssemiexpanded/v19/ke8yOhAPMEZs-BDuzwftTNJ85JvwMOzE9d9Cca5TMw4SCyXLJX6XCWU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Encode Sans Semi Expanded\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded-900-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/encode-sans-semi-expanded/encode-sans-semi-expanded.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:413;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Engagement\";s:10:\"fontFamily\";s:19:\"Engagement, cursive\";s:4:\"slug\";s:10:\"engagement\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/engagement/v26/x3dlckLDZbqa7RUs9MFVXN8ssybsHQI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Engagement\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/engagement/engagement-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/engagement/engagement.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:414;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:9:\"Englebert\";s:10:\"fontFamily\";s:21:\"Englebert, sans-serif\";s:4:\"slug\";s:9:\"englebert\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/englebert/v21/xn7iYH8w2XGrC8AR4HSxSvfYdN-WZw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Englebert\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:415;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Enriqueta\";s:10:\"fontFamily\";s:16:\"Enriqueta, serif\";s:4:\"slug\";s:9:\"enriqueta\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/enriqueta/v17/goksH6L7AUFrRvV44HVTTkCjkP1Yog.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Enriqueta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/enriqueta/enriqueta-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/enriqueta/v17/gokpH6L7AUFrRvV44HVrv2mHndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Enriqueta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/enriqueta/enriqueta-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/enriqueta/v17/gokpH6L7AUFrRvV44HVrk26HndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Enriqueta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/enriqueta/enriqueta-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/enriqueta/v17/gokpH6L7AUFrRvV44HVr92-HndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Enriqueta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/enriqueta/enriqueta-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/enriqueta/enriqueta.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:416;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Ephesis\";s:10:\"fontFamily\";s:16:\"Ephesis, cursive\";s:4:\"slug\";s:7:\"ephesis\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/ephesis/v9/uU9PCBUS8IerL2VG7xbb3vyHmlI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ephesis\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ephesis/ephesis-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/ephesis/ephesis.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:417;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Epilogue\";s:10:\"fontFamily\";s:20:\"Epilogue, sans-serif\";s:4:\"slug\";s:8:\"epilogue\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXMDLiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXsDPiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXbjPiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXMDPiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXAjPiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OX7jTiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OX1zTiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXsDTiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZMFGj5hxF0EhjimngomvnCCtqb30OXmTTiCZXVigHPVA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HAKTp_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HCKT5_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HBUT5_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HAKT5_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HA4T5_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HDUSJ_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HDtSJ_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HCKSJ_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/epilogue/v17/O4ZCFGj5hxF0EhjimlIhqAYaY7EBcUSC-HCjSJ_UqATfVHNU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Epilogue\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/epilogue/epilogue.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:418;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Erica One\";s:10:\"fontFamily\";s:22:\"\"Erica One\", system-ui\";s:4:\"slug\";s:9:\"erica-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/ericaone/v27/WBLnrEXccV9VGrOKmGD1Xk_MJMGxiQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Erica One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/erica-one/erica-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/erica-one/erica-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:419;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Esteban\";s:10:\"fontFamily\";s:14:\"Esteban, serif\";s:4:\"slug\";s:7:\"esteban\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/esteban/v15/r05bGLZE-bdGdN-GdO6D5jokU8E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Esteban\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/esteban/esteban-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/esteban/esteban.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:420;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Estonia\";s:10:\"fontFamily\";s:16:\"Estonia, cursive\";s:4:\"slug\";s:7:\"estonia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/estonia/v11/7Au_p_4ijSecA1yHCCf8zkwMIFg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Estonia\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/estonia/estonia-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/estonia/estonia.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:421;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Euphoria Script\";s:10:\"fontFamily\";s:26:\"\"Euphoria Script\", cursive\";s:4:\"slug\";s:15:\"euphoria-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/euphoriascript/v20/mFTpWb0X2bLb_cx6To2B8GpKoD5alvZT1D8x7Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Euphoria Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/euphoria-script/euphoria-script-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/euphoria-script/euphoria-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:422;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Ewert\";s:10:\"fontFamily\";s:16:\"Ewert, system-ui\";s:4:\"slug\";s:5:\"ewert\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/ewert/v25/va9I4kzO2tFODYBqS-J3kbDP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ewert\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ewert/ewert-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/ewert/ewert.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:423;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Exo\";s:10:\"fontFamily\";s:15:\"Exo, sans-serif\";s:4:\"slug\";s:3:\"exo\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4lM2CwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4tM3CwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4g03CwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4lM3CwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4mE3CwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4o0wCwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4rQwCwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4tMwCwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/exo/v21/4UaZrEtFpBI4f1ZSIK9d4LjJ4vowCwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t040FmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t0Y0BmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t0vUBmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t040BmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t00UBmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t0PUdmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t0BEdmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t0Y0dmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/exo/v21/4UafrEtFpBISdmSt-MY2ehbO95t0SkdmO3ws9Iu-uA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Exo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo-900-italic.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/exo/exo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:424;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Exo 2\";s:10:\"fontFamily\";s:19:\"\"Exo 2\", sans-serif\";s:4:\"slug\";s:5:\"exo-2\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jvvOcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jPvKcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8j4PKcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jvvKcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jjPKcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jYPWcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jWfWcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jPvWcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/exo2/v21/7cH1v4okm5zmbvwkAx_sfcEuiD8jF_WcO9q-rpvLpQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drF0fNC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drH0fdC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drEqfdC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drF0fdC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drFGfdC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drGqetC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drGTetC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drH0etC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/exo2/v21/7cH3v4okm5zmbtYtMeA0FKq0Jjg2drHdetC_jJ7bpQBL.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Exo 2\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/exo-2/exo-2.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:425;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Expletus Sans\";s:10:\"fontFamily\";s:26:\"\"Expletus Sans\", system-ui\";s:4:\"slug\";s:13:\"expletus-sans\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/expletussans/v29/RLpqK5v5_bqufTYdnhFzDj2dX_IwS3my73zcDaSY2s1tFQTcXfMm.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/expletussans/v29/RLpqK5v5_bqufTYdnhFzDj2dX_IwS3my73zcDaSq2s1tFQTcXfMm.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/expletussans/v29/RLpqK5v5_bqufTYdnhFzDj2dX_IwS3my73zcDaRG3c1tFQTcXfMm.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/expletussans/v29/RLpqK5v5_bqufTYdnhFzDj2dX_IwS3my73zcDaR_3c1tFQTcXfMm.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/expletussans/v29/RLpoK5v5_bqufTYdnhFzDj2ddfsCtKHbhOZyCrFQmSUrHwX-WOMmKKY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/expletussans/v29/RLpoK5v5_bqufTYdnhFzDj2ddfsCtKHbhOZyCrFQmRcrHwX-WOMmKKY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/expletussans/v29/RLpoK5v5_bqufTYdnhFzDj2ddfsCtKHbhOZyCrFQmfssHwX-WOMmKKY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/expletussans/v29/RLpoK5v5_bqufTYdnhFzDj2ddfsCtKHbhOZyCrFQmcIsHwX-WOMmKKY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Expletus Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/expletus-sans/expletus-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:426;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Explora\";s:10:\"fontFamily\";s:16:\"Explora, cursive\";s:4:\"slug\";s:7:\"explora\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/explora/v9/tsstApxFfjUH4wrvc1-PonC3vqc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Explora\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/explora/explora-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/explora/explora.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:427;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Fahkwang\";s:10:\"fontFamily\";s:20:\"Fahkwang, sans-serif\";s:4:\"slug\";s:8:\"fahkwang\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa26Uj3zpmBOgbNpOJHmZlUFipxkwjx.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa06Uj3zpmBOgbNpOqNgHFQHCtTlhjxdw4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa26Uj3zpmBOgbNpOIjmplUFipxkwjx.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa06Uj3zpmBOgbNpOqNgBVTHCtTlhjxdw4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/fahkwang/v16/Noax6Uj3zpmBOgbNpNqKsr1ZPTZ4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa36Uj3zpmBOgbNpOqNuLx7OCZ4ihE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa26Uj3zpmBOgbNpOJ7m5lUFipxkwjx.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa06Uj3zpmBOgbNpOqNgE1SHCtTlhjxdw4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa26Uj3zpmBOgbNpOJXnJlUFipxkwjx.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa06Uj3zpmBOgbNpOqNgGFVHCtTlhjxdw4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa26Uj3zpmBOgbNpOIznZlUFipxkwjx.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/fahkwang/v16/Noa06Uj3zpmBOgbNpOqNgAVUHCtTlhjxdw4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fahkwang\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang-700-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/fahkwang/fahkwang.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:428;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Familjen Grotesk\";s:10:\"fontFamily\";s:30:\"\"Familjen Grotesk\", sans-serif\";s:4:\"slug\";s:16:\"familjen-grotesk\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw3LZR9ZHiDnImG6-NEMQ41wby8WRnYsfkunR_eGfMGJaSzoc1jcEYq2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw3LZR9ZHiDnImG6-NEMQ41wby8WRnYsfkunR_eGfMG7aSzoc1jcEYq2.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw3LZR9ZHiDnImG6-NEMQ41wby8WRnYsfkunR_eGfMFXbizoc1jcEYq2.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw3LZR9ZHiDnImG6-NEMQ41wby8WRnYsfkunR_eGfMFubizoc1jcEYq2.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw31ZR9ZHiDnImG6-NEMQ41wby8WbH8egZPOLG0oe9RBKsSueVn-FJq2Rv4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw31ZR9ZHiDnImG6-NEMQ41wby8WbH8egZPOLG0oe9RBKvaueVn-FJq2Rv4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw31ZR9ZHiDnImG6-NEMQ41wby8WbH8egZPOLG0oe9RBKhqpeVn-FJq2Rv4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/familjengrotesk/v8/Qw31ZR9ZHiDnImG6-NEMQ41wby8WbH8egZPOLG0oe9RBKiOpeVn-FJq2Rv4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Familjen Grotesk\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk-700-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/familjen-grotesk/familjen-grotesk.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:429;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Fanwood Text\";s:10:\"fontFamily\";s:21:\"\"Fanwood Text\", serif\";s:4:\"slug\";s:12:\"fanwood-text\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/fanwoodtext/v15/3XFtErwl05Ad_vSCF6Fq7xXGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Fanwood Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/fanwood-text/fanwood-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/fanwoodtext/v15/3XFzErwl05Ad_vSCF6Fq7xX2R9zZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Fanwood Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/fanwood-text/fanwood-text-400-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/fanwood-text/fanwood-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:430;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Farro\";s:10:\"fontFamily\";s:17:\"Farro, sans-serif\";s:4:\"slug\";s:5:\"farro\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/farro/v14/i7dJIFl3byGNHa3hNJ67WkJUQUq7.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Farro\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/farro/farro-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/farro/v14/i7dEIFl3byGNHZVIHLq2cV5d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Farro\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/farro/farro-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/farro/v14/i7dJIFl3byGNHa25NZ67WkJUQUq7.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Farro\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/farro/farro-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/farro/v14/i7dJIFl3byGNHa3xM567WkJUQUq7.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Farro\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/farro/farro-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/farro/farro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:431;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Farsan\";s:10:\"fontFamily\";s:17:\"Farsan, system-ui\";s:4:\"slug\";s:6:\"farsan\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/farsan/v22/VEMwRoJ0vY_zsyz636-pxDX9rQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Farsan\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/farsan/farsan-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/farsan/farsan.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:432;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fascinate\";s:10:\"fontFamily\";s:20:\"Fascinate, system-ui\";s:4:\"slug\";s:9:\"fascinate\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/fascinate/v21/z7NWdRrufC8XJK0IIEli0bbQRPyNrw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fascinate\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fascinate/fascinate-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fascinate/fascinate.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:433;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Fascinate Inline\";s:10:\"fontFamily\";s:29:\"\"Fascinate Inline\", system-ui\";s:4:\"slug\";s:16:\"fascinate-inline\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/fascinateinline/v22/jVyR7mzzB3zc-jp6QCAu60poNqIy1gjCfRXxWZQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Fascinate Inline\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/fascinate-inline/fascinate-inline-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/fascinate-inline/fascinate-inline.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:434;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Faster One\";s:10:\"fontFamily\";s:23:\"\"Faster One\", system-ui\";s:4:\"slug\";s:10:\"faster-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fasterone/v19/H4ciBXCHmdfClFb-vWhfyL6Shq63czE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Faster One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/faster-one/faster-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/faster-one/faster-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:435;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Fasthand\";s:10:\"fontFamily\";s:19:\"Fasthand, system-ui\";s:4:\"slug\";s:8:\"fasthand\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/fasthand/v30/0yb9GDohyKTYn_ZEESkrYkw2rQg1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fasthand\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fasthand/fasthand-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/fasthand/fasthand.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:436;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fauna One\";s:10:\"fontFamily\";s:18:\"\"Fauna One\", serif\";s:4:\"slug\";s:9:\"fauna-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/faunaone/v15/wlpzgwTPBVpjpCuwkuEx3ExLYClOCg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fauna One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fauna-one/fauna-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fauna-one/fauna-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:437;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Faustina\";s:10:\"fontFamily\";s:15:\"Faustina, serif\";s:4:\"slug\";s:8:\"faustina\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/faustina/v20/XLY4IZPxYpJfTbZAFXWzNT2SO8wpWHls3IEvHFWWe8tbEg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/faustina/v20/XLY4IZPxYpJfTbZAFXWzNT2SO8wpWHlsgoEvHFWWe8tbEg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/faustina/v20/XLY4IZPxYpJfTbZAFXWzNT2SO8wpWHlssIEvHFWWe8tbEg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/faustina/v20/XLY4IZPxYpJfTbZAFXWzNT2SO8wpWHlsXIYvHFWWe8tbEg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/faustina/v20/XLY4IZPxYpJfTbZAFXWzNT2SO8wpWHlsZYYvHFWWe8tbEg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/faustina/v20/XLY4IZPxYpJfTbZAFXWzNT2SO8wpWHlsAoYvHFWWe8tbEg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/faustina/v20/XLY2IZPxYpJfTbZAFV-6B8JKUqez9n55SsKZWl-XWc5LEnoF.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/faustina/v20/XLY2IZPxYpJfTbZAFV-6B8JKUqez9n55SsLHWl-XWc5LEnoF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/faustina/v20/XLY2IZPxYpJfTbZAFV-6B8JKUqez9n55SsL1Wl-XWc5LEnoF.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-500-italic.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/faustina/v20/XLY2IZPxYpJfTbZAFV-6B8JKUqez9n55SsIZXV-XWc5LEnoF.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/faustina/v20/XLY2IZPxYpJfTbZAFV-6B8JKUqez9n55SsIgXV-XWc5LEnoF.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-700-italic.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/faustina/v20/XLY2IZPxYpJfTbZAFV-6B8JKUqez9n55SsJHXV-XWc5LEnoF.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Faustina\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina-800-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/faustina/faustina.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:438;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Federant\";s:10:\"fontFamily\";s:19:\"Federant, system-ui\";s:4:\"slug\";s:8:\"federant\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/federant/v29/2sDdZGNfip_eirT0_U0mRUG0AqUc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Federant\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/federant/federant-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/federant/federant.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:439;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Federo\";s:10:\"fontFamily\";s:18:\"Federo, sans-serif\";s:4:\"slug\";s:6:\"federo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/federo/v19/iJWFBX-cbD_ETsbmiFOe2WTG7Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Federo\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/federo/federo-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/federo/federo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:440;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Felipa\";s:10:\"fontFamily\";s:15:\"Felipa, cursive\";s:4:\"slug\";s:6:\"felipa\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/felipa/v25/FwZa7-owz1Eu4F_wTdSEwM2zpA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Felipa\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/felipa/felipa-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/felipa/felipa.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:441;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Fenix\";s:10:\"fontFamily\";s:12:\"Fenix, serif\";s:4:\"slug\";s:5:\"fenix\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/fenix/v20/XoHo2YL_S7-g5osoKzAFvs8o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Fenix\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/fenix/fenix-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/fenix/fenix.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:442;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Festive\";s:10:\"fontFamily\";s:16:\"Festive, cursive\";s:4:\"slug\";s:7:\"festive\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/festive/v9/cY9Ffj6KX1xcoDWhFtLgy9HTkak.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Festive\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/festive/festive-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/festive/festive.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:443;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Figtree\";s:10:\"fontFamily\";s:19:\"Figtree, sans-serif\";s:4:\"slug\";s:7:\"figtree\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_chQF5bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_d_QF5bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_dNQF5bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_ehR15bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_eYR15bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_f_R15bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/figtree/v6/_Xmz-HUzqDCFdgfMsYiV_F7wfS-Bs_fWR15bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-900-normal.svg\";}i:7;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3A-gdyEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-300-italic.svg\";}i:8;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3A7YdyEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-400-italic.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3A4QdyEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3A2gayEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-600-italic.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3A1EayEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3AzYayEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-800-italic.svg\";}i:13;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/figtree/v6/_Xm9-HUzqDCFdgfMm4GnA4aZFrUvtOK3Ax8ayEA25WTybO8.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Figtree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/figtree/figtree.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:444;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Finger Paint\";s:10:\"fontFamily\";s:25:\"\"Finger Paint\", system-ui\";s:4:\"slug\";s:12:\"finger-paint\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/fingerpaint/v19/0QInMXVJ-o-oRn_7dron8YWO9pbS8ANesw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Finger Paint\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/finger-paint/finger-paint-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/finger-paint/finger-paint.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:445;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Finlandica\";s:10:\"fontFamily\";s:22:\"Finlandica, sans-serif\";s:4:\"slug\";s:10:\"finlandica\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/finlandica/v8/-nFsOGk-8vAc7lEtg0aSyZCty9GSsPBE19A7rEj09i5ss3a3.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/finlandica/v8/-nFsOGk-8vAc7lEtg0aSyZCty9GSsPBE19AJrEj09i5ss3a3.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/finlandica/v8/-nFsOGk-8vAc7lEtg0aSyZCty9GSsPBE19Dlq0j09i5ss3a3.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/finlandica/v8/-nFsOGk-8vAc7lEtg0aSyZCty9GSsPBE19Dcq0j09i5ss3a3.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/finlandica/v8/-nFuOGk-8vAc7lEtg0aS45mfNAn722rq0MXz76Cy_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/finlandica/v8/-nFuOGk-8vAc7lEtg0aS45mfNAn722rq0MXz75Ky_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/finlandica/v8/-nFuOGk-8vAc7lEtg0aS45mfNAn722rq0MXz7361_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/finlandica/v8/-nFuOGk-8vAc7lEtg0aS45mfNAn722rq0MXz70e1_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Finlandica\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/finlandica/finlandica.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:446;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fira Code\";s:10:\"fontFamily\";s:22:\"\"Fira Code\", monospace\";s:4:\"slug\";s:9:\"fira-code\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/firacode/v22/uU9eCBsR6Z2vfE9aq3bL0fxyUs4tcw4W_GNsFVLxN87gsj0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Code\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-code/fira-code-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/firacode/v22/uU9eCBsR6Z2vfE9aq3bL0fxyUs4tcw4W_D1sFVLxN87gsj0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Code\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-code/fira-code-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/firacode/v22/uU9eCBsR6Z2vfE9aq3bL0fxyUs4tcw4W_A9sFVLxN87gsj0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Code\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-code/fira-code-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/firacode/v22/uU9eCBsR6Z2vfE9aq3bL0fxyUs4tcw4W_ONrFVLxN87gsj0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Code\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-code/fira-code-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/firacode/v22/uU9eCBsR6Z2vfE9aq3bL0fxyUs4tcw4W_NprFVLxN87gsj0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Code\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-code/fira-code-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-code/fira-code.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:447;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fira Mono\";s:10:\"fontFamily\";s:22:\"\"Fira Mono\", monospace\";s:4:\"slug\";s:9:\"fira-mono\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/firamono/v14/N0bX2SlFPv1weGeLZDtQJPTTkdbJYA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-mono/fira-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firamono/v14/N0bS2SlFPv1weGeLZDto1d33nP3VaZBRBQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-mono/fira-mono-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firamono/v14/N0bS2SlFPv1weGeLZDtondv3nP3VaZBRBQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-mono/fira-mono-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-mono/fira-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:448;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fira Sans\";s:10:\"fontFamily\";s:23:\"\"Fira Sans\", sans-serif\";s:4:\"slug\";s:9:\"fira-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/firasans/v17/va9C4kDNxMZdWfMOD5Vn9IjLazP3dUTP.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/firasans/v17/va9A4kDNxMZdWfMOD5VvkrCqYTLVcFTPj0s.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnWKnuRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrAGQBf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnPKruRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrBiQxf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/firasans/v17/va9E4kDNxMZdWfMOD5VflYLKSTbndQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/firasans/v17/va9C4kDNxMZdWfMOD5VvkojLazP3dUTP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnZKvuRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrA6Qhf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnSKzuRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrAWRRf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnLK3uRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrByRBf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnMK7uRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrBuRxf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/firasans/v17/va9B4kDNxMZdWfMOD5VnFK_uRB37fF3Wlg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/firasans/v17/va9f4kDNxMZdWfMOD5VvkrBKRhf6XljGllLX.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Fira Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans/fira-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:449;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Fira Sans Condensed\";s:10:\"fontFamily\";s:33:\"\"Fira Sans Condensed\", sans-serif\";s:4:\"slug\";s:19:\"fira-sans-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOjEADFm8hSaQTFG18FErVhsC9x-tarWZXtrelQfx9CjA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOtEADFm8hSaQTFG18FErVhsC9x-tarUfPVzONRXRpSjJcu.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWTnMiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVYMJ0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWV3PiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVBMF0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOhEADFm8hSaQTFG18FErVhsC9x-tarYfTnrMtVbx8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOjEADFm8hSaQTFG18FErVhsC9x-tarUfPtrelQfx9CjA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWQXOiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVXMB0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWSnJiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVcMd0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWU3IiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVFMZ0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWVHLiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVCMV0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOsEADFm8hSaQTFG18FErVhsC9x-tarWXXKiMZ-cxZblY4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/firasanscondensed/v10/wEOuEADFm8hSaQTFG18FErVhsC9x-tarUfPVLMR0cjRehY43EA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Fira Sans Condensed\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed-900-italic.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-condensed/fira-sans-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:450;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Fira Sans Extra Condensed\";s:10:\"fontFamily\";s:39:\"\"Fira Sans Extra Condensed\", sans-serif\";s:4:\"slug\";s:25:\"fira-sans-extra-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPMcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3ZyuulWarE9ncg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPOcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqW21-bjkp3cn22.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3TCPn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWd36-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3VSMn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWE32-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda5f2ku3efvE8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPMcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fquulWarE9ncg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3QyNn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWS3y-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3SCKn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWZ3u-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3USLn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWA3q-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3ViIn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWH3m-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPPcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda3XyJn3q0oEZ-a2Q.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/firasansextracondensed/v10/NaPxcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1fqWO3i-oWR7e2SvJQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Fira Sans Extra Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed-900-italic.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/fira-sans-extra-condensed/fira-sans-extra-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:451;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Fjalla One\";s:10:\"fontFamily\";s:24:\"\"Fjalla One\", sans-serif\";s:4:\"slug\";s:10:\"fjalla-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/fjallaone/v15/Yq6R-LCAWCX3-6Ky7FAFnONwkxgtUb8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Fjalla One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/fjalla-one/fjalla-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/fjalla-one/fjalla-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:452;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fjord One\";s:10:\"fontFamily\";s:18:\"\"Fjord One\", serif\";s:4:\"slug\";s:9:\"fjord-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/fjordone/v21/zOL-4pbEnKBY_9S1jNKr7O5As-FeiQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fjord One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fjord-one/fjord-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fjord-one/fjord-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:453;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Flamenco\";s:10:\"fontFamily\";s:19:\"Flamenco, system-ui\";s:4:\"slug\";s:8:\"flamenco\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/flamenco/v18/neIPzCehqYguo67ssZ0qNIk3epH9qGsf.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Flamenco\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/flamenco/flamenco-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/flamenco/v18/neIIzCehqYguo67ssaWDHK06UY30.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Flamenco\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/flamenco/flamenco-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/flamenco/flamenco.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:454;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Flavors\";s:10:\"fontFamily\";s:18:\"Flavors, system-ui\";s:4:\"slug\";s:7:\"flavors\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/flavors/v26/FBV2dDrhxqmveJTpbknlNqkG9UY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Flavors\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/flavors/flavors-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/flavors/flavors.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:455;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Fleur De Leah\";s:10:\"fontFamily\";s:24:\"\"Fleur De Leah\", cursive\";s:4:\"slug\";s:13:\"fleur-de-leah\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/fleurdeleah/v9/AYCNpXX7ftYZWLhv9UmPJTMC5vOt4I_Gdq0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Fleur De Leah\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/fleur-de-leah/fleur-de-leah-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/fleur-de-leah/fleur-de-leah.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:456;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Flow Block\";s:10:\"fontFamily\";s:23:\"\"Flow Block\", system-ui\";s:4:\"slug\";s:10:\"flow-block\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/flowblock/v11/wlp0gwfPCEB65UmTk-d6-WNlbCBXE_I.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Flow Block\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/flow-block/flow-block-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/flow-block/flow-block.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:457;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Flow Circular\";s:10:\"fontFamily\";s:26:\"\"Flow Circular\", system-ui\";s:4:\"slug\";s:13:\"flow-circular\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/flowcircular/v11/lJwB-pc4j2F-H8YKuyvfxdZ45iLpWdr2rIg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Flow Circular\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/flow-circular/flow-circular-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/flow-circular/flow-circular.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:458;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Flow Rounded\";s:10:\"fontFamily\";s:25:\"\"Flow Rounded\", system-ui\";s:4:\"slug\";s:12:\"flow-rounded\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/flowrounded/v11/-zki91mtwsU9qlLiGwD4oQX3pJX-Xup87g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Flow Rounded\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/flow-rounded/flow-rounded-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/flow-rounded/flow-rounded.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:459;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Foldit\";s:10:\"fontFamily\";s:17:\"Foldit, system-ui\";s:4:\"slug\";s:6:\"foldit\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XpANma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XhAMma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8Xs4Mma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XpAMma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XqIMma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8Xk4Lma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XncLma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XhALma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/foldit/v5/aFTI7PF3Y3c9WdjNrRVE0Rk2b7j8XjkLma9UYLHkN80.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Foldit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/foldit/foldit.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:460;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Fondamento\";s:10:\"fontFamily\";s:19:\"Fondamento, cursive\";s:4:\"slug\";s:10:\"fondamento\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/fondamento/v20/4UaHrEJGsxNmFTPDnkaJx6jj5pN1MwI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Fondamento\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/fondamento/fondamento-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/fondamento/v20/4UaFrEJGsxNmFTPDnkaJ96_p57FwIwJePw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Fondamento\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/fondamento/fondamento-400-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/fondamento/fondamento.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:461;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Fontdiner Swanky\";s:10:\"fontFamily\";s:29:\"\"Fontdiner Swanky\", system-ui\";s:4:\"slug\";s:16:\"fontdiner-swanky\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/fontdinerswanky/v23/ijwOs4XgRNsiaI5-hcVb4hQgMvCD4uQfKiGvxts.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Fontdiner Swanky\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/fontdiner-swanky/fontdiner-swanky-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/fontdiner-swanky/fontdiner-swanky.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:462;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Forum\";s:10:\"fontFamily\";s:16:\"Forum, system-ui\";s:4:\"slug\";s:5:\"forum\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/forum/v18/6aey4Ky-Vb8Ew_ITMJMa3mnT.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Forum\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/forum/forum-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/forum/forum.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:463;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Fragment Mono\";s:10:\"fontFamily\";s:26:\"\"Fragment Mono\", monospace\";s:4:\"slug\";s:13:\"fragment-mono\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/fragmentmono/v4/4iCr6K5wfMRRjxp0DA6-2CLnN4FNh4UI_1U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Fragment Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/fragment-mono/fragment-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/fragmentmono/v4/4iC16K5wfMRRjxp0DA6-2CLnB4ZHhqcN71URtQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Fragment Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/fragment-mono/fragment-mono-400-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/fragment-mono/fragment-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:464;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Francois One\";s:10:\"fontFamily\";s:26:\"\"Francois One\", sans-serif\";s:4:\"slug\";s:12:\"francois-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/francoisone/v21/_Xmr-H4zszafZw3A-KPSZutNwwKQu_avAg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Francois One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/francois-one/francois-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/francois-one/francois-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:465;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Frank Ruhl Libre\";s:10:\"fontFamily\";s:25:\"\"Frank Ruhl Libre\", serif\";s:4:\"slug\";s:16:\"frank-ruhl-libre\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw6bYVqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw7FYVqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw73YVqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw4bZlqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw4iZlqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw5FZlqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/frankruhllibre/v21/j8_96_fAw7jrcalD7oKYNX0QfAnPcbzNEEB7OoicBw5sZlqVPxR2EUR_.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Frank Ruhl Libre\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/frank-ruhl-libre/frank-ruhl-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:466;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Fraunces\";s:10:\"fontFamily\";s:15:\"Fraunces, serif\";s:4:\"slug\";s:8:\"fraunces\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIctxqjC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIcNxujC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIc6RujC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIctxujC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIchRujC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIcaRyjC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIcUByjC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIcNxyjC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:145:\"https://fonts.gstatic.com/s/fraunces/v31/6NUh8FyLNQOQZAnv9bYEvDiIdE9Ea92uemAk_WBq8U_9v0c2Wa0K7iN7hzFUPJH58nib1603gg7S2nfgRYIcHhyjC_TShUtWNg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1hLTP7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1jLTf7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1gVTf7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1hLTf7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1h5Tf7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1iVSv7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1isSv7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1jLSv7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:147:\"https://fonts.gstatic.com/s/fraunces/v31/6NVf8FyLNQOQZAnv9ZwNjucMHVn85Ni7emAe9lKqZTnbB-gzTK0K1ChJdt9vIVYX9G37lvd9sPEKsxx664UJf1jiSv7Tp05GNi3k.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Fraunces\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/fraunces/fraunces.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:467;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Freckle Face\";s:10:\"fontFamily\";s:25:\"\"Freckle Face\", system-ui\";s:4:\"slug\";s:12:\"freckle-face\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/freckleface/v15/AMOWz4SXrmKHCvXTohxY-YI0VlK2w9lb4g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Freckle Face\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/freckle-face/freckle-face-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/freckle-face/freckle-face.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:468;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Fredericka the Great\";s:10:\"fontFamily\";s:33:\"\"Fredericka the Great\", system-ui\";s:4:\"slug\";s:20:\"fredericka-the-great\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/frederickathegreat/v21/9Bt33CxNwt7aOctW2xjbCstzwVKsIBVV-9Shz7Ylch2L.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Fredericka the Great\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/fredericka-the-great/fredericka-the-great-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/fredericka-the-great/fredericka-the-great.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:469;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Fredoka\";s:10:\"fontFamily\";s:19:\"Fredoka, sans-serif\";s:4:\"slug\";s:7:\"fredoka\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/fredoka/v14/X7nP4b87HvSqjb_WIi2yDCRwoQ_k7367_B-i2yQag0-mac3OryLME-OLlNldbw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fredoka\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fredoka/fredoka-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/fredoka/v14/X7nP4b87HvSqjb_WIi2yDCRwoQ_k7367_B-i2yQag0-mac3O8SLME-OLlNldbw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fredoka\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fredoka/fredoka-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/fredoka/v14/X7nP4b87HvSqjb_WIi2yDCRwoQ_k7367_B-i2yQag0-mac3OwyLME-OLlNldbw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fredoka\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fredoka/fredoka-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/fredoka/v14/X7nP4b87HvSqjb_WIi2yDCRwoQ_k7367_B-i2yQag0-mac3OLyXME-OLlNldbw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fredoka\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fredoka/fredoka-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/fredoka/v14/X7nP4b87HvSqjb_WIi2yDCRwoQ_k7367_B-i2yQag0-mac3OFiXME-OLlNldbw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fredoka\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fredoka/fredoka-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/fredoka/fredoka.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:470;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Freehand\";s:10:\"fontFamily\";s:19:\"Freehand, system-ui\";s:4:\"slug\";s:8:\"freehand\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/freehand/v31/cIf-Ma5eqk01VjKTgAmETmUOmZJk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Freehand\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/freehand/freehand-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/freehand/freehand.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:471;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Freeman\";s:10:\"fontFamily\";s:18:\"Freeman, system-ui\";s:4:\"slug\";s:7:\"freeman\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/freeman/v1/S6u9w4NGQiLN8nh-ewqFGC_p9dw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Freeman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/freeman/freeman-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/freeman/freeman.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:472;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Fresca\";s:10:\"fontFamily\";s:18:\"Fresca, sans-serif\";s:4:\"slug\";s:6:\"fresca\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/fresca/v22/6ae94K--SKgCzbM2H70W13DKPA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fresca\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fresca/fresca-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/fresca/fresca.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:473;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Frijole\";s:10:\"fontFamily\";s:18:\"Frijole, system-ui\";s:4:\"slug\";s:7:\"frijole\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/frijole/v14/uU9PCBUR8oakM2BQ7xbb3vyHmlI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Frijole\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/frijole/frijole-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/frijole/frijole.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:474;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Fruktur\";s:10:\"fontFamily\";s:18:\"Fruktur, system-ui\";s:4:\"slug\";s:7:\"fruktur\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/fruktur/v27/SZc53FHsOru5QYsMfzjGkUrS8DI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fruktur\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fruktur/fruktur-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/fruktur/v27/SZc73FHsOru5QYsMTz_MkGjX4DJXgQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Fruktur\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fruktur/fruktur-400-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/fruktur/fruktur.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:475;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Fugaz One\";s:10:\"fontFamily\";s:22:\"\"Fugaz One\", system-ui\";s:4:\"slug\";s:9:\"fugaz-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/fugazone/v19/rax_HiWKp9EAITukFslMARJek0vA8A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Fugaz One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/fugaz-one/fugaz-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/fugaz-one/fugaz-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:476;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Fuggles\";s:10:\"fontFamily\";s:16:\"Fuggles, cursive\";s:4:\"slug\";s:7:\"fuggles\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/fuggles/v12/k3kQo8UEJOlD1hpOTdviL0nAMaM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Fuggles\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/fuggles/fuggles-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/fuggles/fuggles.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:477;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Fustat\";s:10:\"fontFamily\";s:18:\"Fustat, sans-serif\";s:4:\"slug\";s:6:\"fustat\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCMQQRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCBoQRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCEQQRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCHYQRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCJoXRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCKMXRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/fustat/v1/NaPEcZ_aHO9Iy5thRNqze7YGY9HGCMQXRrmztWo_3fk.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Fustat\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat-800-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/fustat/fustat.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:478;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Fuzzy Bubbles\";s:10:\"fontFamily\";s:24:\"\"Fuzzy Bubbles\", cursive\";s:4:\"slug\";s:13:\"fuzzy-bubbles\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/fuzzybubbles/v7/6qLGKZMbrgv9pwtjPEVNV0F2Nnb5Zxsreko.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Fuzzy Bubbles\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/fuzzy-bubbles/fuzzy-bubbles-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/fuzzybubbles/v7/6qLbKZMbrgv9pwtjPEVNV0F2Ds_WQxYAZkM1pn4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Fuzzy Bubbles\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/fuzzy-bubbles/fuzzy-bubbles-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/fuzzy-bubbles/fuzzy-bubbles.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:479;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"GFS Didot\";s:10:\"fontFamily\";s:18:\"\"GFS Didot\", serif\";s:4:\"slug\";s:9:\"gfs-didot\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/gfsdidot/v16/Jqzh5TybZ9vZMWFssvwiEufGFSCGAA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"GFS Didot\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-didot/gfs-didot-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-didot/gfs-didot.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:480;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"GFS Neohellenic\";s:10:\"fontFamily\";s:29:\"\"GFS Neohellenic\", sans-serif\";s:4:\"slug\";s:15:\"gfs-neohellenic\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/gfsneohellenic/v25/8QIRdiDOrfiq0b7R8O1Iw9WLcY5TKKhP46UDUw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"GFS Neohellenic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-neohellenic/gfs-neohellenic-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/gfsneohellenic/v25/8QITdiDOrfiq0b7R8O1Iw9WLcY5jL6JOwaATU91X.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"GFS Neohellenic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-neohellenic/gfs-neohellenic-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/gfsneohellenic/v25/8QIUdiDOrfiq0b7R8O1Iw9WLcY5rkYdr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"GFS Neohellenic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-neohellenic/gfs-neohellenic-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/gfsneohellenic/v25/8QIWdiDOrfiq0b7R8O1Iw9WLcY5jL5r37oQeeMFe985V.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"GFS Neohellenic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-neohellenic/gfs-neohellenic-700-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/gfs-neohellenic/gfs-neohellenic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:481;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Ga Maamli\";s:10:\"fontFamily\";s:22:\"\"Ga Maamli\", system-ui\";s:4:\"slug\";s:9:\"ga-maamli\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/gamaamli/v2/uU9NCBsQ4c-DPW1Yo3rR396CilKOdQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Ga Maamli\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/ga-maamli/ga-maamli-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/ga-maamli/ga-maamli.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:482;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Gabarito\";s:10:\"fontFamily\";s:19:\"Gabarito, system-ui\";s:4:\"slug\";s:8:\"gabarito\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gabarito/v7/QGYwz_0dZAGKJJ4t3FFkc3Q8AkNP9Pj248K0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabarito\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gabarito/v7/QGYwz_0dZAGKJJ4t3FFkc3Q8AkNP9Pj20cK0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabarito\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gabarito/v7/QGYwz_0dZAGKJJ4t3FFkc3Q8AkNP9Pj2PcW0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabarito\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gabarito/v7/QGYwz_0dZAGKJJ4t3FFkc3Q8AkNP9Pj2BMW0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabarito\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gabarito/v7/QGYwz_0dZAGKJJ4t3FFkc3Q8AkNP9Pj2Y8W0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabarito\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gabarito/v7/QGYwz_0dZAGKJJ4t3FFkc3Q8AkNP9Pj2SsW0EwItq6bFIg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabarito\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/gabarito/gabarito.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:483;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Gabriela\";s:10:\"fontFamily\";s:15:\"Gabriela, serif\";s:4:\"slug\";s:8:\"gabriela\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/gabriela/v21/qkBWXvsO6sreR8E-b_m7zrpHmRzC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gabriela\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gabriela/gabriela-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/gabriela/gabriela.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:484;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Gaegu\";s:10:\"fontFamily\";s:14:\"Gaegu, cursive\";s:4:\"slug\";s:5:\"gaegu\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/gaegu/v17/TuGSUVB6Up9NU57nifw-4sdtBk0x.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Gaegu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/gaegu/gaegu-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/gaegu/v17/TuGfUVB6Up9NU6ZOodgzydtk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Gaegu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/gaegu/gaegu-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/gaegu/v17/TuGSUVB6Up9NU573jvw-4sdtBk0x.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Gaegu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/gaegu/gaegu-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/gaegu/gaegu.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:485;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gafata\";s:10:\"fontFamily\";s:18:\"Gafata, sans-serif\";s:4:\"slug\";s:6:\"gafata\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/gafata/v20/XRXV3I6Cn0VJKon4N-yAbsrVcA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gafata\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gafata/gafata-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gafata/gafata.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:486;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Gajraj One\";s:10:\"fontFamily\";s:23:\"\"Gajraj One\", system-ui\";s:4:\"slug\";s:10:\"gajraj-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/gajrajone/v5/1cX2aUDCDpXsuWVb1jIjr1SqhcitzeM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Gajraj One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/gajraj-one/gajraj-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/gajraj-one/gajraj-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:487;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Galada\";s:10:\"fontFamily\";s:17:\"Galada, system-ui\";s:4:\"slug\";s:6:\"galada\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/galada/v18/H4cmBXyGmcjXlUX-9yw-4Lqggw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Galada\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/galada/galada-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/galada/galada.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:488;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Galdeano\";s:10:\"fontFamily\";s:20:\"Galdeano, sans-serif\";s:4:\"slug\";s:8:\"galdeano\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/galdeano/v22/uU9MCBoQ4YOqOW1boDP08PCOg0uX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Galdeano\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/galdeano/galdeano-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/galdeano/galdeano.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:489;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Galindo\";s:10:\"fontFamily\";s:18:\"Galindo, system-ui\";s:4:\"slug\";s:7:\"galindo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/galindo/v24/HI_KiYMeLqVKqwyuQ5TiRp-dhpQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Galindo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/galindo/galindo-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/galindo/galindo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:490;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Gamja Flower\";s:10:\"fontFamily\";s:23:\"\"Gamja Flower\", cursive\";s:4:\"slug\";s:12:\"gamja-flower\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/gamjaflower/v22/6NUR8FiKJg-Pa0rM6uN40Z4kzP9Fdty2ew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gamja Flower\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gamja-flower/gamja-flower-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/gamja-flower/gamja-flower.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:491;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Gantari\";s:10:\"fontFamily\";s:19:\"Gantari, sans-serif\";s:4:\"slug\";s:7:\"gantari\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g0gOz31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g2gOj31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g1-Oj31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g0gOj31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g0SOj31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g3-PT31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g3HPT31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g2gPT31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gantari/v1/jVyV7nvyB2HL8iZyDk4GVvSZ5MtC9g2JPT31a5GD2qnm.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoedWyYZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeVWzYZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeYuzYZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoedWzYZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeeezYZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeQu0YZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeTK0YZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeVW0YZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/gantari/v1/jVyb7nvyB2HL8iZyJEc0qSzwj1Hs8RjoeXy0YZCh37nmpWc.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gantari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/gantari/gantari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:492;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Gasoek One\";s:10:\"fontFamily\";s:24:\"\"Gasoek One\", sans-serif\";s:4:\"slug\";s:10:\"gasoek-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/gasoekone/v3/EJRTQgQ_UMUKvDgnlX80zr-_cyb-vco.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Gasoek One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/gasoek-one/gasoek-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/gasoek-one/gasoek-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:493;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Gayathri\";s:10:\"fontFamily\";s:20:\"Gayathri, sans-serif\";s:4:\"slug\";s:8:\"gayathri\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/gayathri/v17/MCoWzAb429DbBilWLLhc-p7SA_gA2W8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gayathri\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gayathri/gayathri-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/gayathri/v17/MCoQzAb429DbBilWLIA98J_wBugA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gayathri\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gayathri/gayathri-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/gayathri/v17/MCoXzAb429DbBilWLLiE37v9LfQJwHbn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gayathri\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gayathri/gayathri-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/gayathri/gayathri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:494;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Gelasio\";s:10:\"fontFamily\";s:14:\"Gelasio, serif\";s:4:\"slug\";s:7:\"gelasio\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/gelasio/v12/cIfiMaFfvUQxTTqS3iKJkLGbI41wQL8Ilycp-TDO8Aba.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/gelasio/v12/cIfiMaFfvUQxTTqS3iKJkLGbI41wQL86lycp-TDO8Aba.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/gelasio/v12/cIfiMaFfvUQxTTqS3iKJkLGbI41wQL_WkCcp-TDO8Aba.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/gelasio/v12/cIfiMaFfvUQxTTqS3iKJkLGbI41wQL_vkCcp-TDO8Aba.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/gelasio/v12/cIfsMaFfvUQxTTqS9Cu7b2nySBfeR6rA1M9v8zHs9RbanYs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/gelasio/v12/cIfsMaFfvUQxTTqS9Cu7b2nySBfeR6rA1P1v8zHs9RbanYs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/gelasio/v12/cIfsMaFfvUQxTTqS9Cu7b2nySBfeR6rA1BFo8zHs9RbanYs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/gelasio/v12/cIfsMaFfvUQxTTqS9Cu7b2nySBfeR6rA1Cho8zHs9RbanYs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Gelasio\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/gelasio/gelasio.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:495;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Gemunu Libre\";s:10:\"fontFamily\";s:26:\"\"Gemunu Libre\", sans-serif\";s:4:\"slug\";s:12:\"gemunu-libre\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp05iJPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp00aJPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp0xiJPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp0yqJPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp08aOPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp0_-OPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/gemunulibre/v14/X7n34bQ6Cfy7jKGXVE_YlqnbEQAFP-PIuTCp05iOPvGLeMXPIWA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gemunu Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/gemunu-libre/gemunu-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:496;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Genos\";s:10:\"fontFamily\";s:17:\"Genos, sans-serif\";s:4:\"slug\";s:5:\"genos\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVqknoqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVKkjoqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwV9EjoqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVqkjoqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVmEjoqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVdE_oqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVTU_oqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVKk_oqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/genos/v12/SlGNmQqPqpUOYTYjacb0Hc91fTwVA0_oqEK6K7ZsAg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgsA70i7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYguA7ki7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgte7ki7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgsA7ki7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgsy7ki7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgve6Ui7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgvn6Ui7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYguA6Ui7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/genos/v12/SlGPmQqPqpUOYRwqWzksdKTv0zsAYgup6Ui7CbN8Ard7.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Genos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/genos/genos.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:497;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Gentium Book Plus\";s:10:\"fontFamily\";s:26:\"\"Gentium Book Plus\", serif\";s:4:\"slug\";s:17:\"gentium-book-plus\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/gentiumbookplus/v1/vEFL2-RHBgUK5fbjKxRpbBtJPyRpofKadbLOrdPV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Gentium Book Plus\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-book-plus/gentium-book-plus-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/gentiumbookplus/v1/vEFN2-RHBgUK5fbjKxRpbBtJPyRpocKdf7PsqMPVZb4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Gentium Book Plus\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-book-plus/gentium-book-plus-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/gentiumbookplus/v1/vEFO2-RHBgUK5fbjKxRpbBtJPyRpocojWpbDhs_cfKe1.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Gentium Book Plus\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-book-plus/gentium-book-plus-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/gentiumbookplus/v1/vEFA2-RHBgUK5fbjKxRpbBtJPyRpocKdRwrDjM7-ebe1Els.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Gentium Book Plus\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-book-plus/gentium-book-plus-700-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-book-plus/gentium-book-plus.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:498;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Gentium Plus\";s:10:\"fontFamily\";s:21:\"\"Gentium Plus\", serif\";s:4:\"slug\";s:12:\"gentium-plus\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/gentiumplus/v2/Iurd6Ytw-oSPaZ00r2bNe8VpiZtM6G0t9w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gentium Plus\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-plus/gentium-plus-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/gentiumplus/v2/IurD6Ytw-oSPaZ00r2bNe8VZjpFNymg9957e.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Gentium Plus\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-plus/gentium-plus-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/gentiumplus/v2/IurC6Ytw-oSPaZ00r2bNe8VRMLRo5UYx_ofHsw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gentium Plus\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-plus/gentium-plus-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/gentiumplus/v2/IurA6Ytw-oSPaZ00r2bNe8VZjqn05Uww3ILXs-h6.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Gentium Plus\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-plus/gentium-plus-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/gentium-plus/gentium-plus.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:499;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Geo\";s:10:\"fontFamily\";s:15:\"Geo, sans-serif\";s:4:\"slug\";s:3:\"geo\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:64:\"https://fonts.gstatic.com/s/geo/v21/CSRz4zRZlufVKnBmQjlCbQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Geo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/geo/geo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/geo/v21/CSRx4zRZluflLXpnYDxSbf8r.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"Geo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/geo/geo-400-italic.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/geo/geo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:500;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Geologica\";s:10:\"fontFamily\";s:21:\"Geologica, sans-serif\";s:4:\"slug\";s:9:\"geologica\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqDx_qQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqD5_rQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqD0HrQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqDx_rQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqDy3rQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqD8HsQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqD_jsQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqD5_sQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:146:\"https://fonts.gstatic.com/s/geologica/v1/oY1o8evIr7j9P3TN9YwNAdyjzUyDKkKdAGOJh1UlCDUIhAIdhCZOn1fLsig7jfvCCPHZckU8H3G11_z-_OZqD7bsQ-YYAXWnqFs.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Geologica\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/geologica/geologica.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:501;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Georama\";s:10:\"fontFamily\";s:19:\"Georama, sans-serif\";s:4:\"slug\";s:7:\"georama\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5GvktnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5mvgtnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5RPgtnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5GvgtnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5KPgtnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5xP8tnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5_f8tnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5mv8tnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/georama/v13/MCo5zAn438bIEyxFf6swMnNpvPcUwW4u4yRcDh-ZjxApn9K5s_8tnAsL5_tgbg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rvF2wEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rtF2gEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rub2gEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rvF2gEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rv32gEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rsb3QEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rsi3QEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rtF3QEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/georama/v13/MCo_zAn438bIEyxFVaIC0ZMQ72G6xnvmodYVPOBB5nuzMdWs0rts3QEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Georama\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/georama/georama.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:502;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Geostar\";s:10:\"fontFamily\";s:18:\"Geostar, system-ui\";s:4:\"slug\";s:7:\"geostar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/geostar/v26/sykz-yx4n701VLOftS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Geostar\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/geostar/geostar-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/geostar/geostar.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:503;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Geostar Fill\";s:10:\"fontFamily\";s:25:\"\"Geostar Fill\", system-ui\";s:4:\"slug\";s:12:\"geostar-fill\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/geostarfill/v26/AMOWz4SWuWiXFfjEohxQ9os0VlK2w9lb4g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Geostar Fill\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/geostar-fill/geostar-fill-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/geostar-fill/geostar-fill.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:504;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Germania One\";s:10:\"fontFamily\";s:25:\"\"Germania One\", system-ui\";s:4:\"slug\";s:12:\"germania-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/germaniaone/v20/Fh4yPjrqIyv2ucM2qzBjeS3eyQJONau6ew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Germania One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/germania-one/germania-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/germania-one/germania-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:505;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Gideon Roman\";s:10:\"fontFamily\";s:25:\"\"Gideon Roman\", system-ui\";s:4:\"slug\";s:12:\"gideon-roman\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/gideonroman/v11/e3tmeuGrVOys8sxzZgWlmXogfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gideon Roman\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gideon-roman/gideon-roman-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/gideon-roman/gideon-roman.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:506;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gidugu\";s:10:\"fontFamily\";s:18:\"Gidugu, sans-serif\";s:4:\"slug\";s:6:\"gidugu\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/gidugu/v25/L0x8DFMkk1Uf6w3RufCmRSlUig.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gidugu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gidugu/gidugu-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gidugu/gidugu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:507;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Gilda Display\";s:10:\"fontFamily\";s:22:\"\"Gilda Display\", serif\";s:4:\"slug\";s:13:\"gilda-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/gildadisplay/v18/t5tmIRoYMoaYG0WEOh7HwMeR7TzFrpOHYh4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Gilda Display\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/gilda-display/gilda-display-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/gilda-display/gilda-display.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:508;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Girassol\";s:10:\"fontFamily\";s:19:\"Girassol, system-ui\";s:4:\"slug\";s:8:\"girassol\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/girassol/v22/JTUUjIo_-DK48laaNC9Iz2pJzxbi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Girassol\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/girassol/girassol-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/girassol/girassol.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:509;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Give You Glory\";s:10:\"fontFamily\";s:25:\"\"Give You Glory\", cursive\";s:4:\"slug\";s:14:\"give-you-glory\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/giveyouglory/v15/8QIQdiHOgt3vv4LR7ahjw9-XYc12B4ZD6rwa.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Give You Glory\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/give-you-glory/give-you-glory-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/give-you-glory/give-you-glory.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:510;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Glass Antiqua\";s:10:\"fontFamily\";s:26:\"\"Glass Antiqua\", system-ui\";s:4:\"slug\";s:13:\"glass-antiqua\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glassantiqua/v24/xfu30Wr0Wn3NOQM2piC0uXOjnLrwN6fRUkY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Glass Antiqua\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/glass-antiqua/glass-antiqua-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/glass-antiqua/glass-antiqua.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:511;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Glegoo\";s:10:\"fontFamily\";s:13:\"Glegoo, serif\";s:4:\"slug\";s:6:\"glegoo\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/glegoo/v16/_Xmt-HQyrTKWaw2JjqmZAI91xw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Glegoo\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/glegoo/glegoo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/glegoo/v16/_Xmu-HQyrTKWaw2xN4a9DaRpzimMsg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Glegoo\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/glegoo/glegoo-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/glegoo/glegoo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:512;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gloock\";s:10:\"fontFamily\";s:13:\"Gloock, serif\";s:4:\"slug\";s:6:\"gloock\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/gloock/v6/Iurb6YFw84WUY4N5ihylBrdRjQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gloock\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gloock/gloock-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gloock/gloock.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:513;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Gloria Hallelujah\";s:10:\"fontFamily\";s:28:\"\"Gloria Hallelujah\", cursive\";s:4:\"slug\";s:17:\"gloria-hallelujah\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/gloriahallelujah/v21/LYjYdHv3kUk9BMV96EIswT9DIbW-MLS33TKEvkCF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Gloria Hallelujah\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/gloria-hallelujah/gloria-hallelujah-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/gloria-hallelujah/gloria-hallelujah.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:514;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Glory\";s:10:\"fontFamily\";s:17:\"Glory, sans-serif\";s:4:\"slug\";s:5:\"glory\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQwIiDo3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQQImDo3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQnomDo3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQwImDo3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQ8omDo3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQHo6Do3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQJ46Do3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/glory/v15/q5uasoi9Lf1w5t3Est24nq9blIRQQI6Do3-dDi9EOQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMpr5HWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-100-italic.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMrr5XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-200-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMo15XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-300-italic.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMpr5XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-400-italic.svg\";}i:12;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMpZ5XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-500-italic.svg\";}i:13;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMq14nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-600-italic.svg\";}i:14;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMqM4nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-700-italic.svg\";}i:15;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/glory/v15/q5uYsoi9Lf1w5vfNgCJg98TBOoNFCMrr4nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Glory\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory-800-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/glory/glory.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:515;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gluten\";s:10:\"fontFamily\";s:17:\"Gluten, system-ui\";s:4:\"slug\";s:6:\"gluten\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8Vb7B1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8Xb7R1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8UF7R1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8Vb7R1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8Vp7R1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8WF6h1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8W86h1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8Xb6h1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/gluten/v16/Hhy_U5gk9fW7OUdVIPh2zD_RSqQJ__A15jgJsn-Bhb_yI8Xy6h1Ouni7ciJh.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gluten\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gluten/gluten.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:516;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Goblin One\";s:10:\"fontFamily\";s:23:\"\"Goblin One\", system-ui\";s:4:\"slug\";s:10:\"goblin-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/goblinone/v26/CSR64z1ZnOqZRjRCBVY_TOIATNt_pOU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Goblin One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/goblin-one/goblin-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/goblin-one/goblin-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:517;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Gochi Hand\";s:10:\"fontFamily\";s:21:\"\"Gochi Hand\", cursive\";s:4:\"slug\";s:10:\"gochi-hand\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/gochihand/v23/hES06XlsOjtJsgCkx1PkTov1-n0nXWA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Gochi Hand\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/gochi-hand/gochi-hand-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/gochi-hand/gochi-hand.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:518;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Goldman\";s:10:\"fontFamily\";s:18:\"Goldman, system-ui\";s:4:\"slug\";s:7:\"goldman\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/goldman/v19/pe0uMIWbN4JFplR2LDd4Bt-7G98.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Goldman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/goldman/goldman-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/goldman/v19/pe0rMIWbN4JFplR2FI5XItKQB9Zra1U.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Goldman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/goldman/goldman-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/goldman/goldman.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:519;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Golos Text\";s:10:\"fontFamily\";s:24:\"\"Golos Text\", sans-serif\";s:4:\"slug\";s:10:\"golos-text\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/golostext/v4/q5uXsoe9Lv5t7Meb31EcOR9UdVTNs822plVRRQ5ZEr8zXcyx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Golos Text\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/golostext/v4/q5uXsoe9Lv5t7Meb31EcOR9UdVTNs822plVjRQ5ZEr8zXcyx.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Golos Text\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/golostext/v4/q5uXsoe9Lv5t7Meb31EcOR9UdVTNs822plWPQg5ZEr8zXcyx.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Golos Text\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/golostext/v4/q5uXsoe9Lv5t7Meb31EcOR9UdVTNs822plW2Qg5ZEr8zXcyx.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Golos Text\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/golostext/v4/q5uXsoe9Lv5t7Meb31EcOR9UdVTNs822plXRQg5ZEr8zXcyx.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Golos Text\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/golostext/v4/q5uXsoe9Lv5t7Meb31EcOR9UdVTNs822plX4Qg5ZEr8zXcyx.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Golos Text\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/golos-text/golos-text.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:520;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Gorditas\";s:10:\"fontFamily\";s:19:\"Gorditas, system-ui\";s:4:\"slug\";s:8:\"gorditas\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/gorditas/v22/ll8_K2aTVD26DsPEtQDtDa4AlxYb.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gorditas\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gorditas/gorditas-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/gorditas/v22/ll84K2aTVD26DsPEtThUIooNvAoShA1i.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gorditas\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gorditas/gorditas-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/gorditas/gorditas.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:521;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Gothic A1\";s:10:\"fontFamily\";s:23:\"\"Gothic A1\", sans-serif\";s:4:\"slug\";s:10:\"gothic-a-1\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/gothica1/v13/CSR74z5ZnPydRjlCCwlCCMcvYtd2vfwk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlCpOYKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlCwOUKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/gothica1/v13/CSR94z5ZnPydRjlCCwl6ac0uQNJmvQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlCmOQKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlCtOMKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlC0OIKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlCzOEKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gothica1/v13/CSR44z5ZnPydRjlCCwlC6OAKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gothic A1\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/gothic-a1/gothic-a1.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:522;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Gotu\";s:10:\"fontFamily\";s:16:\"Gotu, sans-serif\";s:4:\"slug\";s:4:\"gotu\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/gotu/v16/o-0FIpksx3QOlHgLioh6-hU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Gotu\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/gotu/gotu-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/gotu/gotu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:523;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Goudy Bookletter 1911\";s:10:\"fontFamily\";s:30:\"\"Goudy Bookletter 1911\", serif\";s:4:\"slug\";s:21:\"goudy-bookletter-1911\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/goudybookletter1911/v19/sykt-z54laciWfKv-kX8krex0jDiD2HbY6I5sBbXZ4IXAA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Goudy Bookletter 1911\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/goudy-bookletter-1911/goudy-bookletter-1911-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/goudy-bookletter-1911/goudy-bookletter-1911.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:524;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Gowun Batang\";s:10:\"fontFamily\";s:21:\"\"Gowun Batang\", serif\";s:4:\"slug\";s:12:\"gowun-batang\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/gowunbatang/v7/ijwSs5nhRMIjYsdSgcMa3wRhWbH-yuAtLw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gowun Batang\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gowun-batang/gowun-batang-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/gowunbatang/v7/ijwNs5nhRMIjYsdSgcMa3wRZ4J7ax8sxJii23w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gowun Batang\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gowun-batang/gowun-batang-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/gowun-batang/gowun-batang.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:525;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Gowun Dodum\";s:10:\"fontFamily\";s:25:\"\"Gowun Dodum\", sans-serif\";s:4:\"slug\";s:11:\"gowun-dodum\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/gowundodum/v7/3Jn5SD_00GqwlBnWc1TUJF0AfORL0fNy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Gowun Dodum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/gowun-dodum/gowun-dodum-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/gowun-dodum/gowun-dodum.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:526;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Graduate\";s:10:\"fontFamily\";s:15:\"Graduate, serif\";s:4:\"slug\";s:8:\"graduate\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/graduate/v17/C8cg4cs3o2n15t_2YxgU6X2NZAn2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Graduate\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/graduate/graduate-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/graduate/graduate.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:527;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Grand Hotel\";s:10:\"fontFamily\";s:22:\"\"Grand Hotel\", cursive\";s:4:\"slug\";s:11:\"grand-hotel\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/grandhotel/v19/7Au7p_IgjDKdCRWuR1azpmQIEl0O0kEx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Grand Hotel\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/grand-hotel/grand-hotel-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/grand-hotel/grand-hotel.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:528;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Grandiflora One\";s:10:\"fontFamily\";s:24:\"\"Grandiflora One\", serif\";s:4:\"slug\";s:15:\"grandiflora-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/grandifloraone/v3/0ybmGD0g27bCk_5MGWZcKWhxwnUU-B3y8DOWGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Grandiflora One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/grandiflora-one/grandiflora-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/grandiflora-one/grandiflora-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:529;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Grandstander\";s:10:\"fontFamily\";s:23:\"Grandstander, system-ui\";s:4:\"slug\";s:12:\"grandstander\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD1-_D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD9--D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQDwG-D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD1--D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD22-D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD4G5D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD7i5D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD9-5D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/grandstander/v18/ga6fawtA-GpSsTWrnNHPCSIMZhhKpFjyNZIQD_a5D33WttFGmQk.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf95zrct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf9Zzvct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf9uTvct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf95zvct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf91Tvct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf9OTzct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf9ADzct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf9Zzzct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/grandstander/v18/ga6ZawtA-GpSsTWrnNHPCSImbyq1fDGZrzwXGpf9Tjzct_NDiQlBYQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Grandstander\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander-900-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/grandstander/grandstander.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:530;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Grape Nuts\";s:10:\"fontFamily\";s:21:\"\"Grape Nuts\", cursive\";s:4:\"slug\";s:10:\"grape-nuts\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/grapenuts/v5/syk2-yF4iLM2RfKj4F7k3tfvol2RN1E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Grape Nuts\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/grape-nuts/grape-nuts-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/grape-nuts/grape-nuts.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:531;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Gravitas One\";s:10:\"fontFamily\";s:25:\"\"Gravitas One\", system-ui\";s:4:\"slug\";s:12:\"gravitas-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/gravitasone/v19/5h1diZ4hJ3cblKy3LWakKQmaCGRNr3DzbQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Gravitas One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/gravitas-one/gravitas-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/gravitas-one/gravitas-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:532;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Great Vibes\";s:10:\"fontFamily\";s:22:\"\"Great Vibes\", cursive\";s:4:\"slug\";s:11:\"great-vibes\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/greatvibes/v19/RWmMoKWR9v4ksMfaWd_JN-XHg6UKDXlq.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Great Vibes\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/great-vibes/great-vibes-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/great-vibes/great-vibes.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:533;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Grechen Fuemen\";s:10:\"fontFamily\";s:25:\"\"Grechen Fuemen\", cursive\";s:4:\"slug\";s:14:\"grechen-fuemen\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/grechenfuemen/v9/vEFI2_tHEQ4d5ObgKxBzZh0MAWgZ-NaXXq7H.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grechen Fuemen\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grechen-fuemen/grechen-fuemen-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/grechen-fuemen/grechen-fuemen.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:534;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Grenze\";s:10:\"fontFamily\";s:13:\"Grenze, serif\";s:4:\"slug\";s:6:\"grenze\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/grenze/v15/O4ZRFGb7hR12BxqPm2ImuAkalnmd.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/grenze/v15/O4ZXFGb7hR12BxqH_VpHsgg4k2md0kI.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPN0MDlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_Vrrky0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPU0ADlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_VqPkC0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/grenze/v15/O4ZTFGb7hR12Bxq3-mgnmgwKlg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/grenze/v15/O4ZRFGb7hR12BxqH_WImuAkalnmd.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPC0EDlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_VrXkS0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPJ0YDlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_Vr7li0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPQ0cDlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_Vqfly0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPX0QDlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_VqDlC0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/grenze/v15/O4ZQFGb7hR12BxqPe0UDlycWn2CEyw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/grenze/v15/O4ZWFGb7hR12BxqH_VqnlS0XvWWUy1uW.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Grenze\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze/grenze.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:535;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Grenze Gotisch\";s:10:\"fontFamily\";s:27:\"\"Grenze Gotisch\", system-ui\";s:4:\"slug\";s:14:\"grenze-gotisch\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5Lz5UdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5rz9UdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5cT9UdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5Lz9UdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5HT9UdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i58ThUdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5yDhUdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5rzhUdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/grenzegotisch/v18/Fh4hPjjqNDz1osh_jX9YfjudpBJBNV5y5wf_k1i5hjhUdYCdYPSd_w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Grenze Gotisch\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/grenze-gotisch/grenze-gotisch.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:536;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Grey Qo\";s:10:\"fontFamily\";s:18:\"\"Grey Qo\", cursive\";s:4:\"slug\";s:7:\"grey-qo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/greyqo/v9/BXRrvF_Nmv_TyXxNDO5Q9Wf0QcE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Grey Qo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/grey-qo/grey-qo-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/grey-qo/grey-qo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:537;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Griffy\";s:10:\"fontFamily\";s:17:\"Griffy, system-ui\";s:4:\"slug\";s:6:\"griffy\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/griffy/v22/FwZa7-ox2FQh9kfwTdSEwM2zpA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Griffy\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/griffy/griffy-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/griffy/griffy.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:538;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gruppo\";s:10:\"fontFamily\";s:18:\"Gruppo, sans-serif\";s:4:\"slug\";s:6:\"gruppo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/gruppo/v21/WwkfxPmzE06v_ZWFXHDAOIEQUQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gruppo\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gruppo/gruppo-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gruppo/gruppo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:539;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Gudea\";s:10:\"fontFamily\";s:17:\"Gudea, sans-serif\";s:4:\"slug\";s:5:\"gudea\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/gudea/v15/neIFzCqgsI0mp-CK9IGON7Ez.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Gudea\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/gudea/gudea-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/gudea/v15/neILzCqgsI0mp9CN_oCsMqEzSJQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Gudea\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/gudea/gudea-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/gudea/v15/neIIzCqgsI0mp9gz26WDHK06UY30.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Gudea\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/gudea/gudea-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/gudea/gudea.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:540;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Gugi\";s:10:\"fontFamily\";s:15:\"Gugi, system-ui\";s:4:\"slug\";s:4:\"gugi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/gugi/v15/A2BVn5dXywshVAuA9DEfgqM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Gugi\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/gugi/gugi-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/gugi/gugi.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:541;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gulzar\";s:10:\"fontFamily\";s:13:\"Gulzar, serif\";s:4:\"slug\";s:6:\"gulzar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/gulzar/v12/Wnz6HAc9eB3HB2ILZDwZqg_MPQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gulzar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gulzar/gulzar-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gulzar/gulzar.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:542;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Gupter\";s:10:\"fontFamily\";s:13:\"Gupter, serif\";s:4:\"slug\";s:6:\"gupter\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/gupter/v15/2-cm9JNmxJqPO1QUZJa_Wu_lpA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gupter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gupter/gupter-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/gupter/v15/2-cl9JNmxJqPO1Qslb-bV8T5rZhaZg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gupter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gupter/gupter-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/gupter/v15/2-cl9JNmxJqPO1Qs3bmbV8T5rZhaZg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Gupter\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/gupter/gupter-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/gupter/gupter.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:543;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Gurajada\";s:10:\"fontFamily\";s:15:\"Gurajada, serif\";s:4:\"slug\";s:8:\"gurajada\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/gurajada/v19/FwZY7-Qx308m-l-0Kd6F4sijpFu_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Gurajada\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/gurajada/gurajada-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/gurajada/gurajada.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:544;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Gwendolyn\";s:10:\"fontFamily\";s:18:\"Gwendolyn, cursive\";s:4:\"slug\";s:9:\"gwendolyn\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/gwendolyn/v7/qkBXXvoO_M3CSss-d7ee4ZRLkAXbMQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gwendolyn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gwendolyn/gwendolyn-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/gwendolyn/v7/qkBSXvoO_M3CSss-d7emWLtvnS7HONiSFQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Gwendolyn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/gwendolyn/gwendolyn-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/gwendolyn/gwendolyn.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:545;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Habibi\";s:10:\"fontFamily\";s:13:\"Habibi, serif\";s:4:\"slug\";s:6:\"habibi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/habibi/v21/CSR-4zFWkuqcTTNCTxJeZOYySQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Habibi\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/habibi/habibi-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/habibi/habibi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:546;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Hachi Maru Pop\";s:10:\"fontFamily\";s:25:\"\"Hachi Maru Pop\", cursive\";s:4:\"slug\";s:14:\"hachi-maru-pop\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/hachimarupop/v20/HI_TiYoRLqpLrEiMAuO9Ysfz7rWwEM_btd8u.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hachi Maru Pop\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hachi-maru-pop/hachi-maru-pop-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/hachi-maru-pop/hachi-maru-pop.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:547;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Hahmlet\";s:10:\"fontFamily\";s:14:\"Hahmlet, serif\";s:4:\"slug\";s:7:\"hahmlet\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RhKOdjtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RjKONjtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RgUONjtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RhKONjtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4Rh4ONjtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RiUP9jtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RitP9jtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RjKP9jtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hahmlet/v13/BngXUXpCQ3nKpIo0TfPyfCdXfaeU4RjjP9jtbsO-aVxn.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hahmlet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/hahmlet/hahmlet.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:548;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Halant\";s:10:\"fontFamily\";s:13:\"Halant, serif\";s:4:\"slug\";s:6:\"halant\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/halant/v14/u-490qaujRI2Pbsvc_pCngZqcwdRXg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Halant\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/halant/halant-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/halant/v14/u-4-0qaujRI2PbsX2tJmky12eg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Halant\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/halant/halant-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/halant/v14/u-490qaujRI2PbsvK_tCngZqcwdRXg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Halant\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/halant/halant-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/halant/v14/u-490qaujRI2PbsvB_xCngZqcwdRXg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Halant\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/halant/halant-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/halant/v14/u-490qaujRI2PbsvY_1CngZqcwdRXg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Halant\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/halant/halant-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/halant/halant.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:549;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Hammersmith One\";s:10:\"fontFamily\";s:29:\"\"Hammersmith One\", sans-serif\";s:4:\"slug\";s:15:\"hammersmith-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/hammersmithone/v17/qWcyB624q4L_C4jGQ9IK0O_dFlnbtxsks4MRXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Hammersmith One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/hammersmith-one/hammersmith-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/hammersmith-one/hammersmith-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:550;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Hanalei\";s:10:\"fontFamily\";s:18:\"Hanalei, system-ui\";s:4:\"slug\";s:7:\"hanalei\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/hanalei/v23/E21n_dD8iufIjBRHXz0mVydREus.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hanalei\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hanalei/hanalei-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/hanalei/hanalei.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:551;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Hanalei Fill\";s:10:\"fontFamily\";s:25:\"\"Hanalei Fill\", system-ui\";s:4:\"slug\";s:12:\"hanalei-fill\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/hanaleifill/v22/fC1mPYtObGbfyQznIaQzPQiMUgLBplm9aw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Hanalei Fill\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/hanalei-fill/hanalei-fill-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/hanalei-fill/hanalei-fill.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:552;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Handjet\";s:10:\"fontFamily\";s:18:\"Handjet, system-ui\";s:4:\"slug\";s:7:\"handjet\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHTmbUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHbmaUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHWeaUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHTmaUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHQuaUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHeedUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHd6dUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHbmdUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/handjet/v19/oY1n8eXHq7n1OnbQrOY_2FrEwYEMLlcdP1mCtZaLaTutCwcIhGZ0lGU0akFcO3XFHZCdUkAsEHFAH2A.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handjet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/handjet/handjet.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:553;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Handlee\";s:10:\"fontFamily\";s:16:\"Handlee, cursive\";s:4:\"slug\";s:7:\"handlee\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/handlee/v18/-F6xfjBsISg9aMakDm_6oilJ3ik.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Handlee\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/handlee/handlee-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/handlee/handlee.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:554;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Hanken Grotesk\";s:10:\"fontFamily\";s:28:\"\"Hanken Grotesk\", sans-serif\";s:4:\"slug\";s:14:\"hanken-grotesk\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_Ncs2da5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_NcM2Za5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_Nc7WZa5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_Ncs2Za5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_NcgWZa5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_NcbWFa5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_NcVGFa5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_NcM2Fa5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVq2YZDLWuGJpnzaiwFXS9tYvBRzyFLlZg_f_NcGmFa5PpNzXhRKA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyWyo_BM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyUyovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyXsovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyWyovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyWAovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyVspfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyVVpfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyUypfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/hankengrotesk/v8/ieVo2YZDLWuGJpnzaiwFXS9tYtpY_d6T_POl0fRJeyUbpfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Hanken Grotesk\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/hanken-grotesk/hanken-grotesk.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:555;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Hanuman\";s:10:\"fontFamily\";s:14:\"Hanuman, serif\";s:4:\"slug\";s:7:\"hanuman\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/hanuman/v22/VuJzdNvD15HhpJJBQMLdOaNiaRpFvg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hanuman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hanuman/hanuman-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/hanuman/v22/VuJ0dNvD15HhpJJBQAr_HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hanuman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hanuman/hanuman-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/hanuman/v22/VuJxdNvD15HhpJJBeKPXOIFneRo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hanuman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hanuman/hanuman-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/hanuman/v22/VuJ0dNvD15HhpJJBQBr4HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hanuman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hanuman/hanuman-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/hanuman/v22/VuJ0dNvD15HhpJJBQCL6HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Hanuman\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/hanuman/hanuman-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/hanuman/hanuman.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:556;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Happy Monkey\";s:10:\"fontFamily\";s:25:\"\"Happy Monkey\", system-ui\";s:4:\"slug\";s:12:\"happy-monkey\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/happymonkey/v14/K2F2fZZcl-9SXwl5F_C4R_OAAgD2bWqVjw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Happy Monkey\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/happy-monkey/happy-monkey-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/happy-monkey/happy-monkey.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:557;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Harmattan\";s:10:\"fontFamily\";s:21:\"Harmattan, sans-serif\";s:4:\"slug\";s:9:\"harmattan\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/harmattan/v19/goksH6L2DkFvVvRp9XpTTkCjkP1Yog.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Harmattan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/harmattan/harmattan-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/harmattan/v19/gokpH6L2DkFvVvRp9Xprv2mHndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Harmattan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/harmattan/harmattan-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/harmattan/v19/gokpH6L2DkFvVvRp9Xprk26HndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Harmattan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/harmattan/harmattan-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/harmattan/v19/gokpH6L2DkFvVvRp9Xpr92-HndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Harmattan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/harmattan/harmattan-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/harmattan/harmattan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:558;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Headland One\";s:10:\"fontFamily\";s:21:\"\"Headland One\", serif\";s:4:\"slug\";s:12:\"headland-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/headlandone/v16/yYLu0hHR2vKnp89Tk1TCq3Tx1flTeZ3mJA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Headland One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/headland-one/headland-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/headland-one/headland-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:559;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Hedvig Letters Sans\";s:10:\"fontFamily\";s:33:\"\"Hedvig Letters Sans\", sans-serif\";s:4:\"slug\";s:19:\"hedvig-letters-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/hedvigletterssans/v2/CHy_V_PfGVjobSBkihHWDT98RVp37w8jQJhN3Twgi1w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Hedvig Letters Sans\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/hedvig-letters-sans/hedvig-letters-sans-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/hedvig-letters-sans/hedvig-letters-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:560;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Hedvig Letters Serif\";s:10:\"fontFamily\";s:29:\"\"Hedvig Letters Serif\", serif\";s:4:\"slug\";s:20:\"hedvig-letters-serif\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/hedviglettersserif/v2/OD5puN2I2mekHmyoU1Kj2AXOd5_7v7gIDlX8quj7viQ_N1HixEAZerfcvSGpZg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Hedvig Letters Serif\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/hedvig-letters-serif/hedvig-letters-serif-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/hedvig-letters-serif/hedvig-letters-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:561;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Heebo\";s:10:\"fontFamily\";s:17:\"Heebo, sans-serif\";s:4:\"slug\";s:5:\"heebo\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1EiS2cd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1ECSycd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1E1yycd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1EiSycd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1Euyycd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1EVyucd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1Ebiucd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1ECSucd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/heebo/v26/NGSpv5_NC0k9P_v6ZUCbLRAHxK1EICucd0Onz02SXQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Heebo\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/heebo/heebo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:562;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Henny Penny\";s:10:\"fontFamily\";s:24:\"\"Henny Penny\", system-ui\";s:4:\"slug\";s:11:\"henny-penny\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/hennypenny/v17/wXKvE3UZookzsxz_kjGSfMQvt3M7tMDT.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Henny Penny\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/henny-penny/henny-penny-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/henny-penny/henny-penny.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:563;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Hepta Slab\";s:10:\"fontFamily\";s:19:\"\"Hepta Slab\", serif\";s:4:\"slug\";s:10:\"hepta-slab\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5HvkV5jfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5HvmV5zfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5HvlL5zfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5HvkV5zfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5Hvkn5zfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5HvnL4DfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5Hvny4DfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5HvmV4DfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/heptaslab/v23/ea8JadoyU_jkHdalebHvyWVNdYoIsHe5Hvm84DfeY5B0NBkz.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Hepta Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/hepta-slab/hepta-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:564;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Herr Von Muellerhoff\";s:10:\"fontFamily\";s:31:\"\"Herr Von Muellerhoff\", cursive\";s:4:\"slug\";s:20:\"herr-von-muellerhoff\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/herrvonmuellerhoff/v21/WBL6rFjRZkREW8WqmCWYLgCkQKXb4CAft3c__qJY3QPQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Herr Von Muellerhoff\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/herr-von-muellerhoff/herr-von-muellerhoff-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/herr-von-muellerhoff/herr-von-muellerhoff.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:565;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Hi Melody\";s:10:\"fontFamily\";s:20:\"\"Hi Melody\", cursive\";s:4:\"slug\";s:9:\"hi-melody\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/himelody/v15/46ktlbP8Vnz0pJcqCTbEem9E31BBGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Hi Melody\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/hi-melody/hi-melody-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/hi-melody/hi-melody.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:566;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Hina Mincho\";s:10:\"fontFamily\";s:20:\"\"Hina Mincho\", serif\";s:4:\"slug\";s:11:\"hina-mincho\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/hinamincho/v13/2sDaZGBRhpXa2Jjz5w5LAGW5KbkVZTHR.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Hina Mincho\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/hina-mincho/hina-mincho-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/hina-mincho/hina-mincho.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:567;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Hind\";s:10:\"fontFamily\";s:16:\"Hind, sans-serif\";s:4:\"slug\";s:4:\"hind\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/hind/v16/5aU19_a8oxmIfMJaIR6YjDpf5Vw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Hind\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/hind/hind-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/hind/v16/5aU69_a8oxmIRGtyBROzkDM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Hind\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/hind/hind-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/hind/v16/5aU19_a8oxmIfJpbIR6YjDpf5Vw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Hind\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/hind/hind-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/hind/v16/5aU19_a8oxmIfLZcIR6YjDpf5Vw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Hind\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/hind/hind-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/hind/v16/5aU19_a8oxmIfNJdIR6YjDpf5Vw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Hind\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/hind/hind-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/hind/hind.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:568;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Hind Guntur\";s:10:\"fontFamily\";s:25:\"\"Hind Guntur\", sans-serif\";s:4:\"slug\";s:11:\"hind-guntur\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/hindguntur/v12/wXKyE3UZrok56nvamSuJd_yGn1c2n9zaj5Ju.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Hind Guntur\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-guntur/hind-guntur-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/hindguntur/v12/wXKvE3UZrok56nvamSuJd8Qvt3M7tMDT.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Hind Guntur\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-guntur/hind-guntur-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/hindguntur/v12/wXKyE3UZrok56nvamSuJd_zenlc2n9zaj5Ju.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Hind Guntur\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-guntur/hind-guntur-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/hindguntur/v12/wXKyE3UZrok56nvamSuJd_zymVc2n9zaj5Ju.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Hind Guntur\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-guntur/hind-guntur-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/hindguntur/v12/wXKyE3UZrok56nvamSuJd_yWmFc2n9zaj5Ju.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Hind Guntur\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-guntur/hind-guntur-700-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-guntur/hind-guntur.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:569;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Hind Madurai\";s:10:\"fontFamily\";s:26:\"\"Hind Madurai\", sans-serif\";s:4:\"slug\";s:12:\"hind-madurai\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/hindmadurai/v11/f0Xu0e2p98ZvDXdZQIOcpqjfXaUnfMsoMJ0b_g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Hind Madurai\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-madurai/hind-madurai-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/hindmadurai/v11/f0Xx0e2p98ZvDXdZQIOcpqjn9I0DceA0OQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Hind Madurai\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-madurai/hind-madurai-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/hindmadurai/v11/f0Xu0e2p98ZvDXdZQIOcpqjfBaQnfMsoMJ0b_g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Hind Madurai\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-madurai/hind-madurai-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/hindmadurai/v11/f0Xu0e2p98ZvDXdZQIOcpqjfKaMnfMsoMJ0b_g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Hind Madurai\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-madurai/hind-madurai-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/hindmadurai/v11/f0Xu0e2p98ZvDXdZQIOcpqjfTaInfMsoMJ0b_g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Hind Madurai\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-madurai/hind-madurai-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-madurai/hind-madurai.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:570;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Hind Siliguri\";s:10:\"fontFamily\";s:27:\"\"Hind Siliguri\", sans-serif\";s:4:\"slug\";s:13:\"hind-siliguri\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindsiliguri/v12/ijwOs5juQtsyLLR5jN4cxBEoRDf44uQfKiGvxts.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Siliguri\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-siliguri/hind-siliguri-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/hindsiliguri/v12/ijwTs5juQtsyLLR5jN4cxBEofJ7Qxuk0Nig.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Siliguri\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-siliguri/hind-siliguri-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindsiliguri/v12/ijwOs5juQtsyLLR5jN4cxBEoRG_54uQfKiGvxts.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Siliguri\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-siliguri/hind-siliguri-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindsiliguri/v12/ijwOs5juQtsyLLR5jN4cxBEoREP-4uQfKiGvxts.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Siliguri\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-siliguri/hind-siliguri-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindsiliguri/v12/ijwOs5juQtsyLLR5jN4cxBEoRCf_4uQfKiGvxts.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Siliguri\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-siliguri/hind-siliguri-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-siliguri/hind-siliguri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:571;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Hind Vadodara\";s:10:\"fontFamily\";s:27:\"\"Hind Vadodara\", sans-serif\";s:4:\"slug\";s:13:\"hind-vadodara\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindvadodara/v13/neIQzCKvrIcn5pbuuuriV9tTSDn3iXY0oSOL2Yw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Vadodara\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-vadodara/hind-vadodara-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/hindvadodara/v13/neINzCKvrIcn5pbuuuriV9tTcJDfrXsfvSo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Vadodara\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-vadodara/hind-vadodara-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindvadodara/v13/neIQzCKvrIcn5pbuuuriV9tTSGH2iXY0oSOL2Yw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Vadodara\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-vadodara/hind-vadodara-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindvadodara/v13/neIQzCKvrIcn5pbuuuriV9tTSE3xiXY0oSOL2Yw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Vadodara\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-vadodara/hind-vadodara-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/hindvadodara/v13/neIQzCKvrIcn5pbuuuriV9tTSCnwiXY0oSOL2Yw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Hind Vadodara\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-vadodara/hind-vadodara-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/hind-vadodara/hind-vadodara.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:572;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Holtwood One SC\";s:10:\"fontFamily\";s:24:\"\"Holtwood One SC\", serif\";s:4:\"slug\";s:15:\"holtwood-one-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/holtwoodonesc/v21/yYLx0hLR0P-3vMFSk1TCq3Txg5B3dLb6LZttyg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Holtwood One SC\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/holtwood-one-sc/holtwood-one-sc-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/holtwood-one-sc/holtwood-one-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:573;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Homemade Apple\";s:10:\"fontFamily\";s:25:\"\"Homemade Apple\", cursive\";s:4:\"slug\";s:14:\"homemade-apple\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/homemadeapple/v22/Qw3EZQFXECDrI2q789EKQZJob3x4Vnksi4M7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Homemade Apple\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/homemade-apple/homemade-apple-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/homemade-apple/homemade-apple.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:574;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Homenaje\";s:10:\"fontFamily\";s:20:\"Homenaje, sans-serif\";s:4:\"slug\";s:8:\"homenaje\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/homenaje/v16/FwZY7-Q-xVAi_l-6Ld6F4sijpFu_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Homenaje\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/homenaje/homenaje-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/homenaje/homenaje.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:575;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Honk\";s:10:\"fontFamily\";s:15:\"Honk, system-ui\";s:4:\"slug\";s:4:\"honk\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/honk/v1/m8J7jftUea-XwTaemClumrBQbmvynOmXBji9zFhHRr8WFgVLprtNepQKvg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Honk\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/honk/honk-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/honk/honk.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:576;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Hubballi\";s:10:\"fontFamily\";s:20:\"Hubballi, sans-serif\";s:4:\"slug\";s:8:\"hubballi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/hubballi/v7/o-0JIpUj3WIZ1RFN56B-yBBNYuSF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Hubballi\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/hubballi/hubballi-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/hubballi/hubballi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:577;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Hurricane\";s:10:\"fontFamily\";s:18:\"Hurricane, cursive\";s:4:\"slug\";s:9:\"hurricane\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/hurricane/v7/pe0sMIuULZxTolZ5YldyB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Hurricane\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/hurricane/hurricane-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/hurricane/hurricane.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:578;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"IBM Plex Mono\";s:10:\"fontFamily\";s:26:\"\"IBM Plex Mono\", monospace\";s:4:\"slug\";s:13:\"ibm-plex-mono\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6pfjptAgt5VM-kVkqdyU8n3kwq131hj-sNFQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6rfjptAgt5VM-kVkqdyU8n1ioStndgre4dFcFh.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6qfjptAgt5VM-kVkqdyU8n3uAL8lJPg-IUDNg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6sfjptAgt5VM-kVkqdyU8n1ioSGlZFgsARHNh4zg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6qfjptAgt5VM-kVkqdyU8n3oQI8lJPg-IUDNg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6sfjptAgt5VM-kVkqdyU8n1ioSflVFgsARHNh4zg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F63fjptAgt5VM-kVkqdyU8n5i0g1l9kn-s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6pfjptAgt5VM-kVkqdyU8n1ioq131hj-sNFQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6qfjptAgt5VM-kVkqdyU8n3twJ8lJPg-IUDNg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6sfjptAgt5VM-kVkqdyU8n1ioSJlRFgsARHNh4zg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6qfjptAgt5VM-kVkqdyU8n3vAO8lJPg-IUDNg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6sfjptAgt5VM-kVkqdyU8n1ioSClNFgsARHNh4zg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6qfjptAgt5VM-kVkqdyU8n3pQP8lJPg-IUDNg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexmono/v19/-F6sfjptAgt5VM-kVkqdyU8n1ioSblJFgsARHNh4zg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-mono/ibm-plex-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:579;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"IBM Plex Sans\";s:10:\"fontFamily\";s:27:\"\"IBM Plex Sans\", sans-serif\";s:4:\"slug\";s:13:\"ibm-plex-sans\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX-KVElMYYaJe8bpLHnCwDKjbLeFaxIedbzDw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX8KVElMYYaJe8bpLHnCwDKhdTmdKZJW9PjD3N8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX9KVElMYYaJe8bpLHnCwDKjR7_MINmdd_qFmo.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX7KVElMYYaJe8bpLHnCwDKhdTm2IdsdP3vBmpl8A.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX9KVElMYYaJe8bpLHnCwDKjXr8MINmdd_qFmo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX7KVElMYYaJe8bpLHnCwDKhdTmvIRsdP3vBmpl8A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYXgKVElMYYaJe8bpLHnCwDKtdPUFI5NadY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX-KVElMYYaJe8bpLHnCwDKhdTeFaxIedbzDw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX9KVElMYYaJe8bpLHnCwDKjSL9MINmdd_qFmo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX7KVElMYYaJe8bpLHnCwDKhdTm5IVsdP3vBmpl8A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX9KVElMYYaJe8bpLHnCwDKjQ76MINmdd_qFmo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX7KVElMYYaJe8bpLHnCwDKhdTmyIJsdP3vBmpl8A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX9KVElMYYaJe8bpLHnCwDKjWr7MINmdd_qFmo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ibmplexsans/v19/zYX7KVElMYYaJe8bpLHnCwDKhdTmrINsdP3vBmpl8A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"IBM Plex Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans/ibm-plex-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:580;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"IBM Plex Sans Arabic\";s:10:\"fontFamily\";s:34:\"\"IBM Plex Sans Arabic\", sans-serif\";s:4:\"slug\";s:20:\"ibm-plex-sans-arabic\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3MZRtWPQCuHme67tEYUIx3Kh0PHR9N6YNe3PW5eMlAMg0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3NZRtWPQCuHme67tEYUIx3Kh0PHR9N6YPy_dCWVsVJKxTs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3NZRtWPQCuHme67tEYUIx3Kh0PHR9N6YOW_tCWVsVJKxTs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3CZRtWPQCuHme67tEYUIx3Kh0PHR9N6bs_1vSbfdlA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3NZRtWPQCuHme67tEYUIx3Kh0PHR9N6YPO_9CWVsVJKxTs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3NZRtWPQCuHme67tEYUIx3Kh0PHR9N6YPi-NCWVsVJKxTs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsansarabic/v12/Qw3NZRtWPQCuHme67tEYUIx3Kh0PHR9N6YOG-dCWVsVJKxTs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Arabic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic-700-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-arabic/ibm-plex-sans-arabic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:581;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"IBM Plex Sans Condensed\";s:10:\"fontFamily\";s:37:\"\"IBM Plex Sans Condensed\", sans-serif\";s:4:\"slug\";s:23:\"ibm-plex-sans-condensed\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8nN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHY7KyK7BgYsMDhM.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8hN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYas8M_LgKkJHhOgBg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8gN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHY5m6Yvur4cFFwq5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8iN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYas8GPqpYYnEhq5H1w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8gN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHY4C6ovur4cFFwq5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8iN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYas8AfppYYnEhq5H1w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8lN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHbarwq_jhJsM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8nN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYasyK7BgYsMDhM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8gN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHY5a64vur4cFFwq5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8iN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYas8F_opYYnEhq5H1w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8gN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHY527Ivur4cFFwq5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8iN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYas8HPvpYYnEhq5H1w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8gN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHY4S7Yvur4cFFwq5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsanscondensed/v14/Gg8iN4UfRSqiPg7Jn2ZI12V4DCEwkj1E4LVeHYas8BfupYYnEhq5H1w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"IBM Plex Sans Condensed\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed-700-italic.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-condensed/ibm-plex-sans-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:582;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"IBM Plex Sans Devanagari\";s:10:\"fontFamily\";s:38:\"\"IBM Plex Sans Devanagari\", sans-serif\";s:4:\"slug\";s:24:\"ibm-plex-sans-devanagari\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXB3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O_HMUj1UcjwCEQq.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXA3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O_HnWnQfub8AV0z0w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXA3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O_H-WrQfub8AV0z0w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXH3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O__UEL0c83gCA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXA3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O_HoWvQfub8AV0z0w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXA3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O_HjWzQfub8AV0z0w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsansdevanagari/v11/XRXA3JCMvG4IDoS9SubXB6W-UX5iehIMBFR2-O_H6W3Qfub8AV0z0w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"IBM Plex Sans Devanagari\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari-700-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-devanagari/ibm-plex-sans-devanagari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:583;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"IBM Plex Sans Hebrew\";s:10:\"fontFamily\";s:34:\"\"IBM Plex Sans Hebrew\", sans-serif\";s:4:\"slug\";s:20:\"ibm-plex-sans-hebrew\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa4qYENg9Kw1mpLpO0bGM5lfHAAZHhDXEXB-lgVqDaM7C4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa5qYENg9Kw1mpLpO0bGM5lfHAAZHhDXEVt2306hjqF9Tc2.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa5qYENg9Kw1mpLpO0bGM5lfHAAZHhDXEUJ2H06hjqF9Tc2.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa2qYENg9Kw1mpLpO0bGM5lfHAAZHhDXH2g8Fk3rSaM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa5qYENg9Kw1mpLpO0bGM5lfHAAZHhDXEVR2X06hjqF9Tc2.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa5qYENg9Kw1mpLpO0bGM5lfHAAZHhDXEV93n06hjqF9Tc2.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/ibmplexsanshebrew/v11/BCa5qYENg9Kw1mpLpO0bGM5lfHAAZHhDXEUZ3306hjqF9Tc2.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IBM Plex Sans Hebrew\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew-700-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-hebrew/ibm-plex-sans-hebrew.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:584;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"IBM Plex Sans JP\";s:10:\"fontFamily\";s:30:\"\"IBM Plex Sans JP\", sans-serif\";s:4:\"slug\";s:16:\"ibm-plex-sans-jp\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XLDn9KbTDf6_f7dISNqYf_tvPT7E7yifB7twdmHQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XKDn9KbTDf6_f7dISNqYf_tvPT7OLTrN9Vuw5_BAM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XKDn9KbTDf6_f7dISNqYf_tvPT7IbQrN9Vuw5_BAM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XNDn9KbTDf6_f7dISNqYf_tvPT1C_4iNJ-pwc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XKDn9KbTDf6_f7dISNqYf_tvPT7N7RrN9Vuw5_BAM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XKDn9KbTDf6_f7dISNqYf_tvPT7PLWrN9Vuw5_BAM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexsansjp/v6/Z9XKDn9KbTDf6_f7dISNqYf_tvPT7JbXrN9Vuw5_BAM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans JP\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-jp/ibm-plex-sans-jp.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:585;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"IBM Plex Sans KR\";s:10:\"fontFamily\";s:30:\"\"IBM Plex Sans KR\", sans-serif\";s:4:\"slug\";s:16:\"ibm-plex-sans-kr\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFM2-VJISZe3O_rc3ZVYh4aTwNOyra_WpzCpMrMfA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFN2-VJISZe3O_rc3ZVYh4aTwNOyhqef7PsqMPVZb4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFN2-VJISZe3O_rc3ZVYh4aTwNOyn6df7PsqMPVZb4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFK2-VJISZe3O_rc3ZVYh4aTwNO8te1W77HtMo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFN2-VJISZe3O_rc3ZVYh4aTwNOyiacf7PsqMPVZb4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFN2-VJISZe3O_rc3ZVYh4aTwNOygqbf7PsqMPVZb4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ibmplexsanskr/v10/vEFN2-VJISZe3O_rc3ZVYh4aTwNOym6af7PsqMPVZb4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"IBM Plex Sans KR\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-kr/ibm-plex-sans-kr.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:586;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"IBM Plex Sans Thai\";s:10:\"fontFamily\";s:32:\"\"IBM Plex Sans Thai\", sans-serif\";s:4:\"slug\";s:18:\"ibm-plex-sans-thai\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JNje1VVIzcq1HzJq2AEdo2Tj_qvLqEatYgR8ZKUqcX.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JMje1VVIzcq1HzJq2AEdo2Tj_qvLqExvcFaOhGW74OXw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JMje1VVIzcq1HzJq2AEdo2Tj_qvLqEovQFaOhGW74OXw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JPje1VVIzcq1HzJq2AEdo2Tj_qvLq8C9whZcNaUg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JMje1VVIzcq1HzJq2AEdo2Tj_qvLqE-vUFaOhGW74OXw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JMje1VVIzcq1HzJq2AEdo2Tj_qvLqE1vIFaOhGW74OXw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/ibmplexsansthai/v10/m8JMje1VVIzcq1HzJq2AEdo2Tj_qvLqEsvMFaOhGW74OXw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IBM Plex Sans Thai\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai/ibm-plex-sans-thai.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:587;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"IBM Plex Sans Thai Looped\";s:10:\"fontFamily\";s:39:\"\"IBM Plex Sans Thai Looped\", sans-serif\";s:4:\"slug\";s:25:\"ibm-plex-sans-thai-looped\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss5AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30L_HaKoXOtFCQ76Q.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss6AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30L_NqrhFyDGC0i8Cc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss6AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30L_L6ohFyDGC0i8Cc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss_AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30LxBeAoFGoBCQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss6AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30L_OaphFyDGC0i8Cc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss6AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30L_MquhFyDGC0i8Cc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ibmplexsansthailooped/v11/tss6AoJJRAhL3BTrK3r2xxbFhvKfyBB6l7hHT30L_K6vhFyDGC0i8Cc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"IBM Plex Sans Thai Looped\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped-700-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-sans-thai-looped/ibm-plex-sans-thai-looped.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:588;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"IBM Plex Serif\";s:10:\"fontFamily\";s:23:\"\"IBM Plex Serif\", serif\";s:4:\"slug\";s:14:\"ibm-plex-serif\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizBREVNn1dOx-zrZ2X3pZvkTi182zcZj1bIkNo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizHREVNn1dOx-zrZ2X3pZvkTiUa41YTjnTNgNq55w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizAREVNn1dOx-zrZ2X3pZvkTi3Q-hI2oVrBicOg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizGREVNn1dOx-zrZ2X3pZvkTiUa4_oyq1vjjNOg_oc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizAREVNn1dOx-zrZ2X3pZvkTi20-RI2oVrBicOg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizGREVNn1dOx-zrZ2X3pZvkTiUa454xq1vjjNOg_oc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizDREVNn1dOx-zrZ2X3pZvkThUd0TY7ikbI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizBREVNn1dOx-zrZ2X3pZvkTiUa2zcZj1bIkNo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizAREVNn1dOx-zrZ2X3pZvkTi3s-BI2oVrBicOg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizGREVNn1dOx-zrZ2X3pZvkTiUa48Ywq1vjjNOg_oc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizAREVNn1dOx-zrZ2X3pZvkTi3A_xI2oVrBicOg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizGREVNn1dOx-zrZ2X3pZvkTiUa4-o3q1vjjNOg_oc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizAREVNn1dOx-zrZ2X3pZvkTi2k_hI2oVrBicOg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ibmplexserif/v19/jizGREVNn1dOx-zrZ2X3pZvkTiUa4442q1vjjNOg_oc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"IBM Plex Serif\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif-700-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/ibm-plex-serif/ibm-plex-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:589;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"IM Fell DW Pica\";s:10:\"fontFamily\";s:24:\"\"IM Fell DW Pica\", serif\";s:4:\"slug\";s:15:\"im-fell-dw-pica\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/imfelldwpica/v16/2sDGZGRQotv9nbn2qSl0TxXVYNw9YQPUvi88MQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"IM Fell DW Pica\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-dw-pica/im-fell-dw-pica-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/imfelldwpica/v16/2sDEZGRQotv9nbn2qSl0TxXVYNwNZgnVnCosMXm0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"IM Fell DW Pica\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-dw-pica/im-fell-dw-pica-400-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-dw-pica/im-fell-dw-pica.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:590;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"IM Fell DW Pica SC\";s:10:\"fontFamily\";s:27:\"\"IM Fell DW Pica SC\", serif\";s:4:\"slug\";s:18:\"im-fell-dw-pica-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/imfelldwpicasc/v21/0ybjGCAu5PfqkvtGVU15aBhXz3EUrnTW_RiKEUiBGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IM Fell DW Pica SC\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-dw-pica-sc/im-fell-dw-pica-sc-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-dw-pica-sc/im-fell-dw-pica-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:591;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"IM Fell Double Pica\";s:10:\"fontFamily\";s:28:\"\"IM Fell Double Pica\", serif\";s:4:\"slug\";s:19:\"im-fell-double-pica\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/imfelldoublepica/v14/3XF2EqMq_94s9PeKF7Fg4gOKINyMtZ8rT0G1UL5Ayp0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"IM Fell Double Pica\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-double-pica/im-fell-double-pica-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/imfelldoublepica/v14/3XF0EqMq_94s9PeKF7Fg4gOKINyMtZ8rf0a_UZxF2p2G8g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"IM Fell Double Pica\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-double-pica/im-fell-double-pica-400-italic.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-double-pica/im-fell-double-pica.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:592;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"IM Fell Double Pica SC\";s:10:\"fontFamily\";s:31:\"\"IM Fell Double Pica SC\", serif\";s:4:\"slug\";s:22:\"im-fell-double-pica-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/imfelldoublepicasc/v21/neIazDmuiMkFo6zj_sHpQ8teNbWlwBB_hXjJ4YgEeru2dGg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"IM Fell Double Pica SC\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-double-pica-sc/im-fell-double-pica-sc-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-double-pica-sc/im-fell-double-pica-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:593;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"IM Fell English\";s:10:\"fontFamily\";s:24:\"\"IM Fell English\", serif\";s:4:\"slug\";s:15:\"im-fell-english\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/imfellenglish/v14/Ktk1ALSLW8zDe0rthJysWrnLsAz3EqmZVY9Y5w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"IM Fell English\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-english/im-fell-english-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/imfellenglish/v14/Ktk3ALSLW8zDe0rthJysWrnLsAzHFaOYd4pI59zg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"IM Fell English\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-english/im-fell-english-400-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-english/im-fell-english.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:594;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"IM Fell English SC\";s:10:\"fontFamily\";s:27:\"\"IM Fell English SC\", serif\";s:4:\"slug\";s:18:\"im-fell-english-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/imfellenglishsc/v16/a8IENpD3CDX-4zrWfr1VY879qFF05pZLPogOg0shzA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"IM Fell English SC\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-english-sc/im-fell-english-sc-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-english-sc/im-fell-english-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:595;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"IM Fell French Canon\";s:10:\"fontFamily\";s:29:\"\"IM Fell French Canon\", serif\";s:4:\"slug\";s:20:\"im-fell-french-canon\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/imfellfrenchcanon/v21/-F6ufiNtDWYfYc-tDiyiw08rrghJszkK6coQPt1ozoPz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IM Fell French Canon\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-french-canon/im-fell-french-canon-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imfellfrenchcanon/v21/-F6gfiNtDWYfYc-tDiyiw08rrghJszkK6foXNNxKy5PzzrU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"IM Fell French Canon\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-french-canon/im-fell-french-canon-400-italic.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-french-canon/im-fell-french-canon.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:596;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"IM Fell French Canon SC\";s:10:\"fontFamily\";s:32:\"\"IM Fell French Canon SC\", serif\";s:4:\"slug\";s:23:\"im-fell-french-canon-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/imfellfrenchcanonsc/v22/FBVmdCru5-ifcor2bgq9V89khWcmQghEURY7H3cxUBCVIVqH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IM Fell French Canon SC\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-french-canon-sc/im-fell-french-canon-sc-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-french-canon-sc/im-fell-french-canon-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:597;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"IM Fell Great Primer\";s:10:\"fontFamily\";s:29:\"\"IM Fell Great Primer\", serif\";s:4:\"slug\";s:20:\"im-fell-great-primer\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/imfellgreatprimer/v21/bx6aNwSJtayYxOkbYFsT6hMsLzX7u85rJorSvDo3SQY1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"IM Fell Great Primer\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-great-primer/im-fell-great-primer-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imfellgreatprimer/v21/bx6UNwSJtayYxOkbYFsT6hMsLzX7u85rJrrVtjsVTBY1N6U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"IM Fell Great Primer\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-great-primer/im-fell-great-primer-400-italic.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-great-primer/im-fell-great-primer.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:598;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"IM Fell Great Primer SC\";s:10:\"fontFamily\";s:32:\"\"IM Fell Great Primer SC\", serif\";s:4:\"slug\";s:23:\"im-fell-great-primer-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/imfellgreatprimersc/v21/ga6daxBOxyt6sCqz3fjZCTFCTUDMHagsQKdDTLf4BXz0s8FG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"IM Fell Great Primer SC\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-great-primer-sc/im-fell-great-primer-sc-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/im-fell-great-primer-sc/im-fell-great-primer-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:599;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Ibarra Real Nova\";s:10:\"fontFamily\";s:25:\"\"Ibarra Real Nova\", serif\";s:4:\"slug\";s:16:\"ibarra-real-nova\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlSdQiA-DBIDCcaWtQzL4BZHoiDundw4ATyjed3EXdg5MDoVT9TWIvS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlSdQiA-DBIDCcaWtQzL4BZHoiDundw4ATyjed3EXdS5MDoVT9TWIvS.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlSdQiA-DBIDCcaWtQzL4BZHoiDundw4ATyjed3EXe-48DoVT9TWIvS.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlSdQiA-DBIDCcaWtQzL4BZHoiDundw4ATyjed3EXeH48DoVT9TWIvS.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlsdQiA-DBIDCcaWtQzL4BZHoiDkH5CH9yb5n3ZFmKopyiuXz5xXZvSkTo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlsdQiA-DBIDCcaWtQzL4BZHoiDkH5CH9yb5n3ZFmKopxquXz5xXZvSkTo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlsdQiA-DBIDCcaWtQzL4BZHoiDkH5CH9yb5n3ZFmKop_apXz5xXZvSkTo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/ibarrarealnova/v27/sZlsdQiA-DBIDCcaWtQzL4BZHoiDkH5CH9yb5n3ZFmKop8-pXz5xXZvSkTo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ibarra Real Nova\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova-700-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/ibarra-real-nova/ibarra-real-nova.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:600;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Iceberg\";s:10:\"fontFamily\";s:18:\"Iceberg, system-ui\";s:4:\"slug\";s:7:\"iceberg\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/iceberg/v24/8QIJdijAiM7o-qnZuI0Oq7jkAOw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Iceberg\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/iceberg/iceberg-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/iceberg/iceberg.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:601;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Iceland\";s:10:\"fontFamily\";s:18:\"Iceland, system-ui\";s:4:\"slug\";s:7:\"iceland\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/iceland/v20/rax9HiuFsdMNOnWPWKlGADBbg0s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Iceland\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/iceland/iceland-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/iceland/iceland.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:602;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Imbue\";s:10:\"fontFamily\";s:12:\"Imbue, serif\";s:4:\"slug\";s:5:\"imbue\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP8iWfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP0iXfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP5aXfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP8iXfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP_qXfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoPxaQfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoPy-QfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP0iQfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/imbue/v27/RLpXK5P16Ki3fXhj5cvGrqjocPk4n-gVX3M93TnrnvhoP2GQfO4NNK-Q4xY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Imbue\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/imbue/imbue.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:603;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Imperial Script\";s:10:\"fontFamily\";s:26:\"\"Imperial Script\", cursive\";s:4:\"slug\";s:15:\"imperial-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/imperialscript/v6/5DCPAKrpzy_H98IV2ISnZBbGrVNvOOnlvttWNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Imperial Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/imperial-script/imperial-script-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/imperial-script/imperial-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:604;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Imprima\";s:10:\"fontFamily\";s:19:\"Imprima, sans-serif\";s:4:\"slug\";s:7:\"imprima\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/imprima/v18/VEMxRoN7sY3yuy-7-oCHyDzktPo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Imprima\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/imprima/imprima-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/imprima/imprima.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:605;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Inclusive Sans\";s:10:\"fontFamily\";s:28:\"\"Inclusive Sans\", sans-serif\";s:4:\"slug\";s:14:\"inclusive-sans\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/inclusivesans/v1/0nkxC9biPuwflXcJ46P4PGWE097wowa2LB4i.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inclusive Sans\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inclusive-sans/inclusive-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/inclusivesans/v1/0nkzC9biPuwflXcJ46P4PGWE0-73qQeUKQ4iT6o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Inclusive Sans\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inclusive-sans/inclusive-sans-400-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/inclusive-sans/inclusive-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:606;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Inconsolata\";s:10:\"fontFamily\";s:22:\"Inconsolata, monospace\";s:4:\"slug\";s:11:\"inconsolata\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7LppwU8aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp9s8aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp4U8aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp7c8aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp1s7aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp2I7aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7LppwU7aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/inconsolata/v32/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lppyw7aR_8lleY2co.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inconsolata\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/inconsolata/inconsolata.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:607;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Inder\";s:10:\"fontFamily\";s:17:\"Inder, sans-serif\";s:4:\"slug\";s:5:\"inder\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/inder/v14/w8gUH2YoQe8_4vq_pw-P3U4O.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inder\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inder/inder-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/inder/inder.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:608;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Indie Flower\";s:10:\"fontFamily\";s:23:\"\"Indie Flower\", cursive\";s:4:\"slug\";s:12:\"indie-flower\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/indieflower/v21/m8JVjfNVeKWVnh3QMuKkFcZla0GG1dKEDw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Indie Flower\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/indie-flower/indie-flower-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/indie-flower/indie-flower.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:609;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Ingrid Darling\";s:10:\"fontFamily\";s:25:\"\"Ingrid Darling\", cursive\";s:4:\"slug\";s:14:\"ingrid-darling\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/ingriddarling/v5/LDIrapaJNxUtSuFdw-9yf4rCPsLLub458jGL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ingrid Darling\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ingrid-darling/ingrid-darling-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/ingrid-darling/ingrid-darling.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:610;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Inika\";s:10:\"fontFamily\";s:12:\"Inika, serif\";s:4:\"slug\";s:5:\"inika\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/inika/v21/rnCm-x5X3QP-phTCRcc2s2XH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inika\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inika/inika-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/inika/v21/rnCr-x5X3QP-pix7auM7mHnOSOuk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inika\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inika/inika-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/inika/inika.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:611;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Inknut Antiqua\";s:10:\"fontFamily\";s:23:\"\"Inknut Antiqua\", serif\";s:4:\"slug\";s:14:\"inknut-antiqua\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GRYax7VC4ot_qNB4nYpBdaKU2vwrj8bBoIYJNf.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GSYax7VC4ot_qNB4nYpBdaKXUG6pzxRwYB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GRYax7VC4ot_qNB4nYpBdaKU33w7j8bBoIYJNf.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GRYax7VC4ot_qNB4nYpBdaKU3bxLj8bBoIYJNf.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GRYax7VC4ot_qNB4nYpBdaKU2_xbj8bBoIYJNf.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GRYax7VC4ot_qNB4nYpBdaKU2jxrj8bBoIYJNf.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/inknutantiqua/v14/Y4GRYax7VC4ot_qNB4nYpBdaKU2Hx7j8bBoIYJNf.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Inknut Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/inknut-antiqua/inknut-antiqua.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:612;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Inria Sans\";s:10:\"fontFamily\";s:24:\"\"Inria Sans\", sans-serif\";s:4:\"slug\";s:10:\"inria-sans\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/inriasans/v14/ptRPTiqXYfZMCOiVj9kQ3ELaDQ5FqeY3fX4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Inria Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/inriasans/v14/ptRRTiqXYfZMCOiVj9kQ1OzAgQlPqMQybX4pQA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Inria Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/inriasans/v14/ptRMTiqXYfZMCOiVj9kQ5OvyKQNute8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Inria Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/inriasans/v14/ptROTiqXYfZMCOiVj9kQ1Oz4KCFrpe8uZA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Inria Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/inriasans/v14/ptRPTiqXYfZMCOiVj9kQ3FLdDQ5FqeY3fX4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Inria Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/inriasans/v14/ptRRTiqXYfZMCOiVj9kQ1OzAkQ5PqMQybX4pQA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Inria Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-sans/inria-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:613;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Inria Serif\";s:10:\"fontFamily\";s:20:\"\"Inria Serif\", serif\";s:4:\"slug\";s:11:\"inria-serif\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/inriaserif/v16/fC14PYxPY3rXxEndZJAzN3wAVQjAhFyta3xN.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inria Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/inriaserif/v16/fC16PYxPY3rXxEndZJAzN3SuT4THjl2PbmxN0_E.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inria Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/inriaserif/v16/fC1lPYxPY3rXxEndZJAzN0SpfSzNr0Ck.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inria Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/inriaserif/v16/fC1nPYxPY3rXxEndZJAzN3Sudy3vqlCkcmU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inria Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/inriaserif/v16/fC14PYxPY3rXxEndZJAzN3wQUgjAhFyta3xN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inria Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/inriaserif/v16/fC16PYxPY3rXxEndZJAzN3SuT5TAjl2PbmxN0_E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inria Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif-700-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/inria-serif/inria-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:614;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Inspiration\";s:10:\"fontFamily\";s:20:\"Inspiration, cursive\";s:4:\"slug\";s:11:\"inspiration\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/inspiration/v6/x3dkckPPZa6L4wIg5cZOEvoDnSrlBBsy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inspiration\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inspiration/inspiration-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/inspiration/inspiration.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:615;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Instrument Sans\";s:10:\"fontFamily\";s:29:\"\"Instrument Sans\", sans-serif\";s:4:\"slug\";s:15:\"instrument-sans\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/instrumentsans/v1/pximypc9vsFDm051Uf6KVwgkfoSxQ0GsQv8ToedPibnr-yp2JGEJOH9npSTF-QfwmS0v3_7Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/instrumentsans/v1/pximypc9vsFDm051Uf6KVwgkfoSxQ0GsQv8ToedPibnr-yp2JGEJOH9npST3-QfwmS0v3_7Y.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/instrumentsans/v1/pximypc9vsFDm051Uf6KVwgkfoSxQ0GsQv8ToedPibnr-yp2JGEJOH9npSQb_gfwmS0v3_7Y.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/instrumentsans/v1/pximypc9vsFDm051Uf6KVwgkfoSxQ0GsQv8ToedPibnr-yp2JGEJOH9npSQi_gfwmS0v3_7Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/instrumentsans/v1/pxigypc9vsFDm051Uf6KVwgkfoSbSnNPooZAN0lInHGpCWNE27lgU-XJojENuu-2kywN2u7YUwU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/instrumentsans/v1/pxigypc9vsFDm051Uf6KVwgkfoSbSnNPooZAN0lInHGpCWNE27lgU-XJojENut22kywN2u7YUwU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/instrumentsans/v1/pxigypc9vsFDm051Uf6KVwgkfoSbSnNPooZAN0lInHGpCWNE27lgU-XJojENujGxkywN2u7YUwU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/instrumentsans/v1/pxigypc9vsFDm051Uf6KVwgkfoSbSnNPooZAN0lInHGpCWNE27lgU-XJojENugixkywN2u7YUwU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Instrument Sans\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans-700-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-sans/instrument-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:616;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Instrument Serif\";s:10:\"fontFamily\";s:25:\"\"Instrument Serif\", serif\";s:4:\"slug\";s:16:\"instrument-serif\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/instrumentserif/v4/jizBRFtNs2ka5fXjeivQ4LroWlx-2zcZj1bIkNo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Instrument Serif\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-serif/instrument-serif-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/instrumentserif/v4/jizHRFtNs2ka5fXjeivQ4LroWlx-6zATjnTNgNq55w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Instrument Serif\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-serif/instrument-serif-400-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/instrument-serif/instrument-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:617;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Inter\";s:10:\"fontFamily\";s:17:\"Inter, sans-serif\";s:4:\"slug\";s:5:\"inter\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyeMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuDyfMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuOKfMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuI6fMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuGKYMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuFuYMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuDyYMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/inter/v18/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuBWYMZ1rib2Bg-4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTc2dphiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTcWdthiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTch9thiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTc2dthiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTc69thiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTcB9xhiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTcPtxhiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTcWdxhiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/inter/v18/UcCM3FwrK3iLTcvneQg7Ca725JhhKnNqk4j1ebLhAm8SrXTccNxhiJ-Ek-7MeA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Inter\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/inter/inter.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:618;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Inter Tight\";s:10:\"fontFamily\";s:25:\"\"Inter Tight\", sans-serif\";s:4:\"slug\";s:11:\"inter-tight\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjDw6qWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjjw-qWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjUQ-qWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjDw-qWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjPQ-qWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mj0QiqWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mj6AiqWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjjwiqWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/intertight/v7/NGSnv5HMAFg6IuGlBNMjxJEL2VmU3NS7Z2mjpgiqWSRToK8EPg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0xCHi5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0zCHy5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0wcHy5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0xCHy5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0xwHy5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0ycGC5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0ylGC5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0zCGC5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/intertight/v7/NGShv5HMAFg6IuGlBNMjxLsC66ZMtb8hyW62x0zrGC5SgqoUPvi5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Inter Tight\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/inter-tight/inter-tight.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:619;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Irish Grover\";s:10:\"fontFamily\";s:25:\"\"Irish Grover\", system-ui\";s:4:\"slug\";s:12:\"irish-grover\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/irishgrover/v23/buExpoi6YtLz2QW7LA4flVgf_f5Oaiw4cw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Irish Grover\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/irish-grover/irish-grover-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/irish-grover/irish-grover.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:620;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Island Moments\";s:10:\"fontFamily\";s:25:\"\"Island Moments\", cursive\";s:4:\"slug\";s:14:\"island-moments\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/islandmoments/v6/NaPBcZfVGvBdxIt7Ar0qzkXJF-TDIohbZ6SY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Island Moments\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/island-moments/island-moments-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/island-moments/island-moments.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:621;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Istok Web\";s:10:\"fontFamily\";s:23:\"\"Istok Web\", sans-serif\";s:4:\"slug\";s:9:\"istok-web\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/istokweb/v24/3qTvojGmgSyUukBzKslZBGF-9kIIaQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Istok Web\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/istok-web/istok-web-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/istokweb/v24/3qTpojGmgSyUukBzKslpA2t_1EcYaQ7F.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Istok Web\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/istok-web/istok-web-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/istokweb/v24/3qTqojGmgSyUukBzKslhvU5a-2kUYBfcMw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Istok Web\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/istok-web/istok-web-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/istokweb/v24/3qT0ojGmgSyUukBzKslpA1PG-2MVQhLMMygN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Istok Web\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/istok-web/istok-web-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/istok-web/istok-web.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:622;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Italiana\";s:10:\"fontFamily\";s:15:\"Italiana, serif\";s:4:\"slug\";s:8:\"italiana\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/italiana/v20/QldNNTtLsx4E__B0XTmUY31Wx7Vv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Italiana\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/italiana/italiana-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/italiana/italiana.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:623;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Italianno\";s:10:\"fontFamily\";s:18:\"Italianno, cursive\";s:4:\"slug\";s:9:\"italianno\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/italianno/v17/dg4n_p3sv6gCJkwzT6RnipYpQwM-gg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Italianno\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/italianno/italianno-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/italianno/italianno.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:624;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Itim\";s:10:\"fontFamily\";s:13:\"Itim, cursive\";s:4:\"slug\";s:4:\"itim\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/itim/v14/0nknC9ziJOYewAFKkc7ZdwU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Itim\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/itim/itim-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/itim/itim.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:625;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Jacquard 12\";s:10:\"fontFamily\";s:24:\"\"Jacquard 12\", system-ui\";s:4:\"slug\";s:11:\"jacquard-12\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/jacquard12/v6/vm8ydRLuXETEweL79J4rGc3MUnr34c9-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Jacquard 12\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-12/jacquard-12-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-12/jacquard-12.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:626;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Jacquard 12 Charted\";s:10:\"fontFamily\";s:32:\"\"Jacquard 12 Charted\", system-ui\";s:4:\"slug\";s:19:\"jacquard-12-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/jacquard12charted/v2/i7dWIE97bzCOB9Q_Up6PQmYfKDPIb2HwT3GtZ9jetKY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Jacquard 12 Charted\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-12-charted/jacquard-12-charted-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-12-charted/jacquard-12-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:627;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Jacquard 24\";s:10:\"fontFamily\";s:24:\"\"Jacquard 24\", system-ui\";s:4:\"slug\";s:11:\"jacquard-24\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/jacquard24/v2/jVyO7nf_B2zO5jVpUGU8lgQBdchf9xXp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Jacquard 24\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-24/jacquard-24-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-24/jacquard-24.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:628;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Jacquard 24 Charted\";s:10:\"fontFamily\";s:32:\"\"Jacquard 24 Charted\", system-ui\";s:4:\"slug\";s:19:\"jacquard-24-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/jacquard24charted/v3/mtGm4-dNK6HaudrE9VVKhENTsEXEYish0iFrMYJ_K-4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Jacquard 24 Charted\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-24-charted/jacquard-24-charted-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquard-24-charted/jacquard-24-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:629;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Jacquarda Bastarda 9\";s:10:\"fontFamily\";s:33:\"\"Jacquarda Bastarda 9\", system-ui\";s:4:\"slug\";s:20:\"jacquarda-bastarda-9\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/jacquardabastarda9/v4/f0Xp0fWr_8t6WFtKQJfOhaC0hcZ1HYAMAbwG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Jacquarda Bastarda 9\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquarda-bastarda-9/jacquarda-bastarda-9-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquarda-bastarda-9/jacquarda-bastarda-9.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:630;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:28:\"Jacquarda Bastarda 9 Charted\";s:10:\"fontFamily\";s:41:\"\"Jacquarda Bastarda 9 Charted\", system-ui\";s:4:\"slug\";s:28:\"jacquarda-bastarda-9-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/jacquardabastarda9charted/v2/Yq6D-KaMUyfq4qLgx19A_ocp43FeLd9m0vDxm-yf8JPuf0IPaL8pmQg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Jacquarda Bastarda 9 Charted\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquarda-bastarda-9-charted/jacquarda-bastarda-9-charted-400-normal.svg\";}}s:7:\"preview\";s:106:\"https://s.w.org/images/fonts/wp-6.7/previews/jacquarda-bastarda-9-charted/jacquarda-bastarda-9-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:631;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Jacques Francois\";s:10:\"fontFamily\";s:25:\"\"Jacques Francois\", serif\";s:4:\"slug\";s:16:\"jacques-francois\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/jacquesfrancois/v24/ZXu9e04ZvKeOOHIe1TMahbcIU2cgmcbqoeRWfbs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Jacques Francois\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/jacques-francois/jacques-francois-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/jacques-francois/jacques-francois.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:632;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Jacques Francois Shadow\";s:10:\"fontFamily\";s:36:\"\"Jacques Francois Shadow\", system-ui\";s:4:\"slug\";s:23:\"jacques-francois-shadow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jacquesfrancoisshadow/v25/KR1FBtOz8PKTMk-kqdkLVrvR0ECFrB6Pin-2_q8QsHuV5ULS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Jacques Francois Shadow\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/jacques-francois-shadow/jacques-francois-shadow-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/jacques-francois-shadow/jacques-francois-shadow.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:633;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Jaini\";s:10:\"fontFamily\";s:16:\"Jaini, system-ui\";s:4:\"slug\";s:5:\"jaini\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/jaini/v1/fC1vPYJMbGHQzEmLK-ZSUHyt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Jaini\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/jaini/jaini-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/jaini/jaini.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:634;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Jaini Purva\";s:10:\"fontFamily\";s:24:\"\"Jaini Purva\", system-ui\";s:4:\"slug\";s:11:\"jaini-purva\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/jainipurva/v1/CHynV-vdHVXwbWcUswbUGHoLHH4sj3lR.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Jaini Purva\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/jaini-purva/jaini-purva-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/jaini-purva/jaini-purva.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:635;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Jaldi\";s:10:\"fontFamily\";s:17:\"Jaldi, sans-serif\";s:4:\"slug\";s:5:\"jaldi\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/jaldi/v12/or3sQ67z0_CI30NRZpD_B6g8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Jaldi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/jaldi/jaldi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/jaldi/v12/or3hQ67z0_CI33voSbTyLLQ1niPn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Jaldi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/jaldi/jaldi-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/jaldi/jaldi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:636;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Jaro\";s:10:\"fontFamily\";s:16:\"Jaro, sans-serif\";s:4:\"slug\";s:4:\"jaro\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/jaro/v6/ea8DadQwV_r_Rv3-7zZMCGhQgVr1SlCpNP3VpQ_a.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jaro\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jaro/jaro-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/jaro/jaro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:637;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Jersey 10\";s:10:\"fontFamily\";s:22:\"\"Jersey 10\", system-ui\";s:4:\"slug\";s:9:\"jersey-10\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/jersey10/v2/GftH7vZKsggXMf9n_J5X_ZLgy1wtSw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Jersey 10\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-10/jersey-10-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-10/jersey-10.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:638;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Jersey 10 Charted\";s:10:\"fontFamily\";s:30:\"\"Jersey 10 Charted\", system-ui\";s:4:\"slug\";s:17:\"jersey-10-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/jersey10charted/v2/oY1E8fPFr6XiNWqEp90XSbwUGfF8SneYKmeBvEYs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Jersey 10 Charted\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-10-charted/jersey-10-charted-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-10-charted/jersey-10-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:639;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Jersey 15\";s:10:\"fontFamily\";s:22:\"\"Jersey 15\", system-ui\";s:4:\"slug\";s:9:\"jersey-15\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/jersey15/v2/_6_9EDzuROGsUuk2TWjSZ4ohsCkvSQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Jersey 15\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-15/jersey-15-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-15/jersey-15.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:640;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Jersey 15 Charted\";s:10:\"fontFamily\";s:30:\"\"Jersey 15 Charted\", system-ui\";s:4:\"slug\";s:17:\"jersey-15-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/jersey15charted/v2/nuFjD-rCQIjoVp1Sva2ToCTudGbLeRv9r2024gxi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Jersey 15 Charted\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-15-charted/jersey-15-charted-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-15-charted/jersey-15-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:641;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Jersey 20\";s:10:\"fontFamily\";s:22:\"\"Jersey 20\", system-ui\";s:4:\"slug\";s:9:\"jersey-20\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/jersey20/v2/ZgNRjP1ON6jeW4D12z3cqU_qP4mXuQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Jersey 20\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-20/jersey-20-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-20/jersey-20.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:642;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Jersey 20 Charted\";s:10:\"fontFamily\";s:30:\"\"Jersey 20 Charted\", system-ui\";s:4:\"slug\";s:17:\"jersey-20-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/jersey20charted/v2/JTUNjJMy9DKq5FzVaj9tpgYgvHqGn_Zwji-rqnQ_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Jersey 20 Charted\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-20-charted/jersey-20-charted-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-20-charted/jersey-20-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:643;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Jersey 25\";s:10:\"fontFamily\";s:22:\"\"Jersey 25\", system-ui\";s:4:\"slug\";s:9:\"jersey-25\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/jersey25/v2/ll8-K2eeXj2tAs6F9BXIIoAMng8ChA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Jersey 25\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-25/jersey-25-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-25/jersey-25.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:644;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Jersey 25 Charted\";s:10:\"fontFamily\";s:30:\"\"Jersey 25 Charted\", system-ui\";s:4:\"slug\";s:17:\"jersey-25-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/jersey25charted/v2/6NUM8EWHIhCWbxOqtLkv94Rlu6EkGv2rUGQW93Cg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Jersey 25 Charted\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-25-charted/jersey-25-charted-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/jersey-25-charted/jersey-25-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:645;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"JetBrains Mono\";s:10:\"fontFamily\";s:27:\"\"JetBrains Mono\", monospace\";s:4:\"slug\";s:14:\"jetbrains-mono\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8yK1jOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8SKxjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8lqxjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8yKxjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8-qxjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8FqtjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8L6tjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDbY2o-flEEny0FZhsfKu5WU4zr3E_BX0PnT8RD8SKtjOFmUsaaDhw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO-Lf1OVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-100-italic.svg\";}i:9;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO8LflOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-200-italic.svg\";}i:10;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO_VflOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-300-italic.svg\";}i:11;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO-LflOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-400-italic.svg\";}i:12;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO-5flOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-500-italic.svg\";}i:13;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO9VeVOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-600-italic.svg\";}i:14;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO9seVOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-700-italic.svg\";}i:15;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/jetbrainsmono/v20/tDba2o-flEEny0FZhsfKu5WU4xD-IQ-PuZJJXxfpAO8LeVOVk6OThxPA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"JetBrains Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono-800-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/jetbrains-mono/jetbrains-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:646;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Jim Nightshade\";s:10:\"fontFamily\";s:25:\"\"Jim Nightshade\", cursive\";s:4:\"slug\";s:14:\"jim-nightshade\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/jimnightshade/v20/PlIkFlu9Pb08Q8HLM1PxmB0g-OS9V3qKaMxD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Jim Nightshade\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/jim-nightshade/jim-nightshade-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/jim-nightshade/jim-nightshade.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:647;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Joan\";s:10:\"fontFamily\";s:11:\"Joan, serif\";s:4:\"slug\";s:4:\"joan\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/joan/v11/ZXupe1oZsqWRbRJH8X1p_Ng.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Joan\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/joan/joan-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/joan/joan.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:648;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Jockey One\";s:10:\"fontFamily\";s:24:\"\"Jockey One\", sans-serif\";s:4:\"slug\";s:10:\"jockey-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/jockeyone/v21/HTxpL2g2KjCFj4x8WI6ArIP7HYOk4xc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Jockey One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/jockey-one/jockey-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/jockey-one/jockey-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:649;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Jolly Lodger\";s:10:\"fontFamily\";s:25:\"\"Jolly Lodger\", system-ui\";s:4:\"slug\";s:12:\"jolly-lodger\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/jollylodger/v20/BXRsvFTAh_bGkA1uQ48dlB3VXOrT3ZyuqA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Jolly Lodger\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/jolly-lodger/jolly-lodger-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/jolly-lodger/jolly-lodger.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:650;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Jomhuria\";s:10:\"fontFamily\";s:19:\"Jomhuria, system-ui\";s:4:\"slug\";s:8:\"jomhuria\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/jomhuria/v20/Dxxp8j-TMXf-llKur2bwMOGbC3Dh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Jomhuria\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/jomhuria/jomhuria-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/jomhuria/jomhuria.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:651;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Jomolhari\";s:10:\"fontFamily\";s:16:\"Jomolhari, serif\";s:4:\"slug\";s:9:\"jomolhari\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/jomolhari/v18/EvONzA1M1Iw_CBd2hsQCElIZKq5INg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Jomolhari\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/jomolhari/jomolhari-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/jomolhari/jomolhari.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:652;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Josefin Sans\";s:10:\"fontFamily\";s:26:\"\"Josefin Sans\", sans-serif\";s:4:\"slug\";s:12:\"josefin-sans\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_DjRXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_LjQXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_GbQXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_DjQXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_ArQXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_ObXXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3PZQNVED7rKGKxtqIqX5E-AVSJrOCfjY46_N_XXMRrLgTsQV0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCTtINhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-100-italic.svg\";}i:8;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCTNIJhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCT6oJhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCTtIJhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCThoJhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCTaoVhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinsans/v32/Qw3JZQNVED7rKGKxtqIqX5EUCGZ2dIn0FyA96fCTU4VhLybpUV3MEQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-sans/josefin-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:653;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Josefin Slab\";s:10:\"fontFamily\";s:21:\"\"Josefin Slab\", serif\";s:4:\"slug\";s:12:\"josefin-slab\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W71mtd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W79msd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W7wesd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W71msd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W72usd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W74erd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-swjwOK3Ps5GSJlNNkMalNpiZe_ldbOR4W776rd3w3K6CcEyI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHvnzs9KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-100-italic.svg\";}i:8;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHvHzo9KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHvwTo9KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHvnzo9KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHvrTo9KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHvQT09KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/josefinslab/v26/lW-qwjwOK3Ps5GSJlNNkMalnrxShJj4wo7AR-pHveD09KoKZAyK43w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Josefin Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/josefin-slab/josefin-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:654;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Jost\";s:10:\"fontFamily\";s:16:\"Jost, sans-serif\";s:4:\"slug\";s:4:\"jost\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7myjJAVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7mwjJQVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7mz9JQVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7myjJQVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7myRJQVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7mx9IgVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7mxEIgVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7mwjIgVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jost/v18/92zPtBhPNqw79Ij1E865zBUv7mwKIgVDPokMmuHL.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZu0ENIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZm0FNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZrMFNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZu0FNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZt8FNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZjMCNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZgoCNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZm0CNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/jost/v18/92zJtBhPNqw73oHH7BbQp4-B6XlrZkQCNIgun_HLMEo.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Jost\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost-900-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/jost/jost.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:655;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Joti One\";s:10:\"fontFamily\";s:21:\"\"Joti One\", system-ui\";s:4:\"slug\";s:8:\"joti-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/jotione/v26/Z9XVDmdJQAmWm9TwaYTb4u2El6GC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Joti One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/joti-one/joti-one-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/joti-one/joti-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:656;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Jua\";s:10:\"fontFamily\";s:15:\"Jua, sans-serif\";s:4:\"slug\";s:3:\"jua\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:64:\"https://fonts.gstatic.com/s/jua/v16/co3KmW9ljjAjduDZCsKgsg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Jua\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/jua/jua-400-normal.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/jua/jua.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:657;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Judson\";s:10:\"fontFamily\";s:13:\"Judson, serif\";s:4:\"slug\";s:6:\"judson\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/judson/v19/FeVRS0Fbvbc14VxRCrN01bV7kg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Judson\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/judson/judson-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/judson/v19/FeVTS0Fbvbc14VxhDbl197BrknZf.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Judson\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/judson/judson-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/judson/v19/FeVSS0Fbvbc14Vxps5xQ2J5nm29Gww.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Judson\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/judson/judson-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/judson/judson.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:658;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Julee\";s:10:\"fontFamily\";s:14:\"Julee, cursive\";s:4:\"slug\";s:5:\"julee\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/julee/v25/TuGfUVB3RpZPQ6ZOodgzydtk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Julee\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/julee/julee-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/julee/julee.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:659;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Julius Sans One\";s:10:\"fontFamily\";s:29:\"\"Julius Sans One\", sans-serif\";s:4:\"slug\";s:15:\"julius-sans-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/juliussansone/v18/1Pt2g8TAX_SGgBGUi0tGOYEga5W-wHEW6aGXHw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Julius Sans One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/julius-sans-one/julius-sans-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/julius-sans-one/julius-sans-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:660;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Junge\";s:10:\"fontFamily\";s:12:\"Junge, serif\";s:4:\"slug\";s:5:\"junge\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/junge/v24/gokgH670Gl1lUqAYvhB7SnKm.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Junge\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/junge/junge-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/junge/junge.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:661;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Jura\";s:10:\"fontFamily\";s:16:\"Jura, sans-serif\";s:4:\"slug\";s:4:\"jura\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jura/v31/z7NOdRfiaC4Vd8hhoPzfb5vBTP0D7aukTfmrH_rt.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jura/jura-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jura/v31/z7NOdRfiaC4Vd8hhoPzfb5vBTP1d7aukTfmrH_rt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jura/jura-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jura/v31/z7NOdRfiaC4Vd8hhoPzfb5vBTP1v7aukTfmrH_rt.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jura/jura-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jura/v31/z7NOdRfiaC4Vd8hhoPzfb5vBTP2D6qukTfmrH_rt.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jura/jura-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/jura/v31/z7NOdRfiaC4Vd8hhoPzfb5vBTP266qukTfmrH_rt.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Jura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/jura/jura-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/jura/jura.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:662;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Just Another Hand\";s:10:\"fontFamily\";s:28:\"\"Just Another Hand\", cursive\";s:4:\"slug\";s:17:\"just-another-hand\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/justanotherhand/v19/845CNN4-AJyIGvIou-6yJKyptyOpOcr6BmmlS5aw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Just Another Hand\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/just-another-hand/just-another-hand-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/just-another-hand/just-another-hand.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:663;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Just Me Again Down Here\";s:10:\"fontFamily\";s:34:\"\"Just Me Again Down Here\", cursive\";s:4:\"slug\";s:23:\"just-me-again-down-here\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/justmeagaindownhere/v24/MwQmbgXtz-Wc6RUEGNMc0QpRrfUh2hSdBBMoAuwCvqDwc_fg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Just Me Again Down Here\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/just-me-again-down-here/just-me-again-down-here-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/just-me-again-down-here/just-me-again-down-here.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:664;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"K2D\";s:10:\"fontFamily\";s:17:\"\"K2D\", sans-serif\";s:4:\"slug\";s:5:\"k-2-d\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/k2d/v11/J7aRnpF2V0ErE6UsvrIw74NL.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/k2d/v11/J7afnpF2V0EjdZ1NtLMS6pNLAjk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/k2d/v11/J7aenpF2V0Erv4QJkZw85ppSGw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/k2d/v11/J7acnpF2V0EjdZ3hlZY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/k2d/v11/J7aenpF2V0Er24cJkZw85ppSGw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/k2d/v11/J7acnpF2V0EjdZ2FlpY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:64:\"https://fonts.gstatic.com/s/k2d/v11/J7aTnpF2V0ETcq8tnLcg7w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/k2d/v11/J7aRnpF2V0EjdaUsvrIw74NL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/k2d/v11/J7aenpF2V0Erg4YJkZw85ppSGw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/k2d/v11/J7acnpF2V0EjdZ3dl5Y9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/k2d/v11/J7aenpF2V0Err4EJkZw85ppSGw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/k2d/v11/J7acnpF2V0EjdZ3xkJY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/k2d/v11/J7aenpF2V0Ery4AJkZw85ppSGw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/k2d/v11/J7acnpF2V0EjdZ2VkZY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/k2d/v11/J7aenpF2V0Er14MJkZw85ppSGw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/k2d/v11/J7acnpF2V0EjdZ2JkpY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"K2D\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d-800-italic.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/k2d/k2d.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:665;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Kablammo\";s:10:\"fontFamily\";s:19:\"Kablammo, system-ui\";s:4:\"slug\";s:8:\"kablammo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/kablammo/v1/bWtm7fHPcgrhC-J3lcXhcQTY5Ixs6Au9YgCjih0Rf4YDKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Kablammo\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/kablammo/kablammo-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/kablammo/kablammo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:666;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kadwa\";s:10:\"fontFamily\";s:12:\"Kadwa, serif\";s:4:\"slug\";s:5:\"kadwa\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/kadwa/v10/rnCm-x5V0g7iphTCRcc2s2XH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kadwa\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kadwa/kadwa-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kadwa/v10/rnCr-x5V0g7ipix7auM7mHnOSOuk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kadwa\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kadwa/kadwa-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kadwa/kadwa.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:667;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Kaisei Decol\";s:10:\"fontFamily\";s:21:\"\"Kaisei Decol\", serif\";s:4:\"slug\";s:12:\"kaisei-decol\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/kaiseidecol/v9/bMrwmSqP45sidWf3QmfFW6iyXlEP22OjoA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kaisei Decol\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-decol/kaisei-decol-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/kaiseidecol/v9/bMrvmSqP45sidWf3QmfFW6iKr3gr1ki_qb57kA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kaisei Decol\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-decol/kaisei-decol-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/kaiseidecol/v9/bMrvmSqP45sidWf3QmfFW6iK534r1ki_qb57kA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kaisei Decol\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-decol/kaisei-decol-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-decol/kaisei-decol.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:668;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Kaisei HarunoUmi\";s:10:\"fontFamily\";s:25:\"\"Kaisei HarunoUmi\", serif\";s:4:\"slug\";s:16:\"kaisei-harunoumi\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/kaiseiharunoumi/v9/HI_RiZQSLqBQoAHhK_C6N_nzy_jcGs75sM8u3mk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Kaisei HarunoUmi\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-harunoumi/kaisei-harunoumi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/kaiseiharunoumi/v9/HI_WiZQSLqBQoAHhK_C6N_nzy_jcIj_QlMIFwmC9FAU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Kaisei HarunoUmi\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-harunoumi/kaisei-harunoumi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/kaiseiharunoumi/v9/HI_WiZQSLqBQoAHhK_C6N_nzy_jcInfWlMIFwmC9FAU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Kaisei HarunoUmi\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-harunoumi/kaisei-harunoumi-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-harunoumi/kaisei-harunoumi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:669;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Kaisei Opti\";s:10:\"fontFamily\";s:20:\"\"Kaisei Opti\", serif\";s:4:\"slug\";s:11:\"kaisei-opti\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/kaiseiopti/v9/QldKNThJphYb8_g6c2nlIFlb7KlmxuHx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Kaisei Opti\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-opti/kaisei-opti-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kaiseiopti/v9/QldXNThJphYb8_g6c2nlIGGqxY1r7f34DYwn.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Kaisei Opti\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-opti/kaisei-opti-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kaiseiopti/v9/QldXNThJphYb8_g6c2nlIGHiw41r7f34DYwn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Kaisei Opti\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-opti/kaisei-opti-700-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-opti/kaisei-opti.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:670;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Kaisei Tokumin\";s:10:\"fontFamily\";s:23:\"\"Kaisei Tokumin\", serif\";s:4:\"slug\";s:14:\"kaisei-tokumin\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/kaiseitokumin/v9/Gg8sN5wdZg7xCwuMsylww2ZiQkJa1l0pj946.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kaisei Tokumin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-tokumin/kaisei-tokumin-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/kaiseitokumin/v9/Gg8vN5wdZg7xCwuMsylww2ZiQnqr_3kkpMIzeI6v.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kaisei Tokumin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-tokumin/kaisei-tokumin-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/kaiseitokumin/v9/Gg8vN5wdZg7xCwuMsylww2ZiQnrj-XkkpMIzeI6v.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kaisei Tokumin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-tokumin/kaisei-tokumin-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/kaiseitokumin/v9/Gg8vN5wdZg7xCwuMsylww2ZiQnr_-nkkpMIzeI6v.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kaisei Tokumin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-tokumin/kaisei-tokumin-800-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/kaisei-tokumin/kaisei-tokumin.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:671;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kalam\";s:10:\"fontFamily\";s:14:\"Kalam, cursive\";s:4:\"slug\";s:5:\"kalam\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kalam/v16/YA9Qr0Wd4kDdMtD6GgLOmCUItqGt.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kalam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kalam/kalam-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/kalam/v16/YA9dr0Wd4kDdMuhTMibDszkB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kalam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kalam/kalam-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kalam/v16/YA9Qr0Wd4kDdMtDqHQLOmCUItqGt.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kalam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kalam/kalam-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kalam/kalam.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:672;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Kalnia\";s:10:\"fontFamily\";s:13:\"Kalnia, serif\";s:4:\"slug\";s:6:\"kalnia\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW9il2xUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW_ilmxUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW88lmxUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW9ilmxUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW9QlmxUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW-8kWxUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/kalnia/v2/11hqGpPCwUbbYwZZP0RBuDY62BQZhjvOytM_sLzi-TFWAW-FkWxUGNcykIZc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kalnia\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia/kalnia.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:673;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Kalnia Glaze\";s:10:\"fontFamily\";s:25:\"\"Kalnia Glaze\", system-ui\";s:4:\"slug\";s:12:\"kalnia-glaze\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYdL63ncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYfL6nncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYcV6nncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYdL6nncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYd56nncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYeV7XncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/kalniaglaze/v1/wlpQgwHCBUNjrGrfu-hwowN1YyC-42Lu26VHf2LtOkAod0wTxm2tFYes7XncKfhpVTvN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kalnia Glaze\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/kalnia-glaze/kalnia-glaze.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:674;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Kameron\";s:10:\"fontFamily\";s:14:\"Kameron, serif\";s:4:\"slug\";s:7:\"kameron\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/kameron/v16/vm8pdR7vXErQxuznqrUS3z1Uw3nq4Ne3cbcevZPxCDLR.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Kameron\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/kameron/kameron-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/kameron/v16/vm8pdR7vXErQxuznqrUS3z1Uw3nq4NeFcbcevZPxCDLR.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Kameron\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/kameron/kameron-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/kameron/v16/vm8pdR7vXErQxuznqrUS3z1Uw3nq4NdpdrcevZPxCDLR.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Kameron\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/kameron/kameron-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/kameron/v16/vm8pdR7vXErQxuznqrUS3z1Uw3nq4NdQdrcevZPxCDLR.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Kameron\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/kameron/kameron-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/kameron/kameron.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:675;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kanit\";s:10:\"fontFamily\";s:17:\"Kanit, sans-serif\";s:4:\"slug\";s:5:\"kanit\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kanit/v15/nKKX-Go6G5tXcr72GwCKcaxALFs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/kanit/v15/nKKV-Go6G5tXcraQI2GAcI5FPFtrGw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr5aOiWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI82hVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr4-OSWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI6miVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/kanit/v15/nKKZ-Go6G5tXcoaXEQGodLxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kanit/v15/nKKX-Go6G5tXcraQGwCKcaxALFs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr5mOCWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI_GjVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr5KPyWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI92kVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr4uPiWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI7mlVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr4yPSWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI6WmVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/kanit/v15/nKKU-Go6G5tXcr4WPCWlX6BJNUJy.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/kanit/v15/nKKS-Go6G5tXcraQI4GnVaFrMFJyAu4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kanit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kanit/kanit.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:676;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Kantumruy Pro\";s:10:\"fontFamily\";s:27:\"\"Kantumruy Pro\", sans-serif\";s:4:\"slug\";s:13:\"kantumruy-pro\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg1urUsxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg3urEsxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg0wrEsxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg1urEsxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg1crEsxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg2wq0sxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2TY5aECkp34vEBSPFOmJxwvk_pilU8OGNfyg2Jq0sxM34dR6dW.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim76N2OX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-100-italic.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim7yN3OX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim7_13OX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim76N3OX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim75F3OX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim731wOX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/kantumruypro/v8/1q2RY5aECkp34vEBSPFOmJxwlEbbdY1VU_nxzRim70RwOX8_QrdWlcU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Kantumruy Pro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/kantumruy-pro/kantumruy-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:677;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Karantina\";s:10:\"fontFamily\";s:20:\"Karantina, system-ui\";s:4:\"slug\";s:9:\"karantina\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/karantina/v11/buExpo24ccnh31GVMABxXCgf_f5Oaiw4cw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Karantina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/karantina/karantina-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/karantina/v11/buE0po24ccnh31GVMABJ9QA78NVSYw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Karantina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/karantina/karantina-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/karantina/v11/buExpo24ccnh31GVMABxTC8f_f5Oaiw4cw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Karantina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/karantina/karantina-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/karantina/karantina.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:678;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Karla\";s:10:\"fontFamily\";s:17:\"Karla, sans-serif\";s:4:\"slug\";s:5:\"karla\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTDeJqqEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTDppqqEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTD-JqqEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTDypqqEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTDJp2qEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTDH52qEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/karla/v31/qkBIXvYC6trAT55ZBi1ueQVIjQTDeJ2qEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNnCV0lKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-200-italic.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNkcV0lKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-300-italic.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNlCV0lKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-400-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNlwV0lKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-500-italic.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNmcUElKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNmlUElKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-700-italic.svg\";}i:13;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/karla/v31/qkBKXvYC6trAT7RQNNK2EG7SIwPWMNnCUElKZbLXGxGR.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Karla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla-800-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/karla/karla.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:679;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Karma\";s:10:\"fontFamily\";s:12:\"Karma, serif\";s:4:\"slug\";s:5:\"karma\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/karma/v16/va9F4kzAzMZRGLjDY8Z6uqzGQC_-.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karma\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karma/karma-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/karma/v16/va9I4kzAzMZRGIBqS-J3kbDP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karma\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karma/karma-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/karma/v16/va9F4kzAzMZRGLibYsZ6uqzGQC_-.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karma\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karma/karma-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/karma/v16/va9F4kzAzMZRGLi3ZcZ6uqzGQC_-.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karma\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karma/karma-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/karma/v16/va9F4kzAzMZRGLjTZMZ6uqzGQC_-.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Karma\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/karma/karma-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/karma/karma.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:680;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Katibeh\";s:10:\"fontFamily\";s:18:\"Katibeh, system-ui\";s:4:\"slug\";s:7:\"katibeh\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/katibeh/v19/ZGjXol5MQJog4bxDaChRVDNdGDs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Katibeh\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/katibeh/katibeh-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/katibeh/katibeh.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:681;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Kaushan Script\";s:10:\"fontFamily\";s:25:\"\"Kaushan Script\", cursive\";s:4:\"slug\";s:14:\"kaushan-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kaushanscript/v18/vm8vdRfvXFLG3OLnsO15WYS5DF76ytN3M48a.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kaushan Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kaushan-script/kaushan-script-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/kaushan-script/kaushan-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:682;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Kavivanar\";s:10:\"fontFamily\";s:18:\"Kavivanar, cursive\";s:4:\"slug\";s:9:\"kavivanar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/kavivanar/v20/o-0IIpQgyXYSwhxP7_Jb5z5Ba_2c7A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kavivanar\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kavivanar/kavivanar-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/kavivanar/kavivanar.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:683;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Kavoon\";s:10:\"fontFamily\";s:17:\"Kavoon, system-ui\";s:4:\"slug\";s:6:\"kavoon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kavoon/v23/pxiFyp4_scRYhlU4Mbr6f1pdEQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kavoon\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kavoon/kavoon-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/kavoon/kavoon.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:684;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Kay Pho Du\";s:10:\"fontFamily\";s:19:\"\"Kay Pho Du\", serif\";s:4:\"slug\";s:10:\"kay-pho-du\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/kayphodu/v2/jizfREFPvGNOx-jhPwHR4OynLD0Z4zM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kay Pho Du\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kay-pho-du/kay-pho-du-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/kayphodu/v2/jizcREFPvGNOx-jhPwHR2B2OCDAy_zoyk18.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kay Pho Du\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kay-pho-du/kay-pho-du-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/kayphodu/v2/jizcREFPvGNOx-jhPwHR2DGJCDAy_zoyk18.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kay Pho Du\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kay-pho-du/kay-pho-du-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/kayphodu/v2/jizcREFPvGNOx-jhPwHR2FWICDAy_zoyk18.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kay Pho Du\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kay-pho-du/kay-pho-du-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/kay-pho-du/kay-pho-du.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:685;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Kdam Thmor Pro\";s:10:\"fontFamily\";s:28:\"\"Kdam Thmor Pro\", sans-serif\";s:4:\"slug\";s:14:\"kdam-thmor-pro\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kdamthmorpro/v4/EJRPQgAzVdcI-Qdvt34jzurnGA76j89I8ZWb.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kdam Thmor Pro\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kdam-thmor-pro/kdam-thmor-pro-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/kdam-thmor-pro/kdam-thmor-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:686;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Keania One\";s:10:\"fontFamily\";s:23:\"\"Keania One\", system-ui\";s:4:\"slug\";s:10:\"keania-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/keaniaone/v24/zOL54pXJk65E8pXardnuycFuv-hHkOs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Keania One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/keania-one/keania-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/keania-one/keania-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:687;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Kelly Slab\";s:10:\"fontFamily\";s:23:\"\"Kelly Slab\", system-ui\";s:4:\"slug\";s:10:\"kelly-slab\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/kellyslab/v17/-W_7XJX0Rz3cxUnJC5t6TkYBf50kbiM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kelly Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kelly-slab/kelly-slab-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/kelly-slab/kelly-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:688;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kenia\";s:10:\"fontFamily\";s:16:\"Kenia, system-ui\";s:4:\"slug\";s:5:\"kenia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/kenia/v28/jizURE5PuHQH9qCLNUGswfGM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kenia\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kenia/kenia-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kenia/kenia.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:689;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Khand\";s:10:\"fontFamily\";s:17:\"Khand, sans-serif\";s:4:\"slug\";s:5:\"khand\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khand/v17/TwMN-IINQlQQ0bL5cFEyZwaH__-C.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khand\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khand/khand-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/khand/v17/TwMA-IINQlQQ0YpQWHU_TBqO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khand\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khand/khand-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khand/v17/TwMN-IINQlQQ0bKhcVEyZwaH__-C.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khand\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khand/khand-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khand/v17/TwMN-IINQlQQ0bKNdlEyZwaH__-C.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khand\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khand/khand-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khand/v17/TwMN-IINQlQQ0bLpd1EyZwaH__-C.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khand\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khand/khand-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/khand/khand.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:690;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:5:\"Khmer\";s:10:\"fontFamily\";s:17:\"Khmer, sans-serif\";s:4:\"slug\";s:5:\"khmer\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/khmer/v29/MjQImit_vPPwpF-EpN2EeYmD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khmer\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:691;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Khula\";s:10:\"fontFamily\";s:17:\"Khula, sans-serif\";s:4:\"slug\";s:5:\"khula\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khula/v12/OpNPnoEOns3V7G-ljCvRrC59XwXD.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khula\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khula/khula-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/khula/v12/OpNCnoEOns3V7FcMpA_chzJ0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khula\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khula/khula-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khula/v12/OpNPnoEOns3V7G_RiivRrC59XwXD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khula\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khula/khula-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khula/v12/OpNPnoEOns3V7G-1iyvRrC59XwXD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khula\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khula/khula-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/khula/v12/OpNPnoEOns3V7G-piCvRrC59XwXD.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Khula\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/khula/khula-800-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/khula/khula.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:692;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kings\";s:10:\"fontFamily\";s:14:\"Kings, cursive\";s:4:\"slug\";s:5:\"kings\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/kings/v7/8AtnGsK4O5CYXU_Nq6GSPaHS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kings\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kings/kings-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kings/kings.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:693;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Kirang Haerang\";s:10:\"fontFamily\";s:27:\"\"Kirang Haerang\", system-ui\";s:4:\"slug\";s:14:\"kirang-haerang\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kiranghaerang/v21/E21-_dn_gvvIjhYON1lpIU4-bcqqWPaJq4no.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Kirang Haerang\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/kirang-haerang/kirang-haerang-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/kirang-haerang/kirang-haerang.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:694;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Kite One\";s:10:\"fontFamily\";s:22:\"\"Kite One\", sans-serif\";s:4:\"slug\";s:8:\"kite-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/kiteone/v22/70lQu7shLnA_E02vyq1e6HnGO4uA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Kite One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/kite-one/kite-one-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/kite-one/kite-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:695;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Kiwi Maru\";s:10:\"fontFamily\";s:18:\"\"Kiwi Maru\", serif\";s:4:\"slug\";s:9:\"kiwi-maru\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/kiwimaru/v15/R70djykGkuuDep-hRg6gNCi0Uhn9R5ShnA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kiwi Maru\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kiwi-maru/kiwi-maru-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/kiwimaru/v15/R70YjykGkuuDep-hRg6YnQCQXzLhTg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kiwi Maru\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kiwi-maru/kiwi-maru-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/kiwimaru/v15/R70djykGkuuDep-hRg6gbCm0Uhn9R5ShnA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kiwi Maru\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kiwi-maru/kiwi-maru-500-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/kiwi-maru/kiwi-maru.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:696;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Klee One\";s:10:\"fontFamily\";s:19:\"\"Klee One\", cursive\";s:4:\"slug\";s:8:\"klee-one\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/kleeone/v8/LDIxapCLNRc6A8oT4q4FOeekWPrP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Klee One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/klee-one/klee-one-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/kleeone/v8/LDI2apCLNRc6A8oT4pbYF8Opc-bGkqIw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Klee One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/klee-one/klee-one-600-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/klee-one/klee-one.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:697;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Knewave\";s:10:\"fontFamily\";s:18:\"Knewave, system-ui\";s:4:\"slug\";s:7:\"knewave\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/knewave/v14/sykz-yx0lLcxQaSItS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Knewave\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/knewave/knewave-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/knewave/knewave.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:698;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"KoHo\";s:10:\"fontFamily\";s:16:\"KoHo, sans-serif\";s:4:\"slug\";s:4:\"koho\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/koho/v16/K2FxfZ5fmddNPuE1WJv5JoKhHys.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/koho/v16/K2FzfZ5fmddNNisssJ_zJ6CkDyvqZA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/koho/v16/K2FxfZ5fmddNPoU2WJv5JoKhHys.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/koho/v16/K2FzfZ5fmddNNiss1JzzJ6CkDyvqZA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/koho/v16/K2F-fZ5fmddNBiwefJbSOos.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/koho/v16/K2FwfZ5fmddNNisUfbTXKou4Bg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/koho/v16/K2FxfZ5fmddNPt03WJv5JoKhHys.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/koho/v16/K2FzfZ5fmddNNissjJ3zJ6CkDyvqZA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/koho/v16/K2FxfZ5fmddNPvEwWJv5JoKhHys.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/koho/v16/K2FzfZ5fmddNNissoJrzJ6CkDyvqZA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/koho/v16/K2FxfZ5fmddNPpUxWJv5JoKhHys.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/koho/v16/K2FzfZ5fmddNNissxJvzJ6CkDyvqZA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"KoHo\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/koho/koho.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:699;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Kodchasan\";s:10:\"fontFamily\";s:21:\"Kodchasan, sans-serif\";s:4:\"slug\";s:9:\"kodchasan\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/kodchasan/v17/1cX0aUPOAJv9sG4I-DJeR1CghOqo3eMeoA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kodchasan/v17/1cXqaUPOAJv9sG4I-DJWjUlIgOCp_-YOoIgN.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/kodchasan/v17/1cX0aUPOAJv9sG4I-DJeI1OghOqo3eMeoA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kodchasan/v17/1cXqaUPOAJv9sG4I-DJWjUksg-Cp_-YOoIgN.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/kodchasan/v17/1cXxaUPOAJv9sG4I-DJminuEicG01A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/kodchasan/v17/1cX3aUPOAJv9sG4I-DJWjXGFq8Sk1PoH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/kodchasan/v17/1cX0aUPOAJv9sG4I-DJee1KghOqo3eMeoA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kodchasan/v17/1cXqaUPOAJv9sG4I-DJWjUl0guCp_-YOoIgN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/kodchasan/v17/1cX0aUPOAJv9sG4I-DJeV1WghOqo3eMeoA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kodchasan/v17/1cXqaUPOAJv9sG4I-DJWjUlYheCp_-YOoIgN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/kodchasan/v17/1cX0aUPOAJv9sG4I-DJeM1SghOqo3eMeoA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/kodchasan/v17/1cXqaUPOAJv9sG4I-DJWjUk8hOCp_-YOoIgN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Kodchasan\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/kodchasan/kodchasan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:700;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Kode Mono\";s:10:\"fontFamily\";s:22:\"\"Kode Mono\", monospace\";s:4:\"slug\";s:9:\"kode-mono\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/kodemono/v2/A2BLn5pb0QgtVEPFnlYkkaoBgw4qv9odq5my9D-TaOW2A3k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kode Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kode-mono/kode-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/kodemono/v2/A2BLn5pb0QgtVEPFnlYkkaoBgw4qv9odq6uy9D-TaOW2A3k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kode Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kode-mono/kode-mono-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/kodemono/v2/A2BLn5pb0QgtVEPFnlYkkaoBgw4qv9odq0e19D-TaOW2A3k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kode Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kode-mono/kode-mono-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/kodemono/v2/A2BLn5pb0QgtVEPFnlYkkaoBgw4qv9odq3619D-TaOW2A3k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kode Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kode-mono/kode-mono-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/kode-mono/kode-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:701;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Koh Santepheap\";s:10:\"fontFamily\";s:23:\"\"Koh Santepheap\", serif\";s:4:\"slug\";s:14:\"koh-santepheap\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/kohsantepheap/v11/gNMfW3p6SJbwyGj2rBZyeOrTjNuFHVmTtjNJUWU.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Koh Santepheap\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/koh-santepheap/koh-santepheap-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/kohsantepheap/v11/gNMeW3p6SJbwyGj2rBZyeOrTjNtNP3y8mD9ASHz5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Koh Santepheap\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/koh-santepheap/koh-santepheap-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kohsantepheap/v11/gNMdW3p6SJbwyGj2rBZyeOrTjOPkF1ixsyNJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Koh Santepheap\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/koh-santepheap/koh-santepheap-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/kohsantepheap/v11/gNMeW3p6SJbwyGj2rBZyeOrTjNtdOHy8mD9ASHz5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Koh Santepheap\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/koh-santepheap/koh-santepheap-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/kohsantepheap/v11/gNMeW3p6SJbwyGj2rBZyeOrTjNtlOny8mD9ASHz5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Koh Santepheap\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/koh-santepheap/koh-santepheap-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/koh-santepheap/koh-santepheap.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:702;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Kolker Brush\";s:10:\"fontFamily\";s:23:\"\"Kolker Brush\", cursive\";s:4:\"slug\";s:12:\"kolker-brush\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/kolkerbrush/v6/iJWDBXWRZjfKWdvmzwvvog3-6aJ6x8qNUQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Kolker Brush\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/kolker-brush/kolker-brush-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/kolker-brush/kolker-brush.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:703;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Konkhmer Sleokchher\";s:10:\"fontFamily\";s:32:\"\"Konkhmer Sleokchher\", system-ui\";s:4:\"slug\";s:19:\"konkhmer-sleokchher\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/konkhmersleokchher/v2/_Xmw-GE-rjmabA_M-aPOZOsCrUv825LFI3t07E0d-W0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Konkhmer Sleokchher\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/konkhmer-sleokchher/konkhmer-sleokchher-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/konkhmer-sleokchher/konkhmer-sleokchher.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:704;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Kosugi\";s:10:\"fontFamily\";s:18:\"Kosugi, sans-serif\";s:4:\"slug\";s:6:\"kosugi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kosugi/v15/pxiFyp4_v8FCjlI4Mbr6f1pdEQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kosugi\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kosugi/kosugi-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/kosugi/kosugi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:705;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Kosugi Maru\";s:10:\"fontFamily\";s:25:\"\"Kosugi Maru\", sans-serif\";s:4:\"slug\";s:11:\"kosugi-maru\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/kosugimaru/v14/0nksC9PgP_wGh21A2KeqGiTvivr9iBq_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Kosugi Maru\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/kosugi-maru/kosugi-maru-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/kosugi-maru/kosugi-maru.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:706;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Kotta One\";s:10:\"fontFamily\";s:18:\"\"Kotta One\", serif\";s:4:\"slug\";s:9:\"kotta-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/kottaone/v20/S6u_w41LXzPc_jlfNWqPGQ3s5dwt7w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kotta One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kotta-one/kotta-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/kotta-one/kotta-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:707;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Koulen\";s:10:\"fontFamily\";s:17:\"Koulen, system-ui\";s:4:\"slug\";s:6:\"koulen\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/koulen/v28/AMOQz46as3KIBPeWh3A9kuYMUg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Koulen\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/koulen/koulen-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/koulen/koulen.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:708;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Kranky\";s:10:\"fontFamily\";s:17:\"Kranky, system-ui\";s:4:\"slug\";s:6:\"kranky\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kranky/v28/hESw6XVgJzlPsFnMoxeEZo_H_w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kranky\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kranky/kranky-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/kranky/kranky.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:709;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kreon\";s:10:\"fontFamily\";s:12:\"Kreon, serif\";s:4:\"slug\";s:5:\"kreon\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kreon/v37/t5t9IRIUKY-TFF_LW5lnMR3v2DnvPNimfzUfp2dWNg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kreon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kreon/kreon-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kreon/v37/t5t9IRIUKY-TFF_LW5lnMR3v2DnvYtimfzUfp2dWNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kreon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kreon/kreon-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kreon/v37/t5t9IRIUKY-TFF_LW5lnMR3v2DnvUNimfzUfp2dWNg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kreon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kreon/kreon-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kreon/v37/t5t9IRIUKY-TFF_LW5lnMR3v2DnvvN-mfzUfp2dWNg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kreon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kreon/kreon-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kreon/v37/t5t9IRIUKY-TFF_LW5lnMR3v2Dnvhd-mfzUfp2dWNg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kreon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kreon/kreon-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kreon/kreon.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:710;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Kristi\";s:10:\"fontFamily\";s:15:\"Kristi, cursive\";s:4:\"slug\";s:6:\"kristi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kristi/v21/uK_y4ricdeU6zwdRDx0TMv6EXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kristi\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kristi/kristi-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/kristi/kristi.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:711;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Krona One\";s:10:\"fontFamily\";s:23:\"\"Krona One\", sans-serif\";s:4:\"slug\";s:9:\"krona-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/kronaone/v14/jAnEgHdjHcjgfIb1ZcUCNI-h3cWkWg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Krona One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/krona-one/krona-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/krona-one/krona-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:712;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Krub\";s:10:\"fontFamily\";s:16:\"Krub, sans-serif\";s:4:\"slug\";s:4:\"krub\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/krub/v9/sZlEdRyC6CRYZo47KLR4R6gWaf8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/krub/v9/sZlGdRyC6CRYbkQiwLByRooTef_6gQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/krub/v9/sZlEdRyC6CRYZuo4KLR4R6gWaf8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/krub/v9/sZlGdRyC6CRYbkQipLNyRooTef_6gQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:65:\"https://fonts.gstatic.com/s/krub/v9/sZlLdRyC6CRYXkMQDLlTW6E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/krub/v9/sZlFdRyC6CRYbkQaDZtWS6EPcA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/krub/v9/sZlEdRyC6CRYZrI5KLR4R6gWaf8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/krub/v9/sZlGdRyC6CRYbkQi_LJyRooTef_6gQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/krub/v9/sZlEdRyC6CRYZp4-KLR4R6gWaf8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/krub/v9/sZlGdRyC6CRYbkQi0LVyRooTef_6gQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/krub/v9/sZlEdRyC6CRYZvo_KLR4R6gWaf8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/krub/v9/sZlGdRyC6CRYbkQitLRyRooTef_6gQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Krub\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/krub/krub.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:713;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Kufam\";s:10:\"fontFamily\";s:17:\"Kufam, sans-serif\";s:4:\"slug\";s:5:\"kufam\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kufam/v21/C8c-4cY7pG7w_oSJDszBXsKCcBH3lqk7rACJHvIwYg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kufam/v21/C8c-4cY7pG7w_oSJDszBXsKCcBH3pKk7rACJHvIwYg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kufam/v21/C8c-4cY7pG7w_oSJDszBXsKCcBH3SK47rACJHvIwYg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kufam/v21/C8c-4cY7pG7w_oSJDszBXsKCcBH3ca47rACJHvIwYg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kufam/v21/C8c-4cY7pG7w_oSJDszBXsKCcBH3Fq47rACJHvIwYg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kufam/v21/C8c-4cY7pG7w_oSJDszBXsKCcBH3P647rACJHvIwYg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kufam/v21/C8c84cY7pG7w_q6APDMZN6kY3hbiXurT6gqIPPcgYp0i.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kufam/v21/C8c84cY7pG7w_q6APDMZN6kY3hbiXurh6gqIPPcgYp0i.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kufam/v21/C8c84cY7pG7w_q6APDMZN6kY3hbiXuoN7QqIPPcgYp0i.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kufam/v21/C8c84cY7pG7w_q6APDMZN6kY3hbiXuo07QqIPPcgYp0i.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kufam/v21/C8c84cY7pG7w_q6APDMZN6kY3hbiXupT7QqIPPcgYp0i.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/kufam/v21/C8c84cY7pG7w_q6APDMZN6kY3hbiXup67QqIPPcgYp0i.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Kufam\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/kufam/kufam.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:714;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Kulim Park\";s:10:\"fontFamily\";s:24:\"\"Kulim Park\", sans-serif\";s:4:\"slug\";s:10:\"kulim-park\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/kulimpark/v14/fdN49secq3hflz1Uu3IwjJYNwataZbUvGjU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kulimpark/v14/fdNm9secq3hflz1Uu3IwhFwUKa9QZJcqCjVVUA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/kulimpark/v14/fdN49secq3hflz1Uu3IwjPIOwataZbUvGjU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kulimpark/v14/fdNm9secq3hflz1Uu3IwhFwUTaxQZJcqCjVVUA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/kulimpark/v14/fdN79secq3hflz1Uu3IwtFsm5aZxebw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/kulimpark/v14/fdN59secq3hflz1Uu3IwhFws5IR0abw2Aw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/kulimpark/v14/fdN49secq3hflz1Uu3IwjIYIwataZbUvGjU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kulimpark/v14/fdNm9secq3hflz1Uu3IwhFwUOapQZJcqCjVVUA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/kulimpark/v14/fdN49secq3hflz1Uu3IwjOIJwataZbUvGjU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/kulimpark/v14/fdNm9secq3hflz1Uu3IwhFwUXatQZJcqCjVVUA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Kulim Park\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/kulim-park/kulim-park.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:715;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Kumar One\";s:10:\"fontFamily\";s:22:\"\"Kumar One\", system-ui\";s:4:\"slug\";s:9:\"kumar-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/kumarone/v21/bMr1mS-P958wYi6YaGeGMe6WU3oT0g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Kumar One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/kumar-one/kumar-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/kumar-one/kumar-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:716;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Kumar One Outline\";s:10:\"fontFamily\";s:30:\"\"Kumar One Outline\", system-ui\";s:4:\"slug\";s:17:\"kumar-one-outline\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/kumaroneoutline/v17/Noao6VH62pyLP0fsrZ-v18wlUEcX9zD1RQu8EGKF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Kumar One Outline\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/kumar-one-outline/kumar-one-outline-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/kumar-one-outline/kumar-one-outline.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:717;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Kumbh Sans\";s:10:\"fontFamily\";s:24:\"\"Kumbh Sans\", sans-serif\";s:4:\"slug\";s:10:\"kumbh-sans\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQkZcA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQEZYA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQz5YA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQkZYA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQo5YA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQT5EA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQdpEA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQEZEA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/kumbhsans/v22/c4mP1n92AsfhuCq6tVsaoIx1LQICk0boNoq0SjlDfnzKo-bF3mdQOJEA9LTuUkqaLg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Kumbh Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/kumbh-sans/kumbh-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:718;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Kurale\";s:10:\"fontFamily\";s:13:\"Kurale, serif\";s:4:\"slug\";s:6:\"kurale\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/kurale/v12/4iCs6KV9e9dXjho6fQT3v02QFg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Kurale\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/kurale/kurale-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/kurale/kurale.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:719;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"LXGW WenKai Mono TC\";s:10:\"fontFamily\";s:32:\"\"LXGW WenKai Mono TC\", monospace\";s:4:\"slug\";s:19:\"lxgw-wenkai-mono-tc\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lxgwwenkaimonotc/v5/pxiVyos4iPVgyWx9WtufHnsIf5nkaB0HssKqhvdljXmo2SA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"LXGW WenKai Mono TC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-mono-tc/lxgw-wenkai-mono-tc-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/lxgwwenkaimonotc/v5/pxiYyos4iPVgyWx9WtufHnsIf5nkaB0HimuCovpOkXA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"LXGW WenKai Mono TC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-mono-tc/lxgw-wenkai-mono-tc-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lxgwwenkaimonotc/v5/pxiVyos4iPVgyWx9WtufHnsIf5nkaB0HstKthvdljXmo2SA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"LXGW WenKai Mono TC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-mono-tc/lxgw-wenkai-mono-tc-700-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-mono-tc/lxgw-wenkai-mono-tc.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:720;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"LXGW WenKai TC\";s:10:\"fontFamily\";s:25:\"\"LXGW WenKai TC\", cursive\";s:4:\"slug\";s:14:\"lxgw-wenkai-tc\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/lxgwwenkaitc/v5/w8gAH20td8wNsI3f40DmtXZb4_MmBfksTClICyan.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"LXGW WenKai TC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-tc/lxgw-wenkai-tc-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/lxgwwenkaitc/v5/w8gDH20td8wNsI3f40DmtXZb48uPLd0hZzVB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"LXGW WenKai TC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-tc/lxgw-wenkai-tc-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/lxgwwenkaitc/v5/w8gAH20td8wNsI3f40DmtXZb4_M2AvksTClICyan.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"LXGW WenKai TC\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-tc/lxgw-wenkai-tc-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/lxgw-wenkai-tc/lxgw-wenkai-tc.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:721;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"La Belle Aurore\";s:10:\"fontFamily\";s:26:\"\"La Belle Aurore\", cursive\";s:4:\"slug\";s:15:\"la-belle-aurore\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/labelleaurore/v20/RrQIbot8-mNYKnGNDkWlocovHeIIHueFNVmULg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"La Belle Aurore\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/la-belle-aurore/la-belle-aurore-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/la-belle-aurore/la-belle-aurore.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:722;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Labrada\";s:10:\"fontFamily\";s:14:\"Labrada, serif\";s:4:\"slug\";s:7:\"labrada\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9VTSgM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9XTSwM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9UNSwM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9VTSwM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9VhSwM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9WNTAM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9W0TAM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9XTTAM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/labrada/v2/ieVh2Y9HLWefIpOyF1Vi3ZqDss1Px9X6TAM9QPdUej17.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCOt6SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCGt7SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCLV7SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCOt7SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCNl7SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCDV8SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCAx8SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCGt8SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/labrada/v2/ieVv2Y9HLWefIpOyPVxQIkLq2VfhwMCbCEJ8SvZ2fy17-dE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Labrada\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/labrada/labrada.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:723;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Lacquer\";s:10:\"fontFamily\";s:18:\"Lacquer, system-ui\";s:4:\"slug\";s:7:\"lacquer\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lacquer/v15/EYqzma1QwqpG4_BBB7qAXhttQ5I.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Lacquer\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/lacquer/lacquer-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/lacquer/lacquer.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:724;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Laila\";s:10:\"fontFamily\";s:17:\"Laila, sans-serif\";s:4:\"slug\";s:5:\"laila\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/laila/v15/LYjBdG_8nE8jDLzxogNFh14nVcfe.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Laila\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/laila/laila-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/laila/v15/LYjMdG_8nE8jDIRYiidIrEIu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Laila\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/laila/laila-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/laila/v15/LYjBdG_8nE8jDLypowNFh14nVcfe.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Laila\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/laila/laila-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/laila/v15/LYjBdG_8nE8jDLyFpANFh14nVcfe.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Laila\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/laila/laila-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/laila/v15/LYjBdG_8nE8jDLzhpQNFh14nVcfe.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Laila\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/laila/laila-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/laila/laila.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:725;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lakki Reddy\";s:10:\"fontFamily\";s:22:\"\"Lakki Reddy\", cursive\";s:4:\"slug\";s:11:\"lakki-reddy\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/lakkireddy/v21/S6u5w49MUSzD9jlCPmvLZQftx9k97-xZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lakki Reddy\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lakki-reddy/lakki-reddy-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lakki-reddy/lakki-reddy.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:726;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Lalezar\";s:10:\"fontFamily\";s:18:\"Lalezar, system-ui\";s:4:\"slug\";s:7:\"lalezar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lalezar/v14/zrfl0HLVx-HwTP82UaXyIiL0RCg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Lalezar\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/lalezar/lalezar-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/lalezar/lalezar.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:727;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Lancelot\";s:10:\"fontFamily\";s:19:\"Lancelot, system-ui\";s:4:\"slug\";s:8:\"lancelot\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lancelot/v26/J7acnppxBGtQEulG4JY9xJ9CGyAa.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lancelot\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lancelot/lancelot-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/lancelot/lancelot.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:728;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Langar\";s:10:\"fontFamily\";s:17:\"Langar, system-ui\";s:4:\"slug\";s:6:\"langar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/langar/v27/kJEyBukW7AIlgjGVqDVZ99sqrQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Langar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/langar/langar-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/langar/langar.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:729;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Lateef\";s:10:\"fontFamily\";s:13:\"Lateef, serif\";s:4:\"slug\";s:6:\"lateef\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lateef/v30/hESz6XVnNCxEvkb0bjyga6Tb9nQ-RA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lateef/v30/hESz6XVnNCxEvkb0Cj-ga6Tb9nQ-RA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/lateef/v30/hESw6XVnNCxEvkbMoxeEZo_H_w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lateef/v30/hESz6XVnNCxEvkb0Uj6ga6Tb9nQ-RA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lateef/v30/hESz6XVnNCxEvkb0fjmga6Tb9nQ-RA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lateef/v30/hESz6XVnNCxEvkb0Gjiga6Tb9nQ-RA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lateef/v30/hESz6XVnNCxEvkb0Bjuga6Tb9nQ-RA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lateef\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef-800-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/lateef/lateef.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:730;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Lato\";s:10:\"fontFamily\";s:16:\"Lato, sans-serif\";s:4:\"slug\";s:4:\"lato\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/lato/v24/S6u8w4BMUTPHh30wXiWrFCbw7A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/lato/v24/S6u-w4BMUTPHjxsIPy-qNiPg7MU0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/lato/v24/S6u9w4BMUTPHh7USewqFGC_p9dw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lato/v24/S6u_w4BMUTPHjxsI9w2PGQ3s5dwt7w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/lato/v24/S6uyw4BMUTPHvxw6XweuBCY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/lato/v24/S6u8w4BMUTPHjxswXiWrFCbw7A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/lato/v24/S6u9w4BMUTPHh6UVewqFGC_p9dw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lato/v24/S6u_w4BMUTPHjxsI5wqPGQ3s5dwt7w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-700-italic.svg\";}i:8;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/lato/v24/S6u9w4BMUTPHh50XewqFGC_p9dw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lato/v24/S6u_w4BMUTPHjxsI3wiPGQ3s5dwt7w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lato\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato-900-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/lato/lato.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:731;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Lavishly Yours\";s:10:\"fontFamily\";s:25:\"\"Lavishly Yours\", cursive\";s:4:\"slug\";s:14:\"lavishly-yours\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/lavishlyyours/v5/jizDREVIvGwH5OjiZmX9r5z_WxUd0TY7ikbI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Lavishly Yours\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/lavishly-yours/lavishly-yours-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/lavishly-yours/lavishly-yours.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:732;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"League Gothic\";s:10:\"fontFamily\";s:27:\"\"League Gothic\", sans-serif\";s:4:\"slug\";s:13:\"league-gothic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/leaguegothic/v11/qFdR35CBi4tvBz81xy7WG7ep-BQAY7Krj7feObpH_-ajidQ6Q9hn.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"League Gothic\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/league-gothic/league-gothic-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/league-gothic/league-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:733;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"League Script\";s:10:\"fontFamily\";s:24:\"\"League Script\", cursive\";s:4:\"slug\";s:13:\"league-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/leaguescript/v28/CSR54zpSlumSWj9CGVsoBZdeaNZUuOwkC2s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"League Script\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/league-script/league-script-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/league-script/league-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:734;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"League Spartan\";s:10:\"fontFamily\";s:28:\"\"League Spartan\", sans-serif\";s:4:\"slug\";s:14:\"league-spartan\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvM_oXpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMfoTpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMoITpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvM_oTpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMzITpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMIIPpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMGYPpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMfoPpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/leaguespartan/v11/kJEnBuEW6A0lliaV_m88ja5Twtx8BWhtkDVmjZvMV4PpAcdcFguczA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"League Spartan\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/league-spartan/league-spartan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:735;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Leckerli One\";s:10:\"fontFamily\";s:23:\"\"Leckerli One\", cursive\";s:4:\"slug\";s:12:\"leckerli-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/leckerlione/v20/V8mCoQH8VCsNttEnxnGQ-1itKJxcBtItFw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Leckerli One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/leckerli-one/leckerli-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/leckerli-one/leckerli-one.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:736;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ledger\";s:10:\"fontFamily\";s:13:\"Ledger, serif\";s:4:\"slug\";s:6:\"ledger\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/ledger/v16/j8_q6-HK1L3if_sxnsDwHTBhHw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ledger\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ledger/ledger-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ledger/ledger.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:737;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Lekton\";s:10:\"fontFamily\";s:17:\"Lekton, monospace\";s:4:\"slug\";s:6:\"lekton\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/lekton/v20/SZc43FDmLaWmWpBeWhfonUPL6Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lekton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lekton/lekton-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lekton/v20/SZc63FDmLaWmWpBuXR3pv0bb6StO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Lekton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lekton/lekton-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lekton/v20/SZc73FDmLaWmWpBm4zjMkGjX4DJXgQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lekton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lekton/lekton-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/lekton/lekton.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:738;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Lemon\";s:10:\"fontFamily\";s:16:\"Lemon, system-ui\";s:4:\"slug\";s:5:\"lemon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/lemon/v17/HI_EiYEVKqRMq0jESZXAQ4-d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Lemon\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/lemon/lemon-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/lemon/lemon.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:739;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Lemonada\";s:10:\"fontFamily\";s:19:\"Lemonada, system-ui\";s:4:\"slug\";s:8:\"lemonada\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/lemonada/v28/0QI-MXFD9oygTWy_R-FFlwV-bgfR7QJGJOt2nPWc3Z2pTg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lemonada\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lemonada/lemonada-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/lemonada/v28/0QI-MXFD9oygTWy_R-FFlwV-bgfR7QJGeut2nPWc3Z2pTg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lemonada\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lemonada/lemonada-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/lemonada/v28/0QI-MXFD9oygTWy_R-FFlwV-bgfR7QJGSOt2nPWc3Z2pTg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lemonada\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lemonada/lemonada-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/lemonada/v28/0QI-MXFD9oygTWy_R-FFlwV-bgfR7QJGpOx2nPWc3Z2pTg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lemonada\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lemonada/lemonada-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/lemonada/v28/0QI-MXFD9oygTWy_R-FFlwV-bgfR7QJGnex2nPWc3Z2pTg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lemonada\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lemonada/lemonada-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/lemonada/lemonada.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:740;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Lexend\";s:10:\"fontFamily\";s:18:\"Lexend, sans-serif\";s:4:\"slug\";s:6:\"lexend\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WCzsX_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WC7sW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WC2UW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WCzsW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WCwkW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WC-UR_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WC9wR_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WC7sR_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lexend/v23/wlptgwvFAVdoq2_F94zlCfv0bz1WC5IR_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Lexend\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend/lexend.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:741;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lexend Deca\";s:10:\"fontFamily\";s:25:\"\"Lexend Deca\", sans-serif\";s:4:\"slug\";s:11:\"lexend-deca\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U48MxAqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4cM1AqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4rs1AqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U48M1AqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4ws1AqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4LspAqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4F8pAqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4cMpAqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexenddeca/v21/K2FifZFYk-dHSE0UPPuwQ7CrD94i-NCKm-U4WcpAqRPCqLNflg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Deca\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-deca/lexend-deca.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:742;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Lexend Exa\";s:10:\"fontFamily\";s:24:\"\"Lexend Exa\", sans-serif\";s:4:\"slug\";s:10:\"lexend-exa\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9r7T6bCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9p7TqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9qlTqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9r7TqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9rJTqbCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9olSabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9ocSabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9p7SabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/lexendexa/v30/UMBCrPdOoHOnxExyjdBeQCH18mulUxBvI9pSSabCHJ8BRq0b.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lexend Exa\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-exa/lexend-exa.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:743;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lexend Giga\";s:10:\"fontFamily\";s:25:\"\"Lexend Giga\", sans-serif\";s:4:\"slug\";s:11:\"lexend-giga\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRC2LmE7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRCWLiE7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRChriE7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRC2LiE7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRC6riE7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRCBr-E7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRCP7-E7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRCWL-E7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendgiga/v25/PlIuFl67Mah5Y8yMHE7lkUZPlTBo4MWFfNRCcb-E7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Giga\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-giga/lexend-giga.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:744;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lexend Mega\";s:10:\"fontFamily\";s:25:\"\"Lexend Mega\", sans-serif\";s:4:\"slug\";s:11:\"lexend-mega\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDL8fivuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLcfmvuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLr_mvuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDL8fmvuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLw_mvuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLL_6vuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLFv6vuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLcf6vuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendmega/v25/qFdX35aBi5JtHD41zSTFEuTByuvYFuE9IbDLWP6vuOyiq9EqQw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Mega\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-mega/lexend-mega.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:745;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lexend Peta\";s:10:\"fontFamily\";s:25:\"\"Lexend Peta\", sans-serif\";s:4:\"slug\";s:11:\"lexend-peta\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgR6SFyXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgRaSByXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgRtyByXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgR6SByXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgR2yByXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgRNydyXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgRDidyXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgRaSdyXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendpeta/v27/BXR4vFPGjeLPh0kCfI4OkFX-UTQHSCaxvBgRQCdyXlYuRTsnfw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Peta\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-peta/lexend-peta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:746;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lexend Tera\";s:10:\"fontFamily\";s:25:\"\"Lexend Tera\", sans-serif\";s:4:\"slug\";s:11:\"lexend-tera\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiM5zITc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiMZzMTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiMuTMTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiM5zMTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiM1TMTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiMOTQTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiMADQTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiMZzQTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/lexendtera/v27/RrQDbo98_jt_IXnBPwCWtYJLZ3P4hnaGKFiMTjQTc5z0fYxcrQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lexend Tera\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-tera/lexend-tera.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:747;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Lexend Zetta\";s:10:\"fontFamily\";s:26:\"\"Lexend Zetta\", sans-serif\";s:4:\"slug\";s:12:\"lexend-zetta\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy9bH0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy1bG0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy4jG0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy9bG0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy-TG0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCywjB0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCyzHB0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy1bB0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/lexendzetta/v28/ll8uK2KYXje7CdOFnEWcU8synQbuVYjYB3BCy3_B0ztjbs8qbts.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Lexend Zetta\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/lexend-zetta/lexend-zetta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:748;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Libre Barcode 128\";s:10:\"fontFamily\";s:30:\"\"Libre Barcode 128\", system-ui\";s:4:\"slug\";s:17:\"libre-barcode-128\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/librebarcode128/v28/cIfnMbdUsUoiW3O_hVviCwVjuLtXeJ_F_gMk0izH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Libre Barcode 128\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-128/libre-barcode-128-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-128/libre-barcode-128.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:749;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Libre Barcode 128 Text\";s:10:\"fontFamily\";s:35:\"\"Libre Barcode 128 Text\", system-ui\";s:4:\"slug\";s:22:\"libre-barcode-128-text\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/librebarcode128text/v28/fdNv9tubt3ZEnz1Gu3I4-zppwZ9CWZ16Z0w5cVjY6M90w4k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Libre Barcode 128 Text\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-128-text/libre-barcode-128-text-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-128-text/libre-barcode-128-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:750;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Libre Barcode 39\";s:10:\"fontFamily\";s:29:\"\"Libre Barcode 39\", system-ui\";s:4:\"slug\";s:16:\"libre-barcode-39\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/librebarcode39/v21/-nFnOHM08vwC6h8Li1eQnP_AHzI2K_J709jy92k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Libre Barcode 39\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39/libre-barcode-39-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39/libre-barcode-39.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:751;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Libre Barcode 39 Extended\";s:10:\"fontFamily\";s:38:\"\"Libre Barcode 39 Extended\", system-ui\";s:4:\"slug\";s:25:\"libre-barcode-39-extended\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/librebarcode39extended/v27/8At7Gt6_O5yNS0-K4Nf5U922qSzhJ3dUdfJpwNUgfNFCOZ1GOBw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Libre Barcode 39 Extended\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39-extended/libre-barcode-39-extended-400-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39-extended/libre-barcode-39-extended.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:752;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:30:\"Libre Barcode 39 Extended Text\";s:10:\"fontFamily\";s:43:\"\"Libre Barcode 39 Extended Text\", system-ui\";s:4:\"slug\";s:30:\"libre-barcode-39-extended-text\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/librebarcode39extendedtext/v27/eLG1P_rwIgOiDA7yrs9LoKaYRVLQ1YldrrOnnL7xPO4jNP68ebIiPopNNA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:30:\"Libre Barcode 39 Extended Text\";s:7:\"preview\";s:121:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39-extended-text/libre-barcode-39-extended-text-400-normal.svg\";}}s:7:\"preview\";s:110:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39-extended-text/libre-barcode-39-extended-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:753;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Libre Barcode 39 Text\";s:10:\"fontFamily\";s:34:\"\"Libre Barcode 39 Text\", system-ui\";s:4:\"slug\";s:21:\"libre-barcode-39-text\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/librebarcode39text/v28/sJoa3KhViNKANw_E3LwoDXvs5Un0HQ1vT-030BRL-9rYaw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Libre Barcode 39 Text\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39-text/libre-barcode-39-text-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-39-text/libre-barcode-39-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:754;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Libre Barcode EAN13 Text\";s:10:\"fontFamily\";s:37:\"\"Libre Barcode EAN13 Text\", system-ui\";s:4:\"slug\";s:25:\"libre-barcode-ean-13-text\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/librebarcodeean13text/v21/wlpigxXFDU1_oCu9nfZytgIqSG0XRcJm_OQiB96PBWEki52WfA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Libre Barcode EAN13 Text\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-ean13-text/libre-barcode-ean13-text-400-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-barcode-ean13-text/libre-barcode-ean13-text.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:755;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Libre Baskerville\";s:10:\"fontFamily\";s:26:\"\"Libre Baskerville\", serif\";s:4:\"slug\";s:17:\"libre-baskerville\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/librebaskerville/v14/kmKnZrc3Hgbbcjq75U4uslyuy4kn0pNbYRI4CN2V.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Libre Baskerville\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-baskerville/libre-baskerville-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/librebaskerville/v14/kmKhZrc3Hgbbcjq75U4uslyuy4kn0qNcaxMaDc2V2ro.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Libre Baskerville\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-baskerville/libre-baskerville-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/librebaskerville/v14/kmKiZrc3Hgbbcjq75U4uslyuy4kn0qviTjY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Libre Baskerville\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-baskerville/libre-baskerville-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-baskerville/libre-baskerville.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:756;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Libre Bodoni\";s:10:\"fontFamily\";s:21:\"\"Libre Bodoni\", serif\";s:4:\"slug\";s:12:\"libre-bodoni\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm--H45qDWDYULr5OfyZudXzSBgY2oMBGte6I1fwWnZcOb3U3s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm--H45qDWDYULr5OfyZudXzSBgY2oMBGte6L9fwWnZcOb3U3s.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm--H45qDWDYULr5OfyZudXzSBgY2oMBGte6FNYwWnZcOb3U3s.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm--H45qDWDYULr5OfyZudXzSBgY2oMBGte6GpYwWnZcOb3U3s.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm4-H45qDWDYULr5OfyZud9xBKfuwNnnsVZ_UUcKS_TccTyQ3syLg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm4-H45qDWDYULr5OfyZud9xBKfuwNnnsVZ_UUcGy_TccTyQ3syLg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm4-H45qDWDYULr5OfyZud9xBKfuwNnnsVZ_UUc9yjTccTyQ3syLg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/librebodoni/v5/_Xm4-H45qDWDYULr5OfyZud9xBKfuwNnnsVZ_UUczijTccTyQ3syLg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Libre Bodoni\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-bodoni/libre-bodoni.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:757;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Libre Caslon Display\";s:10:\"fontFamily\";s:29:\"\"Libre Caslon Display\", serif\";s:4:\"slug\";s:20:\"libre-caslon-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/librecaslondisplay/v16/TuGOUUFxWphYQ6YI6q9Xp61FQzxDRKmzr2lUdRhtCC4d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Libre Caslon Display\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-caslon-display/libre-caslon-display-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-caslon-display/libre-caslon-display.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:758;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Libre Caslon Text\";s:10:\"fontFamily\";s:26:\"\"Libre Caslon Text\", serif\";s:4:\"slug\";s:17:\"libre-caslon-text\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/librecaslontext/v5/DdT878IGsGw1aF1JU10PUbTvNNaDMcq63eNrHgO1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Libre Caslon Text\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-caslon-text/libre-caslon-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/librecaslontext/v5/DdT678IGsGw1aF1JU10PUbTvNNaDMfq91-JJGxO1q9o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Libre Caslon Text\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-caslon-text/libre-caslon-text-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/librecaslontext/v5/DdT578IGsGw1aF1JU10PUbTvNNaDMfID8sdmNR-8ssPt.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Libre Caslon Text\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-caslon-text/libre-caslon-text-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-caslon-text/libre-caslon-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:759;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Libre Franklin\";s:10:\"fontFamily\";s:28:\"\"Libre Franklin\", sans-serif\";s:4:\"slug\";s:14:\"libre-franklin\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhLsSUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhrsWUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhcMWUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhLsWUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhHMWUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduh8MKUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhycKUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhrsKUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/librefranklin/v18/jizOREVItHgc8qDIbSTKq4XkRg8T88bjFuXOnduhh8KUAtrIb-JH1g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05oZ8RdDJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05ob8RNDJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05oYiRNDJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05oZ8RNDJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05oZORNDJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05oaiQ9DJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05oabQ9DJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05ob8Q9DJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/librefranklin/v18/jizMREVItHgc8qDIbSTKq4XkRiUawTk7f45UM9y05obVQ9DJTedX1sGE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Libre Franklin\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/libre-franklin/libre-franklin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:760;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Licorice\";s:10:\"fontFamily\";s:17:\"Licorice, cursive\";s:4:\"slug\";s:8:\"licorice\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/licorice/v6/t5tjIR8TMomTCAyjNk2yhqLgzCHu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Licorice\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/licorice/licorice-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/licorice/licorice.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:761;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Life Savers\";s:10:\"fontFamily\";s:24:\"\"Life Savers\", system-ui\";s:4:\"slug\";s:11:\"life-savers\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/lifesavers/v21/ZXuie1UftKKabUQMgxAal_luFgpbuNvB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Life Savers\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/life-savers/life-savers-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/lifesavers/v21/ZXu_e1UftKKabUQMgxAal8HXOS5Wk8fIpPRW.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Life Savers\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/life-savers/life-savers-700-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/lifesavers/v21/ZXu_e1UftKKabUQMgxAal8HLOi5Wk8fIpPRW.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Life Savers\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/life-savers/life-savers-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/life-savers/life-savers.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:762;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Lilita One\";s:10:\"fontFamily\";s:23:\"\"Lilita One\", system-ui\";s:4:\"slug\";s:10:\"lilita-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/lilitaone/v15/i7dPIFZ9Zz-WBtRtedDbUEN2RFq7AwU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lilita One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lilita-one/lilita-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/lilita-one/lilita-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:763;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Lily Script One\";s:10:\"fontFamily\";s:28:\"\"Lily Script One\", system-ui\";s:4:\"slug\";s:15:\"lily-script-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/lilyscriptone/v15/LhW9MV7ZMfIPdMxeBjBvFN8SXLS4h8SjQNsRMg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Lily Script One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/lily-script-one/lily-script-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/lily-script-one/lily-script-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:764;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Limelight\";s:10:\"fontFamily\";s:20:\"Limelight, system-ui\";s:4:\"slug\";s:9:\"limelight\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/limelight/v19/XLYkIZL7aopJVbZJHDuYOONGrnY2TA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Limelight\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/limelight/limelight-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/limelight/limelight.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:765;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Linden Hill\";s:10:\"fontFamily\";s:20:\"\"Linden Hill\", serif\";s:4:\"slug\";s:11:\"linden-hill\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/lindenhill/v24/-F61fjxoKSg9Yc3hZgO8ygFN7CwC009k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Linden Hill\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/linden-hill/linden-hill-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/lindenhill/v24/-F63fjxoKSg9Yc3hZgO8yjFK5i0g1l9kn-s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Linden Hill\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/linden-hill/linden-hill-400-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/linden-hill/linden-hill.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:766;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Linefont\";s:10:\"fontFamily\";s:19:\"Linefont, system-ui\";s:4:\"slug\";s:8:\"linefont\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnY4UNbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnYwUMbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnY9sMbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnY4UMbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnY7cMbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnY1sLbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnY2ILbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnYwULbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/linefont/v5/dg4I_pzpoqcLKUIzVfFMh1TF2rkhli25jn7CKTTWSumsFuSnYywLbuvtmdXux3U.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Linefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/linefont/linefont.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:767;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Lisu Bosa\";s:10:\"fontFamily\";s:18:\"\"Lisu Bosa\", serif\";s:4:\"slug\";s:9:\"lisu-bosa\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXX2DGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXkuRNzZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXO2PGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXlKR9zZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFoErkv240fsdmJRJQvkkviTf3E3Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFuErkv240fsdmJRJQflUHjb_jU3eRL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXY2LGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXkSRtzZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXT2XGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXk-QdzZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXK2TGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXlaQNzZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXN2fGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-800-normal.svg\";}i:13;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXlGQ9zZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-800-italic.svg\";}i:14;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFtErkv240fsdmJRJQXE2bGQNbY1P1Sbg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-900-normal.svg\";}i:15;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/lisubosa/v2/3XFzErkv240fsdmJRJQflXliQtzZ9vhCblye.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Lisu Bosa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/lisu-bosa/lisu-bosa.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:768;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Literata\";s:10:\"fontFamily\";s:15:\"Literata, serif\";s:4:\"slug\";s:8:\"literata\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbJG_F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbE-_F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbBG_F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbCO_F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbM-4F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbPa4F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbJG4F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/literata/v35/or3PQ6P12-iJxAIgLa78DkrbXsDgk0oVDaDPYLanFLHpPf2TbLi4F_PcTWCWp8g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8f7XWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8obXWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8_7XWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8zbXWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8IbLWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8GLLWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8f7LWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/literata/v35/or3NQ6P12-iJxAIgLYT1PLs1Zd0nfUwAbeGVKoRYzNiCp1OUedn8VrLWTEKTt8iVow.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Literata\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/literata/literata.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:769;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:16:\"Liu Jian Mao Cao\";s:10:\"fontFamily\";s:27:\"\"Liu Jian Mao Cao\", cursive\";s:4:\"slug\";s:16:\"liu-jian-mao-cao\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/liujianmaocao/v20/845DNN84HJrccNonurqXILGpvCOofe_VKGWsUo8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Liu Jian Mao Cao\";}}}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:770;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Livvic\";s:10:\"fontFamily\";s:18:\"Livvic, sans-serif\";s:4:\"slug\";s:6:\"livvic\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/livvic/v14/rnCr-x1S2hzjrlffC-M7mHnOSOuk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/livvic/v14/rnCt-x1S2hzjrlfXbdtaknjsTfukQHs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/livvic/v14/rnCq-x1S2hzjrlffp8Iet1fCQfK9WQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/livvic/v14/rnCs-x1S2hzjrlfXbdv2s13DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/livvic/v14/rnCq-x1S2hzjrlffw8Eet1fCQfK9WQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/livvic/v14/rnCs-x1S2hzjrlfXbduSsF3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/livvic/v14/rnCp-x1S2hzjrlfnauk6unzeSA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/livvic/v14/rnCr-x1S2hzjrlfXbeM7mHnOSOuk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/livvic/v14/rnCq-x1S2hzjrlffm8Aet1fCQfK9WQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/livvic/v14/rnCs-x1S2hzjrlfXbdvKsV3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/livvic/v14/rnCq-x1S2hzjrlfft8cet1fCQfK9WQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/livvic/v14/rnCs-x1S2hzjrlfXbdvmtl3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/livvic/v14/rnCq-x1S2hzjrlff08Yet1fCQfK9WQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/livvic/v14/rnCs-x1S2hzjrlfXbduCt13DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/livvic/v14/rnCq-x1S2hzjrlff68Qet1fCQfK9WQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-900-normal.svg\";}i:15;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/livvic/v14/rnCs-x1S2hzjrlfXbdu6tV3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Livvic\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/livvic/livvic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:771;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Lobster\";s:10:\"fontFamily\";s:18:\"Lobster, system-ui\";s:4:\"slug\";s:7:\"lobster\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lobster/v30/neILzCirqoswsqX9_oCsMqEzSJQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Lobster\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster/lobster-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster/lobster.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:772;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Lobster Two\";s:10:\"fontFamily\";s:24:\"\"Lobster Two\", system-ui\";s:4:\"slug\";s:11:\"lobster-two\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/lobstertwo/v20/BngMUXZGTXPUvIoyV6yN59fP7KSJ4ACD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lobster Two\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster-two/lobster-two-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/lobstertwo/v20/BngOUXZGTXPUvIoyV6yN5-fI5qWr5RCDY_k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Lobster Two\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster-two/lobster-two-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/lobstertwo/v20/BngRUXZGTXPUvIoyV6yN5-92w4CEyxyKeuDp.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Lobster Two\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster-two/lobster-two-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/lobstertwo/v20/BngTUXZGTXPUvIoyV6yN5-fI3hyEwR2of_DpXMY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Lobster Two\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster-two/lobster-two-700-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/lobster-two/lobster-two.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:773;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Londrina Outline\";s:10:\"fontFamily\";s:29:\"\"Londrina Outline\", system-ui\";s:4:\"slug\";s:16:\"londrina-outline\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/londrinaoutline/v27/C8c44dM8vmb14dfsZxhetg3pDH-Sfu8xrSKMDvI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Londrina Outline\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-outline/londrina-outline-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-outline/londrina-outline.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:774;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Londrina Shadow\";s:10:\"fontFamily\";s:28:\"\"Londrina Shadow\", system-ui\";s:4:\"slug\";s:15:\"londrina-shadow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/londrinashadow/v26/oPWX_kB4kOQoWNJmjxLV5JuoCUlXQ1aSxkrMCQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Londrina Shadow\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-shadow/londrina-shadow-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-shadow/londrina-shadow.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:775;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Londrina Sketch\";s:10:\"fontFamily\";s:28:\"\"Londrina Sketch\", system-ui\";s:4:\"slug\";s:15:\"londrina-sketch\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/londrinasketch/v25/c4m41npxGMTnomOHtRU68eIJn8qfXGn5Pos6CA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Londrina Sketch\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-sketch/londrina-sketch-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-sketch/londrina-sketch.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:776;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Londrina Solid\";s:10:\"fontFamily\";s:27:\"\"Londrina Solid\", system-ui\";s:4:\"slug\";s:14:\"londrina-solid\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/londrinasolid/v17/flUjRq6sw40kQEJxWNgkLuudGfs9KBMesZHhV64.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Londrina Solid\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-solid/londrina-solid-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/londrinasolid/v17/flUiRq6sw40kQEJxWNgkLuudGfv1CjYxn53oTrcL.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Londrina Solid\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-solid/londrina-solid-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/londrinasolid/v17/flUhRq6sw40kQEJxWNgkLuudGcNcIhI8tIHh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Londrina Solid\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-solid/londrina-solid-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/londrinasolid/v17/flUiRq6sw40kQEJxWNgkLuudGfvdDzYxn53oTrcL.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Londrina Solid\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-solid/londrina-solid-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/londrina-solid/londrina-solid.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:777;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Long Cang\";s:10:\"fontFamily\";s:20:\"\"Long Cang\", cursive\";s:4:\"slug\";s:9:\"long-cang\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/longcang/v17/LYjAdGP8kkgoTec8zkRgqHArXN7HWQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Long Cang\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/long-cang/long-cang-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/long-cang/long-cang.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:778;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Lora\";s:10:\"fontFamily\";s:11:\"Lora, serif\";s:4:\"slug\";s:4:\"lora\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/lora/v35/0QI6MX1D_JOuGQbT0gvTJPa787weuyJDmKxemMeZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/lora/v35/0QI6MX1D_JOuGQbT0gvTJPa787wsuyJDmKxemMeZ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/lora/v35/0QI6MX1D_JOuGQbT0gvTJPa787zAvCJDmKxemMeZ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/lora/v35/0QI6MX1D_JOuGQbT0gvTJPa787z5vCJDmKxemMeZ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/lora/v35/0QI8MX1D_JOuMw_hLdO6T2wV9KnW-MoFkq18ndeZzZ0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/lora/v35/0QI8MX1D_JOuMw_hLdO6T2wV9KnW-PgFkq18ndeZzZ0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/lora/v35/0QI8MX1D_JOuMw_hLdO6T2wV9KnW-BQCkq18ndeZzZ0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/lora/v35/0QI8MX1D_JOuMw_hLdO6T2wV9KnW-C0Ckq18ndeZzZ0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Lora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/lora/lora.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:779;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Love Light\";s:10:\"fontFamily\";s:21:\"\"Love Light\", cursive\";s:4:\"slug\";s:10:\"love-light\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/lovelight/v6/t5tlIR0TNJyZWimpNAXDjKPCyTHuspo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Love Light\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/love-light/love-light-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/love-light/love-light.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:780;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Love Ya Like A Sister\";s:10:\"fontFamily\";s:34:\"\"Love Ya Like A Sister\", system-ui\";s:4:\"slug\";s:21:\"love-ya-like-a-sister\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/loveyalikeasister/v22/R70EjzUBlOqPeouhFDfR80-0FhOqJubN-Be793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Love Ya Like A Sister\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/love-ya-like-a-sister/love-ya-like-a-sister-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/love-ya-like-a-sister/love-ya-like-a-sister.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:781;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Loved by the King\";s:10:\"fontFamily\";s:28:\"\"Loved by the King\", cursive\";s:4:\"slug\";s:17:\"loved-by-the-king\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/lovedbytheking/v21/Gw6gwdP76VDVJNXerebZxUMeRXUF2PiIlXFu2R64.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Loved by the King\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/loved-by-the-king/loved-by-the-king-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/loved-by-the-king/loved-by-the-king.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:782;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Lovers Quarrel\";s:10:\"fontFamily\";s:25:\"\"Lovers Quarrel\", cursive\";s:4:\"slug\";s:14:\"lovers-quarrel\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/loversquarrel/v23/Yq6N-LSKXTL-5bCy8ksBzpQ_-zApY7pO6siz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Lovers Quarrel\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/lovers-quarrel/lovers-quarrel-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/lovers-quarrel/lovers-quarrel.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:783;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Luckiest Guy\";s:10:\"fontFamily\";s:25:\"\"Luckiest Guy\", system-ui\";s:4:\"slug\";s:12:\"luckiest-guy\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/luckiestguy/v22/_gP_1RrxsjcxVyin9l9n_j2RT9R3qDpraA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Luckiest Guy\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/luckiest-guy/luckiest-guy-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/luckiest-guy/luckiest-guy.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:784;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Lugrasimo\";s:10:\"fontFamily\";s:18:\"Lugrasimo, cursive\";s:4:\"slug\";s:9:\"lugrasimo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/lugrasimo/v4/qkBXXvoF_s_eT9c7Y7ae4ZRLkAXbMQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Lugrasimo\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/lugrasimo/lugrasimo-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/lugrasimo/lugrasimo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:785;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Lumanosimo\";s:10:\"fontFamily\";s:19:\"Lumanosimo, cursive\";s:4:\"slug\";s:10:\"lumanosimo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/lumanosimo/v4/K2F0fZBYg_JDSEZHEfO8Ao-KAyLzfWo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Lumanosimo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/lumanosimo/lumanosimo-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/lumanosimo/lumanosimo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:786;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Lunasima\";s:10:\"fontFamily\";s:20:\"Lunasima, sans-serif\";s:4:\"slug\";s:8:\"lunasima\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/lunasima/v1/wEO-EBvPh9RSOj7JFAwge94H1VIe.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lunasima\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lunasima/lunasima-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/lunasima/v1/wEO5EBvPh9RSOj7JFDSZVPoK_k4XiKvO.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lunasima\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lunasima/lunasima-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/lunasima/lunasima.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:787;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Lusitana\";s:10:\"fontFamily\";s:15:\"Lusitana, serif\";s:4:\"slug\";s:8:\"lusitana\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/lusitana/v13/CSR84z9ShvucWzsMKxhfRuMiSct_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lusitana\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lusitana/lusitana-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/lusitana/v13/CSR74z9ShvucWzsMKyDmaccvYtd2vfwk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Lusitana\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/lusitana/lusitana-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/lusitana/lusitana.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:788;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Lustria\";s:10:\"fontFamily\";s:14:\"Lustria, serif\";s:4:\"slug\";s:7:\"lustria\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/lustria/v13/9oRONYodvDEyjuhOrC05MtPyAcg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Lustria\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/lustria/lustria-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/lustria/lustria.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:789;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Luxurious Roman\";s:10:\"fontFamily\";s:28:\"\"Luxurious Roman\", system-ui\";s:4:\"slug\";s:15:\"luxurious-roman\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/luxuriousroman/v8/buEupou_ZcP1w0yTKxJJokVSmbpqZwckeo9RMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Luxurious Roman\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/luxurious-roman/luxurious-roman-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/luxurious-roman/luxurious-roman.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:790;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Luxurious Script\";s:10:\"fontFamily\";s:27:\"\"Luxurious Script\", cursive\";s:4:\"slug\";s:16:\"luxurious-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/luxuriousscript/v7/ahcCv9e7yydulT32KZ0rBIoD7DzMg0_Oby1JtYk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Luxurious Script\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/luxurious-script/luxurious-script-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/luxurious-script/luxurious-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:791;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"M PLUS 1\";s:10:\"fontFamily\";s:22:\"\"M PLUS 1\", sans-serif\";s:4:\"slug\";s:8:\"m-plus-1\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5VSe793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW51Sa793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5Cya793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5VSa793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5Zya793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5iyG793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5siG793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW51SG793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus1/v11/R70EjygA28ymD4HgBUGzkN5Eyoj-WpW5_CG793ZcsGGycA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 1\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1/m-plus-1.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:792;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"M PLUS 1 Code\";s:10:\"fontFamily\";s:26:\"\"M PLUS 1 Code\", monospace\";s:4:\"slug\";s:13:\"m-plus-1-code\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7iN0XHsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7gN0HHsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7jT0HHsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7iN0HHsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7i_0HHsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7hT13HsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/mplus1code/v13/ypvMbXOOx2xFpzmYJS3N2_J2hBN6RZ5oIp8m_7hq13HsapwmdZhY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"M PLUS 1 Code\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1-code/m-plus-1-code.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:793;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"M PLUS 1p\";s:10:\"fontFamily\";s:23:\"\"M PLUS 1p\", sans-serif\";s:4:\"slug\";s:10:\"m-plus-1-p\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tleuShHdiFyPFzBRrQnDQFUW3aq-5N.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tmeuShHdiFyPFzBRrQVBYgfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tjeuShHdiFyPFzBRro_T4Ec2jKqw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tmeuShHdiFyPFzBRrQDBcgfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tmeuShHdiFyPFzBRrQRBEgfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tmeuShHdiFyPFzBRrQWBIgfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/mplus1p/v30/e3tmeuShHdiFyPFzBRrQfBMgfkPWovdU4w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"M PLUS 1p\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-1p/m-plus-1p.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:794;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"M PLUS 2\";s:10:\"fontFamily\";s:22:\"\"M PLUS 2\", sans-serif\";s:4:\"slug\";s:8:\"m-plus-2\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwOa-Vw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwua6Vw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwZ66Vw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwOa6Vw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwC66Vw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkw56mVw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkw3qmVw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwuamVw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mplus2/v10/7Auhp_Eq3gO_OGbGGhjdwrDdpeIBxlkwkKmVw1qHrzNgAw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"M PLUS 2\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-2/m-plus-2.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:795;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"M PLUS Code Latin\";s:10:\"fontFamily\";s:31:\"\"M PLUS Code Latin\", sans-serif\";s:4:\"slug\";s:17:\"m-plus-code-latin\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1EbB6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1MbA6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1BjA6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1EbA6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1HTA6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1JjH6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/mpluscodelatin/v13/hv-ylyV-aXg7x7tULiNXXBA0Np4WMS8fDIymHY8fy8wn4_ifLAtrObKDO0Xf1KHH6itMqF9TRwg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Code Latin\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-code-latin/m-plus-code-latin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:796;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"M PLUS Rounded 1c\";s:10:\"fontFamily\";s:31:\"\"M PLUS Rounded 1c\", sans-serif\";s:4:\"slug\";s:18:\"m-plus-rounded-1-c\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGCAYIAV6gnpUpoWwNkYvrugw9RuM3ixL4g6-av1x0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGBAYIAV6gnpUpoWwNkYvrugw9RuM0q5psPxeqmzgRK.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGEAYIAV6gnpUpoWwNkYvrugw9RuPWDzr8C7vav.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGBAYIAV6gnpUpoWwNkYvrugw9RuM1y55sPxeqmzgRK.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGBAYIAV6gnpUpoWwNkYvrugw9RuM064ZsPxeqmzgRK.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGBAYIAV6gnpUpoWwNkYvrugw9RuM0m4psPxeqmzgRK.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/mplusrounded1c/v16/VdGBAYIAV6gnpUpoWwNkYvrugw9RuM0C45sPxeqmzgRK.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"M PLUS Rounded 1c\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/m-plus-rounded-1c/m-plus-rounded-1c.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:797;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Ma Shan Zheng\";s:10:\"fontFamily\";s:24:\"\"Ma Shan Zheng\", cursive\";s:4:\"slug\";s:13:\"ma-shan-zheng\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/mashanzheng/v10/NaPecZTRCLxvwo41b4gvzkXaRMHsDIRSfr0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Ma Shan Zheng\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ma-shan-zheng/ma-shan-zheng-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/ma-shan-zheng/ma-shan-zheng.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:798;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Macondo\";s:10:\"fontFamily\";s:18:\"Macondo, system-ui\";s:4:\"slug\";s:7:\"macondo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/macondo/v25/RrQQboN9-iB1IXmOS2DO0LBBd4Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Macondo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/macondo/macondo-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/macondo/macondo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:799;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Macondo Swash Caps\";s:10:\"fontFamily\";s:31:\"\"Macondo Swash Caps\", system-ui\";s:4:\"slug\";s:18:\"macondo-swash-caps\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/macondoswashcaps/v24/6NUL8EaAJgGKZA7lpt941Z9s6ZYgDq6Of0oa_mm5bA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Macondo Swash Caps\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/macondo-swash-caps/macondo-swash-caps-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/macondo-swash-caps/macondo-swash-caps.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:800;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Mada\";s:10:\"fontFamily\";s:16:\"Mada, sans-serif\";s:4:\"slug\";s:4:\"mada\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFlOkHk12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFmQkHk12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFnOkHk12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFn8kHk12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFkQl3k12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFkpl3k12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFlOl3k12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/mada/v19/7Aulp_0qnzeSVz7u3PJLcUMYOFlnl3k12-m9x2iC.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mada\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada-900-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/mada/mada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:801;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Madimi One\";s:10:\"fontFamily\";s:24:\"\"Madimi One\", sans-serif\";s:4:\"slug\";s:10:\"madimi-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/madimione/v1/2V0YKIEADpA8U6RygDnZZFEoBoHMd2U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Madimi One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/madimi-one/madimi-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/madimi-one/madimi-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:802;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Magra\";s:10:\"fontFamily\";s:17:\"Magra, sans-serif\";s:4:\"slug\";s:5:\"magra\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/magra/v14/uK_94ruaZus72k50IDMfO-ed.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Magra\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/magra/magra-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/magra/v14/uK_w4ruaZus72nbNDxcSEPuUX1ow.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Magra\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/magra/magra-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/magra/magra.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:803;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Maiden Orange\";s:10:\"fontFamily\";s:22:\"\"Maiden Orange\", serif\";s:4:\"slug\";s:13:\"maiden-orange\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/maidenorange/v29/kJE1BuIX7AUmhi2V4m08kb1XjONdCZS8FY8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Maiden Orange\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/maiden-orange/maiden-orange-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/maiden-orange/maiden-orange.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:804;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Maitree\";s:10:\"fontFamily\";s:14:\"Maitree, serif\";s:4:\"slug\";s:7:\"maitree\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/maitree/v10/MjQDmil5tffhpBrklhGNWJSovLdh6OE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Maitree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/maitree/v10/MjQDmil5tffhpBrklnWOWJSovLdh6OE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Maitree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/maitree/v10/MjQGmil5tffhpBrkrtymfJmDoL4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Maitree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/maitree/v10/MjQDmil5tffhpBrkli2PWJSovLdh6OE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Maitree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/maitree/v10/MjQDmil5tffhpBrklgGIWJSovLdh6OE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Maitree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/maitree/v10/MjQDmil5tffhpBrklmWJWJSovLdh6OE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Maitree\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/maitree/maitree.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:805;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Major Mono Display\";s:10:\"fontFamily\";s:31:\"\"Major Mono Display\", monospace\";s:4:\"slug\";s:18:\"major-mono-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/majormonodisplay/v16/RWmVoLyb5fEqtsfBX9PDZIGr2tFubRhLD32QIndPww.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Major Mono Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/major-mono-display/major-mono-display-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/major-mono-display/major-mono-display.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:806;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Mako\";s:10:\"fontFamily\";s:16:\"Mako, sans-serif\";s:4:\"slug\";s:4:\"mako\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/mako/v19/H4coBX6Mmc_Z0SH09g478Lo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mako\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mako/mako-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/mako/mako.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:807;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Mali\";s:10:\"fontFamily\";s:13:\"Mali, cursive\";s:4:\"slug\";s:4:\"mali\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mali/v10/N0bV2SRONuN4QOLlKlFaJdbWgdY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mali/v10/N0bX2SRONuN4SCj8wlVQJPTTkdbJYA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mali/v10/N0bV2SRONuN4QIbmKlFaJdbWgdY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mali/v10/N0bX2SRONuN4SCj8plZQJPTTkdbJYA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/mali/v10/N0ba2SRONuN4eC_ODlxxOd8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/mali/v10/N0bU2SRONuN4SCjED350Kd_PmA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mali/v10/N0bV2SRONuN4QN7nKlFaJdbWgdY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mali/v10/N0bX2SRONuN4SCj8_ldQJPTTkdbJYA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mali/v10/N0bV2SRONuN4QPLgKlFaJdbWgdY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mali/v10/N0bX2SRONuN4SCj80lBQJPTTkdbJYA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mali/v10/N0bV2SRONuN4QJbhKlFaJdbWgdY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mali/v10/N0bX2SRONuN4SCj8tlFQJPTTkdbJYA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mali\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/mali/mali.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:808;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Mallanna\";s:10:\"fontFamily\";s:20:\"Mallanna, sans-serif\";s:4:\"slug\";s:8:\"mallanna\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/mallanna/v14/hv-Vlzx-KEQb84YaDGw2EzRwVvJ-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Mallanna\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/mallanna/mallanna-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/mallanna/mallanna.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:809;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Maname\";s:10:\"fontFamily\";s:13:\"Maname, serif\";s:4:\"slug\";s:6:\"maname\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/maname/v1/gNMFW3J8RpCx9my43VkGGI6q_Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Maname\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/maname/maname-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/maname/maname.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:810;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Mandali\";s:10:\"fontFamily\";s:19:\"Mandali, sans-serif\";s:4:\"slug\";s:7:\"mandali\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mandali/v15/LhWlMVbYOfASNfNUVFw1ZPdcKtA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Mandali\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/mandali/mandali-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/mandali/mandali.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:811;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Manjari\";s:10:\"fontFamily\";s:19:\"Manjari, sans-serif\";s:4:\"slug\";s:7:\"manjari\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/manjari/v12/k3kSo8UPMOBO2w1UdbroLmvFIaOV8A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manjari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manjari/manjari-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/manjari/v12/k3kQo8UPMOBO2w1UTdviL0nAMaM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manjari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manjari/manjari-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/manjari/v12/k3kVo8UPMOBO2w1UdWLNC0TrLaqM6Q4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manjari\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manjari/manjari-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/manjari/manjari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:812;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Manrope\";s:10:\"fontFamily\";s:19:\"Manrope, sans-serif\";s:4:\"slug\";s:7:\"manrope\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk59FO_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk6jFO_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk79FO_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk7PFO_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk4jE-_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk4aE-_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manrope/v15/xn7_YHE41ni1AdIRqAuZuw1Bx9mbZk59E-_A87jxeN7B.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manrope\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/manrope/manrope.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:813;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Mansalva\";s:10:\"fontFamily\";s:17:\"Mansalva, cursive\";s:4:\"slug\";s:8:\"mansalva\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/mansalva/v14/aWB4m0aacbtDfvq5NJlgI47vdyBg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Mansalva\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/mansalva/mansalva-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/mansalva/mansalva.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:814;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Manuale\";s:10:\"fontFamily\";s:14:\"Manuale, serif\";s:4:\"slug\";s:7:\"manuale\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manuale/v28/f0Xp0eas_8Z-TFZdHv3mMxFaSqASeeG6e7wG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manuale/v28/f0Xp0eas_8Z-TFZdHv3mMxFaSqASeeHke7wG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manuale/v28/f0Xp0eas_8Z-TFZdHv3mMxFaSqASeeHWe7wG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manuale/v28/f0Xp0eas_8Z-TFZdHv3mMxFaSqASeeE6fLwG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manuale/v28/f0Xp0eas_8Z-TFZdHv3mMxFaSqASeeEDfLwG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/manuale/v28/f0Xp0eas_8Z-TFZdHv3mMxFaSqASeeFkfLwG1TB_JHHY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/manuale/v28/f0Xn0eas_8Z-TFZdNPTUzMkzITq8fvQsOApA3zFdIWHYr8M.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/manuale/v28/f0Xn0eas_8Z-TFZdNPTUzMkzITq8fvQsOFRA3zFdIWHYr8M.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/manuale/v28/f0Xn0eas_8Z-TFZdNPTUzMkzITq8fvQsOGZA3zFdIWHYr8M.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-500-italic.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/manuale/v28/f0Xn0eas_8Z-TFZdNPTUzMkzITq8fvQsOIpH3zFdIWHYr8M.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/manuale/v28/f0Xn0eas_8Z-TFZdNPTUzMkzITq8fvQsOLNH3zFdIWHYr8M.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-700-italic.svg\";}i:11;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/manuale/v28/f0Xn0eas_8Z-TFZdNPTUzMkzITq8fvQsONRH3zFdIWHYr8M.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Manuale\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale-800-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/manuale/manuale.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:815;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Marcellus\";s:10:\"fontFamily\";s:16:\"Marcellus, serif\";s:4:\"slug\";s:9:\"marcellus\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/marcellus/v13/wEO_EBrOk8hQLDvIAF8FVPAL3EsHiA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Marcellus\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/marcellus/marcellus-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/marcellus/marcellus.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:816;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Marcellus SC\";s:10:\"fontFamily\";s:21:\"\"Marcellus SC\", serif\";s:4:\"slug\";s:12:\"marcellus-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/marcellussc/v13/ke8iOgUHP1dg-Rmi6RWjbLEPhNydGKikhA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Marcellus SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/marcellus-sc/marcellus-sc-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/marcellus-sc/marcellus-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:817;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Marck Script\";s:10:\"fontFamily\";s:23:\"\"Marck Script\", cursive\";s:4:\"slug\";s:12:\"marck-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/marckscript/v20/nwpTtK2oNgBA3Or78gapdwuCyiI-aMPF7Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Marck Script\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/marck-script/marck-script-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/marck-script/marck-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:818;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Margarine\";s:10:\"fontFamily\";s:20:\"Margarine, system-ui\";s:4:\"slug\";s:9:\"margarine\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/margarine/v25/qkBXXvoE6trLT9Y7YLye4ZRLkAXbMQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Margarine\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/margarine/margarine-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/margarine/margarine.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:819;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Marhey\";s:10:\"fontFamily\";s:17:\"Marhey, system-ui\";s:4:\"slug\";s:6:\"marhey\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/marhey/v6/x3d8ck7Laq-T7wl7mqfVrEe9sDvtBZVwO2IXiGevOMw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marhey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marhey/marhey-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/marhey/v6/x3d8ck7Laq-T7wl7mqfVrEe9sDvtBctwO2IXiGevOMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marhey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marhey/marhey-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/marhey/v6/x3d8ck7Laq-T7wl7mqfVrEe9sDvtBflwO2IXiGevOMw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marhey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marhey/marhey-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/marhey/v6/x3d8ck7Laq-T7wl7mqfVrEe9sDvtBRV3O2IXiGevOMw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marhey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marhey/marhey-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/marhey/v6/x3d8ck7Laq-T7wl7mqfVrEe9sDvtBSx3O2IXiGevOMw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marhey\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marhey/marhey-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/marhey/marhey.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:820;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Markazi Text\";s:10:\"fontFamily\";s:21:\"\"Markazi Text\", serif\";s:4:\"slug\";s:12:\"markazi-text\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/markazitext/v23/sykh-ydym6AtQaiEtX7yhqb_rV1k_81ZVYYZtfSQT4YlBekmJLo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Markazi Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/markazi-text/markazi-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/markazitext/v23/sykh-ydym6AtQaiEtX7yhqb_rV1k_81ZVYYZtcaQT4YlBekmJLo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Markazi Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/markazi-text/markazi-text-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/markazitext/v23/sykh-ydym6AtQaiEtX7yhqb_rV1k_81ZVYYZtSqXT4YlBekmJLo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Markazi Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/markazi-text/markazi-text-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/markazitext/v23/sykh-ydym6AtQaiEtX7yhqb_rV1k_81ZVYYZtROXT4YlBekmJLo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Markazi Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/markazi-text/markazi-text-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/markazi-text/markazi-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:821;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Marko One\";s:10:\"fontFamily\";s:18:\"\"Marko One\", serif\";s:4:\"slug\";s:9:\"marko-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/markoone/v23/9Btq3DFG0cnVM5lw1haaL5UfrHPzUw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Marko One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/marko-one/marko-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/marko-one/marko-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:822;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Marmelad\";s:10:\"fontFamily\";s:20:\"Marmelad, sans-serif\";s:4:\"slug\";s:8:\"marmelad\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/marmelad/v18/Qw3eZQdSHj_jK2e-8tFOG-YMC0R8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Marmelad\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/marmelad/marmelad-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/marmelad/marmelad.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:823;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Martel\";s:10:\"fontFamily\";s:13:\"Martel, serif\";s:4:\"slug\";s:6:\"martel\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/martel/v11/PN_yRfK9oXHga0XVqekagBbX9vnDzw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/martel/v11/PN_yRfK9oXHga0XVzeoagBbX9vnDzw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/martel/v11/PN_xRfK9oXHga0XtZMI-jT3L_w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/martel/v11/PN_yRfK9oXHga0XVuewagBbX9vnDzw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/martel/v11/PN_yRfK9oXHga0XV3e0agBbX9vnDzw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/martel/v11/PN_yRfK9oXHga0XVwe4agBbX9vnDzw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/martel/v11/PN_yRfK9oXHga0XV5e8agBbX9vnDzw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Martel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/martel/martel.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:824;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Martel Sans\";s:10:\"fontFamily\";s:25:\"\"Martel Sans\", sans-serif\";s:4:\"slug\";s:11:\"martel-sans\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/martelsans/v13/h0GxssGi7VdzDgKjM-4d8hAX5suCFUknqMxQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/martelsans/v13/h0GxssGi7VdzDgKjM-4d8hBz5cuCFUknqMxQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/martelsans/v13/h0GsssGi7VdzDgKjM-4d8ijaze-PPlUu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/martelsans/v13/h0GxssGi7VdzDgKjM-4d8hAH48uCFUknqMxQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/martelsans/v13/h0GxssGi7VdzDgKjM-4d8hBj4suCFUknqMxQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/martelsans/v13/h0GxssGi7VdzDgKjM-4d8hB_4cuCFUknqMxQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/martelsans/v13/h0GxssGi7VdzDgKjM-4d8hBb4MuCFUknqMxQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Martel Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/martel-sans/martel-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:825;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Martian Mono\";s:10:\"fontFamily\";s:25:\"\"Martian Mono\", monospace\";s:4:\"slug\";s:12:\"martian-mono\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY1qus6TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY3qu86TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY00u86TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY1qu86TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY1Yu86TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY20vM6TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY2NvM6TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/martianmono/v3/2V08KIcADoYhV6w87xrTKjs4CYElh_VS9YA4TlTnQzaVMIE6j15dYY3qvM6TD75kdpF2.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Martian Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/martian-mono/martian-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:826;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Marvel\";s:10:\"fontFamily\";s:18:\"Marvel, sans-serif\";s:4:\"slug\";s:6:\"marvel\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/marvel/v16/nwpVtKeoNgBV0qaIlF7ED366zg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marvel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marvel/marvel-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/marvel/v16/nwpXtKeoNgBV0qa4k1TFLXuqzhA7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Marvel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marvel/marvel-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/marvel/v16/nwpWtKeoNgBV0qawLXHgAlWmxwkiYQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Marvel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marvel/marvel-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/marvel/v16/nwpQtKeoNgBV0qa4k2x8Al-n5QwyYdrc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Marvel\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/marvel/marvel-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/marvel/marvel.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:827;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Mate\";s:10:\"fontFamily\";s:11:\"Mate, serif\";s:4:\"slug\";s:4:\"mate\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/mate/v17/m8JdjftRd7WZ2zi8WoXSaLU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mate\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mate/mate-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/mate/v17/m8JTjftRd7WZ6z-2W6fXeLVdbw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Mate\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mate/mate-400-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/mate/mate.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:828;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Mate SC\";s:10:\"fontFamily\";s:16:\"\"Mate SC\", serif\";s:4:\"slug\";s:7:\"mate-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/matesc/v22/-nF8OGQ1-uoVr2wKyiDZ95OkJwA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Mate SC\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/mate-sc/mate-sc-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/mate-sc/mate-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:829;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Matemasie\";s:10:\"fontFamily\";s:21:\"Matemasie, sans-serif\";s:4:\"slug\";s:9:\"matemasie\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/matemasie/v2/OD5BuMCN3ne3Gmr7dlL3qUq4DL6w2w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Matemasie\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/matemasie/matemasie-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/matemasie/matemasie.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:830;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:14:\"Material Icons\";s:10:\"fontFamily\";s:27:\"\"Material Icons\", monospace\";s:4:\"slug\";s:14:\"material-icons\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/materialicons/v142/flUhRq6tzZclQEJ-Vdg-IuiaDsNcIhI8tIHh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Material Icons\";}}}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:831;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:23:\"Material Icons Outlined\";s:10:\"fontFamily\";s:36:\"\"Material Icons Outlined\", monospace\";s:4:\"slug\";s:23:\"material-icons-outlined\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/materialiconsoutlined/v109/gok-H7zzDkdnRel8-DQ6KAXJ69wP1tGnf4ZGhUcel5GuI2Ze.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Material Icons Outlined\";}}}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:832;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:20:\"Material Icons Round\";s:10:\"fontFamily\";s:33:\"\"Material Icons Round\", monospace\";s:4:\"slug\";s:20:\"material-icons-round\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/materialiconsround/v108/LDItaoyNOAY6Uewc665JcIzCKsKc_M9flwmPq_fTTvg-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Material Icons Round\";}}}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:833;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:20:\"Material Icons Sharp\";s:10:\"fontFamily\";s:33:\"\"Material Icons Sharp\", monospace\";s:4:\"slug\";s:20:\"material-icons-sharp\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/materialiconssharp/v109/oPWQ_lt5nv4pWNJpghLP75WiFR4kLh3kvmvRImEyc0vd.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Material Icons Sharp\";}}}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:834;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:23:\"Material Icons Two Tone\";s:10:\"fontFamily\";s:36:\"\"Material Icons Two Tone\", monospace\";s:4:\"slug\";s:23:\"material-icons-two-tone\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/materialiconstwotone/v112/hESh6WRmNCxEqUmNyh3JDeGxjVVyMg4tHGctNCu0NjDrH_77.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Material Icons Two Tone\";}}}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:835;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Material Symbols Outlined\";s:10:\"fontFamily\";s:38:\"\"Material Symbols Outlined\", monospace\";s:4:\"slug\";s:25:\"material-symbols-outlined\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDCvHeejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDAvHOejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDDxHOejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDCvHOejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDCdHOejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDBxG-ejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:183:\"https://fonts.gstatic.com/s/materialsymbolsoutlined/v213/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDBIG-ejbd5zrTgt.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Material Symbols Outlined\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined-700-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-outlined/material-symbols-outlined.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:836;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Material Symbols Rounded\";s:10:\"fontFamily\";s:37:\"\"Material Symbols Rounded\", monospace\";s:4:\"slug\";s:24:\"material-symbols-rounded\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rIekXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rAelXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rNmlXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rIelXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rLWlXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rFmiXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:181:\"https://fonts.gstatic.com/s/materialsymbolsrounded/v212/syl0-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvDmUSVOK7BDB_Qb9vUSzq3wzLK-P0J-V_Zs-QtQth3-jOcbTCVpeRL2w5rwZu2rGCiXxeJKJBjAa8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Material Symbols Rounded\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded-700-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-rounded/material-symbols-rounded.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:837;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Material Symbols Sharp\";s:10:\"fontFamily\";s:35:\"\"Material Symbols Sharp\", monospace\";s:4:\"slug\";s:22:\"material-symbols-sharp\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxOLozCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxMLojCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxPVojCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxOLojCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxO5ojCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxNVpTCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:176:\"https://fonts.gstatic.com/s/materialsymbolssharp/v209/gNNBW2J8Roq16WD5tFNRaeLQk6-SHQ_R00k4c2_whPnoY9ruReaU4bHmz74m0ZkGH-VBYe1x0TV6x4yFH8F-H5OdzEL3sVTgJtfbYxNspTCLJ1H7-knk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Material Symbols Sharp\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/material-symbols-sharp/material-symbols-sharp.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:838;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Maven Pro\";s:10:\"fontFamily\";s:23:\"\"Maven Pro\", sans-serif\";s:4:\"slug\";s:9:\"maven-pro\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/mavenpro/v36/7Auup_AqnyWWAxW2Wk3swUz56MS91Eww8SX25nWpozp5GvU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Maven Pro\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/mavenpro/v36/7Auup_AqnyWWAxW2Wk3swUz56MS91Eww8Rf25nWpozp5GvU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Maven Pro\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/mavenpro/v36/7Auup_AqnyWWAxW2Wk3swUz56MS91Eww8fvx5nWpozp5GvU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Maven Pro\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/mavenpro/v36/7Auup_AqnyWWAxW2Wk3swUz56MS91Eww8cLx5nWpozp5GvU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Maven Pro\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/mavenpro/v36/7Auup_AqnyWWAxW2Wk3swUz56MS91Eww8aXx5nWpozp5GvU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Maven Pro\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/mavenpro/v36/7Auup_AqnyWWAxW2Wk3swUz56MS91Eww8Yzx5nWpozp5GvU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Maven Pro\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/maven-pro/maven-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:839;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"McLaren\";s:10:\"fontFamily\";s:18:\"McLaren, system-ui\";s:4:\"slug\";s:7:\"mclaren\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/mclaren/v17/2EbnL-ZuAXFqZFXISYMf8z2Yt_c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"McLaren\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/mclaren/mclaren-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/mclaren/mclaren.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:840;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Mea Culpa\";s:10:\"fontFamily\";s:20:\"\"Mea Culpa\", cursive\";s:4:\"slug\";s:9:\"mea-culpa\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/meaculpa/v6/AMOTz4GcuWbEIuza8jsZn80QW3mqyg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Mea Culpa\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/mea-culpa/mea-culpa-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/mea-culpa/mea-culpa.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:841;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Meddon\";s:10:\"fontFamily\";s:15:\"Meddon, cursive\";s:4:\"slug\";s:6:\"meddon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/meddon/v24/kmK8ZqA2EgDNeHTZgRdB3y_Aow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Meddon\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/meddon/meddon-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/meddon/meddon.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:842;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"MedievalSharp\";s:10:\"fontFamily\";s:24:\"MedievalSharp, system-ui\";s:4:\"slug\";s:13:\"medievalsharp\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/medievalsharp/v26/EvOJzAlL3oU5AQl2mP5KdgptAqp6MwvXLDk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"MedievalSharp\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/medievalsharp/medievalsharp-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/medievalsharp/medievalsharp.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:843;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Medula One\";s:10:\"fontFamily\";s:23:\"\"Medula One\", system-ui\";s:4:\"slug\";s:10:\"medula-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/medulaone/v19/YA9Wr0qb5kjJM6l2V0yukiQqs7GtlvY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Medula One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/medula-one/medula-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/medula-one/medula-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:844;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Meera Inimai\";s:10:\"fontFamily\";s:26:\"\"Meera Inimai\", sans-serif\";s:4:\"slug\";s:12:\"meera-inimai\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/meerainimai/v12/845fNMM5EIqOW5MPuvO3ILep-mjDVevnLQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Meera Inimai\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/meera-inimai/meera-inimai-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/meera-inimai/meera-inimai.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:845;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Megrim\";s:10:\"fontFamily\";s:17:\"Megrim, system-ui\";s:4:\"slug\";s:6:\"megrim\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/megrim/v16/46kulbz5WjvLqJZlaGXgd0RY1g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Megrim\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/megrim/megrim-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/megrim/megrim.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:846;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Meie Script\";s:10:\"fontFamily\";s:22:\"\"Meie Script\", cursive\";s:4:\"slug\";s:11:\"meie-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/meiescript/v21/_LOImzDK7erRjhunIspaMjxi5IXg0WDz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Meie Script\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/meie-script/meie-script-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/meie-script/meie-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:847;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Meow Script\";s:10:\"fontFamily\";s:22:\"\"Meow Script\", cursive\";s:4:\"slug\";s:11:\"meow-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/meowscript/v5/0FlQVPqanlaJrtr8AnJ0ESck0_0CfDf1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Meow Script\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/meow-script/meow-script-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/meow-script/meow-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:848;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Merienda\";s:10:\"fontFamily\";s:17:\"Merienda, cursive\";s:4:\"slug\";s:8:\"merienda\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5JHhoTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5enhoTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5SHhoTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5pH9oTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5nX9oTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5-n9oTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/merienda/v19/gNMaW3x8Qoy5_mf8uUkJGHtiYXjmKFy5039oTE78QGBV0A.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Merienda\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/merienda/merienda.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:849;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Merriweather\";s:10:\"fontFamily\";s:19:\"Merriweather, serif\";s:4:\"slug\";s:12:\"merriweather\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/merriweather/v30/u-4n0qyriQwlOrhSvowK_l521wRpWs37pvjxPA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/merriweather/v30/u-4l0qyriQwlOrhSvowK_l5-eR7lXcf6hP3hPGWH.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/merriweather/v30/u-440qyriQwlOrhSvowK_l5OfixNV-bnrw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/merriweather/v30/u-4m0qyriQwlOrhSvowK_l5-eSZMdeP3r-Ho.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/merriweather/v30/u-4n0qyriQwlOrhSvowK_l52xwNpWs37pvjxPA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/merriweather/v30/u-4l0qyriQwlOrhSvowK_l5-eR71Wsf6hP3hPGWH.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-700-italic.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/merriweather/v30/u-4n0qyriQwlOrhSvowK_l52_wFpWs37pvjxPA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-900-normal.svg\";}i:7;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/merriweather/v30/u-4l0qyriQwlOrhSvowK_l5-eR7NWMf6hP3hPGWH.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Merriweather\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather-900-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather/merriweather.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:850;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Merriweather Sans\";s:10:\"fontFamily\";s:31:\"\"Merriweather Sans\", sans-serif\";s:4:\"slug\";s:17:\"merriweather-sans\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cO9IRs1JiJN1FRAMjTN5zd9vgsFF_5asQTb6hZ2JKZ_O4li-EG7xFHnQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cO9IRs1JiJN1FRAMjTN5zd9vgsFF_5asQTb6hZ2JKZou4li-EG7xFHnQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cO9IRs1JiJN1FRAMjTN5zd9vgsFF_5asQTb6hZ2JKZkO4li-EG7xFHnQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cO9IRs1JiJN1FRAMjTN5zd9vgsFF_5asQTb6hZ2JKZfOkli-EG7xFHnQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cO9IRs1JiJN1FRAMjTN5zd9vgsFF_5asQTb6hZ2JKZRekli-EG7xFHnQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cO9IRs1JiJN1FRAMjTN5zd9vgsFF_5asQTb6hZ2JKZIukli-EG7xFHnQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cM9IRs1JiJN1FRAMjTN5zd9vgsFHXwWDvLBsPDdpWMaq2TzesHzRRXnaur.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cM9IRs1JiJN1FRAMjTN5zd9vgsFHXwWDvLBsPDdpWMaq3NzesHzRRXnaur.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cM9IRs1JiJN1FRAMjTN5zd9vgsFHXwWDvLBsPDdpWMaq3_zesHzRRXnaur.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-500-italic.svg\";}i:9;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cM9IRs1JiJN1FRAMjTN5zd9vgsFHXwWDvLBsPDdpWMaq0TyusHzRRXnaur.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cM9IRs1JiJN1FRAMjTN5zd9vgsFHXwWDvLBsPDdpWMaq0qyusHzRRXnaur.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-700-italic.svg\";}i:11;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/merriweathersans/v26/2-cM9IRs1JiJN1FRAMjTN5zd9vgsFHXwWDvLBsPDdpWMaq1NyusHzRRXnaur.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Merriweather Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans-800-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/merriweather-sans/merriweather-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:851;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Metal\";s:10:\"fontFamily\";s:16:\"Metal, system-ui\";s:4:\"slug\";s:5:\"metal\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/metal/v30/lW-wwjUJIXTo7i3inoQAUdN2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Metal\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/metal/metal-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/metal/metal.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:852;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Metal Mania\";s:10:\"fontFamily\";s:24:\"\"Metal Mania\", system-ui\";s:4:\"slug\";s:11:\"metal-mania\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/metalmania/v22/RWmMoKWb4e8kqMfBUdPFJeXHg6UKDXlq.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Metal Mania\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/metal-mania/metal-mania-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/metal-mania/metal-mania.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:853;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Metamorphous\";s:10:\"fontFamily\";s:23:\"Metamorphous, system-ui\";s:4:\"slug\";s:12:\"metamorphous\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/metamorphous/v20/Wnz8HA03aAXcC39ZEX5y1330OSCthTsmaQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Metamorphous\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/metamorphous/metamorphous-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/metamorphous/metamorphous.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:854;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Metrophobic\";s:10:\"fontFamily\";s:23:\"Metrophobic, sans-serif\";s:4:\"slug\";s:11:\"metrophobic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/metrophobic/v23/sJoA3LZUhMSAPV_u0qwiAT-M737FPEEL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Metrophobic\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/metrophobic/metrophobic-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/metrophobic/metrophobic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:855;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Michroma\";s:10:\"fontFamily\";s:20:\"Michroma, sans-serif\";s:4:\"slug\";s:8:\"michroma\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/michroma/v19/PN_zRfy9qWD8fEagAMg_rzjb_-Da.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Michroma\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/michroma/michroma-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/michroma/michroma.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:856;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Micro 5\";s:10:\"fontFamily\";s:20:\"\"Micro 5\", system-ui\";s:4:\"slug\";s:7:\"micro-5\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/micro5/v1/H4cnBX2MkcfEngTr0gMQ7LO5mqc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Micro 5\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/micro-5/micro-5-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/micro-5/micro-5.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:857;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Micro 5 Charted\";s:10:\"fontFamily\";s:28:\"\"Micro 5 Charted\", system-ui\";s:4:\"slug\";s:15:\"micro-5-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/micro5charted/v1/hESp6XxmPDtTtADZhn7oD_yrmxEGQEsJQAlbUA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Micro 5 Charted\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/micro-5-charted/micro-5-charted-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/micro-5-charted/micro-5-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:858;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Milonga\";s:10:\"fontFamily\";s:18:\"Milonga, system-ui\";s:4:\"slug\";s:7:\"milonga\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/milonga/v22/SZc53FHnIaK9W5kffzjGkUrS8DI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Milonga\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/milonga/milonga-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/milonga/milonga.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:859;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Miltonian\";s:10:\"fontFamily\";s:20:\"Miltonian, system-ui\";s:4:\"slug\";s:9:\"miltonian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/miltonian/v30/zOL-4pbPn6Ne9JqTg9mr7O5As-FeiQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Miltonian\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/miltonian/miltonian-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/miltonian/miltonian.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:860;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Miltonian Tattoo\";s:10:\"fontFamily\";s:29:\"\"Miltonian Tattoo\", system-ui\";s:4:\"slug\";s:16:\"miltonian-tattoo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/miltoniantattoo/v32/EvOUzBRL0o0kCxF-lcMCQxlpVsA_Fwb8MDBku-s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Miltonian Tattoo\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/miltonian-tattoo/miltonian-tattoo-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/miltonian-tattoo/miltonian-tattoo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:861;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Mina\";s:10:\"fontFamily\";s:16:\"Mina, sans-serif\";s:4:\"slug\";s:4:\"mina\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/mina/v11/-nFzOGc18vARrzpj7i3y65o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mina\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mina/mina-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mina/v11/-nF8OGc18vARl4NMyiDZ95OkJwA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mina\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mina/mina-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/mina/mina.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:862;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Mingzat\";s:10:\"fontFamily\";s:19:\"Mingzat, sans-serif\";s:4:\"slug\";s:7:\"mingzat\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mingzat/v8/0QIgMX5C-o-oWWyvBt5km_mv670.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Mingzat\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/mingzat/mingzat-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/mingzat/mingzat.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:863;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Miniver\";s:10:\"fontFamily\";s:18:\"Miniver, system-ui\";s:4:\"slug\";s:7:\"miniver\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/miniver/v25/eLGcP-PxIg-5H0vC77gCy8r8fWA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Miniver\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/miniver/miniver-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/miniver/miniver.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:864;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Miriam Libre\";s:10:\"fontFamily\";s:26:\"\"Miriam Libre\", sans-serif\";s:4:\"slug\";s:12:\"miriam-libre\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/miriamlibre/v14/DdTh798HsHwubBAqfkcBTL_vZZn_Teun9g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Miriam Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/miriam-libre/miriam-libre-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/miriamlibre/v14/DdT-798HsHwubBAqfkcBTL_X3LbbQMC7_-Z7Hg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Miriam Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/miriam-libre/miriam-libre-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/miriam-libre/miriam-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:865;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Mirza\";s:10:\"fontFamily\";s:12:\"Mirza, serif\";s:4:\"slug\";s:5:\"mirza\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/mirza/v17/co3ImWlikiN5EurYKMewsrvI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mirza\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mirza/mirza-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mirza/v17/co3FmWlikiN5EtIpAeO9mafBomDi.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mirza\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mirza/mirza-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mirza/v17/co3FmWlikiN5EtIFBuO9mafBomDi.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mirza\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mirza/mirza-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mirza/v17/co3FmWlikiN5EtJhB-O9mafBomDi.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mirza\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mirza/mirza-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/mirza/mirza.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:866;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Miss Fajardose\";s:10:\"fontFamily\";s:25:\"\"Miss Fajardose\", cursive\";s:4:\"slug\";s:14:\"miss-fajardose\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/missfajardose/v22/E21-_dn5gvrawDdPFVl-N0Ajb8qqWPaJq4no.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Miss Fajardose\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/miss-fajardose/miss-fajardose-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/miss-fajardose/miss-fajardose.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:867;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Mitr\";s:10:\"fontFamily\";s:16:\"Mitr, sans-serif\";s:4:\"slug\";s:4:\"mitr\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mitr/v11/pxiEypw5ucZF8fMZFJXUc1NECPY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mitr\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mitr/v11/pxiEypw5ucZF8ZcaFJXUc1NECPY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mitr\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/mitr/v11/pxiLypw5ucZFyT4yMJj_b1o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mitr\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mitr/v11/pxiEypw5ucZF8c8bFJXUc1NECPY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mitr\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mitr/v11/pxiEypw5ucZF8eMcFJXUc1NECPY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mitr\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/mitr/v11/pxiEypw5ucZF8YcdFJXUc1NECPY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Mitr\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/mitr/mitr.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:868;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Mochiy Pop One\";s:10:\"fontFamily\";s:28:\"\"Mochiy Pop One\", sans-serif\";s:4:\"slug\";s:14:\"mochiy-pop-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mochiypopone/v10/QdVPSTA9Jh-gg-5XZP2UmU4O9kw1D3s6ZKAi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Mochiy Pop One\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/mochiy-pop-one/mochiy-pop-one-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/mochiy-pop-one/mochiy-pop-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:869;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Mochiy Pop P One\";s:10:\"fontFamily\";s:30:\"\"Mochiy Pop P One\", sans-serif\";s:4:\"slug\";s:16:\"mochiy-pop-p-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mochiypoppone/v10/Ktk2AKuPeY_td1-h9LayHYWCjAqyN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Mochiy Pop P One\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/mochiy-pop-p-one/mochiy-pop-p-one-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/mochiy-pop-p-one/mochiy-pop-p-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:870;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Modak\";s:10:\"fontFamily\";s:16:\"Modak, system-ui\";s:4:\"slug\";s:5:\"modak\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/modak/v18/EJRYQgs1XtIEsnMC8BVZ76KU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Modak\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/modak/modak-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/modak/modak.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:871;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Modern Antiqua\";s:10:\"fontFamily\";s:27:\"\"Modern Antiqua\", system-ui\";s:4:\"slug\";s:14:\"modern-antiqua\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/modernantiqua/v24/NGStv5TIAUg6Iq_RLNo_2dp1sI1Ba2u0c3Gi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Modern Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/modern-antiqua/modern-antiqua-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/modern-antiqua/modern-antiqua.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:872;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Moderustic\";s:10:\"fontFamily\";s:22:\"Moderustic, sans-serif\";s:4:\"slug\";s:10:\"moderustic\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/moderustic/v1/2-c39J9s3o6eLFNHFdXYaOX1UUnf3GLnYjBVsTNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moderustic\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/moderustic/v1/2-c39J9s3o6eLFNHFdXYaOX1UUnf3GLnYjALsTNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moderustic\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/moderustic/v1/2-c39J9s3o6eLFNHFdXYaOX1UUnf3GLnYjA5sTNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moderustic\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/moderustic/v1/2-c39J9s3o6eLFNHFdXYaOX1UUnf3GLnYjDVtjNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moderustic\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/moderustic/v1/2-c39J9s3o6eLFNHFdXYaOX1UUnf3GLnYjDstjNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moderustic\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/moderustic/v1/2-c39J9s3o6eLFNHFdXYaOX1UUnf3GLnYjCLtjNb55aRa7UE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moderustic\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic-800-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/moderustic/moderustic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:873;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Mogra\";s:10:\"fontFamily\";s:16:\"Mogra, system-ui\";s:4:\"slug\";s:5:\"mogra\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/mogra/v19/f0X40eSs8c95TBo9DvLmxtnG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mogra\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mogra/mogra-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/mogra/mogra.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:874;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Mohave\";s:10:\"fontFamily\";s:18:\"Mohave, sans-serif\";s:4:\"slug\";s:6:\"mohave\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mohave/v9/7cH0v4ksjJunKqMVAOPIMOeSmiojdif_HvWQopLSvBk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mohave/v9/7cH0v4ksjJunKqMVAOPIMOeSmiojdnn_HvWQopLSvBk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mohave/v9/7cH0v4ksjJunKqMVAOPIMOeSmiojdkv_HvWQopLSvBk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mohave/v9/7cH0v4ksjJunKqMVAOPIMOeSmiojdqf4HvWQopLSvBk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mohave/v9/7cH0v4ksjJunKqMVAOPIMOeSmiojdp74HvWQopLSvBk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/mohave/v9/7cH2v4ksjJunKqM_CdE36I75AIQkY7G8qLOao7DXrBlSVw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/mohave/v9/7cH2v4ksjJunKqM_CdE36I75AIQkY7G89rOao7DXrBlSVw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/mohave/v9/7cH2v4ksjJunKqM_CdE36I75AIQkY7G8xLOao7DXrBlSVw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/mohave/v9/7cH2v4ksjJunKqM_CdE36I75AIQkY7G8KLSao7DXrBlSVw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/mohave/v9/7cH2v4ksjJunKqM_CdE36I75AIQkY7G8EbSao7DXrBlSVw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mohave\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/mohave/mohave.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:875;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Moirai One\";s:10:\"fontFamily\";s:23:\"\"Moirai One\", system-ui\";s:4:\"slug\";s:10:\"moirai-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/moiraione/v1/2sDbZGFUgJLJmby6xgNGT0CWB7UcfCg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moirai One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moirai-one/moirai-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/moirai-one/moirai-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:876;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Molengo\";s:10:\"fontFamily\";s:19:\"Molengo, sans-serif\";s:4:\"slug\";s:7:\"molengo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/molengo/v16/I_uuMpWeuBzZNBtQbbFQkiCvs5Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Molengo\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/molengo/molengo-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/molengo/molengo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:877;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Molle\";s:10:\"fontFamily\";s:14:\"Molle, cursive\";s:4:\"slug\";s:5:\"molle\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/molle/v23/E21n_dL5hOXFhWEsXz0mVydREus.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Molle\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/molle/molle-400-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/molle/molle.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:878;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Monda\";s:10:\"fontFamily\";s:17:\"Monda, sans-serif\";s:4:\"slug\";s:5:\"monda\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/monda/v17/TK3-WkYFABsmjuBtFuvTIFRAPpWsH3oMpGtGaA-Ijw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Monda\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/monda/monda-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/monda/v17/TK3-WkYFABsmjuBtFuvTIFRAPpWsLXoMpGtGaA-Ijw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Monda\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/monda/monda-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/monda/v17/TK3-WkYFABsmjuBtFuvTIFRAPpWswX0MpGtGaA-Ijw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Monda\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/monda/monda-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/monda/v17/TK3-WkYFABsmjuBtFuvTIFRAPpWs-H0MpGtGaA-Ijw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Monda\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/monda/monda-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/monda/monda.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:879;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Monofett\";s:10:\"fontFamily\";s:19:\"Monofett, monospace\";s:4:\"slug\";s:8:\"monofett\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/monofett/v23/mFTyWbofw6zc9NtnW43XuRwr0VJ7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Monofett\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/monofett/monofett-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/monofett/monofett.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:880;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Monomaniac One\";s:10:\"fontFamily\";s:28:\"\"Monomaniac One\", sans-serif\";s:4:\"slug\";s:14:\"monomaniac-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/monomaniacone/v12/4iC06K17YctZjx50EU-QlwPmcqRiqYkB5kwI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Monomaniac One\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/monomaniac-one/monomaniac-one-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/monomaniac-one/monomaniac-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:881;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Monoton\";s:10:\"fontFamily\";s:18:\"Monoton, system-ui\";s:4:\"slug\";s:7:\"monoton\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/monoton/v19/5h1aiZUrOngCibe4fkPBQ2S7FU8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Monoton\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/monoton/monoton-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/monoton/monoton.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:882;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Monsieur La Doulaise\";s:10:\"fontFamily\";s:31:\"\"Monsieur La Doulaise\", cursive\";s:4:\"slug\";s:20:\"monsieur-la-doulaise\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/monsieurladoulaise/v18/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZl5bwkEU4HTy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Monsieur La Doulaise\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/monsieur-la-doulaise/monsieur-la-doulaise-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/monsieur-la-doulaise/monsieur-la-doulaise.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:883;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Montaga\";s:10:\"fontFamily\";s:14:\"Montaga, serif\";s:4:\"slug\";s:7:\"montaga\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/montaga/v13/H4cnBX2Ml8rCkEO_0gMQ7LO5mqc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Montaga\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/montaga/montaga-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/montaga/montaga.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:884;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Montagu Slab\";s:10:\"fontFamily\";s:21:\"\"Montagu Slab\", serif\";s:4:\"slug\";s:12:\"montagu-slab\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkDbE3P4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkBbEnP4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkCFEnP4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkDbEnP4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkDpEnP4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkAFFXP4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/montaguslab/v12/6qLhKZIQtB_zv0xUaXRDWkY_HXsphdLRZF40vm_jzR2jhk_n3T6ACkA8FXP4Fs7bOSO7.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Montagu Slab\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/montagu-slab/montagu-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:885;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"MonteCarlo\";s:10:\"fontFamily\";s:19:\"MonteCarlo, cursive\";s:4:\"slug\";s:10:\"montecarlo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/montecarlo/v11/buEzpo6-f9X01GadLA0G0C8V_NxLeiw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"MonteCarlo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montecarlo/montecarlo-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/montecarlo/montecarlo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:886;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Montez\";s:10:\"fontFamily\";s:15:\"Montez, cursive\";s:4:\"slug\";s:6:\"montez\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/montez/v22/845ZNMk5GoGIX8lm0bDeSd-R_g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Montez\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/montez/montez-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/montez/montez.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:887;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Montserrat\";s:10:\"fontFamily\";s:22:\"Montserrat, sans-serif\";s:4:\"slug\";s:10:\"montserrat\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtr6Uw7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCvr6Ew7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCs16Ew7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtr6Ew7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtZ6Ew7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCu170w7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCuM70w7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCvr70w7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/montserrat/v26/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCvC70w7Y3tcoqK5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jq6R8aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jqyR9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jq_p9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jq6R9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jq5Z9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jq3p6aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jq0N6aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jqyR6aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/montserrat/v26/JTUFjIg1_i6t8kCHKm459Wx7xQYXK0vOoz6jqw16aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Montserrat\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat-900-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat/montserrat.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:888;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Montserrat Alternates\";s:10:\"fontFamily\";s:35:\"\"Montserrat Alternates\", sans-serif\";s:4:\"slug\";s:21:\"montserrat-alternates\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFThWacfw6zH4dthXcyms1lPpC8I_b0juU0xiKfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTjWacfw6zH4dthXcyms1lPpC8I_b0juU057p-xIJlp1ml4imo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xJIb1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p8dAbxG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xQIX1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p95ArxG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTvWacfw6zH4dthXcyms1lPpC8I_b0juU0J6a3RCJ1b0w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFThWacfw6zH4dthXcyms1lPpC8I_b0juU057qfQKphL03l4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xGIT1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p8hA7xG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xNIP1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p8NBLxG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xUIL1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p9pBbxG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xTIH1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p91BrxG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTiWacfw6zH4dthXcyms1lPpC8I_b0juU0xaID1BbZH2mBhkw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/montserratalternates/v17/mFTkWacfw6zH4dthXcyms1lPpC8I_b0juU057p9RB7xG-GVxk3Nd.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Montserrat Alternates\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates-900-italic.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-alternates/montserrat-alternates.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:889;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Montserrat Subrayada\";s:10:\"fontFamily\";s:34:\"\"Montserrat Subrayada\", sans-serif\";s:4:\"slug\";s:20:\"montserrat-subrayada\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/montserratsubrayada/v19/U9MD6c-o9H7PgjlTHThBnNHGVUORwteQQE8OYuceqGT-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Montserrat Subrayada\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-subrayada/montserrat-subrayada-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/montserratsubrayada/v19/U9MM6c-o9H7PgjlTHThBnNHGVUORwteQQHe3TcMTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Montserrat Subrayada\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-subrayada/montserrat-subrayada-700-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/montserrat-subrayada/montserrat-subrayada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:890;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Moo Lah Lah\";s:10:\"fontFamily\";s:24:\"\"Moo Lah Lah\", system-ui\";s:4:\"slug\";s:11:\"moo-lah-lah\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/moolahlah/v6/dg4h_p_opKZOA0w1AYcm55woYQYugjW4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Moo Lah Lah\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/moo-lah-lah/moo-lah-lah-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/moo-lah-lah/moo-lah-lah.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:891;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Mooli\";s:10:\"fontFamily\";s:17:\"Mooli, sans-serif\";s:4:\"slug\";s:5:\"mooli\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/mooli/v1/-F6_fjJpLyk1bYPEBG7YpzlJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mooli\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mooli/mooli-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/mooli/mooli.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:892;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Moon Dance\";s:10:\"fontFamily\";s:21:\"\"Moon Dance\", cursive\";s:4:\"slug\";s:10:\"moon-dance\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/moondance/v6/WBLgrEbUbFlYW9ekmGawe2DiKMiokE4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Moon Dance\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/moon-dance/moon-dance-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/moon-dance/moon-dance.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:893;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Moul\";s:10:\"fontFamily\";s:15:\"Moul, system-ui\";s:4:\"slug\";s:4:\"moul\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/moul/v27/nuF2D__FSo_3E-FYiJCy-00.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Moul\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/moul/moul-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/moul/moul.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:894;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Moulpali\";s:10:\"fontFamily\";s:20:\"Moulpali, sans-serif\";s:4:\"slug\";s:8:\"moulpali\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/moulpali/v30/H4ckBXKMl9HagUWymyY_wr-wg763.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Moulpali\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/moulpali/moulpali-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/moulpali/moulpali.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:895;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Mountains of Christmas\";s:10:\"fontFamily\";s:35:\"\"Mountains of Christmas\", system-ui\";s:4:\"slug\";s:22:\"mountains-of-christmas\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/mountainsofchristmas/v22/3y9w6a4zcCnn5X0FDyrKi2ZRUBIy8uxoUo7ePNOmMPNpJpc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Mountains of Christmas\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/mountains-of-christmas/mountains-of-christmas-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/mountainsofchristmas/v22/3y9z6a4zcCnn5X0FDyrKi2ZRUBIy8uxoUo7eBGqJFP5COp6IaEA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Mountains of Christmas\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/mountains-of-christmas/mountains-of-christmas-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/mountains-of-christmas/mountains-of-christmas.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:896;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Mouse Memoirs\";s:10:\"fontFamily\";s:27:\"\"Mouse Memoirs\", sans-serif\";s:4:\"slug\";s:13:\"mouse-memoirs\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/mousememoirs/v17/t5tmIRoSNJ-PH0WNNgDYxdSb7TzFrpOHYh4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Mouse Memoirs\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/mouse-memoirs/mouse-memoirs-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/mouse-memoirs/mouse-memoirs.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:897;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Mr Bedfort\";s:10:\"fontFamily\";s:21:\"\"Mr Bedfort\", cursive\";s:4:\"slug\";s:10:\"mr-bedfort\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/mrbedfort/v22/MQpR-WCtNZSWAdTMwBicli-0XZe_Iy8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Mr Bedfort\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/mr-bedfort/mr-bedfort-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/mr-bedfort/mr-bedfort.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:898;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Mr Dafoe\";s:10:\"fontFamily\";s:19:\"\"Mr Dafoe\", cursive\";s:4:\"slug\";s:8:\"mr-dafoe\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/mrdafoe/v14/lJwE-pIzkS5NXuMMrGivg7MCxz_C.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Mr Dafoe\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/mr-dafoe/mr-dafoe-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/mr-dafoe/mr-dafoe.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:899;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Mr De Haviland\";s:10:\"fontFamily\";s:25:\"\"Mr De Haviland\", cursive\";s:4:\"slug\";s:14:\"mr-de-haviland\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/mrdehaviland/v14/OpNVnooIhJj96FdB73296ksbOj3H4ULVNTlB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Mr De Haviland\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/mr-de-haviland/mr-de-haviland-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/mr-de-haviland/mr-de-haviland.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:900;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Mrs Saint Delafield\";s:10:\"fontFamily\";s:30:\"\"Mrs Saint Delafield\", cursive\";s:4:\"slug\";s:19:\"mrs-saint-delafield\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/mrssaintdelafield/v13/v6-IGZDIOVXH9xtmTZfRagunqBw5WC62cKstLsubB2w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Mrs Saint Delafield\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/mrs-saint-delafield/mrs-saint-delafield-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/mrs-saint-delafield/mrs-saint-delafield.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:901;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Mrs Sheppards\";s:10:\"fontFamily\";s:24:\"\"Mrs Sheppards\", cursive\";s:4:\"slug\";s:13:\"mrs-sheppards\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/mrssheppards/v23/PN_2Rfm9snC0XUGoEZhb91ig3v3xynMix4Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Mrs Sheppards\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/mrs-sheppards/mrs-sheppards-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/mrs-sheppards/mrs-sheppards.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:902;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Ms Madi\";s:10:\"fontFamily\";s:18:\"\"Ms Madi\", cursive\";s:4:\"slug\";s:7:\"ms-madi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/msmadi/v2/HTxsL2UxNnOji5E1N-XPiI7QAYo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ms Madi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ms-madi/ms-madi-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/ms-madi/ms-madi.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:903;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Mukta\";s:10:\"fontFamily\";s:17:\"Mukta, sans-serif\";s:4:\"slug\";s:5:\"mukta\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mukta/v14/iJWHBXyXfDDVXbEOjFmf-2HW7ZB_.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mukta/v14/iJWHBXyXfDDVXbFqj1mf-2HW7ZB_.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/mukta/v14/iJWKBXyXfDDVXYnDp32S0H3f.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mukta/v14/iJWHBXyXfDDVXbEyjlmf-2HW7ZB_.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mukta/v14/iJWHBXyXfDDVXbEeiVmf-2HW7ZB_.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mukta/v14/iJWHBXyXfDDVXbF6iFmf-2HW7ZB_.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mukta/v14/iJWHBXyXfDDVXbFmi1mf-2HW7ZB_.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Mukta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta-800-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta/mukta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:904;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Mukta Mahee\";s:10:\"fontFamily\";s:25:\"\"Mukta Mahee\", sans-serif\";s:4:\"slug\";s:11:\"mukta-mahee\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXN3IOIi0hcP8iVU67hA9MFcBoCJndqZCsW.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXN3IOIi0hcP8iVU67hA9NhcxoCJndqZCsW.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXQ3IOIi0hcP8iVU67hA-vIWz4PDWtj.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXN3IOIi0hcP8iVU67hA9M5choCJndqZCsW.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXN3IOIi0hcP8iVU67hA9MVdRoCJndqZCsW.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXN3IOIi0hcP8iVU67hA9NxdBoCJndqZCsW.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamahee/v16/XRXN3IOIi0hcP8iVU67hA9NtdxoCJndqZCsW.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Mahee\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-mahee/mukta-mahee.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:905;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Mukta Malar\";s:10:\"fontFamily\";s:25:\"\"Mukta Malar\", sans-serif\";s:4:\"slug\";s:11:\"mukta-malar\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoKzAXyz8LOE2FpJMxZqIMwBtAE62ruoAZW.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoKzAXyz8LOE2FpJMxZqINUBdAE62ruoAZW.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoXzAXyz8LOE2FpJMxZqLv9LfQJwHbn.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoKzAXyz8LOE2FpJMxZqIMMBNAE62ruoAZW.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoKzAXyz8LOE2FpJMxZqIMgA9AE62ruoAZW.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoKzAXyz8LOE2FpJMxZqINEAtAE62ruoAZW.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktamalar/v12/MCoKzAXyz8LOE2FpJMxZqINYAdAE62ruoAZW.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Malar\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-malar/mukta-malar.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:906;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Mukta Vaani\";s:10:\"fontFamily\";s:25:\"\"Mukta Vaani\", sans-serif\";s:4:\"slug\";s:11:\"mukta-vaani\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktavaani/v13/3JnkSD_-ynaxmxnEfVHPIGXNV8BG-u97MW1a.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktavaani/v13/3JnkSD_-ynaxmxnEfVHPIGWpVMBG-u97MW1a.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/muktavaani/v13/3Jn5SD_-ynaxmxnEfVHPIF0AfORL0fNy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktavaani/v13/3JnkSD_-ynaxmxnEfVHPIGXxVcBG-u97MW1a.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktavaani/v13/3JnkSD_-ynaxmxnEfVHPIGXdUsBG-u97MW1a.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktavaani/v13/3JnkSD_-ynaxmxnEfVHPIGW5U8BG-u97MW1a.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/muktavaani/v13/3JnkSD_-ynaxmxnEfVHPIGWlUMBG-u97MW1a.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Mukta Vaani\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/mukta-vaani/mukta-vaani.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:907;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Mulish\";s:10:\"fontFamily\";s:18:\"Mulish, sans-serif\";s:4:\"slug\";s:6:\"mulish\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexRNRwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexc1RwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexZNRwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexaFRwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexU1WwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexXRWwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexRNWwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/mulish/v13/1Ptyg83HX_SGhgqO0yLcmjzUAuWexTpWwaWlGrw-PTY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSqeOvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSd-OvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSKeOvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSG-OvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsS9-SvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSzuSvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSqeSvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/mulish/v13/1Ptwg83HX_SGhgqk2hAjQlW_mEuZ0FsSgOSvG547LTZFwA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Mulish\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/mulish/mulish.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:908;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Murecho\";s:10:\"fontFamily\";s:19:\"Murecho, sans-serif\";s:4:\"slug\";s:7:\"murecho\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMpr5HWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMrr5XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMo15XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMpr5XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMpZ5XWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMq14nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMqM4nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMrr4nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/murecho/v12/q5uYsoq3NOBn_I-ggCJg98TBOoNFCMrC4nWcLCpUOaM6.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Murecho\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/murecho/murecho.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:909;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"MuseoModerno\";s:10:\"fontFamily\";s:23:\"MuseoModerno, system-ui\";s:4:\"slug\";s:12:\"museomoderno\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMlZFuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMtZEuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMghEuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMlZEuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMmREuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMohDuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMrFDuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMtZDuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/museomoderno/v27/zrf30HnU0_7wWdMrFcWqSEXPVyEaWJ55pTleMv9DuekajeKlCdo.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54HUa4QjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54H0a8QjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54HD68QjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54HUa8QjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54HY68QjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54Hj6gQjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54HtqgQjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54H0agQjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/museomoderno/v27/zrfx0HnU0_7wWdMrFcWqSEXlXhPlgPcSP5dZJ54H-KgQjMCgGdrS3g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"MuseoModerno\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno-900-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/museomoderno/museomoderno.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:910;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"My Soul\";s:10:\"fontFamily\";s:18:\"\"My Soul\", cursive\";s:4:\"slug\";s:7:\"my-soul\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/mysoul/v5/3XFqErcuy945_u6KF_Alk2nnXf0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"My Soul\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/my-soul/my-soul-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/my-soul/my-soul.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:911;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Mynerve\";s:10:\"fontFamily\";s:16:\"Mynerve, cursive\";s:4:\"slug\";s:7:\"mynerve\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/mynerve/v6/P5sCzZKPdNjb4jt7xCFuiZ-uydg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Mynerve\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/mynerve/mynerve-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/mynerve/mynerve.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:912;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Mystery Quest\";s:10:\"fontFamily\";s:26:\"\"Mystery Quest\", system-ui\";s:4:\"slug\";s:13:\"mystery-quest\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/mysteryquest/v20/-nF6OG414u0E6k0wynSGlujRHwQlD_9Qz9E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Mystery Quest\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/mystery-quest/mystery-quest-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/mystery-quest/mystery-quest.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:913;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"NTR\";s:10:\"fontFamily\";s:15:\"NTR, sans-serif\";s:4:\"slug\";s:3:\"ntr\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:64:\"https://fonts.gstatic.com/s/ntr/v15/RLpzK5Xy0ZjiHWhs5TA4bg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"NTR\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/ntr/ntr-400-normal.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/ntr/ntr.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:914;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Nabla\";s:10:\"fontFamily\";s:16:\"Nabla, system-ui\";s:4:\"slug\";s:5:\"nabla\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/nabla/v10/j8_D6-LI0Lvpe7Makz5UhJt9C3uqg_X_75gyGS4jAxsNIjrRNRVUFFR_198.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Nabla\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/nabla/nabla-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/nabla/nabla.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:915;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Namdhinggo\";s:10:\"fontFamily\";s:17:\"Namdhinggo, serif\";s:4:\"slug\";s:10:\"namdhinggo\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/namdhinggo/v2/uk-mEGe3rbgg8Xzoy5-TDnCj4yxx7o8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Namdhinggo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/namdhinggo/namdhinggo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/namdhinggo/v2/uk-lEGe3rbgg8Xzoy5-TNoGKxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Namdhinggo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/namdhinggo/namdhinggo-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/namdhinggo/v2/uk-lEGe3rbgg8Xzoy5-TNq2NxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Namdhinggo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/namdhinggo/namdhinggo-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/namdhinggo/v2/uk-lEGe3rbgg8Xzoy5-TNsmMxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Namdhinggo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/namdhinggo/namdhinggo-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/namdhinggo/v2/uk-lEGe3rbgg8Xzoy5-TNtWPxyFa8oZK9I0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Namdhinggo\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/namdhinggo/namdhinggo-800-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/namdhinggo/namdhinggo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:916;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Nanum Brush Script\";s:10:\"fontFamily\";s:29:\"\"Nanum Brush Script\", cursive\";s:4:\"slug\";s:18:\"nanum-brush-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/nanumbrushscript/v22/wXK2E2wfpokopxzthSqPbcR5_gVaxazyi6Br1lO97Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Nanum Brush Script\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-brush-script/nanum-brush-script-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-brush-script/nanum-brush-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:917;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Nanum Gothic\";s:10:\"fontFamily\";s:26:\"\"Nanum Gothic\", sans-serif\";s:4:\"slug\";s:12:\"nanum-gothic\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/nanumgothic/v23/PN_3Rfi-oW3hYwmKDpxS7F_z-9Lfxno73g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Nanum Gothic\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic/nanum-gothic-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nanumgothic/v23/PN_oRfi-oW3hYwmKDpxS7F_LQv37y1En14YEUQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Nanum Gothic\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic/nanum-gothic-700-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nanumgothic/v23/PN_oRfi-oW3hYwmKDpxS7F_LXv77y1En14YEUQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Nanum Gothic\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic/nanum-gothic-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic/nanum-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:918;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Nanum Gothic Coding\";s:10:\"fontFamily\";s:30:\"\"Nanum Gothic Coding\", cursive\";s:4:\"slug\";s:19:\"nanum-gothic-coding\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/nanumgothiccoding/v21/8QIVdjzHisX_8vv59_xMxtPFW4IXROwsy6ExVs1X7tc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Nanum Gothic Coding\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic-coding/nanum-gothic-coding-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/nanumgothiccoding/v21/8QIYdjzHisX_8vv59_xMxtPFW4IXROws8xgecsB88t5V9r4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Nanum Gothic Coding\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic-coding/nanum-gothic-coding-700-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-gothic-coding/nanum-gothic-coding.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:919;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Nanum Myeongjo\";s:10:\"fontFamily\";s:23:\"\"Nanum Myeongjo\", serif\";s:4:\"slug\";s:14:\"nanum-myeongjo\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nanummyeongjo/v22/9Btx3DZF0dXLMZlywRbVRNhxy1LueHQ8juyl.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Nanum Myeongjo\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-myeongjo/nanum-myeongjo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/nanummyeongjo/v22/9Bty3DZF0dXLMZlywRbVRNhxy2pXV1AxpfCs5Kos.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Nanum Myeongjo\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-myeongjo/nanum-myeongjo-700-normal.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/nanummyeongjo/v22/9Bty3DZF0dXLMZlywRbVRNhxy2pLVFAxpfCs5Kos.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Nanum Myeongjo\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-myeongjo/nanum-myeongjo-800-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-myeongjo/nanum-myeongjo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:920;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Nanum Pen Script\";s:10:\"fontFamily\";s:27:\"\"Nanum Pen Script\", cursive\";s:4:\"slug\";s:16:\"nanum-pen-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/nanumpenscript/v19/daaDSSYiLGqEal3MvdA_FOL_3FkN2zv-aMFCcTU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Nanum Pen Script\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-pen-script/nanum-pen-script-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/nanum-pen-script/nanum-pen-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:921;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Narnoor\";s:10:\"fontFamily\";s:14:\"Narnoor, serif\";s:4:\"slug\";s:7:\"narnoor\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/narnoor/v7/cIf9MaFWuVo-UTyPxCyrYGkHgIs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Narnoor\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/narnoor/narnoor-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/narnoor/v7/cIf4MaFWuVo-UTyP_N2CRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Narnoor\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/narnoor/narnoor-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/narnoor/v7/cIf4MaFWuVo-UTyP_PGFRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Narnoor\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/narnoor/narnoor-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/narnoor/v7/cIf4MaFWuVo-UTyP_JWERGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Narnoor\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/narnoor/narnoor-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/narnoor/v7/cIf4MaFWuVo-UTyP_ImHRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Narnoor\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/narnoor/narnoor-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/narnoor/narnoor.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:922;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Neonderthaw\";s:10:\"fontFamily\";s:20:\"Neonderthaw, cursive\";s:4:\"slug\";s:11:\"neonderthaw\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/neonderthaw/v6/Iure6Yx5-oWVZI0r-17AeZZMprVA4XQ0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Neonderthaw\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/neonderthaw/neonderthaw-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/neonderthaw/neonderthaw.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:923;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nerko One\";s:10:\"fontFamily\";s:20:\"\"Nerko One\", cursive\";s:4:\"slug\";s:9:\"nerko-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/nerkoone/v16/m8JQjfZSc7OXlB3ZMOjzdZ5BZmqa3A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nerko One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nerko-one/nerko-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nerko-one/nerko-one.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:924;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Neucha\";s:10:\"fontFamily\";s:15:\"Neucha, cursive\";s:4:\"slug\";s:6:\"neucha\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/neucha/v17/q5uGsou0JOdh94bvvwNsCxVEgA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Neucha\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neucha/neucha-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/neucha/neucha.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:925;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Neuton\";s:10:\"fontFamily\";s:13:\"Neuton, serif\";s:4:\"slug\";s:6:\"neuton\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/neuton/v22/UMBQrPtMoH62xUZKAKkffwD5Drog6Q.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Neuton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/neuton/v22/UMBQrPtMoH62xUZKZKoffwD5Drog6Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Neuton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/neuton/v22/UMBTrPtMoH62xUZyzYI7civlBw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Neuton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/neuton/v22/UMBRrPtMoH62xUZCyog6UC71B6M5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Neuton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/neuton/v22/UMBQrPtMoH62xUZKdK0ffwD5Drog6Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Neuton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/neuton/v22/UMBQrPtMoH62xUZKaK4ffwD5Drog6Q.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Neuton\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton-800-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/neuton/neuton.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:926;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"New Amsterdam\";s:10:\"fontFamily\";s:27:\"\"New Amsterdam\", sans-serif\";s:4:\"slug\";s:13:\"new-amsterdam\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/newamsterdam/v1/YA9Vr02Y5lucHqUlbEe51kBtl7yGiv_Q7dA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"New Amsterdam\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/new-amsterdam/new-amsterdam-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/new-amsterdam/new-amsterdam.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:927;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"New Rocker\";s:10:\"fontFamily\";s:23:\"\"New Rocker\", system-ui\";s:4:\"slug\";s:10:\"new-rocker\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/newrocker/v16/MwQzbhjp3-HImzcCU_cJkGYViblPtXs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"New Rocker\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/new-rocker/new-rocker-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/new-rocker/new-rocker.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:928;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"New Tegomin\";s:10:\"fontFamily\";s:20:\"\"New Tegomin\", serif\";s:4:\"slug\";s:11:\"new-tegomin\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/newtegomin/v11/SLXMc1fV7Gd9USdBAfPlqfNxQ3ptkDMN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"New Tegomin\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/new-tegomin/new-tegomin-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/new-tegomin/new-tegomin.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:929;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"News Cycle\";s:10:\"fontFamily\";s:24:\"\"News Cycle\", sans-serif\";s:4:\"slug\";s:10:\"news-cycle\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/newscycle/v23/CSR64z1Qlv-GDxkbKVQ_TOIATNt_pOU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"News Cycle\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/news-cycle/news-cycle-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/newscycle/v23/CSR54z1Qlv-GDxkbKVQ_dFsvaNZUuOwkC2s.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"News Cycle\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/news-cycle/news-cycle-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/news-cycle/news-cycle.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:930;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Newsreader\";s:10:\"fontFamily\";s:17:\"Newsreader, serif\";s:4:\"slug\";s:10:\"newsreader\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438w-I_ACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438wJo_ACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438weI_ACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438wSo_ACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438wpojACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438wn4jACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/newsreader/v20/cY9qfjOCX1hbuyalUrK49dLac06G1ZGsZBtoBCzBDXXD9JVF438w-IjACexEPjCggA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMyoT-ZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-200-italic.svg\";}i:8;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMx2T-ZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-300-italic.svg\";}i:9;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMwoT-ZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-400-italic.svg\";}i:10;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMwaT-ZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-500-italic.svg\";}i:11;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMz2SOZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMzPSOZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-700-italic.svg\";}i:13;a:5:{s:3:\"src\";s:117:\"https://fonts.gstatic.com/s/newsreader/v20/cY9kfjOCX1hbuyalUrK439vogqC9yFZCYg7oRZaLP4obnf7fTXglsMyoSOZFHDWwgECi.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Newsreader\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader-800-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/newsreader/newsreader.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:931;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Niconne\";s:10:\"fontFamily\";s:16:\"Niconne, cursive\";s:4:\"slug\";s:7:\"niconne\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/niconne/v15/w8gaH2QvRug1_rTfrQ6t2F4OuOo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niconne\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niconne/niconne-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/niconne/niconne.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:932;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Niramit\";s:10:\"fontFamily\";s:19:\"Niramit, sans-serif\";s:4:\"slug\";s:7:\"niramit\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/niramit/v10/I_urMpWdvgLdNxVLVXx7ti2Er5_BdZ8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/niramit/v10/I_upMpWdvgLdNxVLXbZiXimOrr3EZZ_f6w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/niramit/v10/I_urMpWdvgLdNxVLVRh4ti2Er5_BdZ8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/niramit/v10/I_upMpWdvgLdNxVLXbZiOiqOrr3EZZ_f6w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/niramit/v10/I_uuMpWdvgLdNxVLbbFQkiCvs5Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/niramit/v10/I_usMpWdvgLdNxVLXbZakwKqo5bYbA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/niramit/v10/I_urMpWdvgLdNxVLVUB5ti2Er5_BdZ8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/niramit/v10/I_upMpWdvgLdNxVLXbZiYiuOrr3EZZ_f6w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/niramit/v10/I_urMpWdvgLdNxVLVWx-ti2Er5_BdZ8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/niramit/v10/I_upMpWdvgLdNxVLXbZiTiyOrr3EZZ_f6w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/niramit/v10/I_urMpWdvgLdNxVLVQh_ti2Er5_BdZ8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/niramit/v10/I_upMpWdvgLdNxVLXbZiKi2Orr3EZZ_f6w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Niramit\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/niramit/niramit.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:933;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nixie One\";s:10:\"fontFamily\";s:22:\"\"Nixie One\", system-ui\";s:4:\"slug\";s:9:\"nixie-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/nixieone/v16/lW-8wjkKLXjg5y2o2uUoVeFzpS-yLw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nixie One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nixie-one/nixie-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nixie-one/nixie-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:934;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Nobile\";s:10:\"fontFamily\";s:18:\"Nobile, sans-serif\";s:4:\"slug\";s:6:\"nobile\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/nobile/v17/m8JTjflSeaOVl1i2W6fXeLVdbw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nobile\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/nobile/v17/m8JRjflSeaOVl1iGXK3WWrBNb3OD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nobile\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/nobile/v17/m8JQjflSeaOVl1iOqo7zdZ5BZmqa3A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nobile\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/nobile/v17/m8JWjflSeaOVl1iGXJUnc5RARG-K3Mud.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nobile\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile-500-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/nobile/v17/m8JQjflSeaOVl1iO4ojzdZ5BZmqa3A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nobile\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/nobile/v17/m8JWjflSeaOVl1iGXJVvdZRARG-K3Mud.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nobile\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/nobile/nobile.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:935;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Nokora\";s:10:\"fontFamily\";s:18:\"Nokora, sans-serif\";s:4:\"slug\";s:6:\"nokora\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/nokora/v31/hYkKPuwgTubzaWxoXzAOgPNw8QZN.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nokora\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nokora/nokora-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/nokora/v31/hYkLPuwgTubzaWxolxIrr918-B9Uuw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nokora\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nokora/nokora-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/nokora/v31/hYkIPuwgTubzaWxQPjoPovZg8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nokora\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nokora/nokora-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/nokora/v31/hYkLPuwgTubzaWxohxUrr918-B9Uuw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nokora\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nokora/nokora-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/nokora/v31/hYkLPuwgTubzaWxovxcrr918-B9Uuw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nokora\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nokora/nokora-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/nokora/nokora.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:936;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Norican\";s:10:\"fontFamily\";s:16:\"Norican, cursive\";s:4:\"slug\";s:7:\"norican\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/norican/v15/MwQ2bhXp1eSBqjkPGJdRtGs-lbA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Norican\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/norican/norican-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/norican/norican.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:937;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Nosifer\";s:10:\"fontFamily\";s:18:\"Nosifer, system-ui\";s:4:\"slug\";s:7:\"nosifer\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/nosifer/v22/ZGjXol5JTp0g5bxZaChRVDNdGDs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Nosifer\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/nosifer/nosifer-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/nosifer/nosifer.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:938;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Notable\";s:10:\"fontFamily\";s:19:\"Notable, sans-serif\";s:4:\"slug\";s:7:\"notable\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/notable/v18/gNMEW3N_SIqx-WX9-HYoFIez5MI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Notable\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/notable/notable-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/notable/notable.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:939;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Nothing You Could Do\";s:10:\"fontFamily\";s:31:\"\"Nothing You Could Do\", cursive\";s:4:\"slug\";s:20:\"nothing-you-could-do\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/nothingyoucoulddo/v19/oY1B8fbBpaP5OX3DtrRYf_Q2BPB1SnfZb0OMl1ol2Ymo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Nothing You Could Do\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/nothing-you-could-do/nothing-you-could-do-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/nothing-you-could-do/nothing-you-could-do.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:940;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noticia Text\";s:10:\"fontFamily\";s:21:\"\"Noticia Text\", serif\";s:4:\"slug\";s:12:\"noticia-text\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/noticiatext/v15/VuJ2dNDF2Yv9qppOePKYRP1GZDFZt0rNpQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noticia Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noticia-text/noticia-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/noticiatext/v15/VuJodNDF2Yv9qppOePKYRP12YztYlU_dpSjt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Noticia Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noticia-text/noticia-text-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/noticiatext/v15/VuJpdNDF2Yv9qppOePKYRP1-3R59umHRrDH0eA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noticia Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noticia-text/noticia-text-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/noticiatext/v15/VuJrdNDF2Yv9qppOePKYRP12YwPhumvQjjTkeMnz.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Noticia Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noticia-text/noticia-text-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noticia-text/noticia-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:941;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:16:\"Noto Color Emoji\";s:10:\"fontFamily\";s:30:\"\"Noto Color Emoji\", sans-serif\";s:4:\"slug\";s:16:\"noto-color-emoji\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notocoloremoji/v32/Yq6P-KqIXTD0t4D9z1ESnKM3-HpFabts79iz64w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Color Emoji\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:942;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:10:\"Noto Emoji\";s:10:\"fontFamily\";s:24:\"\"Noto Emoji\", sans-serif\";s:4:\"slug\";s:10:\"noto-emoji\";s:8:\"fontFace\";a:5:{i:0;a:4:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notoemoji/v51/bMrnmSyK7YY-MEu6aWjPDs-ar6uWaGWuob_10jwqS-FGJCMY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Emoji\";}i:1;a:4:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notoemoji/v51/bMrnmSyK7YY-MEu6aWjPDs-ar6uWaGWuob-r0jwqS-FGJCMY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Emoji\";}i:2;a:4:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notoemoji/v51/bMrnmSyK7YY-MEu6aWjPDs-ar6uWaGWuob-Z0jwqS-FGJCMY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Emoji\";}i:3;a:4:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notoemoji/v51/bMrnmSyK7YY-MEu6aWjPDs-ar6uWaGWuob911TwqS-FGJCMY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Emoji\";}i:4;a:4:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notoemoji/v51/bMrnmSyK7YY-MEu6aWjPDs-ar6uWaGWuob9M1TwqS-FGJCMY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Emoji\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:943;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:16:\"Noto Kufi Arabic\";s:10:\"fontFamily\";s:30:\"\"Noto Kufi Arabic\", sans-serif\";s:4:\"slug\";s:16:\"noto-kufi-arabic\";s:8:\"fontFace\";a:9:{i:0;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh5v3obKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:1;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh7v34bKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:2;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh4x34bKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:3;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh5v34bKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:4;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh5d34bKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:5;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh6x2IbKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:6;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh6I2IbKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:7;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh7v2IbKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}i:8;a:4:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notokufiarabic/v21/CSRp4ydQnPyaDxEXLFF6LZVLKrodhu8t57o1kDc5Wh7G2IbKnLSmf5yD.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Kufi Arabic\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:944;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Noto Music\";s:10:\"fontFamily\";s:24:\"\"Noto Music\", sans-serif\";s:4:\"slug\";s:10:\"noto-music\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/notomusic/v20/pe0rMIiSN5pO63htf1sxItKQB9Zra1U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Music\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-music/noto-music-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-music/noto-music.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:945;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Naskh Arabic\";s:10:\"fontFamily\";s:26:\"\"Noto Naskh Arabic\", serif\";s:4:\"slug\";s:17:\"noto-naskh-arabic\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notonaskharabic/v34/RrQ5bpV-9Dd1b1OAGA6M9PkyDuVBePeKNaxcsss0Y7bwvc5kqa0z9_Mnuw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Naskh Arabic\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-naskh-arabic/noto-naskh-arabic-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notonaskharabic/v34/RrQ5bpV-9Dd1b1OAGA6M9PkyDuVBePeKNaxcsss0Y7bwj85kqa0z9_Mnuw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Naskh Arabic\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-naskh-arabic/noto-naskh-arabic-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notonaskharabic/v34/RrQ5bpV-9Dd1b1OAGA6M9PkyDuVBePeKNaxcsss0Y7bwY8lkqa0z9_Mnuw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Naskh Arabic\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-naskh-arabic/noto-naskh-arabic-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notonaskharabic/v34/RrQ5bpV-9Dd1b1OAGA6M9PkyDuVBePeKNaxcsss0Y7bwWslkqa0z9_Mnuw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Naskh Arabic\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-naskh-arabic/noto-naskh-arabic-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-naskh-arabic/noto-naskh-arabic.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:946;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Nastaliq Urdu\";s:10:\"fontFamily\";s:27:\"\"Noto Nastaliq Urdu\", serif\";s:4:\"slug\";s:18:\"noto-nastaliq-urdu\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notonastaliqurdu/v20/LhWNMUPbN-oZdNFcBy1-DJYsEoTq5pudQ9L940pGPkB3Qt_-DKif2-_8mEw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Nastaliq Urdu\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-nastaliq-urdu/noto-nastaliq-urdu-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notonastaliqurdu/v20/LhWNMUPbN-oZdNFcBy1-DJYsEoTq5pudQ9L940pGPkB3Qu3-DKif2-_8mEw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Nastaliq Urdu\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-nastaliq-urdu/noto-nastaliq-urdu-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notonastaliqurdu/v20/LhWNMUPbN-oZdNFcBy1-DJYsEoTq5pudQ9L940pGPkB3QgH5DKif2-_8mEw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Nastaliq Urdu\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-nastaliq-urdu/noto-nastaliq-urdu-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notonastaliqurdu/v20/LhWNMUPbN-oZdNFcBy1-DJYsEoTq5pudQ9L940pGPkB3Qjj5DKif2-_8mEw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Nastaliq Urdu\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-nastaliq-urdu/noto-nastaliq-urdu-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-nastaliq-urdu/noto-nastaliq-urdu.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:947;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Rashi Hebrew\";s:10:\"fontFamily\";s:26:\"\"Noto Rashi Hebrew\", serif\";s:4:\"slug\";s:17:\"noto-rashi-hebrew\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZB-DkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZh-HkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZWeHkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZB-HkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZNeHkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZ2ebkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZ4ObkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZh-bkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notorashihebrew/v26/EJR_Qh82XsIK-QFmqXk4zvLwFVya0vFL-HlKM5e6C6HZrubkQiq6Nf2pfA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Rashi Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-rashi-hebrew/noto-rashi-hebrew.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:948;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Noto Sans\";s:10:\"fontFamily\";s:23:\"\"Noto Sans\", sans-serif\";s:4:\"slug\";s:9:\"noto-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyD9At9Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyB9A99Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyCjA99Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyD9A99Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyDPA99Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyAjBN9Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyAaBN9Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyB9BN9Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/notosans/v36/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyBUBN9Y41P6zHtY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QDcf6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QLce6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QGke6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QDce6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QAUe6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QOkZ6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QNAZ6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QLcZ6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosans/v36/o-0kIpQlx3QUlC5A4PNr4C5OaxRsfNNlKbCePevHtVtX57DGjDU1QJ4Z6VLYyWtY1rI.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Noto Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans/noto-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:949;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Adlam\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Adlam\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-adlam\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansadlam/v22/neIczCCpqp0s5pPusPamd81eMfjPonvqdbYxxpgufnv0TGzBZLwhuvk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Adlam\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam/noto-sans-adlam-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansadlam/v22/neIczCCpqp0s5pPusPamd81eMfjPonvqdbYxxpgufkn0TGzBZLwhuvk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Adlam\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam/noto-sans-adlam-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansadlam/v22/neIczCCpqp0s5pPusPamd81eMfjPonvqdbYxxpgufqXzTGzBZLwhuvk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Adlam\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam/noto-sans-adlam-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansadlam/v22/neIczCCpqp0s5pPusPamd81eMfjPonvqdbYxxpgufpzzTGzBZLwhuvk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Adlam\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam/noto-sans-adlam-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam/noto-sans-adlam.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:950;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Noto Sans Adlam Unjoined\";s:10:\"fontFamily\";s:38:\"\"Noto Sans Adlam Unjoined\", sans-serif\";s:4:\"slug\";s:24:\"noto-sans-adlam-unjoined\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansadlamunjoined/v26/P5sszY2MYsLRsB5_ildkzPPDsLQXcOEmaFOqOGcaYrzFTIjsPam_Ye35PMQe-E3slUg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Adlam Unjoined\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam-unjoined/noto-sans-adlam-unjoined-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansadlamunjoined/v26/P5sszY2MYsLRsB5_ildkzPPDsLQXcOEmaFOqOGcaYrzFTIjsPam_Yd_5PMQe-E3slUg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Adlam Unjoined\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam-unjoined/noto-sans-adlam-unjoined-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansadlamunjoined/v26/P5sszY2MYsLRsB5_ildkzPPDsLQXcOEmaFOqOGcaYrzFTIjsPam_YTP-PMQe-E3slUg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Adlam Unjoined\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam-unjoined/noto-sans-adlam-unjoined-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansadlamunjoined/v26/P5sszY2MYsLRsB5_ildkzPPDsLQXcOEmaFOqOGcaYrzFTIjsPam_YQr-PMQe-E3slUg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Adlam Unjoined\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam-unjoined/noto-sans-adlam-unjoined-700-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-adlam-unjoined/noto-sans-adlam-unjoined.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:951;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:31:\"Noto Sans Anatolian Hieroglyphs\";s:10:\"fontFamily\";s:45:\"\"Noto Sans Anatolian Hieroglyphs\", sans-serif\";s:4:\"slug\";s:31:\"noto-sans-anatolian-hieroglyphs\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosansanatolianhieroglyphs/v16/ijw9s4roRME5LLRxjsRb8A0gKPSWq4BbDmHHu6j2pEtUJzZWXyPIymc5QYo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:31:\"Noto Sans Anatolian Hieroglyphs\";s:7:\"preview\";s:123:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-anatolian-hieroglyphs/noto-sans-anatolian-hieroglyphs-400-normal.svg\";}}s:7:\"preview\";s:112:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-anatolian-hieroglyphs/noto-sans-anatolian-hieroglyphs.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:952;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:16:\"Noto Sans Arabic\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Arabic\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-arabic\";s:8:\"fontFace\";a:9:{i:0;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfyG2vvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:1;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfSGyvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:2;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCflmyvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:3;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfyGyvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:4;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCf-myvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:5;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfFmuvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:6;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfL2uvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:7;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfSGuvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}i:8;a:4:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosansarabic/v18/nwpxtLGrOAZMl5nJ_wfgRg3DrWFZWsnVBJ_sS6tlqHHFlhQ5l3sQWIHPqzCfYWuvvnCBFQLaig.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Arabic\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:953;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Armenian\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Armenian\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-armenian\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLorxbq0nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLopxb60nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLoqvb60nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLorxb60nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLorDb60nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLoovaK0nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLooWaK0nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLopxaK0nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansarmenian/v43/ZgN0jOZKPa7CHqq0h37c7ReDUubm2SEdFXp7ig73qtTY5idb74R9UdM3y2nZLopYaK0nYy6zF3Eg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Armenian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-armenian/noto-sans-armenian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:954;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Avestan\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Avestan\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-avestan\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansavestan/v21/bWti7ejKfBziStx7lIzKOLQZKhIJkyu4SASLji8U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Avestan\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-avestan/noto-sans-avestan-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-avestan/noto-sans-avestan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:955;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Balinese\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Balinese\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-balinese\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansbalinese/v24/NaPwcYvSBuhTirw6IaFn6UrRDaqje-lpbbRtYf-Fwu2Ov7fdhEtVd222PPY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Balinese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-balinese/noto-sans-balinese-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansbalinese/v24/NaPwcYvSBuhTirw6IaFn6UrRDaqje-lpbbRtYf-Fwu2Ov4XdhEtVd222PPY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Balinese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-balinese/noto-sans-balinese-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansbalinese/v24/NaPwcYvSBuhTirw6IaFn6UrRDaqje-lpbbRtYf-Fwu2Ov2nahEtVd222PPY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Balinese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-balinese/noto-sans-balinese-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansbalinese/v24/NaPwcYvSBuhTirw6IaFn6UrRDaqje-lpbbRtYf-Fwu2Ov1DahEtVd222PPY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Balinese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-balinese/noto-sans-balinese-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-balinese/noto-sans-balinese.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:956;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Bamum\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Bamum\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-bamum\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansbamum/v27/uk-0EGK3o6EruUbnwovcbBTkkklK_Ya_PBHfNGTPEddO-_0LykxEkxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Bamum\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bamum/noto-sans-bamum-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansbamum/v27/uk-0EGK3o6EruUbnwovcbBTkkklK_Ya_PBHfNGTPEeVO-_0LykxEkxA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Bamum\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bamum/noto-sans-bamum-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansbamum/v27/uk-0EGK3o6EruUbnwovcbBTkkklK_Ya_PBHfNGTPEQlJ-_0LykxEkxA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Bamum\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bamum/noto-sans-bamum-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansbamum/v27/uk-0EGK3o6EruUbnwovcbBTkkklK_Ya_PBHfNGTPETBJ-_0LykxEkxA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Bamum\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bamum/noto-sans-bamum-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bamum/noto-sans-bamum.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:957;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Bassa Vah\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Bassa Vah\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-bassa-vah\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notosansbassavah/v17/PN_bRee-r3f7LnqsD5sax12gjZn7mBpL5YwUpA2MBdcFn4MaAc6s34gH-GD7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Bassa Vah\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bassa-vah/noto-sans-bassa-vah-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notosansbassavah/v17/PN_bRee-r3f7LnqsD5sax12gjZn7mBpL5YwUpA2MBdcFn4MoAc6s34gH-GD7.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Bassa Vah\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bassa-vah/noto-sans-bassa-vah-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notosansbassavah/v17/PN_bRee-r3f7LnqsD5sax12gjZn7mBpL5YwUpA2MBdcFn4PEBs6s34gH-GD7.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Bassa Vah\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bassa-vah/noto-sans-bassa-vah-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notosansbassavah/v17/PN_bRee-r3f7LnqsD5sax12gjZn7mBpL5YwUpA2MBdcFn4P9Bs6s34gH-GD7.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Bassa Vah\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bassa-vah/noto-sans-bassa-vah-700-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bassa-vah/noto-sans-bassa-vah.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:958;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Batak\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Batak\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-batak\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosansbatak/v20/gok2H6TwAEdtF9N8-mdTCQvT-Zdgpo_PHuk74A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Batak\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-batak/noto-sans-batak-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-batak/noto-sans-batak.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:959;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Bengali\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Bengali\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-bengali\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsolKudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsglLudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmstdLudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsolLudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsrtLudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsldMudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6Kmsm5MudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsglMudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansbengali/v20/Cn-SJsCGWQxOjaGwMQ6fIiMywrNJIky6nvd8BjzVMvJx2mcSPVFpVEqE-6KmsiBMudWk8izI0lc.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Bengali\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bengali/noto-sans-bengali.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:960;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Bhaiksuki\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Bhaiksuki\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-bhaiksuki\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosansbhaiksuki/v17/UcC63EosKniBH4iELXATsSBWdvUHXxhj8rfUdU4wh9U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Bhaiksuki\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bhaiksuki/noto-sans-bhaiksuki-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-bhaiksuki/noto-sans-bhaiksuki.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:961;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Brahmi\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Brahmi\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-brahmi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosansbrahmi/v19/vEFK2-VODB8RrNDvZSUmQQIIByV18te1W77HtMo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Brahmi\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-brahmi/noto-sans-brahmi-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-brahmi/noto-sans-brahmi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:962;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Buginese\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Buginese\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-buginese\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosansbuginese/v18/esDM30ldNv-KYGGJpKGk18phe_7Da6_gsPuEXLmNtw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Buginese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-buginese/noto-sans-buginese-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-buginese/noto-sans-buginese.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:963;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Buhid\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Buhid\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-buhid\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosansbuhid/v22/Dxxy8jiXMW75w3OmoDXVWJD7YwzAfqtgnaFoGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Buhid\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-buhid/noto-sans-buhid-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-buhid/noto-sans-buhid.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:964;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:29:\"Noto Sans Canadian Aboriginal\";s:10:\"fontFamily\";s:43:\"\"Noto Sans Canadian Aboriginal\", sans-serif\";s:4:\"slug\";s:29:\"noto-sans-canadian-aboriginal\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzigWLj_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzig2Ln_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzigBrn_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzigWLn_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzigarn_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzighr7_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzigv77_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzig2L7_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:139:\"https://fonts.gstatic.com/s/notosanscanadianaboriginal/v26/4C_TLjTuEqPj-8J01CwaGkiZ9os0iGVkezM1mUT-j_Lmlzda6uH_nnX1bzig8b7_zQsg0q0uhQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Canadian Aboriginal\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal-900-normal.svg\";}}s:7:\"preview\";s:108:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-canadian-aboriginal/noto-sans-canadian-aboriginal.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:965;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Carian\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Carian\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-carian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanscarian/v16/LDIpaoiONgYwA9Yc6f0gUILeMIOgs78b9yGLmfI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Carian\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-carian/noto-sans-carian-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-carian/noto-sans-carian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:966;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:28:\"Noto Sans Caucasian Albanian\";s:10:\"fontFamily\";s:42:\"\"Noto Sans Caucasian Albanian\", sans-serif\";s:4:\"slug\";s:28:\"noto-sans-caucasian-albanian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosanscaucasianalbanian/v18/nKKA-HM_FYFRJvXzVXaANsU0VzsAc46QGOkWytlTs-TXrYXmoVmRSZo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:28:\"Noto Sans Caucasian Albanian\";s:7:\"preview\";s:117:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-caucasian-albanian/noto-sans-caucasian-albanian-400-normal.svg\";}}s:7:\"preview\";s:106:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-caucasian-albanian/noto-sans-caucasian-albanian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:967;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Chakma\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Chakma\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-chakma\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanschakma/v17/Y4GQYbJ8VTEp4t3MKJSMjg5OIzhi4J3TQhYBeYo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Chakma\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-chakma/noto-sans-chakma-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-chakma/noto-sans-chakma.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:968;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Cham\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Cham\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-cham\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfcER0curGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfckRwcurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfcTxwcurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfcERwcurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfcIxwcurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfczxscurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfc9hscurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfckRscurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanscham/v31/pe06MIySN5pO62Z5YkFyQb_bbuRhe6D4yip43qfcuBscurGykboaLg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Cham\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cham/noto-sans-cham.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:969;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Cherokee\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Cherokee\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-cherokee\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWi5ODky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWq5PDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWnBPDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWi5PDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWhxPDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWvBIDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWslIDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWq5IDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanscherokee/v20/KFOPCm6Yu8uF-29fiz9vQF9YWK6Z8O10cHNA0cSkZCHYWodIDky5rAffjl0.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Cherokee\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cherokee/noto-sans-cherokee.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:970;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Chorasmian\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Chorasmian\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-chorasmian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanschorasmian/v3/MQpL-X6uKMC7ROPLwRnI9ULxK_7NVkf8S5v3oH7w4g9b.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Chorasmian\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-chorasmian/noto-sans-chorasmian-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-chorasmian/noto-sans-chorasmian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:971;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Coptic\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Coptic\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-coptic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanscoptic/v21/iJWfBWmUZi_OHPqn4wq6kgqumOEd786_VG0xR4Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Coptic\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-coptic/noto-sans-coptic-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-coptic/noto-sans-coptic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:972;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Cuneiform\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Cuneiform\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-cuneiform\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosanscuneiform/v17/bMrrmTWK7YY-MF22aHGGd7H8PhJtvBDWgbpJlRQueeQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Cuneiform\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cuneiform/noto-sans-cuneiform-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cuneiform/noto-sans-cuneiform.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:973;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Cypriot\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Cypriot\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-cypriot\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanscypriot/v19/8AtzGta9PYqQDjyp79a6f8Cj-3a3cxIpK5MPpahF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Cypriot\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cypriot/noto-sans-cypriot-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cypriot/noto-sans-cypriot.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:974;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Sans Cypro Minoan\";s:10:\"fontFamily\";s:36:\"\"Noto Sans Cypro Minoan\", sans-serif\";s:4:\"slug\";s:22:\"noto-sans-cypro-minoan\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/notosanscyprominoan/v1/2Eb2L_dtDUlkNmPHB_UVtEzp3ZlPGqZ_4nAGq9KSf8_eQSE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Cypro Minoan\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cypro-minoan/noto-sans-cypro-minoan-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-cypro-minoan/noto-sans-cypro-minoan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:975;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Deseret\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Deseret\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-deseret\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansdeseret/v17/MwQsbgPp1eKH6QsAVuFb9AZM6MMr2Vq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Deseret\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-deseret/noto-sans-deseret-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-deseret/noto-sans-deseret.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:976;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Devanagari\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Devanagari\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-devanagari\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlXQky-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlfQly-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlSoly-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlXQly-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlUYly-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08Alaoiy-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlZMiy-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08AlfQiy-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:136:\"https://fonts.gstatic.com/s/notosansdevanagari/v26/TuGoUUFzXI5FBtUq5a8bjKYTZjtRU6Sgv3NaV_SNmI0b8QQCQmHn6B2OHjbL_08Ald0iy-UzoFoW4Ow.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Devanagari\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari-900-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-devanagari/noto-sans-devanagari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:977;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Display\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Display\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-display\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_3cLVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp__cKVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_ykKVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_3cKVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_0UKVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_6kNVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_5ANVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp__cNVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpbK4fy6r6tOBEJg0IAKzqdFZVZxpMkXJMhnB9XjO1o90LuV-PT4Doq_AKp_94NVTSQ2iHrvWM.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JvXOa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JPXKa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9J43Ka2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JvXKa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9Jj3Ka2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JY3Wa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JWnWa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JPXWa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/notosansdisplay/v26/RLpZK4fy6r6tOBEJg0IAKzqdFZVZxrktbnDB5UzBIup9PwAcHtEsOFNBZqyu6r9JFHWa2wPurWM9uQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Noto Sans Display\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display-900-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-display/noto-sans-display.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:978;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Duployan\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Duployan\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-duployan\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosansduployan/v18/gokzH7nwAEdtF9N8-mdTDx_X9JM5wsvrE8In6WYDvA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Duployan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-duployan/noto-sans-duployan-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notosansduployan/v18/gokwH7nwAEdtF9N8-mdTDx_X9JM5wsvTqu0D5E0ftZS-Iw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Duployan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-duployan/noto-sans-duployan-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-duployan/noto-sans-duployan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:979;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:30:\"Noto Sans Egyptian Hieroglyphs\";s:10:\"fontFamily\";s:44:\"\"Noto Sans Egyptian Hieroglyphs\", sans-serif\";s:4:\"slug\";s:30:\"noto-sans-egyptian-hieroglyphs\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansegyptianhieroglyphs/v29/vEF42-tODB8RrNDvZSUmRhcQHzx1s7y_F9-j3qSzEcbEYindTFK8xRg7iw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:30:\"Noto Sans Egyptian Hieroglyphs\";s:7:\"preview\";s:121:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-egyptian-hieroglyphs/noto-sans-egyptian-hieroglyphs-400-normal.svg\";}}s:7:\"preview\";s:110:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-egyptian-hieroglyphs/noto-sans-egyptian-hieroglyphs.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:980;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Elbasan\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Elbasan\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-elbasan\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanselbasan/v16/-F6rfiZqLzI2JPCgQBnw400qp1trvHdgre4dFcFh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Elbasan\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-elbasan/noto-sans-elbasan-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-elbasan/noto-sans-elbasan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:981;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Elymaic\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Elymaic\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-elymaic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanselymaic/v17/UqyKK9YTJW5liNMhTMqe9vUFP65ZD4AmWOT0zi2V.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Elymaic\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-elymaic/noto-sans-elymaic-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-elymaic/noto-sans-elymaic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:982;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Ethiopic\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Ethiopic\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-ethiopic\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T35OKqDmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T37OK6DmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T34QK6DmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T35OK6DmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T358K6DmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T36QLKDmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T36pLKDmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T37OLKDmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansethiopic/v47/7cHPv50vjIepfJVOZZgcpQ5B9FBTH9KGNfhSTgtoow1KVnIvyBoMSzUMacb-T37nLKDmwmfeaY9u.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ethiopic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ethiopic/noto-sans-ethiopic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:983;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Georgian\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Georgian\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-georgian\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdpvnzVj7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdptnzFj7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdpu5zFj7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdpvnzFj7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdpvVzFj7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdps5y1j7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdpsAy1j7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdptny1j7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgeorgian/v44/PlIaFke5O6RzLfvNNVSitxkr76PRHBC4Ytyq-Gof7PUs4S7zWn-8YDB09HFNdptOy1j7f5WK0OQV.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Georgian\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-georgian/noto-sans-georgian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:984;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Glagolitic\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Glagolitic\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-glagolitic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notosansglagolitic/v18/1q2ZY4-BBFBst88SU_tOj4J-4yuNF_HI4ERP4Amu7nM1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Glagolitic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-glagolitic/noto-sans-glagolitic-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-glagolitic/noto-sans-glagolitic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:985;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Gothic\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Gothic\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-gothic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosansgothic/v16/TuGKUUVzXI5FBtUq5a8bj6wRbzxTFMD40kFQRx0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Gothic\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gothic/noto-sans-gothic-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gothic/noto-sans-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:986;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Grantha\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Grantha\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-grantha\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansgrantha/v19/3y976akwcCjmsU8NDyrKo3IQfQ4o-r8ZFeulHc6N.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Grantha\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-grantha/noto-sans-grantha-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-grantha/noto-sans-grantha.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:987;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Gujarati\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Gujarati\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-gujarati\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_ypFgPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_wpFwPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_z3FwPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_ypFwPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_ybFwPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_x3EAPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_xOEAPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_wpEAPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgujarati/v25/wlpWgx_HC1ti5ViekvcxnhMlCVo3f5pv17ivlzsUB14gg1TMR2Gw4VceEl7MA_wAEAPJ_OdiEH0s.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gujarati\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gujarati/noto-sans-gujarati.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:988;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Noto Sans Gunjala Gondi\";s:10:\"fontFamily\";s:37:\"\"Noto Sans Gunjala Gondi\", sans-serif\";s:4:\"slug\";s:23:\"noto-sans-gunjala-gondi\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/notosansgunjalagondi/v19/bWtX7e7KfBziStx7lIzKPrcSMwcEnCv6DW7n5g0ef3PLtymzNxYL4YDE5Z4vCTxEJQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Gunjala Gondi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gunjala-gondi/noto-sans-gunjala-gondi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/notosansgunjalagondi/v19/bWtX7e7KfBziStx7lIzKPrcSMwcEnCv6DW7n5g0ef3PLtymzNxYL04DE5Z4vCTxEJQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Gunjala Gondi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gunjala-gondi/noto-sans-gunjala-gondi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/notosansgunjalagondi/v19/bWtX7e7KfBziStx7lIzKPrcSMwcEnCv6DW7n5g0ef3PLtymzNxYLP4fE5Z4vCTxEJQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Gunjala Gondi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gunjala-gondi/noto-sans-gunjala-gondi-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:125:\"https://fonts.gstatic.com/s/notosansgunjalagondi/v19/bWtX7e7KfBziStx7lIzKPrcSMwcEnCv6DW7n5g0ef3PLtymzNxYLBofE5Z4vCTxEJQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Gunjala Gondi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gunjala-gondi/noto-sans-gunjala-gondi-700-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gunjala-gondi/noto-sans-gunjala-gondi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:989;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Gurmukhi\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Gurmukhi\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-gurmukhi\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG1Oe3b0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG3Oenb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG0Qenb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG1Oenb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG18enb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG2QfXb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG2pfXb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG3OfXb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notosansgurmukhi/v26/w8g9H3EvQP81sInb43inmyN9zZ7hb7ATbSWo4q8dJ74a3cVrYFQ_bogT0-gPeG3nfXb0Z_trdp7h.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Gurmukhi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-gurmukhi/noto-sans-gurmukhi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:990;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noto Sans HK\";s:10:\"fontFamily\";s:26:\"\"Noto Sans HK\", sans-serif\";s:4:\"slug\";s:12:\"noto-sans-hk\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qHB_-oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qPB--oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qC5--oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qHB--oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qEJ--oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qK55-oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qJd5-oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qPB5-oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanshk/v32/nKKF-GM_FYFRJvXzVXaAPe97P1KHynJFP716qNl5-oCTiYjNvVA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans HK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hk/noto-sans-hk.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:991;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Noto Sans Hanifi Rohingya\";s:10:\"fontFamily\";s:39:\"\"Noto Sans Hanifi Rohingya\", sans-serif\";s:4:\"slug\";s:25:\"noto-sans-hanifi-rohingya\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanshanifirohingya/v28/5h17iYsoOmIC3Yu3MDXLDw3UZCgghyOEBBY7hhLNyo3tiaiuSIAqrIYY4j6qvcudK8rN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Noto Sans Hanifi Rohingya\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanifi-rohingya/noto-sans-hanifi-rohingya-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanshanifirohingya/v28/5h17iYsoOmIC3Yu3MDXLDw3UZCgghyOEBBY7hhLNyo3tiaiuSIAqrIYq4j6qvcudK8rN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Noto Sans Hanifi Rohingya\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanifi-rohingya/noto-sans-hanifi-rohingya-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanshanifirohingya/v28/5h17iYsoOmIC3Yu3MDXLDw3UZCgghyOEBBY7hhLNyo3tiaiuSIAqrIbG5T6qvcudK8rN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Noto Sans Hanifi Rohingya\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanifi-rohingya/noto-sans-hanifi-rohingya-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanshanifirohingya/v28/5h17iYsoOmIC3Yu3MDXLDw3UZCgghyOEBBY7hhLNyo3tiaiuSIAqrIb_5T6qvcudK8rN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Noto Sans Hanifi Rohingya\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanifi-rohingya/noto-sans-hanifi-rohingya-700-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanifi-rohingya/noto-sans-hanifi-rohingya.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:992;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Hanunoo\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Hanunoo\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-hanunoo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanshanunoo/v21/f0Xs0fCv8dxkDWlZSoXOj6CphMloFsEpEpgL_ix2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Hanunoo\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanunoo/noto-sans-hanunoo-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hanunoo/noto-sans-hanunoo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:993;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Hatran\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Hatran\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-hatran\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanshatran/v16/A2BBn4Ne0RgnVF3Lnko-0sOBIfL_mMo3r1nwzDs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hatran\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hatran/noto-sans-hatran-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hatran/noto-sans-hatran.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:994;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Hebrew\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Hebrew\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-hebrew\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiXd4utpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiX94qtpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiXKYqtpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiXd4qtpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiXRYqtpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiXqY2tpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiXkI2tpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiX942tpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanshebrew/v46/or3HQ7v33eiDljA1IufXTtVf7V6RvEEdhQlk0LlGxCyaeNKYZC0sqk3xXGiX3o2tpyJltutR2g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Hebrew\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-hebrew/noto-sans-hebrew.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:995;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Noto Sans Imperial Aramaic\";s:10:\"fontFamily\";s:40:\"\"Noto Sans Imperial Aramaic\", sans-serif\";s:4:\"slug\";s:26:\"noto-sans-imperial-aramaic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansimperialaramaic/v17/a8IMNpjwKmHXpgXbMIsbTc_kvks91LlLetBr5itQrtdjl3YfPNno.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Noto Sans Imperial Aramaic\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-imperial-aramaic/noto-sans-imperial-aramaic-400-normal.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-imperial-aramaic/noto-sans-imperial-aramaic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:996;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:29:\"Noto Sans Indic Siyaq Numbers\";s:10:\"fontFamily\";s:43:\"\"Noto Sans Indic Siyaq Numbers\", sans-serif\";s:4:\"slug\";s:29:\"noto-sans-indic-siyaq-numbers\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosansindicsiyaqnumbers/v16/6xK5dTJFKcWIu4bpRBjRZRpsIYHabOeZ8UZLubTzpXNHKx2TPOpVd5Iu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:29:\"Noto Sans Indic Siyaq Numbers\";s:7:\"preview\";s:119:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-indic-siyaq-numbers/noto-sans-indic-siyaq-numbers-400-normal.svg\";}}s:7:\"preview\";s:108:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-indic-siyaq-numbers/noto-sans-indic-siyaq-numbers.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:997;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:31:\"Noto Sans Inscriptional Pahlavi\";s:10:\"fontFamily\";s:45:\"\"Noto Sans Inscriptional Pahlavi\", sans-serif\";s:4:\"slug\";s:31:\"noto-sans-inscriptional-pahlavi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosansinscriptionalpahlavi/v17/ll8UK3GaVDuxR-TEqFPIbsR79Xxz9WEKbwsjpz7VklYlC7FCVt-VOAYK0QA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:31:\"Noto Sans Inscriptional Pahlavi\";s:7:\"preview\";s:123:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-inscriptional-pahlavi/noto-sans-inscriptional-pahlavi-400-normal.svg\";}}s:7:\"preview\";s:112:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-inscriptional-pahlavi/noto-sans-inscriptional-pahlavi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:998;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:32:\"Noto Sans Inscriptional Parthian\";s:10:\"fontFamily\";s:46:\"\"Noto Sans Inscriptional Parthian\", sans-serif\";s:4:\"slug\";s:32:\"noto-sans-inscriptional-parthian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/notosansinscriptionalparthian/v17/k3k7o-IMPvpLmixcA63oYi-yStDkgXuXncL7dzfW3P4TAJ2yklBM2jNkLlLr.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:32:\"Noto Sans Inscriptional Parthian\";s:7:\"preview\";s:125:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-inscriptional-parthian/noto-sans-inscriptional-parthian-400-normal.svg\";}}s:7:\"preview\";s:114:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-inscriptional-parthian/noto-sans-inscriptional-parthian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:999;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noto Sans JP\";s:10:\"fontFamily\";s:26:\"\"Noto Sans JP\", sans-serif\";s:4:\"slug\";s:12:\"noto-sans-jp\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFBEi757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFJEj757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFE8j757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFBEj757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFCMj757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFM8k757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFPYk757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFJEk757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansjp/v53/-F6jfjtqLzI2JPCgQBnw7HFyzSD-AsregP8VFLgk757Y0rw-oME.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans JP\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-jp/noto-sans-jp.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1000;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Javanese\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Javanese\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-javanese\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansjavanese/v23/2V01KJkDAIA6Hp4zoSScDjV0Y-eoHAHT-Z3MngEefiidxJnkFFxiZYWj4O8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Javanese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-javanese/noto-sans-javanese-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansjavanese/v23/2V01KJkDAIA6Hp4zoSScDjV0Y-eoHAHT-Z3MngEefiidxKvkFFxiZYWj4O8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Javanese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-javanese/noto-sans-javanese-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansjavanese/v23/2V01KJkDAIA6Hp4zoSScDjV0Y-eoHAHT-Z3MngEefiidxEfjFFxiZYWj4O8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Javanese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-javanese/noto-sans-javanese-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosansjavanese/v23/2V01KJkDAIA6Hp4zoSScDjV0Y-eoHAHT-Z3MngEefiidxH7jFFxiZYWj4O8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Javanese\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-javanese/noto-sans-javanese-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-javanese/noto-sans-javanese.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1001;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noto Sans KR\";s:10:\"fontFamily\";s:26:\"\"Noto Sans KR\", sans-serif\";s:4:\"slug\";s:12:\"noto-sans-kr\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzuozeLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzmoyeLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzrQyeLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzuoyeLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzztgyeLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzjQ1eLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzg01eLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzmo1eLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanskr/v36/PbyxFmXiEBPT4ITbgNA5Cgms3VYcOA-vvnIzzkM1eLHq8H4hfeE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans KR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kr/noto-sans-kr.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1002;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Kaithi\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Kaithi\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-kaithi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanskaithi/v22/buEtppS9f8_vkXadMBJJu0tWjLwjQigKdoZIKlo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Kaithi\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kaithi/noto-sans-kaithi-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kaithi/noto-sans-kaithi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1003;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Kannada\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Kannada\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-kannada\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrDvMzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrLvNzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrGXNzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrDvNzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrAnNzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrOXKzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrNzKzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrLvKzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanskannada/v27/8vIs7xs32H97qzQKnzfeXycxXZyUmySvZWItmf1fe6TVmgop9ndpS-BqHEyGrJLKzScMLsPKrkY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Kannada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kannada/noto-sans-kannada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1004;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Kawi\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Kawi\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-kawi\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/notosanskawi/v3/92zBtBJLNqsg7tCciW0EPHNNh1ZgbtGWiTYDjvnK4AhmD5RyMjXVsQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Kawi\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kawi/noto-sans-kawi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/notosanskawi/v3/92zBtBJLNqsg7tCciW0EPHNNh1ZgbtGWiTYDjvnK0ghmD5RyMjXVsQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Kawi\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kawi/noto-sans-kawi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/notosanskawi/v3/92zBtBJLNqsg7tCciW0EPHNNh1ZgbtGWiTYDjvnKPg9mD5RyMjXVsQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Kawi\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kawi/noto-sans-kawi-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/notosanskawi/v3/92zBtBJLNqsg7tCciW0EPHNNh1ZgbtGWiTYDjvnKBw9mD5RyMjXVsQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Kawi\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kawi/noto-sans-kawi-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kawi/noto-sans-kawi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1005;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Kayah Li\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Kayah Li\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-kayah-li\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanskayahli/v21/B50nF61OpWTRcGrhOVJJwOMXdca6Yecki3E06x2jVTX3WCc3CZT4EXLuKVM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Kayah Li\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kayah-li/noto-sans-kayah-li-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanskayahli/v21/B50nF61OpWTRcGrhOVJJwOMXdca6Yecki3E06x2jVTX3WBU3CZT4EXLuKVM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Kayah Li\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kayah-li/noto-sans-kayah-li-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanskayahli/v21/B50nF61OpWTRcGrhOVJJwOMXdca6Yecki3E06x2jVTX3WPkwCZT4EXLuKVM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Kayah Li\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kayah-li/noto-sans-kayah-li-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanskayahli/v21/B50nF61OpWTRcGrhOVJJwOMXdca6Yecki3E06x2jVTX3WMAwCZT4EXLuKVM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Kayah Li\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kayah-li/noto-sans-kayah-li-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kayah-li/noto-sans-kayah-li.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1006;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Kharoshthi\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Kharoshthi\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-kharoshthi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notosanskharoshthi/v16/Fh4qPiLjKS30-P4-pGMMXCCfvkc5Vd7KE5z9rFyx5mR1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Kharoshthi\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kharoshthi/noto-sans-kharoshthi-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-kharoshthi/noto-sans-kharoshthi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1007;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Khmer\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Khmer\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-khmer\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYuNAZz9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYsNAJz9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYvTAJz9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYuNAJz9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYu_AJz9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYtTB5z9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYtqB5z9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYsNB5z9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanskhmer/v24/ijw3s5roRME5LLRxjsRb-gssOenAyendxrgV2c-Zw-9vbVUti_Z_dWgtWYskB5z9kAbrddiA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Khmer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khmer/noto-sans-khmer.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1008;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Khojki\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Khojki\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-khojki\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanskhojki/v19/-nFnOHM29Oofr2wohFbTuPPKVWpmK_J709jy92k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Khojki\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khojki/noto-sans-khojki-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khojki/noto-sans-khojki.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1009;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Khudawadi\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Khudawadi\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-khudawadi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosanskhudawadi/v22/fdNi9t6ZsWBZ2k5ltHN73zZ5hc8HANlHIjFnVVXz9MY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Khudawadi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khudawadi/noto-sans-khudawadi-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-khudawadi/noto-sans-khudawadi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1010;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Sans Lao\";s:10:\"fontFamily\";s:27:\"\"Noto Sans Lao\", sans-serif\";s:4:\"slug\";s:13:\"noto-sans-lao\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt4ccfdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt48cbdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt4L8bdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt4ccbdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt4Q8bdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt4r8HdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt4lsHdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt48cHdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/notosanslao/v30/bx6lNx2Ol_ixgdYWLm9BwxM3NW6BOkuf763Clj73CiQ_J1Djx9pidOt42MHdepMK3riB2w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Lao\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao/noto-sans-lao.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1011;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Lao Looped\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Lao Looped\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-lao-looped\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomPr2M-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomHr3M-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomKT3M-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomPr3M-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomMj3M-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomCTwM-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomB3wM-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomHrwM-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosanslaolooped/v7/a8IgNpbwKmHXpgXbMIsbSMP7-3U72qUOX5gBg6LRXExhqHIX9YPTpvqkW4UthhjomFPwM-Nw5V_T71k.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Lao Looped\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped-900-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lao-looped/noto-sans-lao-looped.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1012;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Lepcha\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Lepcha\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-lepcha\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanslepcha/v19/0QI7MWlB_JWgA166SKhu05TekNS32AdstqBXgd4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Lepcha\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lepcha/noto-sans-lepcha-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lepcha/noto-sans-lepcha.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1013;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Limbu\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Limbu\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-limbu\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosanslimbu/v24/3JnlSDv90Gmq2mrzckOBBRRoNJVj1cF3OHRDnA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Limbu\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-limbu/noto-sans-limbu-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-limbu/noto-sans-limbu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1014;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Linear A\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Linear A\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-linear-a\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notosanslineara/v18/oPWS_l16kP4jCuhpgEGmwJOiA18FZj22y2HQAGQicw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Linear A\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-linear-a/noto-sans-linear-a-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-linear-a/noto-sans-linear-a.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1015;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Linear B\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Linear B\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-linear-b\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notosanslinearb/v17/HhyJU4wt9vSgfHoORYOiXOckKNB737IV2RkFTq4EPw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Linear B\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-linear-b/noto-sans-linear-b-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-linear-b/noto-sans-linear-b.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1016;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Lisu\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Lisu\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-lisu\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanslisu/v25/uk-3EGO3o6EruUbnwovcYhz6kh57_nqbcTdjJnHP2Vwt3tIlxkVdig.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Lisu\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lisu/noto-sans-lisu-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanslisu/v25/uk-3EGO3o6EruUbnwovcYhz6kh57_nqbcTdjJnHP61wt3tIlxkVdig.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Lisu\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lisu/noto-sans-lisu-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanslisu/v25/uk-3EGO3o6EruUbnwovcYhz6kh57_nqbcTdjJnHPB1st3tIlxkVdig.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Lisu\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lisu/noto-sans-lisu-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanslisu/v25/uk-3EGO3o6EruUbnwovcYhz6kh57_nqbcTdjJnHPPlst3tIlxkVdig.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Lisu\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lisu/noto-sans-lisu-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lisu/noto-sans-lisu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1017;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:16:\"Noto Sans Lycian\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Lycian\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-lycian\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanslycian/v15/QldVNSNMqAsHtsJ7UmqxBQA9r8wA5_zaCJwn00E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Lycian\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1018;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Lydian\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Lydian\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-lydian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanslydian/v18/c4m71mVzGN7s8FmIukZJ1v4ZlcPReUbXMoIjEQI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Lydian\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lydian/noto-sans-lydian-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-lydian/noto-sans-lydian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1019;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Mahajani\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Mahajani\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-mahajani\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosansmahajani/v19/-F6sfiVqLzI2JPCgQBnw60Agp0JrvD5FgsARHNh4zg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Mahajani\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mahajani/noto-sans-mahajani-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mahajani/noto-sans-mahajani.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1020;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Malayalam\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Malayalam\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-malayalam\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_RuH9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_xuD9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_GOD9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_RuD9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_dOD9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_mOf9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_oef9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_xuf9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notosansmalayalam/v26/sJoi3K5XjsSdcnzn071rL37lpAOsUThnDZIfPdbeSNzVakglNM-Qw8EaeB8Nss-_7-f9AVzEr6HxEA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Malayalam\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-malayalam/noto-sans-malayalam.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1021;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Mandaic\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Mandaic\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-mandaic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansmandaic/v17/cIfnMbdWt1w_HgCcilqhKQBo_OsMI5_F_gMk0izH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Mandaic\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mandaic/noto-sans-mandaic-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mandaic/noto-sans-mandaic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1022;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Manichaean\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Manichaean\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-manichaean\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notosansmanichaean/v18/taiVGntiC4--qtsfi4Jp9-_GkPZZCcrfekqHNTtFCtdX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Manichaean\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-manichaean/noto-sans-manichaean-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-manichaean/noto-sans-manichaean.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1023;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Marchen\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Marchen\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-marchen\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansmarchen/v20/aFTO7OZ_Y282EP-WyG6QTOX_C8WZMHhKk652ZaHk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Marchen\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-marchen/noto-sans-marchen-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-marchen/noto-sans-marchen.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1024;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Noto Sans Masaram Gondi\";s:10:\"fontFamily\";s:37:\"\"Noto Sans Masaram Gondi\", sans-serif\";s:4:\"slug\";s:23:\"noto-sans-masaram-gondi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansmasaramgondi/v17/6xK_dThFKcWIu4bpRBjRYRV7KZCbUq6n_1kPnuGb7RI9WSWX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Masaram Gondi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-masaram-gondi/noto-sans-masaram-gondi-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-masaram-gondi/noto-sans-masaram-gondi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1025;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Math\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Math\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-math\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/notosansmath/v15/7Aump_cpkSecTWaHRlH2hyV5UHkD-V048PW0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Math\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-math/noto-sans-math-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-math/noto-sans-math.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1026;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Noto Sans Mayan Numerals\";s:10:\"fontFamily\";s:38:\"\"Noto Sans Mayan Numerals\", sans-serif\";s:4:\"slug\";s:24:\"noto-sans-mayan-numerals\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/notosansmayannumerals/v16/PlIuFk25O6RzLfvNNVSivR09_KqYMwvvDKYjfIiE7soo6eepYQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Mayan Numerals\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mayan-numerals/noto-sans-mayan-numerals-400-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mayan-numerals/noto-sans-mayan-numerals.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1027;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Medefaidrin\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Medefaidrin\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-medefaidrin\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansmedefaidrin/v23/WwkzxOq6Dk-wranENynkfeVsNbRZtbOIdLb1exeM4ZeuabBfmErWlTj18e5A3rw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Medefaidrin\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-medefaidrin/noto-sans-medefaidrin-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansmedefaidrin/v23/WwkzxOq6Dk-wranENynkfeVsNbRZtbOIdLb1exeM4ZeuabBfmHjWlTj18e5A3rw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Medefaidrin\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-medefaidrin/noto-sans-medefaidrin-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansmedefaidrin/v23/WwkzxOq6Dk-wranENynkfeVsNbRZtbOIdLb1exeM4ZeuabBfmJTRlTj18e5A3rw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Medefaidrin\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-medefaidrin/noto-sans-medefaidrin-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansmedefaidrin/v23/WwkzxOq6Dk-wranENynkfeVsNbRZtbOIdLb1exeM4ZeuabBfmK3RlTj18e5A3rw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Medefaidrin\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-medefaidrin/noto-sans-medefaidrin-700-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-medefaidrin/noto-sans-medefaidrin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1028;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Sans Meetei Mayek\";s:10:\"fontFamily\";s:36:\"\"Noto Sans Meetei Mayek\", sans-serif\";s:4:\"slug\";s:22:\"noto-sans-meetei-mayek\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1TJ__TT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1RJ_vTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1SX_vTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1TJ_vTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1T7_vTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1QX-fTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1Qu-fTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1RJ-fTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmeeteimayek/v15/HTxAL3QyKieByqY9eZPFweO0be7M21uSphSdhqILnmrRfJ8t_1Rg-fTT5PgeFYVa.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Meetei Mayek\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek-900-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meetei-mayek/noto-sans-meetei-mayek.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1029;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Noto Sans Mende Kikakui\";s:10:\"fontFamily\";s:37:\"\"Noto Sans Mende Kikakui\", sans-serif\";s:4:\"slug\";s:23:\"noto-sans-mende-kikakui\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansmendekikakui/v28/11hRGoLHz17aKjQCWj-JHcLvu2Q5zZrnkbNCLUx6aDJLAHer.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Mende Kikakui\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mende-kikakui/noto-sans-mende-kikakui-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mende-kikakui/noto-sans-mende-kikakui.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1030;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Meroitic\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Meroitic\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-meroitic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosansmeroitic/v18/IFS5HfRJndhE3P4b5jnZ3ITPvC6i00UDhThTiKY9KQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Meroitic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meroitic/noto-sans-meroitic-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-meroitic/noto-sans-meroitic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1031;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Miao\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Miao\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-miao\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/notosansmiao/v17/Dxxz8jmXMW75w3OmoDXVV4zyZUjlUYVslLhx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Miao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-miao/noto-sans-miao-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-miao/noto-sans-miao.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1032;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Modi\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Modi\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-modi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/notosansmodi/v23/pe03MIySN5pO62Z5YkFyT7jeav5vWVAgVol-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Modi\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-modi/noto-sans-modi-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-modi/noto-sans-modi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1033;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Mongolian\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Mongolian\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-mongolian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosansmongolian/v22/VdGCAYADGIwE0EopZx8xQfHlgEAMsrToxL4g6-av1x0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Mongolian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mongolian/noto-sans-mongolian-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mongolian/noto-sans-mongolian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1034;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Mono\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Mono\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-mono\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_FNI49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_NNJ49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_A1J49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_FNJ49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_GFJ49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_I1O49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_LRO49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_NNO49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansmono/v30/BngrUXNETWXI6LwhGYvaxZikqZqK6fBq6kPvUce2oAZcdthSBUsYck4-_PpO49_XVEQQL8Y.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Mono\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mono/noto-sans-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1035;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Sans Mro\";s:10:\"fontFamily\";s:27:\"\"Noto Sans Mro\", sans-serif\";s:4:\"slug\";s:13:\"noto-sans-mro\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/notosansmro/v18/qWcsB6--pZv9TqnUQMhe9b39WDnRtjkho4M.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Mro\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mro/noto-sans-mro-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-mro/noto-sans-mro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1036;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Multani\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Multani\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-multani\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansmultani/v20/9Bty3ClF38_RfOpe1gCaZ8p30BOFO1AxpfCs5Kos.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Multani\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-multani/noto-sans-multani-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-multani/noto-sans-multani.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1037;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:17:\"Noto Sans Myanmar\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Myanmar\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-myanmar\";s:8:\"fontFace\";a:9:{i:0;a:4:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZs_y1ZtY3ymOryg38hOCSdOnFq0HGS1uQapkAC3AY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:1;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HE-98E1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:2;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HFa9ME1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:3;a:4:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZq_y1ZtY3ymOryg38hOCSdOnFq0Enz3OU4o1AC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:4;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HEC9cE1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:5;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HEu8sE1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:6;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HFK88E1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:7;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HFW8ME1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}i:8;a:4:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosansmyanmar/v20/AlZv_y1ZtY3ymOryg38hOCSdOnFq0HFy8cE1iEwLxR-r.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Myanmar\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1038;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Sans NKo\";s:10:\"fontFamily\";s:27:\"\"Noto Sans NKo\", sans-serif\";s:4:\"slug\";s:13:\"noto-sans-nko\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/notosansnko/v6/esDX31ZdNv-KYGGJpKGk2_RpMpWMHMLBrdA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans NKo\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko/noto-sans-nko-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko/noto-sans-nko.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1039;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Sans NKo Unjoined\";s:10:\"fontFamily\";s:36:\"\"Noto Sans NKo Unjoined\", sans-serif\";s:4:\"slug\";s:22:\"noto-sans-nko-unjoined\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansnkounjoined/v2/MCo_zBjx1d3VUhJFK9MYlNCXJ6VvqwGPz3szPOBB5nuzMdWs0rvF2gEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans NKo Unjoined\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko-unjoined/noto-sans-nko-unjoined-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansnkounjoined/v2/MCo_zBjx1d3VUhJFK9MYlNCXJ6VvqwGPz3szPOBB5nuzMdWs0rv32gEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans NKo Unjoined\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko-unjoined/noto-sans-nko-unjoined-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansnkounjoined/v2/MCo_zBjx1d3VUhJFK9MYlNCXJ6VvqwGPz3szPOBB5nuzMdWs0rsb3QEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans NKo Unjoined\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko-unjoined/noto-sans-nko-unjoined-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/notosansnkounjoined/v2/MCo_zBjx1d3VUhJFK9MYlNCXJ6VvqwGPz3szPOBB5nuzMdWs0rsi3QEKxf5wbh3T.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans NKo Unjoined\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko-unjoined/noto-sans-nko-unjoined-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nko-unjoined/noto-sans-nko-unjoined.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1040;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Nabataean\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Nabataean\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-nabataean\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosansnabataean/v16/IFS4HfVJndhE3P4b5jnZ34DfsjO330dNoBd9hK8kMK4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Nabataean\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nabataean/noto-sans-nabataean-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nabataean/noto-sans-nabataean.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1041;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Nag Mundari\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Nag Mundari\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-nag-mundari\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnagmundari/v2/3qTAoi2hnSyU8TNFIdhZTyod3g5lBnKlQFk2kS9fr9Eq09RHRxirbUSA0whP19M.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Nag Mundari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nag-mundari/noto-sans-nag-mundari-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnagmundari/v2/3qTAoi2hnSyU8TNFIdhZTyod3g5lBnKlQFk2kS9fr9Eq09RHRyqrbUSA0whP19M.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Nag Mundari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nag-mundari/noto-sans-nag-mundari-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnagmundari/v2/3qTAoi2hnSyU8TNFIdhZTyod3g5lBnKlQFk2kS9fr9Eq09RHR8asbUSA0whP19M.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Nag Mundari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nag-mundari/noto-sans-nag-mundari-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnagmundari/v2/3qTAoi2hnSyU8TNFIdhZTyod3g5lBnKlQFk2kS9fr9Eq09RHR_-sbUSA0whP19M.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Nag Mundari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nag-mundari/noto-sans-nag-mundari-700-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nag-mundari/noto-sans-nag-mundari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1042;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Nandinagari\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Nandinagari\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-nandinagari\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/notosansnandinagari/v4/or38Q7733eiDljA1IufXSNFT-1KI5y10H4jVbpRXzC1KOw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Nandinagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nandinagari/noto-sans-nandinagari-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nandinagari/noto-sans-nandinagari.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1043;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans New Tai Lue\";s:10:\"fontFamily\";s:35:\"\"Noto Sans New Tai Lue\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-new-tai-lue\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnewtailue/v22/H4cKBW-Pl9DZ0Xe_nHUapt7PovLXAhAnY7wqaLy-OJgU3p_pdeXAYUPghFPKzeY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans New Tai Lue\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-new-tai-lue/noto-sans-new-tai-lue-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnewtailue/v22/H4cKBW-Pl9DZ0Xe_nHUapt7PovLXAhAnY7wqaLy-OJgU3p_pddfAYUPghFPKzeY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans New Tai Lue\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-new-tai-lue/noto-sans-new-tai-lue-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnewtailue/v22/H4cKBW-Pl9DZ0Xe_nHUapt7PovLXAhAnY7wqaLy-OJgU3p_pdTvHYUPghFPKzeY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans New Tai Lue\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-new-tai-lue/noto-sans-new-tai-lue-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notosansnewtailue/v22/H4cKBW-Pl9DZ0Xe_nHUapt7PovLXAhAnY7wqaLy-OJgU3p_pdQLHYUPghFPKzeY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans New Tai Lue\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-new-tai-lue/noto-sans-new-tai-lue-700-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-new-tai-lue/noto-sans-new-tai-lue.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1044;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Newa\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Newa\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-newa\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/notosansnewa/v16/7r3fqXp6utEsO9pI4f8ok8sWg8n6qN4R5lNU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Newa\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-newa/noto-sans-newa-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-newa/noto-sans-newa.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1045;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Nushu\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Nushu\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-nushu\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosansnushu/v19/rnCw-xRQ3B7652emAbAe_Ai1IYaFXVAMArZKqQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Nushu\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nushu/noto-sans-nushu-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-nushu/noto-sans-nushu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1046;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Ogham\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Ogham\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-ogham\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosansogham/v17/kmKlZqk1GBDGN0mY6k5lmEmww4hrsplaQxcoCA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Ogham\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ogham/noto-sans-ogham-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ogham/noto-sans-ogham.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1047;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Ol Chiki\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Ol Chiki\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-ol-chiki\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansolchiki/v29/N0b92TJNOPt-eHmFZCdQbrL32r-4CvhzDzRwlxOQYuVALWk267c6gVrz5gQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ol Chiki\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ol-chiki/noto-sans-ol-chiki-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansolchiki/v29/N0b92TJNOPt-eHmFZCdQbrL32r-4CvhzDzRwlxOQYuVALVs267c6gVrz5gQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ol Chiki\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ol-chiki/noto-sans-ol-chiki-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansolchiki/v29/N0b92TJNOPt-eHmFZCdQbrL32r-4CvhzDzRwlxOQYuVALbcx67c6gVrz5gQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ol Chiki\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ol-chiki/noto-sans-ol-chiki-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansolchiki/v29/N0b92TJNOPt-eHmFZCdQbrL32r-4CvhzDzRwlxOQYuVALY4x67c6gVrz5gQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ol Chiki\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ol-chiki/noto-sans-ol-chiki-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ol-chiki/noto-sans-ol-chiki.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1048;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Noto Sans Old Hungarian\";s:10:\"fontFamily\";s:37:\"\"Noto Sans Old Hungarian\", sans-serif\";s:4:\"slug\";s:23:\"noto-sans-old-hungarian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansoldhungarian/v18/E213_cD6hP3GwCJPEUssHEM0KqLaHJXg2PiIgRfmbg5nCYXt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Noto Sans Old Hungarian\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-hungarian/noto-sans-old-hungarian-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-hungarian/noto-sans-old-hungarian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1049;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Old Italic\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Old Italic\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-old-italic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansolditalic/v17/TuGOUUFzXI5FBtUq5a8bh68BJxxEVam7tWlUdRhtCC4d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Old Italic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-italic/noto-sans-old-italic-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-italic/noto-sans-old-italic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1050;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:27:\"Noto Sans Old North Arabian\";s:10:\"fontFamily\";s:41:\"\"Noto Sans Old North Arabian\", sans-serif\";s:4:\"slug\";s:27:\"noto-sans-old-north-arabian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notosansoldnortharabian/v16/esDF30BdNv-KYGGJpKGk2tNiMt7Jar6olZDyNdr81zBQnEo_xw4ABw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:27:\"Noto Sans Old North Arabian\";s:7:\"preview\";s:115:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-north-arabian/noto-sans-old-north-arabian-400-normal.svg\";}}s:7:\"preview\";s:104:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-north-arabian/noto-sans-old-north-arabian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1051;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Old Permic\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Old Permic\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-old-permic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansoldpermic/v17/snf1s1q1-dF8pli1TesqcbUY4Mr-ElrwKLdSgv_dKYB5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Old Permic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-permic/noto-sans-old-permic-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-permic/noto-sans-old-permic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1052;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Old Persian\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Old Persian\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-old-persian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/notosansoldpersian/v16/wEOjEAbNnc5caQTFG18FHrZr9Bp6-8CmIJ_trelQfx9CjA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Old Persian\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-persian/noto-sans-old-persian-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-persian/noto-sans-old-persian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1053;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Old Sogdian\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Old Sogdian\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-old-sogdian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/notosansoldsogdian/v17/3JnjSCH90Gmq2mrzckOBBhFhdrMst48aURt7mOIqM-9uyg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Old Sogdian\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-sogdian/noto-sans-old-sogdian-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-sogdian/noto-sans-old-sogdian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1054;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:27:\"Noto Sans Old South Arabian\";s:10:\"fontFamily\";s:41:\"\"Noto Sans Old South Arabian\", sans-serif\";s:4:\"slug\";s:27:\"noto-sans-old-south-arabian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notosansoldsoutharabian/v16/3qT5oiOhnSyU8TNFIdhZTice3hB_HWKsEnF--0XCHiKx0etDT9HwTA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:27:\"Noto Sans Old South Arabian\";s:7:\"preview\";s:115:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-south-arabian/noto-sans-old-south-arabian-400-normal.svg\";}}s:7:\"preview\";s:104:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-south-arabian/noto-sans-old-south-arabian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1055;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Old Turkic\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Old Turkic\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-old-turkic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosansoldturkic/v18/yMJNMJVya43H0SUF_WmcGEQVqoEMKDKbsE2UjEw-Vyws.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Old Turkic\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-turkic/noto-sans-old-turkic-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-old-turkic/noto-sans-old-turkic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1056;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Oriya\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Oriya\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-oriya\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5Ivj0fq_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5Ivh0f6_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5Iviqf6_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5Ivj0f6_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5IvjGf6_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5IvgqeK_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5IvgTeK_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5Ivh0eK_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosansoriya/v31/AYCppXfzfccDCstK_hrjDyADv5e9748vhj3CJBLHIARtgD6TJQS0dJT5IvhdeK_Z6LhHBRe-.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Oriya\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-oriya/noto-sans-oriya.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1057;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Osage\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Osage\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-osage\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosansosage/v18/oPWX_kB6kP4jCuhpgEGmw4mtAVtXQ1aSxkrMCQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Osage\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-osage/noto-sans-osage-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-osage/noto-sans-osage.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1058;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Osmanya\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Osmanya\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-osmanya\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansosmanya/v18/8vIS7xs32H97qzQKnzfeWzUyUpOJmz6hR47NCV5Z.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Osmanya\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-osmanya/noto-sans-osmanya-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-osmanya/noto-sans-osmanya.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1059;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Sans Pahawh Hmong\";s:10:\"fontFamily\";s:36:\"\"Noto Sans Pahawh Hmong\", sans-serif\";s:4:\"slug\";s:22:\"noto-sans-pahawh-hmong\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanspahawhhmong/v18/bWtp7e_KfBziStx7lIzKKaMUOBEA3UPQDW7krzI_c48aMpM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Pahawh Hmong\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-pahawh-hmong/noto-sans-pahawh-hmong-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-pahawh-hmong/noto-sans-pahawh-hmong.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1060;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Palmyrene\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Palmyrene\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-palmyrene\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosanspalmyrene/v16/ZgNPjOdKPa7CHqq0h37c_ASCWvH93SFCPne5ZpdNtcA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Palmyrene\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-palmyrene/noto-sans-palmyrene-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-palmyrene/noto-sans-palmyrene.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1061;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Pau Cin Hau\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Pau Cin Hau\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-pau-cin-hau\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notosanspaucinhau/v20/x3d-cl3IZKmUqiMg_9wBLLtzl22EayN7ehIdiUWqKMxsKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Pau Cin Hau\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-pau-cin-hau/noto-sans-pau-cin-hau-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-pau-cin-hau/noto-sans-pau-cin-hau.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1062;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:18:\"Noto Sans Phags Pa\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Phags Pa\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-phags-pa\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notosansphagspa/v15/pxiZyoo6v8ZYyWh5WuPeJzMkd4SrGChkr0SsrvNXiA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Phags Pa\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1063;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Phoenician\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Phoenician\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-phoenician\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notosansphoenician/v17/jizFRF9Ksm4Bt9PvcTaEkIHiTVtxmFtS5X7Mot-p5561.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Phoenician\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-phoenician/noto-sans-phoenician-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-phoenician/noto-sans-phoenician.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1064;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Noto Sans Psalter Pahlavi\";s:10:\"fontFamily\";s:39:\"\"Noto Sans Psalter Pahlavi\", sans-serif\";s:4:\"slug\";s:25:\"noto-sans-psalter-pahlavi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanspsalterpahlavi/v17/rP2Vp3K65FkAtHfwd-eISGznYihzggmsicPfud3w1GjKsUQBct4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Noto Sans Psalter Pahlavi\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-psalter-pahlavi/noto-sans-psalter-pahlavi-400-normal.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-psalter-pahlavi/noto-sans-psalter-pahlavi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1065;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Rejang\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Rejang\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-rejang\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosansrejang/v21/Ktk2AKuMeZjqPnXgyqrib7DIogqwN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Rejang\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-rejang/noto-sans-rejang-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-rejang/noto-sans-rejang.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1066;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Runic\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Runic\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-runic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosansrunic/v17/H4c_BXWPl9DZ0Xe_nHUaus7W68WWbhpvHtgIYg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Runic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-runic/noto-sans-runic-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-runic/noto-sans-runic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1067;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noto Sans SC\";s:10:\"fontFamily\";s:26:\"\"Noto Sans SC\", sans-serif\";s:4:\"slug\";s:12:\"noto-sans-sc\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG9_EnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG1_FnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG4HFnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG9_FnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG-3FnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaGwHCnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaGzjCnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG1_CnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanssc/v37/k3kCo84MPvpLmixcA63oeAL7Iqp5IZJF9bmaG3bCnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans SC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sc/noto-sans-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1068;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Samaritan\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Samaritan\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-samaritan\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notosanssamaritan/v16/buEqppe9f8_vkXadMBJJo0tSmaYjFkxOUotjNlOVMzQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Samaritan\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-samaritan/noto-sans-samaritan-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-samaritan/noto-sans-samaritan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1069;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Sans Saurashtra\";s:10:\"fontFamily\";s:34:\"\"Noto Sans Saurashtra\", sans-serif\";s:4:\"slug\";s:20:\"noto-sans-saurashtra\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notosanssaurashtra/v23/ea8GacQ0Wfz_XKWXe6OtoA8w8zvmYwTef9nYjhPTSIx9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Sans Saurashtra\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-saurashtra/noto-sans-saurashtra-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-saurashtra/noto-sans-saurashtra.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1070;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Sharada\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Sharada\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-sharada\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanssharada/v16/gok0H7rwAEdtF9N8-mdTGALG6p0kwoXOPOwr4H8a.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sharada\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sharada/noto-sans-sharada-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sharada/noto-sans-sharada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1071;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Shavian\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Shavian\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-shavian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosansshavian/v17/CHy5V_HZE0jxJBQlqAeCKjJvQBNF4EFVSplv2Cwg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Shavian\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-shavian/noto-sans-shavian-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-shavian/noto-sans-shavian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1072;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Siddham\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Siddham\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-siddham\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanssiddham/v20/OZpZg-FwqiNLe9PELUikxTWDoCCeGqnYk3Ic92ZH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Siddham\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-siddham/noto-sans-siddham-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-siddham/noto-sans-siddham.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1073;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:21:\"Noto Sans SignWriting\";s:10:\"fontFamily\";s:35:\"\"Noto Sans SignWriting\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-signwriting\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/notosanssignwriting/v4/Noas6VX_wIWFbTTCrYmvy9A2UnkL-2SZAWiUFFCARYQemg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans SignWriting\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1074;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Sinhala\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Sinhala\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-sinhala\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwg2b5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwo2a5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwlOa5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwg2a5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwj-a5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwtOd5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwuqd5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwo2d5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notosanssinhala/v26/yMJ2MJBya43H0SUF_WmcBEEf4rQVO2P524V5N_MxQzQtb-tf5dJbC30Fu9zUwqSd5l0LpJwbQRM.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sinhala\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sinhala/noto-sans-sinhala.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1075;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Sogdian\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Sogdian\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-sogdian\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanssogdian/v16/taiQGn5iC4--qtsfi4Jp6eHPnfxQBo-7Pm6KHidM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Sogdian\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sogdian/noto-sans-sogdian-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sogdian/noto-sans-sogdian.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1076;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Sans Sora Sompeng\";s:10:\"fontFamily\";s:36:\"\"Noto Sans Sora Sompeng\", sans-serif\";s:4:\"slug\";s:22:\"noto-sans-sora-sompeng\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosanssorasompeng/v24/PlIRFkO5O6RzLfvNNVSioxM2_OTrEhPyDLolKvCsHzCxWuGkYHR818DsZXJQd4Mu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Sora Sompeng\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sora-sompeng/noto-sans-sora-sompeng-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosanssorasompeng/v24/PlIRFkO5O6RzLfvNNVSioxM2_OTrEhPyDLolKvCsHzCxWuGkYHRO18DsZXJQd4Mu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Sora Sompeng\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sora-sompeng/noto-sans-sora-sompeng-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosanssorasompeng/v24/PlIRFkO5O6RzLfvNNVSioxM2_OTrEhPyDLolKvCsHzCxWuGkYHSi0MDsZXJQd4Mu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Sora Sompeng\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sora-sompeng/noto-sans-sora-sompeng-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosanssorasompeng/v24/PlIRFkO5O6RzLfvNNVSioxM2_OTrEhPyDLolKvCsHzCxWuGkYHSb0MDsZXJQd4Mu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Sora Sompeng\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sora-sompeng/noto-sans-sora-sompeng-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sora-sompeng/noto-sans-sora-sompeng.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1077;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Soyombo\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Soyombo\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-soyombo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanssoyombo/v17/RWmSoL-Y6-8q5LTtXs6MF6q7xsxgY0FuIFOcK25W.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Soyombo\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-soyombo/noto-sans-soyombo-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-soyombo/noto-sans-soyombo.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1078;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Sundanese\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Sundanese\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-sundanese\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notosanssundanese/v26/FwZw7_84xUkosG2xJo2gm7nFwSLQkdymq2mkz3Gz1_b6ctxpNNHHizv7fQES.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Sundanese\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sundanese/noto-sans-sundanese-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notosanssundanese/v26/FwZw7_84xUkosG2xJo2gm7nFwSLQkdymq2mkz3Gz1_b6ctxbNNHHizv7fQES.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Sundanese\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sundanese/noto-sans-sundanese-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notosanssundanese/v26/FwZw7_84xUkosG2xJo2gm7nFwSLQkdymq2mkz3Gz1_b6cty3M9HHizv7fQES.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Sundanese\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sundanese/noto-sans-sundanese-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notosanssundanese/v26/FwZw7_84xUkosG2xJo2gm7nFwSLQkdymq2mkz3Gz1_b6ctyOM9HHizv7fQES.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Sundanese\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sundanese/noto-sans-sundanese-700-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-sundanese/noto-sans-sundanese.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1079;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Sans Syloti Nagri\";s:10:\"fontFamily\";s:36:\"\"Noto Sans Syloti Nagri\", sans-serif\";s:4:\"slug\";s:22:\"noto-sans-syloti-nagri\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosanssylotinagri/v23/uU9eCAQZ75uhfF9UoWDRiY3q7Sf_VFV3m4dGFVLxN87gsj0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Sans Syloti Nagri\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syloti-nagri/noto-sans-syloti-nagri-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syloti-nagri/noto-sans-syloti-nagri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1080;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Symbols\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Symbols\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-symbols\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3gfQ4gb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3g_Q8gb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3gIw8gb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3gfQ8gb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3gTw8gb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3gowggb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3gmgggb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3g_Qggb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notosanssymbols/v43/rP2up3q65FkAtHfwd-eIS2brbDN6gxP34F9jRRCe4W3g1Aggb_VFRkzrbQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Symbols\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols/noto-sans-symbols.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1081;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Sans Symbols 2\";s:10:\"fontFamily\";s:33:\"\"Noto Sans Symbols 2\", sans-serif\";s:4:\"slug\";s:19:\"noto-sans-symbols-2\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/notosanssymbols2/v24/I_uyMoGduATTei9eI8daxVHDyfisHr71ypbqfX71-AI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Sans Symbols 2\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols-2/noto-sans-symbols-2-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-symbols-2/noto-sans-symbols-2.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1082;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Syriac\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Syriac\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-syriac\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-VD9caMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-XD9MaMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-Ud9MaMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-VD9MaMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-Vx9MaMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-Wd88aMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-Wk88aMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-XD88aMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosanssyriac/v16/Ktk7AKuMeZjqPnXgyqribqzQqgW0LYiVqV7dXcP0C-Xq88aMyZfUL_FC.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Syriac\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac/noto-sans-syriac.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1083;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Noto Sans Syriac Eastern\";s:10:\"fontFamily\";s:38:\"\"Noto Sans Syriac Eastern\", sans-serif\";s:4:\"slug\";s:24:\"noto-sans-syriac-eastern\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPi-eszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPq-fszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPnGfszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPi-fszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPh2fszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPvGYszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPsiYszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPq-YszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/notosanssyriaceastern/v1/Noac6Vj_wIWFbTTCrYmvy8AjVU8aslWRHHvRYxS-Ro3yS0FDacnHPoaYszWL5ep1QPQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Sans Syriac Eastern\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern-900-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-syriac-eastern/noto-sans-syriac-eastern.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1084;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noto Sans TC\";s:10:\"fontFamily\";s:26:\"\"Noto Sans TC\", sans-serif\";s:4:\"slug\";s:12:\"noto-sans-tc\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz76Cz_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz7yCy_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz7_6y_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz76Cy_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz75Ky_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz7361_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz70e1_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz7yC1_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/notosanstc/v36/-nFuOG829Oofr2wohFbTp9ifNAn722rq0MXz7wm1_C9Otma3uNQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans TC\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tc/noto-sans-tc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1085;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Tagalog\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Tagalog\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-tagalog\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanstagalog/v22/J7aFnoNzCnFcV9ZI-sUYuvote1R0wwEFA8jHexnL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Tagalog\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tagalog/noto-sans-tagalog-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tagalog/noto-sans-tagalog.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1086;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Tagbanwa\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Tagbanwa\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-tagbanwa\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosanstagbanwa/v18/Y4GWYbB8VTEp4t3MKJSMmQdIKjRtt_nZQzQEaYpGoQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tagbanwa\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tagbanwa/noto-sans-tagbanwa-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tagbanwa/noto-sans-tagbanwa.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1087;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Tai Le\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Tai Le\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-tai-le\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/notosanstaile/v17/vEFK2-VODB8RrNDvZSUmVxEATwR58te1W77HtMo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Tai Le\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-le/noto-sans-tai-le-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-le/noto-sans-tai-le.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1088;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Tai Tham\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Tai Tham\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-tai-tham\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanstaitham/v20/kJEbBv0U4hgtwxDUw2x9q7tbjLIfbPGHBoaVSAZ3MdLJBCUbPg-uyaRGKMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tai Tham\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-tham/noto-sans-tai-tham-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanstaitham/v20/kJEbBv0U4hgtwxDUw2x9q7tbjLIfbPGHBoaVSAZ3MdLJBBcbPg-uyaRGKMw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tai Tham\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-tham/noto-sans-tai-tham-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanstaitham/v20/kJEbBv0U4hgtwxDUw2x9q7tbjLIfbPGHBoaVSAZ3MdLJBPscPg-uyaRGKMw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tai Tham\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-tham/noto-sans-tai-tham-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosanstaitham/v20/kJEbBv0U4hgtwxDUw2x9q7tbjLIfbPGHBoaVSAZ3MdLJBMIcPg-uyaRGKMw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tai Tham\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-tham/noto-sans-tai-tham-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-tham/noto-sans-tai-tham.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1089;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Tai Viet\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Tai Viet\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-tai-viet\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notosanstaiviet/v19/8QIUdj3HhN_lv4jf9vsE-9GMOLsaSPZr7o4fWsRO9w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tai Viet\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-viet/noto-sans-tai-viet-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tai-viet/noto-sans-tai-viet.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1090;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Takri\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Takri\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-takri\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notosanstakri/v24/TuGJUVpzXI5FBtUq5a8bnKIOdTwQMe_W3khJXg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Takri\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-takri/noto-sans-takri-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-takri/noto-sans-takri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1091;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Sans Tamil\";s:10:\"fontFamily\";s:29:\"\"Noto Sans Tamil\", sans-serif\";s:4:\"slug\";s:15:\"noto-sans-tamil\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7vGor0UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7tGo70UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7uYo70UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7vGo70UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7v0o70UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7sYpL0UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7shpL0UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7tGpL0UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notosanstamil/v27/ieVc2YdFI3GCY6SyQy1KfStzYKZgzN1z4LKDbeZce-0429tBManUktuex7tvpL0UqKDt_EvT.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Sans Tamil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil/noto-sans-tamil.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1092;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Noto Sans Tamil Supplement\";s:10:\"fontFamily\";s:40:\"\"Noto Sans Tamil Supplement\", sans-serif\";s:4:\"slug\";s:26:\"noto-sans-tamil-supplement\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanstamilsupplement/v21/DdTz78kEtnooLS5rXF1DaruiCd_bFp_Ph4sGcn7ax_vpAeMkeq1x.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Noto Sans Tamil Supplement\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil-supplement/noto-sans-tamil-supplement-400-normal.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tamil-supplement/noto-sans-tamil-supplement.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1093;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Tangsa\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Tangsa\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-tangsa\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notosanstangsa/v6/z7NCdQPmcigbbZAIOl9igP26K470lICpky0-peX5Qp1YkyoUYdplyJDA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Tangsa\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tangsa/noto-sans-tangsa-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notosanstangsa/v6/z7NCdQPmcigbbZAIOl9igP26K470lICpky0-peX5Qp1qkyoUYdplyJDA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Tangsa\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tangsa/noto-sans-tangsa-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notosanstangsa/v6/z7NCdQPmcigbbZAIOl9igP26K470lICpky0-peX5Qp2GlCoUYdplyJDA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Tangsa\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tangsa/noto-sans-tangsa-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notosanstangsa/v6/z7NCdQPmcigbbZAIOl9igP26K470lICpky0-peX5Qp2_lCoUYdplyJDA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Tangsa\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tangsa/noto-sans-tangsa-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tangsa/noto-sans-tangsa.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1094;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Telugu\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Telugu\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-telugu\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEntezfqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEnt-zbqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEntJTbqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEntezbqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEntSTbqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEntpTHqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEntnDHqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEnt-zHqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notosanstelugu/v26/0FlxVOGZlE2Rrtr-HmgkMWJNjJ5_RyT8o8c7fHkeg-esVC5dzHkHIJQqrEnt0jHqREbf-3v37w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Telugu\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-telugu/noto-sans-telugu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1095;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Thaana\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Thaana\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-thaana\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4XrbxLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4VrbhLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4W1bhLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4XrbhLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4XZbhLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4U1aRLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4UMaRLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4VraRLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notosansthaana/v24/C8c14dM-vnz-s-3jaEsxlxHkBH-WZOETXfoQrfQ9Y4VCaRLknu4-tbNu.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Thaana\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thaana/noto-sans-thaana.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1096;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Sans Thai\";s:10:\"fontFamily\";s:28:\"\"Noto Sans Thai\", sans-serif\";s:4:\"slug\";s:14:\"noto-sans-thai\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdU5RspzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdUxRtpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdU8ptpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdU5RtpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdU6ZtpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdU0pqpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdU3NqpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdUxRqpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notosansthai/v25/iJWnBXeUZi_OHPqn4wq6hQ2_hbJ1xyN9wd43SofNWcd1MKVQt_So_9CdUz1qpzR-QRvzzXg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Sans Thai\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai/noto-sans-thai.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1097;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Thai Looped\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Thai Looped\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-thai-looped\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50fF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3YX6AdeCT_Wfd1.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Y84E4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Yl4I4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50RF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3gPqocWiHvWQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Yz4M4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Y44Q4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Yh4U4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Ym4Y4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/notosansthailooped/v14/B50cF6pOpWTRcGrhOVJJ3-oPfY7WQuFu5R3Yv4c4VwrzUO5sKA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Thai Looped\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped-900-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-thai-looped/noto-sans-thai-looped.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1098;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Tifinagh\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Tifinagh\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-tifinagh\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosanstifinagh/v20/I_uzMoCduATTei9eI8dawkHIwvmhCvbn77nEcXfs4Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Tifinagh\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tifinagh/noto-sans-tifinagh-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tifinagh/noto-sans-tifinagh.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1099;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Sans Tirhuta\";s:10:\"fontFamily\";s:31:\"\"Noto Sans Tirhuta\", sans-serif\";s:4:\"slug\";s:17:\"noto-sans-tirhuta\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notosanstirhuta/v16/t5t6IQYRNJ6TWjahPR6X-M-apUyby7uDUBsTrn5P.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Sans Tirhuta\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tirhuta/noto-sans-tirhuta-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-tirhuta/noto-sans-tirhuta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1100;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Ugaritic\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Ugaritic\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-ugaritic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notosansugaritic/v16/3qTwoiqhnSyU8TNFIdhZVCwbjCpkAXXkNxoIkiazfg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Ugaritic\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ugaritic/noto-sans-ugaritic-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-ugaritic/noto-sans-ugaritic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1101;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Sans Vai\";s:10:\"fontFamily\";s:27:\"\"Noto Sans Vai\", sans-serif\";s:4:\"slug\";s:13:\"noto-sans-vai\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/notosansvai/v17/NaPecZTSBuhTirw6IaFn_UrURMHsDIRSfr0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Sans Vai\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vai/noto-sans-vai-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vai/noto-sans-vai.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1102;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Sans Vithkuqi\";s:10:\"fontFamily\";s:32:\"\"Noto Sans Vithkuqi\", sans-serif\";s:4:\"slug\";s:18:\"noto-sans-vithkuqi\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansvithkuqi/v1/jVyi7m77CXvQswd6WjYu9E1wN6cih2TSchUEkQgw3KTnva5SgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Vithkuqi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vithkuqi/noto-sans-vithkuqi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansvithkuqi/v1/jVyi7m77CXvQswd6WjYu9E1wN6cih2TSchUEkQgw3KTnvZxSgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Vithkuqi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vithkuqi/noto-sans-vithkuqi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansvithkuqi/v1/jVyi7m77CXvQswd6WjYu9E1wN6cih2TSchUEkQgw3KTnvXBVgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Vithkuqi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vithkuqi/noto-sans-vithkuqi-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/notosansvithkuqi/v1/jVyi7m77CXvQswd6WjYu9E1wN6cih2TSchUEkQgw3KTnvUlVgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Sans Vithkuqi\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vithkuqi/noto-sans-vithkuqi-700-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-vithkuqi/noto-sans-vithkuqi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1103;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Sans Wancho\";s:10:\"fontFamily\";s:30:\"\"Noto Sans Wancho\", sans-serif\";s:4:\"slug\";s:16:\"noto-sans-wancho\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notosanswancho/v17/zrf-0GXXyfn6Fs0lH9P4cUubP0GBqAbopiRfKp8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Sans Wancho\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-wancho/noto-sans-wancho-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-wancho/noto-sans-wancho.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1104;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Sans Warang Citi\";s:10:\"fontFamily\";s:35:\"\"Noto Sans Warang Citi\", sans-serif\";s:4:\"slug\";s:21:\"noto-sans-warang-citi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/notosanswarangciti/v17/EYqtmb9SzL1YtsZSScyKDXIeOv3w-zgsNvKRoOVCCXzdgA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Sans Warang Citi\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-warang-citi/noto-sans-warang-citi-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-warang-citi/noto-sans-warang-citi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1105;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Noto Sans Yi\";s:10:\"fontFamily\";s:26:\"\"Noto Sans Yi\", sans-serif\";s:4:\"slug\";s:12:\"noto-sans-yi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/notosansyi/v19/sJoD3LFXjsSdcnzn071rO3apwFDJNVgSNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Noto Sans Yi\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-yi/noto-sans-yi-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-yi/noto-sans-yi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1106;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Noto Sans Zanabazar Square\";s:10:\"fontFamily\";s:40:\"\"Noto Sans Zanabazar Square\", sans-serif\";s:4:\"slug\";s:26:\"noto-sans-zanabazar-square\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notosanszanabazarsquare/v19/Cn-jJsuGWQxOjaGwMQ6fOicyxLBEMRfDtkzl4uagQtJ0OCEgN0Gc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Noto Sans Zanabazar Square\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-zanabazar-square/noto-sans-zanabazar-square-400-normal.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-sans-zanabazar-square/noto-sans-zanabazar-square.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1107;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Noto Serif\";s:10:\"fontFamily\";s:19:\"\"Noto Serif\", serif\";s:4:\"slug\";s:10:\"noto-serif\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZqFGjxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZKFCjxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZ9lCjxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZqFCjxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZmlCjxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZdlejxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZT1ejxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZKFejxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserif/v23/ga6iaw1J5X9T9RW6j9bNVls-hfgvz8JcMofYTa32J4wsL2JAlAhZAVejxc0Lhq_Szw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBNLgscKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBPLg8cKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBMVg8cKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBNLg8cKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBN5g8cKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBOVhMcKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBOshMcKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBPLhMcKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserif/v23/ga6saw1J5X9T9RW6j9bNfFIMZhhWnFTyNZIQD1-_FXP0RgnaOg9MYBPihMcKpKrCzyUi.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Noto Serif\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif-900-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif/noto-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1108;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Serif Ahom\";s:10:\"fontFamily\";s:24:\"\"Noto Serif Ahom\", serif\";s:4:\"slug\";s:15:\"noto-serif-ahom\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/notoserifahom/v20/FeVIS0hfp6cprmEUffAW_fUL_AN-x-YrPFiwaw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Ahom\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ahom/noto-serif-ahom-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ahom/noto-serif-ahom.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1109;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Armenian\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Armenian\", serif\";s:4:\"slug\";s:19:\"noto-serif-armenian\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZi8Obw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZC8Kbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZ1cKbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZi8Kbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZucKbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZVcWbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZbMWbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZC8Wbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifarmenian/v27/3XFMEqMt3YoFsciDRZxptyCUKJmytZ0kVU-XvF7QaZuL85rnQ_zDNzDe5xNnKxyZIsWbw_XagGdkbg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Armenian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-armenian/noto-serif-armenian.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1110;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Balinese\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Balinese\", serif\";s:4:\"slug\";s:19:\"noto-serif-balinese\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notoserifbalinese/v20/QdVKSS0-JginysQSRvuCmUMB_wVeQAxXRb0JdhapcUU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Balinese\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-balinese/noto-serif-balinese-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-balinese/noto-serif-balinese.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1111;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Bengali\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Bengali\", serif\";s:4:\"slug\";s:18:\"noto-serif-bengali\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfcAH3qi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfeAHnqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfdeHnqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfcAHnqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfcyHnqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JffeGXqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JffnGXqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfeAGXqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifbengali/v19/hYkuPvggTvnzO14VSXltirUdnnkt1pwmWrprmO7RjE0a5BtdATYU1crFaM_5JfepGXqi4LjQH8yD.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Bengali\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-bengali/noto-serif-bengali.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1112;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Serif Devanagari\";s:10:\"fontFamily\";s:30:\"\"Noto Serif Devanagari\", serif\";s:4:\"slug\";s:21:\"noto-serif-devanagari\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTA-og-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTC-ow-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTBgow-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTA-ow-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTAMow-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTDgpA-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTDZpA-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTC-pA-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:138:\"https://fonts.gstatic.com/s/notoserifdevanagari/v30/x3dYcl3IZKmUqiMk48ZHXJ5jwU-DZGRSaQ4Hh2dGyFzPLcQPVbnRNeFsw0xRWb6uxTCXpA-CMUe1u_dv.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Devanagari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari-900-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-devanagari/noto-serif-devanagari.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1113;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Display\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Display\", serif\";s:4:\"slug\";s:18:\"noto-serif-display\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVpd49gPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVrd4tgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVoD4tgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVpd4tgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVpv4tgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVqD5dgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVq65dgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVrd5dgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buERppa9f8_vkXaZLAgP0G5Wi6QmA1QaeYah2sovLCDq_ZgLyt3idQfktOG-PVr05dgPaDU9hvzC.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VoTBIYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VobBJYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VoW5JYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VoTBJYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VoQJJYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-Voe5OYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VoddOYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VobBOYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifdisplay/v24/buEPppa9f8_vkXaZLAgP0G5Wi6QmA1QwcLRCOrN8uo7t6FBJOJTQit-N33sQOk-VoZlOYjQfg-zCmf4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:18:\"Noto Serif Display\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display-900-italic.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-display/noto-serif-display.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1114;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Serif Dogra\";s:10:\"fontFamily\";s:25:\"\"Noto Serif Dogra\", serif\";s:4:\"slug\";s:16:\"noto-serif-dogra\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/notoserifdogra/v23/MQpP-XquKMC7ROPP3QOOlm7xPu3fGyu3IbPzkns.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Dogra\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-dogra/noto-serif-dogra-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-dogra/noto-serif-dogra.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1115;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Ethiopic\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Ethiopic\", serif\";s:4:\"slug\";s:19:\"noto-serif-ethiopic\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCzSQjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCTSUjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCkyUjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCzSUjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxC_yUjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCEyIjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCKiIjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCTSIjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifethiopic/v30/V8mjoR7-XjwJ8_Au3Ti5tXj5Rd83frpWLK4d-taxqWw2HMWjDxBAg5S_0QsrggxCZCIjlKO9UVLyiw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Ethiopic\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ethiopic/noto-serif-ethiopic.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1116;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Georgian\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Georgian\", serif\";s:4:\"slug\";s:19:\"noto-serif-georgian\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSTvsfcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSzvofcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSEPofcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSTvofcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSfPofcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSkP0fcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSqf0fcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aSzv0fcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:134:\"https://fonts.gstatic.com/s/notoserifgeorgian/v26/VEMXRpd8s4nv8hG_qOzL7HOAw4nt0Sl_XxyaEduNMvi7T6Y4etRnmGhyLop-R3aS5_0fcjTw-FgZxQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Georgian\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-georgian/noto-serif-georgian.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1117;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Grantha\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Grantha\", serif\";s:4:\"slug\";s:18:\"noto-serif-grantha\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notoserifgrantha/v21/qkBIXuEH5NzDDvc3fLDYxPk9-Wq3WLiqEUNLR7fHGw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Grantha\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-grantha/noto-serif-grantha-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-grantha/noto-serif-grantha.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1118;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Gujarati\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Gujarati\", serif\";s:4:\"slug\";s:19:\"noto-serif-gujarati\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2HuYycYzrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2HuaycIzrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2HuZscIzrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2HuYycIzrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2HuYAcIzrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2Hubsd4zrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2HubVd4zrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2Huayd4zrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgujarati/v27/hESa6WBlOixO-3OJ1FTmTsmqlBRUJBVkcgNLpdsspzP2Huabd4zrM1Kf-OJu.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gujarati\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gujarati/noto-serif-gujarati.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1119;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Gurmukhi\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Gurmukhi\", serif\";s:4:\"slug\";s:19:\"noto-serif-gurmukhi\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr6-eBTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr4-eRTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr7geRTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr6-eRTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr6MeRTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr5gfhTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr5ZfhTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr4-fhTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/notoserifgurmukhi/v20/92z-tA9LNqsg7tCYlXdCV1VPnAEeDU0vLoYMbylXk0xTCr4XfhTImqVU7y6l.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Gurmukhi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-gurmukhi/noto-serif-gurmukhi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1120;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Serif HK\";s:10:\"fontFamily\";s:22:\"\"Noto Serif HK\", serif\";s:4:\"slug\";s:13:\"noto-serif-hk\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMf-K2RjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMcgK2RjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMd-K2RjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMdMK2RjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMegLGRjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMeZLGRjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMf-LGRjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifhk/v9/BngdUXBETWXI6LwlBZGcqL-B_KuJFcgfwP_9RMfXLGRjV9Su1M6i.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif HK\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hk/noto-serif-hk.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1121;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Serif Hebrew\";s:10:\"fontFamily\";s:26:\"\"Noto Serif Hebrew\", serif\";s:4:\"slug\";s:17:\"noto-serif-hebrew\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVAwTAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVIwSAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVFISAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVAwSAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVD4SAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVNIVAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVOsVAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVIwVAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoserifhebrew/v28/k3k0o9MMPvpLmixYH7euCwmkS9DohjX1-kRyiqyBqIxnoLbp93i9IKrXKF_qVKUVAGo_vlQxz24.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Hebrew\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-hebrew/noto-serif-hebrew.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1122;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Serif JP\";s:10:\"fontFamily\";s:22:\"\"Noto Serif JP\", serif\";s:4:\"slug\";s:13:\"noto-serif-jp\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2byxOubFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2bxvOubFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2bwxOubFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2bwDOubFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2bzvPebFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2bzWPebFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2byxPebFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifjp/v30/xn71YHs72GKoTvER4Gn3b5eMRtWGkp6o7MjQ2byYPebFILO5wBCU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif JP\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-jp/noto-serif-jp.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1123;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Serif KR\";s:10:\"fontFamily\";s:22:\"\"Noto Serif KR\", serif\";s:4:\"slug\";s:13:\"noto-serif-kr\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOnchmeM5z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOnci4eM5z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOncjmeM5z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOncjUeM5z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOncg4f85z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOncgBf85z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOnchmf85z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifkr/v28/3JnoSDn90Gmq2mr3blnHaTZXbOtLJDvui3JOnchPf85z4ZvTePRu.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif KR\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kr/noto-serif-kr.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1124;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Kannada\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Kannada\", serif\";s:4:\"slug\";s:18:\"noto-serif-kannada\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgcYCceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgUYDceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgZgDceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgcYDceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgfQDceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgRgEceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgSEEceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgUYEceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifkannada/v27/v6-8GZHLJFKIhClqUYqXDiWqpxQxWSPoW6bz-l4hGHiNgW8EceFJ71svgcI.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Kannada\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-kannada/noto-serif-kannada.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1125;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:30:\"Noto Serif Khitan Small Script\";s:10:\"fontFamily\";s:39:\"\"Noto Serif Khitan Small Script\", serif\";s:4:\"slug\";s:30:\"noto-serif-khitan-small-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoserifkhitansmallscript/v4/jizzRFVKsm4Bt9PrbSzC4KLlQUF5lRJg5j-l5PvyhfTdd4TsYslb39iddA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:30:\"Noto Serif Khitan Small Script\";s:7:\"preview\";s:121:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khitan-small-script/noto-serif-khitan-small-script-400-normal.svg\";}}s:7:\"preview\";s:110:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khitan-small-script/noto-serif-khitan-small-script.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1126;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Serif Khmer\";s:10:\"fontFamily\";s:25:\"\"Noto Serif Khmer\", serif\";s:4:\"slug\";s:16:\"noto-serif-khmer\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdN6B4wWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdNaB8wWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdNth8wWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdN6B8wWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdN2h8wWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdNNhgwWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdNDxgwWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdNaBgwWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoserifkhmer/v25/-F6UfidqLzI2JPCkXAO2hmogq0146FxtbwKEr951z5s6lI40sDRH_AVhUKdNQRgwWUZK9Xo4xg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Khmer\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer-900-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khmer/noto-serif-khmer.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1127;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Serif Khojki\";s:10:\"fontFamily\";s:26:\"\"Noto Serif Khojki\", serif\";s:4:\"slug\";s:17:\"noto-serif-khojki\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifkhojki/v11/I_uHMoOduATTei9aP90ctmPGxP2rBKTM4mcQ5M3z9QMY0ghvzJ0Qtc5HAQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Khojki\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khojki/noto-serif-khojki-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifkhojki/v11/I_uHMoOduATTei9aP90ctmPGxP2rBKTM4mcQ5M3z9QMY4AhvzJ0Qtc5HAQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Khojki\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khojki/noto-serif-khojki-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifkhojki/v11/I_uHMoOduATTei9aP90ctmPGxP2rBKTM4mcQ5M3z9QMYDA9vzJ0Qtc5HAQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Khojki\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khojki/noto-serif-khojki-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifkhojki/v11/I_uHMoOduATTei9aP90ctmPGxP2rBKTM4mcQ5M3z9QMYNQ9vzJ0Qtc5HAQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Khojki\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khojki/noto-serif-khojki-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-khojki/noto-serif-khojki.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1128;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Noto Serif Lao\";s:10:\"fontFamily\";s:23:\"\"Noto Serif Lao\", serif\";s:4:\"slug\";s:14:\"noto-serif-lao\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VeMLrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VWMKrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8Vb0KrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VeMKrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VdEKrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VT0NrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VQQNrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VWMNrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:122:\"https://fonts.gstatic.com/s/notoseriflao/v24/3y9C6bYwcCjmsU8JEzCMxEwQfEBLk3f0rlSqCdaM_LlSNZ59oNw0BWH8VUoNrvajlmyhHHQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Noto Serif Lao\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-lao/noto-serif-lao.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1129;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Makasar\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Makasar\", serif\";s:4:\"slug\";s:18:\"noto-serif-makasar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/notoserifmakasar/v1/memjYbqtyH-NiZpFH_9zcvB_PqkfY9S7ioHTVSmevw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Makasar\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-makasar/noto-serif-makasar-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-makasar/noto-serif-makasar.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1130;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Noto Serif Malayalam\";s:10:\"fontFamily\";s:29:\"\"Noto Serif Malayalam\", serif\";s:4:\"slug\";s:20:\"noto-serif-malayalam\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1t-1fmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1N-xfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL16exfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1t-xfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1hexfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1aetfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1UOtfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1N-tfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:119:\"https://fonts.gstatic.com/s/notoserifmalayalam/v28/JIAZUU5sdmdP_HMcVcZFcH7DeVBeGVgSMEk2cmVDq1ihUXL1HutfmFwHpQVySg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Noto Serif Malayalam\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam-900-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-malayalam/noto-serif-malayalam.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1131;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:18:\"Noto Serif Myanmar\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Myanmar\", serif\";s:4:\"slug\";s:18:\"noto-serif-myanmar\";s:8:\"fontFace\";a:9:{i:0;a:4:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJudM7F2Yv76aBKKs-bHMQfAHUw3jnNwBDpU9X6RPzQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:1;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNbDHMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:2;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNCDLMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:3;a:4:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJsdM7F2Yv76aBKKs-bHMQfAHUw3jn1oRrocdDqRA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:4;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNUDPMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:5;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNfDTMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:6;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNGDXMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:7;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNBDbMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}i:8;a:4:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/notoserifmyanmar/v13/VuJvdM7F2Yv76aBKKs-bHMQfAHUw3jnNIDfMfPv2TeXJng.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Myanmar\";}}}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1132;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif NP Hmong\";s:10:\"fontFamily\";s:28:\"\"Noto Serif NP Hmong\", serif\";s:4:\"slug\";s:19:\"noto-serif-np-hmong\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifnphmong/v1/pONN1gItFMO79E4L1GPUi-2sixKHZyFj9Jy6_KhXPwzdvbjPhFLs3u0rVO-d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif NP Hmong\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-np-hmong/noto-serif-np-hmong-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifnphmong/v1/pONN1gItFMO79E4L1GPUi-2sixKHZyFj9Jy6_KhXPwzdvbj9hFLs3u0rVO-d.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif NP Hmong\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-np-hmong/noto-serif-np-hmong-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifnphmong/v1/pONN1gItFMO79E4L1GPUi-2sixKHZyFj9Jy6_KhXPwzdvbgRg1Ls3u0rVO-d.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif NP Hmong\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-np-hmong/noto-serif-np-hmong-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoserifnphmong/v1/pONN1gItFMO79E4L1GPUi-2sixKHZyFj9Jy6_KhXPwzdvbgog1Ls3u0rVO-d.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif NP Hmong\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-np-hmong/noto-serif-np-hmong-700-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-np-hmong/noto-serif-np-hmong.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1133;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Noto Serif Old Uyghur\";s:10:\"fontFamily\";s:30:\"\"Noto Serif Old Uyghur\", serif\";s:4:\"slug\";s:21:\"noto-serif-old-uyghur\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifolduyghur/v4/v6-KGZbLJFKIhClqUYqXDiGnrVoFRCW6JdwnL-meF2yVgA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Noto Serif Old Uyghur\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-old-uyghur/noto-serif-old-uyghur-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-old-uyghur/noto-serif-old-uyghur.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1134;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Serif Oriya\";s:10:\"fontFamily\";s:25:\"\"Noto Serif Oriya\", serif\";s:4:\"slug\";s:16:\"noto-serif-oriya\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notoseriforiya/v4/MjQQmj56u-r69izk_LDqWN7w0cYByutv9qeWYrvLaxrc_Hy7v039MF1j.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Oriya\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-oriya/noto-serif-oriya-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notoseriforiya/v4/MjQQmj56u-r69izk_LDqWN7w0cYByutv9qeWYrvLaxru_Hy7v039MF1j.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Oriya\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-oriya/noto-serif-oriya-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notoseriforiya/v4/MjQQmj56u-r69izk_LDqWN7w0cYByutv9qeWYrvLaxoC-3y7v039MF1j.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Oriya\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-oriya/noto-serif-oriya-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/notoseriforiya/v4/MjQQmj56u-r69izk_LDqWN7w0cYByutv9qeWYrvLaxo7-3y7v039MF1j.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Oriya\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-oriya/noto-serif-oriya-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-oriya/noto-serif-oriya.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1135;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Noto Serif Ottoman Siyaq\";s:10:\"fontFamily\";s:33:\"\"Noto Serif Ottoman Siyaq\", serif\";s:4:\"slug\";s:24:\"noto-serif-ottoman-siyaq\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/notoserifottomansiyaq/v2/fC1yPZ9IYnzRhTrrc4s8cSvYI0eozzaFOQ01qoHLI7gA00kAdA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Noto Serif Ottoman Siyaq\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ottoman-siyaq/noto-serif-ottoman-siyaq-400-normal.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-ottoman-siyaq/noto-serif-ottoman-siyaq.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1136;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Serif SC\";s:10:\"fontFamily\";s:22:\"\"Noto Serif SC\", serif\";s:4:\"slug\";s:13:\"noto-serif-sc\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7QCqyWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7TcqyWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7SCqyWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7SwqyWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7RcrCWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7RlrCWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7QCrCWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoserifsc/v31/H4cyBXePl9DZ0Xe7gG9cyOj7uK2-n-D2rd4FY7QrrCWq847hdDWC.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif SC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sc/noto-serif-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1137;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Sinhala\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Sinhala\", serif\";s:4:\"slug\";s:18:\"noto-serif-sinhala\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pGxRlMpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pExR1MpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pHvR1MpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pGxR1MpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pGDR1MpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pFvQFMpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pFWQFMpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pExQFMpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/notoserifsinhala/v26/DtVEJwinQqclnZE2CnsPug9lgGC3y2F2nehQ7Eg4EdBKWxPiDxMivFLgRXs_-pEYQFMpxaLRn3W-.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Sinhala\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-sinhala/noto-serif-sinhala.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1138;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Noto Serif TC\";s:10:\"fontFamily\";s:22:\"\"Noto Serif TC\", serif\";s:4:\"slug\";s:13:\"noto-serif-tc\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX_aMOpGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX8EMOpGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX9aMOpGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX9oMOpGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX-EN-pGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX-9N-pGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX_aN-pGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/notoseriftc/v32/XLYzIZb5bJNDGYxLBibeHZ0BnHwmuanx8cUaGX_zN-pGOWYMr2OM.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Noto Serif TC\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tc/noto-serif-tc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1139;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Noto Serif Tamil\";s:10:\"fontFamily\";s:25:\"\"Noto Serif Tamil\", serif\";s:4:\"slug\";s:16:\"noto-serif-tamil\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecattN6R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecatNN-R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecat6t-R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecattN-R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecatht-R9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecatatiR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecatU9iR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecatNNiR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjndHr-klIgTfc40komjQ5OObazYp-6H94dBF-RX6nNRJfi-Gf55IgAecatHdiR9fz3v8Etew.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJx5svb2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJz5s_b2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJwns_b2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJx5s_b2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJxLs_b2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJyntPb2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJyetPb2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJz5tPb2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/notoseriftamil/v28/LYjldHr-klIgTfc40komjQ5OObazSJaI_D5kV8k_WLwFBmWrypghjeOa18G4fJzQtPb2ncQ9e3wx.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Noto Serif Tamil\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil-900-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tamil/noto-serif-tamil.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1140;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Serif Tangut\";s:10:\"fontFamily\";s:26:\"\"Noto Serif Tangut\", serif\";s:4:\"slug\";s:17:\"noto-serif-tangut\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/notoseriftangut/v16/xn76YGc72GKoTvER4Gn3b4m9Ern7Em4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Tangut\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tangut/noto-serif-tangut-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tangut/noto-serif-tangut.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1141;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Serif Telugu\";s:10:\"fontFamily\";s:26:\"\"Noto Serif Telugu\", serif\";s:4:\"slug\";s:17:\"noto-serif-telugu\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9D9TGwvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DdTCwvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DqzCwvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9D9TCwvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DxzCwvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DKzewvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DEjewvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DdTewvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoseriftelugu/v26/tDbl2pCbnkEKmXNVmt2M1q6f4HWbbj6MRbYEeav7Fe9DXDewvI2fjgrZYA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Telugu\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu-900-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-telugu/noto-serif-telugu.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1142;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Serif Thai\";s:10:\"fontFamily\";s:24:\"\"Noto Serif Thai\", serif\";s:4:\"slug\";s:15:\"noto-serif-thai\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0oiFuRUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0qiF-RUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0p8F-RUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0oiF-RUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0oQF-RUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0r8EORUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0rFEORUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0qiEORUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/notoserifthai/v24/k3kyo80MPvpLmixYH7euCxWpSMu3-gcWGj0hHAKGvUQlUv_bCKDUSzB5L0qLEORUCmsdu0Qx.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Thai\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-thai/noto-serif-thai.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1143;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Noto Serif Tibetan\";s:10:\"fontFamily\";s:27:\"\"Noto Serif Tibetan\", serif\";s:4:\"slug\";s:18:\"noto-serif-tibetan\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIrYdPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIjYcPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIugcPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIrYcPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIoQcPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmImgbPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIlEbPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIjYbPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/notoseriftibetan/v22/gokGH7nwAEdtF9N45n0Vaz7O-pk0wsvxHeDXMfqguoCmIh8bPSvrdSy_32c.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Noto Serif Tibetan\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan-900-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-tibetan/noto-serif-tibetan.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1144;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Noto Serif Toto\";s:10:\"fontFamily\";s:24:\"\"Noto Serif Toto\", serif\";s:4:\"slug\";s:15:\"noto-serif-toto\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/notoseriftoto/v5/Ktk6ALSMeZjqPnXk1rCkHYHNtwvtHItpjRP74dHhCy3Il-Oj55vdNug.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Toto\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-toto/noto-serif-toto-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/notoseriftoto/v5/Ktk6ALSMeZjqPnXk1rCkHYHNtwvtHItpjRP74dHhCx_Il-Oj55vdNug.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Toto\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-toto/noto-serif-toto-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/notoseriftoto/v5/Ktk6ALSMeZjqPnXk1rCkHYHNtwvtHItpjRP74dHhC_PPl-Oj55vdNug.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Toto\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-toto/noto-serif-toto-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/notoseriftoto/v5/Ktk6ALSMeZjqPnXk1rCkHYHNtwvtHItpjRP74dHhC8rPl-Oj55vdNug.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Noto Serif Toto\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-toto/noto-serif-toto-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-toto/noto-serif-toto.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1145;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Noto Serif Vithkuqi\";s:10:\"fontFamily\";s:28:\"\"Noto Serif Vithkuqi\", serif\";s:4:\"slug\";s:19:\"noto-serif-vithkuqi\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notoserifvithkuqi/v1/YA94r1OY7FjTf5szakutkndpw9HH-4a4z9pklvg1IQSNcRWMdW2Hqy9A4teH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Vithkuqi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-vithkuqi/noto-serif-vithkuqi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notoserifvithkuqi/v1/YA94r1OY7FjTf5szakutkndpw9HH-4a4z9pklvg1IQSNcRW-dW2Hqy9A4teH.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Vithkuqi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-vithkuqi/noto-serif-vithkuqi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notoserifvithkuqi/v1/YA94r1OY7FjTf5szakutkndpw9HH-4a4z9pklvg1IQSNcRVScm2Hqy9A4teH.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Vithkuqi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-vithkuqi/noto-serif-vithkuqi-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/notoserifvithkuqi/v1/YA94r1OY7FjTf5szakutkndpw9HH-4a4z9pklvg1IQSNcRVrcm2Hqy9A4teH.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Noto Serif Vithkuqi\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-vithkuqi/noto-serif-vithkuqi-700-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-vithkuqi/noto-serif-vithkuqi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1146;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Noto Serif Yezidi\";s:10:\"fontFamily\";s:26:\"\"Noto Serif Yezidi\", serif\";s:4:\"slug\";s:17:\"noto-serif-yezidi\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifyezidi/v21/XLYPIYr5bJNDGYxLBibeHZAn3B5KJENnQjbfhMSVZspD2yEkq1GJgmVCqg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Yezidi\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-yezidi/noto-serif-yezidi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifyezidi/v21/XLYPIYr5bJNDGYxLBibeHZAn3B5KJENnQjbfhMSVZspD6SEkq1GJgmVCqg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Yezidi\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-yezidi/noto-serif-yezidi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifyezidi/v21/XLYPIYr5bJNDGYxLBibeHZAn3B5KJENnQjbfhMSVZspDBSYkq1GJgmVCqg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Yezidi\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-yezidi/noto-serif-yezidi-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/notoserifyezidi/v21/XLYPIYr5bJNDGYxLBibeHZAn3B5KJENnQjbfhMSVZspDPCYkq1GJgmVCqg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Noto Serif Yezidi\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-yezidi/noto-serif-yezidi-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-serif-yezidi/noto-serif-yezidi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1147;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Noto Traditional Nushu\";s:10:\"fontFamily\";s:36:\"\"Noto Traditional Nushu\", sans-serif\";s:4:\"slug\";s:22:\"noto-traditional-nushu\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/nototraditionalnushu/v17/SZcV3EDkJ7q9FaoMPlmF4Su8hlIjoGh5aj67PUZX6ADm6oa8IXvy1tnKa7QoqirI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Traditional Nushu\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-traditional-nushu/noto-traditional-nushu-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/nototraditionalnushu/v17/SZcV3EDkJ7q9FaoMPlmF4Su8hlIjoGh5aj67PUZX6ADm6oa8IXus1tnKa7QoqirI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Traditional Nushu\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-traditional-nushu/noto-traditional-nushu-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/nototraditionalnushu/v17/SZcV3EDkJ7q9FaoMPlmF4Su8hlIjoGh5aj67PUZX6ADm6oa8IXue1tnKa7QoqirI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Traditional Nushu\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-traditional-nushu/noto-traditional-nushu-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/nototraditionalnushu/v17/SZcV3EDkJ7q9FaoMPlmF4Su8hlIjoGh5aj67PUZX6ADm6oa8IXty0dnKa7QoqirI.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Traditional Nushu\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-traditional-nushu/noto-traditional-nushu-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/nototraditionalnushu/v17/SZcV3EDkJ7q9FaoMPlmF4Su8hlIjoGh5aj67PUZX6ADm6oa8IXtL0dnKa7QoqirI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Noto Traditional Nushu\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-traditional-nushu/noto-traditional-nushu-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-traditional-nushu/noto-traditional-nushu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1148;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:30:\"Noto Znamenny Musical Notation\";s:10:\"fontFamily\";s:44:\"\"Noto Znamenny Musical Notation\", sans-serif\";s:4:\"slug\";s:30:\"noto-znamenny-musical-notation\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:123:\"https://fonts.gstatic.com/s/notoznamennymusicalnotation/v3/CSRW4ylQnPyaDwAMK1U_AolTaJ4Lz41GcgaIZV9YO2rO88jvs5qqdoWa7g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:30:\"Noto Znamenny Musical Notation\";s:7:\"preview\";s:121:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-znamenny-musical-notation/noto-znamenny-musical-notation-400-normal.svg\";}}s:7:\"preview\";s:110:\"https://s.w.org/images/fonts/wp-6.7/previews/noto-znamenny-musical-notation/noto-znamenny-musical-notation.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1149;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Nova Cut\";s:10:\"fontFamily\";s:21:\"\"Nova Cut\", system-ui\";s:4:\"slug\";s:8:\"nova-cut\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/novacut/v24/KFOkCnSYu8mL-39LkWxKKTM1K9nz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Nova Cut\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-cut/nova-cut-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-cut/nova-cut.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1150;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nova Flat\";s:10:\"fontFamily\";s:22:\"\"Nova Flat\", system-ui\";s:4:\"slug\";s:9:\"nova-flat\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/novaflat/v24/QdVUSTc-JgqpytEbVebEvCtkm20oJA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nova Flat\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-flat/nova-flat-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-flat/nova-flat.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1151;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nova Mono\";s:10:\"fontFamily\";s:22:\"\"Nova Mono\", monospace\";s:4:\"slug\";s:9:\"nova-mono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/novamono/v20/Cn-0JtiGWQ5Ajb--MRKfZWxYrdM9Sg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nova Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-mono/nova-mono-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-mono/nova-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1152;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nova Oval\";s:10:\"fontFamily\";s:22:\"\"Nova Oval\", system-ui\";s:4:\"slug\";s:9:\"nova-oval\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/novaoval/v24/jAnEgHdmANHvPenMaswCNI-h3cWkWg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nova Oval\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-oval/nova-oval-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-oval/nova-oval.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1153;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Nova Round\";s:10:\"fontFamily\";s:23:\"\"Nova Round\", system-ui\";s:4:\"slug\";s:10:\"nova-round\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/novaround/v21/flU9Rqquw5UhEnlwTJYTYYLeeetYEBc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Nova Round\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-round/nova-round-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-round/nova-round.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1154;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Nova Script\";s:10:\"fontFamily\";s:24:\"\"Nova Script\", system-ui\";s:4:\"slug\";s:11:\"nova-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/novascript/v25/7Au7p_IpkSWSTWaFWkumvmQIEl0O0kEx.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nova Script\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-script/nova-script-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-script/nova-script.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1155;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nova Slim\";s:10:\"fontFamily\";s:22:\"\"Nova Slim\", system-ui\";s:4:\"slug\";s:9:\"nova-slim\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/novaslim/v24/Z9XUDmZNQAuem8jyZcn-zcOInrib9Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nova Slim\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-slim/nova-slim-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-slim/nova-slim.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1156;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Nova Square\";s:10:\"fontFamily\";s:24:\"\"Nova Square\", system-ui\";s:4:\"slug\";s:11:\"nova-square\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/novasquare/v24/RrQUbo9-9DV7b06QHgSWsZhFRYMgGtWA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nova Square\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-square/nova-square-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/nova-square/nova-square.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1157;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Numans\";s:10:\"fontFamily\";s:18:\"Numans, sans-serif\";s:4:\"slug\";s:6:\"numans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/numans/v15/SlGRmQmGupYAfH8IZBggiHVqaQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Numans\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/numans/numans-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/numans/numans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1158;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Nunito\";s:10:\"fontFamily\";s:18:\"Nunito, sans-serif\";s:4:\"slug\";s:6:\"nunito\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDDshRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDOUhRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDLshRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDIkhRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDGUmRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDFwmRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDDsmRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/nunito/v26/XRXI3I6Li01BKofiOc5wtlZ2di8HDBImRTY9jo7eTWk.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNiLXA3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNi83A3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNirXA3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNin3A3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNic3c3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNiSnc3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNiLXc3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/nunito/v26/XRXK3I6Li01BKofIMPyPbj8d7IEAGXNiBHc3j6zbXWnoeg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Nunito\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito/nunito.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1159;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Nunito Sans\";s:10:\"fontFamily\";s:25:\"\"Nunito Sans\", sans-serif\";s:4:\"slug\";s:11:\"nunito-sans\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4GVilnsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4GiClnsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4G1ilnsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4G5ClnsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4GCC5nsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4GMS5nsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4GVi5nsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:151:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1mMImSLYBIv1o4X1M8ce2xCx3yop4tQpF_MeTm0lfGWVpNn64CL7U8upHZIbMV51Q42ptCp5F5bxqqtQ1yiU4Gfy5nsV8kA_Ykqw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmoP91UlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmrR91UlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmqP91UlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmq991UlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmpR8FUlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmpo8FUlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmoP8FUlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/nunitosans/v15/pe1kMImSLYBIv1o4X1M8cce4OdVisMz5nZRqy6cmmmU3t2FQWEAEOvV9wNvrwlNstMKW3Y6K5WMwXeVy3GboJ0kTHmom8FUlIfM0qxVd.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Nunito Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/nunito-sans/nunito-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1160;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Nuosu SIL\";s:10:\"fontFamily\";s:23:\"\"Nuosu SIL\", sans-serif\";s:4:\"slug\";s:9:\"nuosu-sil\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/nuosusil/v10/8vIK7wM3wmRn_kc4uAjeEWxbO_zo-w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Nuosu SIL\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/nuosu-sil/nuosu-sil-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/nuosu-sil/nuosu-sil.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1161;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Odibee Sans\";s:10:\"fontFamily\";s:24:\"\"Odibee Sans\", system-ui\";s:4:\"slug\";s:11:\"odibee-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/odibeesans/v18/neIPzCSooYAho6WvjeToRYk3epH9qGsf.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Odibee Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/odibee-sans/odibee-sans-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/odibee-sans/odibee-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1162;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Odor Mean Chey\";s:10:\"fontFamily\";s:23:\"\"Odor Mean Chey\", serif\";s:4:\"slug\";s:14:\"odor-mean-chey\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/odormeanchey/v27/raxkHiKDttkTe1aOGcJMR1A_4mrd2zqUKafv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Odor Mean Chey\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/odor-mean-chey/odor-mean-chey-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/odor-mean-chey/odor-mean-chey.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1163;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Offside\";s:10:\"fontFamily\";s:18:\"Offside, system-ui\";s:4:\"slug\";s:7:\"offside\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/offside/v24/HI_KiYMWKa9QrAykQ5TiRp-dhpQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Offside\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/offside/offside-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/offside/offside.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1164;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:2:\"Oi\";s:10:\"fontFamily\";s:13:\"Oi, system-ui\";s:4:\"slug\";s:2:\"oi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:61:\"https://fonts.gstatic.com/s/oi/v19/w8gXH2EuRqtfut6yjBOG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:2:\"Oi\";s:7:\"preview\";s:65:\"https://s.w.org/images/fonts/wp-6.7/previews/oi/oi-400-normal.svg\";}}s:7:\"preview\";s:54:\"https://s.w.org/images/fonts/wp-6.7/previews/oi/oi.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1165;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Ojuju\";s:10:\"fontFamily\";s:17:\"Ojuju, sans-serif\";s:4:\"slug\";s:5:\"ojuju\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_ypk54mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_FJk54mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_Spk54mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_eJk54mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_lJ454mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_rZ454mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ojuju/v3/7r3bqXF7v9ApbrMih3jYQBVm9-n_yp454mFRLYeruQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ojuju\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju-800-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/ojuju/ojuju.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1166;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Old Standard TT\";s:10:\"fontFamily\";s:24:\"\"Old Standard TT\", serif\";s:4:\"slug\";s:15:\"old-standard-tt\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oldstandardtt/v20/MwQubh3o1vLImiwAVvYawgcf2eVuqFC5RHdCZg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Old Standard TT\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/old-standard-tt/old-standard-tt-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/oldstandardtt/v20/MwQsbh3o1vLImiwAVvYawgcf2eVer1q4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Old Standard TT\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/old-standard-tt/old-standard-tt-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/oldstandardtt/v20/MwQrbh3o1vLImiwAVvYawgcf2eVWEX-dSVxeb80flQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Old Standard TT\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/old-standard-tt/old-standard-tt-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/old-standard-tt/old-standard-tt.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1167;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Oldenburg\";s:10:\"fontFamily\";s:20:\"Oldenburg, system-ui\";s:4:\"slug\";s:9:\"oldenburg\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/oldenburg/v22/fC1jPY5JYWzbywv7c4V6VE6oXyndrw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Oldenburg\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/oldenburg/oldenburg-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/oldenburg/oldenburg.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1168;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Ole\";s:10:\"fontFamily\";s:12:\"Ole, cursive\";s:4:\"slug\";s:3:\"ole\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:63:\"https://fonts.gstatic.com/s/ole/v3/dFazZf6Z-rd88Pw69qJ_ew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Ole\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/ole/ole-400-normal.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/ole/ole.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1169;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Oleo Script\";s:10:\"fontFamily\";s:24:\"\"Oleo Script\", system-ui\";s:4:\"slug\";s:11:\"oleo-script\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/oleoscript/v14/rax5HieDvtMOe0iICsUccBhfsU7Q8Cad.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Oleo Script\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/oleo-script/oleo-script-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/oleoscript/v14/raxkHieDvtMOe0iICsUccCDmnmrd2zqUKafv.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Oleo Script\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/oleo-script/oleo-script-700-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/oleo-script/oleo-script.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1170;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Oleo Script Swash Caps\";s:10:\"fontFamily\";s:35:\"\"Oleo Script Swash Caps\", system-ui\";s:4:\"slug\";s:22:\"oleo-script-swash-caps\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/oleoscriptswashcaps/v13/Noaj6Vb-w5SFbTTAsZP_7JkCS08K-jCzDn_HMX-uSY0Hg90.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Oleo Script Swash Caps\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/oleo-script-swash-caps/oleo-script-swash-caps-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/oleoscriptswashcaps/v13/Noag6Vb-w5SFbTTAsZP_7JkCS08K-jCzDn_HCcaBbYAsn9T5dt0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Oleo Script Swash Caps\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/oleo-script-swash-caps/oleo-script-swash-caps-700-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/oleo-script-swash-caps/oleo-script-swash-caps.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1171;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Onest\";s:10:\"fontFamily\";s:17:\"Onest, sans-serif\";s:4:\"slug\";s:5:\"onest\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPh9R6ZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhdR-ZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhqx-ZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPh9R-ZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhxx-ZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhKxiZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhEhiZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhdRiZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/onest/v6/gNMZW3F-SZuj7zOT0IfSjTS16cPhXBiZtxFMQWXgSQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Onest\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/onest/onest.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1172;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Oooh Baby\";s:10:\"fontFamily\";s:20:\"\"Oooh Baby\", cursive\";s:4:\"slug\";s:9:\"oooh-baby\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/ooohbaby/v4/2sDcZGJWgJTT2Jf76xQDam-4C7wFZQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Oooh Baby\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/oooh-baby/oooh-baby-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/oooh-baby/oooh-baby.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1173;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Open Sans\";s:10:\"fontFamily\";s:23:\"\"Open Sans\", sans-serif\";s:4:\"slug\";s:9:\"open-sans\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsiH0C4iY1M2xLER.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsjZ0C4iY1M2xLER.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsjr0C4iY1M2xLER.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsgH1y4iY1M2xLER.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsg-1y4iY1M2xLER.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgshZ1y4iY1M2xLER.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/opensans/v40/memQYaGs126MiZpBA-UFUIcVXSCEkx2cmqvXlWq8tWZ0Pw86hd0Rk5hkaVIUwaERZjA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/opensans/v40/memQYaGs126MiZpBA-UFUIcVXSCEkx2cmqvXlWq8tWZ0Pw86hd0Rk8ZkaVIUwaERZjA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/opensans/v40/memQYaGs126MiZpBA-UFUIcVXSCEkx2cmqvXlWq8tWZ0Pw86hd0Rk_RkaVIUwaERZjA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-500-italic.svg\";}i:9;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/opensans/v40/memQYaGs126MiZpBA-UFUIcVXSCEkx2cmqvXlWq8tWZ0Pw86hd0RkxhjaVIUwaERZjA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/opensans/v40/memQYaGs126MiZpBA-UFUIcVXSCEkx2cmqvXlWq8tWZ0Pw86hd0RkyFjaVIUwaERZjA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-700-italic.svg\";}i:11;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/opensans/v40/memQYaGs126MiZpBA-UFUIcVXSCEkx2cmqvXlWq8tWZ0Pw86hd0Rk0ZjaVIUwaERZjA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Open Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans-800-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/open-sans/open-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1174;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Oranienbaum\";s:10:\"fontFamily\";s:18:\"Oranienbaum, serif\";s:4:\"slug\";s:11:\"oranienbaum\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/oranienbaum/v15/OZpHg_txtzZKMuXLIVrx-3zi7kz3dpHc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Oranienbaum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/oranienbaum/oranienbaum-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/oranienbaum/oranienbaum.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1175;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Orbit\";s:10:\"fontFamily\";s:17:\"Orbit, sans-serif\";s:4:\"slug\";s:5:\"orbit\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/orbit/v1/_LOCmz7I-uHd2mjBeqciRwRm.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Orbit\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/orbit/orbit-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/orbit/orbit.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1176;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Orbitron\";s:10:\"fontFamily\";s:20:\"Orbitron, sans-serif\";s:4:\"slug\";s:8:\"orbitron\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/orbitron/v31/yMJMMIlzdpvBhQQL_SC3X9yhF25-T1nyGy6xo2IyXjU1pg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Orbitron\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/orbitron/v31/yMJMMIlzdpvBhQQL_SC3X9yhF25-T1nyKS6xo2IyXjU1pg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Orbitron\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/orbitron/v31/yMJMMIlzdpvBhQQL_SC3X9yhF25-T1nyxSmxo2IyXjU1pg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Orbitron\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/orbitron/v31/yMJMMIlzdpvBhQQL_SC3X9yhF25-T1ny_Cmxo2IyXjU1pg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Orbitron\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/orbitron/v31/yMJMMIlzdpvBhQQL_SC3X9yhF25-T1nymymxo2IyXjU1pg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Orbitron\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/orbitron/v31/yMJMMIlzdpvBhQQL_SC3X9yhF25-T1nysimxo2IyXjU1pg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Orbitron\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/orbitron/orbitron.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1177;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Oregano\";s:10:\"fontFamily\";s:18:\"Oregano, system-ui\";s:4:\"slug\";s:7:\"oregano\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/oregano/v15/If2IXTPxciS3H4S2kZLfPznO3yM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oregano\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oregano/oregano-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/oregano/v15/If2KXTPxciS3H4S2oZXVPhvLzyP_qw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Oregano\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oregano/oregano-400-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/oregano/oregano.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1178;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Orelega One\";s:10:\"fontFamily\";s:24:\"\"Orelega One\", system-ui\";s:4:\"slug\";s:11:\"orelega-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/orelegaone/v12/3qTpojOggD2XtAdFb-QXZGt_1EcYaQ7F.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Orelega One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/orelega-one/orelega-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/orelega-one/orelega-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1179;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Orienta\";s:10:\"fontFamily\";s:19:\"Orienta, sans-serif\";s:4:\"slug\";s:7:\"orienta\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/orienta/v15/PlI9FlK4Jrl5Y9zNeyKo9HRFhcU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Orienta\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/orienta/orienta-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/orienta/orienta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1180;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Original Surfer\";s:10:\"fontFamily\";s:28:\"\"Original Surfer\", system-ui\";s:4:\"slug\";s:15:\"original-surfer\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/originalsurfer/v22/RWmQoKGZ9vIirYntXJ3_MbekzNMiCUtvAlaMKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Original Surfer\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/original-surfer/original-surfer-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/original-surfer/original-surfer.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1181;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Oswald\";s:10:\"fontFamily\";s:18:\"Oswald, sans-serif\";s:4:\"slug\";s:6:\"oswald\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/oswald/v53/TK3_WkUHHAIjg75cFRf3bXL8LICs13FvgURoZAaRliE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oswald\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/oswald/v53/TK3_WkUHHAIjg75cFRf3bXL8LICs169vgURoZAaRliE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oswald\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/oswald/v53/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvgURoZAaRliE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oswald\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/oswald/v53/TK3_WkUHHAIjg75cFRf3bXL8LICs18NvgURoZAaRliE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oswald\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/oswald/v53/TK3_WkUHHAIjg75cFRf3bXL8LICs1y9ogURoZAaRliE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oswald\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/oswald/v53/TK3_WkUHHAIjg75cFRf3bXL8LICs1xZogURoZAaRliE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oswald\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/oswald/oswald.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1182;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Outfit\";s:10:\"fontFamily\";s:18:\"Outfit, sans-serif\";s:4:\"slug\";s:6:\"outfit\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4TC0C4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4bC1C4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4W61C4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4TC1C4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4QK1C4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4e6yC4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4deyC4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4bCyC4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/outfit/v11/QGYyz_MVcBeNP4NjuGObqx1XmO1I4ZmyC4S-EiAou6Y.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Outfit\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/outfit/outfit.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1183;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Over the Rainbow\";s:10:\"fontFamily\";s:27:\"\"Over the Rainbow\", cursive\";s:4:\"slug\";s:16:\"over-the-rainbow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/overtherainbow/v20/11haGoXG1k_HKhMLUWz7Mc7vvW5upvam9NA2XG0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Over the Rainbow\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/over-the-rainbow/over-the-rainbow-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/over-the-rainbow/over-the-rainbow.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1184;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Overlock\";s:10:\"fontFamily\";s:19:\"Overlock, system-ui\";s:4:\"slug\";s:8:\"overlock\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/overlock/v17/Z9XVDmdMWRiN1_T9Z4Tb4u2El6GC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overlock\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/overlock/v17/Z9XTDmdMWRiN1_T9Z7Tc6OymkrGC7Cs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overlock\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/overlock/v17/Z9XSDmdMWRiN1_T9Z7xizcmJvL2L9TLT.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overlock\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/overlock/v17/Z9XQDmdMWRiN1_T9Z7Tc0FWJtryp8CLTlNs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overlock\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock-700-italic.svg\";}i:4;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/overlock/v17/Z9XSDmdMWRiN1_T9Z7xaz8mJvL2L9TLT.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overlock\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock-900-normal.svg\";}i:5;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/overlock/v17/Z9XQDmdMWRiN1_T9Z7Tc0G2Ltryp8CLTlNs.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overlock\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock/overlock.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1185;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Overlock SC\";s:10:\"fontFamily\";s:24:\"\"Overlock SC\", system-ui\";s:4:\"slug\";s:11:\"overlock-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/overlocksc/v23/1cX3aUHKGZrstGAY8nwVzHGFq8Sk1PoH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Overlock SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock-sc/overlock-sc-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/overlock-sc/overlock-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1186;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Overpass\";s:10:\"fontFamily\";s:20:\"Overpass, sans-serif\";s:4:\"slug\";s:8:\"overpass\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6_PLrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6fPPrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6ovPrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6_PPrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6zvPrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6IvTrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6G_TrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6fPTrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/overpass/v16/qFda35WCmI96Ajtm83upeyoaX6QPnlo6VfTrPJCLtce-og.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLADe5qKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLCDepqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLBdepqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLADepqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLAxepqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLDdfZqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLDkfZqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLCDfZqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/overpass/v16/qFdU35WCmI96Ajtm81GgSdXCNs-VMF0vNLCqfZqKl8Kuosgz.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Overpass\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass/overpass.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1187;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Overpass Mono\";s:10:\"fontFamily\";s:26:\"\"Overpass Mono\", monospace\";s:4:\"slug\";s:13:\"overpass-mono\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/overpassmono/v16/_Xm5-H86tzKDdAPa-KPQZ-AC_COcRycquHlL6EWKokz2Xur-SmIr.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Overpass Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass-mono/overpass-mono-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/overpassmono/v16/_Xm5-H86tzKDdAPa-KPQZ-AC_COcRycquHlL6EXUokz2Xur-SmIr.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Overpass Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass-mono/overpass-mono-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/overpassmono/v16/_Xm5-H86tzKDdAPa-KPQZ-AC_COcRycquHlL6EXmokz2Xur-SmIr.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Overpass Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass-mono/overpass-mono-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/overpassmono/v16/_Xm5-H86tzKDdAPa-KPQZ-AC_COcRycquHlL6EUKpUz2Xur-SmIr.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Overpass Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass-mono/overpass-mono-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/overpassmono/v16/_Xm5-H86tzKDdAPa-KPQZ-AC_COcRycquHlL6EUzpUz2Xur-SmIr.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Overpass Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass-mono/overpass-mono-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/overpass-mono/overpass-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1188;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Ovo\";s:10:\"fontFamily\";s:10:\"Ovo, serif\";s:4:\"slug\";s:3:\"ovo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:64:\"https://fonts.gstatic.com/s/ovo/v17/yYLl0h7WyfzjzoQ5_3WVxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Ovo\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/ovo/ovo-400-normal.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/ovo/ovo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1189;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Oxanium\";s:10:\"fontFamily\";s:18:\"Oxanium, system-ui\";s:4:\"slug\";s:7:\"oxanium\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G83JfniJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G80XfniJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G81JfniJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G817fniJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G82XeXiJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G82ueXiJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/oxanium/v19/RrQPboN_4yJ0JmiMUW7sIGjd1IA9G83JeXiJBXQ7d67x.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Oxanium\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/oxanium/oxanium.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1190;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Oxygen\";s:10:\"fontFamily\";s:18:\"Oxygen, sans-serif\";s:4:\"slug\";s:6:\"oxygen\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/oxygen/v15/2sDcZG1Wl4LcnbuCJW8Dam-4C7wFZQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oxygen\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oxygen/oxygen-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/oxygen/v15/2sDfZG1Wl4Lcnbu6jEcnZ0SkAg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oxygen\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oxygen/oxygen-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/oxygen/v15/2sDcZG1Wl4LcnbuCNWgDam-4C7wFZQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Oxygen\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/oxygen/oxygen-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/oxygen/oxygen.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1191;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Oxygen Mono\";s:10:\"fontFamily\";s:24:\"\"Oxygen Mono\", monospace\";s:4:\"slug\";s:11:\"oxygen-mono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/oxygenmono/v14/h0GsssGg9FxgDgCjLeAd7ijaze-PPlUu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Oxygen Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/oxygen-mono/oxygen-mono-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/oxygen-mono/oxygen-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1192;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"PT Mono\";s:10:\"fontFamily\";s:20:\"\"PT Mono\", monospace\";s:4:\"slug\";s:7:\"pt-mono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/ptmono/v13/9oRONYoBnWILk-9ArC05MtPyAcg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"PT Mono\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-mono/pt-mono-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-mono/pt-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1193;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"PT Sans\";s:10:\"fontFamily\";s:21:\"\"PT Sans\", sans-serif\";s:4:\"slug\";s:7:\"pt-sans\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/ptsans/v17/jizaRExUiTo99u79P0COxOGMMDQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"PT Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans/pt-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/ptsans/v17/jizYRExUiTo99u79D0eExcOJIDQA-g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"PT Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans/pt-sans-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/ptsans/v17/jizfRExUiTo99u79B_mh4OynLD0Z4zM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"PT Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans/pt-sans-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/ptsans/v17/jizdRExUiTo99u79D0e8fOytLR8c8zMrig.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"PT Sans\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans/pt-sans-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans/pt-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1194;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"PT Sans Caption\";s:10:\"fontFamily\";s:29:\"\"PT Sans Caption\", sans-serif\";s:4:\"slug\";s:15:\"pt-sans-caption\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/ptsanscaption/v19/0FlMVP6Hrxmt7-fsUFhlFXNIlpcqeAXwQy6yxg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"PT Sans Caption\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans-caption/pt-sans-caption-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/ptsanscaption/v19/0FlJVP6Hrxmt7-fsUFhlFXNIlpcSwSrUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"PT Sans Caption\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans-caption/pt-sans-caption-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans-caption/pt-sans-caption.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1195;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"PT Sans Narrow\";s:10:\"fontFamily\";s:28:\"\"PT Sans Narrow\", sans-serif\";s:4:\"slug\";s:14:\"pt-sans-narrow\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/ptsansnarrow/v18/BngRUXNadjH0qYEzV7ab-oWlsYCEyxyKeuDp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"PT Sans Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans-narrow/pt-sans-narrow-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/ptsansnarrow/v18/BngSUXNadjH0qYEzV7ab-oWlsbg95DiHUfzgRd-3.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"PT Sans Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans-narrow/pt-sans-narrow-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-sans-narrow/pt-sans-narrow.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1196;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"PT Serif\";s:10:\"fontFamily\";s:17:\"\"PT Serif\", serif\";s:4:\"slug\";s:8:\"pt-serif\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/ptserif/v18/EJRVQgYoZZY2vCFuvDFUxL6ddjb-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"PT Serif\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif/pt-serif-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/ptserif/v18/EJRTQgYoZZY2vCFuvAFTzr-_cyb-vco.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"PT Serif\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif/pt-serif-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/ptserif/v18/EJRSQgYoZZY2vCFuvAnt65qQXSr3pNNB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"PT Serif\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif/pt-serif-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/ptserif/v18/EJRQQgYoZZY2vCFuvAFT9gaQVyvVocNB6Iw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"PT Serif\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif/pt-serif-700-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif/pt-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1197;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"PT Serif Caption\";s:10:\"fontFamily\";s:25:\"\"PT Serif Caption\", serif\";s:4:\"slug\";s:16:\"pt-serif-caption\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ptserifcaption/v17/ieVl2ZhbGCW-JoW6S34pSDpqYKU059CxDCs5cvI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"PT Serif Caption\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif-caption/pt-serif-caption-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ptserifcaption/v17/ieVj2ZhbGCW-JoW6S34pSDpqYKU019e7DQk8YvJEeg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"PT Serif Caption\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif-caption/pt-serif-caption-400-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/pt-serif-caption/pt-serif-caption.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1198;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Pacifico\";s:10:\"fontFamily\";s:17:\"Pacifico, cursive\";s:4:\"slug\";s:8:\"pacifico\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/pacifico/v22/FwZY7-Qmy14u9lezJ96F4sijpFu_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Pacifico\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pacifico/pacifico-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/pacifico/pacifico.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1199;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Padauk\";s:10:\"fontFamily\";s:18:\"Padauk, sans-serif\";s:4:\"slug\";s:6:\"padauk\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/padauk/v16/RrQRboJg-id7OnbBbk_g3LlYbg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Padauk\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/padauk/padauk-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/padauk/v16/RrQSboJg-id7Onb512DE0ZJEZ4YwGg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Padauk\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/padauk/padauk-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/padauk/padauk.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1200;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Padyakke Expanded One\";s:10:\"fontFamily\";s:30:\"\"Padyakke Expanded One\", serif\";s:4:\"slug\";s:21:\"padyakke-expanded-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/padyakkeexpandedone/v6/K2FvfY9El_tbR0JfHb6WWvrBaU6XAUvC4IAYPaRkpDjeoQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Padyakke Expanded One\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/padyakke-expanded-one/padyakke-expanded-one-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/padyakke-expanded-one/padyakke-expanded-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1201;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Palanquin\";s:10:\"fontFamily\";s:21:\"Palanquin, sans-serif\";s:4:\"slug\";s:9:\"palanquin\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/palanquin/v13/9XUhlJ90n1fBFg7ceXwUEltN7rWmZzTH.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/palanquin/v13/9XUilJ90n1fBFg7ceXwUvnpowZuqbi3ezg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/palanquin/v13/9XUilJ90n1fBFg7ceXwU2nlowZuqbi3ezg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/palanquin/v13/9XUnlJ90n1fBFg7ceXwsc1FMzLC2Zw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/palanquin/v13/9XUilJ90n1fBFg7ceXwUgnhowZuqbi3ezg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/palanquin/v13/9XUilJ90n1fBFg7ceXwUrn9owZuqbi3ezg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/palanquin/v13/9XUilJ90n1fBFg7ceXwUyn5owZuqbi3ezg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Palanquin\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin/palanquin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1202;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Palanquin Dark\";s:10:\"fontFamily\";s:28:\"\"Palanquin Dark\", sans-serif\";s:4:\"slug\";s:14:\"palanquin-dark\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/palanquindark/v14/xn75YHgl1nqmANMB-26xC7yuF_6LTEo9VtfE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Palanquin Dark\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin-dark/palanquin-dark-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/palanquindark/v14/xn76YHgl1nqmANMB-26xC7yuF8Z6ZW4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Palanquin Dark\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin-dark/palanquin-dark-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/palanquindark/v14/xn76YHgl1nqmANMB-26xC7yuF8ZWYm4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Palanquin Dark\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin-dark/palanquin-dark-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/palanquindark/v14/xn76YHgl1nqmANMB-26xC7yuF8YyY24wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Palanquin Dark\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin-dark/palanquin-dark-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/palanquin-dark/palanquin-dark.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1203;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Palette Mosaic\";s:10:\"fontFamily\";s:27:\"\"Palette Mosaic\", system-ui\";s:4:\"slug\";s:14:\"palette-mosaic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/palettemosaic/v11/AMOIz4aBvWuBFe3TohdW6YZ9MFi34dxL4jSr.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Palette Mosaic\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/palette-mosaic/palette-mosaic-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/palette-mosaic/palette-mosaic.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1204;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Pangolin\";s:10:\"fontFamily\";s:17:\"Pangolin, cursive\";s:4:\"slug\";s:8:\"pangolin\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/pangolin/v11/cY9GfjGcW0FPpi-tWPfP5d3aiLBG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Pangolin\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pangolin/pangolin-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/pangolin/pangolin.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1205;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Paprika\";s:10:\"fontFamily\";s:18:\"Paprika, system-ui\";s:4:\"slug\";s:7:\"paprika\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/paprika/v21/8QIJdijZitv49rDfuI0Oq7jkAOw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Paprika\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/paprika/paprika-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/paprika/paprika.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1206;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Parisienne\";s:10:\"fontFamily\";s:19:\"Parisienne, cursive\";s:4:\"slug\";s:10:\"parisienne\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/parisienne/v13/E21i_d3kivvAkxhLEVZpcyp6DuKuavM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Parisienne\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/parisienne/parisienne-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/parisienne/parisienne.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1207;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Passero One\";s:10:\"fontFamily\";s:24:\"\"Passero One\", system-ui\";s:4:\"slug\";s:11:\"passero-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/passeroone/v26/JTUTjIko8DOq5FeaeEAjgE5E5Arr-s50.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Passero One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/passero-one/passero-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/passero-one/passero-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1208;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Passion One\";s:10:\"fontFamily\";s:24:\"\"Passion One\", system-ui\";s:4:\"slug\";s:11:\"passion-one\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/passionone/v18/PbynFmL8HhTPqbjUzux3JHuT_Frg6YoV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Passion One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/passion-one/passion-one-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/passionone/v18/Pby6FmL8HhTPqbjUzux3JEMq037twpYcuH8y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Passion One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/passion-one/passion-one-700-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/passionone/v18/Pby6FmL8HhTPqbjUzux3JEMS0X7twpYcuH8y.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Passion One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/passion-one/passion-one-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/passion-one/passion-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1209;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Passions Conflict\";s:10:\"fontFamily\";s:28:\"\"Passions Conflict\", cursive\";s:4:\"slug\";s:17:\"passions-conflict\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/passionsconflict/v7/kmKnZrcrFhfafnWX9x0GuEC-zowow5NbYRI4CN2V.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Passions Conflict\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/passions-conflict/passions-conflict-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/passions-conflict/passions-conflict.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1210;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Pathway Extreme\";s:10:\"fontFamily\";s:29:\"\"Pathway Extreme\", sans-serif\";s:4:\"slug\";s:15:\"pathway-extreme\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xak2Nx1Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xakWN11Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xakht11Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xak2N11Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xak6t11Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xakBtp1Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xakP9p1Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xakWNp1Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:142:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI6zCC3pJ0rsaH2_sD-QttXPfDPonvkQ-pxx5gufvP2VmLjiFyxGf8BLymNjYv2Oy6vkLmw4xakcdp1Liw3igP5eg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ6daSY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ4daCY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ7DaCY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ6daCY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ6vaCY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ5DbyY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ56byY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ4dbyY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:144:\"https://fonts.gstatic.com/s/pathwayextreme/v3/neI4zCC3pJ0rsaH2_sD-QttXPfDlq0kVrdFsAHYoa7O3LCjRa7zISmmvKDxFz3m_CdF3-dIqTRGxEJ40byY2qAbpepnF.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Pathway Extreme\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme-900-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-extreme/pathway-extreme.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1211;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Pathway Gothic One\";s:10:\"fontFamily\";s:32:\"\"Pathway Gothic One\", sans-serif\";s:4:\"slug\";s:18:\"pathway-gothic-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/pathwaygothicone/v15/MwQrbgD32-KAvjkYGNUUxAtW7pEBwx-dSVxeb80flQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Pathway Gothic One\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-gothic-one/pathway-gothic-one-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/pathway-gothic-one/pathway-gothic-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1212;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Patrick Hand\";s:10:\"fontFamily\";s:23:\"\"Patrick Hand\", cursive\";s:4:\"slug\";s:12:\"patrick-hand\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/patrickhand/v23/LDI1apSQOAYtSuYWp8ZhfYeMXMjKm7sp8g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Patrick Hand\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/patrick-hand/patrick-hand-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/patrick-hand/patrick-hand.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1213;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Patrick Hand SC\";s:10:\"fontFamily\";s:26:\"\"Patrick Hand SC\", cursive\";s:4:\"slug\";s:15:\"patrick-hand-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/patrickhandsc/v15/0nkwC9f7MfsBiWcLtY65AWDK873VjCi6JQc7Vg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Patrick Hand SC\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/patrick-hand-sc/patrick-hand-sc-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/patrick-hand-sc/patrick-hand-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1214;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Pattaya\";s:10:\"fontFamily\";s:19:\"Pattaya, sans-serif\";s:4:\"slug\";s:7:\"pattaya\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/pattaya/v16/ea8ZadcqV_zkHY-XNdWn92ZEmVs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Pattaya\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pattaya/pattaya-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/pattaya/pattaya.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1215;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Patua One\";s:10:\"fontFamily\";s:22:\"\"Patua One\", system-ui\";s:4:\"slug\";s:9:\"patua-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/patuaone/v20/ZXuke1cDvLCKLDcimxBI4fNvNA9LuA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Patua One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/patua-one/patua-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/patua-one/patua-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1216;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Pavanam\";s:10:\"fontFamily\";s:19:\"Pavanam, sans-serif\";s:4:\"slug\";s:7:\"pavanam\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/pavanam/v11/BXRrvF_aiezLh0xPDO5Q9Wf0QcE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Pavanam\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/pavanam/pavanam-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/pavanam/pavanam.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1217;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Paytone One\";s:10:\"fontFamily\";s:25:\"\"Paytone One\", sans-serif\";s:4:\"slug\";s:11:\"paytone-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/paytoneone/v23/0nksC9P7MfYHj2oFtYm2CiTvivr9iBq_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Paytone One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/paytone-one/paytone-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/paytone-one/paytone-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1218;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Peddana\";s:10:\"fontFamily\";s:14:\"Peddana, serif\";s:4:\"slug\";s:7:\"peddana\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/peddana/v20/aFTU7PBhaX89UcKWhhiaBYyMcKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Peddana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/peddana/peddana-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/peddana/peddana.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1219;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Peralta\";s:10:\"fontFamily\";s:14:\"Peralta, serif\";s:4:\"slug\";s:7:\"peralta\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/peralta/v19/hYkJPu0-RP_9d3kRGxUhrv956B8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Peralta\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/peralta/peralta-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/peralta/peralta.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1220;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Permanent Marker\";s:10:\"fontFamily\";s:27:\"\"Permanent Marker\", cursive\";s:4:\"slug\";s:16:\"permanent-marker\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/permanentmarker/v16/Fh4uPib9Iyv2ucM6pGQMWimMp004Ha-IfrT5nlk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Permanent Marker\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/permanent-marker/permanent-marker-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/permanent-marker/permanent-marker.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1221;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Petemoss\";s:10:\"fontFamily\";s:17:\"Petemoss, cursive\";s:4:\"slug\";s:8:\"petemoss\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/petemoss/v7/A2BZn5tA2xgtGWHZgxkbsKb9UouQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Petemoss\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/petemoss/petemoss-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/petemoss/petemoss.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1222;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Petit Formal Script\";s:10:\"fontFamily\";s:30:\"\"Petit Formal Script\", cursive\";s:4:\"slug\";s:19:\"petit-formal-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/petitformalscript/v17/B50TF6xQr2TXJBnGOFME6u5OR83oRP5qoHzqP4gZSiE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Petit Formal Script\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/petit-formal-script/petit-formal-script-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/petit-formal-script/petit-formal-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1223;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Petrona\";s:10:\"fontFamily\";s:14:\"Petrona, serif\";s:4:\"slug\";s:7:\"petrona\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk6NsAREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk4NsQREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk7TsQREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk6NsQREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk6_sQREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk5TtgREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk5qtgREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk4NtgREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/petrona/v32/mtGl4_NXL7bZo9XXq35wRLONYyOjFk4ktgREH452Mvds.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8uwDFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8mwCFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8rICFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8uwCFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8t4CFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8jIFFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8gsFFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8mwFFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/petrona/v32/mtGr4_NXL7bZo9XXgXdCu2vkCLkNEVtF8kUFFY9UN-dsIWs.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Petrona\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/petrona/petrona.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1224;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Philosopher\";s:10:\"fontFamily\";s:23:\"Philosopher, sans-serif\";s:4:\"slug\";s:11:\"philosopher\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/philosopher/v20/vEFV2_5QCwIS4_Dhez5jcVBsRUwU08qe.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Philosopher\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/philosopher/philosopher-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/philosopher/v20/vEFX2_5QCwIS4_Dhez5jcWBrT0021tqeR7c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Philosopher\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/philosopher/philosopher-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/philosopher/v20/vEFI2_5QCwIS4_Dhez5jcWjVamgZ-NaXXq7H.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Philosopher\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/philosopher/philosopher-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/philosopher/v20/vEFK2_5QCwIS4_Dhez5jcWBrd_QZ8te1W77HtMo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Philosopher\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/philosopher/philosopher-700-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/philosopher/philosopher.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1225;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Phudu\";s:10:\"fontFamily\";s:16:\"Phudu, system-ui\";s:4:\"slug\";s:5:\"phudu\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkK62zUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkKtWzUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkKh2zUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkKa2vUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkKUmvUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkKNWvUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/phudu/v4/0FlJVPSHk0ya-7OUeO_U-Lwm7PkKHGvUTgWuz38Tgg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Phudu\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu-900-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/phudu/phudu.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1226;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Piazzolla\";s:10:\"fontFamily\";s:16:\"Piazzolla, serif\";s:4:\"slug\";s:9:\"piazzolla\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7LYx3L31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7JYxnL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7KGxnL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7LYxnL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7LqxnL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7IGwXL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7I_wXL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7JYwXL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b52SlTPu5rIkWIZjVKKtYtfxYqZ4RJBFzFfYUjkSDdlqZgy7JxwXL31AHfAAy5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhZqw3gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhRqx3gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhcSx3gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhZqx3gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhaix3gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhUS23gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhX223gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhRq23gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/piazzolla/v36/N0b72SlTPu5rIkWIZjVgI-TckS03oGpPETyEJ88Rbvi0_TzOzKcQhTO23gD9BRy5m5M.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Piazzolla\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/piazzolla/piazzolla.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1227;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Piedra\";s:10:\"fontFamily\";s:17:\"Piedra, system-ui\";s:4:\"slug\";s:6:\"piedra\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/piedra/v25/ke8kOg8aN0Bn7hTumUyHN_M3gA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Piedra\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/piedra/piedra-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/piedra/piedra.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1228;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Pinyon Script\";s:10:\"fontFamily\";s:24:\"\"Pinyon Script\", cursive\";s:4:\"slug\";s:13:\"pinyon-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/pinyonscript/v22/6xKpdSJbL9-e9LuoeQiDRQR8aOfQO4bhiDY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Pinyon Script\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/pinyon-script/pinyon-script-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/pinyon-script/pinyon-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1229;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Pirata One\";s:10:\"fontFamily\";s:23:\"\"Pirata One\", system-ui\";s:4:\"slug\";s:10:\"pirata-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/pirataone/v22/I_urMpiDvgLdLh0fAtofti2Er5_BdZ8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Pirata One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/pirata-one/pirata-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/pirata-one/pirata-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1230;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Pixelify Sans\";s:10:\"fontFamily\";s:26:\"\"Pixelify Sans\", system-ui\";s:4:\"slug\";s:13:\"pixelify-sans\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/pixelifysans/v1/CHy2V-3HFUT7aC4iv1TxGDR9DHEserHN25py2TTp0H1db5JagkmX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Pixelify Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/pixelify-sans/pixelify-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/pixelifysans/v1/CHy2V-3HFUT7aC4iv1TxGDR9DHEserHN25py2TTb0H1db5JagkmX.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Pixelify Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/pixelify-sans/pixelify-sans-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/pixelifysans/v1/CHy2V-3HFUT7aC4iv1TxGDR9DHEserHN25py2TQ3131db5JagkmX.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Pixelify Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/pixelify-sans/pixelify-sans-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/pixelifysans/v1/CHy2V-3HFUT7aC4iv1TxGDR9DHEserHN25py2TQO131db5JagkmX.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Pixelify Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/pixelify-sans/pixelify-sans-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/pixelify-sans/pixelify-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1231;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Plaster\";s:10:\"fontFamily\";s:18:\"Plaster, system-ui\";s:4:\"slug\";s:7:\"plaster\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/plaster/v24/DdTm79QatW80eRh4EitJOtLOeLI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Plaster\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/plaster/plaster-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/plaster/plaster.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1232;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Platypi\";s:10:\"fontFamily\";s:14:\"Platypi, serif\";s:4:\"slug\";s:7:\"platypi\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/platypi/v4/bMromSGU7pMlaX6-PAmuwBQP4Hwe02It4p9muxgnYP1P.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/platypi/v4/bMromSGU7pMlaX6-PAmuwBQP4Hwe02Jz4p9muxgnYP1P.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/platypi/v4/bMromSGU7pMlaX6-PAmuwBQP4Hwe02JB4p9muxgnYP1P.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/platypi/v4/bMromSGU7pMlaX6-PAmuwBQP4Hwe02Kt5Z9muxgnYP1P.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/platypi/v4/bMromSGU7pMlaX6-PAmuwBQP4Hwe02KU5Z9muxgnYP1P.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/platypi/v4/bMromSGU7pMlaX6-PAmuwBQP4Hwe02Lz5Z9muxgnYP1P.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/platypi/v4/bMrmmSGU7pMlaX6-FgCcP8xmi-aw1He7oSkgsRkFZe1PPTo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/platypi/v4/bMrmmSGU7pMlaX6-FgCcP8xmi-aw1He7oXcgsRkFZe1PPTo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/platypi/v4/bMrmmSGU7pMlaX6-FgCcP8xmi-aw1He7oUUgsRkFZe1PPTo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-500-italic.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/platypi/v4/bMrmmSGU7pMlaX6-FgCcP8xmi-aw1He7oaknsRkFZe1PPTo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/platypi/v4/bMrmmSGU7pMlaX6-FgCcP8xmi-aw1He7oZAnsRkFZe1PPTo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-700-italic.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/platypi/v4/bMrmmSGU7pMlaX6-FgCcP8xmi-aw1He7ofcnsRkFZe1PPTo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Platypi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi-800-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/platypi/platypi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1233;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Play\";s:10:\"fontFamily\";s:16:\"Play, sans-serif\";s:4:\"slug\";s:4:\"play\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/play/v19/6aez4K2oVqwIjtc8Hp8Tx3A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Play\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/play/play-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/play/v19/6ae84K2oVqwItm4TOpI423nTJTM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Play\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/play/play-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/play/play.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1234;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Playball\";s:10:\"fontFamily\";s:19:\"Playball, system-ui\";s:4:\"slug\";s:8:\"playball\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/playball/v20/TK3gWksYAxQ7jbsKcj8Gl-tPKo2t.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playball\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playball/playball-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/playball/playball.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1235;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Playfair\";s:10:\"fontFamily\";s:15:\"Playfair, serif\";s:4:\"slug\";s:8:\"playfair\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPlKetgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPkUetgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPkmetgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPnKfdgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPnzfdgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPmUfdgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:126:\"https://fonts.gstatic.com/s/playfair/v2/0nkQC9D7PO4KhmUJ5_zTZ_4MYQXznAK-TUcZXKO3UMnW6VNpe4-SiiZ4b8h5G3GutPm9fdgYoSMw5ifm.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-900-normal.svg\";}i:7;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcOW5eqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-300-italic.svg\";}i:8;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcOTBeqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-400-italic.svg\";}i:9;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcOQJeqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcOe5ZqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-600-italic.svg\";}i:11;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcOddZqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcObBZqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-800-italic.svg\";}i:13;a:5:{s:3:\"src\";s:129:\"https://fonts.gstatic.com/s/playfair/v2/0nkSC9D7PO4KhmUJ59baVQ_iWhg0cgSrLQZDFpFUsLCFf_1ubkfQeG9KkBAQcOsAs-zcOZlZqyIS4zfmNrE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Playfair\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair/playfair.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1236;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playfair Display\";s:10:\"fontFamily\";s:25:\"\"Playfair Display\", serif\";s:4:\"slug\";s:16:\"playfair-display\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFvD-vYSZviVYUb_rj3ij__anPXJzDwcbmjWBN2PKdFvUDVZNLo_U2r.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFvD-vYSZviVYUb_rj3ij__anPXJzDwcbmjWBN2PKd3vUDVZNLo_U2r.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFvD-vYSZviVYUb_rj3ij__anPXJzDwcbmjWBN2PKebukDVZNLo_U2r.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFvD-vYSZviVYUb_rj3ij__anPXJzDwcbmjWBN2PKeiukDVZNLo_U2r.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFvD-vYSZviVYUb_rj3ij__anPXJzDwcbmjWBN2PKfFukDVZNLo_U2r.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFvD-vYSZviVYUb_rj3ij__anPXJzDwcbmjWBN2PKfsukDVZNLo_U2r.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFRD-vYSZviVYUb_rj3ij__anPXDTnCjmHKM4nYO7KN_qiTbtPK-F2rA0s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFRD-vYSZviVYUb_rj3ij__anPXDTnCjmHKM4nYO7KN_pqTbtPK-F2rA0s.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFRD-vYSZviVYUb_rj3ij__anPXDTnCjmHKM4nYO7KN_naUbtPK-F2rA0s.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFRD-vYSZviVYUb_rj3ij__anPXDTnCjmHKM4nYO7KN_k-UbtPK-F2rA0s.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFRD-vYSZviVYUb_rj3ij__anPXDTnCjmHKM4nYO7KN_iiUbtPK-F2rA0s.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playfairdisplay/v37/nuFRD-vYSZviVYUb_rj3ij__anPXDTnCjmHKM4nYO7KN_gGUbtPK-F2rA0s.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Playfair Display\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display-900-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display/playfair-display.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1237;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Playfair Display SC\";s:10:\"fontFamily\";s:28:\"\"Playfair Display SC\", serif\";s:4:\"slug\";s:19:\"playfair-display-sc\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/playfairdisplaysc/v17/ke85OhoaMkR6-hSn7kbHVoFf7ZfgMPr_pbsGEcM2M4s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playfair Display SC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/playfairdisplaysc/v17/ke87OhoaMkR6-hSn7kbHVoFf7ZfgMPr_lbwMEOEzI4sNKg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Playfair Display SC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/playfairdisplaysc/v17/ke80OhoaMkR6-hSn7kbHVoFf7ZfgMPr_nQIpNc4dL4IUMyE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playfair Display SC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playfairdisplaysc/v17/ke82OhoaMkR6-hSn7kbHVoFf7ZfgMPr_lbw0qc4XLqARIyH5IA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Playfair Display SC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc-700-italic.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/playfairdisplaysc/v17/ke80OhoaMkR6-hSn7kbHVoFf7ZfgMPr_nTorNc4dL4IUMyE.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playfair Display SC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc-900-normal.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playfairdisplaysc/v17/ke82OhoaMkR6-hSn7kbHVoFf7ZfgMPr_lbw0kcwXLqARIyH5IA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:19:\"Playfair Display SC\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc-900-italic.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/playfair-display-sc/playfair-display-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1238;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playpen Sans\";s:10:\"fontFamily\";s:23:\"\"Playpen Sans\", cursive\";s:4:\"slug\";s:12:\"playpen-sans\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4IvRgunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4InRhunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4IqphunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4IvRhunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4IsZhunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4IipmunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4IhNmunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/playpensans/v13/dg43_pj1p6gXP0gzAZgm4c8XQArSU7ACQSn4InRmunE9Ffmme0w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playpen Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans-800-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playpen-sans/playpen-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1239;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite AR\";s:10:\"fontFamily\";s:23:\"\"Playwrite AR\", cursive\";s:4:\"slug\";s:12:\"playwrite-ar\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritear/v1/VEMjRohisJz5pTCzruCNjWbfp_N-aNWqYgKS-fteqfqES67xIO8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ar/playwrite-ar-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritear/v1/VEMjRohisJz5pTCzruCNjWbfp_N-aNWqYgKS-XtfqfqES67xIO8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ar/playwrite-ar-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritear/v1/VEMjRohisJz5pTCzruCNjWbfp_N-aNWqYgKS-aVfqfqES67xIO8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ar/playwrite-ar-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritear/v1/VEMjRohisJz5pTCzruCNjWbfp_N-aNWqYgKS-ftfqfqES67xIO8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ar/playwrite-ar-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ar/playwrite-ar.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1240;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite AT\";s:10:\"fontFamily\";s:23:\"\"Playwrite AT\", cursive\";s:4:\"slug\";s:12:\"playwrite-at\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6owc7n6kfJN4fVoKON7HIEBRSfb0U2uGBm2M77d0jMLIHJ-rk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6owc7n6kfJN4fVoKON7HIEBRSfb0U2uGBm2E76d0jMLIHJ-rk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6owc7n6kfJN4fVoKON7HIEBRSfb0U2uGBm2JD6d0jMLIHJ-rk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6owc7n6kfJN4fVoKON7HIEBRSfb0U2uGBm2M76d0jMLIHJ-rk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6uwc7n6kfJN4fVoKON7HIuDCZgtyxdIs5hzQa5nw_GLaPM6rkyVg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-100-italic.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6uwc7n6kfJN4fVoKON7HIuDCZgtyxdIs5hzQa5Hw7GLaPM6rkyVg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-200-italic.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6uwc7n6kfJN4fVoKON7HIuDCZgtyxdIs5hzQa5wQ7GLaPM6rkyVg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/playwriteat/v1/Gw6uwc7n6kfJN4fVoKON7HIuDCZgtyxdIs5hzQa5nw7GLaPM6rkyVg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Playwrite AT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at-400-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-at/playwrite-at.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1241;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite AU NSW\";s:10:\"fontFamily\";s:27:\"\"Playwrite AU NSW\", cursive\";s:4:\"slug\";s:16:\"playwrite-au-nsw\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteaunsw/v4/6qLWKY4NtxD-qVlIPUIPenElWCCEWRgilpupBXi19xZjML9_TD2dC1gS.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU NSW\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-nsw/playwrite-au-nsw-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteaunsw/v4/6qLWKY4NtxD-qVlIPUIPenElWCCEWRgilpupBXi19xbjMb9_TD2dC1gS.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU NSW\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-nsw/playwrite-au-nsw-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteaunsw/v4/6qLWKY4NtxD-qVlIPUIPenElWCCEWRgilpupBXi19xY9Mb9_TD2dC1gS.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU NSW\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-nsw/playwrite-au-nsw-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteaunsw/v4/6qLWKY4NtxD-qVlIPUIPenElWCCEWRgilpupBXi19xZjMb9_TD2dC1gS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU NSW\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-nsw/playwrite-au-nsw-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-nsw/playwrite-au-nsw.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1242;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite AU QLD\";s:10:\"fontFamily\";s:27:\"\"Playwrite AU QLD\", cursive\";s:4:\"slug\";s:16:\"playwrite-au-qld\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauqld/v4/SlGGmR-Yo5oYZX5BFVcEwSFSOXBRWADAWbgjmLBhA6-yMY2aqm1BV-XS.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU QLD\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-qld/playwrite-au-qld-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauqld/v4/SlGGmR-Yo5oYZX5BFVcEwSFSOXBRWADAWbgjmLBhA68yMI2aqm1BV-XS.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU QLD\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-qld/playwrite-au-qld-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauqld/v4/SlGGmR-Yo5oYZX5BFVcEwSFSOXBRWADAWbgjmLBhA6_sMI2aqm1BV-XS.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU QLD\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-qld/playwrite-au-qld-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauqld/v4/SlGGmR-Yo5oYZX5BFVcEwSFSOXBRWADAWbgjmLBhA6-yMI2aqm1BV-XS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU QLD\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-qld/playwrite-au-qld-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-qld/playwrite-au-qld.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1243;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Playwrite AU SA\";s:10:\"fontFamily\";s:26:\"\"Playwrite AU SA\", cursive\";s:4:\"slug\";s:15:\"playwrite-au-sa\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwriteausa/v4/YcmhsZpNS1SdgmHbGgtRuUElnR3CmSC5bVQVlrclpZgQcuBjCoV0bbE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite AU SA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-sa/playwrite-au-sa-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwriteausa/v4/YcmhsZpNS1SdgmHbGgtRuUElnR3CmSC5bVQVlrclpRgRcuBjCoV0bbE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite AU SA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-sa/playwrite-au-sa-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwriteausa/v4/YcmhsZpNS1SdgmHbGgtRuUElnR3CmSC5bVQVlrclpcYRcuBjCoV0bbE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite AU SA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-sa/playwrite-au-sa-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwriteausa/v4/YcmhsZpNS1SdgmHbGgtRuUElnR3CmSC5bVQVlrclpZgRcuBjCoV0bbE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite AU SA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-sa/playwrite-au-sa-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-sa/playwrite-au-sa.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1244;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite AU TAS\";s:10:\"fontFamily\";s:27:\"\"Playwrite AU TAS\", cursive\";s:4:\"slug\";s:16:\"playwrite-au-tas\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteautas/v4/GftT7u9QuxsdI_QuuctXue3ElxxmcBb3ih0opvWiLLUEHqK_Hl9WrXm4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU TAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-tas/playwrite-au-tas-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteautas/v4/GftT7u9QuxsdI_QuuctXue3ElxxmcBb3ih0opvWiLLWEH6K_Hl9WrXm4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU TAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-tas/playwrite-au-tas-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteautas/v4/GftT7u9QuxsdI_QuuctXue3ElxxmcBb3ih0opvWiLLVaH6K_Hl9WrXm4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU TAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-tas/playwrite-au-tas-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteautas/v4/GftT7u9QuxsdI_QuuctXue3ElxxmcBb3ih0opvWiLLUEH6K_Hl9WrXm4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU TAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-tas/playwrite-au-tas-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-tas/playwrite-au-tas.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1245;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite AU VIC\";s:10:\"fontFamily\";s:27:\"\"Playwrite AU VIC\", cursive\";s:4:\"slug\";s:16:\"playwrite-au-vic\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauvic/v4/bWtu7enUfwn0Hf1zjprKOJdcDy8rxwC1ltAeNDAAd4fTaLKxCBIDKNvl.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU VIC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-vic/playwrite-au-vic-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauvic/v4/bWtu7enUfwn0Hf1zjprKOJdcDy8rxwC1ltAeNDAAd4dTabKxCBIDKNvl.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU VIC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-vic/playwrite-au-vic-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauvic/v4/bWtu7enUfwn0Hf1zjprKOJdcDy8rxwC1ltAeNDAAd4eNabKxCBIDKNvl.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU VIC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-vic/playwrite-au-vic-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwriteauvic/v4/bWtu7enUfwn0Hf1zjprKOJdcDy8rxwC1ltAeNDAAd4fTabKxCBIDKNvl.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite AU VIC\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-vic/playwrite-au-vic-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-au-vic/playwrite-au-vic.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1246;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite BE VLG\";s:10:\"fontFamily\";s:27:\"\"Playwrite BE VLG\", cursive\";s:4:\"slug\";s:16:\"playwrite-be-vlg\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebevlg/v1/GFD8WBdug3mQSvrAT9AL6fd4ZkB-a2sDmg3dy2W0blL8vfCJMiyBIkNg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE VLG\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-vlg/playwrite-be-vlg-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebevlg/v1/GFD8WBdug3mQSvrAT9AL6fd4ZkB-a2sDmg3dy2W0blJ8vPCJMiyBIkNg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE VLG\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-vlg/playwrite-be-vlg-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebevlg/v1/GFD8WBdug3mQSvrAT9AL6fd4ZkB-a2sDmg3dy2W0blKivPCJMiyBIkNg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE VLG\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-vlg/playwrite-be-vlg-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebevlg/v1/GFD8WBdug3mQSvrAT9AL6fd4ZkB-a2sDmg3dy2W0blL8vPCJMiyBIkNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE VLG\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-vlg/playwrite-be-vlg-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-vlg/playwrite-be-vlg.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1247;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite BE WAL\";s:10:\"fontFamily\";s:27:\"\"Playwrite BE WAL\", cursive\";s:4:\"slug\";s:16:\"playwrite-be-wal\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebewal/v1/DtV1Jwq5QbIzyrA6DHdJ2BksuUmanQtEYjAlv96WFsWCGfulHxwiSZp8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE WAL\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-wal/playwrite-be-wal-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebewal/v1/DtV1Jwq5QbIzyrA6DHdJ2BksuUmanQtEYjAlv96WFsUCGPulHxwiSZp8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE WAL\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-wal/playwrite-be-wal-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebewal/v1/DtV1Jwq5QbIzyrA6DHdJ2BksuUmanQtEYjAlv96WFsXcGPulHxwiSZp8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE WAL\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-wal/playwrite-be-wal-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritebewal/v1/DtV1Jwq5QbIzyrA6DHdJ2BksuUmanQtEYjAlv96WFsWCGPulHxwiSZp8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite BE WAL\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-wal/playwrite-be-wal-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-be-wal/playwrite-be-wal.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1248;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite BR\";s:10:\"fontFamily\";s:23:\"\"Playwrite BR\", cursive\";s:4:\"slug\";s:12:\"playwrite-br\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritebr/v4/kJEhBuMK4Q07lDHc2Xp9vYgIp-6D3QEGCpthmFOOFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite BR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-br/playwrite-br-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritebr/v4/kJEhBuMK4Q07lDHc2Xp9vYgIp-6D3QEGCpthmNOPFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite BR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-br/playwrite-br-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritebr/v4/kJEhBuMK4Q07lDHc2Xp9vYgIp-6D3QEGCpthmA2PFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite BR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-br/playwrite-br-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritebr/v4/kJEhBuMK4Q07lDHc2Xp9vYgIp-6D3QEGCpthmFOPFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite BR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-br/playwrite-br-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-br/playwrite-br.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1249;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite CA\";s:10:\"fontFamily\";s:23:\"\"Playwrite CA\", cursive\";s:4:\"slug\";s:12:\"playwrite-ca\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteca/v4/z7NGdR_4cT0NOrEAIElil93uR_VhfhYaYOijHiquYpi61AIQU98.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ca/playwrite-ca-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteca/v4/z7NGdR_4cT0NOrEAIElil93uR_VhfhYaYOijHqqvYpi61AIQU98.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ca/playwrite-ca-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteca/v4/z7NGdR_4cT0NOrEAIElil93uR_VhfhYaYOijHnSvYpi61AIQU98.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ca/playwrite-ca-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteca/v4/z7NGdR_4cT0NOrEAIElil93uR_VhfhYaYOijHiqvYpi61AIQU98.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ca/playwrite-ca-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ca/playwrite-ca.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1250;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite CL\";s:10:\"fontFamily\";s:23:\"\"Playwrite CL\", cursive\";s:4:\"slug\";s:12:\"playwrite-cl\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecl/v1/-zk391m7wssz_XLkGgu8hy3tqrcOhnbf6ForU8JbvL-3DyPNbus.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cl/playwrite-cl-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecl/v1/-zk391m7wssz_XLkGgu8hy3tqrcOhnbf6ForU0JavL-3DyPNbus.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cl/playwrite-cl-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecl/v1/-zk391m7wssz_XLkGgu8hy3tqrcOhnbf6ForU5xavL-3DyPNbus.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cl/playwrite-cl-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecl/v1/-zk391m7wssz_XLkGgu8hy3tqrcOhnbf6ForU8JavL-3DyPNbus.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cl/playwrite-cl-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cl/playwrite-cl.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1251;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite CO\";s:10:\"fontFamily\";s:23:\"\"Playwrite CO\", cursive\";s:4:\"slug\";s:12:\"playwrite-co\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteco/v6/0FlGVP2Hl1iH-fv2BH4kJkgb8vH-rbJPTDqqx7ZJo-JOEhxX3Iw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-co/playwrite-co-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteco/v6/0FlGVP2Hl1iH-fv2BH4kJkgb8vH-rbJPTDqqxzZIo-JOEhxX3Iw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-co/playwrite-co-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteco/v6/0FlGVP2Hl1iH-fv2BH4kJkgb8vH-rbJPTDqqx-hIo-JOEhxX3Iw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-co/playwrite-co-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteco/v6/0FlGVP2Hl1iH-fv2BH4kJkgb8vH-rbJPTDqqx7ZIo-JOEhxX3Iw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-co/playwrite-co-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-co/playwrite-co.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1252;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite CU\";s:10:\"fontFamily\";s:23:\"\"Playwrite CU\", cursive\";s:4:\"slug\";s:12:\"playwrite-cu\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecu/v1/VuJjdNDb2p7tvoFGLMPdf9xcahOpb9ZuoyXseRmwZeH7m2YIByI.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cu/playwrite-cu-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecu/v1/VuJjdNDb2p7tvoFGLMPdf9xcahOpb9ZuoyXseZmxZeH7m2YIByI.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cu/playwrite-cu-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecu/v1/VuJjdNDb2p7tvoFGLMPdf9xcahOpb9ZuoyXseUexZeH7m2YIByI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cu/playwrite-cu-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecu/v1/VuJjdNDb2p7tvoFGLMPdf9xcahOpb9ZuoyXseRmxZeH7m2YIByI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cu/playwrite-cu-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cu/playwrite-cu.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1253;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite CZ\";s:10:\"fontFamily\";s:23:\"\"Playwrite CZ\", cursive\";s:4:\"slug\";s:12:\"playwrite-cz\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecz/v1/8vIa7wYp22pt_BUChSHeVxxlOPUEKoMfap_FCI4aTqH_VkAS5X4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cz/playwrite-cz-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecz/v1/8vIa7wYp22pt_BUChSHeVxxlOPUEKoMfap_FCA4bTqH_VkAS5X4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cz/playwrite-cz-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecz/v1/8vIa7wYp22pt_BUChSHeVxxlOPUEKoMfap_FCNAbTqH_VkAS5X4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cz/playwrite-cz-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritecz/v1/8vIa7wYp22pt_BUChSHeVxxlOPUEKoMfap_FCI4bTqH_VkAS5X4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite CZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cz/playwrite-cz-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-cz/playwrite-cz.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1254;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Playwrite DE Grund\";s:10:\"fontFamily\";s:29:\"\"Playwrite DE Grund\", cursive\";s:4:\"slug\";s:18:\"playwrite-de-grund\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playwritedegrund/v4/EJR-QhwoXdccriFurnRxqv-1MFyKy696-4VufrEGGbTZz2qGZwWUOfSwZTM.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Playwrite DE Grund\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-grund/playwrite-de-grund-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playwritedegrund/v4/EJR-QhwoXdccriFurnRxqv-1MFyKy696-4VufrEGGbTZz-qHZwWUOfSwZTM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Playwrite DE Grund\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-grund/playwrite-de-grund-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playwritedegrund/v4/EJR-QhwoXdccriFurnRxqv-1MFyKy696-4VufrEGGbTZzzSHZwWUOfSwZTM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Playwrite DE Grund\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-grund/playwrite-de-grund-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/playwritedegrund/v4/EJR-QhwoXdccriFurnRxqv-1MFyKy696-4VufrEGGbTZz2qHZwWUOfSwZTM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Playwrite DE Grund\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-grund/playwrite-de-grund-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-grund/playwrite-de-grund.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1255;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Playwrite DE LA\";s:10:\"fontFamily\";s:26:\"\"Playwrite DE LA\", cursive\";s:4:\"slug\";s:15:\"playwrite-de-la\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedela/v4/oY1J8e3fprboJ2HN4ogXTpFVJ8QjJV9p0P4yukst2FnrPgIigC5Ph2w.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE LA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-la/playwrite-de-la-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedela/v4/oY1J8e3fprboJ2HN4ogXTpFVJ8QjJV9p0P4yukst2NnqPgIigC5Ph2w.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE LA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-la/playwrite-de-la-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedela/v4/oY1J8e3fprboJ2HN4ogXTpFVJ8QjJV9p0P4yukst2AfqPgIigC5Ph2w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE LA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-la/playwrite-de-la-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedela/v4/oY1J8e3fprboJ2HN4ogXTpFVJ8QjJV9p0P4yukst2FnqPgIigC5Ph2w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE LA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-la/playwrite-de-la-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-la/playwrite-de-la.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1256;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Playwrite DE SAS\";s:10:\"fontFamily\";s:27:\"\"Playwrite DE SAS\", cursive\";s:4:\"slug\";s:16:\"playwrite-de-sas\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritedesas/v4/1Pt4g9vaRvmWghDdrE8IDuRPVrHN_1AaFXASpbMqJTeVg-6gSyVPgRkJ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite DE SAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-sas/playwrite-de-sas-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritedesas/v4/1Pt4g9vaRvmWghDdrE8IDuRPVrHN_1AaFXASpbMqJTcVgu6gSyVPgRkJ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite DE SAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-sas/playwrite-de-sas-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritedesas/v4/1Pt4g9vaRvmWghDdrE8IDuRPVrHN_1AaFXASpbMqJTfLgu6gSyVPgRkJ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite DE SAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-sas/playwrite-de-sas-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/playwritedesas/v4/1Pt4g9vaRvmWghDdrE8IDuRPVrHN_1AaFXASpbMqJTeVgu6gSyVPgRkJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Playwrite DE SAS\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-sas/playwrite-de-sas-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-sas/playwrite-de-sas.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1257;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Playwrite DE VA\";s:10:\"fontFamily\";s:26:\"\"Playwrite DE VA\", cursive\";s:4:\"slug\";s:15:\"playwrite-de-va\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedeva/v4/VuJmdNPb2p7tvoFGLMPdeMxGN1pntEMhdK1XfsTyRSyTv2sjGyvutu4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE VA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-va/playwrite-de-va-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedeva/v4/VuJmdNPb2p7tvoFGLMPdeMxGN1pntEMhdK1XfsTyRaySv2sjGyvutu4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE VA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-va/playwrite-de-va-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedeva/v4/VuJmdNPb2p7tvoFGLMPdeMxGN1pntEMhdK1XfsTyRXKSv2sjGyvutu4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE VA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-va/playwrite-de-va-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritedeva/v4/VuJmdNPb2p7tvoFGLMPdeMxGN1pntEMhdK1XfsTyRSySv2sjGyvutu4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Playwrite DE VA\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-va/playwrite-de-va-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-de-va/playwrite-de-va.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1258;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Playwrite DK Loopet\";s:10:\"fontFamily\";s:30:\"\"Playwrite DK Loopet\", cursive\";s:4:\"slug\";s:19:\"playwrite-dk-loopet\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritedkloopet/v1/memVYbuzy2qb3rtJGfM1FvY-GacDcsPvtaDfqfgbBWmV75JJwOgUuQovSE8_.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite DK Loopet\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-loopet/playwrite-dk-loopet-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritedkloopet/v1/memVYbuzy2qb3rtJGfM1FvY-GacDcsPvtaDfqfgbBWmV75LJwegUuQovSE8_.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite DK Loopet\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-loopet/playwrite-dk-loopet-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritedkloopet/v1/memVYbuzy2qb3rtJGfM1FvY-GacDcsPvtaDfqfgbBWmV75IXwegUuQovSE8_.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite DK Loopet\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-loopet/playwrite-dk-loopet-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritedkloopet/v1/memVYbuzy2qb3rtJGfM1FvY-GacDcsPvtaDfqfgbBWmV75JJwegUuQovSE8_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite DK Loopet\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-loopet/playwrite-dk-loopet-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-loopet/playwrite-dk-loopet.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1259;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Playwrite DK Uloopet\";s:10:\"fontFamily\";s:31:\"\"Playwrite DK Uloopet\", cursive\";s:4:\"slug\";s:20:\"playwrite-dk-uloopet\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritedkuloopet/v1/bWtS7e3Ufwn0Hf1zjprKPYlcDAoHknvYFjqIh8PF6jwcP5K06lQrLOng6LUzAA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite DK Uloopet\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-uloopet/playwrite-dk-uloopet-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritedkuloopet/v1/bWtS7e3Ufwn0Hf1zjprKPYlcDAoHknvYFjqIh8PF6jwcP5K0alUrLOng6LUzAA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite DK Uloopet\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-uloopet/playwrite-dk-uloopet-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritedkuloopet/v1/bWtS7e3Ufwn0Hf1zjprKPYlcDAoHknvYFjqIh8PF6jwcP5K0tFUrLOng6LUzAA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite DK Uloopet\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-uloopet/playwrite-dk-uloopet-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritedkuloopet/v1/bWtS7e3Ufwn0Hf1zjprKPYlcDAoHknvYFjqIh8PF6jwcP5K06lUrLOng6LUzAA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite DK Uloopet\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-uloopet/playwrite-dk-uloopet-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-dk-uloopet/playwrite-dk-uloopet.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1260;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite ES\";s:10:\"fontFamily\";s:23:\"\"Playwrite ES\", cursive\";s:4:\"slug\";s:12:\"playwrite-es\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritees/v4/kJEhBuMK4Q07lDHc2Xp9uokIp-6D3QEGCpthmFOOFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ES\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es/playwrite-es-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritees/v4/kJEhBuMK4Q07lDHc2Xp9uokIp-6D3QEGCpthmNOPFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ES\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es/playwrite-es-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritees/v4/kJEhBuMK4Q07lDHc2Xp9uokIp-6D3QEGCpthmA2PFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ES\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es/playwrite-es-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritees/v4/kJEhBuMK4Q07lDHc2Xp9uokIp-6D3QEGCpthmFOPFsLjAOVZBgs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ES\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es/playwrite-es-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es/playwrite-es.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1261;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Playwrite ES Deco\";s:10:\"fontFamily\";s:28:\"\"Playwrite ES Deco\", cursive\";s:4:\"slug\";s:17:\"playwrite-es-deco\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteesdeco/v4/7AuWp-g3kjKKGkePXEf2jxctfDxlvGM7-RllW8uEsjJ4yrZxPA9p5Cljpw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite ES Deco\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es-deco/playwrite-es-deco-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteesdeco/v4/7AuWp-g3kjKKGkePXEf2jxctfDxlvGM7-RllW8uEsjJ4SrdxPA9p5Cljpw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite ES Deco\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es-deco/playwrite-es-deco-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteesdeco/v4/7AuWp-g3kjKKGkePXEf2jxctfDxlvGM7-RllW8uEsjJ4lLdxPA9p5Cljpw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite ES Deco\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es-deco/playwrite-es-deco-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteesdeco/v4/7AuWp-g3kjKKGkePXEf2jxctfDxlvGM7-RllW8uEsjJ4yrdxPA9p5Cljpw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite ES Deco\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es-deco/playwrite-es-deco-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-es-deco/playwrite-es-deco.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1262;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Playwrite FR Moderne\";s:10:\"fontFamily\";s:31:\"\"Playwrite FR Moderne\", cursive\";s:4:\"slug\";s:20:\"playwrite-fr-moderne\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritefrmoderne/v4/3y9L6awucz3w5m4FFTzKolJRXhUk_u1yWtWmFCJcqUBvK5aJuAOvB174XSpRjw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite FR Moderne\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-moderne/playwrite-fr-moderne-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritefrmoderne/v4/3y9L6awucz3w5m4FFTzKolJRXhUk_u1yWtWmFCJcqUBvK5aJOAKvB174XSpRjw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite FR Moderne\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-moderne/playwrite-fr-moderne-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritefrmoderne/v4/3y9L6awucz3w5m4FFTzKolJRXhUk_u1yWtWmFCJcqUBvK5aJ5gKvB174XSpRjw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite FR Moderne\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-moderne/playwrite-fr-moderne-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwritefrmoderne/v4/3y9L6awucz3w5m4FFTzKolJRXhUk_u1yWtWmFCJcqUBvK5aJuAKvB174XSpRjw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite FR Moderne\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-moderne/playwrite-fr-moderne-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-moderne/playwrite-fr-moderne.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1263;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Playwrite FR Trad\";s:10:\"fontFamily\";s:28:\"\"Playwrite FR Trad\", cursive\";s:4:\"slug\";s:17:\"playwrite-fr-trad\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwritefrtrad/v6/sJot3KxJjdGLJV3vyatrJE2pkQisWWMBP23HSIVI5tvAogrNc9-fwzTS5A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite FR Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-trad/playwrite-fr-trad-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwritefrtrad/v6/sJot3KxJjdGLJV3vyatrJE2pkQisWWMBP23HSIVI5tvAIgvNc9-fwzTS5A.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite FR Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-trad/playwrite-fr-trad-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwritefrtrad/v6/sJot3KxJjdGLJV3vyatrJE2pkQisWWMBP23HSIVI5tvA_AvNc9-fwzTS5A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite FR Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-trad/playwrite-fr-trad-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwritefrtrad/v6/sJot3KxJjdGLJV3vyatrJE2pkQisWWMBP23HSIVI5tvAogvNc9-fwzTS5A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite FR Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-trad/playwrite-fr-trad-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-fr-trad/playwrite-fr-trad.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1264;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Playwrite GB J\";s:10:\"fontFamily\";s:25:\"\"Playwrite GB J\", cursive\";s:4:\"slug\";s:14:\"playwrite-gb-j\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kEo8wSPe9dzQ1UGbvobAPhY5iG-fsubxedDheGdc5Hbd7X9HFR8Q.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kEo8wSPe9dzQ1UGbvobAPhY5iG-fsubxedDheG9c9Hbd7X9HFR8Q.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kEo8wSPe9dzQ1UGbvobAPhY5iG-fsubxedDheGK89Hbd7X9HFR8Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kEo8wSPe9dzQ1UGbvobAPhY5iG-fsubxedDheGdc9Hbd7X9HFR8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kGo8wSPe9dzQ1UGbvobAPhY7KPywT2BnwHoBCTvYyvKtTW1nRB8S9t.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-100-italic.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kGo8wSPe9dzQ1UGbvobAPhY7KPywT2BnwHoBCTvYwvK9TW1nRB8S9t.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-200-italic.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kGo8wSPe9dzQ1UGbvobAPhY7KPywT2BnwHoBCTvYzxK9TW1nRB8S9t.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbj/v4/k3kGo8wSPe9dzQ1UGbvobAPhY7KPywT2BnwHoBCTvYyvK9TW1nRB8S9t.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB J\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j-400-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-j/playwrite-gb-j.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1265;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Playwrite GB S\";s:10:\"fontFamily\";s:25:\"\"Playwrite GB S\", cursive\";s:4:\"slug\";s:14:\"playwrite-gb-s\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWb_kFkk-s1Xclhmlemy7jsNQR8TohGU_DTHWU6uhH8wpeMaTk8AQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWb_kFkk-s1Xclhmlemy7jsNQR8TohGU_DTHWU6OhD8wpeMaTk8AQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWb_kFkk-s1Xclhmlemy7jsNQR8TohGU_DTHWU65BD8wpeMaTk8AQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWb_kFkk-s1Xclhmlemy7jsNQR8TohGU_DTHWU6uhD8wpeMaTk8AQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWZ_kFkk-s1Xclhmlemy7jsNS51fHeeOptJs2IvclMUhZ2NSzwsAReZ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-100-italic.svg\";}i:5;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWZ_kFkk-s1Xclhmlemy7jsNS51fHeeOptJs2IvclOUhJ2NSzwsAReZ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-200-italic.svg\";}i:6;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWZ_kFkk-s1Xclhmlemy7jsNS51fHeeOptJs2IvclNKhJ2NSzwsAReZ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/playwritegbs/v5/oPWZ_kFkk-s1Xclhmlemy7jsNS51fHeeOptJs2IvclMUhJ2NSzwsAReZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Playwrite GB S\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s-400-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-gb-s/playwrite-gb-s.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1266;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite HR\";s:10:\"fontFamily\";s:23:\"\"Playwrite HR\", cursive\";s:4:\"slug\";s:12:\"playwrite-hr\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehr/v1/WWXAljmQYQCZM5qaU_dwQYcybAQ7GFn1mFNJPsoA9YTXAHC7tvg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr/playwrite-hr-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehr/v1/WWXAljmQYQCZM5qaU_dwQYcybAQ7GFn1mFNJPkoB9YTXAHC7tvg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr/playwrite-hr-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehr/v1/WWXAljmQYQCZM5qaU_dwQYcybAQ7GFn1mFNJPpQB9YTXAHC7tvg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr/playwrite-hr-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehr/v1/WWXAljmQYQCZM5qaU_dwQYcybAQ7GFn1mFNJPsoB9YTXAHC7tvg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HR\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr/playwrite-hr-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr/playwrite-hr.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1267;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Playwrite HR Lijeva\";s:10:\"fontFamily\";s:30:\"\"Playwrite HR Lijeva\", cursive\";s:4:\"slug\";s:19:\"playwrite-hr-lijeva\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritehrlijeva/v1/gNMvW2dhS5-p7HvxrBYiWN2SsKqLWCrYiDBAvbRl82ZY0d4zB8aRy4_lxmKl.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite HR Lijeva\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr-lijeva/playwrite-hr-lijeva-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritehrlijeva/v1/gNMvW2dhS5-p7HvxrBYiWN2SsKqLWCrYiDBAvbRl82ZY0d6zBsaRy4_lxmKl.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite HR Lijeva\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr-lijeva/playwrite-hr-lijeva-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritehrlijeva/v1/gNMvW2dhS5-p7HvxrBYiWN2SsKqLWCrYiDBAvbRl82ZY0d5tBsaRy4_lxmKl.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite HR Lijeva\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr-lijeva/playwrite-hr-lijeva-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritehrlijeva/v1/gNMvW2dhS5-p7HvxrBYiWN2SsKqLWCrYiDBAvbRl82ZY0d4zBsaRy4_lxmKl.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite HR Lijeva\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr-lijeva/playwrite-hr-lijeva-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hr-lijeva/playwrite-hr-lijeva.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1268;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite HU\";s:10:\"fontFamily\";s:23:\"\"Playwrite HU\", cursive\";s:4:\"slug\";s:12:\"playwrite-hu\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehu/v1/A2BIn59A0g0xA3zDhFw-0vfPWJtlaFKmrETx1PL7TOidH3B2Xx4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hu/playwrite-hu-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehu/v1/A2BIn59A0g0xA3zDhFw-0vfPWJtlaFKmrETx1HL6TOidH3B2Xx4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hu/playwrite-hu-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehu/v1/A2BIn59A0g0xA3zDhFw-0vfPWJtlaFKmrETx1Kz6TOidH3B2Xx4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hu/playwrite-hu-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritehu/v1/A2BIn59A0g0xA3zDhFw-0vfPWJtlaFKmrETx1PL6TOidH3B2Xx4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite HU\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hu/playwrite-hu-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-hu/playwrite-hu.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1269;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite ID\";s:10:\"fontFamily\";s:23:\"\"Playwrite ID\", cursive\";s:4:\"slug\";s:12:\"playwrite-id\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteid/v4/Cn-kJt2YWhlY2oC4KxifKQJmrtrRm-sKkQqUl0-QB_dbFi0pLlg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ID\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-id/playwrite-id-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteid/v4/Cn-kJt2YWhlY2oC4KxifKQJmrtrRm-sKkQqUl8-RB_dbFi0pLlg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ID\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-id/playwrite-id-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteid/v4/Cn-kJt2YWhlY2oC4KxifKQJmrtrRm-sKkQqUlxGRB_dbFi0pLlg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ID\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-id/playwrite-id-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteid/v4/Cn-kJt2YWhlY2oC4KxifKQJmrtrRm-sKkQqUl0-RB_dbFi0pLlg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ID\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-id/playwrite-id-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-id/playwrite-id.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1270;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite IE\";s:10:\"fontFamily\";s:23:\"\"Playwrite IE\", cursive\";s:4:\"slug\";s:12:\"playwrite-ie\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteie/v4/fC1zPYtWYWnH0hvndYd6GCGWXCAxfsUebXFMyzipBpcu30AZbUY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ie/playwrite-ie-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteie/v4/fC1zPYtWYWnH0hvndYd6GCGWXCAxfsUebXFMy7ioBpcu30AZbUY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ie/playwrite-ie-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteie/v4/fC1zPYtWYWnH0hvndYd6GCGWXCAxfsUebXFMy2aoBpcu30AZbUY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ie/playwrite-ie-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteie/v4/fC1zPYtWYWnH0hvndYd6GCGWXCAxfsUebXFMyzioBpcu30AZbUY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ie/playwrite-ie-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ie/playwrite-ie.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1271;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite IN\";s:10:\"fontFamily\";s:23:\"\"Playwrite IN\", cursive\";s:4:\"slug\";s:12:\"playwrite-in\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritein/v4/uk-xEGGpoLQ97mfv2J3cZzuz7CyEJhPw65lkM7mNMRon3_Ag1kU.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-in/playwrite-in-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritein/v4/uk-xEGGpoLQ97mfv2J3cZzuz7CyEJhPw65lkMzmMMRon3_Ag1kU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-in/playwrite-in-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritein/v4/uk-xEGGpoLQ97mfv2J3cZzuz7CyEJhPw65lkM-eMMRon3_Ag1kU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-in/playwrite-in-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritein/v4/uk-xEGGpoLQ97mfv2J3cZzuz7CyEJhPw65lkM7mMMRon3_Ag1kU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-in/playwrite-in-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-in/playwrite-in.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1272;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite IS\";s:10:\"fontFamily\";s:23:\"\"Playwrite IS\", cursive\";s:4:\"slug\";s:12:\"playwrite-is\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteis/v3/JTUFjI4o_SGg9lecLGptrD17xQYXK0vOoz6jq6R8aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IS\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-is/playwrite-is-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteis/v3/JTUFjI4o_SGg9lecLGptrD17xQYXK0vOoz6jqyR9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IS\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-is/playwrite-is-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteis/v3/JTUFjI4o_SGg9lecLGptrD17xQYXK0vOoz6jq_p9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IS\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-is/playwrite-is-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteis/v3/JTUFjI4o_SGg9lecLGptrD17xQYXK0vOoz6jq6R9aXp-p7K5ILg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite IS\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-is/playwrite-is-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-is/playwrite-is.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1273;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Playwrite IT Moderna\";s:10:\"fontFamily\";s:31:\"\"Playwrite IT Moderna\", cursive\";s:4:\"slug\";s:20:\"playwrite-it-moderna\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwriteitmoderna/v4/mFTbWaYCwKPK5cx6W8jy2kwDnSUe9q45vQQi5HMFnSdEx2F5Wil8vLbffHtmMw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite IT Moderna\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-moderna/playwrite-it-moderna-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwriteitmoderna/v4/mFTbWaYCwKPK5cx6W8jy2kwDnSUe9q45vQQi5HMFnSdEx2F52ih8vLbffHtmMw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite IT Moderna\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-moderna/playwrite-it-moderna-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwriteitmoderna/v4/mFTbWaYCwKPK5cx6W8jy2kwDnSUe9q45vQQi5HMFnSdEx2F5BCh8vLbffHtmMw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite IT Moderna\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-moderna/playwrite-it-moderna-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/playwriteitmoderna/v4/mFTbWaYCwKPK5cx6W8jy2kwDnSUe9q45vQQi5HMFnSdEx2F5Wih8vLbffHtmMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Playwrite IT Moderna\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-moderna/playwrite-it-moderna-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-moderna/playwrite-it-moderna.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1274;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Playwrite IT Trad\";s:10:\"fontFamily\";s:28:\"\"Playwrite IT Trad\", cursive\";s:4:\"slug\";s:17:\"playwrite-it-trad\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteittrad/v4/SlG5mR6Yo5oYZX5BFVcEySBSPE50BjHDpZxuvgxzFq96u--_hUNNXvzL2Q.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite IT Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-trad/playwrite-it-trad-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteittrad/v4/SlG5mR6Yo5oYZX5BFVcEySBSPE50BjHDpZxuvgxzFq96O-6_hUNNXvzL2Q.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite IT Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-trad/playwrite-it-trad-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteittrad/v4/SlG5mR6Yo5oYZX5BFVcEySBSPE50BjHDpZxuvgxzFq965e6_hUNNXvzL2Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite IT Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-trad/playwrite-it-trad-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteittrad/v4/SlG5mR6Yo5oYZX5BFVcEySBSPE50BjHDpZxuvgxzFq96u-6_hUNNXvzL2Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite IT Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-trad/playwrite-it-trad-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-it-trad/playwrite-it-trad.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1275;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite MX\";s:10:\"fontFamily\";s:23:\"\"Playwrite MX\", cursive\";s:4:\"slug\";s:12:\"playwrite-mx\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritemx/v4/6xK9dSNbKtCe7KfhXg7RYSwyQ-oO7xNblyJr9wnc5xMfXDWXDu8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite MX\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-mx/playwrite-mx-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritemx/v4/6xK9dSNbKtCe7KfhXg7RYSwyQ-oO7xNblyJr94nd5xMfXDWXDu8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite MX\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-mx/playwrite-mx-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritemx/v4/6xK9dSNbKtCe7KfhXg7RYSwyQ-oO7xNblyJr91fd5xMfXDWXDu8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite MX\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-mx/playwrite-mx-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritemx/v4/6xK9dSNbKtCe7KfhXg7RYSwyQ-oO7xNblyJr9wnd5xMfXDWXDu8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite MX\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-mx/playwrite-mx-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-mx/playwrite-mx.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1276;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Playwrite NG Modern\";s:10:\"fontFamily\";s:30:\"\"Playwrite NG Modern\", cursive\";s:4:\"slug\";s:19:\"playwrite-ng-modern\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritengmodern/v4/ijw-s4b2R9Qve5V5lNJb_yRhEfSep5NbFCKmKgoEeCA4V17tPQbn5GswWJNE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite NG Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ng-modern/playwrite-ng-modern-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritengmodern/v4/ijw-s4b2R9Qve5V5lNJb_yRhEfSep5NbFCKmKgoEeCA4V15tPAbn5GswWJNE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite NG Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ng-modern/playwrite-ng-modern-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritengmodern/v4/ijw-s4b2R9Qve5V5lNJb_yRhEfSep5NbFCKmKgoEeCA4V16zPAbn5GswWJNE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite NG Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ng-modern/playwrite-ng-modern-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwritengmodern/v4/ijw-s4b2R9Qve5V5lNJb_yRhEfSep5NbFCKmKgoEeCA4V17tPAbn5GswWJNE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite NG Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ng-modern/playwrite-ng-modern-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ng-modern/playwrite-ng-modern.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1277;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite NL\";s:10:\"fontFamily\";s:23:\"\"Playwrite NL\", cursive\";s:4:\"slug\";s:12:\"playwrite-nl\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenl/v3/k3kCo84SPe9dzQ1UGbvoZQ37Iqp5IZJF9bmaG9_EnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nl/playwrite-nl-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenl/v3/k3kCo84SPe9dzQ1UGbvoZQ37Iqp5IZJF9bmaG1_FnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nl/playwrite-nl-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenl/v3/k3kCo84SPe9dzQ1UGbvoZQ37Iqp5IZJF9bmaG4HFnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nl/playwrite-nl-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenl/v3/k3kCo84SPe9dzQ1UGbvoZQ37Iqp5IZJF9bmaG9_FnYlNbPzS5HE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nl/playwrite-nl-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nl/playwrite-nl.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1278;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite NO\";s:10:\"fontFamily\";s:23:\"\"Playwrite NO\", cursive\";s:4:\"slug\";s:12:\"playwrite-no\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteno/v3/nuFrD_fYSZviRJYb-P2TrQO1DRpazaZDgnw-49whHKKn-mjRVtc.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-no/playwrite-no-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteno/v3/nuFrD_fYSZviRJYb-P2TrQO1DRpazaZDgnw-41wgHKKn-mjRVtc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-no/playwrite-no-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteno/v3/nuFrD_fYSZviRJYb-P2TrQO1DRpazaZDgnw-44IgHKKn-mjRVtc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-no/playwrite-no-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteno/v3/nuFrD_fYSZviRJYb-P2TrQO1DRpazaZDgnw-49wgHKKn-mjRVtc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-no/playwrite-no-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-no/playwrite-no.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1279;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite NZ\";s:10:\"fontFamily\";s:23:\"\"Playwrite NZ\", cursive\";s:4:\"slug\";s:12:\"playwrite-nz\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenz/v4/d6lakaOxRsyr_zZDmUYvh2TW3NCQVvjKPjPjngAVeR55gGCzkrs.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nz/playwrite-nz-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenz/v4/d6lakaOxRsyr_zZDmUYvh2TW3NCQVvjKPjPjnoAUeR55gGCzkrs.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nz/playwrite-nz-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenz/v4/d6lakaOxRsyr_zZDmUYvh2TW3NCQVvjKPjPjnl4UeR55gGCzkrs.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nz/playwrite-nz-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritenz/v4/d6lakaOxRsyr_zZDmUYvh2TW3NCQVvjKPjPjngAUeR55gGCzkrs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite NZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nz/playwrite-nz-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-nz/playwrite-nz.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1280;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite PE\";s:10:\"fontFamily\";s:23:\"\"Playwrite PE\", cursive\";s:4:\"slug\";s:12:\"playwrite-pe\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepe/v1/FwZJ7-Amxlw-50y5PJugmImRrktKJDJ4lnesO2lsTPTFdtSgb_A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pe/playwrite-pe-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepe/v1/FwZJ7-Amxlw-50y5PJugmImRrktKJDJ4lnesO-ltTPTFdtSgb_A.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pe/playwrite-pe-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepe/v1/FwZJ7-Amxlw-50y5PJugmImRrktKJDJ4lnesOzdtTPTFdtSgb_A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pe/playwrite-pe-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepe/v1/FwZJ7-Amxlw-50y5PJugmImRrktKJDJ4lnesO2ltTPTFdtSgb_A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PE\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pe/playwrite-pe-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pe/playwrite-pe.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1281;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite PL\";s:10:\"fontFamily\";s:23:\"\"Playwrite PL\", cursive\";s:4:\"slug\";s:12:\"playwrite-pl\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepl/v3/0QIyMXVf_4C2VH-yUr5uz72U-LQiKJ_9tb1WmRfa9ZmbSwcVtHQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pl/playwrite-pl-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepl/v3/0QIyMXVf_4C2VH-yUr5uz72U-LQiKJ_9tb1WmZfb9ZmbSwcVtHQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pl/playwrite-pl-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepl/v3/0QIyMXVf_4C2VH-yUr5uz72U-LQiKJ_9tb1WmUnb9ZmbSwcVtHQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pl/playwrite-pl-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritepl/v3/0QIyMXVf_4C2VH-yUr5uz72U-LQiKJ_9tb1WmRfb9ZmbSwcVtHQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PL\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pl/playwrite-pl-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pl/playwrite-pl.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1282;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite PT\";s:10:\"fontFamily\";s:23:\"\"Playwrite PT\", cursive\";s:4:\"slug\";s:12:\"playwrite-pt\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritept/v3/6NUE8FidKwOcfRjj8ukv5Lg-wt21rkAVfXUe9qDjTfdtvlo3Qaw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pt/playwrite-pt-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritept/v3/6NUE8FidKwOcfRjj8ukv5Lg-wt21rkAVfXUe9iDiTfdtvlo3Qaw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pt/playwrite-pt-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritept/v3/6NUE8FidKwOcfRjj8ukv5Lg-wt21rkAVfXUe9v7iTfdtvlo3Qaw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pt/playwrite-pt-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritept/v3/6NUE8FidKwOcfRjj8ukv5Lg-wt21rkAVfXUe9qDiTfdtvlo3Qaw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite PT\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pt/playwrite-pt-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-pt/playwrite-pt.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1283;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite RO\";s:10:\"fontFamily\";s:23:\"\"Playwrite RO\", cursive\";s:4:\"slug\";s:12:\"playwrite-ro\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritero/v3/gok8H6fuA1J7QPJ04HFTGSWdk_S0czhwEf0j4a9ZnZCMJnZeBS8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite RO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ro/playwrite-ro-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritero/v3/gok8H6fuA1J7QPJ04HFTGSWdk_S0czhwEf0j4S9YnZCMJnZeBS8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite RO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ro/playwrite-ro-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritero/v3/gok8H6fuA1J7QPJ04HFTGSWdk_S0czhwEf0j4fFYnZCMJnZeBS8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite RO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ro/playwrite-ro-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritero/v3/gok8H6fuA1J7QPJ04HFTGSWdk_S0czhwEf0j4a9YnZCMJnZeBS8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite RO\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ro/playwrite-ro-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-ro/playwrite-ro.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1284;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite SK\";s:10:\"fontFamily\";s:23:\"\"Playwrite SK\", cursive\";s:4:\"slug\";s:12:\"playwrite-sk\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritesk/v3/9XU3lJp0klrZDw3AZHcsJTByz7latrF9yDIlf-2dvsazdK9OF68.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite SK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-sk/playwrite-sk-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritesk/v3/9XU3lJp0klrZDw3AZHcsJTByz7latrF9yDIlf22cvsazdK9OF68.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite SK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-sk/playwrite-sk-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritesk/v3/9XU3lJp0klrZDw3AZHcsJTByz7latrF9yDIlf7OcvsazdK9OF68.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite SK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-sk/playwrite-sk-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritesk/v3/9XU3lJp0klrZDw3AZHcsJTByz7latrF9yDIlf-2cvsazdK9OF68.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite SK\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-sk/playwrite-sk-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-sk/playwrite-sk.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1285;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite TZ\";s:10:\"fontFamily\";s:23:\"\"Playwrite TZ\", cursive\";s:4:\"slug\";s:12:\"playwrite-tz\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritetz/v4/RLptK5rs6au7bzABmVQAOwnUbvHMbzSUU27JDWwSuehCOwjVROo.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite TZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-tz/playwrite-tz-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritetz/v4/RLptK5rs6au7bzABmVQAOwnUbvHMbzSUU27JDewTuehCOwjVROo.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite TZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-tz/playwrite-tz-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritetz/v4/RLptK5rs6au7bzABmVQAOwnUbvHMbzSUU27JDTITuehCOwjVROo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite TZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-tz/playwrite-tz-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritetz/v4/RLptK5rs6au7bzABmVQAOwnUbvHMbzSUU27JDWwTuehCOwjVROo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite TZ\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-tz/playwrite-tz-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-tz/playwrite-tz.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1286;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Playwrite US Modern\";s:10:\"fontFamily\";s:30:\"\"Playwrite US Modern\", cursive\";s:4:\"slug\";s:19:\"playwrite-us-modern\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwriteusmodern/v4/H4cMBWmRlMXPhla3hmMaveiYz8nSDkIFLNIYl2TXUwK62YohNw2Ga0LCgUPK.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite US Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-modern/playwrite-us-modern-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwriteusmodern/v4/H4cMBWmRlMXPhla3hmMaveiYz8nSDkIFLNIYl2TXUwK62YqhNg2Ga0LCgUPK.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite US Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-modern/playwrite-us-modern-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwriteusmodern/v4/H4cMBWmRlMXPhla3hmMaveiYz8nSDkIFLNIYl2TXUwK62Yp_Ng2Ga0LCgUPK.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite US Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-modern/playwrite-us-modern-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/playwriteusmodern/v4/H4cMBWmRlMXPhla3hmMaveiYz8nSDkIFLNIYl2TXUwK62YohNg2Ga0LCgUPK.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Playwrite US Modern\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-modern/playwrite-us-modern-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-modern/playwrite-us-modern.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1287;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Playwrite US Trad\";s:10:\"fontFamily\";s:28:\"\"Playwrite US Trad\", cursive\";s:4:\"slug\";s:17:\"playwrite-us-trad\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteustrad/v4/fdNX9tyHsnVPjW9trmV7wQ0stdwRBYclCsCdzOb1-cd1E8pgiqKf5uBNig.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite US Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-trad/playwrite-us-trad-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteustrad/v4/fdNX9tyHsnVPjW9trmV7wQ0stdwRBYclCsCdzOb1-cd1k8tgiqKf5uBNig.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite US Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-trad/playwrite-us-trad-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteustrad/v4/fdNX9tyHsnVPjW9trmV7wQ0stdwRBYclCsCdzOb1-cd1TctgiqKf5uBNig.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite US Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-trad/playwrite-us-trad-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/playwriteustrad/v4/fdNX9tyHsnVPjW9trmV7wQ0stdwRBYclCsCdzOb1-cd1E8tgiqKf5uBNig.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Playwrite US Trad\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-trad/playwrite-us-trad-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-us-trad/playwrite-us-trad.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1288;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite VN\";s:10:\"fontFamily\";s:23:\"\"Playwrite VN\", cursive\";s:4:\"slug\";s:12:\"playwrite-vn\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritevn/v4/mtGo4_hXJqPSu8nf5RBY5i0q0yxCxtP-9TFBNUI8E-pHPWIQtD0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite VN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-vn/playwrite-vn-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritevn/v4/mtGo4_hXJqPSu8nf5RBY5i0q0yxCxtP-9TFBNcI9E-pHPWIQtD0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite VN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-vn/playwrite-vn-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritevn/v4/mtGo4_hXJqPSu8nf5RBY5i0q0yxCxtP-9TFBNRw9E-pHPWIQtD0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite VN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-vn/playwrite-vn-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwritevn/v4/mtGo4_hXJqPSu8nf5RBY5i0q0yxCxtP-9TFBNUI9E-pHPWIQtD0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite VN\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-vn/playwrite-vn-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-vn/playwrite-vn.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1289;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Playwrite ZA\";s:10:\"fontFamily\";s:23:\"\"Playwrite ZA\", cursive\";s:4:\"slug\";s:12:\"playwrite-za\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteza/v4/Noag6Uzhw5CTOhXKt5-vwvhrNyaNQo1LaBq0EbLGbYAsn9T5dt0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ZA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-za/playwrite-za-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteza/v4/Noag6Uzhw5CTOhXKt5-vwvhrNyaNQo1LaBq0ETLHbYAsn9T5dt0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ZA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-za/playwrite-za-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteza/v4/Noag6Uzhw5CTOhXKt5-vwvhrNyaNQo1LaBq0EezHbYAsn9T5dt0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ZA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-za/playwrite-za-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/playwriteza/v4/Noag6Uzhw5CTOhXKt5-vwvhrNyaNQo1LaBq0EbLHbYAsn9T5dt0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Playwrite ZA\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-za/playwrite-za-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/playwrite-za/playwrite-za.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1290;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Plus Jakarta Sans\";s:10:\"fontFamily\";s:31:\"\"Plus Jakarta Sans\", sans-serif\";s:4:\"slug\";s:17:\"plus-jakarta-sans\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_KU7NTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_907NTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_qU7NTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_m07NTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_d0nNTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_TknNTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIbaomQNQcsA88c7O9yZ4KMCoOg4IA6-91aHEjcWuA_KUnNTxXUEKi4Rw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ2lCR_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-200-italic.svg\";}i:8;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ17CR_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-300-italic.svg\";}i:9;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ0lCR_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-400-italic.svg\";}i:10;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ0XCR_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-500-italic.svg\";}i:11;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ37Dh_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ3CDh_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-700-italic.svg\";}i:13;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/plusjakartasans/v8/LDIZaomQNQcsA88c7O9yZ4KMCoOg4KozySKCdSNG9OcqYQ2lDh_VMq2oR82k.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Plus Jakarta Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans-800-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/plus-jakarta-sans/plus-jakarta-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1291;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Podkova\";s:10:\"fontFamily\";s:14:\"Podkova, serif\";s:4:\"slug\";s:7:\"podkova\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/podkova/v31/K2FufZ1EmftJSV9VQpXb1lo9vC3nZWtFzcU9EoporSHH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Podkova\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/podkova/podkova-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/podkova/v31/K2FufZ1EmftJSV9VQpXb1lo9vC3nZWt3zcU9EoporSHH.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Podkova\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/podkova/podkova-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/podkova/v31/K2FufZ1EmftJSV9VQpXb1lo9vC3nZWubysU9EoporSHH.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Podkova\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/podkova/podkova-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/podkova/v31/K2FufZ1EmftJSV9VQpXb1lo9vC3nZWuiysU9EoporSHH.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Podkova\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/podkova/podkova-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/podkova/v31/K2FufZ1EmftJSV9VQpXb1lo9vC3nZWvFysU9EoporSHH.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Podkova\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/podkova/podkova-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/podkova/podkova.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1292;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Poetsen One\";s:10:\"fontFamily\";s:24:\"\"Poetsen One\", system-ui\";s:4:\"slug\";s:11:\"poetsen-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poetsenone/v3/ke8hOgIaMUB37xCgvCntWtIqq_KREbG9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Poetsen One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/poetsen-one/poetsen-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/poetsen-one/poetsen-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1293;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Poiret One\";s:10:\"fontFamily\";s:23:\"\"Poiret One\", system-ui\";s:4:\"slug\";s:10:\"poiret-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/poiretone/v16/UqyVK80NJXN4zfRgbdfbk5xWVscxdKE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Poiret One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/poiret-one/poiret-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/poiret-one/poiret-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1294;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Poller One\";s:10:\"fontFamily\";s:23:\"\"Poller One\", system-ui\";s:4:\"slug\";s:10:\"poller-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/pollerone/v23/ahccv82n0TN3gia5E4Bud-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Poller One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/poller-one/poller-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/poller-one/poller-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1295;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Poltawski Nowy\";s:10:\"fontFamily\";s:23:\"\"Poltawski Nowy\", serif\";s:4:\"slug\";s:14:\"poltawski-nowy\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUsRq6ww480U1xsUpFXD-iDBNlSAOLkKCLnWq8KqCWnCC6V5CzCoQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUsRq6ww480U1xsUpFXD-iDBNlSAOLkKCLnWq8KmiWnCC6V5CzCoQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUsRq6ww480U1xsUpFXD-iDBNlSAOLkKCLnWq8KdiKnCC6V5CzCoQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUsRq6ww480U1xsUpFXD-iDBNlSAOLkKCLnWq8KTyKnCC6V5CzCoQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUuRq6ww480U1xsUpFXD-iDBPNbMh08QUl99KgfYGZPTiSUxinSoROp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUuRq6ww480U1xsUpFXD-iDBPNbMh08QUl99KgfYGZ9TiSUxinSoROp.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUuRq6ww480U1xsUpFXD-iDBPNbMh08QUl99KgfYGaRSSSUxinSoROp.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/poltawskinowy/v2/flUuRq6ww480U1xsUpFXD-iDBPNbMh08QUl99KgfYGaoSSSUxinSoROp.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Poltawski Nowy\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy-700-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/poltawski-nowy/poltawski-nowy.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1296;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Poly\";s:10:\"fontFamily\";s:11:\"Poly, serif\";s:4:\"slug\";s:4:\"poly\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/poly/v16/MQpb-W6wKNitRLWAq2Lpris.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Poly\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/poly/poly-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/poly/v16/MQpV-W6wKNitdLKKqkDsviuGWA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Poly\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/poly/poly-400-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/poly/poly.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1297;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Pompiere\";s:10:\"fontFamily\";s:19:\"Pompiere, system-ui\";s:4:\"slug\";s:8:\"pompiere\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/pompiere/v19/VEMyRoxis5Dwuyeov6Wo5jDtreOL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Pompiere\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/pompiere/pompiere-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/pompiere/pompiere.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1298;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Pontano Sans\";s:10:\"fontFamily\";s:26:\"\"Pontano Sans\", sans-serif\";s:4:\"slug\";s:12:\"pontano-sans\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/pontanosans/v17/qFdW35GdgYR8EzR6oBLDHa3wyRf8W8eBM6XLOSzMncOMp9gzWsE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Pontano Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/pontano-sans/pontano-sans-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/pontanosans/v17/qFdW35GdgYR8EzR6oBLDHa3wyRf8W8eBM6XLOXLMncOMp9gzWsE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Pontano Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/pontano-sans/pontano-sans-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/pontanosans/v17/qFdW35GdgYR8EzR6oBLDHa3wyRf8W8eBM6XLOUDMncOMp9gzWsE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Pontano Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/pontano-sans/pontano-sans-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/pontanosans/v17/qFdW35GdgYR8EzR6oBLDHa3wyRf8W8eBM6XLOazLncOMp9gzWsE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Pontano Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/pontano-sans/pontano-sans-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/pontanosans/v17/qFdW35GdgYR8EzR6oBLDHa3wyRf8W8eBM6XLOZXLncOMp9gzWsE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Pontano Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/pontano-sans/pontano-sans-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/pontano-sans/pontano-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1299;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Poor Story\";s:10:\"fontFamily\";s:23:\"\"Poor Story\", system-ui\";s:4:\"slug\";s:10:\"poor-story\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/poorstory/v20/jizfREFUsnUct9P6cDfd4OynLD0Z4zM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Poor Story\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/poor-story/poor-story-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/poor-story/poor-story.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1300;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Poppins\";s:10:\"fontFamily\";s:19:\"Poppins, sans-serif\";s:4:\"slug\";s:7:\"poppins\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/poppins/v21/pxiGyp8kv8JHgFVrLPTecnFBGPaTSQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/poppins/v21/pxiAyp8kv8JHgFVrJJLmE3tAOvODSVFF.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLFj_V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLmv1plFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLDz8V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLm21llFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/poppins/v21/pxiEyp8kv8JHgFVrFJXUc1NECPY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/poppins/v21/pxiGyp8kv8JHgFVrJJLecnFBGPaTSQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLGT9V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLmg1hlFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLEj6V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLmr19lFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLCz7V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLmy15lFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLDD4V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLm111lFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/poppins/v21/pxiByp8kv8JHgFVrLBT5V15vFP-KUEg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/poppins/v21/pxiDyp8kv8JHgFVrJJLm81xlFd2PQEhcqw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Poppins\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/poppins/poppins.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1301;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Port Lligat Sans\";s:10:\"fontFamily\";s:30:\"\"Port Lligat Sans\", sans-serif\";s:4:\"slug\";s:16:\"port-lligat-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/portlligatsans/v22/kmKmZrYrGBbdN1aV7Vokow6Lw4s4l7Z0Tx4xEcQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Port Lligat Sans\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/port-lligat-sans/port-lligat-sans-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/port-lligat-sans/port-lligat-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1302;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Port Lligat Slab\";s:10:\"fontFamily\";s:25:\"\"Port Lligat Slab\", serif\";s:4:\"slug\";s:16:\"port-lligat-slab\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/portlligatslab/v25/LDIpaoiQNgArA8kR7ulhZ8P_NYOss78b9yGLmfI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Port Lligat Slab\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/port-lligat-slab/port-lligat-slab-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/port-lligat-slab/port-lligat-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1303;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Potta One\";s:10:\"fontFamily\";s:22:\"\"Potta One\", system-ui\";s:4:\"slug\";s:9:\"potta-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/pottaone/v17/FeVSS05Bp6cy7xI-YfxQ2J5nm29Gww.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Potta One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/potta-one/potta-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/potta-one/potta-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1304;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Pragati Narrow\";s:10:\"fontFamily\";s:28:\"\"Pragati Narrow\", sans-serif\";s:4:\"slug\";s:14:\"pragati-narrow\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/pragatinarrow/v13/vm8vdRf0T0bS1ffgsPB7WZ-mD176ytN3M48a.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Pragati Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/pragati-narrow/pragati-narrow-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/pragatinarrow/v13/vm8sdRf0T0bS1ffgsPB7WZ-mD2ZD5fd6GJMTlo_4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Pragati Narrow\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/pragati-narrow/pragati-narrow-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/pragati-narrow/pragati-narrow.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1305;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Praise\";s:10:\"fontFamily\";s:15:\"Praise, cursive\";s:4:\"slug\";s:6:\"praise\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/praise/v7/qkBUXvUZ-cnFXcFyC_O67L9XmQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Praise\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/praise/praise-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/praise/praise.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1306;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Prata\";s:10:\"fontFamily\";s:12:\"Prata, serif\";s:4:\"slug\";s:5:\"prata\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/prata/v20/6xKhdSpbNNCT-vWNAG_5LWwJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Prata\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/prata/prata-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/prata/prata.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1307;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Preahvihear\";s:10:\"fontFamily\";s:23:\"Preahvihear, sans-serif\";s:4:\"slug\";s:11:\"preahvihear\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/preahvihear/v29/6NUS8F-dNQeEYhzj7uluxswB49FJf8Wv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Preahvihear\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/preahvihear/preahvihear-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/preahvihear/preahvihear.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1308;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Press Start 2P\";s:10:\"fontFamily\";s:27:\"\"Press Start 2P\", system-ui\";s:4:\"slug\";s:15:\"press-start-2-p\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/pressstart2p/v15/e3t4euO8T-267oIAQAu6jDQyK0nXgPJE4580.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Press Start 2P\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/press-start-2p/press-start-2p-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/press-start-2p/press-start-2p.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1309;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Pridi\";s:10:\"fontFamily\";s:12:\"Pridi, serif\";s:4:\"slug\";s:5:\"pridi\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/pridi/v13/2sDdZG5JnZLfkc1SiE0mRUG0AqUc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Pridi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/pridi/v13/2sDdZG5JnZLfkc02i00mRUG0AqUc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Pridi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/pridi/v13/2sDQZG5JnZLfkfWfo2krbl29.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Pridi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/pridi/v13/2sDdZG5JnZLfkc1uik0mRUG0AqUc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Pridi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/pridi/v13/2sDdZG5JnZLfkc1CjU0mRUG0AqUc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Pridi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/pridi/v13/2sDdZG5JnZLfkc0mjE0mRUG0AqUc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Pridi\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/pridi/pridi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1310;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Princess Sofia\";s:10:\"fontFamily\";s:25:\"\"Princess Sofia\", cursive\";s:4:\"slug\";s:14:\"princess-sofia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/princesssofia/v25/qWczB6yguIb8DZ_GXZst16n7GRz-mDUoupoI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Princess Sofia\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/princess-sofia/princess-sofia-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/princess-sofia/princess-sofia.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1311;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Prociono\";s:10:\"fontFamily\";s:15:\"Prociono, serif\";s:4:\"slug\";s:8:\"prociono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prociono/v26/r05YGLlR-KxAf9GGO8usyDYtStiJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Prociono\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/prociono/prociono-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/prociono/prociono.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1312;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Prompt\";s:10:\"fontFamily\";s:18:\"Prompt, sans-serif\";s:4:\"slug\";s:6:\"prompt\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/prompt/v10/-W_9XJnvUD7dzB2CA9odREcjeo0k.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/prompt/v10/-W_7XJnvUD7dzB2KZeJ8TkYBf50kbiM.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2Cr_s4a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeLQb2MuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2Cy_g4a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeK0bGMuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/prompt/v10/-W__XJnvUD7dzB26YtAcZkIzeg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/prompt/v10/-W_9XJnvUD7dzB2KZdodREcjeo0k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2Ck_k4a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeLsbWMuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2Cv_44a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeLAamMuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2C2_84a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeKka2MuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2Cx_w4a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeK4aGMuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2C4_04a2kvc5Q9dw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/prompt/v10/-W_6XJnvUD7dzB2KZeKcaWMuUZEtdzow.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Prompt\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/prompt/prompt.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1313;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Prosto One\";s:10:\"fontFamily\";s:23:\"\"Prosto One\", system-ui\";s:4:\"slug\";s:10:\"prosto-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/prostoone/v19/OpNJno4VhNfK-RgpwWWxpi9fWhXD00c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Prosto One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/prosto-one/prosto-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/prosto-one/prosto-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1314;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Protest Guerrilla\";s:10:\"fontFamily\";s:30:\"\"Protest Guerrilla\", system-ui\";s:4:\"slug\";s:17:\"protest-guerrilla\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/protestguerrilla/v2/Qw3HZR5PDSL6K3irtrY-VJB2YzARHV0hoJ8y_eiS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Protest Guerrilla\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-guerrilla/protest-guerrilla-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-guerrilla/protest-guerrilla.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1315;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Protest Revolution\";s:10:\"fontFamily\";s:31:\"\"Protest Revolution\", system-ui\";s:4:\"slug\";s:18:\"protest-revolution\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/protestrevolution/v2/11hcGofZ0kXBbxQXFB7MJsjtqnVw6Z2s9fIzTG1nQw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Protest Revolution\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-revolution/protest-revolution-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-revolution/protest-revolution.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1316;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Protest Riot\";s:10:\"fontFamily\";s:25:\"\"Protest Riot\", system-ui\";s:4:\"slug\";s:12:\"protest-riot\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/protestriot/v2/d6lPkaOxWMKm7TdezXFmpkrM0vJgjmRpOA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Protest Riot\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-riot/protest-riot-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-riot/protest-riot.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1317;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Protest Strike\";s:10:\"fontFamily\";s:27:\"\"Protest Strike\", system-ui\";s:4:\"slug\";s:14:\"protest-strike\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/proteststrike/v2/0QI5MXdf4Y67Rn6vBog67ZjFlpzT0gZOs7BX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Protest Strike\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-strike/protest-strike-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/protest-strike/protest-strike.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1318;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Proza Libre\";s:10:\"fontFamily\";s:25:\"\"Proza Libre\", sans-serif\";s:4:\"slug\";s:11:\"proza-libre\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjGdGHgj0k1DIQRyUEyyHoqftvXWYyz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjEdGHgj0k1DIQRyUEyyEotdNr1XJyz7zc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjbdGHgj0k1DIQRyUEyyELbV__acpC69i6N.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjZdGHgj0k1DIQRyUEyyEotTCvceJGY8z6Np1k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-500-italic.svg\";}i:4;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjbdGHgj0k1DIQRyUEyyEL3UP_acpC69i6N.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjZdGHgj0k1DIQRyUEyyEotTAfbeJGY8z6Np1k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-600-italic.svg\";}i:6;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjbdGHgj0k1DIQRyUEyyEKTUf_acpC69i6N.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjZdGHgj0k1DIQRyUEyyEotTGPaeJGY8z6Np1k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-700-italic.svg\";}i:8;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjbdGHgj0k1DIQRyUEyyEKPUv_acpC69i6N.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-800-normal.svg\";}i:9;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/prozalibre/v9/LYjZdGHgj0k1DIQRyUEyyEotTH_ZeJGY8z6Np1k.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Proza Libre\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre-800-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/proza-libre/proza-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1319;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Public Sans\";s:10:\"fontFamily\";s:25:\"\"Public Sans\", sans-serif\";s:4:\"slug\";s:11:\"public-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymuFpi5xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymulpm5xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymuSJm5xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymuFpm5xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymuJJm5xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymuyJ65xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymu8Z65xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymulp65xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/publicsans/v18/ijwGs572Xtc6ZYQws9YVwllKVG8qX1oyOymuv565xg0pX189fg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673tpRgQcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673trRgAcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673toPgAcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673tpRgAcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673tpjgAcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673tqPhwcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673tq2hwcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673trRhwcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/publicsans/v18/ijwAs572Xtc6ZYQws9YVwnNDZpDyNjGolS673tr4hwcofVotfj7j.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Public Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/public-sans/public-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1320;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Puppies Play\";s:10:\"fontFamily\";s:23:\"\"Puppies Play\", cursive\";s:4:\"slug\";s:12:\"puppies-play\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/puppiesplay/v9/wlp2gwHZEV99rG6M3NR9uB9vbQJSA_JN3Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Puppies Play\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/puppies-play/puppies-play-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/puppies-play/puppies-play.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1321;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Puritan\";s:10:\"fontFamily\";s:19:\"Puritan, sans-serif\";s:4:\"slug\";s:7:\"puritan\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/puritan/v24/845YNMgkAJ2VTtIo9J_wRdaI50M.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Puritan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/puritan/puritan-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/puritan/v24/845aNMgkAJ2VTtIoxJj6RPSN90PfXA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Puritan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/puritan/puritan-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/puritan/v24/845dNMgkAJ2VTtIozCbfYduj-0rGRes.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Puritan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/puritan/puritan-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/puritan/v24/845fNMgkAJ2VTtIoxJjC_dup-mjDVevnLQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Puritan\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/puritan/puritan-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/puritan/puritan.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1322;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Purple Purse\";s:10:\"fontFamily\";s:25:\"\"Purple Purse\", system-ui\";s:4:\"slug\";s:12:\"purple-purse\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/purplepurse/v23/qWctB66gv53iAp-Vfs4My6qyfRb_ujA4ug.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Purple Purse\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/purple-purse/purple-purse-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/purple-purse/purple-purse.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1323;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Qahiri\";s:10:\"fontFamily\";s:18:\"Qahiri, sans-serif\";s:4:\"slug\";s:6:\"qahiri\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/qahiri/v9/tsssAp1RZy0C_hGuVnChrnmupw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Qahiri\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/qahiri/qahiri-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/qahiri/qahiri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1324;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Quando\";s:10:\"fontFamily\";s:13:\"Quando, serif\";s:4:\"slug\";s:6:\"quando\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/quando/v16/xMQVuFNaVa6YuW0pDqWzKX_QmA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Quando\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/quando/quando-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/quando/quando.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1325;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Quantico\";s:10:\"fontFamily\";s:20:\"Quantico, sans-serif\";s:4:\"slug\";s:8:\"quantico\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/quantico/v17/rax-HiSdp9cPL3KIF4xpLjxSmlLZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Quantico\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/quantico/quantico-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/quantico/v17/rax4HiSdp9cPL3KIF7xuJD1wn0LZ6T8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Quantico\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/quantico/quantico-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/quantico/v17/rax5HiSdp9cPL3KIF7TQARhfsU7Q8Cad.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Quantico\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/quantico/quantico-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/quantico/v17/rax7HiSdp9cPL3KIF7xuHIRfu0_y9TadML4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Quantico\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/quantico/quantico-700-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/quantico/quantico.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1326;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Quattrocento\";s:10:\"fontFamily\";s:19:\"Quattrocento, serif\";s:4:\"slug\";s:12:\"quattrocento\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/quattrocento/v23/OZpEg_xvsDZQL_LKIF7q4jPHwWL7f4jFuA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Quattrocento\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento/quattrocento-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/quattrocento/v23/OZpbg_xvsDZQL_LKIF7q4jP_eE3fcqPZsXcM9w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Quattrocento\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento/quattrocento-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento/quattrocento.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1327;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Quattrocento Sans\";s:10:\"fontFamily\";s:31:\"\"Quattrocento Sans\", sans-serif\";s:4:\"slug\";s:17:\"quattrocento-sans\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/quattrocentosans/v21/va9c4lja2NVIDdIAAoMR5MfuElaRB3zLvU7eHGHJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Quattrocento Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento-sans/quattrocento-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/quattrocentosans/v21/va9a4lja2NVIDdIAAoMR5MfuElaRB0zMt0_8GXHJkLI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Quattrocento Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento-sans/quattrocento-sans-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/quattrocentosans/v21/va9Z4lja2NVIDdIAAoMR5MfuElaRB0RykmrTN33AiasJ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Quattrocento Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento-sans/quattrocento-sans-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/quattrocentosans/v21/va9X4lja2NVIDdIAAoMR5MfuElaRB0zMj_bTPXzijLsJV7E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Quattrocento Sans\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento-sans/quattrocento-sans-700-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/quattrocento-sans/quattrocento-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1328;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Questrial\";s:10:\"fontFamily\";s:21:\"Questrial, sans-serif\";s:4:\"slug\";s:9:\"questrial\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/questrial/v18/QdVUSTchPBm7nuUeVf7EvCtkm20oJA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Questrial\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/questrial/questrial-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/questrial/questrial.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1329;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Quicksand\";s:10:\"fontFamily\";s:21:\"Quicksand, sans-serif\";s:4:\"slug\";s:9:\"quicksand\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/quicksand/v31/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkKEo18S0wx40QDw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Quicksand\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/quicksand/quicksand-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/quicksand/v31/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o18S0wx40QDw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Quicksand\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/quicksand/quicksand-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/quicksand/v31/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkM0o18S0wx40QDw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Quicksand\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/quicksand/quicksand-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/quicksand/v31/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkCEv18S0wx40QDw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Quicksand\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/quicksand/quicksand-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/quicksand/v31/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkBgv18S0wx40QDw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Quicksand\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/quicksand/quicksand-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/quicksand/quicksand.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1330;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Quintessential\";s:10:\"fontFamily\";s:23:\"Quintessential, cursive\";s:4:\"slug\";s:14:\"quintessential\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/quintessential/v22/fdNn9sOGq31Yjnh3qWU14DdtjY51S7kmAyxM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Quintessential\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/quintessential/quintessential-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/quintessential/quintessential.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1331;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Qwigley\";s:10:\"fontFamily\";s:16:\"Qwigley, cursive\";s:4:\"slug\";s:7:\"qwigley\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/qwigley/v18/1cXzaU3UGJb5tGoCuVlsi1mBmcE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Qwigley\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/qwigley/qwigley-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/qwigley/qwigley.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1332;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Qwitcher Grypen\";s:10:\"fontFamily\";s:26:\"\"Qwitcher Grypen\", cursive\";s:4:\"slug\";s:15:\"qwitcher-grypen\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/qwitchergrypen/v6/pxicypclp9tDilN9RrC5BSI1dZmrTWNAom-wpw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Qwitcher Grypen\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/qwitcher-grypen/qwitcher-grypen-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/qwitchergrypen/v6/pxiZypclp9tDilN9RrC5BSI1dZmT9Exkr0SsrvNXiA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Qwitcher Grypen\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/qwitcher-grypen/qwitcher-grypen-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/qwitcher-grypen/qwitcher-grypen.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1333;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"REM\";s:10:\"fontFamily\";s:15:\"REM, sans-serif\";s:4:\"slug\";s:3:\"rem\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPMLrrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPELqrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPJzqrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPMLqrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPPDqrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPBztrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPCXtrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPELtrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rem/v2/WnzgHAIoSDyHbRjfsYumpRvUPGvtrT8UbIqIfBU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpRXgebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpxXkebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpG3kebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpRXkebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpd3kebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpm34ebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpon4ebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqpxX4ebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rem/v2/WnzmHAIoSDytZCogaeLNP7XTKQqp7H4ebaiNbBVWkw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:3:\"REM\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem-900-italic.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/rem/rem.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1334;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Racing Sans One\";s:10:\"fontFamily\";s:28:\"\"Racing Sans One\", system-ui\";s:4:\"slug\";s:15:\"racing-sans-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/racingsansone/v15/sykr-yRtm7EvTrXNxkv5jfKKyDCwKnrmWpIBtA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Racing Sans One\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/racing-sans-one/racing-sans-one-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/racing-sans-one/racing-sans-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1335;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Radio Canada\";s:10:\"fontFamily\";s:26:\"\"Radio Canada\", sans-serif\";s:4:\"slug\";s:12:\"radio-canada\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX13ISXn0dBMcibU6jlAqr3ejLv5OLZYiYXik6db2P4jxxlsls-0nESkQPNJOdSSfOT.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX13ISXn0dBMcibU6jlAqr3ejLv5OLZYiYXik6db2P4jxxlsls-0nFMkQPNJOdSSfOT.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX13ISXn0dBMcibU6jlAqr3ejLv5OLZYiYXik6db2P4jxxlsls-0nF-kQPNJOdSSfOT.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX13ISXn0dBMcibU6jlAqr3ejLv5OLZYiYXik6db2P4jxxlsls-0nGSlgPNJOdSSfOT.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX13ISXn0dBMcibU6jlAqr3ejLv5OLZYiYXik6db2P4jxxlsls-0nGrlgPNJOdSSfOT.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX33ISXn0dBMcibU6jlAqrdcwAMBJuK9IgQn4bfnSrKcMQM2cGQ1WSE0rWLLuZwTOOTa9k.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX33ISXn0dBMcibU6jlAqrdcwAMBJuK9IgQn4bfnSrKcMQM2cGQ1WSE0uuLLuZwTOOTa9k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX33ISXn0dBMcibU6jlAqrdcwAMBJuK9IgQn4bfnSrKcMQM2cGQ1WSE0tmLLuZwTOOTa9k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX33ISXn0dBMcibU6jlAqrdcwAMBJuK9IgQn4bfnSrKcMQM2cGQ1WSE0jWMLuZwTOOTa9k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/radiocanada/v21/XRX33ISXn0dBMcibU6jlAqrdcwAMBJuK9IgQn4bfnSrKcMQM2cGQ1WSE0gyMLuZwTOOTa9k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Radio Canada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada/radio-canada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1336;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Radio Canada Big\";s:10:\"fontFamily\";s:30:\"\"Radio Canada Big\", sans-serif\";s:4:\"slug\";s:16:\"radio-canada-big\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjUdHrinEImAoQewU0hyTsPFra4Yp-6A-YRBF-RX6nNRY3s2pcheCsG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjUdHrinEImAoQewU0hyTsPFra4Yp-6A-YRBF-RX6n_RY3s2pcheCsG.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjUdHrinEImAoQewU0hyTsPFra4Yp-6A-YRBF-RX6kTQo3s2pcheCsG.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjUdHrinEImAoQewU0hyTsPFra4Yp-6A-YRBF-RX6kqQo3s2pcheCsG.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjqdHrinEImAoQewU0hyTsPFra4SJaI_D54b8U_WLwFBmWq0JYDfTsGdMc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjqdHrinEImAoQewU0hyTsPFra4SJaI_D54b8U_WLwFBleq0JYDfTsGdMc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjqdHrinEImAoQewU0hyTsPFra4SJaI_D54b8U_WLwFBrut0JYDfTsGdMc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/radiocanadabig/v1/LYjqdHrinEImAoQewU0hyTsPFra4SJaI_D54b8U_WLwFBoKt0JYDfTsGdMc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Radio Canada Big\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big-700-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/radio-canada-big/radio-canada-big.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1337;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Radley\";s:10:\"fontFamily\";s:13:\"Radley, serif\";s:4:\"slug\";s:6:\"radley\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/radley/v22/LYjDdGzinEIjCN19pQlEpVs3VQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Radley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/radley/radley-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/radley/v22/LYjBdGzinEIjCN1NogNFh14nVcfe.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Radley\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/radley/radley-400-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/radley/radley.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1338;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Rajdhani\";s:10:\"fontFamily\";s:20:\"Rajdhani, sans-serif\";s:4:\"slug\";s:8:\"rajdhani\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/rajdhani/v15/LDI2apCSOBg7S-QT7pasEcOpc-bGkqIw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Rajdhani\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rajdhani/rajdhani-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/rajdhani/v15/LDIxapCSOBg7S-QT7q4FOeekWPrP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Rajdhani\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rajdhani/rajdhani-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/rajdhani/v15/LDI2apCSOBg7S-QT7pb0EMOpc-bGkqIw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Rajdhani\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rajdhani/rajdhani-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/rajdhani/v15/LDI2apCSOBg7S-QT7pbYF8Opc-bGkqIw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Rajdhani\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rajdhani/rajdhani-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/rajdhani/v15/LDI2apCSOBg7S-QT7pa8FsOpc-bGkqIw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Rajdhani\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rajdhani/rajdhani-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/rajdhani/rajdhani.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1339;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Rakkas\";s:10:\"fontFamily\";s:17:\"Rakkas, system-ui\";s:4:\"slug\";s:6:\"rakkas\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/rakkas/v19/Qw3cZQlNHiblL3j_k9tPOeMcCw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Rakkas\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rakkas/rakkas-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/rakkas/rakkas.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1340;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Raleway\";s:10:\"fontFamily\";s:19:\"Raleway, sans-serif\";s:4:\"slug\";s:7:\"raleway\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvao4CKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVtaooCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVuEooCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaooCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvoooCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVsEpYCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVs9pYCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVtapYCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/raleway/v34/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVtzpYCKNLA3JC9c.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4WjNPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4ejMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4TbMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4WjMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4VrMPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4bbLPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4Y_LPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4ejLPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/raleway/v34/1Pt_g8zYS_SKggPNyCgSQamb1W0lwk4S4cHLPrEVIT9c2c8.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Raleway\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway/raleway.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1341;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Raleway Dots\";s:10:\"fontFamily\";s:25:\"\"Raleway Dots\", system-ui\";s:4:\"slug\";s:12:\"raleway-dots\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/ralewaydots/v18/6NUR8FifJg6AfQvzpshgwJ8kzP9Fdty2ew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Raleway Dots\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway-dots/raleway-dots-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/raleway-dots/raleway-dots.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1342;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Ramabhadra\";s:10:\"fontFamily\";s:22:\"Ramabhadra, sans-serif\";s:4:\"slug\";s:10:\"ramabhadra\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/ramabhadra/v15/EYq2maBOwqRW9P1SQ83LehZGX5uWw3o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ramabhadra\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ramabhadra/ramabhadra-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/ramabhadra/ramabhadra.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1343;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Ramaraja\";s:10:\"fontFamily\";s:15:\"Ramaraja, serif\";s:4:\"slug\";s:8:\"ramaraja\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/ramaraja/v15/SlGTmQearpYAYG1CABIhqnB6aSQU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Ramaraja\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/ramaraja/ramaraja-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/ramaraja/ramaraja.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1344;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Rambla\";s:10:\"fontFamily\";s:18:\"Rambla, sans-serif\";s:4:\"slug\";s:6:\"rambla\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/rambla/v13/snfrs0ip98hx6mr0JrIONthkwQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Rambla\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rambla/rambla-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/rambla/v13/snfps0ip98hx6mrEIbgPFN10wYKa.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Rambla\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rambla/rambla-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/rambla/v13/snfos0ip98hx6mrMn50qO_N4yJuDYQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Rambla\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rambla/rambla-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/rambla/v13/snfus0ip98hx6mrEIYC2O_l56p6TYS-Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Rambla\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rambla/rambla-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/rambla/rambla.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1345;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Rammetto One\";s:10:\"fontFamily\";s:25:\"\"Rammetto One\", system-ui\";s:4:\"slug\";s:12:\"rammetto-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/rammettoone/v19/LhWiMV3HOfMbMetJG3lQDpp9N_uciu-_SQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rammetto One\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rammetto-one/rammetto-one-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/rammetto-one/rammetto-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1346;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Rampart One\";s:10:\"fontFamily\";s:24:\"\"Rampart One\", system-ui\";s:4:\"slug\";s:11:\"rampart-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/rampartone/v10/K2F1fZFGl_JSR1tAWNG9R6qlLS76ZHOM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Rampart One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/rampart-one/rampart-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/rampart-one/rampart-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1347;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Ranchers\";s:10:\"fontFamily\";s:19:\"Ranchers, system-ui\";s:4:\"slug\";s:8:\"ranchers\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/ranchers/v17/zrfm0H3Lx-P2Xvs2AoDdDC79XTHv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Ranchers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/ranchers/ranchers-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/ranchers/ranchers.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1348;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Rancho\";s:10:\"fontFamily\";s:15:\"Rancho, cursive\";s:4:\"slug\";s:6:\"rancho\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/rancho/v21/46kulbzmXjLaqZRlaGXgd0RY1g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Rancho\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rancho/rancho-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/rancho/rancho.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1349;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Ranga\";s:10:\"fontFamily\";s:16:\"Ranga, system-ui\";s:4:\"slug\";s:5:\"ranga\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/ranga/v21/C8ct4cYisGb28p6HLDwZwmGE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ranga\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ranga/ranga-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/ranga/v21/C8cg4cYisGb28qY-AxgU6X2NZAn2.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ranga\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ranga/ranga-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/ranga/ranga.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1350;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Rasa\";s:10:\"fontFamily\";s:11:\"Rasa, serif\";s:4:\"slug\";s:4:\"rasa\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rasa/v22/xn76YHIn1mWmVKl8ZtAM9NrJfN4YJW4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rasa/v22/xn76YHIn1mWmVKl8ZtAM9NrJfN5GJW4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rasa/v22/xn76YHIn1mWmVKl8ZtAM9NrJfN50JW4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rasa/v22/xn76YHIn1mWmVKl8ZtAM9NrJfN6YIm4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rasa/v22/xn76YHIn1mWmVKl8ZtAM9NrJfN6hIm4wfcvN2KT4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rasa/v22/xn78YHIn1mWmfqBOmQhln0Bne8uOZth2d8rv3bT4Ycc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rasa/v22/xn78YHIn1mWmfqBOmQhln0Bne8uOZoZ2d8rv3bT4Ycc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rasa/v22/xn78YHIn1mWmfqBOmQhln0Bne8uOZrR2d8rv3bT4Ycc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rasa/v22/xn78YHIn1mWmfqBOmQhln0Bne8uOZlhxd8rv3bT4Ycc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rasa/v22/xn78YHIn1mWmfqBOmQhln0Bne8uOZmFxd8rv3bT4Ycc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Rasa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/rasa/rasa.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1351;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Rationale\";s:10:\"fontFamily\";s:21:\"Rationale, sans-serif\";s:4:\"slug\";s:9:\"rationale\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/rationale/v28/9XUnlJ92n0_JFxHIfHcsc1FMzLC2Zw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Rationale\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/rationale/rationale-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/rationale/rationale.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1352;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Ravi Prakash\";s:10:\"fontFamily\";s:25:\"\"Ravi Prakash\", system-ui\";s:4:\"slug\";s:12:\"ravi-prakash\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/raviprakash/v19/gokpH6fsDkVrF9Bv9X8SOAKHndZEq6TTFw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Ravi Prakash\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/ravi-prakash/ravi-prakash-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/ravi-prakash/ravi-prakash.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1353;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Readex Pro\";s:10:\"fontFamily\";s:24:\"\"Readex Pro\", sans-serif\";s:4:\"slug\";s:10:\"readex-pro\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/readexpro/v21/SLXnc1bJ7HE5YDoGPuzj_dh8uc7wUy8ZQQyX2KY8TL0kGZN6blTCYUSmh2sglvjkag.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Readex Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/readexpro/v21/SLXnc1bJ7HE5YDoGPuzj_dh8uc7wUy8ZQQyX2KY8TL0kGZN6blTCv0Smh2sglvjkag.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Readex Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/readexpro/v21/SLXnc1bJ7HE5YDoGPuzj_dh8uc7wUy8ZQQyX2KY8TL0kGZN6blTC4USmh2sglvjkag.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Readex Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/readexpro/v21/SLXnc1bJ7HE5YDoGPuzj_dh8uc7wUy8ZQQyX2KY8TL0kGZN6blTC00Smh2sglvjkag.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Readex Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/readexpro/v21/SLXnc1bJ7HE5YDoGPuzj_dh8uc7wUy8ZQQyX2KY8TL0kGZN6blTCP0Omh2sglvjkag.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Readex Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/readexpro/v21/SLXnc1bJ7HE5YDoGPuzj_dh8uc7wUy8ZQQyX2KY8TL0kGZN6blTCBkOmh2sglvjkag.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Readex Pro\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/readex-pro/readex-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1354;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Recursive\";s:10:\"fontFamily\";s:21:\"Recursive, sans-serif\";s:4:\"slug\";s:9:\"recursive\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadDck015vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadCCk015vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadCwk015vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadBclE15vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadBllE15vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadAClE15vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:164:\"https://fonts.gstatic.com/s/recursive/v38/8vJN7wMr0mhh-RQChyHEH06TlXhq_gukbYrFMk1QuAIcyEwG_X-dpEfaE5YaERmK-CImKsvxvU-MXGX2fSqasNfUvz2xbXfn1uEQadArlE15vwxjDJCL.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Recursive\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/recursive/recursive.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1355;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Red Hat Display\";s:10:\"fontFamily\";s:29:\"\"Red Hat Display\", sans-serif\";s:4:\"slug\";s:15:\"red-hat-display\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbjKWck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbmyWck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbl6Wck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbrKRck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbouRck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbuyRck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIf7wUr0m80wwYf0QCXZzYzUoTK8RZQvRd-D1NYbsWRck05-Xecg3w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-900-normal.svg\";}i:7;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVxAsz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-300-italic.svg\";}i:8;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVmgsz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-400-italic.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVqAsz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVRAwz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-600-italic.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVfQwz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVGgwz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-800-italic.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/redhatdisplay/v19/8vIh7wUr0m80wwYf0QCXZzYzUoTg-CSvZX4Vlf1fe6TVMwwz-FWZk3zJGg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Red Hat Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display-900-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-display/red-hat-display.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1356;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Red Hat Mono\";s:10:\"fontFamily\";s:25:\"\"Red Hat Mono\", monospace\";s:4:\"slug\";s:12:\"red-hat-mono\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhatmono/v11/jVyY7nDnA2uf2zVvFAhhzEs-VMSjJpBTfgjwQQPI-7TNuW4QuKI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhatmono/v11/jVyY7nDnA2uf2zVvFAhhzEs-VMSjJpBTfgjwQV3I-7TNuW4QuKI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhatmono/v11/jVyY7nDnA2uf2zVvFAhhzEs-VMSjJpBTfgjwQW_I-7TNuW4QuKI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhatmono/v11/jVyY7nDnA2uf2zVvFAhhzEs-VMSjJpBTfgjwQYPP-7TNuW4QuKI.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhatmono/v11/jVyY7nDnA2uf2zVvFAhhzEs-VMSjJpBTfgjwQbrP-7TNuW4QuKI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhatmono/v11/jVye7nDnA2uf2zVvFAhhzEsUXfZc_vk45Kb3VJWLTfLHuEwVqKIJuw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhatmono/v11/jVye7nDnA2uf2zVvFAhhzEsUXfZc_vk45Kb3VJWLE_LHuEwVqKIJuw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhatmono/v11/jVye7nDnA2uf2zVvFAhhzEsUXfZc_vk45Kb3VJWLIfLHuEwVqKIJuw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhatmono/v11/jVye7nDnA2uf2zVvFAhhzEsUXfZc_vk45Kb3VJWLzfXHuEwVqKIJuw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhatmono/v11/jVye7nDnA2uf2zVvFAhhzEsUXfZc_vk45Kb3VJWL9PXHuEwVqKIJuw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Mono\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-mono/red-hat-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1357;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Red Hat Text\";s:10:\"fontFamily\";s:26:\"\"Red Hat Text\", sans-serif\";s:4:\"slug\";s:12:\"red-hat-text\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhattext/v14/RrQCbohi_ic6B3yVSzGBrMx6ZI_cy1A6Ok2ML-ZwVrPacYVFtIY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhattext/v14/RrQCbohi_ic6B3yVSzGBrMx6ZI_cy1A6Ok2ML7hwVrPacYVFtIY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhattext/v14/RrQCbohi_ic6B3yVSzGBrMx6ZI_cy1A6Ok2ML4pwVrPacYVFtIY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhattext/v14/RrQCbohi_ic6B3yVSzGBrMx6ZI_cy1A6Ok2ML2Z3VrPacYVFtIY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redhattext/v14/RrQCbohi_ic6B3yVSzGBrMx6ZI_cy1A6Ok2ML193VrPacYVFtIY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhattext/v14/RrQEbohi_ic6B3yVSzGBrMxQbb0jEzlRoOOLOnAz4PXQcKdApIYv_g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhattext/v14/RrQEbohi_ic6B3yVSzGBrMxQbb0jEzlRoOOLOnAzvvXQcKdApIYv_g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhattext/v14/RrQEbohi_ic6B3yVSzGBrMxQbb0jEzlRoOOLOnAzjPXQcKdApIYv_g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhattext/v14/RrQEbohi_ic6B3yVSzGBrMxQbb0jEzlRoOOLOnAzYPLQcKdApIYv_g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/redhattext/v14/RrQEbohi_ic6B3yVSzGBrMxQbb0jEzlRoOOLOnAzWfLQcKdApIYv_g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Red Hat Text\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text-700-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/red-hat-text/red-hat-text.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1358;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Red Rose\";s:10:\"fontFamily\";s:21:\"\"Red Rose\", system-ui\";s:4:\"slug\";s:8:\"red-rose\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/redrose/v20/QdVISTYiLBjouPgEUajvsfWwDtc3MH8y8_sDdzSsYUVUjg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Red Rose\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/red-rose/red-rose-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/redrose/v20/QdVISTYiLBjouPgEUajvsfWwDtc3MH8yrfsDdzSsYUVUjg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Red Rose\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/red-rose/red-rose-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/redrose/v20/QdVISTYiLBjouPgEUajvsfWwDtc3MH8yn_sDdzSsYUVUjg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Red Rose\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/red-rose/red-rose-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/redrose/v20/QdVISTYiLBjouPgEUajvsfWwDtc3MH8yc_wDdzSsYUVUjg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Red Rose\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/red-rose/red-rose-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/redrose/v20/QdVISTYiLBjouPgEUajvsfWwDtc3MH8ySvwDdzSsYUVUjg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Red Rose\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/red-rose/red-rose-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/red-rose/red-rose.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1359;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Redacted\";s:10:\"fontFamily\";s:19:\"Redacted, system-ui\";s:4:\"slug\";s:8:\"redacted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/redacted/v8/Z9XVDmdRShme2O_7aITb4u2El6GC.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Redacted\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/redacted/redacted-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/redacted/redacted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1360;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Redacted Script\";s:10:\"fontFamily\";s:28:\"\"Redacted Script\", system-ui\";s:4:\"slug\";s:15:\"redacted-script\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/redactedscript/v10/ypvEbXGRglhokR7dcC3d1-R6zmxqHUzVnLI397ldkg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Redacted Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/redacted-script/redacted-script-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/redactedscript/v10/ypvBbXGRglhokR7dcC3d1-R6zmxStGTxkZkr_g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Redacted Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/redacted-script/redacted-script-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/redactedscript/v10/ypvEbXGRglhokR7dcC3d1-R6zmxqDUvVnLI397ldkg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Redacted Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/redacted-script/redacted-script-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/redacted-script/redacted-script.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1361;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Reddit Mono\";s:10:\"fontFamily\";s:24:\"\"Reddit Mono\", monospace\";s:4:\"slug\";s:11:\"reddit-mono\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUQCYad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUniYad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUwCYad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vU8iYad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUHiEad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUJyEad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUQCEad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditmono/v3/oPWc_kRmmu4oQ88oo13o48DHbsqn28eR20vUaSEad3nYz7yQYA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-mono/reddit-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1362;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Reddit Sans\";s:10:\"fontFamily\";s:25:\"\"Reddit Sans\", sans-serif\";s:4:\"slug\";s:11:\"reddit-sans\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5ux7YxmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5uxM4xmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5uxbYxmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5uxX4xmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5uxs4tmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5uxiotmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5ux7YtmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/redditsans/v4/EYqgmaFOxq1T_-ETdN7EKSlnU2dHRsBCV5uxxItmBFfBiVMFlw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc8OQl3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc_QQl3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc-OQl3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc-8Ql3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc9QRV3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc9pRV3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc8ORV3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/redditsans/v4/EYqmmaFOxq1T_-ETdN7EKQNuYZifL6vY-Zykpc8nRV3Aq1YVlz5F.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Reddit Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans-900-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans/reddit-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1363;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Reddit Sans Condensed\";s:10:\"fontFamily\";s:35:\"\"Reddit Sans Condensed\", sans-serif\";s:4:\"slug\";s:21:\"reddit-sans-condensed\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro9kKUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJrowcKUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro1kKUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro2sKUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro4cNUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro74NUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro9kNUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/redditsanscondensed/v3/m8J_jepOc6WYkkm2Dey9A5QGAQXmuL3va5IfZsq2gyKtWVJro_ANUpA4u7XDIuc.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Reddit Sans Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed-900-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/reddit-sans-condensed/reddit-sans-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1364;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Redressed\";s:10:\"fontFamily\";s:18:\"Redressed, cursive\";s:4:\"slug\";s:9:\"redressed\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/redressed/v29/x3dickHUbrmJ7wMy9MsBefACvy_1BA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Redressed\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/redressed/redressed-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/redressed/redressed.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1365;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Reem Kufi\";s:10:\"fontFamily\";s:23:\"\"Reem Kufi\", sans-serif\";s:4:\"slug\";s:9:\"reem-kufi\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/reemkufi/v21/2sDPZGJLip7W2J7v7wQZZE1I0yCmYzzQtuZnEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Reem Kufi\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi/reem-kufi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/reemkufi/v21/2sDPZGJLip7W2J7v7wQZZE1I0yCmYzzQttRnEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Reem Kufi\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi/reem-kufi-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/reemkufi/v21/2sDPZGJLip7W2J7v7wQZZE1I0yCmYzzQtjhgEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Reem Kufi\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi/reem-kufi-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/reemkufi/v21/2sDPZGJLip7W2J7v7wQZZE1I0yCmYzzQtgFgEGSf3qGuvM4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Reem Kufi\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi/reem-kufi-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi/reem-kufi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1366;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Reem Kufi Fun\";s:10:\"fontFamily\";s:27:\"\"Reem Kufi Fun\", sans-serif\";s:4:\"slug\";s:13:\"reem-kufi-fun\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/reemkufifun/v7/uK_m4rOFYukkmyUEbF43fIryZEk5qRZ8nrKChoYj3nClrvqZzZXq.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Reem Kufi Fun\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-fun/reem-kufi-fun-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/reemkufifun/v7/uK_m4rOFYukkmyUEbF43fIryZEk5qRZ8nrKChoYR3nClrvqZzZXq.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Reem Kufi Fun\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-fun/reem-kufi-fun-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/reemkufifun/v7/uK_m4rOFYukkmyUEbF43fIryZEk5qRZ8nrKChob92XClrvqZzZXq.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Reem Kufi Fun\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-fun/reem-kufi-fun-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/reemkufifun/v7/uK_m4rOFYukkmyUEbF43fIryZEk5qRZ8nrKChobE2XClrvqZzZXq.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Reem Kufi Fun\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-fun/reem-kufi-fun-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-fun/reem-kufi-fun.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1367;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Reem Kufi Ink\";s:10:\"fontFamily\";s:27:\"\"Reem Kufi Ink\", sans-serif\";s:4:\"slug\";s:13:\"reem-kufi-ink\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/reemkufiink/v9/oPWJ_kJmmu8hCvB9iFumxZSnRjtdQnSX1ko.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Reem Kufi Ink\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-ink/reem-kufi-ink-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/reem-kufi-ink/reem-kufi-ink.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1368;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Reenie Beanie\";s:10:\"fontFamily\";s:24:\"\"Reenie Beanie\", cursive\";s:4:\"slug\";s:13:\"reenie-beanie\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/reeniebeanie/v20/z7NSdR76eDkaJKZJFkkjuvWxbPi_qoOgf_w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Reenie Beanie\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/reenie-beanie/reenie-beanie-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/reenie-beanie/reenie-beanie.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1369;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Reggae One\";s:10:\"fontFamily\";s:23:\"\"Reggae One\", system-ui\";s:4:\"slug\";s:10:\"reggae-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/reggaeone/v17/7r3DqX5msMIkeuwJwOJt_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Reggae One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/reggae-one/reggae-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/reggae-one/reggae-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1370;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Rethink Sans\";s:10:\"fontFamily\";s:26:\"\"Rethink Sans\", sans-serif\";s:4:\"slug\";s:12:\"rethink-sans\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/rethinksans/v5/AMODz4SDuXOMCPfdoglY9JQuWHBGG0X45DmqkmFRCEvmma-aua4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/rethinksans/v5/AMODz4SDuXOMCPfdoglY9JQuWHBGG0X45DmqklNRCEvmma-aua4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/rethinksans/v5/AMODz4SDuXOMCPfdoglY9JQuWHBGG0X45Dmqkr9WCEvmma-aua4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/rethinksans/v5/AMODz4SDuXOMCPfdoglY9JQuWHBGG0X45DmqkoZWCEvmma-aua4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/rethinksans/v5/AMODz4SDuXOMCPfdoglY9JQuWHBGG0X45DmqkuFWCEvmma-aua4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/rethinksans/v5/AMOFz4SDuXOMCPfdoglY9JQEUUK5wyyTfpeth6kS4A3smI2fqa7iVQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/rethinksans/v5/AMOFz4SDuXOMCPfdoglY9JQEUUK5wyyTfpeth6kS0g3smI2fqa7iVQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-500-italic.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/rethinksans/v5/AMOFz4SDuXOMCPfdoglY9JQEUUK5wyyTfpeth6kSPgrsmI2fqa7iVQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/rethinksans/v5/AMOFz4SDuXOMCPfdoglY9JQEUUK5wyyTfpeth6kSBwrsmI2fqa7iVQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-700-italic.svg\";}i:9;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/rethinksans/v5/AMOFz4SDuXOMCPfdoglY9JQEUUK5wyyTfpeth6kSYArsmI2fqa7iVQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Rethink Sans\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans-800-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/rethink-sans/rethink-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1371;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:7:\"Revalia\";s:10:\"fontFamily\";s:18:\"Revalia, system-ui\";s:4:\"slug\";s:7:\"revalia\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/revalia/v22/WwkexPimBE2-4ZPEeV_uNIgJSNM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Revalia\";}}}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1372;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Rhodium Libre\";s:10:\"fontFamily\";s:22:\"\"Rhodium Libre\", serif\";s:4:\"slug\";s:13:\"rhodium-libre\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rhodiumlibre/v19/1q2AY5adA0tn_ukeHcQHqpx6pEHLeo2gm2U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Rhodium Libre\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/rhodium-libre/rhodium-libre-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/rhodium-libre/rhodium-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1373;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ribeye\";s:10:\"fontFamily\";s:17:\"Ribeye, system-ui\";s:4:\"slug\";s:6:\"ribeye\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/ribeye/v25/L0x8DFMxk1MP9R3RufCmRSlUig.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ribeye\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ribeye/ribeye-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ribeye/ribeye.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1374;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Ribeye Marrow\";s:10:\"fontFamily\";s:26:\"\"Ribeye Marrow\", system-ui\";s:4:\"slug\";s:13:\"ribeye-marrow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/ribeyemarrow/v24/GFDsWApshnqMRO2JdtRZ2d0vEAkTVWgKdtw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Ribeye Marrow\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/ribeye-marrow/ribeye-marrow-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/ribeye-marrow/ribeye-marrow.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1375;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Righteous\";s:10:\"fontFamily\";s:20:\"Righteous, system-ui\";s:4:\"slug\";s:9:\"righteous\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/righteous/v17/1cXxaUPXBpj2rGoU7C9minuEicG01A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Righteous\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/righteous/righteous-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/righteous/righteous.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1376;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Risque\";s:10:\"fontFamily\";s:17:\"Risque, system-ui\";s:4:\"slug\";s:6:\"risque\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/risque/v22/VdGfAZUfHosahXxoDEYVBJ-T5g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Risque\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/risque/risque-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/risque/risque.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1377;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Road Rage\";s:10:\"fontFamily\";s:22:\"\"Road Rage\", system-ui\";s:4:\"slug\";s:9:\"road-rage\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/roadrage/v7/6NUU8F2fKAOBKjjr4ekvscYAwdRZfw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Road Rage\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/road-rage/road-rage-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/road-rage/road-rage.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1378;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Roboto\";s:10:\"fontFamily\";s:18:\"Roboto, sans-serif\";s:4:\"slug\";s:6:\"roboto\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/roboto/v32/KFOkCnqEu92Fr1MmgWxKKTM1K9nz.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/roboto/v32/KFOiCnqEu92Fr1Mu51QrIzIXLsnzjYk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/roboto/v32/KFOlCnqEu92Fr1MmSU5vBh05IsDqlA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/roboto/v32/KFOjCnqEu92Fr1Mu51TjARc4AMX6lJBP.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/roboto/v32/KFOmCnqEu92Fr1Me4GZLCzYlKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/roboto/v32/KFOkCnqEu92Fr1Mu52xKKTM1K9nz.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/roboto/v32/KFOlCnqEu92Fr1MmEU9vBh05IsDqlA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/roboto/v32/KFOjCnqEu92Fr1Mu51S7ABc4AMX6lJBP.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/roboto/v32/KFOlCnqEu92Fr1MmWUlvBh05IsDqlA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/roboto/v32/KFOjCnqEu92Fr1Mu51TzBhc4AMX6lJBP.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/roboto/v32/KFOlCnqEu92Fr1MmYUtvBh05IsDqlA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-900-normal.svg\";}i:11;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/roboto/v32/KFOjCnqEu92Fr1Mu51TLBBc4AMX6lJBP.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Roboto\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto-900-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto/roboto.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1379;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Roboto Condensed\";s:10:\"fontFamily\";s:30:\"\"Roboto Condensed\", sans-serif\";s:4:\"slug\";s:16:\"roboto-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyWyo_BM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyUyovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyXsovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyWyovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyWAovBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyVspfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyVVpfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyUypfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVo2ZhZI2eCN5jzbjEETS9weq8-_d6T_POl0fRJeyUbpfBM731BKMSK.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64RgL5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64ZgK5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64UYK5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64RgK5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64SoK5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64cYN5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64f8N5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64ZgN5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/robotocondensed/v27/ieVW2ZhZI2eCN5jzbjEETS9weq8-19ehAyvMum7nfDB64bEN5XxjLdSK37o.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Roboto Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed-900-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-condensed/roboto-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1380;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Roboto Flex\";s:10:\"fontFamily\";s:25:\"\"Roboto Flex\", sans-serif\";s:4:\"slug\";s:11:\"roboto-flex\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:308:\"https://fonts.gstatic.com/s/robotoflex/v26/NaNnepOXO_NexZs0b5QrzlOHb8wCikXpYqmZsWI-__OGbt8jZktqc2V3Zs0KvDLdBP8SBZtOs2IifRuUZQMsPJtUsR4DEK6cULNeUx9XgTnH37Ha_FIAp4Fm0PP1hw45DntW2x0wZGzhPmr1YNMYKYn9_1IQXGwJAiUJVUMdN5YUW4O8HtSoXjC1z3QSabshNFVe3e0O5j3ZjrZCu23Qd4G0EBysQNK-QKavMl1cKq3tHXtXi8mzLjaAQbSunCNCKMY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Flex\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-flex/roboto-flex-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-flex/roboto-flex.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1381;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Roboto Mono\";s:10:\"fontFamily\";s:24:\"\"Roboto Mono\", monospace\";s:4:\"slug\";s:11:\"roboto-mono\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_3vuPRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_XvqPRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_gPqPRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_3vqPRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_7PqPRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_AP2PRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotomono/v23/L0xuDF4xlVMF-BfR8bXMIhJHg45mwgGEFl0_Of2PRu-5Ip2sSQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrlnAeW4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-100-italic.svg\";}i:8;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrnnAOW4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrk5AOW4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrlnAOW4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrlVAOW4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrm5B-W4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/robotomono/v23/L0xoDF4xlVMF-BfR8bXMIjhOsXG-q2oeuFoqFrmAB-W4AJi8SZwt.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Roboto Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono-700-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-mono/roboto-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1382;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Roboto Serif\";s:10:\"fontFamily\";s:21:\"\"Roboto Serif\", serif\";s:4:\"slug\";s:12:\"roboto-serif\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcEliosp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcElqotp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcElnQtp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcEliotp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcElhgtp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcElvQqp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcEls0qp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcElqoqp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:153:\"https://fonts.gstatic.com/s/robotoserif/v15/R71RjywflP6FLr3gZx7K8UyuXDs9zVwDmXCb8lxYgmuii32UGoVldX6UgfjL4-3sMM_kB_qXSEXTJQCFLH5-_bcEloMqp6J2Af5fR4k.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-JuT-V8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-Juz-R8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-JuEeR8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-JuT-R8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-JufeR8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-JukeN8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-JuqON8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-Juz-N8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:156:\"https://fonts.gstatic.com/s/robotoserif/v15/R71XjywflP6FLr3gZx7K8UyEVQnyR1E7VN-f51xYuGCQepOvB0KLc2v0wKKB0Q4MSZxyqf2CgAchbDJ69BcVZxkDg-Ju5uN8ANxaV4nUFw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Roboto Serif\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif-900-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-serif/roboto-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1383;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Roboto Slab\";s:10:\"fontFamily\";s:20:\"\"Roboto Slab\", serif\";s:4:\"slug\";s:11:\"roboto-slab\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjojIWWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjoDISWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjo0oSWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjojISWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjovoSWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjoUoOWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjoa4OWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjoDIOWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/robotoslab/v34/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjoJYOWbW5iddG-1A.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Roboto Slab\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/roboto-slab/roboto-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1384;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Rochester\";s:10:\"fontFamily\";s:18:\"Rochester, cursive\";s:4:\"slug\";s:9:\"rochester\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/rochester/v22/6ae-4KCqVa4Zy6Fif-Uy2lvWNTMwoQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Rochester\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/rochester/rochester-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/rochester/rochester.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1385;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Rock 3D\";s:10:\"fontFamily\";s:20:\"\"Rock 3D\", system-ui\";s:4:\"slug\";s:8:\"rock-3-d\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/rock3d/v11/yYLp0hrL0PCo651513GnwRnQyNI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rock 3D\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rock-3d/rock-3d-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/rock-3d/rock-3d.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1386;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Rock Salt\";s:10:\"fontFamily\";s:20:\"\"Rock Salt\", cursive\";s:4:\"slug\";s:9:\"rock-salt\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/rocksalt/v22/MwQ0bhv11fWD6QsAVOZbtUk7hbBWrA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Rock Salt\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/rock-salt/rock-salt-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/rock-salt/rock-salt.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1387;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"RocknRoll One\";s:10:\"fontFamily\";s:27:\"\"RocknRoll One\", sans-serif\";s:4:\"slug\";s:13:\"rocknroll-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rocknrollone/v14/kmK7ZqspGAfCeUiW6FFlmEC9guBhs7tfUxc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"RocknRoll One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/rocknroll-one/rocknroll-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/rocknroll-one/rocknroll-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1388;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Rokkitt\";s:10:\"fontFamily\";s:14:\"Rokkitt, serif\";s:4:\"slug\";s:7:\"rokkitt\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1rydpDOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1pyd5DOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1qsd5DOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1ryd5DOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1rAd5DOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1oscJDOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1oVcJDOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1pycJDOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdb35qfgYFjGy5hukqqhw5XeRgdi1pbcJDOE76HvN6n.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NHiJGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NPiIGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NCaIGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NHiIGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NEqIGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NKaPGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NJ-PGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NPiPGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rokkitt/v36/qFdV35qfgYFjGy5hkEOYeNY-EoKzjE86NNGPGb-luc6nu9E.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rokkitt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/rokkitt/rokkitt.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1389;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Romanesco\";s:10:\"fontFamily\";s:18:\"Romanesco, cursive\";s:4:\"slug\";s:9:\"romanesco\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/romanesco/v21/w8gYH2ozQOY7_r_J7mSn2XwLqOqSBg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Romanesco\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/romanesco/romanesco-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/romanesco/romanesco.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1390;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Ropa Sans\";s:10:\"fontFamily\";s:23:\"\"Ropa Sans\", sans-serif\";s:4:\"slug\";s:9:\"ropa-sans\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/ropasans/v15/EYqxmaNOzLlWtsZSScyKXzloU5KP2g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Ropa Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/ropa-sans/ropa-sans-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/ropasans/v15/EYq3maNOzLlWtsZSScy6WDNpcZef2mNE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Ropa Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/ropa-sans/ropa-sans-400-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/ropa-sans/ropa-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1391;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Rosario\";s:10:\"fontFamily\";s:19:\"Rosario, sans-serif\";s:4:\"slug\";s:7:\"rosario\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rosario/v31/xfuu0WDhWW_fOEoY8l_VPNZfB7jPM69GCWc2d-YnOzUD.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rosario/v31/xfuu0WDhWW_fOEoY8l_VPNZfB7jPM68YCWc2d-YnOzUD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rosario/v31/xfuu0WDhWW_fOEoY8l_VPNZfB7jPM68qCWc2d-YnOzUD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rosario/v31/xfuu0WDhWW_fOEoY8l_VPNZfB7jPM6_GDmc2d-YnOzUD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rosario/v31/xfuu0WDhWW_fOEoY8l_VPNZfB7jPM6__Dmc2d-YnOzUD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rosario/v31/xfug0WDhWW_fOEoY2Fbnww42bCJhNLrQStFwfecFPiUDn08.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rosario/v31/xfug0WDhWW_fOEoY2Fbnww42bCJhNLrQSo9wfecFPiUDn08.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rosario/v31/xfug0WDhWW_fOEoY2Fbnww42bCJhNLrQSr1wfecFPiUDn08.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rosario/v31/xfug0WDhWW_fOEoY2Fbnww42bCJhNLrQSlF3fecFPiUDn08.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rosario/v31/xfug0WDhWW_fOEoY2Fbnww42bCJhNLrQSmh3fecFPiUDn08.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Rosario\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/rosario/rosario.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1392;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Rosarivo\";s:10:\"fontFamily\";s:15:\"Rosarivo, serif\";s:4:\"slug\";s:8:\"rosarivo\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/rosarivo/v22/PlI-Fl2lO6N9f8HaNAeH2nhMnNy5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Rosarivo\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rosarivo/rosarivo-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/rosarivo/v22/PlI4Fl2lO6N9f8HaNDeA0Hlumcy5ZX8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Rosarivo\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/rosarivo/rosarivo-400-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/rosarivo/rosarivo.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1393;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Rouge Script\";s:10:\"fontFamily\";s:23:\"\"Rouge Script\", cursive\";s:4:\"slug\";s:12:\"rouge-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/rougescript/v18/LYjFdGbiklMoCIQOw1Ep3S4PUfXbUJWq9g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rouge Script\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rouge-script/rouge-script-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/rouge-script/rouge-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1394;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Rowdies\";s:10:\"fontFamily\";s:18:\"Rowdies, system-ui\";s:4:\"slug\";s:7:\"rowdies\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/rowdies/v17/ptRMTieMYPNBAK219hth5OvyKQNute8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rowdies\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rowdies/rowdies-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/rowdies/v17/ptRJTieMYPNBAK21zrJJwObZNQo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rowdies\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rowdies/rowdies-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/rowdies/v17/ptRMTieMYPNBAK219gtm5OvyKQNute8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Rowdies\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/rowdies/rowdies-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/rowdies/rowdies.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1395;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Rozha One\";s:10:\"fontFamily\";s:18:\"\"Rozha One\", serif\";s:4:\"slug\";s:9:\"rozha-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/rozhaone/v15/AlZy_zVFtYP12Zncg2khcHf4XB0Tow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Rozha One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/rozha-one/rozha-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/rozha-one/rozha-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1396;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Rubik\";s:10:\"fontFamily\";s:17:\"Rubik, sans-serif\";s:4:\"slug\";s:5:\"rubik\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-WYi1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-B4i1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-NYi1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-2Y-1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-4I-1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-h4-1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik/v28/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-ro-1VU80V4bVkA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-900-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8sDE0U1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-300-italic.svg\";}i:8;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8tdE0U1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-400-italic.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8tvE0U1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8uDFEU1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-600-italic.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8u6FEU1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8vdFEU1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-800-italic.svg\";}i:13;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/rubik/v28/iJWbBXyIfDnIV7nEt3KSJbVDV49rz8v0FEU1dYPFkJ1O.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Rubik\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik/rubik.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1397;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Rubik 80s Fade\";s:10:\"fontFamily\";s:27:\"\"Rubik 80s Fade\", system-ui\";s:4:\"slug\";s:15:\"rubik-80-s-fade\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubik80sfade/v2/U9MF6dW37nLSmnwZXyoV-uPXUhH1kbL8IHcK.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Rubik 80s Fade\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-80s-fade/rubik-80s-fade-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-80s-fade/rubik-80s-fade.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1398;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Rubik Beastly\";s:10:\"fontFamily\";s:26:\"\"Rubik Beastly\", system-ui\";s:4:\"slug\";s:13:\"rubik-beastly\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/rubikbeastly/v10/0QImMXRd5oOmSC2ZQ7o9653X07n8_ApHqqk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Rubik Beastly\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-beastly/rubik-beastly-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-beastly/rubik-beastly.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1399;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Rubik Broken Fax\";s:10:\"fontFamily\";s:29:\"\"Rubik Broken Fax\", system-ui\";s:4:\"slug\";s:16:\"rubik-broken-fax\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/rubikbrokenfax/v1/NGSvv4rXG042O-GzH9sg1cUgl8w8YWqWdmGi300.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Rubik Broken Fax\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-broken-fax/rubik-broken-fax-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-broken-fax/rubik-broken-fax.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1400;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Rubik Bubbles\";s:10:\"fontFamily\";s:26:\"\"Rubik Bubbles\", system-ui\";s:4:\"slug\";s:13:\"rubik-bubbles\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/rubikbubbles/v3/JIA1UVdwbHFJtwA7Us1BPFbRNTQNfDxyRXI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Rubik Bubbles\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-bubbles/rubik-bubbles-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-bubbles/rubik-bubbles.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1401;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Rubik Burned\";s:10:\"fontFamily\";s:25:\"\"Rubik Burned\", system-ui\";s:4:\"slug\";s:12:\"rubik-burned\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rubikburned/v1/Jqzk5TmOVOqQHihKqPpscqniGAuaCY5ZSg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rubik Burned\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-burned/rubik-burned-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-burned/rubik-burned.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1402;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Rubik Dirt\";s:10:\"fontFamily\";s:23:\"\"Rubik Dirt\", system-ui\";s:4:\"slug\";s:10:\"rubik-dirt\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/rubikdirt/v2/DtVmJxC7WLEj1uIXEWAdulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Rubik Dirt\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-dirt/rubik-dirt-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-dirt/rubik-dirt.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1403;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Rubik Distressed\";s:10:\"fontFamily\";s:29:\"\"Rubik Distressed\", system-ui\";s:4:\"slug\";s:16:\"rubik-distressed\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/rubikdistressed/v1/GFDxWBdsmnqAVqjtUsZf2dcrQ2ldcWUhatVBaGM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Rubik Distressed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-distressed/rubik-distressed-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-distressed/rubik-distressed.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1404;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Rubik Doodle Shadow\";s:10:\"fontFamily\";s:32:\"\"Rubik Doodle Shadow\", system-ui\";s:4:\"slug\";s:19:\"rubik-doodle-shadow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/rubikdoodleshadow/v1/rP2bp3im_k8G_wTVdvvMdHqmXTR3lEaLyK6Z3KOY7Gw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Rubik Doodle Shadow\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-doodle-shadow/rubik-doodle-shadow-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-doodle-shadow/rubik-doodle-shadow.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1405;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Rubik Doodle Triangles\";s:10:\"fontFamily\";s:35:\"\"Rubik Doodle Triangles\", system-ui\";s:4:\"slug\";s:22:\"rubik-doodle-triangles\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/rubikdoodletriangles/v1/esDA301BLOmMKxKspb3g-domRuLPeaSn2bTzdL2_slZxgWE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Rubik Doodle Triangles\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-doodle-triangles/rubik-doodle-triangles-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-doodle-triangles/rubik-doodle-triangles.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1406;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Rubik Gemstones\";s:10:\"fontFamily\";s:28:\"\"Rubik Gemstones\", system-ui\";s:4:\"slug\";s:15:\"rubik-gemstones\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rubikgemstones/v1/zrf90HrL0-_8Xb4DFM2rUkWbOVrOjSnGqi1GMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Rubik Gemstones\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-gemstones/rubik-gemstones-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-gemstones/rubik-gemstones.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1407;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Rubik Glitch\";s:10:\"fontFamily\";s:25:\"\"Rubik Glitch\", system-ui\";s:4:\"slug\";s:12:\"rubik-glitch\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rubikglitch/v2/qkBSXv8b_srFRYQVYrDKh9ZvnS7HONiSFQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rubik Glitch\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-glitch/rubik-glitch-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-glitch/rubik-glitch.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1408;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Rubik Glitch Pop\";s:10:\"fontFamily\";s:29:\"\"Rubik Glitch Pop\", system-ui\";s:4:\"slug\";s:16:\"rubik-glitch-pop\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/rubikglitchpop/v1/tDbX2pGHhFcM0gB3hN2elZLa3G-MOwGtSUrV_BE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Rubik Glitch Pop\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-glitch-pop/rubik-glitch-pop-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-glitch-pop/rubik-glitch-pop.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1409;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Rubik Iso\";s:10:\"fontFamily\";s:22:\"\"Rubik Iso\", system-ui\";s:4:\"slug\";s:9:\"rubik-iso\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/rubikiso/v2/x3dickHUfr-S4VAI4sABefACvy_1BA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Rubik Iso\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-iso/rubik-iso-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-iso/rubik-iso.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1410;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Rubik Lines\";s:10:\"fontFamily\";s:24:\"\"Rubik Lines\", system-ui\";s:4:\"slug\";s:11:\"rubik-lines\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rubiklines/v1/_gP81R3vsjYzVW2Y6xFF-GS0YPp7oSNy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Rubik Lines\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-lines/rubik-lines-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-lines/rubik-lines.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1411;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Rubik Maps\";s:10:\"fontFamily\";s:23:\"\"Rubik Maps\", system-ui\";s:4:\"slug\";s:10:\"rubik-maps\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/rubikmaps/v1/Gw6_wcjl80TZK9XxtbbejSMUChRqp9k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Rubik Maps\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-maps/rubik-maps-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-maps/rubik-maps.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1412;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Rubik Marker Hatch\";s:10:\"fontFamily\";s:31:\"\"Rubik Marker Hatch\", system-ui\";s:4:\"slug\";s:18:\"rubik-marker-hatch\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/rubikmarkerhatch/v1/QldTNSFQsh0B_bFXXWv6LAt-jswapJHQCb4iw0H6zw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Rubik Marker Hatch\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-marker-hatch/rubik-marker-hatch-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-marker-hatch/rubik-marker-hatch.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1413;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Rubik Maze\";s:10:\"fontFamily\";s:23:\"\"Rubik Maze\", system-ui\";s:4:\"slug\";s:10:\"rubik-maze\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/rubikmaze/v2/xMQRuF9ZVa2ftiJEavXSAXvinS-bxV4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Rubik Maze\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-maze/rubik-maze-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-maze/rubik-maze.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1414;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Rubik Microbe\";s:10:\"fontFamily\";s:26:\"\"Rubik Microbe\", system-ui\";s:4:\"slug\";s:13:\"rubik-microbe\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/rubikmicrobe/v2/UqyWK8oPP3hjw6ANS9rM3PsZcsoaaKgiauE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Rubik Microbe\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-microbe/rubik-microbe-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-microbe/rubik-microbe.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1415;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Rubik Mono One\";s:10:\"fontFamily\";s:28:\"\"Rubik Mono One\", sans-serif\";s:4:\"slug\";s:14:\"rubik-mono-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/rubikmonoone/v18/UqyJK8kPP3hjw6ANTdfRk9YSN-81RqQrc_j9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Rubik Mono One\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-mono-one/rubik-mono-one-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-mono-one/rubik-mono-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1416;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Rubik Moonrocks\";s:10:\"fontFamily\";s:28:\"\"Rubik Moonrocks\", system-ui\";s:4:\"slug\";s:15:\"rubik-moonrocks\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/rubikmoonrocks/v5/845ANMAmAI2VUZMLu_W0M7HqlDHnWMD7JGy1Sw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Rubik Moonrocks\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-moonrocks/rubik-moonrocks-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-moonrocks/rubik-moonrocks.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1417;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Rubik Pixels\";s:10:\"fontFamily\";s:25:\"\"Rubik Pixels\", system-ui\";s:4:\"slug\";s:12:\"rubik-pixels\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/rubikpixels/v2/SlGXmQOaupkIeSx4CEpB7AdSbRYRagrQrA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Rubik Pixels\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-pixels/rubik-pixels-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-pixels/rubik-pixels.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1418;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Rubik Puddles\";s:10:\"fontFamily\";s:26:\"\"Rubik Puddles\", system-ui\";s:4:\"slug\";s:13:\"rubik-puddles\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/rubikpuddles/v2/1Ptog8bYX_qGnkLkrU5MJsQcJfW0wVMT-aE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Rubik Puddles\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-puddles/rubik-puddles-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-puddles/rubik-puddles.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1419;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Rubik Scribble\";s:10:\"fontFamily\";s:27:\"\"Rubik Scribble\", system-ui\";s:4:\"slug\";s:14:\"rubik-scribble\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/rubikscribble/v1/snfzs0Cp48d67SuHQOpjXLsQpbqeSjORSo9W.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Rubik Scribble\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-scribble/rubik-scribble-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-scribble/rubik-scribble.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1420;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Rubik Spray Paint\";s:10:\"fontFamily\";s:30:\"\"Rubik Spray Paint\", system-ui\";s:4:\"slug\";s:17:\"rubik-spray-paint\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/rubikspraypaint/v1/WnzhHBAoeBPUDTB4EWR82y6EXWPH-Ro7QoaBZQxP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Rubik Spray Paint\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-spray-paint/rubik-spray-paint-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-spray-paint/rubik-spray-paint.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1421;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Rubik Storm\";s:10:\"fontFamily\";s:24:\"\"Rubik Storm\", system-ui\";s:4:\"slug\";s:11:\"rubik-storm\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rubikstorm/v1/eLGYP-_uPgO5Ag7ju9JaouL4T2Xh9NQk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Rubik Storm\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-storm/rubik-storm-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-storm/rubik-storm.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1422;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Rubik Vinyl\";s:10:\"fontFamily\";s:24:\"\"Rubik Vinyl\", system-ui\";s:4:\"slug\";s:11:\"rubik-vinyl\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/rubikvinyl/v1/iJWABXKIfDnIV4mQ5BfjvUXbxox2ztOU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Rubik Vinyl\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-vinyl/rubik-vinyl-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-vinyl/rubik-vinyl.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1423;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Rubik Wet Paint\";s:10:\"fontFamily\";s:28:\"\"Rubik Wet Paint\", system-ui\";s:4:\"slug\";s:15:\"rubik-wet-paint\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/rubikwetpaint/v2/HTx0L20uMDGHgdULcpTF3Oe4d_-F_jz313DuvQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Rubik Wet Paint\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-wet-paint/rubik-wet-paint-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/rubik-wet-paint/rubik-wet-paint.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1424;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Ruda\";s:10:\"fontFamily\";s:16:\"Ruda, sans-serif\";s:4:\"slug\";s:4:\"ruda\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/ruda/v28/k3kKo8YQJOpFgHQ1mQ5VkEbUKaJFsi_72KiSGg-H.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Ruda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/ruda/v28/k3kKo8YQJOpFgHQ1mQ5VkEbUKaJ3si_72KiSGg-H.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Ruda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/ruda/v28/k3kKo8YQJOpFgHQ1mQ5VkEbUKaKbtS_72KiSGg-H.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Ruda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/ruda/v28/k3kKo8YQJOpFgHQ1mQ5VkEbUKaKitS_72KiSGg-H.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Ruda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/ruda/v28/k3kKo8YQJOpFgHQ1mQ5VkEbUKaLFtS_72KiSGg-H.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Ruda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/ruda/v28/k3kKo8YQJOpFgHQ1mQ5VkEbUKaLstS_72KiSGg-H.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Ruda\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda-900-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/ruda/ruda.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1425;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Rufina\";s:10:\"fontFamily\";s:13:\"Rufina, serif\";s:4:\"slug\";s:6:\"rufina\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/rufina/v15/Yq6V-LyURyLy-aKyphRktOdClg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Rufina\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rufina/rufina-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/rufina/v15/Yq6W-LyURyLy-aKKHztAucxenxE0SA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Rufina\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/rufina/rufina-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/rufina/rufina.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1426;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Ruge Boogie\";s:10:\"fontFamily\";s:22:\"\"Ruge Boogie\", cursive\";s:4:\"slug\";s:11:\"ruge-boogie\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/rugeboogie/v28/JIA3UVFwbHRF_GIWSMhKNROnPzUveSxy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ruge Boogie\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ruge-boogie/ruge-boogie-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/ruge-boogie/ruge-boogie.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1427;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ruluko\";s:10:\"fontFamily\";s:18:\"Ruluko, sans-serif\";s:4:\"slug\";s:6:\"ruluko\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/ruluko/v21/xMQVuFNZVaODtm0pDqWzKX_QmA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ruluko\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ruluko/ruluko-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ruluko/ruluko.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1428;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Rum Raisin\";s:10:\"fontFamily\";s:24:\"\"Rum Raisin\", sans-serif\";s:4:\"slug\";s:10:\"rum-raisin\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/rumraisin/v22/nwpRtKu3Ih8D5avB4h2uJ3qIywA7eMM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Rum Raisin\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/rum-raisin/rum-raisin-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/rum-raisin/rum-raisin.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1429;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Ruslan Display\";s:10:\"fontFamily\";s:27:\"\"Ruslan Display\", system-ui\";s:4:\"slug\";s:14:\"ruslan-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ruslandisplay/v26/Gw6jwczl81XcIZuckK_e3UpfdzxuldyFvm1n.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ruslan Display\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ruslan-display/ruslan-display-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/ruslan-display/ruslan-display.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1430;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Russo One\";s:10:\"fontFamily\";s:23:\"\"Russo One\", sans-serif\";s:4:\"slug\";s:9:\"russo-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/russoone/v16/Z9XUDmZRWg6M1LvRYsH-zcOInrib9Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Russo One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/russo-one/russo-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/russo-one/russo-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1431;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ruthie\";s:10:\"fontFamily\";s:15:\"Ruthie, cursive\";s:4:\"slug\";s:6:\"ruthie\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/ruthie/v26/gokvH63sGkdqXuU9kT53Q2u_mQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ruthie\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ruthie/ruthie-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ruthie/ruthie.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1432;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ruwudu\";s:10:\"fontFamily\";s:13:\"Ruwudu, serif\";s:4:\"slug\";s:6:\"ruwudu\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/ruwudu/v4/syky-y1tj6UzRKfNkACT9tPdpw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ruwudu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ruwudu/ruwudu-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/ruwudu/v4/sykx-y1tj6UzRKf1YSm3-_jBrlSILg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ruwudu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ruwudu/ruwudu-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/ruwudu/v4/sykx-y1tj6UzRKf1TS63-_jBrlSILg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ruwudu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ruwudu/ruwudu-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/ruwudu/v4/sykx-y1tj6UzRKf1KS-3-_jBrlSILg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ruwudu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ruwudu/ruwudu-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ruwudu/ruwudu.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1433;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Rye\";s:10:\"fontFamily\";s:14:\"Rye, system-ui\";s:4:\"slug\";s:3:\"rye\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:64:\"https://fonts.gstatic.com/s/rye/v15/r05XGLJT86YDE5TsXOqx4w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Rye\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/rye/rye-400-normal.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/rye/rye.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1434;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"STIX Two Text\";s:10:\"fontFamily\";s:22:\"\"STIX Two Text\", serif\";s:4:\"slug\";s:13:\"stix-two-text\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Gr02F12Xkf5whdwKf11l0jbKkeidMTtZ5Yihg2SOdWxFMN1WD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Gr02F12Xkf5whdwKf11l0jbKkeidMTtZ5YihS2SOdWxFMN1WD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Gr02F12Xkf5whdwKf11l0jbKkeidMTtZ5Yii-3iOdWxFMN1WD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Gr02F12Xkf5whdwKf11l0jbKkeidMTtZ5YiiH3iOdWxFMN1WD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Er02F12Xkf5whdwKf11l0p7uWhf8lJUzXZT2omsvbURBuMkWDmSo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Er02F12Xkf5whdwKf11l0p7uWhf8lJUzXZT2omvnbURBuMkWDmSo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Er02F12Xkf5whdwKf11l0p7uWhf8lJUzXZT2omhXcURBuMkWDmSo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/stixtwotext/v12/YA9Er02F12Xkf5whdwKf11l0p7uWhf8lJUzXZT2omizcURBuMkWDmSo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"STIX Two Text\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/stix-two-text/stix-two-text.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1435;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"SUSE\";s:10:\"fontFamily\";s:16:\"SUSE, sans-serif\";s:4:\"slug\";s:4:\"suse\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbGG71q4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbEG7lq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbHY7lq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbGG7lq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbG07lq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbFY6Vq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbFh6Vq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suse/v1/MwQsbhb078Wt81NpzELmC2QqjbEG6Vq4ZnJSZtQG.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"SUSE\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse-800-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/suse/suse.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1436;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Sacramento\";s:10:\"fontFamily\";s:19:\"Sacramento, cursive\";s:4:\"slug\";s:10:\"sacramento\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sacramento/v15/buEzpo6gcdjy0EiZMBUG0C8V_NxLeiw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sacramento\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sacramento/sacramento-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/sacramento/sacramento.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1437;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Sahitya\";s:10:\"fontFamily\";s:14:\"Sahitya, serif\";s:4:\"slug\";s:7:\"sahitya\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sahitya/v17/6qLAKZkOuhnuqlJAaSIFPywEDnI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sahitya\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sahitya/sahitya-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sahitya/v17/6qLFKZkOuhnuqlJAUZsqGyEvEnvSexI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sahitya\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sahitya/sahitya-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/sahitya/sahitya.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1438;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Sail\";s:10:\"fontFamily\";s:15:\"Sail, system-ui\";s:4:\"slug\";s:4:\"sail\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/sail/v16/DPEjYwiBxwYJFBHDADYAbvw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sail\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sail/sail-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/sail/sail.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1439;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Saira\";s:10:\"fontFamily\";s:17:\"Saira, sans-serif\";s:4:\"slug\";s:5:\"saira\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA71rDos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA79rCos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA7wTCos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA71rCos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA72jCos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA74TFos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA773Fos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA79rFos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/saira/v20/memWYa2wxmKQyPMrZX79wwYZQMhsyuShhKMjjbU9uXuA7_PFos07lwYmUVY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKBSooxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKByosxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKBFIsxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKBSosxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKBeIsxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKBlIwxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKBrYwxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKByowxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/saira/v20/memUYa2wxmKQyNkiV50dulWP7s95AqZTzZHcVdxWI9WH-pKB44wxliQjQVYmxA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Saira\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira-900-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/saira/saira.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1440;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Saira Condensed\";s:10:\"fontFamily\";s:29:\"\"Saira Condensed\", sans-serif\";s:4:\"slug\";s:15:\"saira-condensed\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRMQgErUN8XuHNEtX81i9TmEkrnwetF2omSrzS8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnbcpg9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnCclg9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJROQgErUN8XuHNEtX81i9TmEkrfoOFE-IyCrw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnUchg9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnfc9g9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnGc5g9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnBc1g9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sairacondensed/v11/EJRLQgErUN8XuHNEtX81i9TmEkrnIcxg9aeepi2lHw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Saira Condensed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-condensed/saira-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1441;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Saira Extra Condensed\";s:10:\"fontFamily\";s:35:\"\"Saira Extra Condensed\", sans-serif\";s:4:\"slug\";s:21:\"saira-extra-condensed\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:106:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFsOHYr-vcC7h8MklGBkrvmUG9rbpkisrTri0j09i5ss3a3.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTrJ2nR2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTrQ2rR2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFiOHYr-vcC7h8MklGBkrvmUG9rbpkisrTT6kL11Ct8sw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTrG2vR2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTrN2zR2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTrU23R2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTrT27R2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sairaextracondensed/v13/-nFvOHYr-vcC7h8MklGBkrvmUG9rbpkisrTra2_R2QBgum-uoQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Saira Extra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed-900-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-extra-condensed/saira-extra-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1442;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Saira Semi Condensed\";s:10:\"fontFamily\";s:34:\"\"Saira Semi Condensed\", sans-serif\";s:4:\"slug\";s:20:\"saira-semi-condensed\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MN6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXdvaOY8rXT-8V8.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXfDScMTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXenSsMTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MD6c-2-nnJkHxyCjRcnMHcWVWV1cWRRU8OYuceqGT-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXf_S8MTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXfTTMMTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXe3TcMTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXerTsMTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sairasemicondensed/v13/U9MM6c-2-nnJkHxyCjRcnMHcWVWV1cWRRXePT8MTg3j36Ebz.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Saira Semi Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed-900-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-semi-condensed/saira-semi-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1443;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Saira Stencil One\";s:10:\"fontFamily\";s:30:\"\"Saira Stencil One\", system-ui\";s:4:\"slug\";s:17:\"saira-stencil-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/sairastencilone/v16/SLXSc03I6HkvZGJ1GvvipLoYSTEL9AsJawif2YQ2.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Saira Stencil One\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-stencil-one/saira-stencil-one-400-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/saira-stencil-one/saira-stencil-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1444;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Salsa\";s:10:\"fontFamily\";s:16:\"Salsa, system-ui\";s:4:\"slug\";s:5:\"salsa\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/salsa/v21/gNMKW3FiRpKj-imd8ncKEZez.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Salsa\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/salsa/salsa-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/salsa/salsa.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1445;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Sanchez\";s:10:\"fontFamily\";s:14:\"Sanchez, serif\";s:4:\"slug\";s:7:\"sanchez\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sanchez/v15/Ycm2sZJORluHnXbITmtb_BwE1l0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sanchez\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sanchez/sanchez-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/sanchez/v15/Ycm0sZJORluHnXbIfmxR_T4Bxl3gkw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sanchez\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sanchez/sanchez-400-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/sanchez/sanchez.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1446;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Sancreek\";s:10:\"fontFamily\";s:19:\"Sancreek, system-ui\";s:4:\"slug\";s:8:\"sancreek\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/sancreek/v25/pxiHypAnsdxUm159X7D7XV9NEe-K.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sancreek\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sancreek/sancreek-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/sancreek/sancreek.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1447;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Sankofa Display\";s:10:\"fontFamily\";s:29:\"\"Sankofa Display\", sans-serif\";s:4:\"slug\";s:15:\"sankofa-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/sankofadisplay/v2/Ktk1ALSRd4LucUDghJ2rTqXOoh33EqmZVY9Y5w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sankofa Display\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sankofa-display/sankofa-display-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/sankofa-display/sankofa-display.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1448;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Sansita\";s:10:\"fontFamily\";s:19:\"Sansita, sans-serif\";s:4:\"slug\";s:7:\"sansita\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sansita/v11/QldONTRRphEb_-V7HBy7TXFf3qw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/sansita/v11/QldMNTRRphEb_-V7LBuxTFNazqx2xg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sansita/v11/QldLNTRRphEb_-V7JKWUaXx0wqVv3_g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sansita/v11/QldJNTRRphEb_-V7LBuJ9Xx-w4dqz_joDQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-700-italic.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sansita/v11/QldLNTRRphEb_-V7JLmXaXx0wqVv3_g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sansita/v11/QldJNTRRphEb_-V7LBuJ6X9-w4dqz_joDQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-800-italic.svg\";}i:6;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sansita/v11/QldLNTRRphEb_-V7JJ2WaXx0wqVv3_g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-900-normal.svg\";}i:7;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sansita/v11/QldJNTRRphEb_-V7LBuJzX5-w4dqz_joDQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sansita\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita/sansita.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1449;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Sansita Swashed\";s:10:\"fontFamily\";s:28:\"\"Sansita Swashed\", system-ui\";s:4:\"slug\";s:15:\"sansita-swashed\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSW-ppbT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSW7RpbT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSW4ZpbT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSW2pubT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSW1NubT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSWzRubT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/sansitaswashed/v18/BXR8vFfZifTZgFlDDLgNkBydPKTt3pVCeYWqJnZSWx1ubT8VehmEa4Q.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sansita Swashed\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/sansita-swashed/sansita-swashed.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1450;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Sarabun\";s:10:\"fontFamily\";s:19:\"Sarabun, sans-serif\";s:4:\"slug\";s:7:\"sarabun\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/sarabun/v15/DtVhJx26TKEr37c9YHZJn3YI5gnOpg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/sarabun/v15/DtVnJx26TKEr37c9aBBx_nwJxAzephhN.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sarabun/v15/DtVmJx26TKEr37c9YNpoulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sarabun/v15/DtVkJx26TKEr37c9aBBxUl0s6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sarabun/v15/DtVmJx26TKEr37c9YL5rulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sarabun/v15/DtVkJx26TKEr37c9aBBxNl4s6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sarabun/v15/DtVjJx26TKEr37c9WBdDnlQN9gk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/sarabun/v15/DtVhJx26TKEr37c9aBBJn3YI5gnOpg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sarabun/v15/DtVmJx26TKEr37c9YOZqulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sarabun/v15/DtVkJx26TKEr37c9aBBxbl8s6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sarabun/v15/DtVmJx26TKEr37c9YMptulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sarabun/v15/DtVkJx26TKEr37c9aBBxQlgs6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sarabun/v15/DtVmJx26TKEr37c9YK5sulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sarabun/v15/DtVkJx26TKEr37c9aBBxJlks6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sarabun/v15/DtVmJx26TKEr37c9YLJvulkm6gDXvwE.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sarabun/v15/DtVkJx26TKEr37c9aBBxOlos6yLSrwFUlw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Sarabun\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun-800-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/sarabun/sarabun.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1451;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Sarala\";s:10:\"fontFamily\";s:18:\"Sarala, sans-serif\";s:4:\"slug\";s:6:\"sarala\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/sarala/v12/uK_y4riEZv4o1w9RDx0TMv6EXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Sarala\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/sarala/sarala-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/sarala/v12/uK_x4riEZv4o1w9ptjI3P9WYVkMpXA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Sarala\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/sarala/sarala-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/sarala/sarala.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1452;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Sarina\";s:10:\"fontFamily\";s:17:\"Sarina, system-ui\";s:4:\"slug\";s:6:\"sarina\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/sarina/v23/-F6wfjF3ITQwasLhK0DUriBQxw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Sarina\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/sarina/sarina-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/sarina/sarina.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1453;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Sarpanch\";s:10:\"fontFamily\";s:20:\"Sarpanch, sans-serif\";s:4:\"slug\";s:8:\"sarpanch\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/sarpanch/v13/hESy6Xt4NCpRuk6Pzh2FRIrX_20n.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sarpanch\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sarpanch/v13/hES16Xt4NCpRuk6PziV0ba7a1HEuRHkM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sarpanch\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sarpanch/v13/hES16Xt4NCpRuk6PziVYaq7a1HEuRHkM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sarpanch\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sarpanch/v13/hES16Xt4NCpRuk6PziU8a67a1HEuRHkM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sarpanch\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sarpanch/v13/hES16Xt4NCpRuk6PziUgaK7a1HEuRHkM.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sarpanch\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sarpanch/v13/hES16Xt4NCpRuk6PziUEaa7a1HEuRHkM.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sarpanch\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/sarpanch/sarpanch.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1454;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Sassy Frass\";s:10:\"fontFamily\";s:22:\"\"Sassy Frass\", cursive\";s:4:\"slug\";s:11:\"sassy-frass\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sassyfrass/v7/LhWhMVrGOe0FLb97BjhsE99YGNWQg_am.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Sassy Frass\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/sassy-frass/sassy-frass-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/sassy-frass/sassy-frass.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1455;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Satisfy\";s:10:\"fontFamily\";s:16:\"Satisfy, cursive\";s:4:\"slug\";s:7:\"satisfy\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/satisfy/v21/rP2Hp2yn6lkG50LoOZGCHBeHFl0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Satisfy\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/satisfy/satisfy-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/satisfy/satisfy.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1456;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Sawarabi Gothic\";s:10:\"fontFamily\";s:29:\"\"Sawarabi Gothic\", sans-serif\";s:4:\"slug\";s:15:\"sawarabi-gothic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/sawarabigothic/v13/x3d4ckfVaqqa-BEj-I9mE65u3k3NACk3E2YljQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sawarabi Gothic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sawarabi-gothic/sawarabi-gothic-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/sawarabi-gothic/sawarabi-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1457;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Sawarabi Mincho\";s:10:\"fontFamily\";s:24:\"\"Sawarabi Mincho\", serif\";s:4:\"slug\";s:15:\"sawarabi-mincho\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/sawarabimincho/v18/8QIRdiDaitzr7brc8ahpxt6GcIJTKKhP46UDUw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Sawarabi Mincho\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/sawarabi-mincho/sawarabi-mincho-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/sawarabi-mincho/sawarabi-mincho.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1458;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Scada\";s:10:\"fontFamily\";s:17:\"Scada, sans-serif\";s:4:\"slug\";s:5:\"scada\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/scada/v15/RLpxK5Pv5qumeWJtxzUobkvv.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Scada\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/scada/scada-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/scada/v15/RLp_K5Pv5qumeVJqzTQKa1vvffg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Scada\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/scada/scada-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/scada/v15/RLp8K5Pv5qumeVrU6BElRVfmZOE5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Scada\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/scada/scada-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/scada/v15/RLp6K5Pv5qumeVJq9Y0lT1bEYfE5p6g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Scada\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/scada/scada-700-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/scada/scada.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1459;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Scheherazade New\";s:10:\"fontFamily\";s:25:\"\"Scheherazade New\", serif\";s:4:\"slug\";s:16:\"scheherazade-new\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/scheherazadenew/v15/4UaZrFhTvxVnHDvUkUiHg8jprP4DCwZsOl4p5Is.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Scheherazade New\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/scheherazade-new/scheherazade-new-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/scheherazadenew/v15/4UaerFhTvxVnHDvUkUiHg8jprP4DM_dFHlMC-IKnoSE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Scheherazade New\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/scheherazade-new/scheherazade-new-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/scheherazadenew/v15/4UaerFhTvxVnHDvUkUiHg8jprP4DM9tCHlMC-IKnoSE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Scheherazade New\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/scheherazade-new/scheherazade-new-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/scheherazadenew/v15/4UaerFhTvxVnHDvUkUiHg8jprP4DM79DHlMC-IKnoSE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Scheherazade New\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/scheherazade-new/scheherazade-new-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/scheherazade-new/scheherazade-new.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1460;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Schibsted Grotesk\";s:10:\"fontFamily\";s:31:\"\"Schibsted Grotesk\", sans-serif\";s:4:\"slug\";s:17:\"schibsted-grotesk\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzK5SSPQuCQF3t8uOwiUL-taUTtarVKQ9vZ6pJJWlMNIsEASsJuXFGVOQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzK5SSPQuCQF3t8uOwiUL-taUTtarVKQ9vZ6pJJWlMNEMEASsJuXFGVOQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzK5SSPQuCQF3t8uOwiUL-taUTtarVKQ9vZ6pJJWlMN_MYASsJuXFGVOQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzK5SSPQuCQF3t8uOwiUL-taUTtarVKQ9vZ6pJJWlMNxcYASsJuXFGVOQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzK5SSPQuCQF3t8uOwiUL-taUTtarVKQ9vZ6pJJWlMNosYASsJuXFGVOQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzK5SSPQuCQF3t8uOwiUL-taUTtarVKQ9vZ6pJJWlMNi8YASsJuXFGVOQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzI5SSPQuCQF3t8uOwiUL-taUTtap9DcSQBg_nT9FQY6oLoDMhvflSFOTXs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzI5SSPQuCQF3t8uOwiUL-taUTtap9DcSQBg_nT9FQY6oLaDMhvflSFOTXs.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzI5SSPQuCQF3t8uOwiUL-taUTtap9DcSQBg_nT9FQY6oI2C8hvflSFOTXs.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzI5SSPQuCQF3t8uOwiUL-taUTtap9DcSQBg_nT9FQY6oIPC8hvflSFOTXs.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzI5SSPQuCQF3t8uOwiUL-taUTtap9DcSQBg_nT9FQY6oJoC8hvflSFOTXs.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/schibstedgrotesk/v3/JqzI5SSPQuCQF3t8uOwiUL-taUTtap9DcSQBg_nT9FQY6oJBC8hvflSFOTXs.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:17:\"Schibsted Grotesk\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk-900-italic.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/schibsted-grotesk/schibsted-grotesk.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1461;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Schoolbell\";s:10:\"fontFamily\";s:19:\"Schoolbell, cursive\";s:4:\"slug\";s:10:\"schoolbell\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/schoolbell/v18/92zQtBZWOrcgoe-fgnJIVxcQ6mRqfiQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Schoolbell\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/schoolbell/schoolbell-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/schoolbell/schoolbell.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1462;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Scope One\";s:10:\"fontFamily\";s:18:\"\"Scope One\", serif\";s:4:\"slug\";s:9:\"scope-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/scopeone/v14/WBLnrEXKYFlGHrOKmGD1Xk_MJMGxiQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Scope One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/scope-one/scope-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/scope-one/scope-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1463;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Seaweed Script\";s:10:\"fontFamily\";s:27:\"\"Seaweed Script\", system-ui\";s:4:\"slug\";s:14:\"seaweed-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/seaweedscript/v15/bx6cNx6Tne2pxOATYE8C_Rsoe0WM-KcGVbLW.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Seaweed Script\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/seaweed-script/seaweed-script-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/seaweed-script/seaweed-script.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1464;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Secular One\";s:10:\"fontFamily\";s:25:\"\"Secular One\", sans-serif\";s:4:\"slug\";s:11:\"secular-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/secularone/v12/8QINdiTajsj_87rMuMdKypDgMul7LJpK.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Secular One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/secular-one/secular-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/secular-one/secular-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1465;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Sedan\";s:10:\"fontFamily\";s:12:\"Sedan, serif\";s:4:\"slug\";s:5:\"sedan\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/sedan/v1/Yq6a-L-VVyD6-eOXiTpovf5b.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Sedan\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/sedan/sedan-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/sedan/v1/Yq6U-L-VVyD6-dOQgztKuO5bjxE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Sedan\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/sedan/sedan-400-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/sedan/sedan.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1466;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Sedan SC\";s:10:\"fontFamily\";s:17:\"\"Sedan SC\", serif\";s:4:\"slug\";s:8:\"sedan-sc\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sedansc/v2/yMJRMIlvYZ3Jn1Y30Dq5fSx5i814.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sedan SC\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sedan-sc/sedan-sc-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/sedan-sc/sedan-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1467;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Sedgwick Ave\";s:10:\"fontFamily\";s:23:\"\"Sedgwick Ave\", cursive\";s:4:\"slug\";s:12:\"sedgwick-ave\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/sedgwickave/v12/uK_04rKEYuguzAcSYRdWTJq8W2g1Vcf5JA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Sedgwick Ave\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/sedgwick-ave/sedgwick-ave-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/sedgwick-ave/sedgwick-ave.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1468;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Sedgwick Ave Display\";s:10:\"fontFamily\";s:31:\"\"Sedgwick Ave Display\", cursive\";s:4:\"slug\";s:20:\"sedgwick-ave-display\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/sedgwickavedisplay/v21/xfuu0XPgU3jZPUoUo3ScvmPi-NapQ8OxM2c2d-YnOzUD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sedgwick Ave Display\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sedgwick-ave-display/sedgwick-ave-display-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/sedgwick-ave-display/sedgwick-ave-display.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1469;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:3:\"Sen\";s:10:\"fontFamily\";s:15:\"Sen, sans-serif\";s:4:\"slug\";s:3:\"sen\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sen/v9/6xK0dSxYI9_dkN18-vZKK2EISCq5H4vKlD9q78A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Sen\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/sen/sen-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sen/v9/6xK0dSxYI9_dkN18-vZKK2EISBi5H4vKlD9q78A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Sen\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/sen/sen-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sen/v9/6xK0dSxYI9_dkN18-vZKK2EISPS-H4vKlD9q78A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Sen\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/sen/sen-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sen/v9/6xK0dSxYI9_dkN18-vZKK2EISM2-H4vKlD9q78A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Sen\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/sen/sen-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/sen/v9/6xK0dSxYI9_dkN18-vZKK2EISKq-H4vKlD9q78A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:3:\"Sen\";s:7:\"preview\";s:67:\"https://s.w.org/images/fonts/wp-6.7/previews/sen/sen-800-normal.svg\";}}s:7:\"preview\";s:56:\"https://s.w.org/images/fonts/wp-6.7/previews/sen/sen.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1470;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Send Flowers\";s:10:\"fontFamily\";s:23:\"\"Send Flowers\", cursive\";s:4:\"slug\";s:12:\"send-flowers\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sendflowers/v5/If2PXTjtZS-0Xqy13uCQSULvwgjjouU1iw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Send Flowers\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/send-flowers/send-flowers-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/send-flowers/send-flowers.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1471;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Sevillana\";s:10:\"fontFamily\";s:20:\"Sevillana, system-ui\";s:4:\"slug\";s:9:\"sevillana\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/sevillana/v23/KFOlCnWFscmDt1Bfiy1vBh05IsDqlA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Sevillana\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/sevillana/sevillana-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/sevillana/sevillana.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1472;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Seymour One\";s:10:\"fontFamily\";s:25:\"\"Seymour One\", sans-serif\";s:4:\"slug\";s:11:\"seymour-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/seymourone/v23/4iCp6Khla9xbjQpoWGGd0myNPYBvgpUI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Seymour One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/seymour-one/seymour-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/seymour-one/seymour-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1473;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Shadows Into Light\";s:10:\"fontFamily\";s:29:\"\"Shadows Into Light\", cursive\";s:4:\"slug\";s:18:\"shadows-into-light\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/shadowsintolight/v19/UqyNK9UOIntux_czAvDQx_ZcHqZXBNQDd8r4xzSMYA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Shadows Into Light\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/shadows-into-light/shadows-into-light-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/shadows-into-light/shadows-into-light.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1474;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:22:\"Shadows Into Light Two\";s:10:\"fontFamily\";s:33:\"\"Shadows Into Light Two\", cursive\";s:4:\"slug\";s:22:\"shadows-into-light-two\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/shadowsintolighttwo/v17/4iC86LVlZsRSjQhpWGedwyOoW-0A6_kpsyNmlA7NGLNnIF0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:22:\"Shadows Into Light Two\";s:7:\"preview\";s:105:\"https://s.w.org/images/fonts/wp-6.7/previews/shadows-into-light-two/shadows-into-light-two-400-normal.svg\";}}s:7:\"preview\";s:94:\"https://s.w.org/images/fonts/wp-6.7/previews/shadows-into-light-two/shadows-into-light-two.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1475;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Shalimar\";s:10:\"fontFamily\";s:17:\"Shalimar, cursive\";s:4:\"slug\";s:8:\"shalimar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/shalimar/v7/uU9MCBoE6I6iNWFUvTP08PCOg0uX.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Shalimar\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/shalimar/shalimar-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/shalimar/shalimar.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1476;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Shantell Sans\";s:10:\"fontFamily\";s:26:\"\"Shantell Sans\", system-ui\";s:4:\"slug\";s:13:\"shantell-sans\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:155:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUaS0pCoLIo-lcdY7kjvNoQqWVWB0qWpl29ajppTuUTu_kJKmHesPOL-maYi4xZeHCNQ09eBlmv2QcUzJ39-rAISYQiS2izyPwxjyRN.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:155:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUaS0pCoLIo-lcdY7kjvNoQqWVWB0qWpl29ajppTuUTu_kJKmHesPOL-maYi4xZeHCNQ09eBlmv2QcUzJ39-rAISYR8S2izyPwxjyRN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:155:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUaS0pCoLIo-lcdY7kjvNoQqWVWB0qWpl29ajppTuUTu_kJKmHesPOL-maYi4xZeHCNQ09eBlmv2QcUzJ39-rAISYROS2izyPwxjyRN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:155:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUaS0pCoLIo-lcdY7kjvNoQqWVWB0qWpl29ajppTuUTu_kJKmHesPOL-maYi4xZeHCNQ09eBlmv2QcUzJ39-rAISYSiTGizyPwxjyRN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:155:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUaS0pCoLIo-lcdY7kjvNoQqWVWB0qWpl29ajppTuUTu_kJKmHesPOL-maYi4xZeHCNQ09eBlmv2QcUzJ39-rAISYSbTGizyPwxjyRN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:155:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUaS0pCoLIo-lcdY7kjvNoQqWVWB0qWpl29ajppTuUTu_kJKmHesPOL-maYi4xZeHCNQ09eBlmv2QcUzJ39-rAISYT8TGizyPwxjyRN.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:158:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUcS0pCoLIo-lcdY7kjvNoQg2xkycTqsuA6bi9pTt8YiT-NXidjb_ee-maigL6R8nKVh8BbE1mv4wwmM0WUkSqmTpG0CN71wv0TijRNYgQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-300-italic.svg\";}i:7;a:5:{s:3:\"src\";s:158:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUcS0pCoLIo-lcdY7kjvNoQg2xkycTqsuA6bi9pTt8YiT-NXidjb_ee-maigL6R8nKVh8BbE1mv4wwmM0WUkSqmTpG0CID1wv0TijRNYgQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:158:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUcS0pCoLIo-lcdY7kjvNoQg2xkycTqsuA6bi9pTt8YiT-NXidjb_ee-maigL6R8nKVh8BbE1mv4wwmM0WUkSqmTpG0CLL1wv0TijRNYgQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-500-italic.svg\";}i:9;a:5:{s:3:\"src\";s:158:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUcS0pCoLIo-lcdY7kjvNoQg2xkycTqsuA6bi9pTt8YiT-NXidjb_ee-maigL6R8nKVh8BbE1mv4wwmM0WUkSqmTpG0CF7ywv0TijRNYgQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:158:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUcS0pCoLIo-lcdY7kjvNoQg2xkycTqsuA6bi9pTt8YiT-NXidjb_ee-maigL6R8nKVh8BbE1mv4wwmM0WUkSqmTpG0CGfywv0TijRNYgQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-700-italic.svg\";}i:11;a:5:{s:3:\"src\";s:158:\"https://fonts.gstatic.com/s/shantellsans/v10/FeUcS0pCoLIo-lcdY7kjvNoQg2xkycTqsuA6bi9pTt8YiT-NXidjb_ee-maigL6R8nKVh8BbE1mv4wwmM0WUkSqmTpG0CADywv0TijRNYgQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Shantell Sans\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans-800-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/shantell-sans/shantell-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1477;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Shanti\";s:10:\"fontFamily\";s:18:\"Shanti, sans-serif\";s:4:\"slug\";s:6:\"shanti\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/shanti/v25/t5thIREMM4uSDgzgVkezpKfwzA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Shanti\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/shanti/shanti-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/shanti/shanti.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1478;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Share\";s:10:\"fontFamily\";s:17:\"Share, sans-serif\";s:4:\"slug\";s:5:\"share\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/share/v18/i7dEIFliZjKNF5VIHLq2cV5d.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Share\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/share/share-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/share/v18/i7dKIFliZjKNF6VPFruUdE5dWFM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Share\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/share/share-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/share/v18/i7dJIFliZjKNF63xM567WkJUQUq7.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Share\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/share/share-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/share/v18/i7dPIFliZjKNF6VPLgK7UEN2RFq7AwU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Share\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/share/share-700-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/share/share.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1479;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Share Tech\";s:10:\"fontFamily\";s:24:\"\"Share Tech\", sans-serif\";s:4:\"slug\";s:10:\"share-tech\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sharetech/v21/7cHtv4Uyi5K0OeZ7bohUwH8DmTcibrA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Share Tech\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/share-tech/share-tech-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/share-tech/share-tech.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1480;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Share Tech Mono\";s:10:\"fontFamily\";s:28:\"\"Share Tech Mono\", monospace\";s:4:\"slug\";s:15:\"share-tech-mono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/sharetechmono/v15/J7aHnp1uDWRBEqV98dVQztYldFc7oQsEIc3Xew.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Share Tech Mono\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/share-tech-mono/share-tech-mono-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/share-tech-mono/share-tech-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1481;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Shippori Antique\";s:10:\"fontFamily\";s:30:\"\"Shippori Antique\", sans-serif\";s:4:\"slug\";s:16:\"shippori-antique\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/shipporiantique/v9/-F6qfid3KC8pdMyzR0qRyFUht11v8lJPg-IUDNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Shippori Antique\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-antique/shippori-antique-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-antique/shippori-antique.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1482;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Shippori Antique B1\";s:10:\"fontFamily\";s:33:\"\"Shippori Antique B1\", sans-serif\";s:4:\"slug\";s:20:\"shippori-antique-b-1\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/shipporiantiqueb1/v9/2Eb7L_JwClR7Zl_UAKZ0mUHw3oMKd40grRRCj9-5Y8Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Shippori Antique B1\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-antique-b1/shippori-antique-b1-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-antique-b1/shippori-antique-b1.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1483;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Shippori Mincho\";s:10:\"fontFamily\";s:24:\"\"Shippori Mincho\", serif\";s:4:\"slug\";s:15:\"shippori-mincho\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/shipporimincho/v15/VdGGAZweH5EbgHY6YExcZfDoj0BA3v-C7LoS7g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Shippori Mincho\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho/shippori-mincho-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/shipporimincho/v15/VdGDAZweH5EbgHY6YExcZfDoj0B4L9am4ZEO5--2zg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Shippori Mincho\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho/shippori-mincho-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/shipporimincho/v15/VdGDAZweH5EbgHY6YExcZfDoj0B4A9Gm4ZEO5--2zg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Shippori Mincho\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho/shippori-mincho-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/shipporimincho/v15/VdGDAZweH5EbgHY6YExcZfDoj0B4Z9Cm4ZEO5--2zg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Shippori Mincho\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho/shippori-mincho-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/shipporimincho/v15/VdGDAZweH5EbgHY6YExcZfDoj0B4e9Om4ZEO5--2zg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Shippori Mincho\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho/shippori-mincho-800-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho/shippori-mincho.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1484;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Shippori Mincho B1\";s:10:\"fontFamily\";s:27:\"\"Shippori Mincho B1\", serif\";s:4:\"slug\";s:19:\"shippori-mincho-b-1\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/shipporiminchob1/v22/wXK2E2wCr44tulPdnn-xbIpJ9RgT9-nyi6Br1lO97Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Shippori Mincho B1\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho-b1/shippori-mincho-b1-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/shipporiminchob1/v22/wXK1E2wCr44tulPdnn-xbIpJ9RgT9-nKeolP23ih5H4Uug.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Shippori Mincho B1\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho-b1/shippori-mincho-b1-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/shipporiminchob1/v22/wXK1E2wCr44tulPdnn-xbIpJ9RgT9-nKVo5P23ih5H4Uug.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Shippori Mincho B1\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho-b1/shippori-mincho-b1-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/shipporiminchob1/v22/wXK1E2wCr44tulPdnn-xbIpJ9RgT9-nKMo9P23ih5H4Uug.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Shippori Mincho B1\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho-b1/shippori-mincho-b1-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/shipporiminchob1/v22/wXK1E2wCr44tulPdnn-xbIpJ9RgT9-nKLoxP23ih5H4Uug.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Shippori Mincho B1\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho-b1/shippori-mincho-b1-800-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/shippori-mincho-b1/shippori-mincho-b1.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1485;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Shizuru\";s:10:\"fontFamily\";s:18:\"Shizuru, system-ui\";s:4:\"slug\";s:7:\"shizuru\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/shizuru/v11/O4ZSFGfvnxFiCA3i30cJlgUTj2A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Shizuru\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/shizuru/shizuru-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/shizuru/shizuru.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1486;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Shojumaru\";s:10:\"fontFamily\";s:20:\"Shojumaru, system-ui\";s:4:\"slug\";s:9:\"shojumaru\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/shojumaru/v15/rax_HiWfutkLLnaKCtlMARJek0vA8A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Shojumaru\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/shojumaru/shojumaru-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/shojumaru/shojumaru.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1487;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Short Stack\";s:10:\"fontFamily\";s:22:\"\"Short Stack\", cursive\";s:4:\"slug\";s:11:\"short-stack\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/shortstack/v15/bMrzmS2X6p0jZC6EcmPFX-SXcX8D0nq6.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Short Stack\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/short-stack/short-stack-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/short-stack/short-stack.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1488;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Shrikhand\";s:10:\"fontFamily\";s:20:\"Shrikhand, system-ui\";s:4:\"slug\";s:9:\"shrikhand\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/shrikhand/v15/a8IbNovtLWfR7T7bMJwbAYiQ0zhMtA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Shrikhand\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/shrikhand/shrikhand-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/shrikhand/shrikhand.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1489;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:8:\"Siemreap\";s:10:\"fontFamily\";s:20:\"Siemreap, sans-serif\";s:4:\"slug\";s:8:\"siemreap\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/siemreap/v28/Gg82N5oFbgLvHAfNl2YenA8DLXpe.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Siemreap\";}}}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1490;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Sigmar\";s:10:\"fontFamily\";s:17:\"Sigmar, system-ui\";s:4:\"slug\";s:6:\"sigmar\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/sigmar/v7/hv-XlzJgIE8a85pUaGY3MTFgVg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Sigmar\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/sigmar/sigmar-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/sigmar/sigmar.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1491;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Sigmar One\";s:10:\"fontFamily\";s:23:\"\"Sigmar One\", system-ui\";s:4:\"slug\";s:10:\"sigmar-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sigmarone/v18/co3DmWZ8kjZuErj9Ta3dk6bjp3Di8U0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sigmar One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sigmar-one/sigmar-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/sigmar-one/sigmar-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1492;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Signika\";s:10:\"fontFamily\";s:19:\"Signika, sans-serif\";s:4:\"slug\";s:7:\"signika\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/signika/v25/vEF72_JTCgwQ5ejvMV0Ox_Kg1UwJ0tKfX4zNpD8E4ASzH1r93zuYyDMngt4xjw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Signika\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/signika/signika-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/signika/v25/vEF72_JTCgwQ5ejvMV0Ox_Kg1UwJ0tKfX4zNpD8E4ASzH1r9gTuYyDMngt4xjw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Signika\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/signika/signika-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/signika/v25/vEF72_JTCgwQ5ejvMV0Ox_Kg1UwJ0tKfX4zNpD8E4ASzH1r9szuYyDMngt4xjw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Signika\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/signika/signika-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/signika/v25/vEF72_JTCgwQ5ejvMV0Ox_Kg1UwJ0tKfX4zNpD8E4ASzH1r9XzyYyDMngt4xjw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Signika\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/signika/signika-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/signika/v25/vEF72_JTCgwQ5ejvMV0Ox_Kg1UwJ0tKfX4zNpD8E4ASzH1r9ZjyYyDMngt4xjw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Signika\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/signika/signika-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/signika/signika.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1493;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Signika Negative\";s:10:\"fontFamily\";s:30:\"\"Signika Negative\", sans-serif\";s:4:\"slug\";s:16:\"signika-negative\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/signikanegative/v21/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAr5S73pt9hiuEq8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Signika Negative\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/signika-negative/signika-negative-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/signikanegative/v21/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS73pt9hiuEq8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Signika Negative\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/signika-negative/signika-negative-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/signikanegative/v21/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqVS73pt9hiuEq8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Signika Negative\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/signika-negative/signika-negative-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/signikanegative/v21/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAp5TL3pt9hiuEq8.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Signika Negative\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/signika-negative/signika-negative-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/signikanegative/v21/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RApATL3pt9hiuEq8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Signika Negative\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/signika-negative/signika-negative-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/signika-negative/signika-negative.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1494;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Silkscreen\";s:10:\"fontFamily\";s:21:\"Silkscreen, system-ui\";s:4:\"slug\";s:10:\"silkscreen\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/silkscreen/v4/m8JXjfVPf62XiF7kO-i9ULFvamODxdI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Silkscreen\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/silkscreen/silkscreen-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/silkscreen/v4/m8JUjfVPf62XiF7kO-i9aAhATm6o2dudFvc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Silkscreen\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/silkscreen/silkscreen-700-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/silkscreen/silkscreen.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1495;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Simonetta\";s:10:\"fontFamily\";s:20:\"Simonetta, system-ui\";s:4:\"slug\";s:9:\"simonetta\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/simonetta/v27/x3dickHVYrCU5BU15c4BefACvy_1BA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Simonetta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/simonetta/simonetta-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/simonetta/v27/x3dkckHVYrCU5BU15c4xfvoDnSrlBBsy.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Simonetta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/simonetta/simonetta-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/simonetta/v27/x3dnckHVYrCU5BU15c45-N0msgTpDQIrGg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Simonetta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/simonetta/simonetta-900-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/simonetta/v27/x3d5ckHVYrCU5BU15c4xfsKCsA7oLwc7Gn88.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Simonetta\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/simonetta/simonetta-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/simonetta/simonetta.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1496;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Single Day\";s:10:\"fontFamily\";s:23:\"\"Single Day\", system-ui\";s:4:\"slug\";s:10:\"single-day\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/singleday/v17/LYjHdGDjlEgoAcF95EI5jV8FUNfeQJU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Single Day\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/single-day/single-day-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/single-day/single-day.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1497;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Sintony\";s:10:\"fontFamily\";s:19:\"Sintony, sans-serif\";s:4:\"slug\";s:7:\"sintony\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sintony/v15/XoHm2YDqR7-98cVUITEnu98ojjs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sintony\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sintony/sintony-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sintony/v15/XoHj2YDqR7-98cVUGYgIn9IDkjLp6C8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sintony\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sintony/sintony-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/sintony/sintony.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1498;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Sirin Stencil\";s:10:\"fontFamily\";s:26:\"\"Sirin Stencil\", system-ui\";s:4:\"slug\";s:13:\"sirin-stencil\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/sirinstencil/v25/mem4YaWwznmLx-lzGfN7MdRydc1GBq6al6o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sirin Stencil\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sirin-stencil/sirin-stencil-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/sirin-stencil/sirin-stencil.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1499;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Six Caps\";s:10:\"fontFamily\";s:22:\"\"Six Caps\", sans-serif\";s:4:\"slug\";s:8:\"six-caps\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/sixcaps/v20/6ae_4KGrU7VR7bNmabcX9XXaPCop.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Six Caps\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/six-caps/six-caps-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/six-caps/six-caps.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1500;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Sixtyfour\";s:10:\"fontFamily\";s:20:\"Sixtyfour, monospace\";s:4:\"slug\";s:9:\"sixtyfour\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/sixtyfour/v1/OD5vuMCT1numDm3nakXtp2h4jg463t9haG_3mBkVsV20uFT3BAE5f73dnyS5ZuOV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Sixtyfour\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/sixtyfour/sixtyfour-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/sixtyfour/sixtyfour.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1501;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Sixtyfour Convergence\";s:10:\"fontFamily\";s:34:\"\"Sixtyfour Convergence\", monospace\";s:4:\"slug\";s:21:\"sixtyfour-convergence\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:173:\"https://fonts.gstatic.com/s/sixtyfourconvergence/v1/m8IQjepPf7mIglv5K__zM9srGA7wurbybZMfZsqG2Q6EWlJro5FJSJ4acT9PoOPwGgieaK7zkSpdXP-GrR9Yw9Tg7E4HGLbUKPlOh102ho5kk3grz3g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Sixtyfour Convergence\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/sixtyfour-convergence/sixtyfour-convergence-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/sixtyfour-convergence/sixtyfour-convergence.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1502;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Skranji\";s:10:\"fontFamily\";s:18:\"Skranji, system-ui\";s:4:\"slug\";s:7:\"skranji\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/skranji/v13/OZpDg_dtriVFNerMYz6uklTm3Ek.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Skranji\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/skranji/skranji-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/skranji/v13/OZpGg_dtriVFNerMW4eBtlnNwED-b4g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Skranji\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/skranji/skranji-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/skranji/skranji.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1503;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Slabo 13px\";s:10:\"fontFamily\";s:19:\"\"Slabo 13px\", serif\";s:4:\"slug\";s:11:\"slabo-13-px\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/slabo13px/v15/11hEGp_azEvXZUdSBzzRcKKr2wkYnvI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Slabo 13px\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/slabo-13px/slabo-13px-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/slabo-13px/slabo-13px.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1504;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Slabo 27px\";s:10:\"fontFamily\";s:19:\"\"Slabo 27px\", serif\";s:4:\"slug\";s:11:\"slabo-27-px\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/slabo27px/v14/mFT0WbgBwKPR_Z4hGN2qsx0J1EJ7i90.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Slabo 27px\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/slabo-27px/slabo-27px-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/slabo-27px/slabo-27px.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1505;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Slackey\";s:10:\"fontFamily\";s:18:\"Slackey, system-ui\";s:4:\"slug\";s:7:\"slackey\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/slackey/v28/N0bV2SdQO-5yM0-dKlFaJdbWgdY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Slackey\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/slackey/slackey-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/slackey/slackey.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1506;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Slackside One\";s:10:\"fontFamily\";s:24:\"\"Slackside One\", cursive\";s:4:\"slug\";s:13:\"slackside-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/slacksideone/v11/EJRQQgMrXdcGsiBuvnRxodTwVyvVocNB6Iw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Slackside One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/slackside-one/slackside-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/slackside-one/slackside-one.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1507;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Smokum\";s:10:\"fontFamily\";s:17:\"Smokum, system-ui\";s:4:\"slug\";s:6:\"smokum\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/smokum/v28/TK3iWkUbAhopmrdGGzUHte5fKg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Smokum\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/smokum/smokum-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/smokum/smokum.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1508;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Smooch\";s:10:\"fontFamily\";s:15:\"Smooch, cursive\";s:4:\"slug\";s:6:\"smooch\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/smooch/v7/o-0LIps4xW8U1xUBi6p_6hVdYg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Smooch\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch/smooch-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch/smooch.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1509;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Smooch Sans\";s:10:\"fontFamily\";s:25:\"\"Smooch Sans\", sans-serif\";s:4:\"slug\";s:11:\"smooch-sans\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiwUFoc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiQUBoc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oin0Boc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiwUBoc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oi80Boc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiH0doc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiJkdoc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiQUdoc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/smoochsans/v13/c4mz1n5uGsXss2LJh1QH6b129FZvxPj6I4oiaEdoc6IeNlzayg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Smooch Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/smooch-sans/smooch-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1510;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Smythe\";s:10:\"fontFamily\";s:17:\"Smythe, system-ui\";s:4:\"slug\";s:6:\"smythe\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/smythe/v23/MwQ3bhT01--coT1BPbh_uGInjA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Smythe\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/smythe/smythe-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/smythe/smythe.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1511;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Sniglet\";s:10:\"fontFamily\";s:18:\"Sniglet, system-ui\";s:4:\"slug\";s:7:\"sniglet\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/sniglet/v17/cIf9MaFLtkE3UjaJxCyrYGkHgIs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sniglet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sniglet/sniglet-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/sniglet/v17/cIf4MaFLtkE3UjaJ_ImHRGQsnIJkWL4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Sniglet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/sniglet/sniglet-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/sniglet/sniglet.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1512;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Snippet\";s:10:\"fontFamily\";s:19:\"Snippet, sans-serif\";s:4:\"slug\";s:7:\"snippet\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/snippet/v21/bWt47f7XfQH9Gupu2vrAfcp9QWc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Snippet\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/snippet/snippet-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/snippet/snippet.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1513;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Snowburst One\";s:10:\"fontFamily\";s:26:\"\"Snowburst One\", system-ui\";s:4:\"slug\";s:13:\"snowburst-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/snowburstone/v20/MQpS-WezKdujBsXY3B7I-UT7eZqUPyacPbo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Snowburst One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/snowburst-one/snowburst-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/snowburst-one/snowburst-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1514;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Sofadi One\";s:10:\"fontFamily\";s:23:\"\"Sofadi One\", system-ui\";s:4:\"slug\";s:10:\"sofadi-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sofadione/v21/JIA2UVBxdnVBuElZaMFGcDaIETkmYDU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofadi One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofadi-one/sofadi-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/sofadi-one/sofadi-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1515;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Sofia\";s:10:\"fontFamily\";s:14:\"Sofia, cursive\";s:4:\"slug\";s:5:\"sofia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/sofia/v14/8QIHdirahM3j_vu7sowsrqjk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Sofia\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia/sofia-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia/sofia.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1516;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Sofia Sans\";s:10:\"fontFamily\";s:24:\"\"Sofia Sans\", sans-serif\";s:4:\"slug\";s:10:\"sofia-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69B6sa3orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69D6sK3orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69AksK3orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69B6sK3orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69BIsK3orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69Ckt63orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69Cdt63orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69D6t63orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6E-LCVXSLy9uPBwlAThu1SY8Cx8rlT69DTt63orvKCXl8k.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy80WvpPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy88WupPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy8xuupPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy80WupPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy83eupPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy85uppPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy86KppPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy88WppPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sofiasans/v16/Yq6G-LCVXSLy9uPBwlATrORgnBjYmSP97MWy8-yppPOgW08kdLY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Sofia Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans-900-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans/sofia-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1517;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Sofia Sans Condensed\";s:10:\"fontFamily\";s:34:\"\"Sofia Sans Condensed\", sans-serif\";s:4:\"slug\";s:20:\"sofia-sans-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqh-CsksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqB-GsksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUq2eGsksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqh-GsksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqteGsksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqWeasksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqYOasksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqB-asksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r05xGKVS5aVKd567NYXawnFKJaTtoAuLnK0EjiAN5s9CZwUqLuasksQO3OfwQQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6JE1c4P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6LE1M4P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6Ia1M4P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6JE1M4P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6J21M4P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6Ka084P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6Kj084P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6LE084P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:120:\"https://fonts.gstatic.com/s/sofiasanscondensed/v2/r053GKVS5aVKd567NYXawnFKJaTtoAuLnIcNvN_Vj6TYyQI_T6Lt084P_uLgQZ_3.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:20:\"Sofia Sans Condensed\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed-900-italic.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-condensed/sofia-sans-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1518;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:26:\"Sofia Sans Extra Condensed\";s:10:\"fontFamily\";s:40:\"\"Sofia Sans Extra Condensed\", sans-serif\";s:4:\"slug\";s:26:\"sofia-sans-extra-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLmmmEejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLGmiEejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLxGiEejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLmmiEejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLqGiEejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLRG-EejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLfW-EejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLGm-EejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxdHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0d6iDr-MD5Si9NGLM2-EejmM356GxA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUitsPTON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUivsPDON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUisyPDON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUitsPDON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUitePDON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUiuyOzON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUiuLOzON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUivsOzON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:133:\"https://fonts.gstatic.com/s/sofiasansextracondensed/v2/raxfHjafvdAIOju4GcIfJH0i7zi50X3zRtuLNiMS0fSrPEBUZv84WtaeUivFOzON_ZuWxFXe.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:26:\"Sofia Sans Extra Condensed\";s:7:\"preview\";s:113:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed-900-italic.svg\";}}s:7:\"preview\";s:102:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-extra-condensed/sofia-sans-extra-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1519;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:25:\"Sofia Sans Semi Condensed\";s:10:\"fontFamily\";s:39:\"\"Sofia Sans Semi Condensed\", sans-serif\";s:4:\"slug\";s:25:\"sofia-sans-semi-condensed\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvoobEO9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvoqbEe9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvopFEe9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvoobEe9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvoopEe9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvorFFu9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvor8Fu9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvoqbFu9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:128:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kOlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURm28cA7YLHsIVvoqyFu9WGahllIhN.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUgcRE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUocQE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUlkQE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUgcQE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUjUQE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUtkXE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUuAXE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUocXE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:131:\"https://fonts.gstatic.com/s/sofiasanssemicondensed/v4/46kMlaPnUDrQoNsWDCGXXxYlujh5Wv0nwP4RwxURsWYu_G5idVi7uZ_TUq4XE6lHkZhNeas.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:25:\"Sofia Sans Semi Condensed\";s:7:\"preview\";s:111:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed-900-italic.svg\";}}s:7:\"preview\";s:100:\"https://s.w.org/images/fonts/wp-6.7/previews/sofia-sans-semi-condensed/sofia-sans-semi-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1520;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Solitreo\";s:10:\"fontFamily\";s:17:\"Solitreo, cursive\";s:4:\"slug\";s:8:\"solitreo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/solitreo/v2/r05YGLlS5a9KYsyNO8usyDYtStiJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Solitreo\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/solitreo/solitreo-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/solitreo/solitreo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1521;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Solway\";s:10:\"fontFamily\";s:13:\"Solway, serif\";s:4:\"slug\";s:6:\"solway\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/solway/v18/AMOTz46Cs2uTAOCuLlgZn80QW3mqyg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Solway\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/solway/solway-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/solway/v18/AMOQz46Cs2uTAOCWh3A9kuYMUg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Solway\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/solway/solway-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/solway/v18/AMOTz46Cs2uTAOCudlkZn80QW3mqyg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Solway\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/solway/solway-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/solway/v18/AMOTz46Cs2uTAOCuPl8Zn80QW3mqyg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Solway\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/solway/solway-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/solway/v18/AMOTz46Cs2uTAOCuIlwZn80QW3mqyg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Solway\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/solway/solway-800-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/solway/solway.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1522;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Sometype Mono\";s:10:\"fontFamily\";s:26:\"\"Sometype Mono\", monospace\";s:4:\"slug\";s:13:\"sometype-mono\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sometypemono/v1/70lGu745KGk_R3uxyq0WrROhAJiJsJ_eTWllpTAMGE9fgQBbs7uG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sometypemono/v1/70lGu745KGk_R3uxyq0WrROhAJiJsJ_eTWllpTA-GE9fgQBbs7uG.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sometypemono/v1/70lGu745KGk_R3uxyq0WrROhAJiJsJ_eTWllpTDSH09fgQBbs7uG.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sometypemono/v1/70lGu745KGk_R3uxyq0WrROhAJiJsJ_eTWllpTDrH09fgQBbs7uG.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sometypemono/v1/70lEu745KGk_R3uxyq0WrROhKpG7T0e3JvPLoiXEW6cZiwF5tquGrxk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sometypemono/v1/70lEu745KGk_R3uxyq0WrROhKpG7T0e3JvPLoiXEW5UZiwF5tquGrxk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sometypemono/v1/70lEu745KGk_R3uxyq0WrROhKpG7T0e3JvPLoiXEW3keiwF5tquGrxk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sometypemono/v1/70lEu745KGk_R3uxyq0WrROhKpG7T0e3JvPLoiXEW0AeiwF5tquGrxk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Sometype Mono\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono-700-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/sometype-mono/sometype-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1523;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Song Myung\";s:10:\"fontFamily\";s:19:\"\"Song Myung\", serif\";s:4:\"slug\";s:10:\"song-myung\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/songmyung/v20/1cX2aUDWAJH5-EIC7DIhr1SqhcitzeM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Song Myung\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/song-myung/song-myung-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/song-myung/song-myung.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1524;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Sono\";s:10:\"fontFamily\";s:16:\"Sono, sans-serif\";s:4:\"slug\";s:4:\"sono\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxVNkWdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxV6EWdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxVtkWdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxVhEWdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxVaEKdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxVUUKdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/sono/v6/aFT97PNiY3U2Cqf_aYEN64CYaK18YWJEsV6u-QLiOsxVNkKdF3R4qYeB4Q.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sono\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono-800-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/sono/sono.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1525;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Sonsie One\";s:10:\"fontFamily\";s:23:\"\"Sonsie One\", system-ui\";s:4:\"slug\";s:10:\"sonsie-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/sonsieone/v21/PbymFmP_EAnPqbKaoc18YV680lbp8JM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Sonsie One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/sonsie-one/sonsie-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/sonsie-one/sonsie-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1526;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Sora\";s:10:\"fontFamily\";s:16:\"Sora, sans-serif\";s:4:\"slug\";s:4:\"sora\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSdSn3-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSfSnn-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmScMnn-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSdSnn-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSdgnn-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSeMmX-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSe1mX-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/sora/v12/xMQOuFFYT72X5wkB_18qmnndmSfSmX-PIwNhBti0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sora\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora-800-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/sora/sora.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1527;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Sorts Mill Goudy\";s:10:\"fontFamily\";s:25:\"\"Sorts Mill Goudy\", serif\";s:4:\"slug\";s:16:\"sorts-mill-goudy\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/sortsmillgoudy/v15/Qw3GZR9MED_6PSuS_50nEaVrfzgEXHgOjpM75PE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Sorts Mill Goudy\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/sorts-mill-goudy/sorts-mill-goudy-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/sortsmillgoudy/v15/Qw3AZR9MED_6PSuS_50nEaVrfzgEbH8Ej7E-9PGLfQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Sorts Mill Goudy\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/sorts-mill-goudy/sorts-mill-goudy-400-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/sorts-mill-goudy/sorts-mill-goudy.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1528;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Source Code Pro\";s:10:\"fontFamily\";s:28:\"\"Source Code Pro\", monospace\";s:4:\"slug\";s:15:\"source-code-pro\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DEyQhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DJKQhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DMyQhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DP6QhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DBKXhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DCuXhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DEyXhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_diYsKILxRpg3hIP6sJ7fM7PqPMcMnZFqUwX28DGWXhMthTXUcdJg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTT7I1rTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTTMo1rTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTTbI1rTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTTXo1rTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTTsoprTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTTi4prTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTT7IprTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/sourcecodepro/v23/HI_jiYsKILxRpg3hIP6sJ7fM7PqlOPHYvDP_W9O7GQTTxYprTFcZZJiGpw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:15:\"Source Code Pro\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro-900-italic.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/source-code-pro/source-code-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1529;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Source Sans 3\";s:10:\"fontFamily\";s:27:\"\"Source Sans 3\", sans-serif\";s:4:\"slug\";s:13:\"source-sans-3\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8Kw461EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8Kzm61EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8Ky461EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8KyK61EI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8Kxm7FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8Kxf7FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8Kw47FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpBtKy2OAdR1K-IwhWudF-R9QMylBJAV3Bo8KwR7FEI_io6npfB.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqDlO9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqOdO9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqLlO9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqItO9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqGdJ9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqF5J9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqDlJ9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sourcesans3/v15/nwpDtKy2OAdR1K-IwhWudF-R3woAa8opPOrG97lwqBBJ9CsYm4fB3Ts.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Source Sans 3\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3-900-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/source-sans-3/source-sans-3.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1530;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Source Serif 4\";s:10:\"fontFamily\";s:23:\"\"Source Serif 4\", serif\";s:4:\"slug\";s:14:\"source-serif-4\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjipdqrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjiklqrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjihdqrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjiiVqrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjisltrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjivBtrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjipdtrhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:121:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEFy2_tTDB4M7-auWDN0ahZJW3IX2ih5nk3AucvUHf6OAVIJmeUDygwjir5trhlXD-wGvjU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-900-normal.svg\";}i:8;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98pxl9dDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98pGF9dDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98pRl9dDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98pdF9dDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98pmFhdDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98poVhdDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98pxlhdDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-800-italic.svg\";}i:15;a:5:{s:3:\"src\";s:124:\"https://fonts.gstatic.com/s/sourceserif4/v8/vEF02_tTDB4M7-auWDN0ahZJW1ge6NmXpVAHV83Bfb_US2D2QYxoUKIkn98p71hdDs4DrjXEXw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Source Serif 4\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/source-serif-4/source-serif-4.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1531;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Space Grotesk\";s:10:\"fontFamily\";s:27:\"\"Space Grotesk\", sans-serif\";s:4:\"slug\";s:13:\"space-grotesk\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/spacegrotesk/v16/V8mQoQDjQSkFtoMM3T6r8E7mF71Q-gOoraIAEj62UUsmNsFjTDJK.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Space Grotesk\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/space-grotesk/space-grotesk-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/spacegrotesk/v16/V8mQoQDjQSkFtoMM3T6r8E7mF71Q-gOoraIAEj7oUUsmNsFjTDJK.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Space Grotesk\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/space-grotesk/space-grotesk-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/spacegrotesk/v16/V8mQoQDjQSkFtoMM3T6r8E7mF71Q-gOoraIAEj7aUUsmNsFjTDJK.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Space Grotesk\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/space-grotesk/space-grotesk-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/spacegrotesk/v16/V8mQoQDjQSkFtoMM3T6r8E7mF71Q-gOoraIAEj42VksmNsFjTDJK.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Space Grotesk\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/space-grotesk/space-grotesk-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/spacegrotesk/v16/V8mQoQDjQSkFtoMM3T6r8E7mF71Q-gOoraIAEj4PVksmNsFjTDJK.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Space Grotesk\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/space-grotesk/space-grotesk-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/space-grotesk/space-grotesk.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1532;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Space Mono\";s:10:\"fontFamily\";s:23:\"\"Space Mono\", monospace\";s:4:\"slug\";s:10:\"space-mono\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spacemono/v14/i7dPIFZifjKcF5UAWdDRUEN2RFq7AwU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Space Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/space-mono/space-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spacemono/v14/i7dNIFZifjKcF5UAWdDRYER8RXi-EwWMbg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Space Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/space-mono/space-mono-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/spacemono/v14/i7dMIFZifjKcF5UAWdDRaPpZYFeQHwyVd3U.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Space Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/space-mono/space-mono-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/spacemono/v14/i7dSIFZifjKcF5UAWdDRYERE_FeaHi6QZ3WfYg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Space Mono\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/space-mono/space-mono-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/space-mono/space-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1533;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Special Elite\";s:10:\"fontFamily\";s:26:\"\"Special Elite\", system-ui\";s:4:\"slug\";s:13:\"special-elite\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/specialelite/v18/XLYgIZbkc4JPUL5CVArUVL0nhnIESXFtUsM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Special Elite\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/special-elite/special-elite-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/special-elite/special-elite.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1534;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Spectral\";s:10:\"fontFamily\";s:15:\"Spectral, serif\";s:4:\"slug\";s:8:\"spectral\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spectral/v13/rnCs-xNNww_2s0amA9v2s13DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spectral/v13/rnCu-xNNww_2s0amA9M8qrXHafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spectral/v13/rnCs-xNNww_2s0amA9uSsF3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spectral/v13/rnCu-xNNww_2s0amA9M8qtHEafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/spectral/v13/rnCr-xNNww_2s0amA-M7mHnOSOuk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/spectral/v13/rnCt-xNNww_2s0amA9M8knjsTfukQHs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spectral/v13/rnCs-xNNww_2s0amA9vKsV3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spectral/v13/rnCu-xNNww_2s0amA9M8qonFafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spectral/v13/rnCs-xNNww_2s0amA9vmtl3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spectral/v13/rnCu-xNNww_2s0amA9M8qqXCafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spectral/v13/rnCs-xNNww_2s0amA9uCt13DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spectral/v13/rnCu-xNNww_2s0amA9M8qsHDafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spectral/v13/rnCs-xNNww_2s0amA9uetF3DY_etWWIJ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-800-normal.svg\";}i:13;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/spectral/v13/rnCu-xNNww_2s0amA9M8qt3AafaPXHIJErY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Spectral\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral-800-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral/spectral.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1535;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Spectral SC\";s:10:\"fontFamily\";s:20:\"\"Spectral SC\", serif\";s:4:\"slug\";s:11:\"spectral-sc\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk0ALCRZonmalTgyPmRfs1qwkTSPYeVXJZB.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk2ALCRZonmalTgyPmRfsWg26zWN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk0ALCRZonmalTgyPmRfs0OwUTSPYeVXJZB.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk2ALCRZonmalTgyPmRfsWg28jVN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/spectralsc/v12/KtkpALCRZonmalTgyPmRfvWn6WDfFpuc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/spectralsc/v12/KtkrALCRZonmalTgyPmRfsWg42H9E4ucRY8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk0ALCRZonmalTgyPmRfs1WwETSPYeVXJZB.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-500-normal.svg\";}i:7;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk2ALCRZonmalTgyPmRfsWg25DUN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk0ALCRZonmalTgyPmRfs16x0TSPYeVXJZB.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-600-normal.svg\";}i:9;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk2ALCRZonmalTgyPmRfsWg27zTN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-600-italic.svg\";}i:10;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk0ALCRZonmalTgyPmRfs0exkTSPYeVXJZB.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-700-normal.svg\";}i:11;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk2ALCRZonmalTgyPmRfsWg29jSN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-700-italic.svg\";}i:12;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk0ALCRZonmalTgyPmRfs0CxUTSPYeVXJZB.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-800-normal.svg\";}i:13;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/spectralsc/v12/Ktk2ALCRZonmalTgyPmRfsWg28TRN4a3WYZB_sU.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Spectral SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc-800-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/spectral-sc/spectral-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1536;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Spicy Rice\";s:10:\"fontFamily\";s:23:\"\"Spicy Rice\", system-ui\";s:4:\"slug\";s:10:\"spicy-rice\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/spicyrice/v25/uK_24rSEd-Uqwk4jY1RyGvq2WkowRcc.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Spicy Rice\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/spicy-rice/spicy-rice-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/spicy-rice/spicy-rice.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1537;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Spinnaker\";s:10:\"fontFamily\";s:21:\"Spinnaker, sans-serif\";s:4:\"slug\";s:9:\"spinnaker\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/spinnaker/v19/w8gYH2oyX-I0_rvR6Hmn2XwLqOqSBg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Spinnaker\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/spinnaker/spinnaker-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/spinnaker/spinnaker.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1538;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Spirax\";s:10:\"fontFamily\";s:17:\"Spirax, system-ui\";s:4:\"slug\";s:6:\"spirax\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/spirax/v21/buE3poKgYNLy0F3cW0tt-Csn-Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Spirax\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/spirax/spirax-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/spirax/spirax.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1539;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Splash\";s:10:\"fontFamily\";s:15:\"Splash, cursive\";s:4:\"slug\";s:6:\"splash\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/splash/v6/KtksAL2RZoDkbU6hofPGNdS6wg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Splash\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/splash/splash-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/splash/splash.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1540;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Spline Sans\";s:10:\"fontFamily\";s:25:\"\"Spline Sans\", sans-serif\";s:4:\"slug\";s:11:\"spline-sans\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/splinesans/v10/_6_sED73Uf-2WfU2LzycEZousNzn1a1lKWRpZlnYF9vlUfE2kw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spline Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans/spline-sans-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/splinesans/v10/_6_sED73Uf-2WfU2LzycEZousNzn1a1lKWRpOFnYF9vlUfE2kw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spline Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans/spline-sans-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/splinesans/v10/_6_sED73Uf-2WfU2LzycEZousNzn1a1lKWRpClnYF9vlUfE2kw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spline Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans/spline-sans-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/splinesans/v10/_6_sED73Uf-2WfU2LzycEZousNzn1a1lKWRp5l7YF9vlUfE2kw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spline Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans/spline-sans-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/splinesans/v10/_6_sED73Uf-2WfU2LzycEZousNzn1a1lKWRp317YF9vlUfE2kw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Spline Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans/spline-sans-700-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans/spline-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1541;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Spline Sans Mono\";s:10:\"fontFamily\";s:29:\"\"Spline Sans Mono\", monospace\";s:4:\"slug\";s:16:\"spline-sans-mono\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70MjzAei_CDNLfgZxrW6wrZOF2WdZ6xabUGSVtNuGA8MrtQy4d4dGb1.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70MjzAei_CDNLfgZxrW6wrZOF2WdZ6xabUGSVtNuGBiMrtQy4d4dGb1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70MjzAei_CDNLfgZxrW6wrZOF2WdZ6xabUGSVtNuGBQMrtQy4d4dGb1.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70MjzAei_CDNLfgZxrW6wrZOF2WdZ6xabUGSVtNuGC8NbtQy4d4dGb1.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70MjzAei_CDNLfgZxrW6wrZOF2WdZ6xabUGSVtNuGCFNbtQy4d4dGb1.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70yjzAei_CDNLfgZxrW6wrZOF2WX5eDlm1vIsHjv3WqcQ0WwYZacXb12MM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70yjzAei_CDNLfgZxrW6wrZOF2WX5eDlm1vIsHjv3WqcVMWwYZacXb12MM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70yjzAei_CDNLfgZxrW6wrZOF2WX5eDlm1vIsHjv3WqcWEWwYZacXb12MM.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70yjzAei_CDNLfgZxrW6wrZOF2WX5eDlm1vIsHjv3WqcY0RwYZacXb12MM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/splinesansmono/v10/R70yjzAei_CDNLfgZxrW6wrZOF2WX5eDlm1vIsHjv3WqcbQRwYZacXb12MM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Spline Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono-700-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/spline-sans-mono/spline-sans-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1542;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Squada One\";s:10:\"fontFamily\";s:23:\"\"Squada One\", system-ui\";s:4:\"slug\";s:10:\"squada-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/squadaone/v18/BCasqZ8XsOrx4mcOk6MtWaU8WDBkHgs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Squada One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/squada-one/squada-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/squada-one/squada-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1543;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Square Peg\";s:10:\"fontFamily\";s:21:\"\"Square Peg\", cursive\";s:4:\"slug\";s:10:\"square-peg\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/squarepeg/v5/y83eW48Nzw6ZlUHc-phrBDTrHHfrFPE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Square Peg\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/square-peg/square-peg-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/square-peg/square-peg.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1544;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Sree Krushnadevaraya\";s:10:\"fontFamily\";s:29:\"\"Sree Krushnadevaraya\", serif\";s:4:\"slug\";s:20:\"sree-krushnadevaraya\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/sreekrushnadevaraya/v21/R70FjzQeifmPepmyQQjQ9kvwMkWYPfTA_EWe2FhQuXir.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Sree Krushnadevaraya\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/sree-krushnadevaraya/sree-krushnadevaraya-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/sree-krushnadevaraya/sree-krushnadevaraya.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1545;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Sriracha\";s:10:\"fontFamily\";s:17:\"Sriracha, cursive\";s:4:\"slug\";s:8:\"sriracha\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/sriracha/v14/0nkrC9D4IuYBgWcI9ObdRQDioeb0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Sriracha\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/sriracha/sriracha-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/sriracha/sriracha.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1546;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Srisakdi\";s:10:\"fontFamily\";s:19:\"Srisakdi, system-ui\";s:4:\"slug\";s:8:\"srisakdi\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/srisakdi/v16/yMJRMIlvdpDbkB0A-jq5fSx5i814.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Srisakdi\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/srisakdi/srisakdi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/srisakdi/v16/yMJWMIlvdpDbkB0A-gIAUgh0oNFxW0Hz.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Srisakdi\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/srisakdi/srisakdi-700-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/srisakdi/srisakdi.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1547;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Staatliches\";s:10:\"fontFamily\";s:22:\"Staatliches, system-ui\";s:4:\"slug\";s:11:\"staatliches\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/staatliches/v13/HI_OiY8KO6hCsQSoAPmtMbeZtJG9O9PS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Staatliches\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/staatliches/staatliches-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/staatliches/staatliches.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1548;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Stalemate\";s:10:\"fontFamily\";s:18:\"Stalemate, cursive\";s:4:\"slug\";s:9:\"stalemate\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/stalemate/v22/taiIGmZ_EJq97-UfkZRpv6Ss8ZQpaQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Stalemate\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/stalemate/stalemate-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/stalemate/stalemate.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1549;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Stalinist One\";s:10:\"fontFamily\";s:26:\"\"Stalinist One\", system-ui\";s:4:\"slug\";s:13:\"stalinist-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/stalinistone/v56/MQpS-WezM9W4Dd7D3B7I-UT7eZqUPyacPbo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Stalinist One\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/stalinist-one/stalinist-one-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/stalinist-one/stalinist-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1550;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Stardos Stencil\";s:10:\"fontFamily\";s:28:\"\"Stardos Stencil\", system-ui\";s:4:\"slug\";s:15:\"stardos-stencil\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/stardosstencil/v15/X7n94bcuGPC8hrvEOHXOgaKCc2TR6lR3tiSx0g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Stardos Stencil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/stardos-stencil/stardos-stencil-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/stardosstencil/v15/X7n44bcuGPC8hrvEOHXOgaKCc2TpU3tTuw-t29HSHw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Stardos Stencil\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/stardos-stencil/stardos-stencil-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/stardos-stencil/stardos-stencil.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1551;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Stick\";s:10:\"fontFamily\";s:17:\"Stick, sans-serif\";s:4:\"slug\";s:5:\"stick\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/stick/v18/Qw3TZQpMCyTtJSvavPVDMPoF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Stick\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/stick/stick-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/stick/stick.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1552;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Stick No Bills\";s:10:\"fontFamily\";s:28:\"\"Stick No Bills\", sans-serif\";s:4:\"slug\";s:14:\"stick-no-bills\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcVP8Q7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcV4cQ7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcVv8Q7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcVjcQ7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcVYcM7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcVWMM7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/sticknobills/v15/bWts7ffXZwHuAa9Uld-oEK4QKlxj9f9t_7uEmjcVP8M7L7iwKhcTKA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Stick No Bills\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills-800-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/stick-no-bills/stick-no-bills.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1553;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Stint Ultra Condensed\";s:10:\"fontFamily\";s:30:\"\"Stint Ultra Condensed\", serif\";s:4:\"slug\";s:21:\"stint-ultra-condensed\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/stintultracondensed/v23/-W_gXIrsVjjeyEnPC45qD2NoFPtBE0xCh2A-rxUO2cNvdg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Stint Ultra Condensed\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/stint-ultra-condensed/stint-ultra-condensed-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/stint-ultra-condensed/stint-ultra-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1554;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Stint Ultra Expanded\";s:10:\"fontFamily\";s:29:\"\"Stint Ultra Expanded\", serif\";s:4:\"slug\";s:20:\"stint-ultra-expanded\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/stintultraexpanded/v22/CSRg4yNNh-GbW3o3JkwoDcdvMKMf0oBAd0qtATQkWwam.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Stint Ultra Expanded\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/stint-ultra-expanded/stint-ultra-expanded-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/stint-ultra-expanded/stint-ultra-expanded.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1555;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Stoke\";s:10:\"fontFamily\";s:12:\"Stoke, serif\";s:4:\"slug\";s:5:\"stoke\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/stoke/v24/z7NXdRb7aTMfKNvFVgxH_pjcTeWU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Stoke\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/stoke/stoke-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/stoke/v24/z7NadRb7aTMfKONsfihK1YTV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Stoke\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/stoke/stoke-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/stoke/stoke.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1556;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Strait\";s:10:\"fontFamily\";s:18:\"Strait, sans-serif\";s:4:\"slug\";s:6:\"strait\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/strait/v17/DtViJxy6WaEr1LZzfThtkl0U7w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Strait\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/strait/strait-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/strait/strait.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1557;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Style Script\";s:10:\"fontFamily\";s:23:\"\"Style Script\", cursive\";s:4:\"slug\";s:12:\"style-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/stylescript/v11/vm8xdRX3SV7Z0aPa88xzW5npfVT76NZnMw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Style Script\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/style-script/style-script-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/style-script/style-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1558;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Stylish\";s:10:\"fontFamily\";s:19:\"Stylish, sans-serif\";s:4:\"slug\";s:7:\"stylish\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/stylish/v22/m8JSjfhPYriQkk7-foj5dLxEdmo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Stylish\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/stylish/stylish-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/stylish/stylish.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1559;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Sue Ellen Francisco\";s:10:\"fontFamily\";s:30:\"\"Sue Ellen Francisco\", cursive\";s:4:\"slug\";s:19:\"sue-ellen-francisco\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/sueellenfrancisco/v20/wXK3E20CsoJ9j1DDkjHcQ5ZL8xRaxru9ro9F2lqk9H4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Sue Ellen Francisco\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/sue-ellen-francisco/sue-ellen-francisco-400-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/sue-ellen-francisco/sue-ellen-francisco.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1560;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Suez One\";s:10:\"fontFamily\";s:17:\"\"Suez One\", serif\";s:4:\"slug\";s:8:\"suez-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/suezone/v13/taiJGmd_EZ6rqscQgNFMkIqg-I0w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Suez One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/suez-one/suez-one-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/suez-one/suez-one.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1561;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Sulphur Point\";s:10:\"fontFamily\";s:27:\"\"Sulphur Point\", sans-serif\";s:4:\"slug\";s:13:\"sulphur-point\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/sulphurpoint/v15/RLpkK5vv8KaycDcazWFPBj2afVU6n6wFUHPIFaU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sulphur Point\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sulphur-point/sulphur-point-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/sulphurpoint/v15/RLp5K5vv8KaycDcazWFPBj2aRfwSu6EuTHo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sulphur Point\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sulphur-point/sulphur-point-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/sulphurpoint/v15/RLpkK5vv8KaycDcazWFPBj2afUU9n6wFUHPIFaU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Sulphur Point\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/sulphur-point/sulphur-point-700-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/sulphur-point/sulphur-point.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1562;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Sumana\";s:10:\"fontFamily\";s:13:\"Sumana, serif\";s:4:\"slug\";s:6:\"sumana\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/sumana/v10/4UaDrE5TqRBjGj-G9Rji76zR4w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Sumana\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/sumana/sumana-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/sumana/v10/4UaArE5TqRBjGj--TDfG4ofN6ppsKg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Sumana\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/sumana/sumana-700-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/sumana/sumana.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1563;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Sunflower\";s:10:\"fontFamily\";s:21:\"Sunflower, sans-serif\";s:4:\"slug\";s:9:\"sunflower\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/sunflower/v16/RWmPoKeF8fUjqIj7Vc-06MfirIsGBGBzCw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Sunflower\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/sunflower/sunflower-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/sunflower/v16/RWmPoKeF8fUjqIj7Vc-0sMbirIsGBGBzCw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Sunflower\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/sunflower/sunflower-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/sunflower/v16/RWmPoKeF8fUjqIj7Vc-0-MDirIsGBGBzCw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Sunflower\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/sunflower/sunflower-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/sunflower/sunflower.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1564;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Sunshiney\";s:10:\"fontFamily\";s:18:\"Sunshiney, cursive\";s:4:\"slug\";s:9:\"sunshiney\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/sunshiney/v24/LDIwapGTLBwsS-wT4vcgFsmoUePWkg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Sunshiney\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/sunshiney/sunshiney-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/sunshiney/sunshiney.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1565;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Supermercado One\";s:10:\"fontFamily\";s:29:\"\"Supermercado One\", system-ui\";s:4:\"slug\";s:16:\"supermercado-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/supermercadoone/v26/OpNXnpQWg8jc_xps_Gi14kVVEXOn60P3MClBRTs.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Supermercado One\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/supermercado-one/supermercado-one-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/supermercado-one/supermercado-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1566;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Sura\";s:10:\"fontFamily\";s:11:\"Sura, serif\";s:4:\"slug\";s:4:\"sura\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/sura/v19/SZc23FL5PbyzFftUWzXtjUM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sura/sura-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/sura/v19/SZc53FL5PbyzLUJ7fzjGkUrS8DI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Sura\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/sura/sura-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/sura/sura.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1567;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Suranna\";s:10:\"fontFamily\";s:14:\"Suranna, serif\";s:4:\"slug\";s:7:\"suranna\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/suranna/v13/gokuH6ztGkFjWe58tBFZT2KmgP0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Suranna\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/suranna/suranna-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/suranna/suranna.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1568;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Suravaram\";s:10:\"fontFamily\";s:16:\"Suravaram, serif\";s:4:\"slug\";s:9:\"suravaram\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/suravaram/v21/_gP61R_usiY7SCym4xIAjm61Qv9roQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Suravaram\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/suravaram/suravaram-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/suravaram/suravaram.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1569;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Suwannaphum\";s:10:\"fontFamily\";s:18:\"Suwannaphum, serif\";s:4:\"slug\";s:11:\"suwannaphum\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/suwannaphum/v31/jAnAgHV7GtDvc8jbe8hXXL3B9cGWXx2VZmk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Suwannaphum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/suwannaphum/suwannaphum-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/suwannaphum/v31/jAnfgHV7GtDvc8jbe8hXXL0J1-S5cRGcf3Ai.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Suwannaphum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/suwannaphum/suwannaphum-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/suwannaphum/v31/jAnCgHV7GtDvc8jbe8hXXIWg_8C0Wg2V.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Suwannaphum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/suwannaphum/suwannaphum-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/suwannaphum/v31/jAnfgHV7GtDvc8jbe8hXXL0Z0OS5cRGcf3Ai.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Suwannaphum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/suwannaphum/suwannaphum-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/suwannaphum/v31/jAnfgHV7GtDvc8jbe8hXXL0h0uS5cRGcf3Ai.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Suwannaphum\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/suwannaphum/suwannaphum-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/suwannaphum/suwannaphum.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1570;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Swanky and Moo Moo\";s:10:\"fontFamily\";s:29:\"\"Swanky and Moo Moo\", cursive\";s:4:\"slug\";s:18:\"swanky-and-moo-moo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/swankyandmoomoo/v22/flUlRrKz24IuWVI_WJYTYcqbEsMUZ3kUsLPkR64SYQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Swanky and Moo Moo\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/swanky-and-moo-moo/swanky-and-moo-moo-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/swanky-and-moo-moo/swanky-and-moo-moo.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1571;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Syncopate\";s:10:\"fontFamily\";s:21:\"Syncopate, sans-serif\";s:4:\"slug\";s:9:\"syncopate\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/syncopate/v21/pe0sMIuPIYBCpEV5eFdyB_2-C99ycg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Syncopate\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/syncopate/syncopate-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/syncopate/v21/pe0pMIuPIYBCpEV5eFdKvtKaBvRue1UwVg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Syncopate\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/syncopate/syncopate-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/syncopate/syncopate.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1572;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Syne\";s:10:\"fontFamily\";s:16:\"Syne, sans-serif\";s:4:\"slug\";s:4:\"syne\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/syne/v22/8vIS7w4qzmVxsWxjBZRjr0FKM_04uT6hR47NCV5Z.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Syne\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/syne/syne-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/syne/v22/8vIS7w4qzmVxsWxjBZRjr0FKM_0KuT6hR47NCV5Z.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Syne\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/syne/syne-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/syne/v22/8vIS7w4qzmVxsWxjBZRjr0FKM_3mvj6hR47NCV5Z.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Syne\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/syne/syne-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/syne/v22/8vIS7w4qzmVxsWxjBZRjr0FKM_3fvj6hR47NCV5Z.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Syne\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/syne/syne-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/syne/v22/8vIS7w4qzmVxsWxjBZRjr0FKM_24vj6hR47NCV5Z.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Syne\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/syne/syne-800-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/syne/syne.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1573;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Syne Mono\";s:10:\"fontFamily\";s:22:\"\"Syne Mono\", monospace\";s:4:\"slug\";s:9:\"syne-mono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/synemono/v15/K2FzfZNHj_FHBmRbFvHzJ6CkDyvqZA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Syne Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/syne-mono/syne-mono-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/syne-mono/syne-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1574;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Syne Tactile\";s:10:\"fontFamily\";s:25:\"\"Syne Tactile\", system-ui\";s:4:\"slug\";s:12:\"syne-tactile\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/synetactile/v15/11hGGpna2UTQKjMCVzjAPMKh2isdjvKU8Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Syne Tactile\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/syne-tactile/syne-tactile-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/syne-tactile/syne-tactile.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1575;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Tac One\";s:10:\"fontFamily\";s:21:\"\"Tac One\", sans-serif\";s:4:\"slug\";s:7:\"tac-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/tacone/v4/ahcZv8Cj3zw7qDr8fOshU-FwnU0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tac One\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tac-one/tac-one-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/tac-one/tac-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1576;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Tai Heritage Pro\";s:10:\"fontFamily\";s:25:\"\"Tai Heritage Pro\", serif\";s:4:\"slug\";s:16:\"tai-heritage-pro\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/taiheritagepro/v6/sZlfdQid-zgaNiNIYcUzJMU3IYyNoHlSENxuLuE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Tai Heritage Pro\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/tai-heritage-pro/tai-heritage-pro-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/taiheritagepro/v6/sZlYdQid-zgaNiNIYcUzJMU3IYyNmMB9NNFFMuhjCXY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Tai Heritage Pro\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/tai-heritage-pro/tai-heritage-pro-700-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/tai-heritage-pro/tai-heritage-pro.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1577;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Tajawal\";s:10:\"fontFamily\";s:19:\"Tajawal, sans-serif\";s:4:\"slug\";s:7:\"tajawal\";s:8:\"fontFace\";a:7:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tajawal/v10/Iurf6YBj_oCad4k1l_6gLrNjiLlJ-G0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tajawal/v10/Iurf6YBj_oCad4k1l5qjLrNjiLlJ-G0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/tajawal/v10/Iura6YBj_oCad4k1rzOLCr5IlLA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tajawal/v10/Iurf6YBj_oCad4k1l8KiLrNjiLlJ-G0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tajawal/v10/Iurf6YBj_oCad4k1l4qkLrNjiLlJ-G0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tajawal/v10/Iurf6YBj_oCad4k1l5anLrNjiLlJ-G0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-800-normal.svg\";}i:6;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tajawal/v10/Iurf6YBj_oCad4k1l7KmLrNjiLlJ-G0.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tajawal\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal-900-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/tajawal/tajawal.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1578;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Tangerine\";s:10:\"fontFamily\";s:18:\"Tangerine, cursive\";s:4:\"slug\";s:9:\"tangerine\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/tangerine/v17/IurY6Y5j_oScZZow4VOBC5xNhLBQ4Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Tangerine\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/tangerine/tangerine-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tangerine/v17/Iurd6Y5j_oScZZow4VO5srNpiZtM6G0t9w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Tangerine\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/tangerine/tangerine-700-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/tangerine/tangerine.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1579;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Tapestry\";s:10:\"fontFamily\";s:17:\"Tapestry, cursive\";s:4:\"slug\";s:8:\"tapestry\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/tapestry/v4/SlGTmQecrosEYXhaGBIhqnB6aSQU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tapestry\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tapestry/tapestry-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/tapestry/tapestry.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1580;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Taprom\";s:10:\"fontFamily\";s:17:\"Taprom, system-ui\";s:4:\"slug\";s:6:\"taprom\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/taprom/v27/UcCn3F82JHycULbFRik3-0kvHg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Taprom\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/taprom/taprom-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/taprom/taprom.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1581;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Tauri\";s:10:\"fontFamily\";s:17:\"Tauri, sans-serif\";s:4:\"slug\";s:5:\"tauri\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/tauri/v18/TwMA-IISS0AM3IpQWHU_TBqO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Tauri\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/tauri/tauri-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/tauri/tauri.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1582;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Taviraj\";s:10:\"fontFamily\";s:14:\"Taviraj, serif\";s:4:\"slug\";s:7:\"taviraj\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/taviraj/v13/ahcbv8Cj3ylylTXzRIorUsN1jU2gog.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/taviraj/v13/ahcdv8Cj3ylylTXzTOwTM8l0r0iwolLl.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzRCYKd-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwTn-hRgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzREIJd-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwT--tRgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/taviraj/v13/ahcZv8Cj3ylylTXzfOshU-FwnU0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/taviraj/v13/ahcbv8Cj3ylylTXzTOwrUsN1jU2gog.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzRBoId-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwTo-pRgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzRDYPd-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwTj-1RgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzRFIOd-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwT6-xRgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzRE4Nd-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwT9-9RgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/taviraj/v13/ahccv8Cj3ylylTXzRGoMd-xbgUS5u0s.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/taviraj/v13/ahcev8Cj3ylylTXzTOwT0-5RgGa8q0v8ag.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Taviraj\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/taviraj/taviraj.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1583;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Teachers\";s:10:\"fontFamily\";s:20:\"Teachers, sans-serif\";s:4:\"slug\";s:8:\"teachers\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/teachers/v4/H4c5BXKVncXVmUGsgTwx4E9oHx2xfjBr3powZp5O4AS32A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/teachers/v4/H4c5BXKVncXVmUGsgTwx4E9oHx2xfjBr7JowZp5O4AS32A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/teachers/v4/H4c5BXKVncXVmUGsgTwx4E9oHx2xfjBrAJ0wZp5O4AS32A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/teachers/v4/H4c5BXKVncXVmUGsgTwx4E9oHx2xfjBrOZ0wZp5O4AS32A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/teachers/v4/H4c5BXKVncXVmUGsgTwx4E9oHx2xfjBrXp0wZp5O4AS32A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/teachers/v4/H4c3BXKVncXVmUGsgRY40rCwdnYr0Dd-FtnYIJRPwgGn2JLo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/teachers/v4/H4c3BXKVncXVmUGsgRY40rCwdnYr0Dd-FtnqIJRPwgGn2JLo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-500-italic.svg\";}i:7;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/teachers/v4/H4c3BXKVncXVmUGsgRY40rCwdnYr0Dd-FtkGJ5RPwgGn2JLo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/teachers/v4/H4c3BXKVncXVmUGsgRY40rCwdnYr0Dd-Ftk_J5RPwgGn2JLo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-700-italic.svg\";}i:9;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/teachers/v4/H4c3BXKVncXVmUGsgRY40rCwdnYr0Dd-FtlYJ5RPwgGn2JLo.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Teachers\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers-800-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/teachers/teachers.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1584;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Teko\";s:10:\"fontFamily\";s:16:\"Teko, sans-serif\";s:4:\"slug\";s:4:\"teko\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/teko/v20/LYjYdG7kmE0gV69VVPPdFl06VN9JG7S33TKEvkCF.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Teko\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/teko/teko-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/teko/v20/LYjYdG7kmE0gV69VVPPdFl06VN8XG7S33TKEvkCF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Teko\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/teko/teko-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/teko/v20/LYjYdG7kmE0gV69VVPPdFl06VN8lG7S33TKEvkCF.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Teko\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/teko/teko-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/teko/v20/LYjYdG7kmE0gV69VVPPdFl06VN_JHLS33TKEvkCF.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Teko\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/teko/teko-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/teko/v20/LYjYdG7kmE0gV69VVPPdFl06VN_wHLS33TKEvkCF.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Teko\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/teko/teko-700-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/teko/teko.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1585;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Tektur\";s:10:\"fontFamily\";s:17:\"Tektur, system-ui\";s:4:\"slug\";s:6:\"tektur\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/tektur/v3/XoHN2YHtS7q969kXCjzlV0aSkS_o8OacmTe0TYlYFot8TrwuVYtLY8P7TWd0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tektur\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/tektur/v3/XoHN2YHtS7q969kXCjzlV0aSkS_o8OacmTe0TYlYFot8TrwcVYtLY8P7TWd0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tektur\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/tektur/v3/XoHN2YHtS7q969kXCjzlV0aSkS_o8OacmTe0TYlYFot8TrzwUotLY8P7TWd0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tektur\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/tektur/v3/XoHN2YHtS7q969kXCjzlV0aSkS_o8OacmTe0TYlYFot8TrzJUotLY8P7TWd0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tektur\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/tektur/v3/XoHN2YHtS7q969kXCjzlV0aSkS_o8OacmTe0TYlYFot8TryuUotLY8P7TWd0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tektur\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/tektur/v3/XoHN2YHtS7q969kXCjzlV0aSkS_o8OacmTe0TYlYFot8TryHUotLY8P7TWd0.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tektur\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/tektur/tektur.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1586;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Telex\";s:10:\"fontFamily\";s:17:\"Telex, sans-serif\";s:4:\"slug\";s:5:\"telex\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/telex/v17/ieVw2Y1fKWmIO9fWB1piKFIf.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Telex\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/telex/telex-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/telex/telex.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1587;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"Tenali Ramakrishna\";s:10:\"fontFamily\";s:32:\"\"Tenali Ramakrishna\", sans-serif\";s:4:\"slug\";s:18:\"tenali-ramakrishna\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/tenaliramakrishna/v12/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-8LZXqUFFvtA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"Tenali Ramakrishna\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/tenali-ramakrishna/tenali-ramakrishna-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/tenali-ramakrishna/tenali-ramakrishna.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1588;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Tenor Sans\";s:10:\"fontFamily\";s:24:\"\"Tenor Sans\", sans-serif\";s:4:\"slug\";s:10:\"tenor-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tenorsans/v19/bx6ANxqUneKx06UkIXISr3dyC22IyqI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Tenor Sans\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/tenor-sans/tenor-sans-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/tenor-sans/tenor-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1589;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Text Me One\";s:10:\"fontFamily\";s:25:\"\"Text Me One\", sans-serif\";s:4:\"slug\";s:11:\"text-me-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/textmeone/v24/i7dOIFdlayuLUvgoFvHQFWZZalayGhyV.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Text Me One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/text-me-one/text-me-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/text-me-one/text-me-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1590;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Texturina\";s:10:\"fontFamily\";s:16:\"Texturina, serif\";s:4:\"slug\";s:9:\"texturina\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2eYG_Ul25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2cYGvUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2fGGvUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2eYGvUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2eqGvUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2dGHfUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2d_HfUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2cYHfUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/texturina/v28/c4mM1nxpEtL3pXiAulRTkY-HGmNEX1b9NspjMwhAgliHhVrXy2cxHfUl25riW1OD.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWR1i0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWZ1j0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWUNj0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWR1j0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWS9j0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWcNk0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWfpk0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWZ1k0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/texturina/v28/c4mO1nxpEtL3pXiAulR5mL129FhZmLj7I4oiSUJyfYDu7sB5zHJQWbRk0ZvAXkODN94.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Texturina\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/texturina/texturina.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1591;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Thasadith\";s:10:\"fontFamily\";s:21:\"Thasadith, sans-serif\";s:4:\"slug\";s:9:\"thasadith\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/thasadith/v11/mtG44_1TIqPYrd_f5R1YtUkU0CWuFw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Thasadith\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/thasadith/thasadith-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/thasadith/v11/mtG-4_1TIqPYrd_f5R1oskMV8iC-F1ZE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Thasadith\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/thasadith/thasadith-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/thasadith/v11/mtG94_1TIqPYrd_f5R1gDGYw3Q6yHk9d8w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Thasadith\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/thasadith/thasadith-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/thasadith/v11/mtGj4_1TIqPYrd_f5R1osnus3QSzPEpN8zxA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Thasadith\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/thasadith/thasadith-700-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/thasadith/thasadith.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1592;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"The Girl Next Door\";s:10:\"fontFamily\";s:29:\"\"The Girl Next Door\", cursive\";s:4:\"slug\";s:18:\"the-girl-next-door\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:96:\"https://fonts.gstatic.com/s/thegirlnextdoor/v22/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCYIUrt7w6bE2A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"The Girl Next Door\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/the-girl-next-door/the-girl-next-door-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/the-girl-next-door/the-girl-next-door.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1593;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"The Nautigal\";s:10:\"fontFamily\";s:23:\"\"The Nautigal\", cursive\";s:4:\"slug\";s:12:\"the-nautigal\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/thenautigal/v6/VdGZAZ8ZH51Lvng9fQV2bfKr4gVk09Se5Q.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"The Nautigal\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/the-nautigal/the-nautigal-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/thenautigal/v6/VdGGAZ8ZH51Lvng9fQV2bfKTWypA3v-C7LoS7g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"The Nautigal\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/the-nautigal/the-nautigal-700-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/the-nautigal/the-nautigal.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1594;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Tienne\";s:10:\"fontFamily\";s:13:\"Tienne, serif\";s:4:\"slug\";s:6:\"tienne\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/tienne/v20/AYCKpX7pe9YCRP0LlUPHSFNyxw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tienne\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tienne/tienne-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/tienne/v20/AYCJpX7pe9YCRP0zLGzjRXhuzvef5Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tienne\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tienne/tienne-700-normal.svg\";}i:2;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/tienne/v20/AYCJpX7pe9YCRP0zFG7jRXhuzvef5Q.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Tienne\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/tienne/tienne-900-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/tienne/tienne.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1595;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Tillana\";s:10:\"fontFamily\";s:18:\"Tillana, system-ui\";s:4:\"slug\";s:7:\"tillana\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/tillana/v13/VuJxdNvf35P4qJ1OeKPXOIFneRo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tillana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tillana/tillana-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tillana/v13/VuJ0dNvf35P4qJ1OQFL-HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tillana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tillana/tillana-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tillana/v13/VuJ0dNvf35P4qJ1OQH75HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tillana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tillana/tillana-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tillana/v13/VuJ0dNvf35P4qJ1OQBr4HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tillana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tillana/tillana-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/tillana/v13/VuJ0dNvf35P4qJ1OQAb7HIxMZRNcp0o.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tillana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tillana/tillana-800-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/tillana/tillana.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1596;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Tilt Neon\";s:10:\"fontFamily\";s:22:\"\"Tilt Neon\", system-ui\";s:4:\"slug\";s:9:\"tilt-neon\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/tiltneon/v10/E21L_d7gguXdwD9LEFY2WCeElCNtd-eBqpHp1TzrkJSmwpj5ndxquXK4WualJ9DS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Tilt Neon\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/tilt-neon/tilt-neon-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/tilt-neon/tilt-neon.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1597;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Tilt Prism\";s:10:\"fontFamily\";s:23:\"\"Tilt Prism\", system-ui\";s:4:\"slug\";s:10:\"tilt-prism\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:114:\"https://fonts.gstatic.com/s/tiltprism/v11/5h11iZgyPHoZ3YikNzWGfWey2dCAZXT-bH9V4VGn-FJ7tLI25oc_rIbwpDSrn86NKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Tilt Prism\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/tilt-prism/tilt-prism-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/tilt-prism/tilt-prism.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1598;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Tilt Warp\";s:10:\"fontFamily\";s:22:\"\"Tilt Warp\", system-ui\";s:4:\"slug\";s:9:\"tilt-warp\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/tiltwarp/v12/AlZc_zVDs5XpmO7yn3w7flUoytXJp3z29uEwmEMLEJljLXvT8UJSZTB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Tilt Warp\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/tilt-warp/tilt-warp-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/tilt-warp/tilt-warp.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1599;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Timmana\";s:10:\"fontFamily\";s:19:\"Timmana, sans-serif\";s:4:\"slug\";s:7:\"timmana\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/timmana/v12/6xKvdShfL9yK-rvpCm7bKHwJUOM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Timmana\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/timmana/timmana-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/timmana/timmana.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1600;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Tinos\";s:10:\"fontFamily\";s:12:\"Tinos, serif\";s:4:\"slug\";s:5:\"tinos\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/tinos/v24/buE4poGnedXvwgX5dGVh8TI-.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Tinos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/tinos/tinos-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/tinos/v24/buE2poGnedXvwjX-fmRD9CI-4NU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Tinos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/tinos/tinos-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/tinos/v24/buE1poGnedXvwj1AW0Fs2i43-cxL.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Tinos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/tinos/tinos-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/tinos/v24/buEzpoGnedXvwjX-Rt1s0C8V_NxLeiw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:5:\"Tinos\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/tinos/tinos-700-italic.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/tinos/tinos.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1601;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Tiny5\";s:10:\"fontFamily\";s:19:\"\"Tiny5\", sans-serif\";s:4:\"slug\";s:6:\"tiny-5\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/tiny5/v1/KFOpCnmCvdGT7hw7z0hHAi88.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Tiny5\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/tiny5/tiny5-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/tiny5/tiny5.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1602;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Tiro Bangla\";s:10:\"fontFamily\";s:20:\"\"Tiro Bangla\", serif\";s:4:\"slug\";s:11:\"tiro-bangla\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/tirobangla/v6/IFSgHe1Tm95E3O8b5i2V8MG4-UPeuz4i.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Tiro Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-bangla/tiro-bangla-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/tirobangla/v6/IFSiHe1Tm95E3O8b5i2V8PG_80L8vi4imBM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Tiro Bangla\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-bangla/tiro-bangla-400-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-bangla/tiro-bangla.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1603;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Tiro Devanagari Hindi\";s:10:\"fontFamily\";s:30:\"\"Tiro Devanagari Hindi\", serif\";s:4:\"slug\";s:21:\"tiro-devanagari-hindi\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:103:\"https://fonts.gstatic.com/s/tirodevanagarihindi/v5/55xyezN7P8T4e0_CfIJrwdodg9HoYw0i-M9fTekOfG0Y3A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Tiro Devanagari Hindi\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-hindi/tiro-devanagari-hindi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/tirodevanagarihindi/v5/55x8ezN7P8T4e0_CfIJrwdodg9HoYw0i-M9vSuMPXmgI3F_o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:21:\"Tiro Devanagari Hindi\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-hindi/tiro-devanagari-hindi-400-italic.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-hindi/tiro-devanagari-hindi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1604;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Tiro Devanagari Marathi\";s:10:\"fontFamily\";s:32:\"\"Tiro Devanagari Marathi\", serif\";s:4:\"slug\";s:23:\"tiro-devanagari-marathi\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/tirodevanagarimarathi/v5/fC1xPZBSZHrRhS3rd4M0MAPNJUHl4znXCxAkotDuDJYM2lAZ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Tiro Devanagari Marathi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-marathi/tiro-devanagari-marathi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tirodevanagarimarathi/v5/fC1zPZBSZHrRhS3rd4M0MAPNJUHl4znXCxAkouDpBpcu30AZbUY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:23:\"Tiro Devanagari Marathi\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-marathi/tiro-devanagari-marathi-400-italic.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-marathi/tiro-devanagari-marathi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1605;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:24:\"Tiro Devanagari Sanskrit\";s:10:\"fontFamily\";s:33:\"\"Tiro Devanagari Sanskrit\", serif\";s:4:\"slug\";s:24:\"tiro-devanagari-sanskrit\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tirodevanagarisanskrit/v5/MCoAzBbr09vVUgVBM8FWu_yZdZkhkg-I0nUlb59pF4EqgtOh0w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:24:\"Tiro Devanagari Sanskrit\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-sanskrit/tiro-devanagari-sanskrit-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/tirodevanagarisanskrit/v5/MCoGzBbr09vVUgVBM8FWu_yZdZkhkg-I0nUlb59ZEIsroNax06MM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:24:\"Tiro Devanagari Sanskrit\";s:7:\"preview\";s:109:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-sanskrit/tiro-devanagari-sanskrit-400-italic.svg\";}}s:7:\"preview\";s:98:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-devanagari-sanskrit/tiro-devanagari-sanskrit.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1606;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Tiro Gurmukhi\";s:10:\"fontFamily\";s:22:\"\"Tiro Gurmukhi\", serif\";s:4:\"slug\";s:13:\"tiro-gurmukhi\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/tirogurmukhi/v6/x3dmckXSYq-Uqjc048JUF7JvlyvHAQsyA2Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Tiro Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-gurmukhi/tiro-gurmukhi-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/tirogurmukhi/v6/x3d4ckXSYq-Uqjc048JUF7JvpyzNACk3E2YljQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Tiro Gurmukhi\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-gurmukhi/tiro-gurmukhi-400-italic.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-gurmukhi/tiro-gurmukhi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1607;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Tiro Kannada\";s:10:\"fontFamily\";s:21:\"\"Tiro Kannada\", serif\";s:4:\"slug\";s:12:\"tiro-kannada\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/tirokannada/v6/CSR44ztKmvqaDxEDJFY7CIYKTfl6tOU9Eg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Tiro Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-kannada/tiro-kannada-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/tirokannada/v6/CSRm4ztKmvqaDxEDJFY7CIY6SvN7luAtEnKp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Tiro Kannada\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-kannada/tiro-kannada-400-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-kannada/tiro-kannada.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1608;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Tiro Tamil\";s:10:\"fontFamily\";s:19:\"\"Tiro Tamil\", serif\";s:4:\"slug\";s:10:\"tiro-tamil\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tirotamil/v10/m8JXjfVIf7OT22n3M-S_ULFvamODxdI.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Tiro Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-tamil/tiro-tamil-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tirotamil/v10/m8JVjfVIf7OT22n3M-S_YLZla0GG1dKEDw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Tiro Tamil\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-tamil/tiro-tamil-400-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-tamil/tiro-tamil.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1609;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Tiro Telugu\";s:10:\"fontFamily\";s:20:\"\"Tiro Telugu\", serif\";s:4:\"slug\";s:11:\"tiro-telugu\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/tirotelugu/v7/aFTQ7PxlZWk2EPiSymjXdKSIQqn0X0BO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Tiro Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-telugu/tiro-telugu-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/tirotelugu/v7/aFTS7PxlZWk2EPiSymjXdJSPSKjWWlBOoas.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Tiro Telugu\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-telugu/tiro-telugu-400-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/tiro-telugu/tiro-telugu.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1610;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Titan One\";s:10:\"fontFamily\";s:22:\"\"Titan One\", system-ui\";s:4:\"slug\";s:9:\"titan-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/titanone/v15/mFTzWbsGxbbS_J5cQcjyljIn2Etikg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Titan One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/titan-one/titan-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/titan-one/titan-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1611;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Titillium Web\";s:10:\"fontFamily\";s:27:\"\"Titillium Web\", sans-serif\";s:4:\"slug\";s:13:\"titillium-web\";s:8:\"fontFace\";a:11:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPDcZTIAOhVxoMyOr9n_E7ffAzHKIl5YrSYqWM.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPFcZTIAOhVxoMyOr9n_E7fdMbewI1zY5aduWMmxA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-200-italic.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPDcZTIAOhVxoMyOr9n_E7ffGjEKIl5YrSYqWM.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPFcZTIAOhVxoMyOr9n_E7fdMbepI5zY5aduWMmxA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-300-italic.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPecZTIAOhVxoMyOr9n_E7fRMHsDIRSfr0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-400-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPAcZTIAOhVxoMyOr9n_E7fdMbmDaZXbr2BsA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-400-italic.svg\";}i:6;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPDcZTIAOhVxoMyOr9n_E7ffBzCKIl5YrSYqWM.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPFcZTIAOhVxoMyOr9n_E7fdMbe0IhzY5aduWMmxA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPDcZTIAOhVxoMyOr9n_E7ffHjDKIl5YrSYqWM.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPFcZTIAOhVxoMyOr9n_E7fdMbetIlzY5aduWMmxA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/titilliumweb/v17/NaPDcZTIAOhVxoMyOr9n_E7ffEDBKIl5YrSYqWM.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Titillium Web\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web-900-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/titillium-web/titillium-web.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1612;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Tomorrow\";s:10:\"fontFamily\";s:20:\"Tomorrow, sans-serif\";s:4:\"slug\";s:8:\"tomorrow\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLgrETNbFtZCeGqgR2xe2DiKMiokE4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLirETNbFtZCeGqgRXXQwHoKeqtgE5h0A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR0dWkXNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ63JDMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR15WUXNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ8nKDMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLmrETNbFtZCeGqgSXQcWHALdio.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLgrETNbFtZCeGqgRXXe2DiKMiokE4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR0hWEXNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ5HLDMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR0NX0XNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ73MDMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR1pXkXNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ9nNDMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR11XUXNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ8XODMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLhrETNbFtZCeGqgR1RXEXNBsShiVd4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/tomorrow/v17/WBLjrETNbFtZCeGqgRXXQ-HPDMWDjEd4yVY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Tomorrow\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/tomorrow/tomorrow.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1613;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Tourney\";s:10:\"fontFamily\";s:18:\"Tourney, system-ui\";s:4:\"slug\";s:7:\"tourney\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GOQByYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GuQFyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GZwFyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GOQFyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GCwFyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7G5wZyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7G3gZyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GuQZyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/tourney/v13/AlZa_ztDtYzv1tzq1wcJnbVt7xseomk-tNs7qrzTWbyt8n7GkAZyYDp1I1LcGA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UKaJzB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UIaJjB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8ULEJjB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UKaJjB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UKoJjB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UJEITB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UJ9ITB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UIaITB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/tourney/v13/AlZc_ztDtYzv1tzq_Q47flUUvI2wpXz29ilymEMLMNc3XHnT8UIzITB0AVfMGOPb.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Tourney\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/tourney/tourney.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1614;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Trade Winds\";s:10:\"fontFamily\";s:24:\"\"Trade Winds\", system-ui\";s:4:\"slug\";s:11:\"trade-winds\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/tradewinds/v17/AYCPpXPpYNIIT7h8-QenM3Jv7PKP5Z_G.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Trade Winds\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/trade-winds/trade-winds-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/trade-winds/trade-winds.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1615;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Train One\";s:10:\"fontFamily\";s:22:\"\"Train One\", system-ui\";s:4:\"slug\";s:9:\"train-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trainone/v14/gyB-hwkiNtc6KnxUVjWHP6bZRY7JVQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Train One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/train-one/train-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/train-one/train-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1616;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Trirong\";s:10:\"fontFamily\";s:14:\"Trirong, serif\";s:4:\"slug\";s:7:\"trirong\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/trirong/v15/7r3EqXNgp8wxdOdOl-go2IRl6ujngw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/trirong/v15/7r3CqXNgp8wxdOdOn44QuY5kyO33g8IY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-100-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOl0QJ_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-200-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QFa9B58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-200-italic.svg\";}i:4;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOlyAK_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-300-normal.svg\";}i:5;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QcaxB58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/trirong/v15/7r3GqXNgp8wxdOdOr4ki2aZg-ug.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-400-normal.svg\";}i:7;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/trirong/v15/7r3EqXNgp8wxdOdOn44o2IRl6ujngw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-400-italic.svg\";}i:8;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOl3gL_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-500-normal.svg\";}i:9;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QKa1B58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-500-italic.svg\";}i:10;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOl1QM_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-600-normal.svg\";}i:11;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QBapB58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-600-italic.svg\";}i:12;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOlzAN_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-700-normal.svg\";}i:13;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QYatB58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-700-italic.svg\";}i:14;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOlywO_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-800-normal.svg\";}i:15;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QfahB58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-800-italic.svg\";}i:16;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trirong/v15/7r3DqXNgp8wxdOdOlwgP_atL5uH-mts.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-900-normal.svg\";}i:17;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/trirong/v15/7r3BqXNgp8wxdOdOn44QWalB58P7itsB5g.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trirong\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/trirong/trirong.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1617;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Trispace\";s:10:\"fontFamily\";s:20:\"Trispace, sans-serif\";s:4:\"slug\";s:8:\"trispace\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbH9qoQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbP9roQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbCFroQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbH9roQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbE1roQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbKFsoQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbJhsoQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:110:\"https://fonts.gstatic.com/s/trispace/v24/Yq65-LKSQC3o56LxxgRrtA6yBqsrXL5GI5KI-IUZVGsxWFIlbP9soQx0zHugpt0.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Trispace\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace-800-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/trispace/trispace.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1618;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Trocchi\";s:10:\"fontFamily\";s:14:\"Trocchi, serif\";s:4:\"slug\";s:7:\"trocchi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/trocchi/v17/qWcqB6WkuIDxDZLcDr5UvMeTYD0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trocchi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trocchi/trocchi-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/trocchi/trocchi.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1619;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Trochut\";s:10:\"fontFamily\";s:18:\"Trochut, system-ui\";s:4:\"slug\";s:7:\"trochut\";s:8:\"fontFace\";a:3:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/trochut/v22/CHyjV-fDDlP9bDIw5nGIfVIPLns.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trochut\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trochut/trochut-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/trochut/v22/CHyhV-fDDlP9bDIw1naCfHAKPns8jw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Trochut\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trochut/trochut-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/trochut/v22/CHymV-fDDlP9bDIw3sinWV8kMnIllmA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trochut\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trochut/trochut-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/trochut/trochut.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1620;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Truculenta\";s:10:\"fontFamily\";s:22:\"Truculenta, sans-serif\";s:4:\"slug\";s:10:\"truculenta\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMlAjswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMtAiswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMg4iswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMlAiswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMmIiswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMo4lswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMrclswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMtAlswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:132:\"https://fonts.gstatic.com/s/truculenta/v22/LhWfMVvBKusVIfNYGi1-WvRVyDdZeeiySNppcu32Mb2f06y6Oa21F6XHi0VYDX_PzOupMvklswIFHnJMMhg.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Truculenta\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/truculenta/truculenta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1621;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Trykker\";s:10:\"fontFamily\";s:14:\"Trykker, serif\";s:4:\"slug\";s:7:\"trykker\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/trykker/v21/KtktALyWZJXudUPzhNzoOd2j22U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Trykker\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/trykker/trykker-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/trykker/trykker.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1622;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Tsukimi Rounded\";s:10:\"fontFamily\";s:29:\"\"Tsukimi Rounded\", sans-serif\";s:4:\"slug\";s:15:\"tsukimi-rounded\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/tsukimirounded/v11/sJoZ3LJNksWZO0LvnZwkF3HtoB7VkVsqMrMT3T9X8g.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Tsukimi Rounded\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/tsukimi-rounded/tsukimi-rounded-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/tsukimirounded/v11/sJoc3LJNksWZO0LvnZwkF3HtoB7tOHMOP5gP1A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Tsukimi Rounded\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/tsukimi-rounded/tsukimi-rounded-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/tsukimirounded/v11/sJoZ3LJNksWZO0LvnZwkF3HtoB7VyVoqMrMT3T9X8g.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Tsukimi Rounded\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/tsukimi-rounded/tsukimi-rounded-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/tsukimirounded/v11/sJoZ3LJNksWZO0LvnZwkF3HtoB7V5V0qMrMT3T9X8g.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Tsukimi Rounded\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/tsukimi-rounded/tsukimi-rounded-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/tsukimirounded/v11/sJoZ3LJNksWZO0LvnZwkF3HtoB7VgVwqMrMT3T9X8g.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Tsukimi Rounded\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/tsukimi-rounded/tsukimi-rounded-700-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/tsukimi-rounded/tsukimi-rounded.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1623;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Tulpen One\";s:10:\"fontFamily\";s:23:\"\"Tulpen One\", system-ui\";s:4:\"slug\";s:10:\"tulpen-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/tulpenone/v25/dFa6ZfeC474skLgesc0CWjgw_HyIRlE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Tulpen One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/tulpen-one/tulpen-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/tulpen-one/tulpen-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1624;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Turret Road\";s:10:\"fontFamily\";s:24:\"\"Turret Road\", system-ui\";s:4:\"slug\";s:11:\"turret-road\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/turretroad/v9/pxidypMgpcBFjE84Zv-fE0ONEdeOYk1Mq3ap.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Turret Road\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/turretroad/v9/pxidypMgpcBFjE84Zv-fE0PpEteOYk1Mq3ap.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Turret Road\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/turretroad/v9/pxiAypMgpcBFjE84Zv-fE3tAOvODSVFF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Turret Road\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/turretroad/v9/pxidypMgpcBFjE84Zv-fE0OxE9eOYk1Mq3ap.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Turret Road\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/turretroad/v9/pxidypMgpcBFjE84Zv-fE0P5FdeOYk1Mq3ap.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Turret Road\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/turretroad/v9/pxidypMgpcBFjE84Zv-fE0PlFteOYk1Mq3ap.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Turret Road\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road-800-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/turret-road/turret-road.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1625;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Twinkle Star\";s:10:\"fontFamily\";s:23:\"\"Twinkle Star\", cursive\";s:4:\"slug\";s:12:\"twinkle-star\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/twinklestar/v6/pe0pMI6IL4dPoFl9LGEmY6WaBvRue1UwVg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Twinkle Star\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/twinkle-star/twinkle-star-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/twinkle-star/twinkle-star.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1626;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Ubuntu\";s:10:\"fontFamily\";s:18:\"Ubuntu, sans-serif\";s:4:\"slug\";s:6:\"ubuntu\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCv6KVjbNBYlgoC1CzTsmaMH4V_gg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCp6KVjbNBYlgoKejZftWyNPYBvgpUI.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCs6KVjbNBYlgo6fQT3v02QFg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCu6KVjbNBYlgoKeg72nUiAFpxm.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCv6KVjbNBYlgoCjC3TsmaMH4V_gg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCp6KVjbNBYlgoKejYHtGyNPYBvgpUI.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCv6KVjbNBYlgoCxCvTsmaMH4V_gg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/ubuntu/v20/4iCp6KVjbNBYlgoKejZPsmyNPYBvgpUI.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:6:\"Ubuntu\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu-700-italic.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu/ubuntu.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1627;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Ubuntu Condensed\";s:10:\"fontFamily\";s:30:\"\"Ubuntu Condensed\", sans-serif\";s:4:\"slug\";s:16:\"ubuntu-condensed\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/ubuntucondensed/v16/u-4k0rCzjgs5J7oXnJcM_0kACGMtf-LVqvHoJXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ubuntu Condensed\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-condensed/ubuntu-condensed-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-condensed/ubuntu-condensed.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1628;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Ubuntu Mono\";s:10:\"fontFamily\";s:24:\"\"Ubuntu Mono\", monospace\";s:4:\"slug\";s:11:\"ubuntu-mono\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/ubuntumono/v17/KFOjCneDtsqEr0keqCMhbBc4AMX6lJBP.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-mono/ubuntu-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/ubuntumono/v17/KFOhCneDtsqEr0keqCMhbCc_CsTYkYBPY3o.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-mono/ubuntu-mono-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/ubuntumono/v17/KFO-CneDtsqEr0keqCMhbC-BL-H3v4xGemO1.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-mono/ubuntu-mono-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/ubuntumono/v17/KFO8CneDtsqEr0keqCMhbCc_Mn33tY1kf3O1GVg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-mono/ubuntu-mono-700-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-mono/ubuntu-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1629;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Ubuntu Sans\";s:10:\"fontFamily\";s:25:\"\"Ubuntu Sans\", sans-serif\";s:4:\"slug\";s:11:\"ubuntu-sans\";s:8:\"fontFace\";a:16:{i:0;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbujzt7Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbuj7t6Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbuj2V6Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbujzt6Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbujwl6Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbuj-V9Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbuj9x9Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:115:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3omWd6mSRtB7_9UaLWwJnCq5ALePfPu1tPcW235R53LqrCPWbuj7t9Cf-LVLT9mgk.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM54biBVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-100-italic.svg\";}i:9;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM5YbmBVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-200-italic.svg\";}i:10;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM5v7mBVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-300-italic.svg\";}i:11;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM54bmBVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-400-italic.svg\";}i:12;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM507mBVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-500-italic.svg\";}i:13;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM5P76BVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-600-italic.svg\";}i:14;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM5Br6BVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-700-italic.svg\";}i:15;a:5:{s:3:\"src\";s:118:\"https://fonts.gstatic.com/s/ubuntusans/v2/co3mmWd6mSRtB7_9UaLWwLPLmXPrAaRZFVxauS9FrCyI9sOpp8jpmvM5Yb6BVZb4iglIHg.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Ubuntu Sans\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans-800-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans/ubuntu-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1630;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Ubuntu Sans Mono\";s:10:\"fontFamily\";s:29:\"\"Ubuntu Sans Mono\", monospace\";s:4:\"slug\";s:16:\"ubuntu-sans-mono\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyc7mzgBHrR5yE7ZyRg0QRJMKI4zAbgjc1t-pKe27Ev_kYUiqcZu3n0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyc7mzgBHrR5yE7ZyRg0QRJMKI4zAbgjc1t-pKe27Ed_kYUiqcZu3n0.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyc7mzgBHrR5yE7ZyRg0QRJMKI4zAbgjc1t-pKe27Hx-UYUiqcZu3n0.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyc7mzgBHrR5yE7ZyRg0QRJMKI4zAbgjc1t-pKe27HI-UYUiqcZu3n0.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyi7mzgBHrR5yE7ZyRg0QRJMKI45g_SchUEkQgw3KTnva5SgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-400-italic.svg\";}i:5;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyi7mzgBHrR5yE7ZyRg0QRJMKI45g_SchUEkQgw3KTnvZxSgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyi7mzgBHrR5yE7ZyRg0QRJMKI45g_SchUEkQgw3KTnvXBVgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-600-italic.svg\";}i:7;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/ubuntusansmono/v1/jVyi7mzgBHrR5yE7ZyRg0QRJMKI45g_SchUEkQgw3KTnvUlVgKY7vmn0BLE.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Ubuntu Sans Mono\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono-700-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/ubuntu-sans-mono/ubuntu-sans-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1631;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Uchen\";s:10:\"fontFamily\";s:12:\"Uchen, serif\";s:4:\"slug\";s:5:\"uchen\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:67:\"https://fonts.gstatic.com/s/uchen/v9/nKKZ-GokGZ1baIaXEQGodLxA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Uchen\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/uchen/uchen-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/uchen/uchen.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1632;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Ultra\";s:10:\"fontFamily\";s:12:\"Ultra, serif\";s:4:\"slug\";s:5:\"ultra\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/ultra/v23/zOLy4prXmrtY-tT_yLOD6NxF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Ultra\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/ultra/ultra-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/ultra/ultra.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1633;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Unbounded\";s:10:\"fontFamily\";s:21:\"Unbounded, sans-serif\";s:4:\"slug\";s:9:\"unbounded\";s:8:\"fontFace\";a:8:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG65jx04jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG60bx04jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG6xjx04jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG6yrx04jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG68b204jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG6__204jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-700-normal.svg\";}i:6;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG65j204jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-800-normal.svg\";}i:7;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/unbounded/v8/Yq6F-LOTXCb04q32xlpat-6uR42XTqtG67H204jHgP6LR0Y.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unbounded\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/unbounded/unbounded.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1634;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Uncial Antiqua\";s:10:\"fontFamily\";s:27:\"\"Uncial Antiqua\", system-ui\";s:4:\"slug\";s:14:\"uncial-antiqua\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/uncialantiqua/v20/N0bM2S5WOex4OUbESzoESK-i-PfUS5VBBSSF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Uncial Antiqua\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/uncial-antiqua/uncial-antiqua-400-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/uncial-antiqua/uncial-antiqua.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1635;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Underdog\";s:10:\"fontFamily\";s:19:\"Underdog, system-ui\";s:4:\"slug\";s:8:\"underdog\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/underdog/v23/CHygV-jCElj7diMroVSnU14GN2Il.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Underdog\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/underdog/underdog-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/underdog/underdog.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1636;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Unica One\";s:10:\"fontFamily\";s:22:\"\"Unica One\", system-ui\";s:4:\"slug\";s:9:\"unica-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/unicaone/v18/DPEuYwWHyAYGVTSmalshc9ffuEY7FA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Unica One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/unica-one/unica-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/unica-one/unica-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1637;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"UnifrakturCook\";s:10:\"fontFamily\";s:25:\"UnifrakturCook, system-ui\";s:4:\"slug\";s:14:\"unifrakturcook\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/unifrakturcook/v23/IurA6Yli8YOdcoky-0PTTdkm56n05Uww3ILXs-h6.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"UnifrakturCook\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/unifrakturcook/unifrakturcook-700-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/unifrakturcook/unifrakturcook.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1638;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:18:\"UnifrakturMaguntia\";s:10:\"fontFamily\";s:29:\"UnifrakturMaguntia, system-ui\";s:4:\"slug\";s:18:\"unifrakturmaguntia\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:99:\"https://fonts.gstatic.com/s/unifrakturmaguntia/v20/WWXPlieVYwiGNomYU-ciRLRvEmK7oaVummxNNgNa1A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:18:\"UnifrakturMaguntia\";s:7:\"preview\";s:97:\"https://s.w.org/images/fonts/wp-6.7/previews/unifrakturmaguntia/unifrakturmaguntia-400-normal.svg\";}}s:7:\"preview\";s:86:\"https://s.w.org/images/fonts/wp-6.7/previews/unifrakturmaguntia/unifrakturmaguntia.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1639;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Unkempt\";s:10:\"fontFamily\";s:18:\"Unkempt, system-ui\";s:4:\"slug\";s:7:\"unkempt\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/unkempt/v21/2EbnL-Z2DFZue0DSSYMf8z2Yt_c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Unkempt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/unkempt/unkempt-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/unkempt/v21/2EbiL-Z2DFZue0DScTow1zCzq_5uT84.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Unkempt\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/unkempt/unkempt-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/unkempt/unkempt.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1640;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Unlock\";s:10:\"fontFamily\";s:17:\"Unlock, system-ui\";s:4:\"slug\";s:6:\"unlock\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/unlock/v26/7Au-p_8ykD-cDl7GLQjSwkUVOQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Unlock\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/unlock/unlock-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/unlock/unlock.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1641;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Unna\";s:10:\"fontFamily\";s:11:\"Unna, serif\";s:4:\"slug\";s:4:\"unna\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/unna/v23/AYCEpXzofN0NCp0BlGHCWFM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Unna\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/unna/unna-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/unna/v23/AYCKpXzofN0NOpoLlUPHSFNyxw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Unna\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/unna/unna-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/unna/v23/AYCLpXzofN0NMiQusGzpRFpr3vc.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Unna\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/unna/unna-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/unna/v23/AYCJpXzofN0NOpozLGzjRXhuzvef5Q.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Unna\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/unna/unna-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/unna/unna.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1642;a:2:{s:20:\"font_family_settings\";a:4:{s:4:\"name\";s:6:\"Updock\";s:10:\"fontFamily\";s:15:\"Updock, cursive\";s:4:\"slug\";s:6:\"updock\";s:8:\"fontFace\";a:1:{i:0;a:4:{s:3:\"src\";s:70:\"https://fonts.gstatic.com/s/updock/v5/nuF4D_3dVZ70UI9SibK3602XBw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Updock\";}}}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1643;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Urbanist\";s:10:\"fontFamily\";s:20:\"Urbanist, sans-serif\";s:4:\"slug\";s:8:\"urbanist\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDyx8fE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDSx4fE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDlR4fE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDyx4fE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqD-R4fE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDFRkfE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDLBkfE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDSxkfE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/urbanist/v15/L0xjDF02iFML4hGCyOCpRdycFsGxSrqDYhkfE5OrS8SlKw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA133VJmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA113VZmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA12pVZmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA133VZmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA13FVZmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA10pUpmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA10QUpmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA113UpmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/urbanist/v15/L0xtDF02iFML4hGCyMqgdyNEf6or5L2WA11eUpmqacG1K4S1.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Urbanist\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/urbanist/urbanist.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1644;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"VT323\";s:10:\"fontFamily\";s:18:\"\"VT323\", monospace\";s:4:\"slug\";s:6:\"vt-323\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/vt323/v17/pxiKyp0ihIEF2hsdHpT2dkNE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"VT323\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/vt323/vt323-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/vt323/vt323.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1645;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Vampiro One\";s:10:\"fontFamily\";s:24:\"\"Vampiro One\", system-ui\";s:4:\"slug\";s:11:\"vampiro-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/vampiroone/v18/gokqH6DoDl5yXvJytFsdLkqisvhIor3K.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Vampiro One\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/vampiro-one/vampiro-one-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/vampiro-one/vampiro-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1646;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Varela\";s:10:\"fontFamily\";s:18:\"Varela, sans-serif\";s:4:\"slug\";s:6:\"varela\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/varela/v16/DPEtYwqExx0AWHXJARQFfvzDsQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Varela\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/varela/varela-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/varela/varela.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1647;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Varela Round\";s:10:\"fontFamily\";s:26:\"\"Varela Round\", sans-serif\";s:4:\"slug\";s:12:\"varela-round\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/varelaround/v20/w8gdH283Tvk__Lua32TysjIvpcGOD9gxZw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Varela Round\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/varela-round/varela-round-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/varela-round/varela-round.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1648;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Varta\";s:10:\"fontFamily\";s:17:\"Varta, sans-serif\";s:4:\"slug\";s:5:\"varta\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/varta/v21/Qw3AZQpJHj_6LzHUngWbrFkDH1x96j4Ej7E-9PGLfQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Varta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/varta/varta-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/varta/v21/Qw3AZQpJHj_6LzHUngWbrFkDH1x9tD4Ej7E-9PGLfQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Varta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/varta/varta-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/varta/v21/Qw3AZQpJHj_6LzHUngWbrFkDH1x9hj4Ej7E-9PGLfQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Varta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/varta/varta-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/varta/v21/Qw3AZQpJHj_6LzHUngWbrFkDH1x9ajkEj7E-9PGLfQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Varta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/varta/varta-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/varta/v21/Qw3AZQpJHj_6LzHUngWbrFkDH1x9UzkEj7E-9PGLfQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Varta\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/varta/varta-700-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/varta/varta.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1649;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Vast Shadow\";s:10:\"fontFamily\";s:20:\"\"Vast Shadow\", serif\";s:4:\"slug\";s:11:\"vast-shadow\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/vastshadow/v19/pe0qMImKOZ1V62ZwbVY9dfe_Kdpickwp.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Vast Shadow\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/vast-shadow/vast-shadow-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/vast-shadow/vast-shadow.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1650;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Vazirmatn\";s:10:\"fontFamily\";s:21:\"Vazirmatn, sans-serif\";s:4:\"slug\";s:9:\"vazirmatn\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklWgyORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklegzORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklTYzORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklWgzORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklVozORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklbY0ORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklY80ORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRkleg0ORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vazirmatn/v13/Dxx78j6PP2D_kU2muijPEe1n2vVbfJRklcE0ORKZ72DF_QY.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vazirmatn\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn-900-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/vazirmatn/vazirmatn.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1651;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Vesper Libre\";s:10:\"fontFamily\";s:21:\"\"Vesper Libre\", serif\";s:4:\"slug\";s:12:\"vesper-libre\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/vesperlibre/v19/bx6CNxyWnf-uxPdXDHUD_Rd4Ck-N2qIWVQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Vesper Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/vesper-libre/vesper-libre-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/vesperlibre/v19/bx6dNxyWnf-uxPdXDHUD_RdA-2ap14kKXKvPlw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Vesper Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/vesper-libre/vesper-libre-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/vesperlibre/v19/bx6dNxyWnf-uxPdXDHUD_RdAs2Cp14kKXKvPlw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Vesper Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/vesper-libre/vesper-libre-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:88:\"https://fonts.gstatic.com/s/vesperlibre/v19/bx6dNxyWnf-uxPdXDHUD_RdAi2Kp14kKXKvPlw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Vesper Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/vesper-libre/vesper-libre-900-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/vesper-libre/vesper-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1652;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Viaoda Libre\";s:10:\"fontFamily\";s:25:\"\"Viaoda Libre\", system-ui\";s:4:\"slug\";s:12:\"viaoda-libre\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/viaodalibre/v18/vEFW2_lWCgoR6OKuRz9kcRVJamIY2tOHXg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Viaoda Libre\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/viaoda-libre/viaoda-libre-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/viaoda-libre/viaoda-libre.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1653;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Vibes\";s:10:\"fontFamily\";s:16:\"Vibes, system-ui\";s:4:\"slug\";s:5:\"vibes\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/vibes/v14/QdVYSTsmIB6tmbdyHpbsuBlh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Vibes\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/vibes/vibes-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/vibes/vibes.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1654;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Vibur\";s:10:\"fontFamily\";s:14:\"Vibur, cursive\";s:4:\"slug\";s:5:\"vibur\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/vibur/v23/DPEiYwmEzw0QRjTsLjoJd-Xa.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Vibur\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/vibur/vibur-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/vibur/vibur.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1655;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Victor Mono\";s:10:\"fontFamily\";s:24:\"\"Victor Mono\", monospace\";s:4:\"slug\";s:11:\"victor-mono\";s:8:\"fontFace\";a:14:{i:0;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCyO8_NgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCyu87NgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCyZc7NgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCyO87NgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCyCc7NgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCy5cnNgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/victormono/v3/Yq6H-LGQWyfv-LGy7lEO09xRn-T81AVB_tCy3MnNgdyOV0Y9bQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen840lxtaPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-100-italic.svg\";}i:8;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen842lx9aPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-200-italic.svg\";}i:9;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen8417x9aPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-300-italic.svg\";}i:10;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen840lx9aPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-400-italic.svg\";}i:11;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen840Xx9aPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-500-italic.svg\";}i:12;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen8437wNaPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-600-italic.svg\";}i:13;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/victormono/v3/Yq6B-LGQWyfv-LGy7lEO0_ZYrRskvW7bUNen843CwNaPdUMtba8p.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:11:\"Victor Mono\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono-700-italic.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/victor-mono/victor-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1656;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Vidaloka\";s:10:\"fontFamily\";s:15:\"Vidaloka, serif\";s:4:\"slug\";s:8:\"vidaloka\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/vidaloka/v18/7cHrv4c3ipenMKlEass5yn4hnCci.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vidaloka\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vidaloka/vidaloka-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/vidaloka/vidaloka.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1657;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Viga\";s:10:\"fontFamily\";s:16:\"Viga, sans-serif\";s:4:\"slug\";s:4:\"viga\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:66:\"https://fonts.gstatic.com/s/viga/v14/xMQbuFFdSaiX_QcjD4e2OX8.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Viga\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/viga/viga-400-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/viga/viga.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1658;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Vina Sans\";s:10:\"fontFamily\";s:22:\"\"Vina Sans\", system-ui\";s:4:\"slug\";s:9:\"vina-sans\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/vinasans/v6/m8JQjfZKf6-d2273MP7zdZ5BZmqa3A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Vina Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/vina-sans/vina-sans-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/vina-sans/vina-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1659;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:5:\"Voces\";s:10:\"fontFamily\";s:17:\"Voces, sans-serif\";s:4:\"slug\";s:5:\"voces\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:68:\"https://fonts.gstatic.com/s/voces/v22/-F6_fjJyLyU8d4PEBG7YpzlJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:5:\"Voces\";s:7:\"preview\";s:71:\"https://s.w.org/images/fonts/wp-6.7/previews/voces/voces-400-normal.svg\";}}s:7:\"preview\";s:60:\"https://s.w.org/images/fonts/wp-6.7/previews/voces/voces.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1660;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Volkhov\";s:10:\"fontFamily\";s:14:\"Volkhov, serif\";s:4:\"slug\";s:7:\"volkhov\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/volkhov/v17/SlGQmQieoJcKemNeQTcOhHxzcD0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Volkhov\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/volkhov/volkhov-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/volkhov/v17/SlGSmQieoJcKemNecTAEhV52YD0NYw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Volkhov\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/volkhov/volkhov-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/volkhov/v17/SlGVmQieoJcKemNeeY4hoHFYbDQUego.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Volkhov\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/volkhov/volkhov-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/volkhov/v17/SlGXmQieoJcKemNecTA8PHFSbRYRagrQrA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Volkhov\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/volkhov/volkhov-700-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/volkhov/volkhov.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1661;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Vollkorn\";s:10:\"fontFamily\";s:15:\"Vollkorn, serif\";s:4:\"slug\";s:8:\"vollkorn\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybgGDoxxrvAnPhYGzMlQLzuMasz6Df2MHGuHGOdEbD63w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybgGDoxxrvAnPhYGzMlQLzuMasz6Df2AnGuHGOdEbD63w.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybgGDoxxrvAnPhYGzMlQLzuMasz6Df27nauHGOdEbD63w.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybgGDoxxrvAnPhYGzMlQLzuMasz6Df213auHGOdEbD63w.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybgGDoxxrvAnPhYGzMlQLzuMasz6Df2sHauHGOdEbD63w.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:93:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybgGDoxxrvAnPhYGzMlQLzuMasz6Df2mXauHGOdEbD63w.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybuGDoxxrvAnPhYGxksckM2WMCpRjDj-DJGWmmcM7Xq34g9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybuGDoxxrvAnPhYGxksckM2WMCpRjDj-DJ0WmmcM7Xq34g9.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybuGDoxxrvAnPhYGxksckM2WMCpRjDj-DKYXWmcM7Xq34g9.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybuGDoxxrvAnPhYGxksckM2WMCpRjDj-DKhXWmcM7Xq34g9.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybuGDoxxrvAnPhYGxksckM2WMCpRjDj-DLGXWmcM7Xq34g9.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/vollkorn/v27/0ybuGDoxxrvAnPhYGxksckM2WMCpRjDj-DLvXWmcM7Xq34g9.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Vollkorn\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn-900-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn/vollkorn.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1662;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Vollkorn SC\";s:10:\"fontFamily\";s:20:\"\"Vollkorn SC\", serif\";s:4:\"slug\";s:11:\"vollkorn-sc\";s:8:\"fontFace\";a:4:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/vollkornsc/v11/j8_v6-zQ3rXpceZj9cqnVhF8NH-iSq_E.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Vollkorn SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn-sc/vollkorn-sc-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/vollkornsc/v11/j8_y6-zQ3rXpceZj9cqnVimhGluvYbPN5Yjn.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Vollkorn SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn-sc/vollkorn-sc-600-normal.svg\";}i:2;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/vollkornsc/v11/j8_y6-zQ3rXpceZj9cqnVinFG1uvYbPN5Yjn.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Vollkorn SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn-sc/vollkorn-sc-700-normal.svg\";}i:3;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/vollkornsc/v11/j8_y6-zQ3rXpceZj9cqnVin9GVuvYbPN5Yjn.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Vollkorn SC\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn-sc/vollkorn-sc-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/vollkorn-sc/vollkorn-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1663;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Voltaire\";s:10:\"fontFamily\";s:20:\"Voltaire, sans-serif\";s:4:\"slug\";s:8:\"voltaire\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/voltaire/v21/1Pttg8PcRfSblAvGvQotYKVnBOif.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Voltaire\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/voltaire/voltaire-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/voltaire/voltaire.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1664;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Vujahday Script\";s:10:\"fontFamily\";s:26:\"\"Vujahday Script\", cursive\";s:4:\"slug\";s:15:\"vujahday-script\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/vujahdayscript/v8/RWmQoKGA8fEkrIPtSZ3_J7er2dUiCUtvAlaMKw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Vujahday Script\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/vujahday-script/vujahday-script-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/vujahday-script/vujahday-script.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1665;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Waiting for the Sunrise\";s:10:\"fontFamily\";s:34:\"\"Waiting for the Sunrise\", cursive\";s:4:\"slug\";s:23:\"waiting-for-the-sunrise\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/waitingforthesunrise/v20/WBL1rFvOYl9CEv2i1mO6KUW8RKWJ2zoXoz5JsYZV9h_ZYk5J.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Waiting for the Sunrise\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/waiting-for-the-sunrise/waiting-for-the-sunrise-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/waiting-for-the-sunrise/waiting-for-the-sunrise.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1666;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Wallpoet\";s:10:\"fontFamily\";s:19:\"Wallpoet, system-ui\";s:4:\"slug\";s:8:\"wallpoet\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/wallpoet/v20/f0X10em2_8RnXVVdUNbr7cXP8L8G.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wallpoet\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wallpoet/wallpoet-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/wallpoet/wallpoet.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1667;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Walter Turncoat\";s:10:\"fontFamily\";s:26:\"\"Walter Turncoat\", cursive\";s:4:\"slug\";s:15:\"walter-turncoat\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/walterturncoat/v23/snfys0Gs98ln43n0d-14ULoToe67ZR2dQ5ZPqQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Walter Turncoat\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/walter-turncoat/walter-turncoat-400-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/walter-turncoat/walter-turncoat.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1668;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Warnes\";s:10:\"fontFamily\";s:17:\"Warnes, system-ui\";s:4:\"slug\";s:6:\"warnes\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/warnes/v27/pONn1hc0GsW6sW5OoyC2o6Lkqg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Warnes\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/warnes/warnes-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/warnes/warnes.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1669;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Water Brush\";s:10:\"fontFamily\";s:22:\"\"Water Brush\", cursive\";s:4:\"slug\";s:11:\"water-brush\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/waterbrush/v4/AYCPpXPqc8cJWLhp4hywKHJv7PKP5Z_G.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Water Brush\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/water-brush/water-brush-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/water-brush/water-brush.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1670;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Waterfall\";s:10:\"fontFamily\";s:18:\"Waterfall, cursive\";s:4:\"slug\";s:9:\"waterfall\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/waterfall/v6/MCoRzAfo293fACdFKcwY37H8D_EZwA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Waterfall\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/waterfall/waterfall-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/waterfall/waterfall.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1671;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Wavefont\";s:10:\"fontFamily\";s:19:\"Wavefont, system-ui\";s:4:\"slug\";s:8:\"wavefont\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI3V0rDCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI1V07DCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI2L07DCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI3V07DCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI3n07DCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI0L1LDCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI0y1LDCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI1V1LDCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:127:\"https://fonts.gstatic.com/s/wavefont/v10/L0xFDF00m0cP6hefyOCpRezQNuizSrqDyx8FHbFu21B3L4m0SEzuQYwq-f_JJ8I1WI181LDCXKtOXOg4.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wavefont\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont-900-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/wavefont/wavefont.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1672;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Wellfleet\";s:10:\"fontFamily\";s:16:\"Wellfleet, serif\";s:4:\"slug\";s:9:\"wellfleet\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/wellfleet/v23/nuF7D_LfQJb3VYgX6eyT5maLDhO2HA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Wellfleet\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/wellfleet/wellfleet-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/wellfleet/wellfleet.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1673;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Wendy One\";s:10:\"fontFamily\";s:23:\"\"Wendy One\", sans-serif\";s:4:\"slug\";s:9:\"wendy-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/wendyone/v18/2sDcZGJOipXfgfXV5wgDam-4C7wFZQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Wendy One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/wendy-one/wendy-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/wendy-one/wendy-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1674;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Whisper\";s:10:\"fontFamily\";s:16:\"Whisper, cursive\";s:4:\"slug\";s:7:\"whisper\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:72:\"https://fonts.gstatic.com/s/whisper/v5/q5uHsoqtKftx74K9mixCBxxdmYU.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Whisper\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/whisper/whisper-400-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/whisper/whisper.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1675;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"WindSong\";s:10:\"fontFamily\";s:17:\"WindSong, cursive\";s:4:\"slug\";s:8:\"windsong\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:75:\"https://fonts.gstatic.com/s/windsong/v11/KR1WBsyu-P-GFEW57r98HdG6vjH3.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"WindSong\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/windsong/windsong-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/windsong/v11/KR1RBsyu-P-GFEW57oeNNPW3lS3-jVXm.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"WindSong\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/windsong/windsong-500-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/windsong/windsong.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1676;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Wire One\";s:10:\"fontFamily\";s:22:\"\"Wire One\", sans-serif\";s:4:\"slug\";s:8:\"wire-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/wireone/v28/qFdH35Wah5htUhV75WGnWdrCwwcJ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Wire One\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/wire-one/wire-one-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/wire-one/wire-one.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1677;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Wittgenstein\";s:10:\"fontFamily\";s:19:\"Wittgenstein, serif\";s:4:\"slug\";s:12:\"wittgenstein\";s:8:\"fontFace\";a:12:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBL3rEDOakJCHParhXGwMgvyJ8hdWNLC1kI61G4T_B77Z15J4ow.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBL3rEDOakJCHParhXGwMgvyJ8hdWNLC1kI61FwT_B77Z15J4ow.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBL3rEDOakJCHParhXGwMgvyJ8hdWNLC1kI61LAU_B77Z15J4ow.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBL3rEDOakJCHParhXGwMgvyJ8hdWNLC1kI61IkU_B77Z15J4ow.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBL3rEDOakJCHParhXGwMgvyJ8hdWNLC1kI61O4U_B77Z15J4ow.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBL3rEDOakJCHParhXGwMgvyJ8hdWNLC1kI61McU_B77Z15J4ow.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-900-normal.svg\";}i:6;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBLxrEDOakJCHParhXGwMgvYLvqigLupTOw9waZQFFjxZnxM8ozHYA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBLxrEDOakJCHParhXGwMgvYLvqigLupTOw9waZQJljxZnxM8ozHYA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBLxrEDOakJCHParhXGwMgvYLvqigLupTOw9waZQyl_xZnxM8ozHYA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBLxrEDOakJCHParhXGwMgvYLvqigLupTOw9waZQ81_xZnxM8ozHYA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-700-italic.svg\";}i:10;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBLxrEDOakJCHParhXGwMgvYLvqigLupTOw9waZQlF_xZnxM8ozHYA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-800-italic.svg\";}i:11;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/wittgenstein/v2/WBLxrEDOakJCHParhXGwMgvYLvqigLupTOw9waZQvV_xZnxM8ozHYA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:12:\"Wittgenstein\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein-900-italic.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/wittgenstein/wittgenstein.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1678;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Wix Madefor Display\";s:10:\"fontFamily\";s:33:\"\"Wix Madefor Display\", sans-serif\";s:4:\"slug\";s:19:\"wix-madefor-display\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/wixmadefordisplay/v10/SZcS3EX9IbbyeJ8aOluD52KXgUA_7Ed1I13G853Cp9duUYFhYlthv_3HQKgh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Wix Madefor Display\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-display/wix-madefor-display-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/wixmadefordisplay/v10/SZcS3EX9IbbyeJ8aOluD52KXgUA_7Ed1I13G853Cp9duUYFTYlthv_3HQKgh.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Wix Madefor Display\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-display/wix-madefor-display-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/wixmadefordisplay/v10/SZcS3EX9IbbyeJ8aOluD52KXgUA_7Ed1I13G853Cp9duUYG_ZVthv_3HQKgh.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Wix Madefor Display\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-display/wix-madefor-display-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/wixmadefordisplay/v10/SZcS3EX9IbbyeJ8aOluD52KXgUA_7Ed1I13G853Cp9duUYGGZVthv_3HQKgh.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Wix Madefor Display\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-display/wix-madefor-display-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:116:\"https://fonts.gstatic.com/s/wixmadefordisplay/v10/SZcS3EX9IbbyeJ8aOluD52KXgUA_7Ed1I13G853Cp9duUYHhZVthv_3HQKgh.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Wix Madefor Display\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-display/wix-madefor-display-800-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-display/wix-madefor-display.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1679;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Wix Madefor Text\";s:10:\"fontFamily\";s:30:\"\"Wix Madefor Text\", sans-serif\";s:4:\"slug\";s:16:\"wix-madefor-text\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_oXI_oSymQ8Qj-Apx3HGN_Hu1RTCk5FtSDETgf0cK_NOeAgpRt9rN5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_WXI_oSymQ8Qj-Apx3HGN_Hu1RZiAL6QzqeqKx1td3dw_GiJVP86N53IY.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-400-italic.svg\";}i:2;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_oXI_oSymQ8Qj-Apx3HGN_Hu1RTCk5FtSDETgf0cKNNOeAgpRt9rN5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_WXI_oSymQ8Qj-Apx3HGN_Hu1RZiAL6QzqeqKx1td3dz3GiJVP86N53IY.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-500-italic.svg\";}i:4;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_oXI_oSymQ8Qj-Apx3HGN_Hu1RTCk5FtSDETgf0cJhM-eAgpRt9rN5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_WXI_oSymQ8Qj-Apx3HGN_Hu1RZiAL6QzqeqKx1td3d9HBiJVP86N53IY.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-600-italic.svg\";}i:6;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_oXI_oSymQ8Qj-Apx3HGN_Hu1RTCk5FtSDETgf0cJYM-eAgpRt9rN5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_WXI_oSymQ8Qj-Apx3HGN_Hu1RZiAL6QzqeqKx1td3d-jBiJVP86N53IY.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-700-italic.svg\";}i:8;a:5:{s:3:\"src\";s:109:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_oXI_oSymQ8Qj-Apx3HGN_Hu1RTCk5FtSDETgf0cI_M-eAgpRt9rN5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-800-normal.svg\";}i:9;a:5:{s:3:\"src\";s:112:\"https://fonts.gstatic.com/s/wixmadefortext/v13/-W_WXI_oSymQ8Qj-Apx3HGN_Hu1RZiAL6QzqeqKx1td3d4_BiJVP86N53IY.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:16:\"Wix Madefor Text\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text-800-italic.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/wix-madefor-text/wix-madefor-text.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1680;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Work Sans\";s:10:\"fontFamily\";s:23:\"\"Work Sans\", sans-serif\";s:4:\"slug\";s:9:\"work-sans\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K0nWNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K8nXNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32KxfXNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K0nXNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K3vXNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K5fQNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K67QNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K8nQNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/worksans/v19/QGY_z_wNahGAdqQ43RhVcIgYT2Xz5u32K-DQNi0Dp6_cOyA.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGU3moJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGUXmsJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGUgGsJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGU3msJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGU7GsJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGUAGwJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGUOWwJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGUXmwJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:97:\"https://fonts.gstatic.com/s/worksans/v19/QGY9z_wNahGAdqQ43Rh_ebrnlwyYfEPxPoGUd2wJpo3ZKyDSQQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Work Sans\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans-900-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/work-sans/work-sans.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1681;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Workbench\";s:10:\"fontFamily\";s:20:\"Workbench, monospace\";s:4:\"slug\";s:9:\"workbench\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/workbench/v1/FeV8S05Gp6Et7FcfbPFK1rynGd_MxtkvNFmoUDFhgF2VKTGQk6vapdOO0GKqgZyb.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Workbench\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/workbench/workbench-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/workbench/workbench.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1682;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Xanh Mono\";s:10:\"fontFamily\";s:22:\"\"Xanh Mono\", monospace\";s:4:\"slug\";s:9:\"xanh-mono\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/xanhmono/v18/R70YjykVmvKCep-vWhSYnQCQXzLhTg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Xanh Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/xanh-mono/xanh-mono-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/xanhmono/v18/R70ejykVmvKCep-vWhSomgqRfTfxTo24.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:9:\"Xanh Mono\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/xanh-mono/xanh-mono-400-italic.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/xanh-mono/xanh-mono.svg\";}s:10:\"categories\";a:1:{i:0;s:9:\"monospace\";}}i:1683;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Yaldevi\";s:10:\"fontFamily\";s:19:\"Yaldevi, sans-serif\";s:4:\"slug\";s:7:\"yaldevi\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/yaldevi/v12/cY9afj6VW0NMrDWtDNzCOwlPMq9SLpfxJzvtbxLCBJkS.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Yaldevi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/yaldevi/v12/cY9afj6VW0NMrDWtDNzCOwlPMq9SLpcvJzvtbxLCBJkS.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Yaldevi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/yaldevi/v12/cY9afj6VW0NMrDWtDNzCOwlPMq9SLpdxJzvtbxLCBJkS.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Yaldevi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/yaldevi/v12/cY9afj6VW0NMrDWtDNzCOwlPMq9SLpdDJzvtbxLCBJkS.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Yaldevi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/yaldevi/v12/cY9afj6VW0NMrDWtDNzCOwlPMq9SLpevIDvtbxLCBJkS.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Yaldevi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/yaldevi/v12/cY9afj6VW0NMrDWtDNzCOwlPMq9SLpeWIDvtbxLCBJkS.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Yaldevi\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi-700-normal.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/yaldevi/yaldevi.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1684;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:17:\"Yanone Kaffeesatz\";s:10:\"fontFamily\";s:31:\"\"Yanone Kaffeesatz\", sans-serif\";s:4:\"slug\";s:17:\"yanone-kaffeesatz\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/yanonekaffeesatz/v30/3y9I6aknfjLm_3lMKjiMgmUUYBs04aUXNxt9gW2LIftodtWpdWuLCnXkVA.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Yanone Kaffeesatz\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/yanonekaffeesatz/v30/3y9I6aknfjLm_3lMKjiMgmUUYBs04aUXNxt9gW2LIftoqNWpdWuLCnXkVA.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Yanone Kaffeesatz\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/yanonekaffeesatz/v30/3y9I6aknfjLm_3lMKjiMgmUUYBs04aUXNxt9gW2LIfto9tWpdWuLCnXkVA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Yanone Kaffeesatz\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/yanonekaffeesatz/v30/3y9I6aknfjLm_3lMKjiMgmUUYBs04aUXNxt9gW2LIftoxNWpdWuLCnXkVA.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Yanone Kaffeesatz\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/yanonekaffeesatz/v30/3y9I6aknfjLm_3lMKjiMgmUUYBs04aUXNxt9gW2LIftoKNKpdWuLCnXkVA.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Yanone Kaffeesatz\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz-600-normal.svg\";}i:5;a:5:{s:3:\"src\";s:113:\"https://fonts.gstatic.com/s/yanonekaffeesatz/v30/3y9I6aknfjLm_3lMKjiMgmUUYBs04aUXNxt9gW2LIftoEdKpdWuLCnXkVA.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:17:\"Yanone Kaffeesatz\";s:7:\"preview\";s:95:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz-700-normal.svg\";}}s:7:\"preview\";s:84:\"https://s.w.org/images/fonts/wp-6.7/previews/yanone-kaffeesatz/yanone-kaffeesatz.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1685;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Yantramanav\";s:10:\"fontFamily\";s:23:\"Yantramanav, sans-serif\";s:4:\"slug\";s:11:\"yantramanav\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/yantramanav/v13/flU-Rqu5zY00QEpyWJYWN5-QXeZzDB41rZg.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yantramanav\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yantramanav/v13/flUhRqu5zY00QEpyWJYWN59Yf8NcIhI8tIHh.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yantramanav\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/yantramanav/v13/flU8Rqu5zY00QEpyWJYWN6fxV-dRCQ41.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yantramanav\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yantramanav/v13/flUhRqu5zY00QEpyWJYWN58AfsNcIhI8tIHh.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yantramanav\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav-500-normal.svg\";}i:4;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yantramanav/v13/flUhRqu5zY00QEpyWJYWN59IeMNcIhI8tIHh.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yantramanav\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yantramanav/v13/flUhRqu5zY00QEpyWJYWN59wesNcIhI8tIHh.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yantramanav\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav-900-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/yantramanav/yantramanav.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1686;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Yarndings 12\";s:10:\"fontFamily\";s:25:\"\"Yarndings 12\", system-ui\";s:4:\"slug\";s:12:\"yarndings-12\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yarndings12/v2/55xreyp2N8T5P2LJbZAlkY9c9JLMI2VUnQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Yarndings 12\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-12/yarndings-12-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-12/yarndings-12.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1687;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Yarndings 12 Charted\";s:10:\"fontFamily\";s:33:\"\"Yarndings 12 Charted\", system-ui\";s:4:\"slug\";s:20:\"yarndings-12-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/yarndings12charted/v2/eLGDP_DlKhO-DUfeqM4I_vDdJgmIh7hAvvbM0t-dHaJH.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Yarndings 12 Charted\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-12-charted/yarndings-12-charted-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-12-charted/yarndings-12-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1688;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"Yarndings 20\";s:10:\"fontFamily\";s:25:\"\"Yarndings 20\", system-ui\";s:4:\"slug\";s:12:\"yarndings-20\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yarndings20/v2/TuGWUVlkUohEQu8l7K8b-vNFAn80PMTK1w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"Yarndings 20\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-20/yarndings-20-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-20/yarndings-20.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1689;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Yarndings 20 Charted\";s:10:\"fontFamily\";s:33:\"\"Yarndings 20 Charted\", system-ui\";s:4:\"slug\";s:20:\"yarndings-20-charted\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:100:\"https://fonts.gstatic.com/s/yarndings20charted/v2/QldRNSdbpg0G8vh0W2qxe0l-hcUPtY2VaLQj4UTqz5V9.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Yarndings 20 Charted\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-20-charted/yarndings-20-charted-400-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/yarndings-20-charted/yarndings-20-charted.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1690;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Yatra One\";s:10:\"fontFamily\";s:22:\"\"Yatra One\", system-ui\";s:4:\"slug\";s:9:\"yatra-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/yatraone/v14/C8ch4copsHzj8p7NaF0xxlOBbRDvXw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Yatra One\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/yatra-one/yatra-one-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/yatra-one/yatra-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1691;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Yellowtail\";s:10:\"fontFamily\";s:19:\"Yellowtail, cursive\";s:4:\"slug\";s:10:\"yellowtail\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/yellowtail/v22/OZpGg_pnoDtINPfRIlLotlnNwED-b4g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Yellowtail\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/yellowtail/yellowtail-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/yellowtail/yellowtail.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1692;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Yeon Sung\";s:10:\"fontFamily\";s:22:\"\"Yeon Sung\", system-ui\";s:4:\"slug\";s:9:\"yeon-sung\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:77:\"https://fonts.gstatic.com/s/yeonsung/v21/QldMNTpbohAGtsJvUn6xTFNazqx2xg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Yeon Sung\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/yeon-sung/yeon-sung-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/yeon-sung/yeon-sung.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1693;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Yeseva One\";s:10:\"fontFamily\";s:23:\"\"Yeseva One\", system-ui\";s:4:\"slug\";s:10:\"yeseva-one\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/yesevaone/v22/OpNJno4ck8vc-xYpwWWxpi9fWhXD00c.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Yeseva One\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/yeseva-one/yeseva-one-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/yeseva-one/yeseva-one.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1694;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Yesteryear\";s:10:\"fontFamily\";s:19:\"Yesteryear, cursive\";s:4:\"slug\";s:10:\"yesteryear\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/yesteryear/v18/dg4g_p78rroaKl8kRKo1r7kHTwonmyw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Yesteryear\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/yesteryear/yesteryear-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/yesteryear/yesteryear.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1695;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Yomogi\";s:10:\"fontFamily\";s:15:\"Yomogi, cursive\";s:4:\"slug\";s:6:\"yomogi\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/yomogi/v12/VuJwdNrS2ZL7rpoPXYz5NIh-YA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Yomogi\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/yomogi/yomogi-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/yomogi/yomogi.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1696;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Young Serif\";s:10:\"fontFamily\";s:20:\"\"Young Serif\", serif\";s:4:\"slug\";s:11:\"young-serif\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:80:\"https://fonts.gstatic.com/s/youngserif/v2/3qTpojO2nS2VtkB3KtkQZ2t_1EcYaQ7F.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Young Serif\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/young-serif/young-serif-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/young-serif/young-serif.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1697;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Yrsa\";s:10:\"fontFamily\";s:11:\"Yrsa, serif\";s:4:\"slug\";s:4:\"yrsa\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yrsa/v20/wlprgwnQFlxs_wD3CFSMYmFaaCjASNNQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yrsa/v20/wlprgwnQFlxs_wD3CFSMYmFaaCieSNNQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yrsa/v20/wlprgwnQFlxs_wD3CFSMYmFaaCisSNNQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yrsa/v20/wlprgwnQFlxs_wD3CFSMYmFaaChAT9NQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-600-normal.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/yrsa/v20/wlprgwnQFlxs_wD3CFSMYmFaaCh5T9NQ9rRPfrKu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-700-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yrsa/v20/wlptgwnQFlxs1QnF94zlCfv0bz1WC2UW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-300-italic.svg\";}i:6;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yrsa/v20/wlptgwnQFlxs1QnF94zlCfv0bz1WCzsW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-400-italic.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yrsa/v20/wlptgwnQFlxs1QnF94zlCfv0bz1WCwkW_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-500-italic.svg\";}i:8;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yrsa/v20/wlptgwnQFlxs1QnF94zlCfv0bz1WC-UR_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-600-italic.svg\";}i:9;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/yrsa/v20/wlptgwnQFlxs1QnF94zlCfv0bz1WC9wR_LVte6KuGEo.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:4:\"Yrsa\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa-700-italic.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/yrsa/yrsa.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1698;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:7:\"Ysabeau\";s:10:\"fontFamily\";s:19:\"Ysabeau, sans-serif\";s:4:\"slug\";s:7:\"ysabeau\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7OWCTY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7MWCDY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7PICDY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7OWCDY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7OkCDY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7NIDzY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7NxDzY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7MWDzY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:89:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKiZqEiBAXLcnuMvjZNI_5FGeJet7M_DzY1I8Gcw6Oi.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS95yKcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS15zKcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS4BzKcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS95zKcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS-xzKcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeSwB0KcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeSzl0KcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS150KcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/ysabeau/v2/kmKsZqEiBAXLcnuMlD9_3CYscnjwsKZeS3d0KcC-xrOiIUw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:7:\"Ysabeau\";s:7:\"preview\";s:75:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau-900-italic.svg\";}}s:7:\"preview\";s:64:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau/ysabeau.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1699;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Ysabeau Infant\";s:10:\"fontFamily\";s:28:\"\"Ysabeau Infant\", sans-serif\";s:4:\"slug\";s:14:\"ysabeau-infant\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYFo4HLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYlo8HLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYSI8HLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYFo8HLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYJI8HLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYyIgHLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQY8YgHLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYlogHLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-ClzpqOkkV94kBTQVdX1EWI9B0V-HEmd9JmTQYv4gHLpChLwKH6A.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3szvaZqgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3sxvaJqgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3syxaJqgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3szvaJqgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3szdaJqgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3swxb5qgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3swIb5qgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3sxvb5qgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauinfant/v2/hv-AlzpqOkkV94kBTQVdX1EWI_p9ZR4c8LTTNzMN3sxGb5qgDQeX6Dc5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Infant\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-infant/ysabeau-infant.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1700;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Ysabeau Office\";s:10:\"fontFamily\";s:28:\"\"Ysabeau Office\", sans-serif\";s:4:\"slug\";s:14:\"ysabeau-office\";s:8:\"fontFace\";a:18:{i:0;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbh6IfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbB6MfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPb2aMfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbh6MfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbtaMfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbWaQfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbYKQfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbB6QfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDImapaZKhM9RuQIp8FmdYrPPNjFm07hbpKNlPPbLqQfZCfpQj7IGQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-900-normal.svg\";}i:9;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-D3Iy3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-100-italic.svg\";}i:10;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-B3Ii3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-200-italic.svg\";}i:11;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-CpIi3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-300-italic.svg\";}i:12;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-D3Ii3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-400-italic.svg\";}i:13;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-DFIi3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-500-italic.svg\";}i:14;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-ApJS3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-600-italic.svg\";}i:15;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-AQJS3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-700-italic.svg\";}i:16;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-B3JS3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-800-italic.svg\";}i:17;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/ysabeauoffice/v2/LDIkapaZKhM9RuQIp8FmdYrPPPLMqbE5B_kXOvTOT-BeJS3oYDvYGbGh.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:14:\"Ysabeau Office\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office-900-italic.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-office/ysabeau-office.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1701;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Ysabeau SC\";s:10:\"fontFamily\";s:24:\"\"Ysabeau SC\", sans-serif\";s:4:\"slug\";s:10:\"ysabeau-sc\";s:8:\"fontFace\";a:9:{i:0;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw98U1qBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"100\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-100-normal.svg\";}i:1;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw_8UlqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-200-normal.svg\";}i:2;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw8iUlqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-300-normal.svg\";}i:3;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw98UlqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-400-normal.svg\";}i:4;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw9OUlqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw-iVVqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-600-normal.svg\";}i:6;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw-bVVqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-700-normal.svg\";}i:7;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw_8VVqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-800-normal.svg\";}i:8;a:5:{s:3:\"src\";s:95:\"https://fonts.gstatic.com/s/ysabeausc/v2/Noai6Uro3JCIKAbW46nMorJZyP7kKRflbw_VVVqBZ4EOmsT5.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Ysabeau SC\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc-900-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/ysabeau-sc/ysabeau-sc.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1702;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:9:\"Yuji Boku\";s:10:\"fontFamily\";s:18:\"\"Yuji Boku\", serif\";s:4:\"slug\";s:9:\"yuji-boku\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/yujiboku/v6/P5sAzZybeNzXsA9xj1FkiL2r2dgvJA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:9:\"Yuji Boku\";s:7:\"preview\";s:79:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-boku/yuji-boku-400-normal.svg\";}}s:7:\"preview\";s:68:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-boku/yuji-boku.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1703;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"Yuji Hentaigana Akari\";s:10:\"fontFamily\";s:32:\"\"Yuji Hentaigana Akari\", cursive\";s:4:\"slug\";s:21:\"yuji-hentaigana-akari\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/yujihentaiganaakari/v12/cY9bfiyVT0VB6QuhWKOrpr6z58lnb_zYFnLIQDzODYALaA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"Yuji Hentaigana Akari\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-hentaigana-akari/yuji-hentaigana-akari-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-hentaigana-akari/yuji-hentaigana-akari.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1704;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Yuji Hentaigana Akebono\";s:10:\"fontFamily\";s:34:\"\"Yuji Hentaigana Akebono\", cursive\";s:4:\"slug\";s:23:\"yuji-hentaigana-akebono\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:108:\"https://fonts.gstatic.com/s/yujihentaiganaakebono/v13/EJRGQhkhRNwM-RtitGUwh930GU_f5KAlkuL0wQy4NKXRzrrF.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Yuji Hentaigana Akebono\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-hentaigana-akebono/yuji-hentaigana-akebono-400-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-hentaigana-akebono/yuji-hentaigana-akebono.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1705;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Yuji Mai\";s:10:\"fontFamily\";s:17:\"\"Yuji Mai\", serif\";s:4:\"slug\";s:8:\"yuji-mai\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/yujimai/v6/ZgNQjPxdJ7DEHrS0gC35hmHmNpCO.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Yuji Mai\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-mai/yuji-mai-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-mai/yuji-mai.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1706;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Yuji Syuku\";s:10:\"fontFamily\";s:19:\"\"Yuji Syuku\", serif\";s:4:\"slug\";s:10:\"yuji-syuku\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:78:\"https://fonts.gstatic.com/s/yujisyuku/v6/BngNUXdTV3vO6Lw5ApOPqPLgwqiA-Rk.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Yuji Syuku\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-syuku/yuji-syuku-400-normal.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/yuji-syuku/yuji-syuku.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1707;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Yusei Magic\";s:10:\"fontFamily\";s:25:\"\"Yusei Magic\", sans-serif\";s:4:\"slug\";s:11:\"yusei-magic\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/yuseimagic/v14/yYLt0hbAyuCmoo5wlhPkpjHU-tdfcIT_.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Yusei Magic\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/yusei-magic/yusei-magic-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/yusei-magic/yusei-magic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1708;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:12:\"ZCOOL KuaiLe\";s:10:\"fontFamily\";s:26:\"\"ZCOOL KuaiLe\", sans-serif\";s:4:\"slug\";s:12:\"zcool-kuaile\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/zcoolkuaile/v19/tssqApdaRQokwFjFJjvM6h2Wo4zzoXhC2g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:12:\"ZCOOL KuaiLe\";s:7:\"preview\";s:85:\"https://s.w.org/images/fonts/wp-6.7/previews/zcool-kuaile/zcool-kuaile-400-normal.svg\";}}s:7:\"preview\";s:74:\"https://s.w.org/images/fonts/wp-6.7/previews/zcool-kuaile/zcool-kuaile.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1709;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:21:\"ZCOOL QingKe HuangYou\";s:10:\"fontFamily\";s:35:\"\"ZCOOL QingKe HuangYou\", sans-serif\";s:4:\"slug\";s:21:\"zcool-qingke-huangyou\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:104:\"https://fonts.gstatic.com/s/zcoolqingkehuangyou/v15/2Eb5L_R5IXJEWhD3AOhSvFC554MOOahI4mRIjv28c8bHWA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:21:\"ZCOOL QingKe HuangYou\";s:7:\"preview\";s:103:\"https://s.w.org/images/fonts/wp-6.7/previews/zcool-qingke-huangyou/zcool-qingke-huangyou-400-normal.svg\";}}s:7:\"preview\";s:92:\"https://s.w.org/images/fonts/wp-6.7/previews/zcool-qingke-huangyou/zcool-qingke-huangyou.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1710;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"ZCOOL XiaoWei\";s:10:\"fontFamily\";s:27:\"\"ZCOOL XiaoWei\", sans-serif\";s:4:\"slug\";s:13:\"zcool-xiaowei\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/zcoolxiaowei/v14/i7dMIFFrTRywPpUVX9_RJyM1YFeQHwyVd3U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"ZCOOL XiaoWei\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/zcool-xiaowei/zcool-xiaowei-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/zcool-xiaowei/zcool-xiaowei.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1711;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:4:\"Zain\";s:10:\"fontFamily\";s:16:\"Zain, sans-serif\";s:4:\"slug\";s:4:\"zain\";s:8:\"fontFace\";a:6:{i:0;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/zain/v2/sykz-y9lm7soOBrstS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"200\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Zain\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain-200-normal.svg\";}i:1;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/zain/v2/sykz-y9lm7soOH7vtS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Zain\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain-300-normal.svg\";}i:2;a:5:{s:3:\"src\";s:65:\"https://fonts.gstatic.com/s/zain/v2/syk8-y9lm7soANfHkSKW5tM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Zain\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/zain/v2/sykz-y9lm7soOG7otS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Zain\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/zain/v2/sykz-y9lm7soOHLrtS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"800\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Zain\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain-800-normal.svg\";}i:5;a:5:{s:3:\"src\";s:69:\"https://fonts.gstatic.com/s/zain/v2/sykz-y9lm7soOFbqtS-9-trEvlQ.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:4:\"Zain\";s:7:\"preview\";s:69:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain-900-normal.svg\";}}s:7:\"preview\";s:58:\"https://s.w.org/images/fonts/wp-6.7/previews/zain/zain.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1712;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:11:\"Zen Antique\";s:10:\"fontFamily\";s:20:\"\"Zen Antique\", serif\";s:4:\"slug\";s:11:\"zen-antique\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:81:\"https://fonts.gstatic.com/s/zenantique/v13/AYCPpXPnd91Ma_Zf-Ri2JXJv7PKP5Z_G.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:11:\"Zen Antique\";s:7:\"preview\";s:83:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-antique/zen-antique-400-normal.svg\";}}s:7:\"preview\";s:72:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-antique/zen-antique.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1713;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:16:\"Zen Antique Soft\";s:10:\"fontFamily\";s:25:\"\"Zen Antique Soft\", serif\";s:4:\"slug\";s:16:\"zen-antique-soft\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:92:\"https://fonts.gstatic.com/s/zenantiquesoft/v13/DtV4JwqzSL1q_KwnEWMc_3xfgW6ihwVmkui5HNg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:16:\"Zen Antique Soft\";s:7:\"preview\";s:93:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-antique-soft/zen-antique-soft-400-normal.svg\";}}s:7:\"preview\";s:82:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-antique-soft/zen-antique-soft.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1714;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Zen Dots\";s:10:\"fontFamily\";s:21:\"\"Zen Dots\", system-ui\";s:4:\"slug\";s:8:\"zen-dots\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:74:\"https://fonts.gstatic.com/s/zendots/v12/XRXX3ICfm00IGoesQeaBTM_FcCIG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Zen Dots\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-dots/zen-dots-400-normal.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-dots/zen-dots.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1715;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:23:\"Zen Kaku Gothic Antique\";s:10:\"fontFamily\";s:37:\"\"Zen Kaku Gothic Antique\", sans-serif\";s:4:\"slug\";s:23:\"zen-kaku-gothic-antique\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/zenkakugothicantique/v16/6qLVKYkHvh-nlUpKPAdoVFBtfxDzIn1eCzpB22cM9TauWJtyZyGU.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Zen Kaku Gothic Antique\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-antique/zen-kaku-gothic-antique-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:107:\"https://fonts.gstatic.com/s/zenkakugothicantique/v16/6qLQKYkHvh-nlUpKPAdoVFBtfxDzIn1eCzpB21-l3RKjc4d7.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Zen Kaku Gothic Antique\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-antique/zen-kaku-gothic-antique-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/zenkakugothicantique/v16/6qLVKYkHvh-nlUpKPAdoVFBtfxDzIn1eCzpB22dU9DauWJtyZyGU.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Zen Kaku Gothic Antique\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-antique/zen-kaku-gothic-antique-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/zenkakugothicantique/v16/6qLVKYkHvh-nlUpKPAdoVFBtfxDzIn1eCzpB22cc8jauWJtyZyGU.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Zen Kaku Gothic Antique\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-antique/zen-kaku-gothic-antique-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:111:\"https://fonts.gstatic.com/s/zenkakugothicantique/v16/6qLVKYkHvh-nlUpKPAdoVFBtfxDzIn1eCzpB22ck8DauWJtyZyGU.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:23:\"Zen Kaku Gothic Antique\";s:7:\"preview\";s:107:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-antique/zen-kaku-gothic-antique-900-normal.svg\";}}s:7:\"preview\";s:96:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-antique/zen-kaku-gothic-antique.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1716;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:19:\"Zen Kaku Gothic New\";s:10:\"fontFamily\";s:33:\"\"Zen Kaku Gothic New\", sans-serif\";s:4:\"slug\";s:19:\"zen-kaku-gothic-new\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/zenkakugothicnew/v16/gNMVW2drQpDw0GjzrVNFf_valaDBcznOqpdKaWHSTGlMyd8.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Zen Kaku Gothic New\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-new/zen-kaku-gothic-new-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:98:\"https://fonts.gstatic.com/s/zenkakugothicnew/v16/gNMYW2drQpDw0GjzrVNFf_valaDBcznOkj5iTWz5UGA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Zen Kaku Gothic New\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-new/zen-kaku-gothic-new-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/zenkakugothicnew/v16/gNMVW2drQpDw0GjzrVNFf_valaDBcznOqs9LaWHSTGlMyd8.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Zen Kaku Gothic New\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-new/zen-kaku-gothic-new-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/zenkakugothicnew/v16/gNMVW2drQpDw0GjzrVNFf_valaDBcznOqodNaWHSTGlMyd8.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Zen Kaku Gothic New\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-new/zen-kaku-gothic-new-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:102:\"https://fonts.gstatic.com/s/zenkakugothicnew/v16/gNMVW2drQpDw0GjzrVNFf_valaDBcznOqr9PaWHSTGlMyd8.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:19:\"Zen Kaku Gothic New\";s:7:\"preview\";s:99:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-new/zen-kaku-gothic-new-900-normal.svg\";}}s:7:\"preview\";s:88:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kaku-gothic-new/zen-kaku-gothic-new.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1717;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Zen Kurenaido\";s:10:\"fontFamily\";s:27:\"\"Zen Kurenaido\", sans-serif\";s:4:\"slug\";s:13:\"zen-kurenaido\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/zenkurenaido/v17/3XFsEr0515BK2u6UUptu_gWJZfn22PRLd0U.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Zen Kurenaido\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kurenaido/zen-kurenaido-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-kurenaido/zen-kurenaido.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1718;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:8:\"Zen Loop\";s:10:\"fontFamily\";s:21:\"\"Zen Loop\", system-ui\";s:4:\"slug\";s:8:\"zen-loop\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:73:\"https://fonts.gstatic.com/s/zenloop/v9/h0GrssK16UsnJwHsEK92qwzX5vOG.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:8:\"Zen Loop\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-loop/zen-loop-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:76:\"https://fonts.gstatic.com/s/zenloop/v9/h0GtssK16UsnJwHsEJ9xoQ314-OGJ0w.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:8:\"Zen Loop\";s:7:\"preview\";s:77:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-loop/zen-loop-400-italic.svg\";}}s:7:\"preview\";s:66:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-loop/zen-loop.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1719;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:15:\"Zen Maru Gothic\";s:10:\"fontFamily\";s:29:\"\"Zen Maru Gothic\", sans-serif\";s:4:\"slug\";s:15:\"zen-maru-gothic\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/zenmarugothic/v17/o-0XIpIxzW5b-RxT-6A8jWAtCp-cQWpCOZqa_ajlvw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Zen Maru Gothic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-maru-gothic/zen-maru-gothic-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:90:\"https://fonts.gstatic.com/s/zenmarugothic/v17/o-0SIpIxzW5b-RxT-6A8jWAtCp-k6EJmNLGG9A.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Zen Maru Gothic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-maru-gothic/zen-maru-gothic-400-normal.svg\";}i:2;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/zenmarugothic/v17/o-0XIpIxzW5b-RxT-6A8jWAtCp-cGWtCOZqa_ajlvw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Zen Maru Gothic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-maru-gothic/zen-maru-gothic-500-normal.svg\";}i:3;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/zenmarugothic/v17/o-0XIpIxzW5b-RxT-6A8jWAtCp-cUW1COZqa_ajlvw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Zen Maru Gothic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-maru-gothic/zen-maru-gothic-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:94:\"https://fonts.gstatic.com/s/zenmarugothic/v17/o-0XIpIxzW5b-RxT-6A8jWAtCp-caW9COZqa_ajlvw.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:15:\"Zen Maru Gothic\";s:7:\"preview\";s:91:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-maru-gothic/zen-maru-gothic-900-normal.svg\";}}s:7:\"preview\";s:80:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-maru-gothic/zen-maru-gothic.svg\";}s:10:\"categories\";a:1:{i:0;s:10:\"sans-serif\";}}i:1720;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:14:\"Zen Old Mincho\";s:10:\"fontFamily\";s:23:\"\"Zen Old Mincho\", serif\";s:4:\"slug\";s:14:\"zen-old-mincho\";s:8:\"fontFace\";a:5:{i:0;a:5:{s:3:\"src\";s:87:\"https://fonts.gstatic.com/s/zenoldmincho/v12/tss0ApVaYytLwxTqcxfMyBveyYbyg31S2s8p.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Zen Old Mincho\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-old-mincho/zen-old-mincho-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/zenoldmincho/v12/tss3ApVaYytLwxTqcxfMyBveyb4Dqllf8dMgPgBu.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Zen Old Mincho\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-old-mincho/zen-old-mincho-500-normal.svg\";}i:2;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/zenoldmincho/v12/tss3ApVaYytLwxTqcxfMyBveyb4vrVlf8dMgPgBu.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Zen Old Mincho\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-old-mincho/zen-old-mincho-600-normal.svg\";}i:3;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/zenoldmincho/v12/tss3ApVaYytLwxTqcxfMyBveyb5LrFlf8dMgPgBu.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Zen Old Mincho\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-old-mincho/zen-old-mincho-700-normal.svg\";}i:4;a:5:{s:3:\"src\";s:91:\"https://fonts.gstatic.com/s/zenoldmincho/v12/tss3ApVaYytLwxTqcxfMyBveyb5zrllf8dMgPgBu.woff2\";s:10:\"fontWeight\";s:3:\"900\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:14:\"Zen Old Mincho\";s:7:\"preview\";s:89:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-old-mincho/zen-old-mincho-900-normal.svg\";}}s:7:\"preview\";s:78:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-old-mincho/zen-old-mincho.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1721;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Zen Tokyo Zoo\";s:10:\"fontFamily\";s:26:\"\"Zen Tokyo Zoo\", system-ui\";s:4:\"slug\";s:13:\"zen-tokyo-zoo\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:84:\"https://fonts.gstatic.com/s/zentokyozoo/v7/NGSyv5ffC0J_BK6aFNtr6sRv8ahuRWe9amg.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Zen Tokyo Zoo\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-tokyo-zoo/zen-tokyo-zoo-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/zen-tokyo-zoo/zen-tokyo-zoo.svg\";}s:10:\"categories\";a:1:{i:0;s:7:\"display\";}}i:1722;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:6:\"Zeyada\";s:10:\"fontFamily\";s:15:\"Zeyada, cursive\";s:4:\"slug\";s:6:\"zeyada\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:71:\"https://fonts.gstatic.com/s/zeyada/v19/11hAGpPTxVPUbgZDMWatWKaZ3g.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:6:\"Zeyada\";s:7:\"preview\";s:73:\"https://s.w.org/images/fonts/wp-6.7/previews/zeyada/zeyada-400-normal.svg\";}}s:7:\"preview\";s:62:\"https://s.w.org/images/fonts/wp-6.7/previews/zeyada/zeyada.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1723;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:13:\"Zhi Mang Xing\";s:10:\"fontFamily\";s:24:\"\"Zhi Mang Xing\", cursive\";s:4:\"slug\";s:13:\"zhi-mang-xing\";s:8:\"fontFace\";a:1:{i:0;a:5:{s:3:\"src\";s:85:\"https://fonts.gstatic.com/s/zhimangxing/v17/f0Xw0ey79sErYFtWQ9a2rq-g0aItfektIJ0.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:13:\"Zhi Mang Xing\";s:7:\"preview\";s:87:\"https://s.w.org/images/fonts/wp-6.7/previews/zhi-mang-xing/zhi-mang-xing-400-normal.svg\";}}s:7:\"preview\";s:76:\"https://s.w.org/images/fonts/wp-6.7/previews/zhi-mang-xing/zhi-mang-xing.svg\";}s:10:\"categories\";a:1:{i:0;s:11:\"handwriting\";}}i:1724;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:10:\"Zilla Slab\";s:10:\"fontFamily\";s:19:\"\"Zilla Slab\", serif\";s:4:\"slug\";s:10:\"zilla-slab\";s:8:\"fontFace\";a:10:{i:0;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/zillaslab/v11/dFa5ZfeM_74wlPZtksIFYpEY2HGjWlhzbaw.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-300-normal.svg\";}i:1;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/zillaslab/v11/dFanZfeM_74wlPZtksIFaj8CVHapW3p2fazkfg.woff2\";s:10:\"fontWeight\";s:3:\"300\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-300-italic.svg\";}i:2;a:5:{s:3:\"src\";s:79:\"https://fonts.gstatic.com/s/zillaslab/v11/dFa6ZfeM_74wlPZtksIFWjgw_HyIRlE.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-400-normal.svg\";}i:3;a:5:{s:3:\"src\";s:82:\"https://fonts.gstatic.com/s/zillaslab/v11/dFa4ZfeM_74wlPZtksIFaj86_V6NVlFqdA.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-400-italic.svg\";}i:4;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/zillaslab/v11/dFa5ZfeM_74wlPZtksIFYskZ2HGjWlhzbaw.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-500-normal.svg\";}i:5;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/zillaslab/v11/dFanZfeM_74wlPZtksIFaj8CDHepW3p2fazkfg.woff2\";s:10:\"fontWeight\";s:3:\"500\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-500-italic.svg\";}i:6;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/zillaslab/v11/dFa5ZfeM_74wlPZtksIFYuUe2HGjWlhzbaw.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-600-normal.svg\";}i:7;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/zillaslab/v11/dFanZfeM_74wlPZtksIFaj8CIHCpW3p2fazkfg.woff2\";s:10:\"fontWeight\";s:3:\"600\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-600-italic.svg\";}i:8;a:5:{s:3:\"src\";s:83:\"https://fonts.gstatic.com/s/zillaslab/v11/dFa5ZfeM_74wlPZtksIFYoEf2HGjWlhzbaw.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-700-normal.svg\";}i:9;a:5:{s:3:\"src\";s:86:\"https://fonts.gstatic.com/s/zillaslab/v11/dFanZfeM_74wlPZtksIFaj8CRHGpW3p2fazkfg.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"italic\";s:10:\"fontFamily\";s:10:\"Zilla Slab\";s:7:\"preview\";s:81:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab-700-italic.svg\";}}s:7:\"preview\";s:70:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab/zilla-slab.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}i:1725;a:2:{s:20:\"font_family_settings\";a:5:{s:4:\"name\";s:20:\"Zilla Slab Highlight\";s:10:\"fontFamily\";s:29:\"\"Zilla Slab Highlight\", serif\";s:4:\"slug\";s:20:\"zilla-slab-highlight\";s:8:\"fontFace\";a:2:{i:0;a:5:{s:3:\"src\";s:101:\"https://fonts.gstatic.com/s/zillaslabhighlight/v19/gNMbW2BrTpK8-inLtBJgMMfbm6uNVDvRxhtNY2DwSXlM.woff2\";s:10:\"fontWeight\";s:3:\"400\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Zilla Slab Highlight\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab-highlight/zilla-slab-highlight-400-normal.svg\";}i:1;a:5:{s:3:\"src\";s:105:\"https://fonts.gstatic.com/s/zillaslabhighlight/v19/gNMUW2BrTpK8-inLtBJgMMfbm6uNVDvRxiP0TET9YmVF0Mb6.woff2\";s:10:\"fontWeight\";s:3:\"700\";s:9:\"fontStyle\";s:6:\"normal\";s:10:\"fontFamily\";s:20:\"Zilla Slab Highlight\";s:7:\"preview\";s:101:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab-highlight/zilla-slab-highlight-700-normal.svg\";}}s:7:\"preview\";s:90:\"https://s.w.org/images/fonts/wp-6.7/previews/zilla-slab-highlight/zilla-slab-highlight.svg\";}s:10:\"categories\";a:1:{i:0;s:5:\"serif\";}}}}","off");

INSERT IGNORE INTO `zrO6sh_options` VALUES 
("1424","_site_transient_timeout_available_translations","1737371711","off"),
("1425","_site_transient_available_translations","a:131:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-05-13 15:59:22\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"am\";a:8:{s:8:\"language\";s:2:\"am\";s:7:\"version\";s:5:\"6.0.9\";s:7:\"updated\";s:19:\"2022-09-29 20:43:49\";s:12:\"english_name\";s:7:\"Amharic\";s:11:\"native_name\";s:12:\"አማርኛ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.0.9/am.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"am\";i:2;s:3:\"amh\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"ቀጥል\";}}s:3:\"arg\";a:8:{s:8:\"language\";s:3:\"arg\";s:7:\"version\";s:8:\"6.2-beta\";s:7:\"updated\";s:19:\"2022-09-22 16:46:56\";s:12:\"english_name\";s:9:\"Aragonese\";s:11:\"native_name\";s:9:\"Aragonés\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/6.2-beta/arg.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"an\";i:2;s:3:\"arg\";i:3;s:3:\"arg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continar\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:5:\"6.4.5\";s:7:\"updated\";s:19:\"2024-02-13 12:49:38\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.4.5/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"متابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:6:\"4.8.25\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.25/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-01 09:05:28\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"6.4.5\";s:7:\"updated\";s:19:\"2024-01-19 08:58:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.4.5/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.26\";s:7:\"updated\";s:19:\"2024-12-26 00:37:42\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.26/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-12 07:32:34\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-11 11:12:13\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:28:\"চালিয়ে যান\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-10-30 03:24:38\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:33:\"མུ་མཐུད་དུ།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2023-02-22 20:45:53\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.6/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-13 14:30:12\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:5:\"6.6.2\";s:7:\"updated\";s:19:\"2024-07-23 09:49:04\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.6.2/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-06 15:23:02\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 14:12:43\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-05 18:11:40\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 15:01:40\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.7.1/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-09 10:07:52\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-05 18:08:14\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/translation/core/6.7.1/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 15:02:44\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dsb\";a:8:{s:8:\"language\";s:3:\"dsb\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2022-07-16 12:13:09\";s:12:\"english_name\";s:13:\"Lower Sorbian\";s:11:\"native_name\";s:16:\"Dolnoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.6/dsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"dsb\";i:3;s:3:\"dsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Dalej\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-17 11:18:52\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-08 19:43:34\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-15 22:47:35\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-14 20:17:10\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-12 00:03:39\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-04 17:25:09\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-19 14:30:41\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-10-16 21:04:12\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-09 05:28:03\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-11 19:46:19\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-12 01:36:29\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-18 13:19:43\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:5:\"6.4.5\";s:7:\"updated\";s:19:\"2023-10-16 16:00:04\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.4.5/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_EC\";a:8:{s:8:\"language\";s:5:\"es_EC\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2023-04-21 13:32:10\";s:12:\"english_name\";s:17:\"Spanish (Ecuador)\";s:11:\"native_name\";s:19:\"Español de Ecuador\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.6/es_EC.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_DO\";a:8:{s:8:\"language\";s:5:\"es_DO\";s:7:\"version\";s:6:\"5.8.10\";s:7:\"updated\";s:19:\"2021-10-08 14:32:50\";s:12:\"english_name\";s:28:\"Spanish (Dominican Republic)\";s:11:\"native_name\";s:33:\"Español de República Dominicana\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.8.10/es_DO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-31 18:33:26\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PR\";a:8:{s:8:\"language\";s:5:\"es_PR\";s:7:\"version\";s:6:\"5.4.16\";s:7:\"updated\";s:19:\"2020-04-29 15:36:59\";s:12:\"english_name\";s:21:\"Spanish (Puerto Rico)\";s:11:\"native_name\";s:23:\"Español de Puerto Rico\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.4.16/es_PR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:6:\"5.2.21\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.2.21/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-09 22:28:42\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-07 14:13:54\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:5:\"6.5.5\";s:7:\"updated\";s:19:\"2024-06-06 09:50:37\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.5.5/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-05 11:05:30\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 15:48:40\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"fa_AF\";a:8:{s:8:\"language\";s:5:\"fa_AF\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-20 04:32:26\";s:12:\"english_name\";s:21:\"Persian (Afghanistan)\";s:11:\"native_name\";s:31:\"(فارسی (افغانستان\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/fa_AF.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-22 05:44:18\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-12 22:29:22\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-09 12:47:08\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:5:\"6.5.5\";s:7:\"updated\";s:19:\"2024-02-01 23:56:53\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.5.5/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:6:\"4.8.25\";s:7:\"updated\";s:19:\"2023-04-30 13:56:46\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.25/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"fy\";a:8:{s:8:\"language\";s:2:\"fy\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2022-12-25 12:53:23\";s:12:\"english_name\";s:7:\"Frisian\";s:11:\"native_name\";s:5:\"Frysk\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.6/fy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fy\";i:2;s:3:\"fry\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Trochgean\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-14 09:01:45\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-03 05:12:26\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ચાલુ રાખો\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:6:\"4.4.33\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.4.33/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2024-05-04 18:39:24\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.6/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:5:\"6.4.5\";s:7:\"updated\";s:19:\"2024-02-25 08:05:38\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.4.5/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"जारी रखें\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-19 22:39:14\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2023-02-22 17:37:32\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.6/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-24 07:52:09\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-15 15:41:38\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.9.26\";s:7:\"updated\";s:19:\"2018-12-11 10:40:02\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.26/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-16 18:27:00\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 14:57:21\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"次へ\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:6:\"4.9.26\";s:7:\"updated\";s:19:\"2019-02-16 23:58:56\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.26/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Nerusaké\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-17 11:38:25\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2023-07-05 11:40:39\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.6/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-07-18 02:49:24\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:6:\"5.2.21\";s:7:\"updated\";s:19:\"2019-06-10 16:18:28\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.2.21/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-16 17:32:57\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರಿಸು\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-17 02:23:27\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-18 23:37:35\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.7.1/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:3:\"kir\";a:8:{s:8:\"language\";s:3:\"kir\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-11 17:53:34\";s:12:\"english_name\";s:6:\"Kyrgyz\";s:11:\"native_name\";s:16:\"Кыргызча\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.7.1/kir.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ky\";i:2;s:3:\"kir\";i:3;s:3:\"kir\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Улантуу\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"6.5.5\";s:7:\"updated\";s:19:\"2024-06-13 13:11:03\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.5.5/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-02 13:58:02\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"6.0.9\";s:7:\"updated\";s:19:\"2022-10-01 09:23:52\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.9/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"6.6.2\";s:7:\"updated\";s:19:\"2024-10-05 15:57:37\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.6.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:5:\"6.5.5\";s:7:\"updated\";s:19:\"2024-06-20 17:22:06\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.5.5/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-09 17:43:36\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:6:\"5.5.15\";s:7:\"updated\";s:19:\"2022-03-11 13:52:22\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.5.15/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.2.38\";s:7:\"updated\";s:19:\"2017-12-26 11:57:10\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.38/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-12 04:54:58\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:5:\"6.6.2\";s:7:\"updated\";s:19:\"2024-08-30 11:32:23\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.6.2/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-09 10:04:11\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-14 19:26:39\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.7.1/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-16 22:01:55\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-18 10:59:16\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:6:\"4.8.25\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.25/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:15:\"Panjabi (India)\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-17 08:07:10\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.3.34\";s:7:\"updated\";s:19:\"2015-12-02 21:41:29\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.3.34/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-22 09:42:36\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.7.1/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-09 14:12:56\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:5:\"6.4.5\";s:7:\"updated\";s:19:\"2023-08-21 12:15:00\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.4.5/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-11-25 10:54:59\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-13 11:11:27\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 14:55:39\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:6:\"5.4.16\";s:7:\"updated\";s:19:\"2020-07-07 01:53:37\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/5.4.16/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:3:\"snd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-13 04:29:01\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:5:\"6.6.2\";s:7:\"updated\";s:19:\"2024-09-21 09:44:08\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.6.2/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-08-30 07:14:35\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-12 17:27:08\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-09-20 22:15:56\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-08 15:52:55\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-12 13:48:13\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:5:\"ta_LK\";a:8:{s:8:\"language\";s:5:\"ta_LK\";s:7:\"version\";s:6:\"4.2.38\";s:7:\"updated\";s:19:\"2015-12-03 01:07:44\";s:12:\"english_name\";s:17:\"Tamil (Sri Lanka)\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.38/ta_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"தொடர்க\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:6:\"5.8.10\";s:7:\"updated\";s:19:\"2022-06-08 04:30:30\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.8.10/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:6:\"4.8.25\";s:7:\"updated\";s:19:\"2017-09-30 09:04:29\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.25/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-06 13:44:46\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-12 13:35:42\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"6.4.5\";s:7:\"updated\";s:19:\"2024-03-06 18:52:07\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.4.5/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:6:\"5.4.16\";s:7:\"updated\";s:19:\"2020-04-09 11:17:33\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4.16/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-28 12:02:22\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-14 00:43:38\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.7.1/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2024-12-23 16:50:06\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:5:\"6.7.1\";s:7:\"updated\";s:19:\"2025-01-12 05:35:18\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.7.1/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"6.2.6\";s:7:\"updated\";s:19:\"2022-07-15 15:25:03\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:12:\"香港中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.6/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}","off"),
("1426","_transient_timeout_feed_b7293ccde035c8cf244a9ddb3e8550ab","1737404141","off"),
("1427","_transient_timeout_feed_1a35a986d21ecac6e67e45f5050a2d43","1737404141","off"),
("1428","_transient_feed_b7293ccde035c8cf244a9ddb3e8550ab","a:6:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:28:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"پارسی‌دیت – وردپرس پارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"https://wp-parsi.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 30 Nov 2024 10:10:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=6.7.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:3:{i:0;a:6:{s:4:\"data\";s:65:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"مسیر جدید توسعه افزونه پارسی دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wp-parsi.com/parsidate-new/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://wp-parsi.com/parsidate-new/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 29 Nov 2024 19:25:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:19:\"افزونه‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:19:\"پارسی‌دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"خبرها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://wp-parsi.com/?p=1025\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:533:\"نسخه جدید پارسی‌دیت با تغییرات بسیار منتشر شد افزونه پارسی‌دیت با ۱۰۰ هزار نصب فعال در حال حاضر از محبوب ترین افزونه‌های وردپرس فارسی به شمار می‌رود، با توجه به رایگان بودن این افزونه توسعه آن در این ابعاد مستلزم صرف زمان بیشتری است، به همین جهت مدتی بود این افزونه به‌روز نشده بود، اما [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/parsidate-new/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"20\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:71:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"برگزاری میتاپ جشن تولد ۲۰ سالگی وردپرس در تهران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/wp20-tehran-meetup/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wp-parsi.com/wp20-tehran-meetup/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 May 2023 23:43:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:19:\"پارسی‌دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:21:\"تولد وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:23:\"میتاپ وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=822\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:512:\"در تاریخ ۶ خرداد امسال وردپرس ۲۰ ساله می‌شود. به همین مناسبت در تمامی دنیا رویدادهایی با هدف گرفتن جشن برای این روز برگزار می‌شود. لوکال منیجرها، توسعه‌دهنده‌ها و سایر دوستدارن دنیای متن باز و وردپرس با دورهم جمع شدن این روز رو در کل دنیا با هم جشن می‌گیرند. به همین جهت ما نیز [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://wp-parsi.com/wp20-tehran-meetup/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:62:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"نگارش ۴ افزونه پارسی دیت منتشر شد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wp-parsi.com/parsidate-version-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wp-parsi.com/parsidate-version-4/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Nov 2021 22:08:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:19:\"پارسی‌دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:33:\"مقالات و آموزش‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=760\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:589:\"افزونه شمسی ساز تاریخ وردپرس پارسی‌دیت که در حال حاضر پر نصب‌ترین افزونه شمسی‌ساز در بین کاربران فارسی زبان است به‌روزرسانی شد. این به‌روزرسانی با گزارشات و همکاری کاربران در شبکه‌های اجتماعی، انجمن وردپرس پارسی، گیت‌هاب و … صورت گرفت که قابلیت‌های جدیدی به این افزونه اضافه کرد. در ادامه به شرح تغییرات این نگارش [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wp-parsi.com/parsidate-version-4/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"52\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:36:\"https://wp-parsi.com/parsidate/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:16:{s:13:\"last-modified\";s:29:\"Sat, 30 Nov 2024 12:20:37 GMT\";s:4:\"etag\";s:34:\"\"0c556effb3f7c0d009d4ef7d8cc52b64\"\";s:4:\"link\";s:166:\"<https://wp-parsi.com/wp-json/>; rel=\"https://api.w.org/\", <https://wp-parsi.com/wp-json/wp/v2/categories/234>; rel=\"alternate\"; title=\"JSON\"; type=\"application/json\"\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:13:\"cache-control\";s:22:\"public, max-age=172800\";s:7:\"expires\";s:29:\"Tue, 21 Jan 2025 21:19:41 GMT\";s:17:\"x-litespeed-cache\";s:3:\"hit\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"vary\";s:26:\"Accept-Encoding,User-Agent\";s:14:\"content-length\";s:4:\"1623\";s:4:\"date\";s:29:\"Mon, 20 Jan 2025 08:08:02 GMT\";s:25:\"strict-transport-security\";s:16:\"max-age=31536000\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:7:\"alt-svc\";s:167:\"h3=\":443\"; ma=2592000, h3-29=\":443\"; ma=2592000, h3-Q050=\":443\"; ma=2592000, h3-Q046=\":443\"; ma=2592000, h3-Q043=\":443\"; ma=2592000, quic=\":443\"; ma=2592000; v=\"43,46\"\";}}s:5:\"build\";i:1727736619;s:21:\"cache_expiration_time\";i:1737404141;s:23:\"__cache_expiration_time\";i:1737404141;}","off"),
("1429","_transient_feed_1a35a986d21ecac6e67e45f5050a2d43","a:6:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"وردپرس پارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"https://wp-parsi.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 30 Nov 2024 10:10:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=6.7.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:65:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"مسیر جدید توسعه افزونه پارسی دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wp-parsi.com/parsidate-new/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://wp-parsi.com/parsidate-new/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 29 Nov 2024 19:25:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:19:\"افزونه‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:19:\"پارسی‌دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"خبرها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://wp-parsi.com/?p=1025\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:533:\"نسخه جدید پارسی‌دیت با تغییرات بسیار منتشر شد افزونه پارسی‌دیت با ۱۰۰ هزار نصب فعال در حال حاضر از محبوب ترین افزونه‌های وردپرس فارسی به شمار می‌رود، با توجه به رایگان بودن این افزونه توسعه آن در این ابعاد مستلزم صرف زمان بیشتری است، به همین جهت مدتی بود این افزونه به‌روز نشده بود، اما [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/parsidate-new/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"20\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:71:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"برگزاری میتاپ جشن تولد ۲۰ سالگی وردپرس در تهران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/wp20-tehran-meetup/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wp-parsi.com/wp20-tehran-meetup/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 May 2023 23:43:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:19:\"پارسی‌دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:21:\"تولد وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:23:\"میتاپ وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=822\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:512:\"در تاریخ ۶ خرداد امسال وردپرس ۲۰ ساله می‌شود. به همین مناسبت در تمامی دنیا رویدادهایی با هدف گرفتن جشن برای این روز برگزار می‌شود. لوکال منیجرها، توسعه‌دهنده‌ها و سایر دوستدارن دنیای متن باز و وردپرس با دورهم جمع شدن این روز رو در کل دنیا با هم جشن می‌گیرند. به همین جهت ما نیز [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://wp-parsi.com/wp20-tehran-meetup/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:62:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"نگارش ۴ افزونه پارسی دیت منتشر شد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wp-parsi.com/parsidate-version-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wp-parsi.com/parsidate-version-4/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Nov 2021 22:08:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:19:\"پارسی‌دیت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:33:\"مقالات و آموزش‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=760\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:589:\"افزونه شمسی ساز تاریخ وردپرس پارسی‌دیت که در حال حاضر پر نصب‌ترین افزونه شمسی‌ساز در بین کاربران فارسی زبان است به‌روزرسانی شد. این به‌روزرسانی با گزارشات و همکاری کاربران در شبکه‌های اجتماعی، انجمن وردپرس پارسی، گیت‌هاب و … صورت گرفت که قابلیت‌های جدیدی به این افزونه اضافه کرد. در ادامه به شرح تغییرات این نگارش [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wp-parsi.com/parsidate-version-4/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"52\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:43:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"چگونه سرور مجازی مناسب انتخاب کنیم؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:207:\"https://wp-parsi.com/%da%86%da%af%d9%88%d9%86%d9%87-%d8%b3%d8%b1%d9%88%d8%b1-%d9%85%d8%ac%d8%a7%d8%b2%db%8c-%d9%85%d9%86%d8%a7%d8%b3%d8%a8-%d8%a7%d9%86%d8%aa%d8%ae%d8%a7%d8%a8-%da%a9%d9%86%db%8c%d9%85%d8%9f/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 08 May 2020 07:29:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"رپرتاژ آگهی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=730\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:520:\"مطمئناً برای برخی از کاربران این سوال پیش می‌آید که سرور مجازی چیست و چه کاربردی دارد؟ و چگونه سرور مجازی مناسبی انتخا کنم؟ سرور مجازی (Virtual Private Server)، به سروری گفته می‌شود که منابع سرور بین چند ماشین یا چند کاربر تقسیم می‌شود. تصور کنید که یک کامپیوتر مرکزی وجود دارد که چندین کاربر [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"تبلیغچی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:43:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"سرویس چاپ انواع لباس و تیشرت\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://wp-parsi.com/payarchap/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 29 Mar 2020 07:35:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"رپرتاژ آگهی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=565\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:503:\"شرکت پایار چاپ در سال ۱۳۸۸ به عنوان مرکز طراحی، چاپ و تولید انواع پارچه و لباس شروع به فعالیت کرد، در پایارچاپ طی این ۸ سال گذشته به نوآوری‌‌های مختلف در صنعت چاپ لباس و پارچه پرداخته شده و با توسعه مجموعه در حال حاضر یکی از کامل‌ترین مجموعه‌های چاپی می‌باشد که این امکان [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"تبلیغچی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:62:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"برگزاری پنجمین رویداد آینده وب و موبایل\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:228:\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Feb 2020 17:40:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=700\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:487:\"روﯾﺪاد آﯾﻨﺪه وب و ﻣﻮﺑﺎﯾﻞ ﯾﮏ روﯾﺪاد ﺳﺎﻻﻧﻪ است که در روزهای 8 و 9 اسفند سال 98، پنجمین دوره آن به مدت دو روز در مجموعه فرهنگی حجاب واقع در خیابان فاطمی تهران برگزار خواهد شد. این رویداد از دو بخش همایش و نمایشگاه تشکیل می‌شود که در دو روز پایانی هفته (پنج شنبه [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:225:\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:62:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"برگزاری دومین همایش فریلند\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://wp-parsi.com/freelanday/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/freelanday/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 22 Aug 2019 14:26:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=681\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:537:\"دومین همایش فریلند با رویکرد آموزش اصول فریلنسینگ، ۲۸ و ۲۹ شهریور در منطقه آزاد انزلی برگزار می‌شود. در این همایش افراد علاقه‌مند یاد می‌گیرند چطور کار کردن به شیوه فریلنسینگ به عنوان یک کار تمام وقت و حرفه‌ای را شروع کنند، مشتریان خود را بیابند، خودشان را معرفی کنند و بدون استخدام شدن در [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://wp-parsi.com/freelanday/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:68:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"افزونه تلگرام وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://wp-parsi.com/wp-telegram-pro/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wp-parsi.com/wp-telegram-pro/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Apr 2019 07:07:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:19:\"افزونه‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:15:\"WP Telegram Pro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:19:\"بات تلگرام\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:12:\"تلگرام\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=672\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:536:\"وردپرس/WordPress سیستم مدیریت محتوای محبوبی است که اکنون ۳۳٪ از دنیای وب را به خود اختصاص داده و امکانات خوبی برای توسعه بیشتر به عنوان یک برنامه تحت وب را در اختیار کاربران قرار می‌دهد. شما می‌توانید با افزونه WP Telegram Pro امکان مرور نوشته‌ها، دسته‌ها، محصولات (ووکامرس / Woocommerce) و امکان خرید را به [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"پارسا کافی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wp-parsi.com/wp-telegram-pro/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"24\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:62:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"آموزش پلاگین نویسی در وردپرس از صفر تا صد – قسمت دوم\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:222:\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:231:\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 19 Aug 2018 07:31:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:23:\"افزونه نویسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:33:\"مقالات و آموزش‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=584\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:580:\"بخش دوم ایجاد صفحه در بخش مدیریت: برای افزودن صفحه به منوی ادمین وردپرس از هوک admin_menu استفاده میکنیم.هر منو دارای یک منوی اصلی وتعدادی زیر منو میباشد. برای ایجاد منوی اصلی از تابع add_menu_page استفاده میشود.توجه داشته باشید منوها به صورت پیشفرض در انتهای لیست منوهای بخش مدیریت وردپرس قرار خواهد گرفت. add_menu_page(page_title, menu_title, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"مبین قاسمپور\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:227:\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"6\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:62:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n		\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"برگزاری چهارمین همایش Coder Conf\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://wp-parsi.com/coder-conf/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/coder-conf/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jul 2018 15:00:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=659\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:576:\"کدرکانف هر سال در آخرین پنجشنبه مرداد با بورد‌های مختلفی برگزار می‌گردد،امسال نیز کدرکانف در همین تاریخ با حضور برنامه نویسان مطرح کشور در بورد تخصصی جاوااسکریپت برگزار خواهد شد، یک گردهمایی متفاوت با طعم Javascript. Coderconf هر سال نسبت به سال‌های گذشته با حضور برنامه‌نویسان پر رنگتر می‌شود. ما سعی کردیم هر ساله به [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://wp-parsi.com/coder-conf/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:26:\"https://wp-parsi.com/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:16:{s:13:\"last-modified\";s:29:\"Sat, 30 Nov 2024 12:20:37 GMT\";s:4:\"etag\";s:34:\"\"0c556effb3f7c0d009d4ef7d8cc52b64\"\";s:4:\"link\";s:57:\"<https://wp-parsi.com/wp-json/>; rel=\"https://api.w.org/\"\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:13:\"cache-control\";s:22:\"public, max-age=172800\";s:7:\"expires\";s:29:\"Tue, 21 Jan 2025 21:19:53 GMT\";s:17:\"x-litespeed-cache\";s:3:\"hit\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"vary\";s:26:\"Accept-Encoding,User-Agent\";s:14:\"content-length\";s:4:\"3791\";s:4:\"date\";s:29:\"Mon, 20 Jan 2025 08:08:02 GMT\";s:25:\"strict-transport-security\";s:16:\"max-age=31536000\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:7:\"alt-svc\";s:167:\"h3=\":443\"; ma=2592000, h3-29=\":443\"; ma=2592000, h3-Q050=\":443\"; ma=2592000, h3-Q046=\":443\"; ma=2592000, h3-Q043=\":443\"; ma=2592000, quic=\":443\"; ma=2592000; v=\"43,46\"\";}}s:5:\"build\";i:1727736619;s:21:\"cache_expiration_time\";i:1737404141;s:23:\"__cache_expiration_time\";i:1737404141;}","off"),
("1430","_transient_timeout_dash_v2_b994a1a794faa0049d6c8a467c47c4eb","1737404141","off"),
("1431","_transient_dash_v2_b994a1a794faa0049d6c8a467c47c4eb","<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wp-parsi.com/parsidate-new/\'>مسیر جدید توسعه افزونه پارسی دیت</a></li><li><a class=\'rsswidget\' href=\'https://wp-parsi.com/wp20-tehran-meetup/\'>برگزاری میتاپ جشن تولد ۲۰ سالگی وردپرس در تهران</a></li><li><a class=\'rsswidget\' href=\'https://wp-parsi.com/parsidate-version-4/\'>نگارش ۴ افزونه پارسی دیت منتشر شد</a></li></ul></div>","off"),
("1432","_site_transient_timeout_community-events-2ca160e7ec4269d32aa1e5fcbf8b65d9","1737404141","off"),
("1433","_site_transient_community-events-2ca160e7ec4269d32aa1e5fcbf8b65d9","a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";s:12:\"37.202.151.0\";}s:6:\"events\";a:0:{}}","off"),
("1436","_transient_timeout_feed_7e5c49ef2d8ac9fab50b823466eb0d08","1737404141","off"),
("1437","_transient_feed_7e5c49ef2d8ac9fab50b823466eb0d08","a:6:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"سیاره وردپرس ایران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"https://wp-planet.ir\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:530:\"سایت‌های زیادی در ایران و سرتاسر وب در زمینه گسترش وردپرس تلاش دارند و نوشته‌های آموزشی منتشر می‌کنند. اما ضرورت یک منبع خوب و ارزشمند برای جمع‌آوری بهترین‌های وب ایران و دنیا باعث ایجاد سیاره وردپرس شد، اگر علاقه‌مند به دریافت بهترین نوشته‌های وردپرسی هستید، سیاره وردپرس را دنبال کنید.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 22 Dec 2024 16:59:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=6.7.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:183:\"فروشگاه ساز ووکامرس: پنهان کردن تب “دانلودها” در صفحه حساب کاربری اگر کاربر هیچ دانلودی نداشته باشد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:214:\"https://wp-planet.ir/%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%b3%d8%a7%d8%b2-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d9%be%d9%86%d9%87%d8%a7%d9%86-%da%a9%d8%b1%d8%af%d9%86-%d8%aa%d8%a8-%d8%af%d8%a7%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:222:\"https://wp-planet.ir/%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%b3%d8%a7%d8%b2-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d9%be%d9%86%d9%87%d8%a7%d9%86-%da%a9%d8%b1%d8%af%d9%86-%d8%aa%d8%a8-%d8%af%d8%a7%d9%86/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 22 Dec 2024 16:59:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=310\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:412:\"در ووکامرس، تب &#8220;دانلودها&#8221; در صفحه حساب کاربری به طور خودکار برای همه کاربران قابل مشاهده است، حتی اگر هیچ محصول قابل دانلودی خریداری نکرده باشند. این امر می‌تواند منجر به تجربه کاربری نامطلوب شود، زیرا این تب ممکن است&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"morteza\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:421:\"<p>در ووکامرس، تب &#8220;دانلودها&#8221; در صفحه حساب کاربری به طور خودکار برای همه کاربران قابل مشاهده است، حتی اگر هیچ محصول قابل دانلودی خریداری نکرده باشند. این امر می‌تواند منجر به تجربه کاربری نامطلوب شود، زیرا این تب ممکن است&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"https://wp-planet.ir/%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%b3%d8%a7%d8%b2-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d9%be%d9%86%d9%87%d8%a7%d9%86-%da%a9%d8%b1%d8%af%d9%86-%d8%aa%d8%a8-%d8%af%d8%a7%d9%86/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"تغییر نام صفحه “حساب کاربری من” در ووکامرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:215:\"https://wp-planet.ir/%d8%aa%d8%ba%db%8c%db%8c%d8%b1-%d9%86%d8%a7%d9%85-%d8%b5%d9%81%d8%ad%d9%87-%d8%ad%d8%b3%d8%a7%d8%a8-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%db%8c-%d9%85%d9%86-%d8%af%d8%b1-%d9%88%d9%88%da%a9%d8%a7%d9%85/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:223:\"https://wp-planet.ir/%d8%aa%d8%ba%db%8c%db%8c%d8%b1-%d9%86%d8%a7%d9%85-%d8%b5%d9%81%d8%ad%d9%87-%d8%ad%d8%b3%d8%a7%d8%a8-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%db%8c-%d9%85%d9%86-%d8%af%d8%b1-%d9%88%d9%88%da%a9%d8%a7%d9%85/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 22 Dec 2024 16:59:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=309\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:426:\"اما قبل از هر چیز&#8230; عنوان صفحه نقطه پایانی &#8220;حساب کاربری من&#8221; در ووکامرس چیست؟ نقطه پایانی به یک تب خاص در صفحه &#8220;حساب کاربری من&#8221; اشاره دارد، جایی که مشتریان می‌توانند به عملکردهای مختلفی مانند مشاهده سفارشات خود، مدیریت&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"morteza\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:435:\"<p>اما قبل از هر چیز&#8230; عنوان صفحه نقطه پایانی &#8220;حساب کاربری من&#8221; در ووکامرس چیست؟ نقطه پایانی به یک تب خاص در صفحه &#8220;حساب کاربری من&#8221; اشاره دارد، جایی که مشتریان می‌توانند به عملکردهای مختلفی مانند مشاهده سفارشات خود، مدیریت&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"https://wp-planet.ir/%d8%aa%d8%ba%db%8c%db%8c%d8%b1-%d9%86%d8%a7%d9%85-%d8%b5%d9%81%d8%ad%d9%87-%d8%ad%d8%b3%d8%a7%d8%a8-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%db%8c-%d9%85%d9%86-%d8%af%d8%b1-%d9%88%d9%88%da%a9%d8%a7%d9%85/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"افزودن خودکار کوپن تخفیف در ووکامرس از طریق URL\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%ae%d9%88%d8%af%da%a9%d8%a7%d8%b1-%da%a9%d9%88%d9%be%d9%86-%d8%aa%d8%ae%d9%81%db%8c%d9%81-%d8%af%d8%b1-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d8%a7%d8%b2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:228:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%ae%d9%88%d8%af%da%a9%d8%a7%d8%b1-%da%a9%d9%88%d9%be%d9%86-%d8%aa%d8%ae%d9%81%db%8c%d9%81-%d8%af%d8%b1-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d8%a7%d8%b2/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 22 Dec 2024 16:59:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=308\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"morteza\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:225:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%ae%d9%88%d8%af%da%a9%d8%a7%d8%b1-%da%a9%d9%88%d9%be%d9%86-%d8%aa%d8%ae%d9%81%db%8c%d9%81-%d8%af%d8%b1-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d8%a7%d8%b2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"ایجاد تاکسونومی‌های سفارشی در وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:212:\"https://wp-planet.ir/%d8%a7%db%8c%d8%ac%d8%a7%d8%af-%d8%aa%d8%a7%da%a9%d8%b3%d9%88%d9%86%d9%88%d9%85%db%8c%d9%87%d8%a7%db%8c-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"https://wp-planet.ir/%d8%a7%db%8c%d8%ac%d8%a7%d8%af-%d8%aa%d8%a7%da%a9%d8%b3%d9%88%d9%86%d9%88%d9%85%db%8c%d9%87%d8%a7%db%8c-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:39:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=262\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:453:\"در مقاله‌ی قبلی، نحوه‌ی ایجاد نوع پست سفارشی را توضیح دادم. در این مقاله، نحوه‌ی ایجاد تاکسونومی‌های سفارشی در وردپرس را به شما نشان خواهم داد. تاکسونومی سفارشی چیست؟ تاکسونومی‌ها مکانیسمی برای گروه‌بندی انواع پست در وردپرس هستند. برای مثال،&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:462:\"<p>در مقاله‌ی قبلی، نحوه‌ی ایجاد نوع پست سفارشی را توضیح دادم. در این مقاله، نحوه‌ی ایجاد تاکسونومی‌های سفارشی در وردپرس را به شما نشان خواهم داد. تاکسونومی سفارشی چیست؟ تاکسونومی‌ها مکانیسمی برای گروه‌بندی انواع پست در وردپرس هستند. برای مثال،&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:217:\"https://wp-planet.ir/%d8%a7%db%8c%d8%ac%d8%a7%d8%af-%d8%aa%d8%a7%da%a9%d8%b3%d9%88%d9%86%d9%88%d9%85%db%8c%d9%87%d8%a7%db%8c-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"افزودن به سبد خرید با Ajax در صفحات آرشیو ووکامرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:221:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%a8%d9%87-%d8%b3%d8%a8%d8%af-%d8%ae%d8%b1%db%8c%d8%af-%d8%a8%d8%a7-ajax-%d8%af%d8%b1-%d8%b5%d9%81%d8%ad%d8%a7%d8%aa-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d9%88%d9%88/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:229:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%a8%d9%87-%d8%b3%d8%a8%d8%af-%d8%ae%d8%b1%db%8c%d8%af-%d8%a8%d8%a7-ajax-%d8%af%d8%b1-%d8%b5%d9%81%d8%ad%d8%a7%d8%aa-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d9%88%d9%88/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:39:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=260\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:369:\"مقاله‌ای در مورد افزودن به سبد خرید ووکامرس با استفاده از AJAX در صفحه محصول تکی نوشتم. به درخواست برخی از کاربران، قصد دارم نحوه فعال‌سازی افزودن محصولات به سبد خرید از طریق AJAX در صفحات آرشیو را به شما&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:378:\"<p>مقاله‌ای در مورد افزودن به سبد خرید ووکامرس با استفاده از AJAX در صفحه محصول تکی نوشتم. به درخواست برخی از کاربران، قصد دارم نحوه فعال‌سازی افزودن محصولات به سبد خرید از طریق AJAX در صفحات آرشیو را به شما&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:226:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%a8%d9%87-%d8%b3%d8%a8%d8%af-%d8%ae%d8%b1%db%8c%d8%af-%d8%a8%d8%a7-ajax-%d8%af%d8%b1-%d8%b5%d9%81%d8%ad%d8%a7%d8%aa-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d9%88%d9%88/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"فرم ورود سفارشی Ajax در وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:157:\"https://wp-planet.ir/%d9%81%d8%b1%d9%85-%d9%88%d8%b1%d9%88%d8%af-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-ajax-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:165:\"https://wp-planet.ir/%d9%81%d8%b1%d9%85-%d9%88%d8%b1%d9%88%d8%af-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-ajax-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:39:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=259\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:417:\"اگر از وردپرس استفاده می‌کنید، حتما با صفحه ورود wp-admin آشنا هستید؛ جایی که برای ورود به داشبورد یا بخش کاربری وب‌سایت لاگین می‌کنید. این صفحه کار خود را انجام می‌دهد، اما از نظر برندینگ و راه‌حل سفارشی‌سازی (White-label)، به‌خصوص&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:426:\"<p>اگر از وردپرس استفاده می‌کنید، حتما با صفحه ورود wp-admin آشنا هستید؛ جایی که برای ورود به داشبورد یا بخش کاربری وب‌سایت لاگین می‌کنید. این صفحه کار خود را انجام می‌دهد، اما از نظر برندینگ و راه‌حل سفارشی‌سازی (White-label)، به‌خصوص&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:162:\"https://wp-planet.ir/%d9%81%d8%b1%d9%85-%d9%88%d8%b1%d9%88%d8%af-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-ajax-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"حذف URLهای صفحات شماره گذاری شده در وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:218:\"https://wp-planet.ir/%d8%ad%d8%b0%d9%81-url%d9%87%d8%a7%db%8c-%d8%b5%d9%81%d8%ad%d8%a7%d8%aa-%d8%b4%d9%85%d8%a7%d8%b1%d9%87-%da%af%d8%b0%d8%a7%d8%b1%db%8c-%d8%b4%d8%af%d9%87-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:226:\"https://wp-planet.ir/%d8%ad%d8%b0%d9%81-url%d9%87%d8%a7%db%8c-%d8%b5%d9%81%d8%ad%d8%a7%d8%aa-%d8%b4%d9%85%d8%a7%d8%b1%d9%87-%da%af%d8%b0%d8%a7%d8%b1%db%8c-%d8%b4%d8%af%d9%87-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:39:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=258\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:368:\"چند روز پیش وارد کنسول جستجوی گوگل (Google Search Console) شدم و متوجه هزاران هشدار مربوط به صفحات مسدود شده با فرمت /page/{number} شدم. یک سایت اسپم به مجموعه‌ای از صفحات غیرموجود و دارای شماره صفحات (paginated) در سایت ما&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:377:\"<p>چند روز پیش وارد کنسول جستجوی گوگل (Google Search Console) شدم و متوجه هزاران هشدار مربوط به صفحات مسدود شده با فرمت /page/{number} شدم. یک سایت اسپم به مجموعه‌ای از صفحات غیرموجود و دارای شماره صفحات (paginated) در سایت ما&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:223:\"https://wp-planet.ir/%d8%ad%d8%b0%d9%81-url%d9%87%d8%a7%db%8c-%d8%b5%d9%81%d8%ad%d8%a7%d8%aa-%d8%b4%d9%85%d8%a7%d8%b1%d9%87-%da%af%d8%b0%d8%a7%d8%b1%db%8c-%d8%b4%d8%af%d9%87-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"چطور در وردپرس، صفحه خطای ۴۰۴ را اجباراً نمایش دهیم؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"https://wp-planet.ir/%da%86%d8%b7%d9%88%d8%b1-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3%d8%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%ae%d8%b7%d8%a7%db%8c-404-%d8%b1%d8%a7-%d8%a7%d8%ac%d8%a8%d8%a7%d8%b1%d8%a7%d9%8b-%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:227:\"https://wp-planet.ir/%da%86%d8%b7%d9%88%d8%b1-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3%d8%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%ae%d8%b7%d8%a7%db%8c-404-%d8%b1%d8%a7-%d8%a7%d8%ac%d8%a8%d8%a7%d8%b1%d8%a7%d9%8b-%d9%86/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:39:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=257\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:400:\"در آموزش قبلی، نحوه حذف URLهای صفحات پَيجينگ (صفحه‌بندی) در وردپرس را به شما نشان دادم. در آن راهنما، کدی برای ریدایرکت ۳۰۱ URLهای صفحه‌بندی که دیگر ضروری نیستند، ارائه کردم. با این حال، در برخی موارد استفاده از ریدایرکت&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:409:\"<p>در آموزش قبلی، نحوه حذف URLهای صفحات پَيجينگ (صفحه‌بندی) در وردپرس را به شما نشان دادم. در آن راهنما، کدی برای ریدایرکت ۳۰۱ URLهای صفحه‌بندی که دیگر ضروری نیستند، ارائه کردم. با این حال، در برخی موارد استفاده از ریدایرکت&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:224:\"https://wp-planet.ir/%da%86%d8%b7%d9%88%d8%b1-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3%d8%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%ae%d8%b7%d8%a7%db%8c-404-%d8%b1%d8%a7-%d8%a7%d8%ac%d8%a8%d8%a7%d8%b1%d8%a7%d9%8b-%d9%86/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"آناتومی پوسته بلوکی: ساختار و فایل‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:207:\"https://wp-planet.ir/%d8%a2%d9%86%d8%a7%d8%aa%d9%88%d9%85%db%8c-%d9%be%d9%88%d8%b3%d8%aa%d9%87-%d8%a8%d9%84%d9%88%da%a9%db%8c-%d8%b3%d8%a7%d8%ae%d8%aa%d8%a7%d8%b1-%d9%88-%d9%81%d8%a7%db%8c%d9%84%d9%87%d8%a7/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:215:\"https://wp-planet.ir/%d8%a2%d9%86%d8%a7%d8%aa%d9%88%d9%85%db%8c-%d9%be%d9%88%d8%b3%d8%aa%d9%87-%d8%a8%d9%84%d9%88%da%a9%db%8c-%d8%b3%d8%a7%d8%ae%d8%aa%d8%a7%d8%b1-%d9%88-%d9%81%d8%a7%db%8c%d9%84%d9%87%d8%a7/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:39:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=256\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:420:\"پس تصمیم گرفته‌اید یک پوسته بلوکی بسازید اما نمی‌دانید از کجا شروع کنید؟ در این راهنما، مروری بر ساختار فایل‌های یک پوسته بلوکی ارائه خواهم داد. به عبارت دیگر، «آناتومی» یک پوسته بلوکی. چه پوشه‌ها و فایل‌هایی می‌توانند در یک&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"morteza\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:429:\"<p>پس تصمیم گرفته‌اید یک پوسته بلوکی بسازید اما نمی‌دانید از کجا شروع کنید؟ در این راهنما، مروری بر ساختار فایل‌های یک پوسته بلوکی ارائه خواهم داد. به عبارت دیگر، «آناتومی» یک پوسته بلوکی. چه پوشه‌ها و فایل‌هایی می‌توانند در یک&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:212:\"https://wp-planet.ir/%d8%a2%d9%86%d8%a7%d8%aa%d9%88%d9%85%db%8c-%d9%be%d9%88%d8%b3%d8%aa%d9%87-%d8%a8%d9%84%d9%88%da%a9%db%8c-%d8%b3%d8%a7%d8%ae%d8%aa%d8%a7%d8%b1-%d9%88-%d9%81%d8%a7%db%8c%d9%84%d9%87%d8%a7/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"افزودن انواع پست سفارشی به فید RSS وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:218:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%a7%d9%86%d9%88%d8%a7%d8%b9-%d9%be%d8%b3%d8%aa-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-%d8%a8%d9%87-%d9%81%db%8c%d8%af-rss-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:226:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%a7%d9%86%d9%88%d8%a7%d8%b9-%d9%be%d8%b3%d8%aa-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-%d8%a8%d9%87-%d9%81%db%8c%d8%af-rss-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Nov 2024 22:38:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"سیاره\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-planet.ir/?p=255\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:412:\"به‌طور پیش‌فرض، فید اصلی RSS سایت وردپرس شما فقط شامل پست‌های استاندارد است. وردپرس فیدهای اضافی برای انواع پست‌های سفارشی ایجاد می‌کند، اما اگر بخواهید این پست‌ها در فید اصلی شما باشند چه؟ در این آموزش، کد مورد نیاز برای&#8230;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:421:\"<p>به‌طور پیش‌فرض، فید اصلی RSS سایت وردپرس شما فقط شامل پست‌های استاندارد است. وردپرس فیدهای اضافی برای انواع پست‌های سفارشی ایجاد می‌کند، اما اگر بخواهید این پست‌ها در فید اصلی شما باشند چه؟ در این آموزش، کد مورد نیاز برای&hellip;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:223:\"https://wp-planet.ir/%d8%a7%d9%81%d8%b2%d9%88%d8%af%d9%86-%d8%a7%d9%86%d9%88%d8%a7%d8%b9-%d9%be%d8%b3%d8%aa-%d8%b3%d9%81%d8%a7%d8%b1%d8%b4%db%8c-%d8%a8%d9%87-%d9%81%db%8c%d8%af-rss-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:26:\"https://wp-planet.ir/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:10:{s:4:\"date\";s:29:\"Mon, 20 Jan 2025 08:08:27 GMT\";s:6:\"server\";s:6:\"Apache\";s:4:\"link\";s:57:\"<https://wp-planet.ir/wp-json/>; rel=\"https://api.w.org/\"\";s:7:\"upgrade\";s:6:\"h2,h2c\";s:13:\"last-modified\";s:29:\"Sun, 22 Dec 2024 16:59:24 GMT\";s:4:\"etag\";s:39:\"\"46027511dfcdfa53f555dadadc018d01-gzip\"\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:16:\"content-encoding\";s:4:\"gzip\";s:14:\"content-length\";s:4:\"3358\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";}}s:5:\"build\";i:1727736619;s:21:\"cache_expiration_time\";i:1737404141;s:23:\"__cache_expiration_time\";i:1737404141;}","off");

INSERT IGNORE INTO `zrO6sh_options` VALUES 
("1438","_transient_timeout_dash_v2_ccb55a4e4b351a220e50ef4117d7dc27","1737404141","off"),
("1439","_transient_dash_v2_ccb55a4e4b351a220e50ef4117d7dc27","<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wp-parsi.com/parsidate-new/\'>مسیر جدید توسعه افزونه پارسی دیت</a></li><li><a class=\'rsswidget\' href=\'https://wp-parsi.com/wp20-tehran-meetup/\'>برگزاری میتاپ جشن تولد ۲۰ سالگی وردپرس در تهران</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wp-planet.ir/%D8%A7%D9%81%D8%B2%D9%88%D8%AF%D9%86-%D8%AE%D9%88%D8%AF%DA%A9%D8%A7%D8%B1-%DA%A9%D9%88%D9%BE%D9%86-%D8%AA%D8%AE%D9%81%DB%8C%D9%81-%D8%AF%D8%B1-%D9%88%D9%88%DA%A9%D8%A7%D9%85%D8%B1%D8%B3-%D8%A7%D8%B2/\'>افزودن خودکار کوپن تخفیف در ووکامرس از طریق URL</a></li><li><a class=\'rsswidget\' href=\'https://wp-planet.ir/%D8%AA%D8%BA%DB%8C%DB%8C%D8%B1-%D9%86%D8%A7%D9%85-%D8%B5%D9%81%D8%AD%D9%87-%D8%AD%D8%B3%D8%A7%D8%A8-%DA%A9%D8%A7%D8%B1%D8%A8%D8%B1%DB%8C-%D9%85%D9%86-%D8%AF%D8%B1-%D9%88%D9%88%DA%A9%D8%A7%D9%85/\'>تغییر نام صفحه “حساب کاربری من” در ووکامرس</a></li><li><a class=\'rsswidget\' href=\'https://wp-planet.ir/%D9%81%D8%B1%D9%88%D8%B4%DA%AF%D8%A7%D9%87-%D8%B3%D8%A7%D8%B2-%D9%88%D9%88%DA%A9%D8%A7%D9%85%D8%B1%D8%B3-%D9%BE%D9%86%D9%87%D8%A7%D9%86-%DA%A9%D8%B1%D8%AF%D9%86-%D8%AA%D8%A8-%D8%AF%D8%A7%D9%86/\'>فروشگاه ساز ووکامرس: پنهان کردن تب “دانلودها” در صفحه حساب کاربری اگر کاربر هیچ دانلودی نداشته باشد</a></li></ul></div>","off"),
("1443","_site_transient_timeout_theme_roots","1737363108","off"),
("1444","_site_transient_theme_roots","a:1:{s:16:\"jetnews-magazine\";s:7:\"/themes\";}","off"),
("1446","_site_transient_duplicator_translations_duplicator-pro_plugin","O:8:\"stdClass\":2:{s:14:\"duplicator-pro\";a:1:{s:12:\"translations\";a:10:{i:0;a:7:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-nl_NL.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"nl\";i:1;s:3:\"nld\";}}i:1;a:7:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-fr_FR.zip\";s:3:\"iso\";a:1:{i:0;s:2:\"fr\";}}i:2;a:7:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-de_DE.zip\";s:3:\"iso\";a:1:{i:0;s:2:\"de\";}}i:3;a:7:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-it_IT.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"it\";i:1;s:3:\"ita\";}}i:4;a:7:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:81:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-ja.zip\";s:3:\"iso\";a:1:{i:0;s:2:\"ja\";}}i:5;a:7:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-pl_PL.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"pl\";i:1;s:3:\"pol\";}}i:6;a:7:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-pt_BR.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"pt\";i:1;s:3:\"por\";}}i:7;a:7:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-ru_RU.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"ru\";i:1;s:3:\"rus\";}}i:8;a:7:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-es_ES.zip\";s:3:\"iso\";a:3:{i:0;s:2:\"es\";i:1;s:3:\"spa\";i:2;s:3:\"spa\";}}i:9;a:7:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2024-09-08T18:11:16+00:00\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:84:\"https://translations.duplicator.com/packages/duplicator-pro/duplicator-pro-tr_TR.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"tr\";i:1;s:3:\"tur\";}}}}s:13:\"_last_checked\";i:1737361278;}","off"),
("1451","theme_mods_jetnews-magazine","a:4:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;}","on"),
("1452","_site_transient_timeout_wp_theme_files_patterns-1153d6a963d77f9fc6bbabe9154684e6","1737363082","off"),
("1453","_site_transient_wp_theme_files_patterns-1153d6a963d77f9fc6bbabe9154684e6","a:2:{s:7:\"version\";s:5:\"1.0.3\";s:8:\"patterns\";a:94:{s:16:\"about-page-2.php\";a:4:{s:5:\"title\";s:15:\"About Us Page 2\";s:4:\"slug\";s:31:\"jetnews-magazine/aboutus-page-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:22:\"jetnews-magazine-pages\";}}s:16:\"aboutus-page.php\";a:4:{s:5:\"title\";s:13:\"About Us Page\";s:4:\"slug\";s:29:\"jetnews-magazine/aboutus-page\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:22:\"jetnews-magazine-pages\";}}s:19:\"aboutus-section.php\";a:4:{s:5:\"title\";s:16:\"About Us Section\";s:4:\"slug\";s:32:\"jetnews-magazine/aboutus-section\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:17:\"author-banner.php\";a:4:{s:5:\"title\";s:21:\"Author Banner Section\";s:4:\"slug\";s:30:\"jetnews-magazine/author-banner\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:22:\"banner-travel-hero.php\";a:4:{s:5:\"title\";s:23:\"Traveler Banner Section\";s:4:\"slug\";s:35:\"jetnews-magazine/banner-travel-hero\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:24:\"jetnews-magazine-banners\";}}s:19:\"categories-grid.php\";a:4:{s:5:\"title\";s:19:\"All Categories Grid\";s:4:\"slug\";s:32:\"jetnews-magazine/categories-grid\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:18:\"contactus-page.php\";a:4:{s:5:\"title\";s:15:\"Contact Us Page\";s:4:\"slug\";s:31:\"jetnews-magazine/contactus-page\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:22:\"jetnews-magazine-pages\";}}s:28:\"contactus-page-with-form.php\";a:4:{s:5:\"title\";s:25:\"Contact Us Page with Form\";s:4:\"slug\";s:41:\"jetnews-magazine/contactus-page-with-form\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:22:\"jetnews-magazine-pages\";}}s:27:\"contactus-page-with-map.php\";a:4:{s:5:\"title\";s:33:\"Contact Us Page with Form and Map\";s:4:\"slug\";s:40:\"jetnews-magazine/contactus-page-with-map\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:22:\"jetnews-magazine-pages\";}}s:21:\"featured-banner-2.php\";a:4:{s:5:\"title\";s:37:\"Featured Banner Slider with Post Grid\";s:4:\"slug\";s:34:\"jetnews-magazine/featured-banner-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:24:\"jetnews-magazine-banners\";}}s:21:\"featured-banner-3.php\";a:4:{s:5:\"title\";s:17:\"Featured Banner 3\";s:4:\"slug\";s:34:\"jetnews-magazine/featured-banner-3\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:24:\"jetnews-magazine-banners\";}}s:26:\"featured-banner-slider.php\";a:4:{s:5:\"title\";s:22:\"Featured Banner Slider\";s:4:\"slug\";s:39:\"jetnews-magazine/featured-banner-slider\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:24:\"jetnews-magazine-banners\";i:1;s:29:\"jetnews-magazine-post-layouts\";}}s:29:\"featured-banner-text-left.php\";a:4:{s:5:\"title\";s:30:\"Featured Post Slider Text Left\";s:4:\"slug\";s:42:\"jetnews-magazine/featured-banner-text-left\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:24:\"jetnews-magazine-banners\";}}s:22:\"featured-post-grid.php\";a:4:{s:5:\"title\";s:18:\"Featured Post Grid\";s:4:\"slug\";s:35:\"jetnews-magazine/featured-post-grid\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:22:\"featured-post-list.php\";a:4:{s:5:\"title\";s:18:\"Featured Post List\";s:4:\"slug\";s:35:\"jetnews-magazine/featured-post-list\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:24:\"featured-post-slider.php\";a:4:{s:5:\"title\";s:20:\"Featured Post Slider\";s:4:\"slug\";s:37:\"jetnews-magazine/featured-post-slider\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:24:\"jetnews-magazine-banners\";i:1;s:29:\"jetnews-magazine-post-layouts\";}}s:18:\"footer-default.php\";a:4:{s:5:\"title\";s:14:\"Footer Default\";s:4:\"slug\";s:31:\"jetnews-magazine/footer-default\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:27:\"footer-large-newsletter.php\";a:4:{s:5:\"title\";s:36:\"Footer With Large Newsletter Section\";s:4:\"slug\";s:40:\"jetnews-magazine/footer-large-newsletter\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:28:\"footer-layout-col-border.php\";a:4:{s:5:\"title\";s:34:\"Footer Layout Column 4 with Border\";s:4:\"slug\";s:41:\"jetnews-magazine/footer-layout-col-border\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:26:\"footer-layout-column-4.php\";a:4:{s:5:\"title\";s:22:\"Footer Layout Column 4\";s:4:\"slug\";s:39:\"jetnews-magazine/footer-layout-column-4\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:28:\"footer-layout-with-posts.php\";a:4:{s:5:\"title\";s:24:\"Footer Layout with Posts\";s:4:\"slug\";s:41:\"jetnews-magazine/footer-layout-with-posts\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:30:\"footer-minimal-logo-center.php\";a:4:{s:5:\"title\";s:28:\"Footer Minimal Logo Centered\";s:4:\"slug\";s:43:\"jetnews-magazine/footer-minimal-logo-center\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:29:\"footer-minimal-nav-center.php\";a:4:{s:5:\"title\";s:27:\"Footer Minimal Nav Centered\";s:4:\"slug\";s:42:\"jetnews-magazine/footer-minimal-nav-center\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:34:\"footer-minimal-with-newsletter.php\";a:4:{s:5:\"title\";s:30:\"Footer Minimal with Newsletter\";s:4:\"slug\";s:47:\"jetnews-magazine/footer-minimal-with-newsletter\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:23:\"footer-with-gallery.php\";a:4:{s:5:\"title\";s:26:\"Footer Layout with Gallery\";s:4:\"slug\";s:36:\"jetnews-magazine/footer-with-gallery\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:26:\"footer-with-newsletter.php\";a:4:{s:5:\"title\";s:22:\"Footer with Newsletter\";s:4:\"slug\";s:39:\"jetnews-magazine/footer-with-newsletter\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:34:\"footer-with-newsletter-style-2.php\";a:4:{s:5:\"title\";s:30:\"Footer with Newsletter Style 2\";s:4:\"slug\";s:47:\"jetnews-magazine/footer-with-newsletter-style-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:26:\"footer-with-quick-menu.php\";a:4:{s:5:\"title\";s:24:\"Footer Layout Quick Menu\";s:4:\"slug\";s:39:\"jetnews-magazine/footer-with-quick-menu\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}}s:24:\"grid-overlay-content.php\";a:4:{s:5:\"title\";s:30:\"Post Grid with Overlay Content\";s:4:\"slug\";s:37:\"jetnews-magazine/grid-overlay-content\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:18:\"header-default.php\";a:4:{s:5:\"title\";s:14:\"Header Default\";s:4:\"slug\";s:31:\"jetnews-magazine/header-default\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:20:\"header-layout-10.php\";a:4:{s:5:\"title\";s:16:\"Header Layout 10\";s:4:\"slug\";s:33:\"jetnews-magazine/header-layout-10\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-2.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 2\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-3.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 3\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-3\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-4.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 4\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-4\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-5.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 5\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-5\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-6.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 6\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-6\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-7.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 7\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-7\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-8.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 8\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-8\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:19:\"header-layout-9.php\";a:4:{s:5:\"title\";s:15:\"Header Layout 9\";s:4:\"slug\";s:32:\"jetnews-magazine/header-layout-9\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:6:\"header\";}}s:24:\"header-overlay-style.php\";a:4:{s:5:\"title\";s:20:\"Header Overlay Style\";s:4:\"slug\";s:37:\"jetnews-magazine/header-overlay-style\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:16:\"jetnews-magazine\";i:1;s:6:\"header\";}}s:23:\"homepage-template-4.php\";a:4:{s:5:\"title\";s:19:\"Homepage Template 4\";s:4:\"slug\";s:36:\"jetnews-magazine/homepage-template-4\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:21:\"jetnews-magazine-home\";}}s:23:\"homepage-template-5.php\";a:4:{s:5:\"title\";s:19:\"Homepage Template 5\";s:4:\"slug\";s:36:\"jetnews-magazine/homepage-template-5\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:21:\"jetnews-magazine-home\";}}s:26:\"homepage-template-grid.php\";a:4:{s:5:\"title\";s:17:\"Homepage Layout 2\";s:4:\"slug\";s:39:\"jetnews-magazine/homepage-template-grid\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:21:\"jetnews-magazine-home\";}}s:26:\"homepage-template-list.php\";a:4:{s:5:\"title\";s:17:\"Homepage Layout 3\";s:4:\"slug\";s:39:\"jetnews-magazine/homepage-template-list\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:21:\"jetnews-magazine-home\";}}s:21:\"latest-post-col-3.php\";a:4:{s:5:\"title\";s:22:\"Latest Post Grid Col 3\";s:4:\"slug\";s:34:\"jetnews-magazine/latest-post-col-3\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:15:\"latest-post.php\";a:4:{s:5:\"title\";s:19:\"Latest Post Section\";s:4:\"slug\";s:28:\"jetnews-magazine/latest-post\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:28:\"multiple-categories-post.php\";a:4:{s:5:\"title\";s:32:\"Multiple Catrgories Post Layouts\";s:4:\"slug\";s:41:\"jetnews-magazine/multiple-categories-post\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:22:\"newsletter-section.php\";a:4:{s:5:\"title\";s:18:\"Newsletter Section\";s:4:\"slug\";s:35:\"jetnews-magazine/newsletter-section\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:17:\"post-carousel.php\";a:4:{s:5:\"title\";s:13:\"Post Carousel\";s:4:\"slug\";s:30:\"jetnews-magazine/post-carousel\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:15:\"post-grid-4.php\";a:4:{s:5:\"title\";s:17:\"Post Grid Style 4\";s:4:\"slug\";s:28:\"jetnews-magazine/post-grid-4\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:29:\"post-grid-content-overlap.php\";a:4:{s:5:\"title\";s:30:\"Post Grid with Content Overlap\";s:4:\"slug\";s:42:\"jetnews-magazine/post-grid-content-overlap\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:22:\"post-grid-multicol.php\";a:4:{s:5:\"title\";s:26:\"Post Grid Multiple Columns\";s:4:\"slug\";s:35:\"jetnews-magazine/post-grid-multicol\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:13:\"post-grid.php\";a:4:{s:5:\"title\";s:9:\"Post Grid\";s:4:\"slug\";s:26:\"jetnews-magazine/post-grid\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:21:\"post-grid-style-5.php\";a:4:{s:5:\"title\";s:17:\"Post Grid Style 5\";s:4:\"slug\";s:34:\"jetnews-magazine/post-grid-style-5\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:19:\"post-grid-thumb.php\";a:4:{s:5:\"title\";s:30:\"Post Grid with Thumbnail Image\";s:4:\"slug\";s:32:\"jetnews-magazine/post-grid-thumb\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:32:\"post-grid-with-full-featured.php\";a:4:{s:5:\"title\";s:39:\"Post Grid with Full Width Featured Post\";s:4:\"slug\";s:45:\"jetnews-magazine/post-grid-with-full-featured\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:27:\"post-grid-without-image.php\";a:4:{s:5:\"title\";s:32:\"Post Grid without Featured Image\";s:4:\"slug\";s:40:\"jetnews-magazine/post-grid-without-image\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:26:\"post-grid-with-thumb-2.php\";a:4:{s:5:\"title\";s:32:\"Post Grid with Thumbnail Image 2\";s:4:\"slug\";s:39:\"jetnews-magazine/post-grid-with-thumb-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:15:\"post-list-2.php\";a:4:{s:5:\"title\";s:17:\"Post List style 2\";s:4:\"slug\";s:28:\"jetnews-magazine/post-list-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:29:\"post-list-content-overlap.php\";a:4:{s:5:\"title\";s:30:\"Post List with Overlap Content\";s:4:\"slug\";s:42:\"jetnews-magazine/post-list-content-overlap\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:25:\"post-list-image-right.php\";a:4:{s:5:\"title\";s:26:\"Post List with Image Right\";s:4:\"slug\";s:38:\"jetnews-magazine/post-list-image-right\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:13:\"post-list.php\";a:4:{s:5:\"title\";s:9:\"Post List\";s:4:\"slug\";s:26:\"jetnews-magazine/post-list\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:29:\"jetnews-magazine-post-layouts\";}}s:22:\"profile-card-links.php\";a:4:{s:5:\"title\";s:25:\"Author Profile Card Links\";s:4:\"slug\";s:35:\"jetnews-magazine/profile-card-links\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:16:\"jetnews-magazine\";i:1;s:33:\"jetnews-magazine-sidebar-elements\";}}s:16:\"profile-card.php\";a:4:{s:5:\"title\";s:19:\"Author Profile Card\";s:4:\"slug\";s:29:\"jetnews-magazine/profile-card\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:16:\"jetnews-magazine\";i:1;s:33:\"jetnews-magazine-sidebar-elements\";}}s:32:\"section-header-style-slant-2.php\";a:4:{s:5:\"title\";s:28:\"Section Header Style Slant 2\";s:4:\"slug\";s:45:\"jetnews-magazine/section-header-style-slant-2\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:30:\"section-header-style-slant.php\";a:4:{s:5:\"title\";s:26:\"Section Header Style Slant\";s:4:\"slug\";s:43:\"jetnews-magazine/section-header-style-slant\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:24:\"sidebar-archive-list.php\";a:4:{s:5:\"title\";s:20:\"Sidebar Archive List\";s:4:\"slug\";s:37:\"jetnews-magazine/sidebar-archive-list\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:23:\"sidebar-author-card.php\";a:4:{s:5:\"title\";s:19:\"Sidebar Author Card\";s:4:\"slug\";s:36:\"jetnews-magazine/sidebar-author-card\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:25:\"sidebar-category-list.php\";a:4:{s:5:\"title\";s:23:\"Sidebar Categories List\";s:4:\"slug\";s:38:\"jetnews-magazine/sidebar-category-list\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:19:\"sidebar-default.php\";a:4:{s:5:\"title\";s:15:\"Sidebar Default\";s:4:\"slug\";s:32:\"jetnews-magazine/sidebar-default\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:25:\"sidebar-featured-post.php\";a:4:{s:5:\"title\";s:21:\"Featured Post Sidebar\";s:4:\"slug\";s:38:\"jetnews-magazine/sidebar-featured-post\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:27:\"sidebar-latest-comments.php\";a:4:{s:5:\"title\";s:23:\"Sidebar Latest Comments\";s:4:\"slug\";s:40:\"jetnews-magazine/sidebar-latest-comments\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:22:\"sidebar-newsletter.php\";a:4:{s:5:\"title\";s:18:\"Sidebar Newsletter\";s:4:\"slug\";s:35:\"jetnews-magazine/sidebar-newsletter\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:18:\"sidebar-search.php\";a:4:{s:5:\"title\";s:14:\"Sidebar Search\";s:4:\"slug\";s:31:\"jetnews-magazine/sidebar-search\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:24:\"sidebar-social-icons.php\";a:4:{s:5:\"title\";s:20:\"Sidebar Social Icons\";s:4:\"slug\";s:37:\"jetnews-magazine/sidebar-social-icons\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:20:\"sidebar-tag-list.php\";a:4:{s:5:\"title\";s:17:\"Sidebar Tags List\";s:4:\"slug\";s:33:\"jetnews-magazine/sidebar-tag-list\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:33:\"jetnews-magazine-sidebar-elements\";}}s:16:\"team-section.php\";a:4:{s:5:\"title\";s:12:\"Team Section\";s:4:\"slug\";s:29:\"jetnews-magazine/team-section\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}s:16:\"template-404.php\";a:5:{s:5:\"title\";s:12:\"404 Template\";s:4:\"slug\";s:29:\"jetnews-magazine/template-404\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:20:\"template-archive.php\";a:4:{s:5:\"title\";s:16:\"Archive Template\";s:4:\"slug\";s:33:\"jetnews-magazine/template-archive\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:8:\"template\";i:1;s:22:\"jetnews-magazine-blogs\";}}s:32:\"template-blank-header-footer.php\";a:5:{s:5:\"title\";s:37:\"Blank Template with Header and Footer\";s:4:\"slug\";s:45:\"jetnews-magazine/template-blank-header-footer\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:21:\"template-bloghome.php\";a:5:{s:5:\"title\";s:17:\"Bloghome Template\";s:4:\"slug\";s:34:\"jetnews-magazine/template-bloghome\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:17:\"template-cart.php\";a:5:{s:5:\"title\";s:13:\"Cart Template\";s:4:\"slug\";s:30:\"jetnews-magazine/template-cart\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:20:\"template-catalog.php\";a:5:{s:5:\"title\";s:24:\"Product Archive Template\";s:4:\"slug\";s:33:\"jetnews-magazine/template-catalog\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:21:\"template-checkout.php\";a:5:{s:5:\"title\";s:17:\"Checkout Template\";s:4:\"slug\";s:34:\"jetnews-magazine/template-checkout\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:22:\"template-frontpage.php\";a:4:{s:5:\"title\";s:25:\"Homepage Template Default\";s:4:\"slug\";s:35:\"jetnews-magazine/template-frontpage\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:21:\"jetnews-magazine-home\";}}s:27:\"template-page-fullwidth.php\";a:4:{s:5:\"title\";s:24:\"Full Width Page Template\";s:4:\"slug\";s:40:\"jetnews-magazine/template-page-fullwidth\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:31:\"jetnews-magazine-page-templates\";}}s:29:\"template-page-leftsidebar.php\";a:4:{s:5:\"title\";s:26:\"Left Sidebar Page Template\";s:4:\"slug\";s:42:\"jetnews-magazine/template-page-leftsidebar\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:31:\"jetnews-magazine-page-templates\";}}s:17:\"template-page.php\";a:4:{s:5:\"title\";s:13:\"Page Template\";s:4:\"slug\";s:30:\"jetnews-magazine/template-page\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:31:\"jetnews-magazine-page-templates\";}}s:20:\"template-product.php\";a:5:{s:5:\"title\";s:23:\"Single Product Template\";s:4:\"slug\";s:33:\"jetnews-magazine/template-product\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:19:\"template-search.php\";a:5:{s:5:\"title\";s:15:\"Search Template\";s:4:\"slug\";s:32:\"jetnews-magazine/template-search\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;s:10:\"categories\";a:1:{i:0;s:8:\"template\";}}s:29:\"template-single-leftsider.php\";a:4:{s:5:\"title\";s:28:\"Left Sidebar Single Template\";s:4:\"slug\";s:44:\"jetnews-magazine/template-single-leftsidebar\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:8:\"template\";i:1;s:22:\"jetnews-magazine-posts\";}}s:19:\"template-single.php\";a:4:{s:5:\"title\";s:15:\"Single Template\";s:4:\"slug\";s:32:\"jetnews-magazine/template-single\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:8:\"template\";i:1;s:22:\"jetnews-magazine-posts\";}}s:24:\"template-single-wide.php\";a:4:{s:5:\"title\";s:26:\"Full Width Single Template\";s:4:\"slug\";s:37:\"jetnews-magazine/template-single-wide\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:2:{i:0;s:8:\"template\";i:1;s:22:\"jetnews-magazine-posts\";}}s:23:\"testimonial-section.php\";a:4:{s:5:\"title\";s:19:\"Testimonial Section\";s:4:\"slug\";s:36:\"jetnews-magazine/testimonial-section\";s:11:\"description\";s:0:\"\";s:10:\"categories\";a:1:{i:0;s:16:\"jetnews-magazine\";}}}}","off"),
("1454","_site_transient_update_plugins","O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1737361283;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:2:{s:29:\"wp-parsidate/wp-parsidate.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:26:\"w.org/plugins/wp-parsidate\";s:4:\"slug\";s:12:\"wp-parsidate\";s:6:\"plugin\";s:29:\"wp-parsidate/wp-parsidate.php\";s:11:\"new_version\";s:5:\"5.1.2\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wp-parsidate/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-parsidate.5.1.2.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:57:\"https://ps.w.org/wp-parsidate/assets/icon.svg?rev=1036248\";s:3:\"svg\";s:57:\"https://ps.w.org/wp-parsidate/assets/icon.svg?rev=1036248\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:67:\"https://ps.w.org/wp-parsidate/assets/banner-772x250.jpg?rev=2044005\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.2\";}s:33:\"duplicator-pro/duplicator-pro.php\";O:8:\"stdClass\":19:{s:11:\"new_version\";s:8:\"4.5.20.1\";s:14:\"stable_version\";s:8:\"4.5.20.1\";s:4:\"name\";s:14:\"Duplicator Pro\";s:4:\"slug\";s:14:\"duplicator-pro\";s:3:\"url\";s:60:\"https://duplicator.com/downloads/duplicator-pro/?changelog=1\";s:12:\"last_updated\";s:19:\"2024-12-17 15:49:22\";s:8:\"homepage\";s:48:\"https://duplicator.com/downloads/duplicator-pro/\";s:7:\"package\";s:0:\"\";s:13:\"download_link\";s:0:\"\";s:8:\"sections\";O:8:\"stdClass\":2:{s:11:\"description\";s:894:\"<h4> WordPress Backup &amp; Migration Plugin </h4>\n<p><a href=\"https://duplicator.com\">Duplicator PRO</a> provides a simple way to move WordPress sites, create reliable backups, or clone a site for staging. With Duplicator, you can easily migrate, transfer, or clone your WordPress site between domains or hosts with no downtime. Create full backups of your website, or package your entire site to download and install elsewhere with only a few steps.</p>\n<p>At Duplicator, reliabilty, security, and ease of use are our top priorities. Our variety of cloud backup integrations and easy migration wizard make Duplicator the most beginner-friendly backup and migration plugin on the market. You don\'t have to hire a developer. Create a backup and migrate sites in just a few minutes.</p>\n<p>Duplicator Pro comes with scheduled backups, cloud storage integrations, multisite support, and more.</p>\";s:9:\"changelog\";s:146:\"<p>Please see the following url:\n<a href=\"https://duplicator.com/knowledge-base/changelog\">https://duplicator.com/knowledge-base/changelog</a></p>\";}s:7:\"banners\";O:8:\"stdClass\":2:{s:4:\"high\";s:0:\"\";s:3:\"low\";s:0:\"\";}s:5:\"icons\";a:2:{s:2:\"1x\";s:80:\"https://duplicator.com/wp-content/uploads/edd/2023/10/icon-256x256-1-128x128.png\";s:2:\"2x\";s:72:\"https://duplicator.com/wp-content/uploads/edd/2023/10/icon-256x256-1.png\";}s:3:\"msg\";s:33:\"No license key has been provided.\";s:12:\"contributors\";O:8:\"stdClass\":3:{s:8:\"seedprod\";O:8:\"stdClass\":3:{s:12:\"display_name\";s:8:\"seedprod\";s:7:\"profile\";s:33:\"//profiles.wordpress.org/seedprod\";s:6:\"avatar\";s:53:\"https://wordpress.org/grav-redirect.php?user=seedprod\";}s:4:\"smub\";O:8:\"stdClass\":3:{s:12:\"display_name\";s:4:\"smub\";s:7:\"profile\";s:29:\"//profiles.wordpress.org/smub\";s:6:\"avatar\";s:49:\"https://wordpress.org/grav-redirect.php?user=smub\";}s:8:\"andreamk\";O:8:\"stdClass\":3:{s:12:\"display_name\";s:8:\"andreamk\";s:7:\"profile\";s:33:\"//profiles.wordpress.org/andreamk\";s:6:\"avatar\";s:53:\"https://wordpress.org/grav-redirect.php?user=andreamk\";}}s:6:\"tested\";s:6:\"6.7.99\";s:11:\"description\";a:1:{i:0;s:894:\"<h4> WordPress Backup &amp; Migration Plugin </h4>\n<p><a href=\"https://duplicator.com\">Duplicator PRO</a> provides a simple way to move WordPress sites, create reliable backups, or clone a site for staging. With Duplicator, you can easily migrate, transfer, or clone your WordPress site between domains or hosts with no downtime. Create full backups of your website, or package your entire site to download and install elsewhere with only a few steps.</p>\n<p>At Duplicator, reliabilty, security, and ease of use are our top priorities. Our variety of cloud backup integrations and easy migration wizard make Duplicator the most beginner-friendly backup and migration plugin on the market. You don\'t have to hire a developer. Create a backup and migrate sites in just a few minutes.</p>\n<p>Duplicator Pro comes with scheduled backups, cloud storage integrations, multisite support, and more.</p>\";}s:9:\"changelog\";a:1:{i:0;s:146:\"<p>Please see the following url:\n<a href=\"https://duplicator.com/knowledge-base/changelog\">https://duplicator.com/knowledge-base/changelog</a></p>\";}s:6:\"plugin\";s:33:\"duplicator-pro/duplicator-pro.php\";s:2:\"id\";s:33:\"duplicator-pro/duplicator-pro.php\";}}s:7:\"checked\";a:1:{s:33:\"duplicator-pro/duplicator-pro.php\";s:8:\"4.5.20.1\";}}","off"),
("1455","_site_transient_update_themes","O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1737361309;s:7:\"checked\";a:1:{s:16:\"jetnews-magazine\";s:5:\"1.0.3\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:1:{s:16:\"jetnews-magazine\";a:6:{s:5:\"theme\";s:16:\"jetnews-magazine\";s:11:\"new_version\";s:5:\"1.0.3\";s:3:\"url\";s:46:\"https://wordpress.org/themes/jetnews-magazine/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/theme/jetnews-magazine.1.0.3.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"7.3\";}}s:12:\"translations\";a:0:{}}","off");

INSERT IGNORE INTO `zrO6sh_postmeta` VALUES 
("1","2","_wp_page_template","default"),
("2","3","_wp_page_template","default"),
("3","1","_edit_lock","1736257009:1"),
("4","7","footnotes",""),
("10","13","_wp_font_face_file","BYekan.woff"),
("11","17","origin","theme"),
("12","16","origin","theme"),
("13","18","origin","theme"),
("14","21","origin","theme"),
("21","34","origin","theme"),
("22","36","origin","theme"),
("23","37","origin","theme"),
("26","41","_wp_trash_meta_status","publish"),
("27","41","_wp_trash_meta_time","1736409825"),
("29","46","origin","theme"),
("30","47","origin","theme"),
("31","54","origin","theme"),
("34","66","origin","theme"),
("35","64","origin","theme"),
("36","68","origin","theme"),
("37","74","origin","theme"),
("38","76","origin","theme"),
("39","77","origin","theme"),
("40","81","origin","theme"),
("41","85","origin","theme"),
("42","89","origin","theme"),
("43","93","origin","theme"),
("44","101","_wp_trash_meta_status","publish"),
("45","101","_wp_trash_meta_time","1737197857"),
("46","104","_menu_item_type","custom"),
("47","104","_menu_item_menu_item_parent","0"),
("48","104","_menu_item_object_id","104"),
("49","104","_menu_item_object","custom"),
("50","104","_menu_item_target",""),
("51","104","_menu_item_classes","a:1:{i:0;s:0:\"\";}"),
("52","104","_menu_item_xfn",""),
("53","104","_menu_item_url","https://hamzehhemmati.ir/"),
("54","104","_menu_item_orphaned","1737282518"),
("55","105","_menu_item_type","post_type"),
("56","105","_menu_item_menu_item_parent","0"),
("57","105","_menu_item_object_id","2"),
("58","105","_menu_item_object","page"),
("59","105","_menu_item_target",""),
("60","105","_menu_item_classes","a:1:{i:0;s:0:\"\";}"),
("61","105","_menu_item_xfn",""),
("62","105","_menu_item_url",""),
("63","105","_menu_item_orphaned","1737282518"),
("66","107","_edit_last","1"),
("67","107","_edit_lock","1737288810:1"),
("68","112","_edit_last","1"),
("69","112","_edit_lock","1737288795:1"),
("70","116","_edit_last","1"),
("71","116","_edit_lock","1737288858:1"),
("72","113","_edit_last","1"),
("73","113","_edit_lock","1737288873:1"),
("74","122","origin","theme"),
("75","123","origin","theme"),
("76","125","origin","theme"),
("77","132","origin","theme"),
("78","131","origin","theme"),
("79","133","origin","theme"),
("80","134","origin","theme");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("1","1","2025-01-07 12:30:40","2025-01-07 12:30:40","<!-- wp:paragraph {\"className\":\"is-style-default\"} -->\n<p class=\"is-style-default\">یکی از متنوع‌ترین بخش‌های دیجی‌کالا، بخش لوازم خانه و آشپزخانه است که از محصولاتی مثل صندلی گیمینگ در بخش صندلی‌ها گرفته تا انواع&nbsp;مبل راحتی، انواع آبگرمکن مثل&nbsp;آبگرمکن بوتان، لباسشویی‌های متنوع مثل انواع&nbsp;لباسشویی اسنوا، شیرآلات مختلف مثل شیرآلات قهرمان و...، ظروف و همچنین لوازم برقی آشپزخانه مثل توستر و... را شامل می‌شود و امکان خریدی عالی را برای مشتریان فراهم کرده است. در بخش لوازم خانگی دیجی‌کالا، برندهای معتبری مثل تفال، اخوان، فیلیپس، ال جی، اسنوا، جی پلاس و... حضور دارند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>کتاب، لوازم تحریر و هنر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>بخش هنر، کتاب، رمان و لوازم تحریر دیجی‌کالا نیز یکی از متنوع‌ترین بخش‌های این فروشگاه اینترنتی است. انواع کتاب و مجله، کتاب زبان، بازی، لوازم تحریر با طرح‌های مختلف مانند دختر کفشدوزکی، سازهایی مثل&nbsp;پیانو،&nbsp;سنتور،&nbsp;هنگ درام&nbsp; و... با بهترین قیمت‌ها و از بهترین برندها در دسترس شما قرار دارند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>ورزش و سفر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>هر نوع وسیله و لباس ورزشی که فکرش را کنید، انواع وسایل کمپینگ و کوهنوردی، ساک و قمقمه ورزشی و وسایل سفر اربعین و... در این بخش قرار می‌گیرند. همچنین شما می‌توانید وسایل مد نظر خود را بر اساس نوع ورزش (آبی، هوازی، بدنسازی و...) در دسته‌بندی‌های دیجی‌کالا پیدا کنید.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>محصولات بومی و محلی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"is-style-default\"} -->\n<p class=\"is-style-default\">و در آخر دیجی‌کالا از طریق به فروش رساندن محصولات بومی و سنتی متفاوتی مثل انواع خوراکی، گلیم و گبه، ابزار و ... تلاش کرده تا بین هنر ایرانی و متقاضیان آن کوتاه‌ترین راه را پیدا کند. در این بخش شما می‌توانید انواع محصولات از جمله ظروف زیبای مخصوص به&nbsp;سفره هفت‌سین&nbsp; و پذیرایی از مهمانان در روزهای&nbsp;نوروز، انواع آیینه و شمعدان و هر آن چیزی را که برای خلق زیبایی در روزهای بهاری به آن نیاز دارید، با قیمت مناسب و تنوع بسیار بالا انتخاب کنید. همچنین در صفحه&nbsp;<strong>برچسب ها</strong>، امکان مشاهده و خرید انواع محصولات با طرح های بومی وجود دارد.&nbsp;&nbsp;دیجی‌کالا همچنین برای اینکه حال و هوای عید را به اعضای خود هدیه کند،&nbsp;تقویم ۱۴۰۱، انواع ایده&nbsp;عکس پروفایل عید نوروز،&nbsp;آهنگ‌های عید نوروز&nbsp;و موزیک‌های شاد بهاری، وسایل مربوط به&nbsp;خانه‌تکانیی و&nbsp;انواع لباس های عید&nbsp; را برای شما فراهم کرده است تا بتوانید در کنار خرید خود، از این حال و هوای تازه نهایت لذت را ببرید.</p>\n<!-- /wp:paragraph -->","سلام دنیا","","publish","open","open","","hello-world","","","2025-01-07 12:35:03","2025-01-07 12:35:03","","0","https://hamzehhemmati.ir/?p=1","0","post","","1"),
("2","1","2025-01-07 12:30:40","2025-01-07 12:30:40","<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"https://hamzehhemmati.ir/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->","Sample Page","","publish","closed","open","","sample-page","","","2025-01-07 12:30:40","2025-01-07 12:30:40","","0","https://hamzehhemmati.ir/?page_id=2","0","page","","0"),
("3","1","2025-01-07 12:30:40","2025-01-07 12:30:40","<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Who we are</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: https://hamzehhemmati.ir.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Comments</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p>\n<!-- /wp:paragraph -->\n<!-- wp:paragraph -->\n<p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Media</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Cookies</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p>\n<!-- /wp:paragraph -->\n<!-- wp:paragraph -->\n<p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p>\n<!-- /wp:paragraph -->\n<!-- wp:paragraph -->\n<p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p>\n<!-- /wp:paragraph -->\n<!-- wp:paragraph -->\n<p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Embedded content from other websites</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p>\n<!-- /wp:paragraph -->\n<!-- wp:paragraph -->\n<p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Who we share your data with</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">How long we retain your data</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p>\n<!-- /wp:paragraph -->\n<!-- wp:paragraph -->\n<p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">What rights you have over your data</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p>\n<!-- /wp:paragraph -->\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Where your data is sent</h2>\n<!-- /wp:heading -->\n<!-- wp:paragraph -->\n<p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p>\n<!-- /wp:paragraph -->\n","Privacy Policy","","draft","closed","open","","privacy-policy","","","2025-01-07 12:30:40","2025-01-07 12:30:40","","0","https://hamzehhemmati.ir/?page_id=3","0","page","","0"),
("4","0","2025-01-07 12:30:43","2025-01-07 12:30:43","<!-- wp:page-list /-->","Navigation","","publish","closed","closed","","navigation","","","2025-01-07 12:30:43","2025-01-07 12:30:43","","0","https://hamzehhemmati.ir/index.php/2025/01/07/navigation/","0","wp_navigation","","0"),
("6","1","2025-01-07 12:33:44","2025-01-07 12:33:44","{\"version\": 3, \"isGlobalStylesUserThemeJSON\": true }","Custom Styles","","publish","closed","closed","","wp-global-styles-twentytwentyfive","","","2025-01-07 12:33:44","2025-01-07 12:33:44","","0","https://hamzehhemmati.ir/index.php/2025/01/07/wp-global-styles-twentytwentyfive/","0","wp_global_styles","","0"),
("7","1","2025-01-07 12:34:49","2025-01-07 12:34:49","<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"is-style-default\"} -->\n<p class=\"is-style-default\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->","سلام دنیا","","inherit","closed","closed","","1-autosave-v1","","","2025-01-07 12:34:49","2025-01-07 12:34:49","","1","https://hamzehhemmati.ir/?p=7","0","revision","","0"),
("8","1","2025-01-07 12:35:03","2025-01-07 12:35:03","<!-- wp:paragraph {\"className\":\"is-style-default\"} -->\n<p class=\"is-style-default\">یکی از متنوع‌ترین بخش‌های دیجی‌کالا، بخش لوازم خانه و آشپزخانه است که از محصولاتی مثل صندلی گیمینگ در بخش صندلی‌ها گرفته تا انواع&nbsp;مبل راحتی، انواع آبگرمکن مثل&nbsp;آبگرمکن بوتان، لباسشویی‌های متنوع مثل انواع&nbsp;لباسشویی اسنوا، شیرآلات مختلف مثل شیرآلات قهرمان و...، ظروف و همچنین لوازم برقی آشپزخانه مثل توستر و... را شامل می‌شود و امکان خریدی عالی را برای مشتریان فراهم کرده است. در بخش لوازم خانگی دیجی‌کالا، برندهای معتبری مثل تفال، اخوان، فیلیپس، ال جی، اسنوا، جی پلاس و... حضور دارند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>کتاب، لوازم تحریر و هنر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>بخش هنر، کتاب، رمان و لوازم تحریر دیجی‌کالا نیز یکی از متنوع‌ترین بخش‌های این فروشگاه اینترنتی است. انواع کتاب و مجله، کتاب زبان، بازی، لوازم تحریر با طرح‌های مختلف مانند دختر کفشدوزکی، سازهایی مثل&nbsp;پیانو،&nbsp;سنتور،&nbsp;هنگ درام&nbsp; و... با بهترین قیمت‌ها و از بهترین برندها در دسترس شما قرار دارند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>ورزش و سفر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>هر نوع وسیله و لباس ورزشی که فکرش را کنید، انواع وسایل کمپینگ و کوهنوردی، ساک و قمقمه ورزشی و وسایل سفر اربعین و... در این بخش قرار می‌گیرند. همچنین شما می‌توانید وسایل مد نظر خود را بر اساس نوع ورزش (آبی، هوازی، بدنسازی و...) در دسته‌بندی‌های دیجی‌کالا پیدا کنید.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>محصولات بومی و محلی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"is-style-default\"} -->\n<p class=\"is-style-default\">و در آخر دیجی‌کالا از طریق به فروش رساندن محصولات بومی و سنتی متفاوتی مثل انواع خوراکی، گلیم و گبه، ابزار و ... تلاش کرده تا بین هنر ایرانی و متقاضیان آن کوتاه‌ترین راه را پیدا کند. در این بخش شما می‌توانید انواع محصولات از جمله ظروف زیبای مخصوص به&nbsp;سفره هفت‌سین&nbsp; و پذیرایی از مهمانان در روزهای&nbsp;نوروز، انواع آیینه و شمعدان و هر آن چیزی را که برای خلق زیبایی در روزهای بهاری به آن نیاز دارید، با قیمت مناسب و تنوع بسیار بالا انتخاب کنید. همچنین در صفحه&nbsp;<strong>برچسب ها</strong>، امکان مشاهده و خرید انواع محصولات با طرح های بومی وجود دارد.&nbsp;&nbsp;دیجی‌کالا همچنین برای اینکه حال و هوای عید را به اعضای خود هدیه کند،&nbsp;تقویم ۱۴۰۱، انواع ایده&nbsp;عکس پروفایل عید نوروز،&nbsp;آهنگ‌های عید نوروز&nbsp;و موزیک‌های شاد بهاری، وسایل مربوط به&nbsp;خانه‌تکانیی و&nbsp;انواع لباس های عید&nbsp; را برای شما فراهم کرده است تا بتوانید در کنار خرید خود، از این حال و هوای تازه نهایت لذت را ببرید.</p>\n<!-- /wp:paragraph -->","سلام دنیا","","inherit","closed","closed","","1-revision-v1","","","2025-01-07 12:35:03","2025-01-07 12:35:03","","1","https://hamzehhemmati.ir/?p=8","0","revision","","0"),
("11","1","2025-01-07 20:14:03","2025-01-07 20:14:03","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"h1\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\",\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Thin.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-ExtraLight.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Light.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Regular.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Medium.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-SemiBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Bold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"800\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-ExtraBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"900\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Black.ttf\"]}]},{\"fontFamily\":\"\\\"Josefin Sans\\\", sans-serif\",\"name\":\"Josefin Sans\",\"slug\":\"josefin-sans\",\"fontFace\":[{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Thin.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-ExtraLight.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Light.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Regular.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Medium.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-SemiBold.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Bold.ttf\"]}]}],\"custom\":[{\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-cinema-house","","","2025-01-07 20:28:41","2025-01-07 20:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/07/wp-global-styles-cinema-house/","0","wp_global_styles","","0"),
("12","1","2025-01-07 20:16:19","2025-01-07 20:16:19","{\"fontFamily\":\"\\\"B Yekan\\\"\"}","B Yekan","","publish","closed","closed","","b-yekan","","","2025-01-07 20:16:19","2025-01-07 20:16:19","","0","https://hamzehhemmati.ir/index.php/2025/01/07/b-yekan/","0","wp_font_family","","0"),
("13","1","2025-01-07 20:16:20","2025-01-07 20:16:20","{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}","b yekan;normal;400;100%;U+0-10FFFF","","publish","closed","closed","","b-yekannormal400100u0-10ffff","","","2025-01-07 20:16:20","2025-01-07 20:16:20","","12","https://hamzehhemmati.ir/index.php/2025/01/07/b-yekannormal400100u0-10ffff/","0","wp_font_face","","0"),
("14","1","2025-01-07 20:16:21","2025-01-07 20:16:21","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\",\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Thin.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-ExtraLight.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Light.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Regular.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Medium.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-SemiBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Bold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"800\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-ExtraBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"900\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Black.ttf\"]}]},{\"fontFamily\":\"\\\"Josefin Sans\\\", sans-serif\",\"name\":\"Josefin Sans\",\"slug\":\"josefin-sans\",\"fontFace\":[{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Thin.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-ExtraLight.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Light.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Regular.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Medium.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-SemiBold.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Bold.ttf\"]}]}],\"custom\":[{\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","11-revision-v1","","","2025-01-07 20:16:21","2025-01-07 20:16:21","","11","https://hamzehhemmati.ir/?p=14","0","revision","","0"),
("15","1","2025-01-07 20:28:41","2025-01-07 20:28:41","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"h1\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\",\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Thin.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-ExtraLight.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Light.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Regular.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Medium.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-SemiBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Bold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"800\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-ExtraBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontWeight\":\"900\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Poppins\\/Poppins-Black.ttf\"]}]},{\"fontFamily\":\"\\\"Josefin Sans\\\", sans-serif\",\"name\":\"Josefin Sans\",\"slug\":\"josefin-sans\",\"fontFace\":[{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Thin.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-ExtraLight.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Light.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Regular.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Medium.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-SemiBold.ttf\"]},{\"fontFamily\":\"Josefin Sans\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Josefin_Sans\\/static\\/JosefinSans-Bold.ttf\"]}]}],\"custom\":[{\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","11-revision-v1","","","2025-01-07 20:28:41","2025-01-07 20:28:41","","11","https://hamzehhemmati.ir/?p=15","0","revision","","0"),
("16","1","2025-01-07 20:28:41","2025-01-07 20:28:41","<!-- wp:group {\"className\":\"footer-widgets\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"var:preset|spacing|70\",\"left\":\"var:preset|spacing|70\",\"right\":\"var:preset|spacing|70\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"20px\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group footer-widgets has-small-font-size\" style=\"border-radius:20px;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--70);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--70);padding-left:var(--wp--preset--spacing--70)\"><!-- wp:columns {\"className\":\"footer-widgets-inner\"} -->\n<div class=\"wp-block-columns footer-widgets-inner\"><!-- wp:column {\"width\":\"37.5%\",\"className\":\"f-box-1\"} -->\n<div class=\"wp-block-column f-box-1\" style=\"flex-basis:37.5%\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"f-info-wrap\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center f-info-wrap\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"45px\",\"className\":\"icon-box-upper\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center icon-box-upper\" style=\"flex-basis:45px\"><!-- wp:group {\"className\":\"icon-box icon-box-1\",\"style\":{\"border\":{\"radius\":\"12px\"},\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"backgroundColor\":\"base\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group icon-box icon-box-1 has-base-background-color has-background\" style=\"border-radius:12px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:paragraph -->\n<p><i class=\"fas fa-map-marker-alt\"></i></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.2\"}},\"textColor\":\"heading\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-b-yekan-font-family\" style=\"font-size:16px;line-height:1.2\">123 فیروی لین گلف تاون، گلفشایر<br>56789 ایالات متحده آمریکا</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.2\"}},\"textColor\":\"heading\",\"fontFamily\":\"josefin-sans\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-josefin-sans-font-family\" style=\"font-size:16px;line-height:1.2\"></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"f-info-wrap\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center f-info-wrap\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"45px\",\"className\":\"icon-box-upper\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center icon-box-upper\" style=\"flex-basis:45px\"><!-- wp:group {\"className\":\"icon-box icon-box-2\",\"style\":{\"border\":{\"radius\":\"12px\"},\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}}},\"textColor\":\"base\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group icon-box icon-box-2 has-base-color has-text-color has-link-color\" style=\"border-radius:12px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:paragraph -->\n<p><i class=\"fas fa-phone-volume\"></i></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.2\"}},\"textColor\":\"heading\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-b-yekan-font-family\" style=\"font-size:16px;line-height:1.2\">۰۲۱-۲۳۴۵۶۷</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"f-info-wrap\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center f-info-wrap\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"45px\",\"className\":\"icon-box-upper\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center icon-box-upper\" style=\"flex-basis:45px\"><!-- wp:group {\"className\":\"icon-box icon-box-3\",\"style\":{\"border\":{\"radius\":\"12px\"},\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}}},\"textColor\":\"base\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group icon-box icon-box-3 has-base-color has-text-color has-link-color\" style=\"border-radius:12px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:paragraph -->\n<p><i class=\"fas fa-mobile-screen-button\"></i></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:social-links {\"iconColor\":\"heading\",\"iconColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\",\"className\":\"f-box-2\"} -->\n<div class=\"wp-block-column f-box-2\" style=\"flex-basis:25%\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"20px\"}}} -->\n<h4 class=\"wp-block-heading\" style=\"font-size:20px\">دسترسی سریع</h4>\n<!-- /wp:heading -->\n\n<!-- wp:list {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"heading\",\"fontFamily\":\"josefin-sans\"} -->\n<ul style=\"font-size:16px\" class=\"wp-block-list has-heading-color has-text-color has-link-color has-josefin-sans-font-family\"><!-- wp:list-item -->\n<li><a href=\"#\">درباره</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">به زودی</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">خرید </a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">خرید بلیط</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">نوار پرداخت</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">کارت هدیه</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"37.5%\",\"className\":\"f-box-3\"} -->\n<div class=\"wp-block-column f-box-3\" style=\"flex-basis:37.5%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"20px\"}}} -->\n<h4 class=\"wp-block-heading\" style=\"font-size:20px\">تماس با ما</h4>\n<!-- /wp:heading -->\n\n<!-- wp:list {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"heading\",\"fontFamily\":\"josefin-sans\"} -->\n<ul style=\"font-size:16px\" class=\"wp-block-list has-heading-color has-text-color has-link-color has-josefin-sans-font-family\"><!-- wp:list-item -->\n<li><a href=\"#\">پشتیبانی مشتری</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">دنبال کنید</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"20px\"}}} -->\n<h4 class=\"wp-block-heading\" style=\"font-size:20px\">قانونی</h4>\n<!-- /wp:heading -->\n\n<!-- wp:list {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"heading\",\"fontFamily\":\"josefin-sans\"} -->\n<ul style=\"font-size:16px\" class=\"wp-block-list has-heading-color has-text-color has-link-color has-josefin-sans-font-family\"><!-- wp:list-item -->\n<li><a href=\"#\">حریم خصوصی</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">شرایط</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"23px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"0\"}}}} -->\n<h4 class=\"wp-block-heading\" style=\"margin-top:var(--wp--preset--spacing--70);margin-bottom:0;font-size:23px\">نوار پرداخت</h4>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20);margin-bottom:0\"><!-- wp:image {\"id\":298,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay1.png\" alt=\"\" class=\"wp-image-298\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":297,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay2.png\" alt=\"\" class=\"wp-image-297\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":296,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay3.png\" alt=\"\" class=\"wp-image-296\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":295,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay4.png\" alt=\"\" class=\"wp-image-295\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":294,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay5.png\" alt=\"\" class=\"wp-image-294\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":293,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay6.png\" alt=\"\" class=\"wp-image-293\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":292,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay7.png\" alt=\"\" class=\"wp-image-292\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":291,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/pay8.png\" alt=\"\" class=\"wp-image-291\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"copyright-text\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|70\",\"right\":\"var:preset|spacing|70\"},\"margin\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"15px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group copyright-text\" style=\"border-radius:15px;margin-top:var(--wp--preset--spacing--70);margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--70)\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-body-text-color has-text-color has-link-color has-b-yekan-font-family\" style=\"font-size:14px\">فارسی سازی شده توسط لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"scroll-top\"} -->\n<p class=\"scroll-top\"></p>\n<!-- /wp:paragraph -->","Footer","","publish","closed","closed","","footer","","","2025-01-07 20:28:41","2025-01-07 20:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/07/footer/","0","wp_template_part","","0"),
("17","1","2025-01-07 20:28:41","2025-01-07 20:28:41","<!-- wp:group {\"className\":\"home-main-wrap\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group home-main-wrap\" style=\"margin-top:0px;margin-bottom:0px\"><!-- wp:columns {\"className\":\"home-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"20px\"}}}} -->\n<div class=\"wp-block-columns home-wrap\"><!-- wp:column {\"width\":\"20%\",\"className\":\"home-sidebar\"} -->\n<div class=\"wp-block-column home-sidebar\" style=\"flex-basis:20%\"><!-- wp:template-part {\"slug\":\"homepage-sidebar\",\"theme\":\"cinema-house\",\"area\":\"uncategorized\",\"className\":\"home-sidebar-outer\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\",\"className\":\"home-design\"} -->\n<div class=\"wp-block-column home-design\" style=\"flex-basis:80%\"><!-- wp:group {\"className\":\"home-design-inner\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"0px\",\"right\":\"50px\",\"left\":\"50px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group home-design-inner\" style=\"padding-top:50px;padding-right:50px;padding-bottom:0px;padding-left:50px\"><!-- wp:template-part {\"slug\":\"header\",\"theme\":\"cinema-house\",\"tagName\":\"header\",\"className\":\"custom-home-header\"} /-->\n\n<!-- wp:group {\"className\":\"bannerimage wow fadeInDown\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\"},\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}},\"border\":{\"radius\":\"13px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group bannerimage wow fadeInDown\" style=\"border-radius:13px;margin-top:var(--wp--preset--spacing--70);padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":6,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"},\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|20\",\"top\":\"0\"}}}} -->\n<h6 class=\"wp-block-heading has-text-align-center\" style=\"margin-top:0;margin-bottom:var(--wp--preset--spacing--20);font-size:20px;font-style:normal;font-weight:600\">آینده</h6>\n<!-- /wp:heading -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/banner.png\",\"id\":69,\"dimRatio\":0,\"isUserOverlayColor\":true,\"minHeight\":250,\"minHeightUnit\":\"px\",\"className\":\"banner-image-cover\",\"style\":{\"border\":{\"radius\":\"13px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\",\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover banner-image-cover\" style=\"border-radius:13px;margin-top:0;margin-bottom:0;padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-69\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--50)\"><i class=\"fas fa-ticket\"></i>اکنون رزرو کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"latest-movies\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group latest-movies\" style=\"margin-top:var(--wp--preset--spacing--70);margin-bottom:0\"><!-- wp:heading {\"className\":\"main-heading\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\"}},\"textColor\":\"heading\"} -->\n<h2 class=\"wp-block-heading main-heading has-heading-color has-text-color has-link-color\" style=\"font-size:20px\">آخرین فیلم ها</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"latest-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|70\"}}}} -->\n<div class=\"wp-block-columns latest-wrap\"><!-- wp:column {\"className\":\"latest-box\"} -->\n<div class=\"wp-block-column latest-box\"><!-- wp:group {\"className\":\"latest-inner\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group latest-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"video-popup\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group video-popup\"><!-- wp:html -->\n<div class=\"wp-block-getwid-video-popup has-heading-0 has-image has-foreground-0\"><a class=\"wp-block-getwid-video-popup__link\" href=\"\" aria-label=\"Watch Trailer\"><div class=\"wp-block-getwid-video-popup__wrapper\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image1.png\" alt=\"Watch Trailer\" class=\"wp-block-getwid-video-popup__image wp-block-getwid-video-popup__source wp-image-106\"/><div class=\"wp-block-getwid-video-popup__button is-style-default\"><div class=\"wp-block-getwid-video-popup__icon\"><i class=\"fas fa-play\" aria-hidden=\"true\"></i></div></div></div></a><div class=\"wp-block-getwid-video-popup__caption\"><p class=\"wp-block-getwid-video-popup__title has-text-color has-white-color\">Watch Trailer</p></div></div>\n<!-- /wp:html --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"className\":\"sec-text-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"top\":\"10px\",\"bottom\":\"0px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-top sec-text-wrap\" style=\"margin-top:10px;margin-bottom:0px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"70%\",\"className\":\"rating-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-left\" style=\"flex-basis:70%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:20px;font-style:normal;font-weight:600\">Spider Man</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"margin-top:0;margin-bottom:0;font-size:16px\">اکشن</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"30%\",\"className\":\"rating-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-box\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"rating-text\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"5px\",\"bottom\":\"5px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center rating-text has-white-color has-primary-background-color has-text-color has-background has-link-color\" style=\"border-radius:30px;padding-top:5px;padding-right:var(--wp--preset--spacing--50);padding-bottom:5px;padding-left:var(--wp--preset--spacing--50);font-size:14px\">8.0</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin1.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">سام رحیمی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">تاریخ انتشار : <span>17-02-2025</span></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:0;font-size:14px\">ژانر : <span>اکشن, درام</span></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"latest-box\"} -->\n<div class=\"wp-block-column latest-box\"><!-- wp:group {\"className\":\"latest-inner\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group latest-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"video-popup\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group video-popup\"><!-- wp:html -->\n<div class=\"wp-block-getwid-video-popup has-heading-0 has-image has-foreground-0\"><a class=\"wp-block-getwid-video-popup__link\" href=\"\" aria-label=\"Watch Trailer\"><div class=\"wp-block-getwid-video-popup__wrapper\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image2.png\" alt=\"Watch Trailer\" class=\"wp-block-getwid-video-popup__image wp-block-getwid-video-popup__source wp-image-106\"/><div class=\"wp-block-getwid-video-popup__button is-style-default\"><div class=\"wp-block-getwid-video-popup__icon\"><i class=\"fas fa-play\" aria-hidden=\"true\"></i></div></div></div></a><div class=\"wp-block-getwid-video-popup__caption\"><p class=\"wp-block-getwid-video-popup__title has-text-color has-white-color\">Watch Trailer</p></div></div>\n<!-- /wp:html --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"className\":\"sec-text-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"top\":\"10px\",\"bottom\":\"0px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-top sec-text-wrap\" style=\"margin-top:10px;margin-bottom:0px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"70%\",\"className\":\"rating-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-left\" style=\"flex-basis:70%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:20px;font-style:normal;font-weight:600\">Batman</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"margin-top:0;margin-bottom:0;font-size:16px\">انیمیشن</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"30%\",\"className\":\"rating-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-box\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"rating-text\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"5px\",\"bottom\":\"5px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center rating-text has-white-color has-primary-background-color has-text-color has-background has-link-color\" style=\"border-radius:30px;padding-top:5px;padding-right:var(--wp--preset--spacing--50);padding-bottom:5px;padding-left:var(--wp--preset--spacing--50);font-size:14px\">8.0</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin2.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">جان جیسون</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">تاریخ انتشار : <span>17-02-2025</span></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:0;font-size:14px\">ژانر :: <span>اکشن, درام</span></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"latest-box\"} -->\n<div class=\"wp-block-column latest-box\"><!-- wp:group {\"className\":\"latest-inner\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group latest-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"video-popup\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group video-popup\"><!-- wp:html -->\n<div class=\"wp-block-getwid-video-popup has-heading-0 has-image has-foreground-0\"><a class=\"wp-block-getwid-video-popup__link\" href=\"\" aria-label=\"Watch Trailer\"><div class=\"wp-block-getwid-video-popup__wrapper\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image3.png\" alt=\"Watch Trailer\" class=\"wp-block-getwid-video-popup__image wp-block-getwid-video-popup__source wp-image-106\"/><div class=\"wp-block-getwid-video-popup__button is-style-default\"><div class=\"wp-block-getwid-video-popup__icon\"><i class=\"fas fa-play\" aria-hidden=\"true\"></i></div></div></div></a><div class=\"wp-block-getwid-video-popup__caption\"><p class=\"wp-block-getwid-video-popup__title has-text-color has-white-color\">Watch Trailer</p></div></div>\n<!-- /wp:html --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"className\":\"sec-text-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"top\":\"10px\",\"bottom\":\"0px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-top sec-text-wrap\" style=\"margin-top:10px;margin-bottom:0px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"70%\",\"className\":\"rating-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-left\" style=\"flex-basis:70%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:20px;font-style:normal;font-weight:600\">Avengers</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"margin-top:0;margin-bottom:0;font-size:16px\">اکشن</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"30%\",\"className\":\"rating-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-box\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"rating-text\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"5px\",\"bottom\":\"5px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center rating-text has-white-color has-primary-background-color has-text-color has-background has-link-color\" style=\"border-radius:30px;padding-top:5px;padding-right:var(--wp--preset--spacing--50);padding-bottom:5px;padding-left:var(--wp--preset--spacing--50);font-size:14px\">8.0</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin3.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">ابوذر رحمان</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">تاریخ انتشار : <span>17-02-2025</span></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:0;font-size:14px\">ژانر : <span>: <span>اکشن, درام</span></span></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></main>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"booking-section\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"var:preset|spacing|70\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group booking-section\" style=\"margin-top:var(--wp--preset--spacing--70);margin-bottom:var(--wp--preset--spacing--70)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"booking-section-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|70\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center booking-section-wrap\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"booking-1 wow zoomIn\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center booking-1 wow zoomIn\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"booking-1-inner\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}},\"border\":{\"radius\":\"20px\"}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center booking-1-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"45%\",\"className\":\"book-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center book-left\" style=\"flex-basis:45%\"><!-- wp:image {\"id\":182,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"20px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image4.png\" alt=\"\" class=\"wp-image-182\" style=\"border-radius:20px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"55%\",\"className\":\"book-right\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center book-right\" style=\"flex-basis:55%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"18px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:18px\">فلش</h3>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":189,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/vector.png\" alt=\"\" class=\"wp-image-189\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\">6.6/10</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">بری آلن از سرعت فوق العاده خود برای تغییر گذشته استفاده می کند، اما…</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin4.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">حمزه همتی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--50)\"><i class=\"fas fa-ticket\"></i>خرید بلیط</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"booking-2 wow zoomIn\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center booking-2 wow zoomIn\"><!-- wp:group {\"className\":\"booking-2-inner\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}},\"border\":{\"radius\":\"20px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group booking-2-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:image {\"id\":183,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"20px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image5.png\" alt=\"\" class=\"wp-image-183\" style=\"border-radius:20px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"book-2-text-box\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group book-2-text-box\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":6,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"25px\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"fontFamily\":\"poppins\"} -->\n<h6 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-link-color has-poppins-font-family\" style=\"font-size:25px;font-style:normal;font-weight:600;line-height:1.5\">از Tangled با 50% تخفیف لذت ببرید</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">پیشنهاد زمان محدود!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:var(--wp--preset--spacing--20);margin-bottom:0\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--50)\"><i class=\"fas fa-ticket\"></i>خرید بلیط</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"home-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"20px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns home-wrap\" id=\"footer-box\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:column {\"width\":\"20%\",\"className\":\"home-sidebar footer-sidebar\"} -->\n<div class=\"wp-block-column home-sidebar footer-sidebar\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\",\"className\":\"home-design\"} -->\n<div class=\"wp-block-column home-design\" style=\"flex-basis:80%\"><!-- wp:group {\"className\":\"home-design-inner-2\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"50px\",\"right\":\"50px\",\"left\":\"50px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group home-design-inner-2\" style=\"padding-top:0px;padding-right:50px;padding-bottom:50px;padding-left:50px\"><!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"cinema-house\",\"tagName\":\"footer\",\"className\":\"home-footer-class\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","publish","closed","closed","","home","","","2025-01-07 20:28:42","2025-01-07 20:28:42","","0","https://hamzehhemmati.ir/index.php/2025/01/07/home/","0","wp_template","","0"),
("18","1","2025-01-07 20:28:42","2025-01-07 20:28:42","<!-- wp:group {\"className\":\"top-bar\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"85%\"}} -->\n<div class=\"wp-block-group top-bar\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:columns {\"className\":\"top-bar-inner\"} -->\n<div class=\"wp-block-columns top-bar-inner\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"logo-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center logo-block\" style=\"flex-basis:30%\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:0\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"search-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center search-block\" style=\"flex-basis:30%\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"هر چیزی را اینجا جستجو کنید\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"backgroundColor\":\"base\",\"textColor\":\"heading\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"social-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center social-block\" style=\"flex-basis:30%\"><!-- wp:social-links {\"iconColor\":\"heading\",\"iconColorValue\":\"#ffffff\",\"iconBackgroundColor\":\"base\",\"iconBackgroundColorValue\":\"#212121\"} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"10%\",\"className\":\"dummy-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center dummy-block\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"icons-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center icons-block\" style=\"flex-basis:30%\"><!-- wp:group {\"className\":\"icons-inner\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group icons-inner\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":56,\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-full\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/bell.png\" alt=\"\" class=\"wp-image-56\" style=\"object-fit:cover\"/></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":51,\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"className\":\"account\",\"style\":{\"border\":{\"radius\":\"50%\",\"width\":\"1px\"}},\"borderColor\":\"heading\"} -->\n<figure class=\"wp-block-image size-full has-custom-border account\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/account.png\" alt=\"\" class=\"has-border-color has-heading-border-color wp-image-51\" style=\"border-width:1px;border-radius:50%\"/></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:navigation {\"ref\":23,\"textColor\":\"heading\",\"overlayMenu\":\"always\",\"icon\":\"menu\",\"overlayBackgroundColor\":\"section-bg\",\"overlayTextColor\":\"heading\",\"metadata\":{\"ignoredHookedBlocks\":[\"woocommerce/customer-account\",\"woocommerce/mini-cart\"]},\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"capitalize\",\"fontSize\":\"16px\",\"letterSpacing\":\"1px\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|20\"}},\"fontFamily\":\"poppins\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"orientation\":\"horizontal\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->","Header","","publish","closed","closed","","header","","","2025-01-07 20:31:50","2025-01-07 20:31:50","","0","https://hamzehhemmati.ir/index.php/2025/01/07/header/","0","wp_template_part","","0"),
("19","1","2025-01-07 20:28:42","2025-01-07 20:28:42","<!-- wp:group {\"className\":\"home-main-wrap\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group home-main-wrap\" style=\"margin-top:0px;margin-bottom:0px\"><!-- wp:columns {\"className\":\"home-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"20px\"}}}} -->\n<div class=\"wp-block-columns home-wrap\"><!-- wp:column {\"width\":\"20%\",\"className\":\"home-sidebar\"} -->\n<div class=\"wp-block-column home-sidebar\" style=\"flex-basis:20%\"><!-- wp:template-part {\"slug\":\"homepage-sidebar\",\"theme\":\"cinema-house\",\"area\":\"uncategorized\",\"className\":\"home-sidebar-outer\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\",\"className\":\"home-design\"} -->\n<div class=\"wp-block-column home-design\" style=\"flex-basis:80%\"><!-- wp:group {\"className\":\"home-design-inner\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"0px\",\"right\":\"50px\",\"left\":\"50px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group home-design-inner\" style=\"padding-top:50px;padding-right:50px;padding-bottom:0px;padding-left:50px\"><!-- wp:template-part {\"slug\":\"header\",\"theme\":\"cinema-house\",\"tagName\":\"header\",\"className\":\"custom-home-header\"} /-->\n\n<!-- wp:group {\"className\":\"bannerimage wow fadeInDown\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\"},\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}},\"border\":{\"radius\":\"13px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group bannerimage wow fadeInDown\" style=\"border-radius:13px;margin-top:var(--wp--preset--spacing--70);padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":6,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"},\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|20\",\"top\":\"0\"}}}} -->\n<h6 class=\"wp-block-heading has-text-align-center\" style=\"margin-top:0;margin-bottom:var(--wp--preset--spacing--20);font-size:20px;font-style:normal;font-weight:600\">آینده</h6>\n<!-- /wp:heading -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/banner.png\",\"id\":69,\"dimRatio\":0,\"isUserOverlayColor\":true,\"minHeight\":250,\"minHeightUnit\":\"px\",\"className\":\"banner-image-cover\",\"style\":{\"border\":{\"radius\":\"13px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\",\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover banner-image-cover\" style=\"border-radius:13px;margin-top:0;margin-bottom:0;padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-69\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--50)\"><i class=\"fas fa-ticket\"></i>اکنون رزرو کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"latest-movies\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group latest-movies\" style=\"margin-top:var(--wp--preset--spacing--70);margin-bottom:0\"><!-- wp:heading {\"className\":\"main-heading\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\"}},\"textColor\":\"heading\"} -->\n<h2 class=\"wp-block-heading main-heading has-heading-color has-text-color has-link-color\" style=\"font-size:20px\">آخرین فیلم ها</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"latest-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|70\"}}}} -->\n<div class=\"wp-block-columns latest-wrap\"><!-- wp:column {\"className\":\"latest-box\"} -->\n<div class=\"wp-block-column latest-box\"><!-- wp:group {\"className\":\"latest-inner\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group latest-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"video-popup\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group video-popup\"><!-- wp:html -->\n<div class=\"wp-block-getwid-video-popup has-heading-0 has-image has-foreground-0\"><a class=\"wp-block-getwid-video-popup__link\" href=\"\" aria-label=\"Watch Trailer\"><div class=\"wp-block-getwid-video-popup__wrapper\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image1.png\" alt=\"Watch Trailer\" class=\"wp-block-getwid-video-popup__image wp-block-getwid-video-popup__source wp-image-106\"/><div class=\"wp-block-getwid-video-popup__button is-style-default\"><div class=\"wp-block-getwid-video-popup__icon\"><i class=\"fas fa-play\" aria-hidden=\"true\"></i></div></div></div></a><div class=\"wp-block-getwid-video-popup__caption\"><p class=\"wp-block-getwid-video-popup__title has-text-color has-white-color\">Watch Trailer</p></div></div>\n<!-- /wp:html --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"className\":\"sec-text-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"top\":\"10px\",\"bottom\":\"0px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-top sec-text-wrap\" style=\"margin-top:10px;margin-bottom:0px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"70%\",\"className\":\"rating-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-left\" style=\"flex-basis:70%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:20px;font-style:normal;font-weight:600\">Spider Man</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"margin-top:0;margin-bottom:0;font-size:16px\">اکشن</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"30%\",\"className\":\"rating-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-box\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"rating-text\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"5px\",\"bottom\":\"5px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center rating-text has-white-color has-primary-background-color has-text-color has-background has-link-color\" style=\"border-radius:30px;padding-top:5px;padding-right:var(--wp--preset--spacing--50);padding-bottom:5px;padding-left:var(--wp--preset--spacing--50);font-size:14px\">8.0</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin1.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">سام رحیمی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">تاریخ انتشار : <span>17-02-2025</span></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:0;font-size:14px\">ژانر : <span>اکشن, درام</span></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"latest-box\"} -->\n<div class=\"wp-block-column latest-box\"><!-- wp:group {\"className\":\"latest-inner\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group latest-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"video-popup\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group video-popup\"><!-- wp:html -->\n<div class=\"wp-block-getwid-video-popup has-heading-0 has-image has-foreground-0\"><a class=\"wp-block-getwid-video-popup__link\" href=\"\" aria-label=\"Watch Trailer\"><div class=\"wp-block-getwid-video-popup__wrapper\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image2.png\" alt=\"Watch Trailer\" class=\"wp-block-getwid-video-popup__image wp-block-getwid-video-popup__source wp-image-106\"/><div class=\"wp-block-getwid-video-popup__button is-style-default\"><div class=\"wp-block-getwid-video-popup__icon\"><i class=\"fas fa-play\" aria-hidden=\"true\"></i></div></div></div></a><div class=\"wp-block-getwid-video-popup__caption\"><p class=\"wp-block-getwid-video-popup__title has-text-color has-white-color\">Watch Trailer</p></div></div>\n<!-- /wp:html --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"className\":\"sec-text-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"top\":\"10px\",\"bottom\":\"0px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-top sec-text-wrap\" style=\"margin-top:10px;margin-bottom:0px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"70%\",\"className\":\"rating-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-left\" style=\"flex-basis:70%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:20px;font-style:normal;font-weight:600\">Batman</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"margin-top:0;margin-bottom:0;font-size:16px\">انیمیشن</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"30%\",\"className\":\"rating-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-box\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"rating-text\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"5px\",\"bottom\":\"5px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center rating-text has-white-color has-primary-background-color has-text-color has-background has-link-color\" style=\"border-radius:30px;padding-top:5px;padding-right:var(--wp--preset--spacing--50);padding-bottom:5px;padding-left:var(--wp--preset--spacing--50);font-size:14px\">8.0</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin2.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">جان جیسون</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">تاریخ انتشار : <span>17-02-2025</span></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:0;font-size:14px\">ژانر :: <span>اکشن, درام</span></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"latest-box\"} -->\n<div class=\"wp-block-column latest-box\"><!-- wp:group {\"className\":\"latest-inner\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group latest-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"video-popup\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group video-popup\"><!-- wp:html -->\n<div class=\"wp-block-getwid-video-popup has-heading-0 has-image has-foreground-0\"><a class=\"wp-block-getwid-video-popup__link\" href=\"\" aria-label=\"Watch Trailer\"><div class=\"wp-block-getwid-video-popup__wrapper\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image3.png\" alt=\"Watch Trailer\" class=\"wp-block-getwid-video-popup__image wp-block-getwid-video-popup__source wp-image-106\"/><div class=\"wp-block-getwid-video-popup__button is-style-default\"><div class=\"wp-block-getwid-video-popup__icon\"><i class=\"fas fa-play\" aria-hidden=\"true\"></i></div></div></div></a><div class=\"wp-block-getwid-video-popup__caption\"><p class=\"wp-block-getwid-video-popup__title has-text-color has-white-color\">Watch Trailer</p></div></div>\n<!-- /wp:html --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"className\":\"sec-text-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"top\":\"10px\",\"bottom\":\"0px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-top sec-text-wrap\" style=\"margin-top:10px;margin-bottom:0px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"70%\",\"className\":\"rating-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-left\" style=\"flex-basis:70%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"20px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:20px;font-style:normal;font-weight:600\">Avengers</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p style=\"margin-top:0;margin-bottom:0;font-size:16px\">اکشن</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"30%\",\"className\":\"rating-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top rating-box\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"rating-text\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"5px\",\"bottom\":\"5px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center rating-text has-white-color has-primary-background-color has-text-color has-background has-link-color\" style=\"border-radius:30px;padding-top:5px;padding-right:var(--wp--preset--spacing--50);padding-bottom:5px;padding-left:var(--wp--preset--spacing--50);font-size:14px\">8.0</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin3.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">ابوذر رحمان</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">تاریخ انتشار : <span>17-02-2025</span></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"box-meta\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<p class=\"box-meta\" style=\"margin-top:0;font-size:14px\">ژانر : <span>: <span>اکشن, درام</span></span></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></main>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"booking-section\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"var:preset|spacing|70\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group booking-section\" style=\"margin-top:var(--wp--preset--spacing--70);margin-bottom:var(--wp--preset--spacing--70)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"booking-section-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|70\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center booking-section-wrap\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"booking-1 wow zoomIn\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center booking-1 wow zoomIn\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"booking-1-inner\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}},\"border\":{\"radius\":\"20px\"}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center booking-1-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"45%\",\"className\":\"book-left\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center book-left\" style=\"flex-basis:45%\"><!-- wp:image {\"id\":182,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"20px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image4.png\" alt=\"\" class=\"wp-image-182\" style=\"border-radius:20px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"55%\",\"className\":\"book-right\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center book-right\" style=\"flex-basis:55%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"18px\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:18px\">فلش</h3>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":189,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/vector.png\" alt=\"\" class=\"wp-image-189\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\">6.6/10</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"margin-top:var(--wp--preset--spacing--20);font-size:14px\">بری آلن از سرعت فوق العاده خود برای تغییر گذشته استفاده می کند، اما…</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\",\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20)\"><!-- wp:image {\"id\":144,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"admin-img\",\"style\":{\"border\":{\"radius\":\"8px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border admin-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/admin4.png\" alt=\"\" class=\"wp-image-144\" style=\"border-radius:8px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-b-yekan-font-family\" style=\"font-size:18px;font-style:normal;font-weight:700\">حمزه همتی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--50)\"><i class=\"fas fa-ticket\"></i>خرید بلیط</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"booking-2 wow zoomIn\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center booking-2 wow zoomIn\"><!-- wp:group {\"className\":\"booking-2-inner\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}},\"border\":{\"radius\":\"20px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group booking-2-inner\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:image {\"id\":183,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"20px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/image5.png\" alt=\"\" class=\"wp-image-183\" style=\"border-radius:20px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"book-2-text-box\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group book-2-text-box\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":6,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"25px\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"fontFamily\":\"poppins\"} -->\n<h6 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-link-color has-poppins-font-family\" style=\"font-size:25px;font-style:normal;font-weight:600;line-height:1.5\">از Tangled با 50% تخفیف لذت ببرید</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">پیشنهاد زمان محدود!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:var(--wp--preset--spacing--20);margin-bottom:0\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--50)\"><i class=\"fas fa-ticket\"></i>خرید بلیط</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"home-wrap\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"20px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns home-wrap\" id=\"footer-box\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:column {\"width\":\"20%\",\"className\":\"home-sidebar footer-sidebar\"} -->\n<div class=\"wp-block-column home-sidebar footer-sidebar\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80%\",\"className\":\"home-design\"} -->\n<div class=\"wp-block-column home-design\" style=\"flex-basis:80%\"><!-- wp:group {\"className\":\"home-design-inner-2\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"50px\",\"right\":\"50px\",\"left\":\"50px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group home-design-inner-2\" style=\"padding-top:0px;padding-right:50px;padding-bottom:50px;padding-left:50px\"><!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"cinema-house\",\"tagName\":\"footer\",\"className\":\"home-footer-class\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","17-revision-v1","","","2025-01-07 20:28:42","2025-01-07 20:28:42","","17","https://hamzehhemmati.ir/?p=19","0","revision","","0"),
("20","1","2025-01-07 20:31:12","2025-01-07 20:31:12","<!-- wp:group {\"className\":\"top-bar\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"85%\"}} -->\n<div class=\"wp-block-group top-bar\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:columns {\"className\":\"top-bar-inner\"} -->\n<div class=\"wp-block-columns top-bar-inner\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"logo-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center logo-block\" style=\"flex-basis:30%\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:0\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"search-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center search-block\" style=\"flex-basis:30%\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"هر چیزی را اینجا جستجو کنید\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"backgroundColor\":\"base\",\"textColor\":\"heading\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"social-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center social-block\" style=\"flex-basis:30%\"><!-- wp:social-links {\"iconColor\":\"heading\",\"iconColorValue\":\"#ffffff\",\"iconBackgroundColor\":\"base\",\"iconBackgroundColorValue\":\"#212121\"} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"10%\",\"className\":\"dummy-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center dummy-block\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"icons-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center icons-block\" style=\"flex-basis:30%\"><!-- wp:group {\"className\":\"icons-inner\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group icons-inner\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":56,\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-full\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/bell.png\" alt=\"\" class=\"wp-image-56\" style=\"object-fit:cover\"/></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":51,\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"className\":\"account\",\"style\":{\"border\":{\"radius\":\"50%\",\"width\":\"1px\"}},\"borderColor\":\"heading\"} -->\n<figure class=\"wp-block-image size-full has-custom-border account\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/account.png\" alt=\"\" class=\"has-border-color has-heading-border-color wp-image-51\" style=\"border-width:1px;border-radius:50%\"/></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:navigation {\"textColor\":\"heading\",\"overlayMenu\":\"always\",\"icon\":\"menu\",\"overlayBackgroundColor\":\"section-bg\",\"overlayTextColor\":\"heading\",\"metadata\":{\"ignoredHookedBlocks\":[\"woocommerce/customer-account\",\"woocommerce/mini-cart\"]},\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"capitalize\",\"fontSize\":\"16px\",\"letterSpacing\":\"1px\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|20\"}},\"fontFamily\":\"poppins\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"orientation\":\"horizontal\"}} -->\n<!-- wp:navigation-link {\"label\":\"Home\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"آ\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Bookings\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Trailers\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Contact Us\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n<!-- /wp:navigation --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->","Header","","inherit","closed","closed","","18-revision-v1","","","2025-01-07 20:31:12","2025-01-07 20:31:12","","18","https://hamzehhemmati.ir/?p=20","0","revision","","0"),
("21","1","2025-01-07 20:31:12","2025-01-07 20:31:12","<!-- wp:group {\"className\":\"scroll-bar\",\"style\":{\"border\":{\"radius\":\"20px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group scroll-bar\" style=\"border-radius:20px;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"className\":\"scroll-bar-inner\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group scroll-bar-inner\"><!-- wp:group {\"className\":\"sidebar-logo\",\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group sidebar-logo\" style=\"border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"news-box\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\"}},\"border\":{\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"},\"top\":[],\"right\":[],\"left\":[]}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group news-box\" style=\"border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\"} -->\n<h3 class=\"wp-block-heading has-body-text-color has-text-color has-link-color\" style=\"font-size:16px\">اخبار</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"news-text\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\"} -->\n<p class=\"news-text has-body-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--30);font-size:16px\">م<a href=\"#\">رورگر</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"news-text2\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\"} -->\n<p class=\"news-text2 has-body-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--30);font-size:16px\">ع<a href=\"#\">لاقمندی ها</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"news-text3\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\"} -->\n<p class=\"news-text3 has-body-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--30);font-size:16px\">ر<a href=\"#\">زرو</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"following-box\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\"}},\"border\":{\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"},\"top\":[],\"right\":[],\"left\":[]}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group following-box\" style=\"border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\"} -->\n<h3 class=\"wp-block-heading has-body-text-color has-text-color has-link-color\" style=\"font-size:16px\">دنبال کننده</h3>\n<!-- /wp:heading -->\n\n<!-- wp:latest-posts {\"displayFeaturedImage\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}},\"typography\":{\"fontSize\":\"16px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"body-text\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"quick-links\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\"}},\"border\":{\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"},\"top\":[],\"right\":[],\"left\":[]}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group quick-links\" style=\"border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}}},\"textColor\":\"body-text\"} -->\n<h3 class=\"wp-block-heading has-body-text-color has-text-color has-link-color\" style=\"font-size:16px\">دسترسی سریع</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"textColor\":\"heading\"} -->\n<p class=\"has-heading-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--30);font-size:16px\">ب<a href=\"#\">ه زودی</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"logout-box\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|70\",\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group logout-box\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"heading\"} -->\n<p class=\"has-heading-color has-text-color has-link-color\" style=\"font-style:normal;font-weight:600\">ب<a href=\"#\">یرون رفتن</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","homepage-sidebar","","publish","closed","closed","","homepage-sidebar","","","2025-01-07 20:31:12","2025-01-07 20:31:12","","0","https://hamzehhemmati.ir/index.php/2025/01/07/homepage-sidebar/","0","wp_template_part","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("22","1","2025-01-07 20:31:50","2025-01-07 20:31:50","<!-- wp:navigation-link {\"label\":\"Home\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"آ\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Bookings\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Trailers\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Contact Us\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری سربرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d8%b3%d8%b1%d8%a8%d8%b1%da%af","","","2025-01-07 20:31:50","2025-01-07 20:31:50","","0","https://hamzehhemmati.ir/?p=22","0","wp_navigation","","0"),
("23","1","2025-01-07 20:31:50","2025-01-07 20:31:50","<!-- wp:navigation-link {\"label\":\"خانه\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"رزرو\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تیزر\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری سربرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d8%b3%d8%b1%d8%a8%d8%b1%da%af-2","","","2025-01-07 20:31:50","2025-01-07 20:31:50","","0","https://hamzehhemmati.ir/?p=23","0","wp_navigation","","0"),
("24","1","2025-01-07 20:31:50","2025-01-07 20:31:50","<!-- wp:navigation-link {\"label\":\"Home\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"آ\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Bookings\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Trailers\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Contact Us\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری سربرگ","","inherit","closed","closed","","22-revision-v1","","","2025-01-07 20:31:50","2025-01-07 20:31:50","","22","https://hamzehhemmati.ir/?p=24","0","revision","","0"),
("25","1","2025-01-07 20:31:50","2025-01-07 20:31:50","<!-- wp:navigation-link {\"label\":\"خانه\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"رزرو\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تیزر\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری سربرگ","","inherit","closed","closed","","23-revision-v1","","","2025-01-07 20:31:50","2025-01-07 20:31:50","","23","https://hamzehhemmati.ir/?p=25","0","revision","","0"),
("26","1","2025-01-07 20:31:50","2025-01-07 20:31:50","<!-- wp:group {\"className\":\"top-bar\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"85%\"}} -->\n<div class=\"wp-block-group top-bar\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:columns {\"className\":\"top-bar-inner\"} -->\n<div class=\"wp-block-columns top-bar-inner\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"logo-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center logo-block\" style=\"flex-basis:30%\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:0\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontSize\":\"20px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"search-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center search-block\" style=\"flex-basis:30%\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"هر چیزی را اینجا جستجو کنید\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"backgroundColor\":\"base\",\"textColor\":\"heading\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"social-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center social-block\" style=\"flex-basis:30%\"><!-- wp:social-links {\"iconColor\":\"heading\",\"iconColorValue\":\"#ffffff\",\"iconBackgroundColor\":\"base\",\"iconBackgroundColorValue\":\"#212121\"} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"10%\",\"className\":\"dummy-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center dummy-block\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\",\"className\":\"icons-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center icons-block\" style=\"flex-basis:30%\"><!-- wp:group {\"className\":\"icons-inner\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group icons-inner\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":56,\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-full\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/bell.png\" alt=\"\" class=\"wp-image-56\" style=\"object-fit:cover\"/></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":51,\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"className\":\"account\",\"style\":{\"border\":{\"radius\":\"50%\",\"width\":\"1px\"}},\"borderColor\":\"heading\"} -->\n<figure class=\"wp-block-image size-full has-custom-border account\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/cinema-house/images/account.png\" alt=\"\" class=\"has-border-color has-heading-border-color wp-image-51\" style=\"border-width:1px;border-radius:50%\"/></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:navigation {\"ref\":23,\"textColor\":\"heading\",\"overlayMenu\":\"always\",\"icon\":\"menu\",\"overlayBackgroundColor\":\"section-bg\",\"overlayTextColor\":\"heading\",\"metadata\":{\"ignoredHookedBlocks\":[\"woocommerce/customer-account\",\"woocommerce/mini-cart\"]},\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"capitalize\",\"fontSize\":\"16px\",\"letterSpacing\":\"1px\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|20\"}},\"fontFamily\":\"poppins\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"orientation\":\"horizontal\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->","Header","","inherit","closed","closed","","18-revision-v1","","","2025-01-07 20:31:50","2025-01-07 20:31:50","","18","https://hamzehhemmati.ir/?p=26","0","revision","","0"),
("30","1","2025-01-08 10:27:05","2025-01-08 10:27:05","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Thin.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Light.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Regular.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Medium.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-SemiBold.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Bold.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"body\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Thin.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Light.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Regular.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Medium.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-SemiBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Bold.ttf\"]}],\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-spike-construction","","","2025-01-08 10:27:58","2025-01-08 10:27:58","","0","https://hamzehhemmati.ir/index.php/2025/01/08/wp-global-styles-spike-construction/","0","wp_global_styles","","0"),
("31","1","2025-01-08 10:27:22","2025-01-08 10:27:22","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Thin.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Light.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Regular.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Medium.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-SemiBold.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Bold.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"body\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Thin.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Light.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Regular.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Medium.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-SemiBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Bold.ttf\"]}],\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","30-revision-v1","","","2025-01-08 10:27:22","2025-01-08 10:27:22","","30","https://hamzehhemmati.ir/?p=31","0","revision","","0"),
("32","1","2025-01-08 10:27:58","2025-01-08 10:27:58","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Thin.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Light.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Regular.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Medium.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-SemiBold.woff2\"]},{\"fontFamily\":\"Inter\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-Bold.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"body\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Thin.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Light.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Regular.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Medium.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-SemiBold.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Bold.ttf\"]}],\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","30-revision-v1","","","2025-01-08 10:27:58","2025-01-08 10:27:58","","30","https://hamzehhemmati.ir/?p=32","0","revision","","0"),
("33","1","2025-01-08 10:35:52","2025-01-08 10:35:52","<!-- wp:navigation-link {\"label\":\"خانه\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدمات\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری سربرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d8%b3%d8%b1%d8%a8%d8%b1%da%af-3","","","2025-01-08 10:35:52","2025-01-08 10:35:52","","0","https://hamzehhemmati.ir/?p=33","0","wp_navigation","","0"),
("34","1","2025-01-08 10:35:52","2025-01-08 10:35:52","<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img1.jpg\",\"id\":118,\"dimRatio\":90,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"minHeight\":50,\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"padding-top:0;padding-bottom:0;min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-90 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-118\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img1.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|medium\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:var(--wp--preset--spacing--medium)\"><!-- wp:column {\"width\":\"30%\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|xx-small\"}}}} -->\n<div class=\"wp-block-column\" style=\"padding-bottom:var(--wp--preset--spacing--xx-small);flex-basis:30%\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":36} /-->\n\n<!-- wp:site-title {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|medium\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"padding-right:var(--wp--preset--spacing--medium)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|xx-small\"}}}} -->\n<div class=\"wp-block-column\" style=\"padding-bottom:var(--wp--preset--spacing--xx-small);flex-basis:20%\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} -->\n<h5 class=\"wp-block-heading has-medium-font-size\" style=\"font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\">محصولات</h5>\n<!-- /wp:heading -->\n\n<!-- wp:navigation {\"ref\":114,\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|xx-small\"}}}} -->\n<div class=\"wp-block-column\" style=\"padding-bottom:var(--wp--preset--spacing--xx-small);flex-basis:20%\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} -->\n<h5 class=\"wp-block-heading has-medium-font-size\" style=\"font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\">شرکت</h5>\n<!-- /wp:heading -->\n\n<!-- wp:navigation {\"ref\":23,\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"30%\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|xx-small\"}}}} -->\n<div class=\"wp-block-column\" style=\"padding-bottom:var(--wp--preset--spacing--xx-small);flex-basis:30%\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} -->\n<h5 class=\"wp-block-heading has-medium-font-size\" style=\"font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\">خبرنامه</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\",\"style\":{\"border\":{\"radius\":\"0px\"}}} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px\">همین الان عضو شوید!</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"padding\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:0;padding-bottom:var(--wp--preset--spacing--small)\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"x-small\"} -->\n<p class=\"has-text-align-center has-x-small-font-size\">© ۲۰۲۵.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-title {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"fontSize\":\"x-small\"} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"x-small\"} -->\n<p class=\"has-text-align-center has-x-small-font-size\">فارسی سازی شده توسط لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->","Footer","","publish","closed","closed","","footer","","","2025-01-08 10:35:52","2025-01-08 10:35:52","","0","https://hamzehhemmati.ir/index.php/2025/01/08/footer/","0","wp_template_part","","0"),
("35","1","2025-01-08 10:35:52","2025-01-08 10:35:52","<!-- wp:navigation-link {\"label\":\"خانه\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدمات\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری سربرگ","","inherit","closed","closed","","33-revision-v1","","","2025-01-08 10:35:52","2025-01-08 10:35:52","","33","https://hamzehhemmati.ir/?p=35","0","revision","","0"),
("36","1","2025-01-08 10:35:52","2025-01-08 10:35:52","<!-- wp:group {\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":36,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:site-title {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|large\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":33,\"textColor\":\"heading\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} /-->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"secondary\",\"textColor\":\"accent-text\",\"className\":\"is-style-kb-button-secondary\",\"style\":{\"border\":{\"radius\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-kb-button-secondary has-x-small-font-size\"><a class=\"wp-block-button__link has-accent-text-color has-secondary-background-color has-text-color has-background has-link-color wp-element-button\" style=\"border-radius:0px\">استعلام قیمت</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Header","","publish","closed","closed","","header","","","2025-01-08 10:35:52","2025-01-08 10:35:52","","0","https://hamzehhemmati.ir/index.php/2025/01/08/header/","0","wp_template_part","","0"),
("37","1","2025-01-08 10:35:53","2025-01-08 10:35:53","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"spike-construction\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"layout\":{\"type\":\"constrained\"}} -->\n<main class=\"wp-block-group\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/banner-img1.jpg\",\"id\":15,\"dimRatio\":90,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"focalPoint\":{\"x\":0.5,\"y\":0.8},\"minHeight\":650,\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"200px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:200px;min-height:650px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-90 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-15\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/banner-img1.jpg\" style=\"object-position:50% 80%\" data-object-fit=\"cover\" data-object-position=\"50% 80%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-column is-style-default\" style=\"padding-top:0;padding-bottom:0;flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"right\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"textColor\":\"accent-text\",\"fontSize\":\"xxx-large\"} -->\n<h2 class=\"wp-block-heading has-text-align-right has-accent-text-color has-text-color has-link-color has-xxx-large-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:var(--wp--preset--spacing--small);margin-left:0;font-style:normal;font-weight:700\">تخصص در ساخت و ساز</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<p class=\"has-text-align-right\" style=\"margin-top:0;margin-right:0;margin-bottom:var(--wp--preset--spacing--medium);margin-left:0\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--medium)\">بیشتر بدانید</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"style\":{\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--medium)\">تماس</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\",\"width\":\"50%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\" style=\"flex-basis:50%\"><!-- wp:image {\"id\":18,\"width\":\"567px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/banner-img2.png\" alt=\"\" class=\"wp-image-18\" style=\"width:567px;height:auto\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"className\":\"kb-z-index\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"-95px\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull kb-z-index\" style=\"margin-top:-95px;margin-bottom:0\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"background\":{\"backgroundRepeat\":\"no-repeat\",\"backgroundSize\":\"contain\",\"backgroundPosition\":\"100% 50%\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:image {\"id\":57,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/service-img1.png\" alt=\"\" class=\"wp-image-57\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"font-style:normal;font-weight:700\">ساخت و ساز</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:var(--wp--preset--spacing--x-small)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"textColor\":\"primary\",\"className\":\"is-style-outline\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\",\"right\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}}} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-primary-color has-text-color has-link-color wp-element-button\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">بیشتر...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"background\":{\"backgroundRepeat\":\"no-repeat\",\"backgroundSize\":\"contain\",\"backgroundPosition\":\"100% 50%\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:image {\"id\":275,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/service-img2.png\" alt=\"\" class=\"wp-image-275\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"font-style:normal;font-weight:700\">نوسازی</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:var(--wp--preset--spacing--x-small)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"textColor\":\"primary\",\"className\":\"is-style-outline\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\",\"right\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}}} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-primary-color has-text-color has-link-color wp-element-button\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">بیشتر...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"background\":{\"backgroundRepeat\":\"no-repeat\",\"backgroundSize\":\"contain\",\"backgroundPosition\":\"100% 50%\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:image {\"id\":276,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/service-img3.png\" alt=\"\" class=\"wp-image-276\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"font-style:normal;font-weight:700\"><strong>اندازه گیری</strong></h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:var(--wp--preset--spacing--x-small)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"textColor\":\"primary\",\"className\":\"is-style-outline\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\",\"right\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}}} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-primary-color has-text-color has-link-color wp-element-button\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">بیشتر...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|xx-large\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:var(--wp--preset--spacing--xx-large)\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|x-large\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"margin-bottom:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700\"><strong>ما رهبری در ساخت و ساز هستیم!</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<p style=\"margin-top:0;margin-right:0;margin-bottom:var(--wp--preset--spacing--x-small);margin-left:0\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"bottom\":\"var:preset|spacing|small\"},\"padding\":{\"bottom\":\"var:preset|spacing|small\"}},\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;margin-bottom:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"margin-bottom:0\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<p style=\"margin-top:0;margin-bottom:0\"><img class=\"wp-image-357\" style=\"width: 16px;\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img1.png\" alt=\"\"></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"heading\",\"fontSize\":\"small\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"margin-bottom:0\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<p style=\"margin-top:0;margin-bottom:0\"><img class=\"wp-image-357\" style=\"width: 16px;\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img1.png\" alt=\"\"></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"heading\",\"fontSize\":\"small\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"0\"},\"margin\":{\"bottom\":\"var:preset|spacing|small\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:var(--wp--preset--spacing--small)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":282,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img2.png\" alt=\"\" class=\"wp-image-282\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">۰۲۱-۸۹۶۵۶</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-bottom:0\">نیاز به کمک دارید؟</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":86,\"width\":\"60px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img3.jpg\" alt=\"\" class=\"wp-image-86\" style=\"border-radius:50%;width:60px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">حمزه همتی</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-bottom:0\">مدیر فروش</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img4.jpg\",\"id\":88,\"dimRatio\":70,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"minHeight\":350,\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"min-height:350px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-70 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-88\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img4.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":90,\"width\":\"80px\",\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img5.png\" alt=\"\" class=\"wp-image-90\" style=\"width:80px\"/></a></figure>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"40%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:40%\"><!-- wp:image {\"id\":115,\"width\":\"513px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img6.jpg\" alt=\"\" class=\"wp-image-115\" style=\"width:513px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|small\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"290px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-bottom:var(--wp--preset--spacing--small)\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"top\":\"-65px\"},\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|x-small\",\"right\":\"var:preset|spacing|x-small\"}},\"border\":{\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:-65px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--x-small)\"><!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pure-white\"}}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"125px\"}},\"textColor\":\"pure-white\",\"fontSize\":\"xxx-large\"} -->\n<h2 class=\"wp-block-heading has-pure-white-color has-text-color has-link-color has-xxx-large-font-size\" style=\"font-style:normal;font-weight:900\">25+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"typography\":{\"lineHeight\":\"1.2\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pure-white\"}}}},\"textColor\":\"pure-white\"} -->\n<h6 class=\"wp-block-heading has-pure-white-color has-text-color has-link-color\" style=\"line-height:1.2\">سال تجریه</h6>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"margin-bottom:var(--wp--preset--spacing--small)\">چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است. نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}},\"border\":{\"radius\":\"0px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--medium)\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img1.jpg\",\"id\":118,\"hasParallax\":true,\"dimRatio\":90,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"minHeight\":300,\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-parallax\" style=\"min-height:300px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-90 has-background-dim\"></span><div class=\"wp-block-cover__image-background wp-image-118 has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img1.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"grid\",\"minimumColumnWidth\":\"17rem\",\"columnCount\":null}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":132,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img2.png\" alt=\"\" class=\"wp-image-132\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">10k+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">پروژه تکمیل شده</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":290,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img3.png\" alt=\"\" class=\"wp-image-290\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">90k+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">تیم تجربه</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":285,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img4.png\" alt=\"\" class=\"wp-image-285\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">97%</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">میزان تایید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":287,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img5.png\" alt=\"\" class=\"wp-image-287\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">800</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">پروژه فعال</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|xx-large\",\"left\":\"var:preset|spacing|x-small\",\"right\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-right:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--xx-large);padding-left:var(--wp--preset--spacing--x-small)\"><!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|large\"},\"blockGap\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:var(--wp--preset--spacing--large)\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"font-style:normal;font-weight:700\">پروژه های کامل ما</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":{\"top\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img1.jpg\",\"id\":140,\"isUserOverlayColor\":true,\"minHeight\":250,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 21%,rgba(12,44,97,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:var(--wp--preset--spacing--medium);padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 21%,rgba(12,44,97,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-140\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img1.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\",\"fontSize\":\"medium\"} -->\n<h4 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color has-medium-font-size\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">اندازه گیری</h4>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img2.jpg\",\"id\":141,\"isUserOverlayColor\":true,\"minHeight\":450,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-141\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img2.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">تجزیه و تحلیل پروژه ها</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img3.jpg\",\"id\":146,\"isUserOverlayColor\":true,\"minHeight\":450,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:var(--wp--preset--spacing--medium);padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-146\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img3.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">تجهیزات مدرن</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img2.jpg\",\"id\":244,\"isUserOverlayColor\":true,\"minHeight\":250,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:0;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-244\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img2.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\"><strong>بحث در مورد پروژه</strong></h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img5.jpg\",\"id\":361,\"isUserOverlayColor\":true,\"minHeight\":250,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:var(--wp--preset--spacing--medium);padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-361\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img5.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">پروژه های مشاوره</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img1.jpg\",\"id\":239,\"isUserOverlayColor\":true,\"minHeight\":450,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-239\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img1.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">کاشی های کف</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|xx-large\"}}},\"backgroundColor\":\"surface\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-surface-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:var(--wp--preset--spacing--xx-large)\"><!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|large\"},\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:var(--wp--preset--spacing--large);padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"font-style:normal;font-weight:700\">فعالیت های کامل ما</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:query {\"queryId\":42,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"is-style-bk-box-shadow\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"padding\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|medium\",\"right\":\"0\",\"left\":\"0\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group is-style-bk-box-shadow has-accent-text-background-color has-background\" style=\"border-radius:0px;padding-top:0;padding-right:0;padding-bottom:var(--wp--preset--spacing--medium);padding-left:0\"><!-- wp:post-featured-image {\"isLink\":true,\"width\":\"\",\"height\":\"\",\"style\":{\"border\":{\"radius\":\"0px\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:post-title {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"}}} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"\",\"excerptLength\":12,\"className\":\"link-no-underline\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:read-more {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontSize\":\"small\",\"fontFamily\":\"body\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"spike-construction\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","publish","closed","closed","","home","","","2025-01-08 10:35:54","2025-01-08 10:35:54","","0","https://hamzehhemmati.ir/index.php/2025/01/08/home/","0","wp_template","","0"),
("38","1","2025-01-08 10:35:54","2025-01-08 10:35:54","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"spike-construction\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"layout\":{\"type\":\"constrained\"}} -->\n<main class=\"wp-block-group\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/banner-img1.jpg\",\"id\":15,\"dimRatio\":90,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"focalPoint\":{\"x\":0.5,\"y\":0.8},\"minHeight\":650,\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"200px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:200px;min-height:650px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-90 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-15\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/banner-img1.jpg\" style=\"object-position:50% 80%\" data-object-fit=\"cover\" data-object-position=\"50% 80%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-column is-style-default\" style=\"padding-top:0;padding-bottom:0;flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"right\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"textColor\":\"accent-text\",\"fontSize\":\"xxx-large\"} -->\n<h2 class=\"wp-block-heading has-text-align-right has-accent-text-color has-text-color has-link-color has-xxx-large-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:var(--wp--preset--spacing--small);margin-left:0;font-style:normal;font-weight:700\">تخصص در ساخت و ساز</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<p class=\"has-text-align-right\" style=\"margin-top:0;margin-right:0;margin-bottom:var(--wp--preset--spacing--medium);margin-left:0\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--medium)\">بیشتر بدانید</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"style\":{\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--medium)\">تماس</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\",\"width\":\"50%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\" style=\"flex-basis:50%\"><!-- wp:image {\"id\":18,\"width\":\"567px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/banner-img2.png\" alt=\"\" class=\"wp-image-18\" style=\"width:567px;height:auto\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"className\":\"kb-z-index\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"-95px\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull kb-z-index\" style=\"margin-top:-95px;margin-bottom:0\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"background\":{\"backgroundRepeat\":\"no-repeat\",\"backgroundSize\":\"contain\",\"backgroundPosition\":\"100% 50%\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:image {\"id\":57,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/service-img1.png\" alt=\"\" class=\"wp-image-57\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"font-style:normal;font-weight:700\">ساخت و ساز</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:var(--wp--preset--spacing--x-small)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"textColor\":\"primary\",\"className\":\"is-style-outline\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\",\"right\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}}} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-primary-color has-text-color has-link-color wp-element-button\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">بیشتر...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"background\":{\"backgroundRepeat\":\"no-repeat\",\"backgroundSize\":\"contain\",\"backgroundPosition\":\"100% 50%\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:image {\"id\":275,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/service-img2.png\" alt=\"\" class=\"wp-image-275\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"font-style:normal;font-weight:700\">نوسازی</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:var(--wp--preset--spacing--x-small)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"textColor\":\"primary\",\"className\":\"is-style-outline\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\",\"right\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}}} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-primary-color has-text-color has-link-color wp-element-button\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">بیشتر...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"background\":{\"backgroundRepeat\":\"no-repeat\",\"backgroundSize\":\"contain\",\"backgroundPosition\":\"100% 50%\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}},\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:image {\"id\":276,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/service-img3.png\" alt=\"\" class=\"wp-image-276\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"font-style:normal;font-weight:700\"><strong>اندازه گیری</strong></h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:var(--wp--preset--spacing--x-small)\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"textColor\":\"primary\",\"className\":\"is-style-outline\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\",\"right\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}}} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-primary-color has-text-color has-link-color wp-element-button\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">بیشتر...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|xx-large\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:var(--wp--preset--spacing--xx-large)\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|x-large\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|x-small\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"margin-bottom:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700\"><strong>ما رهبری در ساخت و ساز هستیم!</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<p style=\"margin-top:0;margin-right:0;margin-bottom:var(--wp--preset--spacing--x-small);margin-left:0\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"bottom\":\"var:preset|spacing|small\"},\"padding\":{\"bottom\":\"var:preset|spacing|small\"}},\"border\":{\"bottom\":{\"color\":\"var:preset|color|outline\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--outline);border-bottom-width:1px;margin-bottom:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"margin-bottom:0\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<p style=\"margin-top:0;margin-bottom:0\"><img class=\"wp-image-357\" style=\"width: 16px;\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img1.png\" alt=\"\"></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"heading\",\"fontSize\":\"small\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"margin-bottom:0\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<p style=\"margin-top:0;margin-bottom:0\"><img class=\"wp-image-357\" style=\"width: 16px;\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img1.png\" alt=\"\"></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"heading\",\"fontSize\":\"small\"} -->\n<p class=\"has-heading-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"0\"},\"margin\":{\"bottom\":\"var:preset|spacing|small\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:var(--wp--preset--spacing--small)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":282,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img2.png\" alt=\"\" class=\"wp-image-282\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">۰۲۱-۸۹۶۵۶</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-bottom:0\">نیاز به کمک دارید؟</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":86,\"width\":\"60px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img3.jpg\" alt=\"\" class=\"wp-image-86\" style=\"border-radius:50%;width:60px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"large\"} -->\n<h4 class=\"wp-block-heading has-large-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">حمزه همتی</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-bottom:0\">مدیر فروش</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img4.jpg\",\"id\":88,\"dimRatio\":70,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"minHeight\":350,\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"min-height:350px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-70 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-88\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img4.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":90,\"width\":\"80px\",\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><a href=\"#\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img5.png\" alt=\"\" class=\"wp-image-90\" style=\"width:80px\"/></a></figure>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"40%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:40%\"><!-- wp:image {\"id\":115,\"width\":\"513px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/about-img6.jpg\" alt=\"\" class=\"wp-image-115\" style=\"width:513px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|small\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"290px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-bottom:var(--wp--preset--spacing--small)\"><!-- wp:group {\"className\":\"is-style-kb-box-shadow-medium\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"margin\":{\"top\":\"-65px\"},\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|x-small\",\"right\":\"var:preset|spacing|x-small\"}},\"border\":{\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group is-style-kb-box-shadow-medium has-accent-text-background-color has-background\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:-65px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--x-small)\"><!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pure-white\"}}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"125px\"}},\"textColor\":\"pure-white\",\"fontSize\":\"xxx-large\"} -->\n<h2 class=\"wp-block-heading has-pure-white-color has-text-color has-link-color has-xxx-large-font-size\" style=\"font-style:normal;font-weight:900\">25+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"typography\":{\"lineHeight\":\"1.2\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pure-white\"}}}},\"textColor\":\"pure-white\"} -->\n<h6 class=\"wp-block-heading has-pure-white-color has-text-color has-link-color\" style=\"line-height:1.2\">سال تجریه</h6>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"margin-bottom:var(--wp--preset--spacing--small)\">چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است. نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}},\"border\":{\"radius\":\"0px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--medium)\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img1.jpg\",\"id\":118,\"hasParallax\":true,\"dimRatio\":90,\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"minHeight\":300,\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-parallax\" style=\"min-height:300px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-90 has-background-dim\"></span><div class=\"wp-block-cover__image-background wp-image-118 has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img1.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"grid\",\"minimumColumnWidth\":\"17rem\",\"columnCount\":null}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":132,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img2.png\" alt=\"\" class=\"wp-image-132\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">10k+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">پروژه تکمیل شده</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":290,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img3.png\" alt=\"\" class=\"wp-image-290\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">90k+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">تیم تجربه</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":285,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img4.png\" alt=\"\" class=\"wp-image-285\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">97%</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">میزان تایید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":287,\"width\":\"90px\",\"height\":\"auto\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/counter-img5.png\" alt=\"\" class=\"wp-image-287\" style=\"width:90px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"900\"}},\"textColor\":\"accent-text\"} -->\n<h2 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;font-style:normal;font-weight:900\">800</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\">پروژه فعال</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|xx-large\",\"left\":\"var:preset|spacing|x-small\",\"right\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-right:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--xx-large);padding-left:var(--wp--preset--spacing--x-small)\"><!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|large\"},\"blockGap\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:var(--wp--preset--spacing--large)\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"font-style:normal;font-weight:700\">پروژه های کامل ما</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":{\"top\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img1.jpg\",\"id\":140,\"isUserOverlayColor\":true,\"minHeight\":250,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 21%,rgba(12,44,97,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:var(--wp--preset--spacing--medium);padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 21%,rgba(12,44,97,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-140\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img1.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\",\"fontSize\":\"medium\"} -->\n<h4 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color has-medium-font-size\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">اندازه گیری</h4>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img2.jpg\",\"id\":141,\"isUserOverlayColor\":true,\"minHeight\":450,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-141\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img2.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">تجزیه و تحلیل پروژه ها</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img3.jpg\",\"id\":146,\"isUserOverlayColor\":true,\"minHeight\":450,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:var(--wp--preset--spacing--medium);padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-146\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img3.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">تجهیزات مدرن</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img2.jpg\",\"id\":244,\"isUserOverlayColor\":true,\"minHeight\":250,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:0;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-244\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img2.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\"><strong>بحث در مورد پروژه</strong></h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img5.jpg\",\"id\":361,\"isUserOverlayColor\":true,\"minHeight\":250,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"},\"blockGap\":\"0\",\"margin\":{\"bottom\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;margin-bottom:var(--wp--preset--spacing--medium);padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium);min-height:250px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.48) 21%,rgba(12,44,97,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-361\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/gallery-img5.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">پروژه های مشاوره</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img1.jpg\",\"id\":239,\"isUserOverlayColor\":true,\"minHeight\":450,\"customGradient\":\"linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\",\"contentPosition\":\"bottom center\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-radius:0px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgba(12,44,97,0.62) 42%,rgba(255,255,255,0) 100%)\"></span><img class=\"wp-block-cover__image-background wp-image-239\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/spike-construction/assets/images/blog-img1.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|x-small\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|accent-text\"}}}},\"textColor\":\"accent-text\"} -->\n<h5 class=\"wp-block-heading has-accent-text-color has-text-color has-link-color\" style=\"margin-top:var(--wp--preset--spacing--x-small);font-style:normal;font-weight:700;line-height:1.2\">کاشی های کف</h5>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|xx-large\",\"bottom\":\"var:preset|spacing|xx-large\"}}},\"backgroundColor\":\"surface\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-surface-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--xx-large);padding-bottom:var(--wp--preset--spacing--xx-large)\"><!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|large\"},\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:var(--wp--preset--spacing--large);padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"font-style:normal;font-weight:700\">فعالیت های کامل ما</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:query {\"queryId\":42,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"is-style-bk-box-shadow\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|xx-small\",\"padding\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|medium\",\"right\":\"0\",\"left\":\"0\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"accent-text\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group is-style-bk-box-shadow has-accent-text-background-color has-background\" style=\"border-radius:0px;padding-top:0;padding-right:0;padding-bottom:var(--wp--preset--spacing--medium);padding-left:0\"><!-- wp:post-featured-image {\"isLink\":true,\"width\":\"\",\"height\":\"\",\"style\":{\"border\":{\"radius\":\"0px\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"top\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:post-title {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1.2\"}}} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"\",\"excerptLength\":12,\"className\":\"link-no-underline\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:read-more {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontSize\":\"small\",\"fontFamily\":\"body\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"spike-construction\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","37-revision-v1","","","2025-01-08 10:35:54","2025-01-08 10:35:54","","37","https://hamzehhemmati.ir/?p=38","0","revision","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("39","1","2025-01-09 07:50:06","2025-01-09 07:50:06","{\"version\": 3, \"isGlobalStylesUserThemeJSON\": true }","Custom Styles","","publish","closed","closed","","wp-global-styles-hello-elementor","","","2025-01-09 07:50:06","2025-01-09 07:50:06","","0","https://hamzehhemmati.ir/index.php/2025/01/09/wp-global-styles-hello-elementor/","0","wp_global_styles","","0"),
("41","1","2025-01-09 08:03:45","2025-01-09 08:03:45","{\n    \"blogdescription\": {\n        \"value\": \"\\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06a9\\u0633\\u0628 \\u0648 \\u06a9\\u0627\\u0631 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2025-01-09 08:03:45\"\n    }\n}","","","trash","closed","closed","","8149cccb-a1ae-40fb-a054-d324a8596bdf","","","2025-01-09 08:03:45","2025-01-09 08:03:45","","0","https://hamzehhemmati.ir/index.php/2025/01/09/8149cccb-a1ae-40fb-a054-d324a8596bdf/","0","customize_changeset","","0"),
("43","1","2025-01-09 11:42:11","2025-01-09 11:42:11","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 900\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_slnt,wght.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_italic_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_700.woff2\"]}],\"fontFamily\":\"Cardo\",\"name\":\"Cardo\",\"slug\":\"cardo\"},{\"fontFace\":[{\"fontFamily\":\"Fira Code\",\"fontStyle\":\"normal\",\"fontStretch\":\"normal\",\"fontDisplay\":\"swap\",\"fontWeight\":\"300 700\",\"src\":[\"file:.\\/assets\\/fonts\\/fira-code\\/fira-code.woff2\"]}],\"fontFamily\":\"\\\"Fira Code\\\", monospace\",\"name\":\"Fira Code\",\"slug\":\"fira-code\"},{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif\",\"name\":\"System Sans-serif\",\"slug\":\"system-sans-serif\"},{\"fontFamily\":\"Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol\",\"name\":\"System Serif\",\"slug\":\"system-serif\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-nexal","","","2025-01-09 11:43:02","2025-01-09 11:43:02","","0","https://hamzehhemmati.ir/index.php/2025/01/09/wp-global-styles-nexal/","0","wp_global_styles","","0"),
("44","1","2025-01-09 11:42:32","2025-01-09 11:42:32","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 900\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_slnt,wght.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_italic_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_700.woff2\"]}],\"fontFamily\":\"Cardo\",\"name\":\"Cardo\",\"slug\":\"cardo\"},{\"fontFace\":[{\"fontFamily\":\"Fira Code\",\"fontStyle\":\"normal\",\"fontStretch\":\"normal\",\"fontDisplay\":\"swap\",\"fontWeight\":\"300 700\",\"src\":[\"file:.\\/assets\\/fonts\\/fira-code\\/fira-code.woff2\"]}],\"fontFamily\":\"\\\"Fira Code\\\", monospace\",\"name\":\"Fira Code\",\"slug\":\"fira-code\"},{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif\",\"name\":\"System Sans-serif\",\"slug\":\"system-sans-serif\"},{\"fontFamily\":\"Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol\",\"name\":\"System Serif\",\"slug\":\"system-serif\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","43-revision-v1","","","2025-01-09 11:42:32","2025-01-09 11:42:32","","43","https://hamzehhemmati.ir/?p=44","0","revision","","0"),
("45","1","2025-01-09 11:43:02","2025-01-09 11:43:02","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 900\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_slnt,wght.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_italic_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_700.woff2\"]}],\"fontFamily\":\"Cardo\",\"name\":\"Cardo\",\"slug\":\"cardo\"},{\"fontFace\":[{\"fontFamily\":\"Fira Code\",\"fontStyle\":\"normal\",\"fontStretch\":\"normal\",\"fontDisplay\":\"swap\",\"fontWeight\":\"300 700\",\"src\":[\"file:.\\/assets\\/fonts\\/fira-code\\/fira-code.woff2\"]}],\"fontFamily\":\"\\\"Fira Code\\\", monospace\",\"name\":\"Fira Code\",\"slug\":\"fira-code\"},{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif\",\"name\":\"System Sans-serif\",\"slug\":\"system-sans-serif\"},{\"fontFamily\":\"Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol\",\"name\":\"System Serif\",\"slug\":\"system-serif\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","43-revision-v1","","","2025-01-09 11:43:02","2025-01-09 11:43:02","","43","https://hamzehhemmati.ir/?p=45","0","revision","","0"),
("46","1","2025-01-09 12:16:15","2025-01-09 12:16:15","<!-- wp:group {\"ploverBlockID\":\"8d24bf6a-e97a-4e6f-821b-7332613b3ef8\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"},\"stickyBlock\":\"no\",\"stickyZIndex\":99,\"stickyContainer\":\"document\"} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:group {\"ploverBlockID\":\"4d373cc0-1443-4c33-b90a-7184cd9d86c0\",\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"ploverBlockID\":\"85ccaab9-d76a-45e8-b865-58ce0fac8ec3\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":60,\"shouldSyncIcon\":true,\"ploverBlockID\":\"1a7b5aba-51d3-49dd-9e69-07e9d0ebd40a\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"d4d473bd-689c-4a91-9cff-0cfe2330e492\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"level\":0,\"ploverBlockID\":\"27bb37c1-2588-440f-b935-4b06984a6d67\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"textDecoration\":\"none\"}}} /-->\n\n<!-- wp:site-tagline {\"ploverBlockID\":\"09b043d4-c53e-485c-8345-fa50cda27880\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"911259b6-e7f6-4f67-b897-8edf43afa696\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":33,\"icon\":\"menu\",\"ploverBlockID\":\"ce28004f-6ead-4235-a5d2-0e771f2a1169\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|x-small\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\",\"orientation\":\"horizontal\"},\"cssOrder\":{\"desktop\":\"\",\"tablet\":1,\"mobile\":\"__INITIAL_VALUE__\"}} /-->\n\n<!-- wp:buttons {\"ploverBlockID\":\"4e1e6b52-0d4b-4b02-afb7-d97d0900a1a6\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"transparent\",\"textColor\":\"current\",\"ploverBlockID\":\"f347bafd-4551-4a44-931c-afaabc233f0c\",\"className\":\"wp-block-button plover-hide-on-dark\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|current\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|2-x-small\",\"right\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|2-x-small\",\"bottom\":\"var:preset|spacing|2-x-small\"},\"blockGap\":\"0\"}},\"onclick\":\"(() =\\u003e {\\n  if (window.togglePloverThemeMode) {\\n    window.togglePloverThemeMode(\'dark\');\\n  }\\n})();\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"moon\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cpath d=\\u0022M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z\\u0022\\u003e\\u003c/path\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button plover-hide-on-dark\"><a class=\"wp-block-button__link has-current-color has-transparent-background-color has-text-color has-background has-link-color wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--2-x-small);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--2-x-small);padding-left:var(--wp--preset--spacing--2-x-small)\"></a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"backgroundColor\":\"transparent\",\"textColor\":\"current\",\"ploverBlockID\":\"2018eecb-bc9e-417b-a137-b71bfcec09a6\",\"className\":\"wp-block-button plover-hide-on-light\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|current\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|2-x-small\",\"right\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|2-x-small\",\"bottom\":\"var:preset|spacing|2-x-small\"},\"blockGap\":\"0\"}},\"onclick\":\"(() =\\u003e {\\n  if (window.togglePloverThemeMode) {\\n    window.togglePloverThemeMode(\'light\');\\n  }\\n})();\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"sun\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003ccircle cx=\\u002212\\u0022 cy=\\u002212\\u0022 r=\\u00225\\u0022\\u003e\\u003c/circle\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u00221\\u0022 x2=\\u002212\\u0022 y2=\\u00223\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u002221\\u0022 x2=\\u002212\\u0022 y2=\\u002223\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00224.22\\u0022 y1=\\u00224.22\\u0022 x2=\\u00225.64\\u0022 y2=\\u00225.64\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002218.36\\u0022 y1=\\u002218.36\\u0022 x2=\\u002219.78\\u0022 y2=\\u002219.78\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00221\\u0022 y1=\\u002212\\u0022 x2=\\u00223\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002221\\u0022 y1=\\u002212\\u0022 x2=\\u002223\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00224.22\\u0022 y1=\\u002219.78\\u0022 x2=\\u00225.64\\u0022 y2=\\u002218.36\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002218.36\\u0022 y1=\\u00225.64\\u0022 x2=\\u002219.78\\u0022 y2=\\u00224.22\\u0022\\u003e\\u003c/line\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button plover-hide-on-light\"><a class=\"wp-block-button__link has-current-color has-transparent-background-color has-text-color has-background has-link-color wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--2-x-small);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--2-x-small);padding-left:var(--wp--preset--spacing--2-x-small)\"></a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"b2ed98c6-99f4-435e-8e0b-d00cb8512de6\",\"cssDisplay\":{\"desktop\":\"\",\"tablet\":\"none\",\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"6ea886d6-bb20-47c5-8373-88bfc9b55c94\",\"className\":\"is-style-ghost\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-ghost has-x-small-font-size\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">ورود</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"ploverBlockID\":\"3adeb481-084d-442e-a31c-8c61c4c6741c\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">ثبت نام</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Plover: Transparent Header","","publish","closed","closed","","header-transparent","","","2025-01-09 12:16:15","2025-01-09 12:16:15","","0","https://hamzehhemmati.ir/index.php/2025/01/09/header-transparent/","0","wp_template_part","","0"),
("47","1","2025-01-09 12:16:15","2025-01-09 12:16:15","<!-- wp:group {\"tagName\":\"main\",\"ploverBlockID\":\"9ed27f2b-1626-41c5-913a-3ef339386991\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/videos/header-background.mp4\",\"dimRatio\":60,\"customOverlayColor\":\"#060928\",\"isUserOverlayColor\":true,\"backgroundType\":\"video\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top center\",\"metadata\":{\"name\":\"Header with video background\"},\"ploverBlockID\":\"0dfa166e-a2d1-41b2-8650-03f9e2ee307e\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"0\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"color\":{\"duotone\":\"unset\"}},\"textColor\":\"neutral-950\"} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-top-center is-style-dark has-neutral-950-color has-text-color has-link-color\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#060928\"></span><video class=\"wp-block-cover__video-background intrinsic-ignore\" autoplay muted loop playsinline src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/videos/header-background.mp4\" data-object-fit=\"cover\"></video><div class=\"wp-block-cover__inner-container\"><!-- wp:template-part {\"slug\":\"header-transparent\",\"theme\":\"nexal\",\"tagName\":\"header\",\"area\":\"header\",\"align\":\"full\"} /-->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Hero Content\"},\"ploverBlockID\":\"e849c0a5-feac-4a57-ab67-e7a00834fb86\",\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:spacer {\"height\":\"24px\",\"ploverBlockID\":\"8d5287f0-5ce7-4176-b29e-a0a81860e285\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"ploverBlockID\":\"c6fd963e-9c19-4e66-ae17-7e3e45aeb09e\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"969f476a-a1fb-427d-82b4-58c94aa09e80\",\"align\":\"wide\",\"style\":{\"typography\":{\"lineHeight\":\"1.4\",\"textTransform\":\"capitalize\",\"fontSize\":\"5rem\"}}} -->\n<h1 class=\"wp-block-heading alignwide has-text-align-center\" style=\"font-size:5rem;line-height:1.4;text-transform:capitalize\">سفر کنید. گرفتن. به اشتراک بگذارید</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"6740ab2a-dbae-455f-8bd0-e31a9ace718c\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#ffffffad\"}}},\"color\":{\"text\":\"#ffffffad\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p class=\"has-text-align-center has-text-color has-link-color\" style=\"color:#ffffffad;font-size:16px\">زیبایی سیاره ما را از طریق لنز دوربین خود کشف کنید. پلتفرم ما شما را به کشف مناظر خیره کننده، فرهنگ های پر جنب و جوش و لحظات فراموش نشدنی دعوت می کند.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"ea2c936d-b5c6-4ecd-b0ea-d2dfd91cf9fe\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"42debf2c-8b83-47e8-843a-c1814f1a4863\",\"className\":\"is-style-ghost\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-ghost has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">اطلاعات بیشتر</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"ploverBlockID\":\"4991176d-ae46-4205-8ecc-85a7e927aeee\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">عضو شوید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"81px\",\"ploverBlockID\":\"cc08f4ae-c8f2-4047-9387-46327a990378\"} -->\n<div style=\"height:81px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Features with icon, 4 columns\"},\"ploverBlockID\":\"daee8a54-daa0-4ed2-a36c-14ff53003c55\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"f832a3ed-2ffd-4188-9a41-dcb033d95896\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"7df0c26e-9541-417a-bd69-d7f1bd47b955\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">ما مسافر و عکاس هستیم</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"2f2ec571-e7a9-4267-92f6-9bf31baef88c\"} -->\n<p class=\"has-text-align-center\">ما با اشتیاق خود برای به تصویر کشیدن ماهیت جهان از طریق لنزهای آنها، از میان کوه های دورافتاده، شهرهای شلوغ و سواحل آرام سفر می کنیم.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"31cdc757-394f-475e-bd51-cb617eabce2c\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"0a584b88-d790-412e-88c5-2d06f7bc5c4b\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"63056cf4-6c16-45a2-9e17-bf3328282fc7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/planning-icon.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"831caf51-6e14-4731-8ba8-2a25a79d9b10\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">برنامه ریزی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"3b80218c-8acd-4232-b38a-733dbc53c9a7\"} -->\n<p class=\"has-text-align-center\">کمک شخصی برای کمک به افراد برای سازماندهی کارآمد سفرهای خود.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"16a7c34c-bcaf-4926-8d2c-55020cd6a230\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"ac3ed84e-871a-4a6b-892c-97ee1e30e6a4\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"91cf8d82-d396-4f5c-9276-1d548f3b14e7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/blogging-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"516916ce-210f-4c89-ad4c-c8805a00c97f\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">وبلاگ نویسی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e0f2775f-9690-4a8c-a338-0ff881e4bc34\"} -->\n<p class=\"has-text-align-center\">ما برای افرادی که به دنبال اشتراک‌گذاری آنلاین داستان‌های سفر خود هستند، پشتیبانی می‌کنیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"d7655d6a-55ca-4935-b9db-9032e7d19093\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"24fbd3f6-882a-4a1f-b970-10c632277e54\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"560e2408-6237-4e0c-8994-f345c29f6435\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/photo-editing-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"e2db30e7-79ec-42b5-b187-bf2f68b5b901\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">ویرایش عکس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"84596d5c-b8e7-4890-b31f-51879c24dfc6\"} -->\n<p class=\"has-text-align-center\">ما به افراد کمک می کنیم تا تصاویر را بهبود بخشند و روتوش کنند تا جذابیت بصری خود را بهبود بخشند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"40e557d9-8969-4d57-bf95-6a45c1d00812\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"c70a6786-69ff-459a-b1db-264f8ab840b9\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"bac88061-7dff-4baf-94b7-2990d5ae90a7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/online-course-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"778be8a6-f358-4167-8dbc-babca9d3fc48\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">دوره های آنلاین</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"46bbe021-8543-4371-ba0e-da2e76344a3a\"} -->\n<p class=\"has-text-align-center\">ما مجموعه ای از دوره های آنلاین را برای افزایش مهارت های عکاسی شما ارائه می دهیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"5b220239-c863-4436-b444-c28bd16a91e4\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Destinations card, 4 columns\"},\"ploverBlockID\":\"b90e5ecd-7ede-41a3-901c-69799d37183a\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"39d19181-61ff-4a2a-90f7-45ed2eb752a5\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"92b987cb-4ef7-4c05-9ee4-57b4d65497dd\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:heading {\"ploverBlockID\":\"e9542a99-6ac5-46ed-bc3d-0b9fd7005112\"} -->\n<h2 class=\"wp-block-heading\">مقصد بعدی خود را انتخاب کنید</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"6c1c6316-6310-4dfe-8896-2c6c584e9d72\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"832d827c-9c58-4f4f-85f7-d3fe12675d61\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"font-style:normal;font-weight:600\"><!-- wp:paragraph {\"ploverBlockID\":\"e98a238d-dd1f-41e0-8bbd-1e0a8f78c877\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\">1000+</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"9489238c-2d94-49c6-8d08-cfa94c36d303\"} -->\n<p>مقاصد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"1dd999be-16fc-4c37-bfd4-9e1c3a44426c\",\"style\":{\"border\":{\"left\":{\"color\":\"var:preset|color|primary-color\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"border-left-color:var(--wp--preset--color--primary-color);border-left-width:4px;padding-left:var(--wp--preset--spacing--small)\">از سواحل آرام مالدیو گرفته تا خیابان های شلوغ توکیو، هر مکان دارای جاذبه های فرهنگی، تاریخی و طبیعی منحصر به فردی است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"48px\",\"ploverBlockID\":\"5cf56bdb-5883-48e2-a0fc-a68acc1a138a\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"ploverBlockID\":\"8ac006a0-ad2f-4dea-a361-29f5bc34fe01\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"6eba81a1-c594-4754-ab4f-1888426472f2\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(79,156,247,0.36) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"a004ab3a-5155-4536-8e3d-70af2c29758d\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(79,156,247,0.36) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"349e6a75-0f1e-4c0a-8b1a-aecf6c0ac60e\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"1ea45cd7-ad5c-4e83-b324-f979bb3994d2\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">یونان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"7403fadf-314a-40df-a540-435ba966b6fe\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"1adf391c-1be1-4f39-8924-bc76ca54624a\"} -->\n<p><strong>۱۰۰۰۰۰۰ تومان</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"53453d72-bf51-4304-b7fc-9d7241141c5a\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"28f8fbbb-cc4d-4a0b-8f01-abb1f0ee0509\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"05de56d0-da6f-4fab-8924-59ebfa4e9920\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-02.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(51,43,208,0.27) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"d8983a12-1a86-41d6-95f7-8be0c941501a\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(51,43,208,0.27) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-02.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"a2976dd6-5450-472d-992e-c034078be1ad\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"f55ebe4b-61a7-4eb4-bf9b-8694639826f5\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">فرانسه</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"95888b3f-2650-4ecc-986d-232d11129d87\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"eba07bb0-bf21-4e67-aa6a-01d24e9eba86\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"a3911662-5de0-46e1-82a8-97369b610535\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"494348ac-de69-4aa1-a0dd-14be5d754862\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"4d4cea06-72aa-4215-9231-dce9e5f7e26e\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-03.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(240,40,135,0.19) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"0d606012-cfc3-4657-a37d-b9fea88e7732\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(240,40,135,0.19) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-03.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"09b76c7e-284b-47fb-9953-d095fcadf632\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"9bb90823-34fe-4df3-8825-127fb1f78fcf\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">ژاپن</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"01d1b587-788b-4c5f-aa60-8e8b965bf546\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"e30760e1-272f-4718-9354-e6f47ae6d71d\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"30c943db-9a85-46f0-be7e-3d111ab833d2\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"c52d1686-ec82-4363-8a40-0ebc1b2dcbf6\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"1c55fda0-c08c-4723-a2e5-06b7dde3aed4\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-04.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(23,159,122,0.28) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"a3a61e3d-d1d8-468c-98fd-9dd45b3fdc6c\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(23,159,122,0.28) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-04.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"c477c19d-ad9e-4a8c-8d9e-0bd16bd1fe4d\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"33b37c9f-61b6-44b1-b6fe-3ab3d65b5df1\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">مالدیو</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"c2ada2b1-64da-4be3-9d01-fcf65b184fbd\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"e54d3661-74e1-43f9-986f-4f267e90e05f\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"e413f5d7-e710-4421-a3cb-08261e5bcb93\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"b28cff9a-7148-471c-b01f-ddb452bd765d\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"c5744eeb-9295-45c9-aee7-c57feec50cd8\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Left media and text\"},\"ploverBlockID\":\"4689d801-54be-4b7d-a62a-46034b03208f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"2967e493-e394-4ca3-9a57-67433fc92eaa\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"7f51ecde-ea6a-4450-90c3-fc3d3da44cb6\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"b81087d7-a6e4-4bad-8e0d-5e1f9e855e91\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"8b01670c-2528-4a82-9850-d0616b441b0d\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"66634edd-b233-4c2b-b585-cf48a2a08077\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"486d71e6-807c-423e-aabe-12c683ac4fb4\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">درباره</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"42935d17-1951-4a4c-b266-686288a96865\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"lineHeight\":\"1.4\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"line-height:1.4;text-transform:capitalize\">کارگاه های عکاسی و استراحتگاه های مسافرتی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"54632ae0-b8ac-4e70-ba1c-8d9b83db15e4\"} -->\n<p>به کارگاه های عکاسی و استراحتگاه های سفر ما بپیوندید تا مهارت های خود را در حین کاوش در مقاصد جدید تقویت کنید. این تجربیات همه جانبه با هدایت عکاسان با تجربه، یادگیری عملی را با سفر ترکیب می کند و به شما امکان می دهد هنر خود را در محیط های الهام بخش تمرین کنید و با علاقه مندان به عکاسی ارتباط برقرار کنید.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"bd908e60-ba85-4c1b-9e8c-412d79e4b615\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"06b9c43f-b23a-4812-a68e-1b23986f9f71\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Right 4 media and list\"},\"ploverBlockID\":\"0dd73839-457f-4013-8de2-046f1f3cd153\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"a90d855e-3983-421c-84dd-cf7b5447c608\",\"cssOrder\":{\"desktop\":1,\"tablet\":0,\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:columns {\"isStackedOnMobile\":false,\"ploverBlockID\":\"3e6cddff-582f-49c6-8114-68ddd3e15b6e\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|large\",\"bottom\":\"var:preset|spacing|large\",\"left\":\"var:preset|spacing|large\",\"right\":\"var:preset|spacing|large\"}}}} -->\n<div class=\"wp-block-columns is-not-stacked-on-mobile\" style=\"padding-top:var(--wp--preset--spacing--large);padding-right:var(--wp--preset--spacing--large);padding-bottom:var(--wp--preset--spacing--large);padding-left:var(--wp--preset--spacing--large)\"><!-- wp:column {\"ploverBlockID\":\"3a2467ea-6ef3-4266-88ab-4a877f2b64c8\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"5089ae31-000a-4fb6-9695-d57c3e866bdd\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-02.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d6bd7e56-6310-4431-b0ff-252934cdb36b\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"b2ba2283-2f33-4c04-92de-dab38b30914f\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"7a7b75e4-a478-4107-95ee-b9afae36515e\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-03.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"fc99ea72-319a-43de-bfcd-219c0562da1a\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-04.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"ff9f4220-4f9c-4b24-94df-d20f2db40e04\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"fa4a8547-f965-486f-8f11-67d8d0c9df51\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"8f5193e1-f752-46a8-ad94-077d70a38a34\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"b789aa35-5dfa-4e29-bbe5-c14ddb004890\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">انحصاری</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"65e17dc6-8985-418c-8acc-46fd3149a060\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">چیزی که باعث درخشش ما می شود:</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:list {\"ploverBlockID\":\"cc1ee3ae-c82e-4e7c-96e3-04f875f4c870\",\"className\":\"is-style-check-circle\",\"style\":{\"spacing\":{\"blockGap\":\"4px\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<ul style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\" class=\"wp-block-list is-style-check-circle\"><!-- wp:list-item {\"ploverBlockID\":\"9800a0af-ae24-412a-a944-81e62e13b692\"} -->\n<li>برنامه های سفر سفارشی</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"a2527680-dcad-4743-a6ab-9e7af216d9d0\"} -->\n<li>کارگاه ها و مستر کلاس ها</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"0c1e6aac-9e14-499a-af6e-6b58b37883b8\"} -->\n<li>عکاسان حرفه ای</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"67968267-a527-4b82-ad99-4ef55926a6c6\"} -->\n<li>ادغام رسانه های اجتماعی</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"3fed84fd-ab6d-4041-be97-8f4d4e5861ae\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"4b64465a-55a5-4601-b830-c901fbec1ee1\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-01.jpg\",\"hasParallax\":true,\"dimRatio\":50,\"customOverlayColor\":\"#070707\",\"isUserOverlayColor\":true,\"minHeight\":380,\"minHeightUnit\":\"px\",\"metadata\":{\"name\":\"Fixed background subscribe banner\"},\"ploverBlockID\":\"f14577b7-ce09-437e-a34a-855fc6f2fcc8\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-parallax\" style=\"min-height:380px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\" style=\"background-color:#070707\"></span><div class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"5ad270c9-73b8-4abb-b2f3-8872e45499b5\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"696cd178-83ab-42e2-9369-7b82cd230821\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">مشترک خبرنامه ما شوید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"63425b02-be9f-4793-8af2-6a0495336a23\"} -->\n<p class=\"has-text-align-center\">هیچ داستان سفر هیجان انگیز و تبلیغات سفر را از دست ندهید! اکنون در خبرنامه ما مشترک شوید. نگران نباشید، ما اغلب شما را اذیت نمی کنیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"2bac3296-1565-41e3-8336-b371f1ee192e\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"4230722f-2e47-488f-900d-9a7f439e4133\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"plus\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u00225\\u0022 x2=\\u002212\\u0022 y2=\\u002219\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00225\\u0022 y1=\\u002212\\u0022 x2=\\u002219\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">دنبال کنید!</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Heading text and bottom media\"},\"ploverBlockID\":\"e2070fca-48e7-4099-9a78-abe605086ad2\",\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"},\"blockGap\":\"var:preset|spacing|large\"}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"ce362b77-6ceb-4d7b-98bc-fb21a3607558\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"e6795525-d780-48e3-8863-f6ec9a60404b\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"eddca256-b8ab-4b89-b3a4-e3d2aea73914\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"ploverBlockID\":\"00f3403d-1555-425a-afa1-0a69cda6b1c7\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"49e30634-3532-46b2-a680-f5c83b3cfdfd\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"lineHeight\":\"1.4\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"line-height:1.4;text-transform:capitalize\">برنامه های سفر سفارشی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"f422c65d-f191-433c-8808-5f16adea52a7\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"ploverBlockID\":\"fb017950-8a01-4849-b92e-5041b3835554\",\"style\":{\"border\":{\"left\":{\"color\":\"var:preset|color|primary-color\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"border-left-color:var(--wp--preset--color--primary-color);border-left-width:4px;padding-left:var(--wp--preset--spacing--small)\">چه به دنبال ماجراجویی، آرامش یا غوطه ور شدن در فرهنگ باشید، ما یک برنامه سفر طراحی می کنیم که تضمین می کند بهترین استفاده را از سفر خود ببرید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-02.jpg\",\"dimRatio\":0,\"isUserOverlayColor\":true,\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":350,\"minHeightUnit\":\"px\",\"ploverBlockID\":\"f89cfb76-1a07-47af-a512-a59b80e82f6a\",\"align\":\"wide\",\"style\":{\"border\":{\"radius\":\"16px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignwide\" style=\"border-radius:16px;min-height:350px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-02.jpg\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"ploverBlockID\":\"5b1810a4-69e3-4b32-b19e-17b3e4bbd762\",\"fontSize\":\"large\"} -->\n<p class=\"has-text-align-center has-large-font-size\"></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Testimonials, 2 columns\"},\"ploverBlockID\":\"69680246-a168-4924-b6ed-890753cc111e\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"ploverBlockID\":\"c1b951f0-bd39-416e-a552-1909f98971e0\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"316efa7d-b082-472d-88e6-5e02c18c75c6\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"4bb18ea1-39a7-4e71-99c6-1b36486593cb\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"right\",\"ploverBlockID\":\"92d9f5d3-5f10-4367-90b5-ff494d0baaa0\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-right\" style=\"text-transform:none\">آنچه مشتریان ما می گویند</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"ploverBlockID\":\"88e5aca6-9e90-4327-8b3a-cdc97ec61a47\"} -->\n<p class=\"has-text-align-right\">فقط حرف ما را قبول نکنید. به آنچه مشتریان ما می گویند گوش دهید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"e0cca6a6-37e0-49bd-8915-7375b34792e6\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"8b2ba7fe-41fa-4409-adf2-ee3dacc390f1\"} -->\n<p>بسته سفر آنها نه تنها شامل مقاصد شگفت‌انگیز، بلکه کارگاه‌های عکاسی متخصص به رهبری متخصصان با استعداد بود. هنگام کاوش در مکان های زیبا، چیزهای زیادی در مورد ترکیب بندی و نور یاد گرفتم. اگر از علاقه مندان به عکاسی هستید که به دنبال افزایش مهارت های خود در سفر هستید، من به شدت خدمات آنها را توصیه می کنم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"1fc7fcab-516f-4f76-8e50-b5db5c34028d\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"medium\",\"linkDestination\":\"none\",\"ploverBlockID\":\"8881184c-2252-4f87-b738-9d4dc5fe7c71\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-medium is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-01.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"454f7546-8479-444e-8df5-0d9a1428cc05\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"1f2dac8d-c338-4884-9b21-413885ddd15e\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">علی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"a1fff5b5-430d-475e-a201-b7887258c704\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">برنامه نویس</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"d9a11259-c0b4-4274-ae10-e4897c05a80a\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"ploverBlockID\":\"b4f31dc1-83f7-4027-8535-6439c7ffa3e3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"3e408932-03a1-4d91-b951-9fadffc96381\"} -->\n<p>بسته سفر آنها نه تنها شامل مقاصد شگفت‌انگیز، بلکه کارگاه‌های عکاسی متخصص به رهبری متخصصان با استعداد بود. هنگام کاوش در مکان های زیبا، چیزهای زیادی در مورد ترکیب بندی و نور یاد گرفتم. اگر از علاقه مندان به عکاسی هستید که به دنبال افزایش مهارت های خود در سفر هستید، من به شدت خدمات آنها را توصیه می کنم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"81b0e6c7-faa5-4b3a-a41a-0fdecaee922a\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d73d741e-d896-48c6-b02f-d8da519b1bc7\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-02.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"8b4df688-20dc-4314-9c63-352a7c955e9f\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"05fa0f7f-915b-49dc-84dd-24c471bdeaf8\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">رها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2b9448c0-e44f-42c2-9592-82baa9cc9e0f\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"4f477676-b0af-4cd1-8e76-b78c6348cb4e\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"fb7d7875-82bd-48ab-ac92-3f52e3116bdc\"} -->\n<p>بسته سفر آنها نه تنها شامل مقاصد شگفت‌انگیز، بلکه کارگاه‌های عکاسی متخصص به رهبری متخصصان با استعداد بود. هنگام کاوش در مکان های زیبا، چیزهای زیادی در مورد ترکیب بندی و نور یاد گرفتم. اگر از علاقه مندان به عکاسی هستید که به دنبال افزایش مهارت های خود در سفر هستید، من به شدت خدمات آنها را توصیه می کنم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"93e70d84-1f52-4995-837b-7308b6247fec\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"79841ca0-05cd-4747-a91a-203f79c16798\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-03.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"02df3ba6-d532-4d8d-9bd6-91f3d291c5ef\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"45c11215-6774-4f9f-a5ee-8393ebf08300\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">محمد</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2f75a694-7910-44c7-9067-e565db5da6b2\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Dark team members, 4 columns\"},\"ploverBlockID\":\"121953d6-f3cb-4d61-a1aa-7e38109d1fd0\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"6593848e-2c31-491c-95ea-d2a235260a44\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"579cd48b-9b1d-421a-b779-9a76605ba60f\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">با تیم ما آشنا شوید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"d3152840-9e1a-45cd-a7d6-b605a6f4e70a\"} -->\n<p class=\"has-text-align-center\">ما به داشتن یک تیم اختصاصی و پرشور از متخصصان سفر که متعهد هستند تجربه سفر شما را استثنایی کنند، مفتخریم.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"d696e49b-6f11-4358-85aa-a2f43e71fa08\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"125397cc-5917-45f6-831a-46835e4fa010\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b1602e47-cbb3-41d2-a5a0-2b0e7d98ea43\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-01.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"bcf83e41-cb2f-46e3-90f1-682718754820\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"cbc52cc2-2487-4be7-881f-ecb2847dab49\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">رها</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"f1650c75-c760-47a3-8e7e-fc2608bd7236\"} -->\n<p>طراح</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"db47176a-c55e-457f-b7c7-2dea7a0bf9a1\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"c91a4337-9e6c-4d13-965e-068d36f46639\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"50d2e076-5201-403c-9170-7720b7aaef19\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"e6aaf697-5648-46f3-9730-b221d905f3e8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"abe35197-0c4b-4128-8edd-daf36b8f0504\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"3310d272-6ad8-4df0-b1ae-4709e269c10a\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"c480b9a7-b2fc-4088-9e34-8e9bce4d6a0b\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-03.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"afe443c5-7333-4d02-986e-39c312baef93\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"591b8435-4f38-46a9-918b-d1fb24fbf470\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">جیسو</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"842f761c-d8dd-4e86-bb4e-18cb2a5895ae\"} -->\n<p>پشتیان</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"064d13ec-d267-4cec-a089-a2b2cee70f55\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"40f2cd4d-5e5c-4c10-b45d-390e5d9fff82\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"f069ee8a-f183-433d-bbbc-b37caf7f3ddb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"975037ea-ec2f-4edd-b733-9230880b55ed\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"32feae65-364f-412b-b6a2-369b5a43d40c\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"e42a415c-deee-4280-b6f0-abb8f7a13c68\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d214462f-5b8a-4bd2-a8c9-0c1dcd962419\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-02.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"cfaf6a1f-cadd-4bae-9ad8-77f21db14f06\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"75129ba2-d4c4-477f-9b35-be5744663361\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">رضا</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"aade7d07-5360-4d7e-8a0a-6a3f6f6795d4\"} -->\n<p>مدیر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"16ccab7a-26d1-427f-9bac-d7d278fa4250\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"692cb217-bb59-4d4c-bd13-dd4eb4bad774\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"857f609e-6707-4730-8b3c-674b2f4247ee\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"69599155-dd5d-4d20-9fc7-1f715dbd9e76\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"870b9279-1c5b-439d-bc2b-d3f67e01d43b\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"e9482342-0029-49b2-9f2d-93bc8fba0a00\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"210ef7d1-c91f-434e-9bb5-10eca510bea9\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-04.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"e092a52c-758a-465c-926d-9005f03e2660\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"324c8c32-f6b9-498f-98ff-6c59b32a5d88\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">علی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"32288606-7693-44c5-b291-a98fd460ff7d\"} -->\n<p>عکاس</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2d90bb15-e521-48eb-825a-456f8218faf2\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"f9f9e3b7-92e0-473c-b3ac-167f1be916db\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"0469dc53-0d0e-42ef-ba35-1e07aedc64a8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"21ad1876-0d37-4eee-83d7-194a27bd9ffb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"31faf0f4-ee8c-4fe9-aaed-e2034457eb99\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Featured call to action grid\"},\"ploverBlockID\":\"7022a845-c198-462e-a2d1-2dc45d58fec6\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-03.jpg\",\"dimRatio\":30,\"customOverlayColor\":\"#0b0b0b\",\"isUserOverlayColor\":true,\"minHeight\":488,\"minHeightUnit\":\"px\",\"ploverBlockID\":\"7dd43d7c-f5a1-4659-abd8-ab8887929552\",\"align\":\"wide\",\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"color\":{\"text\":\"#fffffe\"},\"border\":{\"radius\":\"12px\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|x-large\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignwide is-style-default has-text-color has-link-color\" style=\"border-radius:12px;color:#fffffe;min-height:488px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\" style=\"background-color:#0b0b0b\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-03.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"41547b3d-ae5c-45d4-b465-b86a944cd044\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"edf1e675-6264-4779-adf1-f24755e15566\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">زمان برای شروع سفر شما</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e80fbda1-b833-4108-8bc3-7dc3c370c580\"} -->\n<p class=\"has-text-align-center\">فرصت کشف مناظر متنوع، طعم غذاهای جدید و ارتباط با افراد با پیشینه های مختلف را در آغوش بگیرید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"f89bd66a-18f3-462c-b7f9-d4e1263d931e\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"c2d19ef2-89c2-412f-833a-911b65dc5e28\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">سفر خود را از امروز شروع کنید!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"50d4ee65-b0c8-454f-82b9-227a4de9002a\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"ba93ee21-429d-44e5-9f40-0af5918b27b7\",\"className\":\"is-style-fill\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}},\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button is-style-fill\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\">رزرو</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:columns {\"ploverBlockID\":\"9bc59e3b-29a9-464d-9d97-b81a8ea4f0f5\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"a545d7b6-160c-4ebc-8946-094ec2ba2223\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"color\":{\"text\":\"#fffffe\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\",\"left\":\"var:preset|spacing|x-large\",\"right\":\"var:preset|spacing|x-large\"}},\"border\":{\"radius\":\"12px\"}},\"gradient\":\"primary\"} -->\n<div class=\"wp-block-column has-primary-gradient-background has-text-color has-background has-link-color\" style=\"border-radius:12px;color:#fffffe;padding-top:var(--wp--preset--spacing--x-large);padding-right:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large);padding-left:var(--wp--preset--spacing--x-large)\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"06e42a0c-a342-415d-972e-09e66dd696f1\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">تلفن پشتیبانی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"46b3d741-bea5-4049-926c-ab95a26c05ce\"} -->\n<p>اگر سوالی دارید با پشتیبانی ما تماس بگیرید و ما ظرف 24 ساعت با شما تماس خواهیم گرفت.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"0d0c925f-9848-412b-b67b-bf0be96e6df8\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"}}} -->\n<p style=\"font-style:normal;font-weight:600;line-height:1\">support@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"95be59ad-635d-4a67-88e9-a8d241172f86\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\",\"left\":\"var:preset|spacing|x-large\",\"right\":\"var:preset|spacing|x-large\"}},\"border\":{\"radius\":\"12px\"}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\"} -->\n<div class=\"wp-block-column has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"border-radius:12px;padding-top:var(--wp--preset--spacing--x-large);padding-right:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large);padding-left:var(--wp--preset--spacing--x-large)\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"c583077a-f194-49ed-a408-42d0928ebaf1\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">داستان های سفر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"694f5733-3e8b-49ec-a062-db2f5471c812\"} -->\n<p>چه یک مسافر باتجربه باشید یا برای سفر بعدی خود برنامه ریزی کنید، این داستان ها مطمئناً شور و شوق شما را برای ماجراجویی شعله ور می کنند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"5729d6e4-ea66-45e8-9546-dcfcf898da36\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary-active\"}}}}}} -->\n<p class=\"has-link-color\" style=\"font-style:normal;font-weight:600;line-height:1\"><a href=\"#\">بیشتر ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Frequently Asked Questions\"},\"ploverBlockID\":\"617047e2-57a2-479a-94db-cc4b21da5e96\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|small\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"91097357-13a9-4333-91d9-036b08717417\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"512bccea-03ea-40ee-93d6-87e328b6a82d\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">سوالات متداول </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"cae4ee58-2854-4682-94e3-26caa30d14ac\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">سوالات متداول</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e1ce236e-5b01-4b3a-a828-c565fe69dfed\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"6cfa9756-8196-414a-889d-b1407cc31622\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"padding-top:0;padding-bottom:0\"><!-- wp:column {\"ploverBlockID\":\"34dc36b9-3b00-4f7e-938c-e92b79bfa3fa\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"ef245311-8242-4280-9ed2-b61b53757a2a\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"92afa5f9-8350-4253-850a-9d60542c8a7b\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"6257d4d3-aa51-4db1-ab16-b3c109d6b728\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"8f4bba59-ed56-4229-af04-a1b892d397ac\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"a6b86157-ccd7-4ae1-b431-26f02e4b19a3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"01c2351b-b00b-4238-a2a0-f44bd9394e13\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"7bbad92e-6dd7-4ec8-a34d-f6150cb02c6c\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"cf24926e-0281-4a37-adad-c6bae8a0eada\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"6c93b156-b8fb-4868-85f0-ff1569ac31e9\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"96ee9562-52c5-430e-8b0f-8e178e91ed5b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"7916dcb9-2e2c-41d2-9cd3-42a79454dd49\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"769be424-2de5-4fa4-b36b-a4ca47f75fab\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"25dbe8c5-0f32-493e-a169-4d5d8bb974ab\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Latest 3 posts\"},\"ploverBlockID\":\"9ad9b53e-84d5-4692-abf6-d49b9548403c\",\"align\":\"full\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"3aad0d6f-9ea2-4e10-a9c8-a63025f7e32f\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"line-height:1\">آخرین نوشته ها</h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":\"3\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"ploverBlockID\":\"8f2d5d97-4c98-41ac-8cc2-804f05716e04\",\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:group {\"ploverBlockID\":\"8f010cf5-497d-4be3-82dd-626a76160dc1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:0;padding-bottom:var(--wp--preset--spacing--50);padding-left:0\"><!-- wp:post-template {\"ploverBlockID\":\"923e03dd-0747-4277-8200-bea137de8a98\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"aspectRatio\":\"16/9\",\"ploverBlockID\":\"029eae52-910a-418d-8f99-5638a7c8e347\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"015cedc6-44c0-429d-a568-f0de0bb3a116\",\"style\":{\"spacing\":{\"blockGap\":\"10px\",\"margin\":{\"top\":\"var:preset|spacing|20\"},\"padding\":{\"top\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20);padding-top:0\"><!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"0db0024f-18c2-40d7-8b04-5555c7fc6f6b\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:post-title {\"isLink\":true,\"ploverBlockID\":\"e368b86c-8517-4e39-89d3-2a841f6aa231\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"fontSize\":\"3-x-large\"} /-->\n\n<!-- wp:template-part {\"slug\":\"post-meta-simpler\",\"theme\":\"nexal\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":24,\"ploverBlockID\":\"4f2c37eb-40e5-4e86-b69e-6d955249f9a2\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"textColor\":\"contrast-2\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"86c47175-ff61-437b-a1fe-614bd62065b2\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer-dark\",\"theme\":\"nexal\",\"tagName\":\"footer\",\"area\":\"footer\"} /--></main>\n<!-- /wp:group -->","نمایه","به عنوان یک قالب پشت سر هم برای تمام برگه‌ها استفاده می‌شود وقتی که یک قالب خاص‌تر تعریف نشده است.","publish","closed","closed","","index","","","2025-01-09 12:23:54","2025-01-09 12:23:54","","0","https://hamzehhemmati.ir/index.php/2025/01/09/index/","0","wp_template","","0"),
("48","1","2025-01-09 12:16:16","2025-01-09 12:16:16","<!-- wp:group {\"tagName\":\"main\",\"ploverBlockID\":\"9ed27f2b-1626-41c5-913a-3ef339386991\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/videos/header-background.mp4\",\"dimRatio\":60,\"customOverlayColor\":\"#060928\",\"isUserOverlayColor\":true,\"backgroundType\":\"video\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top center\",\"metadata\":{\"name\":\"Header with video background\"},\"ploverBlockID\":\"0dfa166e-a2d1-41b2-8650-03f9e2ee307e\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"0\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"color\":{\"duotone\":\"unset\"}},\"textColor\":\"neutral-950\"} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-top-center is-style-dark has-neutral-950-color has-text-color has-link-color\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#060928\"></span><video class=\"wp-block-cover__video-background intrinsic-ignore\" autoplay muted loop playsinline src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/videos/header-background.mp4\" data-object-fit=\"cover\"></video><div class=\"wp-block-cover__inner-container\"><!-- wp:template-part {\"slug\":\"header-transparent\",\"theme\":\"nexal\",\"tagName\":\"header\",\"area\":\"header\",\"align\":\"full\"} /-->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Hero Content\"},\"ploverBlockID\":\"e849c0a5-feac-4a57-ab67-e7a00834fb86\",\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:spacer {\"height\":\"24px\",\"ploverBlockID\":\"8d5287f0-5ce7-4176-b29e-a0a81860e285\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"ploverBlockID\":\"c6fd963e-9c19-4e66-ae17-7e3e45aeb09e\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"969f476a-a1fb-427d-82b4-58c94aa09e80\",\"align\":\"wide\",\"style\":{\"typography\":{\"lineHeight\":\"1.4\",\"textTransform\":\"capitalize\",\"fontSize\":\"5rem\"}}} -->\n<h1 class=\"wp-block-heading alignwide has-text-align-center\" style=\"font-size:5rem;line-height:1.4;text-transform:capitalize\">سفر کنید. گرفتن. به اشتراک بگذارید</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"6740ab2a-dbae-455f-8bd0-e31a9ace718c\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#ffffffad\"}}},\"color\":{\"text\":\"#ffffffad\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p class=\"has-text-align-center has-text-color has-link-color\" style=\"color:#ffffffad;font-size:16px\">زیبایی سیاره ما را از طریق لنز دوربین خود کشف کنید. پلتفرم ما شما را به کشف مناظر خیره کننده، فرهنگ های پر جنب و جوش و لحظات فراموش نشدنی دعوت می کند.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"ea2c936d-b5c6-4ecd-b0ea-d2dfd91cf9fe\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"42debf2c-8b83-47e8-843a-c1814f1a4863\",\"className\":\"is-style-ghost\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-ghost has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">اطلاعات بیشتر</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"ploverBlockID\":\"4991176d-ae46-4205-8ecc-85a7e927aeee\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">عضو شوید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"81px\",\"ploverBlockID\":\"cc08f4ae-c8f2-4047-9387-46327a990378\"} -->\n<div style=\"height:81px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Features with icon, 4 columns\"},\"ploverBlockID\":\"daee8a54-daa0-4ed2-a36c-14ff53003c55\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"f832a3ed-2ffd-4188-9a41-dcb033d95896\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"7df0c26e-9541-417a-bd69-d7f1bd47b955\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">ما مسافر و عکاس هستیم</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"2f2ec571-e7a9-4267-92f6-9bf31baef88c\"} -->\n<p class=\"has-text-align-center\">ما با اشتیاق خود برای به تصویر کشیدن ماهیت جهان از طریق لنزهای آنها، از میان کوه های دورافتاده، شهرهای شلوغ و سواحل آرام سفر می کنیم.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"31cdc757-394f-475e-bd51-cb617eabce2c\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"0a584b88-d790-412e-88c5-2d06f7bc5c4b\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"63056cf4-6c16-45a2-9e17-bf3328282fc7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/planning-icon.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"831caf51-6e14-4731-8ba8-2a25a79d9b10\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">برنامه ریزی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"3b80218c-8acd-4232-b38a-733dbc53c9a7\"} -->\n<p class=\"has-text-align-center\">کمک شخصی برای کمک به افراد برای سازماندهی کارآمد سفرهای خود.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"16a7c34c-bcaf-4926-8d2c-55020cd6a230\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"ac3ed84e-871a-4a6b-892c-97ee1e30e6a4\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"91cf8d82-d396-4f5c-9276-1d548f3b14e7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/blogging-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"516916ce-210f-4c89-ad4c-c8805a00c97f\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">وبلاگ نویسی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e0f2775f-9690-4a8c-a338-0ff881e4bc34\"} -->\n<p class=\"has-text-align-center\">ما برای افرادی که به دنبال اشتراک‌گذاری آنلاین داستان‌های سفر خود هستند، پشتیبانی می‌کنیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"d7655d6a-55ca-4935-b9db-9032e7d19093\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"24fbd3f6-882a-4a1f-b970-10c632277e54\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"560e2408-6237-4e0c-8994-f345c29f6435\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/photo-editing-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"e2db30e7-79ec-42b5-b187-bf2f68b5b901\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">ویرایش عکس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"84596d5c-b8e7-4890-b31f-51879c24dfc6\"} -->\n<p class=\"has-text-align-center\">ما به افراد کمک می کنیم تا تصاویر را بهبود بخشند و روتوش کنند تا جذابیت بصری خود را بهبود بخشند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"40e557d9-8969-4d57-bf95-6a45c1d00812\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"c70a6786-69ff-459a-b1db-264f8ab840b9\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"bac88061-7dff-4baf-94b7-2990d5ae90a7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/online-course-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"778be8a6-f358-4167-8dbc-babca9d3fc48\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">دوره های آنلاین</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"46bbe021-8543-4371-ba0e-da2e76344a3a\"} -->\n<p class=\"has-text-align-center\">ما مجموعه ای از دوره های آنلاین را برای افزایش مهارت های عکاسی شما ارائه می دهیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"5b220239-c863-4436-b444-c28bd16a91e4\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Destinations card, 4 columns\"},\"ploverBlockID\":\"b90e5ecd-7ede-41a3-901c-69799d37183a\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"39d19181-61ff-4a2a-90f7-45ed2eb752a5\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"92b987cb-4ef7-4c05-9ee4-57b4d65497dd\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:heading {\"ploverBlockID\":\"e9542a99-6ac5-46ed-bc3d-0b9fd7005112\"} -->\n<h2 class=\"wp-block-heading\">مقصد بعدی خود را انتخاب کنید</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"6c1c6316-6310-4dfe-8896-2c6c584e9d72\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"832d827c-9c58-4f4f-85f7-d3fe12675d61\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"font-style:normal;font-weight:600\"><!-- wp:paragraph {\"ploverBlockID\":\"e98a238d-dd1f-41e0-8bbd-1e0a8f78c877\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\">1000+</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"9489238c-2d94-49c6-8d08-cfa94c36d303\"} -->\n<p>مقاصد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"1dd999be-16fc-4c37-bfd4-9e1c3a44426c\",\"style\":{\"border\":{\"left\":{\"color\":\"var:preset|color|primary-color\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"border-left-color:var(--wp--preset--color--primary-color);border-left-width:4px;padding-left:var(--wp--preset--spacing--small)\">از سواحل آرام مالدیو گرفته تا خیابان های شلوغ توکیو، هر مکان دارای جاذبه های فرهنگی، تاریخی و طبیعی منحصر به فردی است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"48px\",\"ploverBlockID\":\"5cf56bdb-5883-48e2-a0fc-a68acc1a138a\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"ploverBlockID\":\"8ac006a0-ad2f-4dea-a361-29f5bc34fe01\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"6eba81a1-c594-4754-ab4f-1888426472f2\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(79,156,247,0.36) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"a004ab3a-5155-4536-8e3d-70af2c29758d\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(79,156,247,0.36) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"349e6a75-0f1e-4c0a-8b1a-aecf6c0ac60e\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"1ea45cd7-ad5c-4e83-b324-f979bb3994d2\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">یونان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"7403fadf-314a-40df-a540-435ba966b6fe\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"1adf391c-1be1-4f39-8924-bc76ca54624a\"} -->\n<p><strong>۱۰۰۰۰۰۰ تومان</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"53453d72-bf51-4304-b7fc-9d7241141c5a\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"28f8fbbb-cc4d-4a0b-8f01-abb1f0ee0509\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"05de56d0-da6f-4fab-8924-59ebfa4e9920\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-02.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(51,43,208,0.27) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"d8983a12-1a86-41d6-95f7-8be0c941501a\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(51,43,208,0.27) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-02.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"a2976dd6-5450-472d-992e-c034078be1ad\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"f55ebe4b-61a7-4eb4-bf9b-8694639826f5\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">فرانسه</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"95888b3f-2650-4ecc-986d-232d11129d87\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"eba07bb0-bf21-4e67-aa6a-01d24e9eba86\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"a3911662-5de0-46e1-82a8-97369b610535\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"494348ac-de69-4aa1-a0dd-14be5d754862\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"4d4cea06-72aa-4215-9231-dce9e5f7e26e\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-03.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(240,40,135,0.19) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"0d606012-cfc3-4657-a37d-b9fea88e7732\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(240,40,135,0.19) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-03.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"09b76c7e-284b-47fb-9953-d095fcadf632\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"9bb90823-34fe-4df3-8825-127fb1f78fcf\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">ژاپن</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"01d1b587-788b-4c5f-aa60-8e8b965bf546\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"e30760e1-272f-4718-9354-e6f47ae6d71d\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"30c943db-9a85-46f0-be7e-3d111ab833d2\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"c52d1686-ec82-4363-8a40-0ebc1b2dcbf6\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"1c55fda0-c08c-4723-a2e5-06b7dde3aed4\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-04.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(23,159,122,0.28) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"a3a61e3d-d1d8-468c-98fd-9dd45b3fdc6c\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(23,159,122,0.28) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-04.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"c477c19d-ad9e-4a8c-8d9e-0bd16bd1fe4d\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"33b37c9f-61b6-44b1-b6fe-3ab3d65b5df1\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">مالدیو</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"c2ada2b1-64da-4be3-9d01-fcf65b184fbd\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"e54d3661-74e1-43f9-986f-4f267e90e05f\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"e413f5d7-e710-4421-a3cb-08261e5bcb93\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"b28cff9a-7148-471c-b01f-ddb452bd765d\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"c5744eeb-9295-45c9-aee7-c57feec50cd8\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Left media and text\"},\"ploverBlockID\":\"4689d801-54be-4b7d-a62a-46034b03208f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"2967e493-e394-4ca3-9a57-67433fc92eaa\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"7f51ecde-ea6a-4450-90c3-fc3d3da44cb6\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"b81087d7-a6e4-4bad-8e0d-5e1f9e855e91\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"8b01670c-2528-4a82-9850-d0616b441b0d\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"66634edd-b233-4c2b-b585-cf48a2a08077\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"486d71e6-807c-423e-aabe-12c683ac4fb4\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">درباره</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"42935d17-1951-4a4c-b266-686288a96865\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"lineHeight\":\"1.4\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"line-height:1.4;text-transform:capitalize\">کارگاه های عکاسی و استراحتگاه های مسافرتی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"54632ae0-b8ac-4e70-ba1c-8d9b83db15e4\"} -->\n<p>به کارگاه های عکاسی و استراحتگاه های سفر ما بپیوندید تا مهارت های خود را در حین کاوش در مقاصد جدید تقویت کنید. این تجربیات همه جانبه با هدایت عکاسان با تجربه، یادگیری عملی را با سفر ترکیب می کند و به شما امکان می دهد هنر خود را در محیط های الهام بخش تمرین کنید و با علاقه مندان به عکاسی ارتباط برقرار کنید.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"bd908e60-ba85-4c1b-9e8c-412d79e4b615\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"06b9c43f-b23a-4812-a68e-1b23986f9f71\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Right 4 media and list\"},\"ploverBlockID\":\"0dd73839-457f-4013-8de2-046f1f3cd153\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"a90d855e-3983-421c-84dd-cf7b5447c608\",\"cssOrder\":{\"desktop\":1,\"tablet\":0,\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:columns {\"isStackedOnMobile\":false,\"ploverBlockID\":\"3e6cddff-582f-49c6-8114-68ddd3e15b6e\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|large\",\"bottom\":\"var:preset|spacing|large\",\"left\":\"var:preset|spacing|large\",\"right\":\"var:preset|spacing|large\"}}}} -->\n<div class=\"wp-block-columns is-not-stacked-on-mobile\" style=\"padding-top:var(--wp--preset--spacing--large);padding-right:var(--wp--preset--spacing--large);padding-bottom:var(--wp--preset--spacing--large);padding-left:var(--wp--preset--spacing--large)\"><!-- wp:column {\"ploverBlockID\":\"3a2467ea-6ef3-4266-88ab-4a877f2b64c8\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"5089ae31-000a-4fb6-9695-d57c3e866bdd\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-02.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d6bd7e56-6310-4431-b0ff-252934cdb36b\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"b2ba2283-2f33-4c04-92de-dab38b30914f\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"7a7b75e4-a478-4107-95ee-b9afae36515e\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-03.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"fc99ea72-319a-43de-bfcd-219c0562da1a\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-04.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"ff9f4220-4f9c-4b24-94df-d20f2db40e04\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"fa4a8547-f965-486f-8f11-67d8d0c9df51\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"8f5193e1-f752-46a8-ad94-077d70a38a34\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"b789aa35-5dfa-4e29-bbe5-c14ddb004890\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">exclusive</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"65e17dc6-8985-418c-8acc-46fd3149a060\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">چیزی که باعث درخشش ما می شود:</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:list {\"ploverBlockID\":\"cc1ee3ae-c82e-4e7c-96e3-04f875f4c870\",\"className\":\"is-style-check-circle\",\"style\":{\"spacing\":{\"blockGap\":\"4px\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<ul style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\" class=\"wp-block-list is-style-check-circle\"><!-- wp:list-item {\"ploverBlockID\":\"9800a0af-ae24-412a-a944-81e62e13b692\"} -->\n<li>برنامه های سفر سفارشی</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"a2527680-dcad-4743-a6ab-9e7af216d9d0\"} -->\n<li>Workshops and Masterclasses</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"0c1e6aac-9e14-499a-af6e-6b58b37883b8\"} -->\n<li>Professional Photographers</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"67968267-a527-4b82-ad99-4ef55926a6c6\"} -->\n<li>Social Media Integration</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"3fed84fd-ab6d-4041-be97-8f4d4e5861ae\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"4b64465a-55a5-4601-b830-c901fbec1ee1\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">Get Started</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-01.jpg\",\"hasParallax\":true,\"dimRatio\":50,\"customOverlayColor\":\"#070707\",\"isUserOverlayColor\":true,\"minHeight\":380,\"minHeightUnit\":\"px\",\"metadata\":{\"name\":\"Fixed background subscribe banner\"},\"ploverBlockID\":\"f14577b7-ce09-437e-a34a-855fc6f2fcc8\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-parallax\" style=\"min-height:380px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\" style=\"background-color:#070707\"></span><div class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"5ad270c9-73b8-4abb-b2f3-8872e45499b5\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"696cd178-83ab-42e2-9369-7b82cd230821\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">Subscribe Our Newsletter!</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"63425b02-be9f-4793-8af2-6a0495336a23\"} -->\n<p class=\"has-text-align-center\">Don\'t miss any exciting travel stories and travel promotions! Subscription our newsletter now. Don\'t worry, we won\'t bother you too often.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"2bac3296-1565-41e3-8336-b371f1ee192e\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"4230722f-2e47-488f-900d-9a7f439e4133\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"plus\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u00225\\u0022 x2=\\u002212\\u0022 y2=\\u002219\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00225\\u0022 y1=\\u002212\\u0022 x2=\\u002219\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">Subscribe now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Heading text and bottom media\"},\"ploverBlockID\":\"e2070fca-48e7-4099-9a78-abe605086ad2\",\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"},\"blockGap\":\"var:preset|spacing|large\"}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"ce362b77-6ceb-4d7b-98bc-fb21a3607558\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"e6795525-d780-48e3-8863-f6ec9a60404b\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"eddca256-b8ab-4b89-b3a4-e3d2aea73914\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"ploverBlockID\":\"00f3403d-1555-425a-afa1-0a69cda6b1c7\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"49e30634-3532-46b2-a680-f5c83b3cfdfd\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"lineHeight\":\"1.4\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"line-height:1.4;text-transform:capitalize\">Tailored Travel Itineraries</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"f422c65d-f191-433c-8808-5f16adea52a7\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"ploverBlockID\":\"fb017950-8a01-4849-b92e-5041b3835554\",\"style\":{\"border\":{\"left\":{\"color\":\"var:preset|color|primary-color\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"border-left-color:var(--wp--preset--color--primary-color);border-left-width:4px;padding-left:var(--wp--preset--spacing--small)\">Whether you\'re seeking adventure, relaxation, or cultural immersion, we design a travel plan that ensures you make the most of your journey.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-02.jpg\",\"dimRatio\":0,\"isUserOverlayColor\":true,\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":350,\"minHeightUnit\":\"px\",\"ploverBlockID\":\"f89cfb76-1a07-47af-a512-a59b80e82f6a\",\"align\":\"wide\",\"style\":{\"border\":{\"radius\":\"16px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignwide\" style=\"border-radius:16px;min-height:350px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-02.jpg\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"ploverBlockID\":\"5b1810a4-69e3-4b32-b19e-17b3e4bbd762\",\"fontSize\":\"large\"} -->\n<p class=\"has-text-align-center has-large-font-size\"></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Testimonials, 2 columns\"},\"ploverBlockID\":\"69680246-a168-4924-b6ed-890753cc111e\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"ploverBlockID\":\"c1b951f0-bd39-416e-a552-1909f98971e0\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"316efa7d-b082-472d-88e6-5e02c18c75c6\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"4bb18ea1-39a7-4e71-99c6-1b36486593cb\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"ploverBlockID\":\"92d9f5d3-5f10-4367-90b5-ff494d0baaa0\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left\" style=\"text-transform:none\">What Our Customers Says</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"ploverBlockID\":\"88e5aca6-9e90-4327-8b3a-cdc97ec61a47\"} -->\n<p class=\"has-text-align-left\">Don\'t just take our word for it. Listen to what our customers have to say.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"e0cca6a6-37e0-49bd-8915-7375b34792e6\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"8b2ba7fe-41fa-4409-adf2-ee3dacc390f1\"} -->\n<p>I couldn\'t be happier with the experience! From the moment I inquired about their services, the team was incredibly responsive and attentive to my needs. The itinerary was perfectly tailored to include breathtaking landscapes and hidden gems, and our guide was not only knowledgeable but also passionate about photography. The professional photographer captured stunning moments throughout our journey, providing me with high-quality images that I will cherish forever.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"1fc7fcab-516f-4f76-8e50-b5db5c34028d\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"medium\",\"linkDestination\":\"none\",\"ploverBlockID\":\"8881184c-2252-4f87-b738-9d4dc5fe7c71\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-medium is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-01.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"454f7546-8479-444e-8df5-0d9a1428cc05\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"1f2dac8d-c338-4884-9b21-413885ddd15e\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">Harry Read</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"a1fff5b5-430d-475e-a201-b7887258c704\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">Japan Traveler</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"d9a11259-c0b4-4274-ae10-e4897c05a80a\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"ploverBlockID\":\"b4f31dc1-83f7-4027-8535-6439c7ffa3e3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"3e408932-03a1-4d91-b951-9fadffc96381\"} -->\n<p>Their travel package included not only amazing destinations but also expert photography workshops led by talented professionals. I learned so much about composition and lighting while exploring picturesque locations. If you\'re a photography enthusiast looking to enhance your skills while traveling, I highly recommend their service.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"81b0e6c7-faa5-4b3a-a41a-0fdecaee922a\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d73d741e-d896-48c6-b02f-d8da519b1bc7\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-02.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"8b4df688-20dc-4314-9c63-352a7c955e9f\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"05fa0f7f-915b-49dc-84dd-24c471bdeaf8\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">Lois Pope</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2b9448c0-e44f-42c2-9592-82baa9cc9e0f\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">Spanish Traveler</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"4f477676-b0af-4cd1-8e76-b78c6348cb4e\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"fb7d7875-82bd-48ab-ac92-3f52e3116bdc\"} -->\n<p>I had an incredible experience during my recent trip to the mountains. Their service was top-notch from start to finish. The travel arrangements were seamless, and the itinerary was packed with breathtaking views and unique experiences. The photographer was not only skilled but also made the whole group feel comfortable, resulting in natural and candid shots.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"93e70d84-1f52-4995-837b-7308b6247fec\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"79841ca0-05cd-4747-a91a-203f79c16798\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-03.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"02df3ba6-d532-4d8d-9bd6-91f3d291c5ef\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"45c11215-6774-4f9f-a5ee-8393ebf08300\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">Walter Trivett</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2f75a694-7910-44c7-9067-e565db5da6b2\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">Thailand Traveler</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Dark team members, 4 columns\"},\"ploverBlockID\":\"121953d6-f3cb-4d61-a1aa-7e38109d1fd0\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"6593848e-2c31-491c-95ea-d2a235260a44\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"579cd48b-9b1d-421a-b779-9a76605ba60f\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">Meet Our Team</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"d3152840-9e1a-45cd-a7d6-b605a6f4e70a\"} -->\n<p class=\"has-text-align-center\">We pride ourselves on having a dedicated and passionate team of travel professionals who are committed to making your travel experience exceptional.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"d696e49b-6f11-4358-85aa-a2f43e71fa08\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"125397cc-5917-45f6-831a-46835e4fa010\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b1602e47-cbb3-41d2-a5a0-2b0e7d98ea43\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-01.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"bcf83e41-cb2f-46e3-90f1-682718754820\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"cbc52cc2-2487-4be7-881f-ecb2847dab49\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">Jimmy Banh</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"f1650c75-c760-47a3-8e7e-fc2608bd7236\"} -->\n<p>Travel Consultant</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"db47176a-c55e-457f-b7c7-2dea7a0bf9a1\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">Our knowledgeable travel consultants are experts in destination planning and well versed in the latest travel trends.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"c91a4337-9e6c-4d13-965e-068d36f46639\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"50d2e076-5201-403c-9170-7720b7aaef19\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"e6aaf697-5648-46f3-9730-b221d905f3e8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"abe35197-0c4b-4128-8edd-daf36b8f0504\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"3310d272-6ad8-4df0-b1ae-4709e269c10a\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"c480b9a7-b2fc-4088-9e34-8e9bce4d6a0b\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-03.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"afe443c5-7333-4d02-986e-39c312baef93\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"591b8435-4f38-46a9-918b-d1fb24fbf470\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">Emily Johnson</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"842f761c-d8dd-4e86-bb4e-18cb2a5895ae\"} -->\n<p>Destination Specialists</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"064d13ec-d267-4cec-a089-a2b2cee70f55\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">With extensive firsthand experience in various locations around the globe, Emily provide invaluable insights and recommendations.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"40f2cd4d-5e5c-4c10-b45d-390e5d9fff82\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"f069ee8a-f183-433d-bbbc-b37caf7f3ddb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"975037ea-ec2f-4edd-b733-9230880b55ed\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"32feae65-364f-412b-b6a2-369b5a43d40c\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"e42a415c-deee-4280-b6f0-abb8f7a13c68\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d214462f-5b8a-4bd2-a8c9-0c1dcd962419\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-02.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"cfaf6a1f-cadd-4bae-9ad8-77f21db14f06\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"75129ba2-d4c4-477f-9b35-be5744663361\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">Sarah Davis</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"aade7d07-5360-4d7e-8a0a-6a3f6f6795d4\"} -->\n<p>Support Leader</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"16ccab7a-26d1-427f-9bac-d7d278fa4250\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">Our dedicated customer support team is available around the clock to assist you with any inquiries or concerns.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"692cb217-bb59-4d4c-bd13-dd4eb4bad774\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"857f609e-6707-4730-8b3c-674b2f4247ee\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"69599155-dd5d-4d20-9fc7-1f715dbd9e76\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"870b9279-1c5b-439d-bc2b-d3f67e01d43b\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"e9482342-0029-49b2-9f2d-93bc8fba0a00\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"210ef7d1-c91f-434e-9bb5-10eca510bea9\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-04.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"e092a52c-758a-465c-926d-9005f03e2660\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"324c8c32-f6b9-498f-98ff-6c59b32a5d88\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">Laura White</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"32288606-7693-44c5-b291-a98fd460ff7d\"} -->\n<p>Travel Guides</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2d90bb15-e521-48eb-825a-456f8218faf2\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">Laura enhance your travel experience by providing context and depth to the places you visit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"f9f9e3b7-92e0-473c-b3ac-167f1be916db\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"0469dc53-0d0e-42ef-ba35-1e07aedc64a8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"21ad1876-0d37-4eee-83d7-194a27bd9ffb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"31faf0f4-ee8c-4fe9-aaed-e2034457eb99\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Featured call to action grid\"},\"ploverBlockID\":\"7022a845-c198-462e-a2d1-2dc45d58fec6\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-03.jpg\",\"dimRatio\":30,\"customOverlayColor\":\"#0b0b0b\",\"isUserOverlayColor\":true,\"minHeight\":488,\"minHeightUnit\":\"px\",\"ploverBlockID\":\"7dd43d7c-f5a1-4659-abd8-ab8887929552\",\"align\":\"wide\",\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"color\":{\"text\":\"#fffffe\"},\"border\":{\"radius\":\"12px\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|x-large\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignwide is-style-default has-text-color has-link-color\" style=\"border-radius:12px;color:#fffffe;min-height:488px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\" style=\"background-color:#0b0b0b\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-03.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"41547b3d-ae5c-45d4-b465-b86a944cd044\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"edf1e675-6264-4779-adf1-f24755e15566\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">Time to Start Your Journey</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e80fbda1-b833-4108-8bc3-7dc3c370c580\"} -->\n<p class=\"has-text-align-center\">Embrace the chance to discover diverse landscapes, taste new cuisines, and connect with people from different backgrounds.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"f89bd66a-18f3-462c-b7f9-d4e1263d931e\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"c2d19ef2-89c2-412f-833a-911b65dc5e28\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">Start your journey today!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"50d4ee65-b0c8-454f-82b9-227a4de9002a\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"ba93ee21-429d-44e5-9f40-0af5918b27b7\",\"className\":\"is-style-fill\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}},\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button is-style-fill\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\">Book a trip</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:columns {\"ploverBlockID\":\"9bc59e3b-29a9-464d-9d97-b81a8ea4f0f5\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"a545d7b6-160c-4ebc-8946-094ec2ba2223\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"color\":{\"text\":\"#fffffe\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\",\"left\":\"var:preset|spacing|x-large\",\"right\":\"var:preset|spacing|x-large\"}},\"border\":{\"radius\":\"12px\"}},\"gradient\":\"primary\"} -->\n<div class=\"wp-block-column has-primary-gradient-background has-text-color has-background has-link-color\" style=\"border-radius:12px;color:#fffffe;padding-top:var(--wp--preset--spacing--x-large);padding-right:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large);padding-left:var(--wp--preset--spacing--x-large)\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"06e42a0c-a342-415d-972e-09e66dd696f1\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">Contact Support</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"46b3d741-bea5-4049-926c-ab95a26c05ce\"} -->\n<p>If you have any questions feel free to contact our support and we will get back to you within 24 hours.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"0d0c925f-9848-412b-b67b-bf0be96e6df8\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"}}} -->\n<p style=\"font-style:normal;font-weight:600;line-height:1\">support@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"95be59ad-635d-4a67-88e9-a8d241172f86\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\",\"left\":\"var:preset|spacing|x-large\",\"right\":\"var:preset|spacing|x-large\"}},\"border\":{\"radius\":\"12px\"}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\"} -->\n<div class=\"wp-block-column has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"border-radius:12px;padding-top:var(--wp--preset--spacing--x-large);padding-right:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large);padding-left:var(--wp--preset--spacing--x-large)\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"c583077a-f194-49ed-a408-42d0928ebaf1\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">Travel Stories</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"694f5733-3e8b-49ec-a062-db2f5471c812\"} -->\n<p>Whether you\'re a seasoned traveler or planning your next trip, these tales are sure to ignite your passion for adventure.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"5729d6e4-ea66-45e8-9546-dcfcf898da36\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary-active\"}}}}}} -->\n<p class=\"has-link-color\" style=\"font-style:normal;font-weight:600;line-height:1\"><a href=\"#\">Read ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Frequently Asked Questions\"},\"ploverBlockID\":\"617047e2-57a2-479a-94db-cc4b21da5e96\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|small\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"91097357-13a9-4333-91d9-036b08717417\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"512bccea-03ea-40ee-93d6-87e328b6a82d\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">\n			faq        </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"cae4ee58-2854-4682-94e3-26caa30d14ac\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">\n			Frequently Asked Questions        </h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e1ce236e-5b01-4b3a-a828-c565fe69dfed\"} -->\n<p class=\"has-text-align-center\">\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.    </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"6cfa9756-8196-414a-889d-b1407cc31622\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"padding-top:0;padding-bottom:0\"><!-- wp:column {\"ploverBlockID\":\"34dc36b9-3b00-4f7e-938c-e92b79bfa3fa\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"ef245311-8242-4280-9ed2-b61b53757a2a\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>Lorem ipsum dolor sit amet consect?</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"92afa5f9-8350-4253-850a-9d60542c8a7b\"} -->\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"6257d4d3-aa51-4db1-ab16-b3c109d6b728\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>Lorem ipsum dolor sit amet consect?</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"8f4bba59-ed56-4229-af04-a1b892d397ac\"} -->\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"a6b86157-ccd7-4ae1-b431-26f02e4b19a3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>Lorem ipsum dolor sit amet consect?</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"01c2351b-b00b-4238-a2a0-f44bd9394e13\"} -->\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"7bbad92e-6dd7-4ec8-a34d-f6150cb02c6c\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"cf24926e-0281-4a37-adad-c6bae8a0eada\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>Lorem ipsum dolor sit amet consect?</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"6c93b156-b8fb-4868-85f0-ff1569ac31e9\"} -->\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"96ee9562-52c5-430e-8b0f-8e178e91ed5b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>Lorem ipsum dolor sit amet consect?</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"7916dcb9-2e2c-41d2-9cd3-42a79454dd49\"} -->\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"769be424-2de5-4fa4-b36b-a4ca47f75fab\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>Lorem ipsum dolor sit amet consect?</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"25dbe8c5-0f32-493e-a169-4d5d8bb974ab\"} -->\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Latest 3 posts\"},\"ploverBlockID\":\"9ad9b53e-84d5-4692-abf6-d49b9548403c\",\"align\":\"full\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"3aad0d6f-9ea2-4e10-a9c8-a63025f7e32f\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"line-height:1\">\n		Latest Posts    </h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":\"3\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"ploverBlockID\":\"8f2d5d97-4c98-41ac-8cc2-804f05716e04\",\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:query-no-results {\"ploverBlockID\":\"99fcf8c8-acea-425e-964a-7c7b675161fd\"} -->\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"7bcf29ba-a2a9-4443-9080-bb3d0f6b757d\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|large\",\"bottom\":\"var:preset|spacing|large\"}}}} -->\n<p class=\"has-text-align-center\" style=\"padding-top:var(--wp--preset--spacing--large);padding-bottom:var(--wp--preset--spacing--large)\">\n			No posts were found.        </p>\n<!-- /wp:paragraph -->\n<!-- /wp:query-no-results -->\n\n<!-- wp:group {\"ploverBlockID\":\"8f010cf5-497d-4be3-82dd-626a76160dc1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:0;padding-bottom:var(--wp--preset--spacing--50);padding-left:0\"><!-- wp:post-template {\"ploverBlockID\":\"923e03dd-0747-4277-8200-bea137de8a98\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"aspectRatio\":\"16/9\",\"ploverBlockID\":\"029eae52-910a-418d-8f99-5638a7c8e347\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"015cedc6-44c0-429d-a568-f0de0bb3a116\",\"style\":{\"spacing\":{\"blockGap\":\"10px\",\"margin\":{\"top\":\"var:preset|spacing|20\"},\"padding\":{\"top\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20);padding-top:0\"><!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"0db0024f-18c2-40d7-8b04-5555c7fc6f6b\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:post-title {\"isLink\":true,\"ploverBlockID\":\"e368b86c-8517-4e39-89d3-2a841f6aa231\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"fontSize\":\"3-x-large\"} /-->\n\n<!-- wp:template-part {\"slug\":\"post-meta-simpler\",\"theme\":\"nexal\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":24,\"ploverBlockID\":\"4f2c37eb-40e5-4e86-b69e-6d955249f9a2\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"textColor\":\"contrast-2\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"86c47175-ff61-437b-a1fe-614bd62065b2\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer-dark\",\"theme\":\"nexal\",\"tagName\":\"footer\",\"area\":\"footer\"} /--></main>\n<!-- /wp:group -->","نمایه","به عنوان یک قالب پشت سر هم برای تمام برگه‌ها استفاده می‌شود وقتی که یک قالب خاص‌تر تعریف نشده است.","inherit","closed","closed","","47-revision-v1","","","2025-01-09 12:16:16","2025-01-09 12:16:16","","47","https://hamzehhemmati.ir/?p=48","0","revision","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("49","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:navigation-link {\"label\":\"تیم\",\"url\":\"#\",\"ploverBlockID\":\"4e1dff1d-a6f9-4459-875a-17338422b0a5\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تاریخچه\",\"url\":\"#\",\"ploverBlockID\":\"bc1a2313-0296-474d-bc99-4f69ae429e6c\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"پشتیبان\",\"url\":\"#\",\"ploverBlockID\":\"ce3e8acb-af46-4993-b00c-46d905447ef6\"} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af-2","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","0","https://hamzehhemmati.ir/?p=49","0","wp_navigation","","0"),
("50","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:navigation-link {\"label\":\"فیسبوک\",\"url\":\"#\",\"ploverBlockID\":\"67fc604e-1be4-4857-8235-887f1b9bb8a6\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"اینستاگرام\",\"url\":\"#\",\"ploverBlockID\":\"03e27894-3851-49c1-ae3c-23d37967dc21\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"توییتر\",\"url\":\"#\",\"ploverBlockID\":\"1db27d41-b92b-43aa-9d12-74674a74c686\"} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","0","https://hamzehhemmati.ir/?p=50","0","wp_navigation","","0"),
("51","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:navigation-link {\"label\":\"قوانین\",\"url\":\"#\",\"ploverBlockID\":\"883f6d93-fdea-4de6-a271-bad07828aceb\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"شرایط\",\"url\":\"#\",\"ploverBlockID\":\"4dcdf3e6-539d-4171-b64f-6bf18925ee20\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"url\":\"#\",\"ploverBlockID\":\"b5f83c47-e06b-4b14-b69e-e5503c9a128e\"} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af-3","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","0","https://hamzehhemmati.ir/?p=51","0","wp_navigation","","0"),
("52","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:navigation-link {\"label\":\"فیسبوک\",\"url\":\"#\",\"ploverBlockID\":\"67fc604e-1be4-4857-8235-887f1b9bb8a6\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"اینستاگرام\",\"url\":\"#\",\"ploverBlockID\":\"03e27894-3851-49c1-ae3c-23d37967dc21\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"توییتر\",\"url\":\"#\",\"ploverBlockID\":\"1db27d41-b92b-43aa-9d12-74674a74c686\"} /-->","راهبری پابرگ","","inherit","closed","closed","","50-revision-v1","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","50","https://hamzehhemmati.ir/?p=52","0","revision","","0"),
("53","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:navigation-link {\"label\":\"تیم\",\"url\":\"#\",\"ploverBlockID\":\"4e1dff1d-a6f9-4459-875a-17338422b0a5\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تاریخچه\",\"url\":\"#\",\"ploverBlockID\":\"bc1a2313-0296-474d-bc99-4f69ae429e6c\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"پشتیبان\",\"url\":\"#\",\"ploverBlockID\":\"ce3e8acb-af46-4993-b00c-46d905447ef6\"} /-->","راهبری پابرگ","","inherit","closed","closed","","49-revision-v1","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","49","https://hamzehhemmati.ir/?p=53","0","revision","","0"),
("54","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:group {\"ploverBlockID\":\"270f792d-68a5-4a2a-8c26-13214e9f2bd0\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|medium\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:0;padding-bottom:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"7e8d3e65-7081-48ef-b710-6c8a6433e3e2\",\"align\":\"full\",\"gradient\":\"cool-to-warm-spectrum\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-cool-to-warm-spectrum-gradient-background has-background\"><!-- wp:spacer {\"height\":\"4px\",\"ploverBlockID\":\"fbd8df0b-22d9-4214-bdc4-cc0863026838\"} -->\n<div style=\"height:4px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"c6ebd774-f619-4bed-9dd7-106a7a8bff99\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"40%\",\"ploverBlockID\":\"017fd8dd-964d-4df2-9058-1eaaf8cf14c4\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:40%\"><!-- wp:group {\"ploverBlockID\":\"cd4eec58-dfa7-4c1c-8852-4c025de67d00\",\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"ploverBlockID\":\"7ef275bf-09fc-476f-be89-5b52271813e9\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":48,\"shouldSyncIcon\":true,\"ploverBlockID\":\"f10048a5-bf6e-416a-a5d8-2b75c4ee6b86\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /-->\n\n<!-- wp:site-title {\"level\":0,\"ploverBlockID\":\"4e52f3ad-e083-4759-a8a3-f5d2d8c50459\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"textDecoration\":\"none\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:search {\"label\":\"\",\"showLabel\":false,\"placeholder\":\"جستجو در سایت\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"ploverBlockID\":\"80b19b60-75b7-4f7f-8317-e31b4906aea3\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /-->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-600\",\"iconColorValue\":\"#52525b\",\"size\":\"has-small-icon-size\",\"ploverBlockID\":\"ba6db528-f15a-446c-a396-dcffc868b591\",\"className\":\"is-style-logos-only\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\"}}}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\" style=\"margin-top:var(--wp--preset--spacing--small);margin-bottom:var(--wp--preset--spacing--small)\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"99525643-3c43-4caa-ae59-552e0c3294bb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"x\",\"ploverBlockID\":\"359386e4-2898-428b-8da3-b0d3025c87f8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"ec6223aa-9139-44e0-b0d7-415dccd79613\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"tiktok\",\"ploverBlockID\":\"28bfac15-d7de-4b85-a994-7f0a30c4c702\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"github\",\"ploverBlockID\":\"63ad209a-0e08-489c-8a7e-fcbdc4bcacd1\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\",\"ploverBlockID\":\"08e284b0-b839-4a1b-b641-054bf24de2b9\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:group {\"ploverBlockID\":\"51f24885-0b5a-463b-aabb-7fb45d1645eb\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"ploverBlockID\":\"4d55412c-8a2e-42a4-a8c9-d34f77a94725\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"ce402810-e7cd-4ee9-9562-65283627747d\",\"className\":\"has-medium-font-size\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontFamily\":\"body\"} -->\n<h2 class=\"wp-block-heading has-medium-font-size has-body-font-family\" style=\"font-style:normal;font-weight:600\">درباره ما </h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"ploverBlockID\":\"eb56141c-bc02-4959-a211-c10665836d5c\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|10\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":49,\"overlayMenu\":\"never\",\"ploverBlockID\":\"75f50867-063e-4a07-af7c-0db75e7b2063\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"5f1f9850-3473-4dd5-a7e7-92fce2a7b288\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"8ceb84c6-ffb5-4656-9f95-60003c9dcbe2\",\"className\":\"has-medium-font-size\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontFamily\":\"body\"} -->\n<h2 class=\"wp-block-heading has-medium-font-size has-body-font-family\" style=\"font-style:normal;font-weight:600\">حریم خصوصی </h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"ploverBlockID\":\"7e676df2-25b1-4e6f-9d1a-56e9b2f304a6\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":51,\"overlayMenu\":\"never\",\"ploverBlockID\":\"081e8cef-2360-47ee-9d3e-e1349581a4bc\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"cdeeb8d6-02ce-4114-ac68-5bcc5983bd4e\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"3d5878a6-fe9e-46a8-b2b4-6f469ff2db94\",\"className\":\"has-medium-font-size\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontFamily\":\"body\"} -->\n<h2 class=\"wp-block-heading has-medium-font-size has-body-font-family\" style=\"font-style:normal;font-weight:600\">سوشیال</h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"ploverBlockID\":\"ae44f819-08db-41ce-a1c3-c1ceed8e33fd\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":50,\"overlayMenu\":\"never\",\"ploverBlockID\":\"c1902b30-bc3d-48fe-818f-a3ba3215a515\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"ploverBlockID\":\"75fb74e2-e27a-4d51-b206-058b37b49093\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"0\"}}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide has-small-font-size\" style=\"padding-top:var(--wp--preset--spacing--50);padding-bottom:0\"><!-- wp:paragraph {\"ploverBlockID\":\"e92e654d-9dfa-41c4-a8c7-dc9d0e39f9ed\"} -->\n<p>فارسی شده توسط لامرد وب</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"b5b27af1-c84c-43ce-bff0-b072595157b8\"} -->\n<p><a href=\"#\">بالا ↑</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Plover: Dark Footer","","publish","closed","closed","","footer-dark","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","0","https://hamzehhemmati.ir/index.php/2025/01/09/footer-dark/","0","wp_template_part","","0"),
("55","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:navigation-link {\"label\":\"قوانین\",\"url\":\"#\",\"ploverBlockID\":\"883f6d93-fdea-4de6-a271-bad07828aceb\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"شرایط\",\"url\":\"#\",\"ploverBlockID\":\"4dcdf3e6-539d-4171-b64f-6bf18925ee20\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"url\":\"#\",\"ploverBlockID\":\"b5f83c47-e06b-4b14-b69e-e5503c9a128e\"} /-->","راهبری پابرگ","","inherit","closed","closed","","51-revision-v1","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","51","https://hamzehhemmati.ir/?p=55","0","revision","","0"),
("56","1","2025-01-09 12:23:53","2025-01-09 12:23:53","<!-- wp:group {\"tagName\":\"main\",\"ploverBlockID\":\"9ed27f2b-1626-41c5-913a-3ef339386991\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/videos/header-background.mp4\",\"dimRatio\":60,\"customOverlayColor\":\"#060928\",\"isUserOverlayColor\":true,\"backgroundType\":\"video\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top center\",\"metadata\":{\"name\":\"Header with video background\"},\"ploverBlockID\":\"0dfa166e-a2d1-41b2-8650-03f9e2ee307e\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"0\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"color\":{\"duotone\":\"unset\"}},\"textColor\":\"neutral-950\"} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-top-center is-style-dark has-neutral-950-color has-text-color has-link-color\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#060928\"></span><video class=\"wp-block-cover__video-background intrinsic-ignore\" autoplay muted loop playsinline src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/videos/header-background.mp4\" data-object-fit=\"cover\"></video><div class=\"wp-block-cover__inner-container\"><!-- wp:template-part {\"slug\":\"header-transparent\",\"theme\":\"nexal\",\"tagName\":\"header\",\"area\":\"header\",\"align\":\"full\"} /-->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Hero Content\"},\"ploverBlockID\":\"e849c0a5-feac-4a57-ab67-e7a00834fb86\",\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:spacer {\"height\":\"24px\",\"ploverBlockID\":\"8d5287f0-5ce7-4176-b29e-a0a81860e285\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"ploverBlockID\":\"c6fd963e-9c19-4e66-ae17-7e3e45aeb09e\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"969f476a-a1fb-427d-82b4-58c94aa09e80\",\"align\":\"wide\",\"style\":{\"typography\":{\"lineHeight\":\"1.4\",\"textTransform\":\"capitalize\",\"fontSize\":\"5rem\"}}} -->\n<h1 class=\"wp-block-heading alignwide has-text-align-center\" style=\"font-size:5rem;line-height:1.4;text-transform:capitalize\">سفر کنید. گرفتن. به اشتراک بگذارید</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"6740ab2a-dbae-455f-8bd0-e31a9ace718c\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#ffffffad\"}}},\"color\":{\"text\":\"#ffffffad\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p class=\"has-text-align-center has-text-color has-link-color\" style=\"color:#ffffffad;font-size:16px\">زیبایی سیاره ما را از طریق لنز دوربین خود کشف کنید. پلتفرم ما شما را به کشف مناظر خیره کننده، فرهنگ های پر جنب و جوش و لحظات فراموش نشدنی دعوت می کند.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"ea2c936d-b5c6-4ecd-b0ea-d2dfd91cf9fe\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"42debf2c-8b83-47e8-843a-c1814f1a4863\",\"className\":\"is-style-ghost\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-ghost has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">اطلاعات بیشتر</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"ploverBlockID\":\"4991176d-ae46-4205-8ecc-85a7e927aeee\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">عضو شوید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"81px\",\"ploverBlockID\":\"cc08f4ae-c8f2-4047-9387-46327a990378\"} -->\n<div style=\"height:81px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Features with icon, 4 columns\"},\"ploverBlockID\":\"daee8a54-daa0-4ed2-a36c-14ff53003c55\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"f832a3ed-2ffd-4188-9a41-dcb033d95896\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"7df0c26e-9541-417a-bd69-d7f1bd47b955\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">ما مسافر و عکاس هستیم</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"2f2ec571-e7a9-4267-92f6-9bf31baef88c\"} -->\n<p class=\"has-text-align-center\">ما با اشتیاق خود برای به تصویر کشیدن ماهیت جهان از طریق لنزهای آنها، از میان کوه های دورافتاده، شهرهای شلوغ و سواحل آرام سفر می کنیم.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"31cdc757-394f-475e-bd51-cb617eabce2c\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"0a584b88-d790-412e-88c5-2d06f7bc5c4b\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"63056cf4-6c16-45a2-9e17-bf3328282fc7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/planning-icon.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"831caf51-6e14-4731-8ba8-2a25a79d9b10\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">برنامه ریزی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"3b80218c-8acd-4232-b38a-733dbc53c9a7\"} -->\n<p class=\"has-text-align-center\">کمک شخصی برای کمک به افراد برای سازماندهی کارآمد سفرهای خود.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"16a7c34c-bcaf-4926-8d2c-55020cd6a230\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"ac3ed84e-871a-4a6b-892c-97ee1e30e6a4\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"91cf8d82-d396-4f5c-9276-1d548f3b14e7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/blogging-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"516916ce-210f-4c89-ad4c-c8805a00c97f\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">وبلاگ نویسی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e0f2775f-9690-4a8c-a338-0ff881e4bc34\"} -->\n<p class=\"has-text-align-center\">ما برای افرادی که به دنبال اشتراک‌گذاری آنلاین داستان‌های سفر خود هستند، پشتیبانی می‌کنیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"d7655d6a-55ca-4935-b9db-9032e7d19093\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"24fbd3f6-882a-4a1f-b970-10c632277e54\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"560e2408-6237-4e0c-8994-f345c29f6435\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/photo-editing-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"e2db30e7-79ec-42b5-b187-bf2f68b5b901\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">ویرایش عکس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"84596d5c-b8e7-4890-b31f-51879c24dfc6\"} -->\n<p class=\"has-text-align-center\">ما به افراد کمک می کنیم تا تصاویر را بهبود بخشند و روتوش کنند تا جذابیت بصری خود را بهبود بخشند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"40e557d9-8969-4d57-bf95-6a45c1d00812\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"c70a6786-69ff-459a-b1db-264f8ab840b9\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<div class=\"wp-block-column has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"bac88061-7dff-4baf-94b7-2990d5ae90a7\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/online-course-icons.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"778be8a6-f358-4167-8dbc-babca9d3fc48\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">دوره های آنلاین</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"46bbe021-8543-4371-ba0e-da2e76344a3a\"} -->\n<p class=\"has-text-align-center\">ما مجموعه ای از دوره های آنلاین را برای افزایش مهارت های عکاسی شما ارائه می دهیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"5b220239-c863-4436-b444-c28bd16a91e4\",\"style\":{\"typography\":{\"textDecoration\":\"none\"}}} -->\n<p class=\"has-text-align-center\" style=\"text-decoration:none\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\"><a href=\"#\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده</a> ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Destinations card, 4 columns\"},\"ploverBlockID\":\"b90e5ecd-7ede-41a3-901c-69799d37183a\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"39d19181-61ff-4a2a-90f7-45ed2eb752a5\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"92b987cb-4ef7-4c05-9ee4-57b4d65497dd\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:heading {\"ploverBlockID\":\"e9542a99-6ac5-46ed-bc3d-0b9fd7005112\"} -->\n<h2 class=\"wp-block-heading\">مقصد بعدی خود را انتخاب کنید</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"6c1c6316-6310-4dfe-8896-2c6c584e9d72\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"832d827c-9c58-4f4f-85f7-d3fe12675d61\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"font-style:normal;font-weight:600\"><!-- wp:paragraph {\"ploverBlockID\":\"e98a238d-dd1f-41e0-8bbd-1e0a8f78c877\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\">1000+</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"9489238c-2d94-49c6-8d08-cfa94c36d303\"} -->\n<p>مقاصد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"1dd999be-16fc-4c37-bfd4-9e1c3a44426c\",\"style\":{\"border\":{\"left\":{\"color\":\"var:preset|color|primary-color\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"border-left-color:var(--wp--preset--color--primary-color);border-left-width:4px;padding-left:var(--wp--preset--spacing--small)\">از سواحل آرام مالدیو گرفته تا خیابان های شلوغ توکیو، هر مکان دارای جاذبه های فرهنگی، تاریخی و طبیعی منحصر به فردی است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"48px\",\"ploverBlockID\":\"5cf56bdb-5883-48e2-a0fc-a68acc1a138a\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"ploverBlockID\":\"8ac006a0-ad2f-4dea-a361-29f5bc34fe01\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"6eba81a1-c594-4754-ab4f-1888426472f2\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(79,156,247,0.36) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"a004ab3a-5155-4536-8e3d-70af2c29758d\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(79,156,247,0.36) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"349e6a75-0f1e-4c0a-8b1a-aecf6c0ac60e\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"1ea45cd7-ad5c-4e83-b324-f979bb3994d2\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">یونان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"7403fadf-314a-40df-a540-435ba966b6fe\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"1adf391c-1be1-4f39-8924-bc76ca54624a\"} -->\n<p><strong>۱۰۰۰۰۰۰ تومان</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"53453d72-bf51-4304-b7fc-9d7241141c5a\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"28f8fbbb-cc4d-4a0b-8f01-abb1f0ee0509\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"05de56d0-da6f-4fab-8924-59ebfa4e9920\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-02.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(51,43,208,0.27) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"d8983a12-1a86-41d6-95f7-8be0c941501a\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(51,43,208,0.27) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-02.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"a2976dd6-5450-472d-992e-c034078be1ad\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"f55ebe4b-61a7-4eb4-bf9b-8694639826f5\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">فرانسه</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"95888b3f-2650-4ecc-986d-232d11129d87\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"eba07bb0-bf21-4e67-aa6a-01d24e9eba86\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"a3911662-5de0-46e1-82a8-97369b610535\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"494348ac-de69-4aa1-a0dd-14be5d754862\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"4d4cea06-72aa-4215-9231-dce9e5f7e26e\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-03.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(240,40,135,0.19) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"0d606012-cfc3-4657-a37d-b9fea88e7732\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(240,40,135,0.19) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-03.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"09b76c7e-284b-47fb-9953-d095fcadf632\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"9bb90823-34fe-4df3-8825-127fb1f78fcf\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">ژاپن</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"01d1b587-788b-4c5f-aa60-8e8b965bf546\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"e30760e1-272f-4718-9354-e6f47ae6d71d\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"30c943db-9a85-46f0-be7e-3d111ab833d2\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"c52d1686-ec82-4363-8a40-0ebc1b2dcbf6\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"1c55fda0-c08c-4723-a2e5-06b7dde3aed4\"} -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-04.jpg\",\"isUserOverlayColor\":true,\"minHeight\":430,\"minHeightUnit\":\"px\",\"customGradient\":\"linear-gradient(0deg,rgb(21,32,58) 4%,rgba(23,159,122,0.28) 78%)\",\"contentPosition\":\"bottom center\",\"ploverBlockID\":\"a3a61e3d-d1d8-468c-98fd-9dd45b3fdc6c\",\"className\":\"is-style-default\",\"style\":{\"border\":{\"radius\":\"8px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|2-x-small\",\"left\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\"}},\"color\":{\"text\":\"#fffffe\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center is-style-default has-text-color has-link-color\" style=\"border-radius:8px;color:#fffffe;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--2-x-small);min-height:430px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(21,32,58) 4%,rgba(23,159,122,0.28) 78%)\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-04.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"ploverBlockID\":\"c477c19d-ad9e-4a8c-8d9e-0bd16bd1fe4d\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"33b37c9f-61b6-44b1-b6fe-3ab3d65b5df1\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|inherit\"}}}},\"textColor\":\"inherit\",\"fontSize\":\"3-x-large\"} -->\n<h3 class=\"wp-block-heading has-inherit-color has-text-color has-link-color has-3-x-large-font-size\">مالدیو</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"c2ada2b1-64da-4be3-9d01-fcf65b184fbd\",\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">کشوری غرق در تاریخ و زیبایی های طبیعی، ترکیبی فریبنده از خرابه های باستانی و فرهنگ پر جنب و جوش را ارائه می دهد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"e54d3661-74e1-43f9-986f-4f267e90e05f\"} -->\n<p><strong><strong>۱۰۰۰۰۰۰ تومان</strong></strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"e413f5d7-e710-4421-a3cb-08261e5bcb93\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"b28cff9a-7148-471c-b01f-ddb452bd765d\",\"className\":\"is-style-outline\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"spacing\":{\"padding\":{\"left\":\"0.85rem\",\"right\":\"0.85rem\",\"top\":\"0.75rem\",\"bottom\":\"0.75rem\"}},\"color\":{\"text\":\"#fffffe\",\"background\":\"#ffffff00\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-x-small-font-size\" style=\"text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background has-link-color wp-element-button\" style=\"color:#fffffe;background-color:#ffffff00;padding-top:0.75rem;padding-right:0.85rem;padding-bottom:0.75rem;padding-left:0.85rem\">رزرو سفر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"c5744eeb-9295-45c9-aee7-c57feec50cd8\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Left media and text\"},\"ploverBlockID\":\"4689d801-54be-4b7d-a62a-46034b03208f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"2967e493-e394-4ca3-9a57-67433fc92eaa\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"7f51ecde-ea6a-4450-90c3-fc3d3da44cb6\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"b81087d7-a6e4-4bad-8e0d-5e1f9e855e91\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"8b01670c-2528-4a82-9850-d0616b441b0d\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"66634edd-b233-4c2b-b585-cf48a2a08077\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"486d71e6-807c-423e-aabe-12c683ac4fb4\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">درباره</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"42935d17-1951-4a4c-b266-686288a96865\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"lineHeight\":\"1.4\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"line-height:1.4;text-transform:capitalize\">کارگاه های عکاسی و استراحتگاه های مسافرتی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"54632ae0-b8ac-4e70-ba1c-8d9b83db15e4\"} -->\n<p>به کارگاه های عکاسی و استراحتگاه های سفر ما بپیوندید تا مهارت های خود را در حین کاوش در مقاصد جدید تقویت کنید. این تجربیات همه جانبه با هدایت عکاسان با تجربه، یادگیری عملی را با سفر ترکیب می کند و به شما امکان می دهد هنر خود را در محیط های الهام بخش تمرین کنید و با علاقه مندان به عکاسی ارتباط برقرار کنید.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"bd908e60-ba85-4c1b-9e8c-412d79e4b615\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"06b9c43f-b23a-4812-a68e-1b23986f9f71\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Right 4 media and list\"},\"ploverBlockID\":\"0dd73839-457f-4013-8de2-046f1f3cd153\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"a90d855e-3983-421c-84dd-cf7b5447c608\",\"cssOrder\":{\"desktop\":1,\"tablet\":0,\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:columns {\"isStackedOnMobile\":false,\"ploverBlockID\":\"3e6cddff-582f-49c6-8114-68ddd3e15b6e\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|large\",\"bottom\":\"var:preset|spacing|large\",\"left\":\"var:preset|spacing|large\",\"right\":\"var:preset|spacing|large\"}}}} -->\n<div class=\"wp-block-columns is-not-stacked-on-mobile\" style=\"padding-top:var(--wp--preset--spacing--large);padding-right:var(--wp--preset--spacing--large);padding-bottom:var(--wp--preset--spacing--large);padding-left:var(--wp--preset--spacing--large)\"><!-- wp:column {\"ploverBlockID\":\"3a2467ea-6ef3-4266-88ab-4a877f2b64c8\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"5089ae31-000a-4fb6-9695-d57c3e866bdd\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-02.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d6bd7e56-6310-4431-b0ff-252934cdb36b\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/destination-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"b2ba2283-2f33-4c04-92de-dab38b30914f\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"7a7b75e4-a478-4107-95ee-b9afae36515e\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-03.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"fc99ea72-319a-43de-bfcd-219c0562da1a\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/featured-04.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"ff9f4220-4f9c-4b24-94df-d20f2db40e04\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"fa4a8547-f965-486f-8f11-67d8d0c9df51\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"8f5193e1-f752-46a8-ad94-077d70a38a34\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"b789aa35-5dfa-4e29-bbe5-c14ddb004890\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">انحصاری</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"65e17dc6-8985-418c-8acc-46fd3149a060\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">چیزی که باعث درخشش ما می شود:</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:list {\"ploverBlockID\":\"cc1ee3ae-c82e-4e7c-96e3-04f875f4c870\",\"className\":\"is-style-check-circle\",\"style\":{\"spacing\":{\"blockGap\":\"4px\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<ul style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\" class=\"wp-block-list is-style-check-circle\"><!-- wp:list-item {\"ploverBlockID\":\"9800a0af-ae24-412a-a944-81e62e13b692\"} -->\n<li>برنامه های سفر سفارشی</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"a2527680-dcad-4743-a6ab-9e7af216d9d0\"} -->\n<li>کارگاه ها و مستر کلاس ها</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"0c1e6aac-9e14-499a-af6e-6b58b37883b8\"} -->\n<li>عکاسان حرفه ای</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"67968267-a527-4b82-ad99-4ef55926a6c6\"} -->\n<li>ادغام رسانه های اجتماعی</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"3fed84fd-ab6d-4041-be97-8f4d4e5861ae\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"4b64465a-55a5-4601-b830-c901fbec1ee1\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-01.jpg\",\"hasParallax\":true,\"dimRatio\":50,\"customOverlayColor\":\"#070707\",\"isUserOverlayColor\":true,\"minHeight\":380,\"minHeightUnit\":\"px\",\"metadata\":{\"name\":\"Fixed background subscribe banner\"},\"ploverBlockID\":\"f14577b7-ce09-437e-a34a-855fc6f2fcc8\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-parallax\" style=\"min-height:380px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\" style=\"background-color:#070707\"></span><div class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"5ad270c9-73b8-4abb-b2f3-8872e45499b5\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"696cd178-83ab-42e2-9369-7b82cd230821\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">مشترک خبرنامه ما شوید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"63425b02-be9f-4793-8af2-6a0495336a23\"} -->\n<p class=\"has-text-align-center\">هیچ داستان سفر هیجان انگیز و تبلیغات سفر را از دست ندهید! اکنون در خبرنامه ما مشترک شوید. نگران نباشید، ما اغلب شما را اذیت نمی کنیم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"2bac3296-1565-41e3-8336-b371f1ee192e\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"4230722f-2e47-488f-900d-9a7f439e4133\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"padding\":{\"left\":\"18px\",\"right\":\"18px\",\"top\":\"14px\",\"bottom\":\"14px\"}}},\"fontSize\":\"x-small\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"plus\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u00225\\u0022 x2=\\u002212\\u0022 y2=\\u002219\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00225\\u0022 y1=\\u002212\\u0022 x2=\\u002219\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:14px;padding-right:18px;padding-bottom:14px;padding-left:18px\">دنبال کنید!</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Heading text and bottom media\"},\"ploverBlockID\":\"e2070fca-48e7-4099-9a78-abe605086ad2\",\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"},\"blockGap\":\"var:preset|spacing|large\"}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"ce362b77-6ceb-4d7b-98bc-fb21a3607558\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"e6795525-d780-48e3-8863-f6ec9a60404b\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"eddca256-b8ab-4b89-b3a4-e3d2aea73914\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"ploverBlockID\":\"00f3403d-1555-425a-afa1-0a69cda6b1c7\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"49e30634-3532-46b2-a680-f5c83b3cfdfd\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"lineHeight\":\"1.4\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"line-height:1.4;text-transform:capitalize\">برنامه های سفر سفارشی</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"f422c65d-f191-433c-8808-5f16adea52a7\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"ploverBlockID\":\"fb017950-8a01-4849-b92e-5041b3835554\",\"style\":{\"border\":{\"left\":{\"color\":\"var:preset|color|primary-color\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\"}}}} -->\n<p style=\"border-left-color:var(--wp--preset--color--primary-color);border-left-width:4px;padding-left:var(--wp--preset--spacing--small)\">چه به دنبال ماجراجویی، آرامش یا غوطه ور شدن در فرهنگ باشید، ما یک برنامه سفر طراحی می کنیم که تضمین می کند بهترین استفاده را از سفر خود ببرید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-02.jpg\",\"dimRatio\":0,\"isUserOverlayColor\":true,\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":350,\"minHeightUnit\":\"px\",\"ploverBlockID\":\"f89cfb76-1a07-47af-a512-a59b80e82f6a\",\"align\":\"wide\",\"style\":{\"border\":{\"radius\":\"16px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignwide\" style=\"border-radius:16px;min-height:350px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-02.jpg\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"ploverBlockID\":\"5b1810a4-69e3-4b32-b19e-17b3e4bbd762\",\"fontSize\":\"large\"} -->\n<p class=\"has-text-align-center has-large-font-size\"></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Testimonials, 2 columns\"},\"ploverBlockID\":\"69680246-a168-4924-b6ed-890753cc111e\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}},\"heading\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"ploverBlockID\":\"c1b951f0-bd39-416e-a552-1909f98971e0\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"316efa7d-b082-472d-88e6-5e02c18c75c6\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"4bb18ea1-39a7-4e71-99c6-1b36486593cb\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"right\",\"ploverBlockID\":\"92d9f5d3-5f10-4367-90b5-ff494d0baaa0\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-right\" style=\"text-transform:none\">آنچه مشتریان ما می گویند</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"ploverBlockID\":\"88e5aca6-9e90-4327-8b3a-cdc97ec61a47\"} -->\n<p class=\"has-text-align-right\">فقط حرف ما را قبول نکنید. به آنچه مشتریان ما می گویند گوش دهید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"e0cca6a6-37e0-49bd-8915-7375b34792e6\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"8b2ba7fe-41fa-4409-adf2-ee3dacc390f1\"} -->\n<p>بسته سفر آنها نه تنها شامل مقاصد شگفت‌انگیز، بلکه کارگاه‌های عکاسی متخصص به رهبری متخصصان با استعداد بود. هنگام کاوش در مکان های زیبا، چیزهای زیادی در مورد ترکیب بندی و نور یاد گرفتم. اگر از علاقه مندان به عکاسی هستید که به دنبال افزایش مهارت های خود در سفر هستید، من به شدت خدمات آنها را توصیه می کنم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"1fc7fcab-516f-4f76-8e50-b5db5c34028d\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"medium\",\"linkDestination\":\"none\",\"ploverBlockID\":\"8881184c-2252-4f87-b738-9d4dc5fe7c71\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-medium is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-01.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"454f7546-8479-444e-8df5-0d9a1428cc05\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"1f2dac8d-c338-4884-9b21-413885ddd15e\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">علی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"a1fff5b5-430d-475e-a201-b7887258c704\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">برنامه نویس</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"d9a11259-c0b4-4274-ae10-e4897c05a80a\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"ploverBlockID\":\"b4f31dc1-83f7-4027-8535-6439c7ffa3e3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"3e408932-03a1-4d91-b951-9fadffc96381\"} -->\n<p>بسته سفر آنها نه تنها شامل مقاصد شگفت‌انگیز، بلکه کارگاه‌های عکاسی متخصص به رهبری متخصصان با استعداد بود. هنگام کاوش در مکان های زیبا، چیزهای زیادی در مورد ترکیب بندی و نور یاد گرفتم. اگر از علاقه مندان به عکاسی هستید که به دنبال افزایش مهارت های خود در سفر هستید، من به شدت خدمات آنها را توصیه می کنم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"81b0e6c7-faa5-4b3a-a41a-0fdecaee922a\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d73d741e-d896-48c6-b02f-d8da519b1bc7\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-02.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"8b4df688-20dc-4314-9c63-352a7c955e9f\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"05fa0f7f-915b-49dc-84dd-24c471bdeaf8\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">رها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2b9448c0-e44f-42c2-9592-82baa9cc9e0f\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"4f477676-b0af-4cd1-8e76-b78c6348cb4e\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-200\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-neutral-200-background-color has-background\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"fb7d7875-82bd-48ab-ac92-3f52e3116bdc\"} -->\n<p>بسته سفر آنها نه تنها شامل مقاصد شگفت‌انگیز، بلکه کارگاه‌های عکاسی متخصص به رهبری متخصصان با استعداد بود. هنگام کاوش در مکان های زیبا، چیزهای زیادی در مورد ترکیب بندی و نور یاد گرفتم. اگر از علاقه مندان به عکاسی هستید که به دنبال افزایش مهارت های خود در سفر هستید، من به شدت خدمات آنها را توصیه می کنم.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"ploverBlockID\":\"93e70d84-1f52-4995-837b-7308b6247fec\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"width\":\"68px\",\"height\":\"68px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"79841ca0-05cd-4747-a91a-203f79c16798\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"100px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/portrait-03.jpg\" alt=\"\" style=\"border-radius:100px;object-fit:cover;width:68px;height:68px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"02df3ba6-d532-4d8d-9bd6-91f3d291c5ef\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"45c11215-6774-4f9f-a5ee-8393ebf08300\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">محمد</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2f75a694-7910-44c7-9067-e565db5da6b2\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color has-small-font-size\">طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Dark team members, 4 columns\"},\"ploverBlockID\":\"121953d6-f3cb-4d61-a1aa-7e38109d1fd0\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"6593848e-2c31-491c-95ea-d2a235260a44\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"579cd48b-9b1d-421a-b779-9a76605ba60f\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">با تیم ما آشنا شوید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"d3152840-9e1a-45cd-a7d6-b605a6f4e70a\"} -->\n<p class=\"has-text-align-center\">ما به داشتن یک تیم اختصاصی و پرشور از متخصصان سفر که متعهد هستند تجربه سفر شما را استثنایی کنند، مفتخریم.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"d696e49b-6f11-4358-85aa-a2f43e71fa08\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"125397cc-5917-45f6-831a-46835e4fa010\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b1602e47-cbb3-41d2-a5a0-2b0e7d98ea43\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-01.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"bcf83e41-cb2f-46e3-90f1-682718754820\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"cbc52cc2-2487-4be7-881f-ecb2847dab49\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">رها</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"f1650c75-c760-47a3-8e7e-fc2608bd7236\"} -->\n<p>طراح</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"db47176a-c55e-457f-b7c7-2dea7a0bf9a1\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"c91a4337-9e6c-4d13-965e-068d36f46639\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"50d2e076-5201-403c-9170-7720b7aaef19\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"e6aaf697-5648-46f3-9730-b221d905f3e8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"abe35197-0c4b-4128-8edd-daf36b8f0504\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"3310d272-6ad8-4df0-b1ae-4709e269c10a\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"c480b9a7-b2fc-4088-9e34-8e9bce4d6a0b\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-03.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"afe443c5-7333-4d02-986e-39c312baef93\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"591b8435-4f38-46a9-918b-d1fb24fbf470\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">جیسو</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"842f761c-d8dd-4e86-bb4e-18cb2a5895ae\"} -->\n<p>پشتیان</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"064d13ec-d267-4cec-a089-a2b2cee70f55\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"40f2cd4d-5e5c-4c10-b45d-390e5d9fff82\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"f069ee8a-f183-433d-bbbc-b37caf7f3ddb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"975037ea-ec2f-4edd-b733-9230880b55ed\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"32feae65-364f-412b-b6a2-369b5a43d40c\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"e42a415c-deee-4280-b6f0-abb8f7a13c68\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"d214462f-5b8a-4bd2-a8c9-0c1dcd962419\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-02.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"cfaf6a1f-cadd-4bae-9ad8-77f21db14f06\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"75129ba2-d4c4-477f-9b35-be5744663361\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">رضا</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"aade7d07-5360-4d7e-8a0a-6a3f6f6795d4\"} -->\n<p>مدیر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"16ccab7a-26d1-427f-9bac-d7d278fa4250\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"692cb217-bb59-4d4c-bd13-dd4eb4bad774\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"857f609e-6707-4730-8b3c-674b2f4247ee\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"69599155-dd5d-4d20-9fc7-1f715dbd9e76\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"870b9279-1c5b-439d-bc2b-d3f67e01d43b\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"e9482342-0029-49b2-9f2d-93bc8fba0a00\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"210ef7d1-c91f-434e-9bb5-10eca510bea9\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/team-04.jpg\" alt=\"\" style=\"object-fit:cover\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"ploverBlockID\":\"e092a52c-758a-465c-926d-9005f03e2660\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"324c8c32-f6b9-498f-98ff-6c59b32a5d88\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">علی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"32288606-7693-44c5-b291-a98fd460ff7d\"} -->\n<p>عکاس</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"2d90bb15-e521-48eb-825a-456f8218faf2\",\"fontSize\":\"base\"} -->\n<p class=\"has-base-font-size\">مشاوران سفر آگاه ما متخصص در برنامه ریزی مقصد هستند و از آخرین روند سفر آگاه هستند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-950\",\"iconColorValue\":\"#09090b\",\"size\":\"has-normal-icon-size\",\"ploverBlockID\":\"f9f9e3b7-92e0-473c-b3ac-167f1be916db\",\"className\":\"is-style-logos-only\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|x-small\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"0469dc53-0d0e-42ef-ba35-1e07aedc64a8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"21ad1876-0d37-4eee-83d7-194a27bd9ffb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"ploverBlockID\":\"31faf0f4-ee8c-4fe9-aaed-e2034457eb99\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Featured call to action grid\"},\"ploverBlockID\":\"7022a845-c198-462e-a2d1-2dc45d58fec6\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large)\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-03.jpg\",\"dimRatio\":30,\"customOverlayColor\":\"#0b0b0b\",\"isUserOverlayColor\":true,\"minHeight\":488,\"minHeightUnit\":\"px\",\"ploverBlockID\":\"7dd43d7c-f5a1-4659-abd8-ab8887929552\",\"align\":\"wide\",\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"color\":{\"text\":\"#fffffe\"},\"border\":{\"radius\":\"12px\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|x-large\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignwide is-style-default has-text-color has-link-color\" style=\"border-radius:12px;color:#fffffe;min-height:488px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\" style=\"background-color:#0b0b0b\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/nexal/assets/images/banner-03.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"metadata\":{\"name\":\"Heading and description\"},\"ploverBlockID\":\"41547b3d-ae5c-45d4-b465-b86a944cd044\",\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"edf1e675-6264-4779-adf1-f24755e15566\",\"align\":\"wide\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center\" style=\"text-transform:none\">زمان برای شروع سفر شما</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e80fbda1-b833-4108-8bc3-7dc3c370c580\"} -->\n<p class=\"has-text-align-center\">فرصت کشف مناظر متنوع، طعم غذاهای جدید و ارتباط با افراد با پیشینه های مختلف را در آغوش بگیرید.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"f89bd66a-18f3-462c-b7f9-d4e1263d931e\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-800\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}},\"border\":{\"radius\":\"6px\"}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-800\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group has-neutral-800-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"border-radius:6px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:paragraph {\"ploverBlockID\":\"c2d19ef2-89c2-412f-833a-911b65dc5e28\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p style=\"font-style:normal;font-weight:600\">سفر خود را از امروز شروع کنید!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"50d4ee65-b0c8-454f-82b9-227a4de9002a\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"ba93ee21-429d-44e5-9f40-0af5918b27b7\",\"className\":\"is-style-fill\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\",\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}},\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-up-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00227\\u0022 y1=\\u002217\\u0022 x2=\\u002217\\u0022 y2=\\u00227\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u00227 7 17 7 17 17\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button is-style-fill\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--x-small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--x-small);padding-left:var(--wp--preset--spacing--small)\">رزرو</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:columns {\"ploverBlockID\":\"9bc59e3b-29a9-464d-9d97-b81a8ea4f0f5\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"a545d7b6-160c-4ebc-8946-094ec2ba2223\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffffe\"}}},\"color\":{\"text\":\"#fffffe\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\",\"left\":\"var:preset|spacing|x-large\",\"right\":\"var:preset|spacing|x-large\"}},\"border\":{\"radius\":\"12px\"}},\"gradient\":\"primary\"} -->\n<div class=\"wp-block-column has-primary-gradient-background has-text-color has-background has-link-color\" style=\"border-radius:12px;color:#fffffe;padding-top:var(--wp--preset--spacing--x-large);padding-right:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large);padding-left:var(--wp--preset--spacing--x-large)\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"06e42a0c-a342-415d-972e-09e66dd696f1\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">تلفن پشتیبانی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"46b3d741-bea5-4049-926c-ab95a26c05ce\"} -->\n<p>اگر سوالی دارید با پشتیبانی ما تماس بگیرید و ما ظرف 24 ساعت با شما تماس خواهیم گرفت.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"0d0c925f-9848-412b-b67b-bf0be96e6df8\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"}}} -->\n<p style=\"font-style:normal;font-weight:600;line-height:1\">support@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"95be59ad-635d-4a67-88e9-a8d241172f86\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-large\",\"bottom\":\"var:preset|spacing|x-large\",\"left\":\"var:preset|spacing|x-large\",\"right\":\"var:preset|spacing|x-large\"}},\"border\":{\"radius\":\"12px\"}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\"} -->\n<div class=\"wp-block-column has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"border-radius:12px;padding-top:var(--wp--preset--spacing--x-large);padding-right:var(--wp--preset--spacing--x-large);padding-bottom:var(--wp--preset--spacing--x-large);padding-left:var(--wp--preset--spacing--x-large)\"><!-- wp:heading {\"level\":3,\"ploverBlockID\":\"c583077a-f194-49ed-a408-42d0928ebaf1\",\"fontSize\":\"2-x-large\"} -->\n<h3 class=\"wp-block-heading has-2-x-large-font-size\">داستان های سفر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"694f5733-3e8b-49ec-a062-db2f5471c812\"} -->\n<p>چه یک مسافر باتجربه باشید یا برای سفر بعدی خود برنامه ریزی کنید، این داستان ها مطمئناً شور و شوق شما را برای ماجراجویی شعله ور می کنند.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"5729d6e4-ea66-45e8-9546-dcfcf898da36\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary-active\"}}}}}} -->\n<p class=\"has-link-color\" style=\"font-style:normal;font-weight:600;line-height:1\"><a href=\"#\">بیشتر ↗</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Frequently Asked Questions\"},\"ploverBlockID\":\"617047e2-57a2-479a-94db-cc4b21da5e96\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|small\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"91097357-13a9-4333-91d9-036b08717417\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"512bccea-03ea-40ee-93d6-87e328b6a82d\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">سوالات متداول </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"cae4ee58-2854-4682-94e3-26caa30d14ac\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">سوالات متداول</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e1ce236e-5b01-4b3a-a828-c565fe69dfed\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"6cfa9756-8196-414a-889d-b1407cc31622\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"padding-top:0;padding-bottom:0\"><!-- wp:column {\"ploverBlockID\":\"34dc36b9-3b00-4f7e-938c-e92b79bfa3fa\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"ef245311-8242-4280-9ed2-b61b53757a2a\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"92afa5f9-8350-4253-850a-9d60542c8a7b\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"6257d4d3-aa51-4db1-ab16-b3c109d6b728\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"8f4bba59-ed56-4229-af04-a1b892d397ac\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"a6b86157-ccd7-4ae1-b431-26f02e4b19a3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"01c2351b-b00b-4238-a2a0-f44bd9394e13\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"7bbad92e-6dd7-4ec8-a34d-f6150cb02c6c\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"cf24926e-0281-4a37-adad-c6bae8a0eada\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"6c93b156-b8fb-4868-85f0-ff1569ac31e9\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"96ee9562-52c5-430e-8b0f-8e178e91ed5b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"7916dcb9-2e2c-41d2-9cd3-42a79454dd49\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"769be424-2de5-4fa4-b36b-a4ca47f75fab\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگ</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"25dbe8c5-0f32-493e-a169-4d5d8bb974ab\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگلورم ایپسوم متن ساختگی با تولید سادگ</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Latest 3 posts\"},\"ploverBlockID\":\"9ad9b53e-84d5-4692-abf6-d49b9548403c\",\"align\":\"full\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"3aad0d6f-9ea2-4e10-a9c8-a63025f7e32f\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"line-height:1\">آخرین نوشته ها</h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":\"3\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"ploverBlockID\":\"8f2d5d97-4c98-41ac-8cc2-804f05716e04\",\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:group {\"ploverBlockID\":\"8f010cf5-497d-4be3-82dd-626a76160dc1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:0;padding-bottom:var(--wp--preset--spacing--50);padding-left:0\"><!-- wp:post-template {\"ploverBlockID\":\"923e03dd-0747-4277-8200-bea137de8a98\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"aspectRatio\":\"16/9\",\"ploverBlockID\":\"029eae52-910a-418d-8f99-5638a7c8e347\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"015cedc6-44c0-429d-a568-f0de0bb3a116\",\"style\":{\"spacing\":{\"blockGap\":\"10px\",\"margin\":{\"top\":\"var:preset|spacing|20\"},\"padding\":{\"top\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20);padding-top:0\"><!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"0db0024f-18c2-40d7-8b04-5555c7fc6f6b\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:post-title {\"isLink\":true,\"ploverBlockID\":\"e368b86c-8517-4e39-89d3-2a841f6aa231\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"fontSize\":\"3-x-large\"} /-->\n\n<!-- wp:template-part {\"slug\":\"post-meta-simpler\",\"theme\":\"nexal\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":24,\"ploverBlockID\":\"4f2c37eb-40e5-4e86-b69e-6d955249f9a2\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"textColor\":\"contrast-2\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"86c47175-ff61-437b-a1fe-614bd62065b2\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer-dark\",\"theme\":\"nexal\",\"tagName\":\"footer\",\"area\":\"footer\"} /--></main>\n<!-- /wp:group -->","نمایه","به عنوان یک قالب پشت سر هم برای تمام برگه‌ها استفاده می‌شود وقتی که یک قالب خاص‌تر تعریف نشده است.","inherit","closed","closed","","47-revision-v1","","","2025-01-09 12:23:53","2025-01-09 12:23:53","","47","https://hamzehhemmati.ir/?p=56","0","revision","","0"),
("58","1","2025-01-10 08:07:30","2025-01-10 08:07:30","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 900\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_slnt,wght.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_italic_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_700.woff2\"]}],\"fontFamily\":\"Cardo\",\"name\":\"Cardo\",\"slug\":\"cardo\"},{\"fontFace\":[{\"fontFamily\":\"Fira Code\",\"fontStyle\":\"normal\",\"fontStretch\":\"normal\",\"fontDisplay\":\"swap\",\"fontWeight\":\"300 700\",\"src\":[\"file:.\\/assets\\/fonts\\/fira-code\\/fira-code.woff2\"]}],\"fontFamily\":\"\\\"Fira Code\\\", monospace\",\"name\":\"Fira Code\",\"slug\":\"fira-code\"},{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif\",\"name\":\"System Sans-serif\",\"slug\":\"system-sans-serif\"},{\"fontFamily\":\"Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol\",\"name\":\"System Serif\",\"slug\":\"system-serif\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-plover","","","2025-01-10 08:15:30","2025-01-10 08:15:30","","0","https://hamzehhemmati.ir/index.php/2025/01/10/wp-global-styles-plover/","0","wp_global_styles","","0"),
("59","1","2025-01-10 08:07:54","2025-01-10 08:07:54","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 900\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_slnt,wght.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_italic_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_700.woff2\"]}],\"fontFamily\":\"Cardo\",\"name\":\"Cardo\",\"slug\":\"cardo\"},{\"fontFace\":[{\"fontFamily\":\"Fira Code\",\"fontStyle\":\"normal\",\"fontStretch\":\"normal\",\"fontDisplay\":\"swap\",\"fontWeight\":\"300 700\",\"src\":[\"file:.\\/assets\\/fonts\\/fira-code\\/fira-code.woff2\"]}],\"fontFamily\":\"\\\"Fira Code\\\", monospace\",\"name\":\"Fira Code\",\"slug\":\"fira-code\"},{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif\",\"name\":\"System Sans-serif\",\"slug\":\"system-sans-serif\"},{\"fontFamily\":\"Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol\",\"name\":\"System Serif\",\"slug\":\"system-serif\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","58-revision-v1","","","2025-01-10 08:07:54","2025-01-10 08:07:54","","58","https://hamzehhemmati.ir/?p=59","0","revision","","0"),
("60","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:navigation-link {\"label\":\"تیم\",\"url\":\"#\",\"ploverBlockID\":\"4e1dff1d-a6f9-4459-875a-17338422b0a5\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تاریخچه\",\"url\":\"#\",\"ploverBlockID\":\"bc1a2313-0296-474d-bc99-4f69ae429e6c\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\",\"ploverBlockID\":\"ce3e8acb-af46-4993-b00c-46d905447ef6\"} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af-4","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","0","https://hamzehhemmati.ir/?p=60","0","wp_navigation","","0"),
("61","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:navigation-link {\"label\":\"حریم خصوصی\",\"url\":\"#\",\"ploverBlockID\":\"883f6d93-fdea-4de6-a271-bad07828aceb\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"شرایط\",\"url\":\"#\",\"ploverBlockID\":\"4dcdf3e6-539d-4171-b64f-6bf18925ee20\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\",\"ploverBlockID\":\"b5f83c47-e06b-4b14-b69e-e5503c9a128e\"} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af-5","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","0","https://hamzehhemmati.ir/?p=61","0","wp_navigation","","0"),
("62","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:navigation-link {\"label\":\"فیسبوک\",\"url\":\"#\",\"ploverBlockID\":\"67fc604e-1be4-4857-8235-887f1b9bb8a6\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"سایت\",\"url\":\"#\",\"ploverBlockID\":\"03e27894-3851-49c1-ae3c-23d37967dc21\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"توییتر\",\"url\":\"#\",\"ploverBlockID\":\"1db27d41-b92b-43aa-9d12-74674a74c686\"} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af-6","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","0","https://hamzehhemmati.ir/?p=62","0","wp_navigation","","0"),
("63","1","2025-01-10 08:15:30","2025-01-10 08:15:30","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 900\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_slnt,wght.woff2\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_italic_400.woff2\"]},{\"fontFamily\":\"Cardo\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/cardo\\/cardo_normal_700.woff2\"]}],\"fontFamily\":\"Cardo\",\"name\":\"Cardo\",\"slug\":\"cardo\"},{\"fontFace\":[{\"fontFamily\":\"Fira Code\",\"fontStyle\":\"normal\",\"fontStretch\":\"normal\",\"fontDisplay\":\"swap\",\"fontWeight\":\"300 700\",\"src\":[\"file:.\\/assets\\/fonts\\/fira-code\\/fira-code.woff2\"]}],\"fontFamily\":\"\\\"Fira Code\\\", monospace\",\"name\":\"Fira Code\",\"slug\":\"fira-code\"},{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif\",\"name\":\"System Sans-serif\",\"slug\":\"system-sans-serif\"},{\"fontFamily\":\"Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol\",\"name\":\"System Serif\",\"slug\":\"system-serif\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","58-revision-v1","","","2025-01-10 08:15:30","2025-01-10 08:15:30","","58","https://hamzehhemmati.ir/?p=63","0","revision","","0"),
("64","1","2025-01-10 08:15:30","2025-01-10 08:15:30","<!-- wp:group {\"ploverBlockID\":\"8d24bf6a-e97a-4e6f-821b-7332613b3ef8\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"},\"stickyBlock\":\"no\",\"stickyZIndex\":99,\"stickyContainer\":\"document\"} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\"><!-- wp:group {\"ploverBlockID\":\"4d373cc0-1443-4c33-b90a-7184cd9d86c0\",\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"ploverBlockID\":\"85ccaab9-d76a-45e8-b865-58ce0fac8ec3\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":60,\"shouldSyncIcon\":true,\"ploverBlockID\":\"1a7b5aba-51d3-49dd-9e69-07e9d0ebd40a\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"d4d473bd-689c-4a91-9cff-0cfe2330e492\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"level\":0,\"ploverBlockID\":\"27bb37c1-2588-440f-b935-4b06984a6d67\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"textDecoration\":\"none\"}}} /-->\n\n<!-- wp:site-tagline {\"ploverBlockID\":\"09b043d4-c53e-485c-8345-fa50cda27880\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"911259b6-e7f6-4f67-b897-8edf43afa696\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":51,\"icon\":\"menu\",\"ploverBlockID\":\"ce28004f-6ead-4235-a5d2-0e771f2a1169\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|x-small\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\",\"orientation\":\"horizontal\"},\"cssOrder\":{\"desktop\":\"\",\"tablet\":1,\"mobile\":\"__INITIAL_VALUE__\"}} /-->\n\n<!-- wp:buttons {\"ploverBlockID\":\"4e1e6b52-0d4b-4b02-afb7-d97d0900a1a6\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"transparent\",\"textColor\":\"current\",\"ploverBlockID\":\"f347bafd-4551-4a44-931c-afaabc233f0c\",\"className\":\"wp-block-button plover-hide-on-dark\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|current\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|2-x-small\",\"right\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|2-x-small\",\"bottom\":\"var:preset|spacing|2-x-small\"},\"blockGap\":\"0\"}},\"onclick\":\"(() =\\u003e {\\n  if (window.togglePloverThemeMode) {\\n    window.togglePloverThemeMode(\'dark\');\\n  }\\n})();\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"moon\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cpath d=\\u0022M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z\\u0022\\u003e\\u003c/path\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button plover-hide-on-dark\"><a class=\"wp-block-button__link has-current-color has-transparent-background-color has-text-color has-background has-link-color wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--2-x-small);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--2-x-small);padding-left:var(--wp--preset--spacing--2-x-small)\"></a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"backgroundColor\":\"transparent\",\"textColor\":\"current\",\"ploverBlockID\":\"2018eecb-bc9e-417b-a137-b71bfcec09a6\",\"className\":\"wp-block-button plover-hide-on-light\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|current\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|2-x-small\",\"right\":\"var:preset|spacing|2-x-small\",\"top\":\"var:preset|spacing|2-x-small\",\"bottom\":\"var:preset|spacing|2-x-small\"},\"blockGap\":\"0\"}},\"onclick\":\"(() =\\u003e {\\n  if (window.togglePloverThemeMode) {\\n    window.togglePloverThemeMode(\'light\');\\n  }\\n})();\",\"iconLibrary\":\"plover-core\",\"iconSlug\":\"sun\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003ccircle cx=\\u002212\\u0022 cy=\\u002212\\u0022 r=\\u00225\\u0022\\u003e\\u003c/circle\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u00221\\u0022 x2=\\u002212\\u0022 y2=\\u00223\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002212\\u0022 y1=\\u002221\\u0022 x2=\\u002212\\u0022 y2=\\u002223\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00224.22\\u0022 y1=\\u00224.22\\u0022 x2=\\u00225.64\\u0022 y2=\\u00225.64\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002218.36\\u0022 y1=\\u002218.36\\u0022 x2=\\u002219.78\\u0022 y2=\\u002219.78\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00221\\u0022 y1=\\u002212\\u0022 x2=\\u00223\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002221\\u0022 y1=\\u002212\\u0022 x2=\\u002223\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u00224.22\\u0022 y1=\\u002219.78\\u0022 x2=\\u00225.64\\u0022 y2=\\u002218.36\\u0022\\u003e\\u003c/line\\u003e\\u003cline x1=\\u002218.36\\u0022 y1=\\u00225.64\\u0022 x2=\\u002219.78\\u0022 y2=\\u00224.22\\u0022\\u003e\\u003c/line\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button plover-hide-on-light\"><a class=\"wp-block-button__link has-current-color has-transparent-background-color has-text-color has-background has-link-color wp-element-button\" style=\"padding-top:var(--wp--preset--spacing--2-x-small);padding-right:var(--wp--preset--spacing--2-x-small);padding-bottom:var(--wp--preset--spacing--2-x-small);padding-left:var(--wp--preset--spacing--2-x-small)\"></a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"b2ed98c6-99f4-435e-8e0b-d00cb8512de6\",\"cssDisplay\":{\"desktop\":\"\",\"tablet\":\"none\",\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"6ea886d6-bb20-47c5-8373-88bfc9b55c94\",\"className\":\"is-style-ghost\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-ghost has-x-small-font-size\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">وارد شوید</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"ploverBlockID\":\"3adeb481-084d-442e-a31c-8c61c4c6741c\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"}},\"fontSize\":\"x-small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-x-small-font-size\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">ثبت نام کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Plover: Transparent Header","","publish","closed","closed","","header-transparent","","","2025-01-10 08:15:30","2025-01-10 08:15:30","","0","https://hamzehhemmati.ir/index.php/2025/01/10/header-transparent/","0","wp_template_part","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("65","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:navigation-link {\"label\":\"تیم\",\"url\":\"#\",\"ploverBlockID\":\"4e1dff1d-a6f9-4459-875a-17338422b0a5\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تاریخچه\",\"url\":\"#\",\"ploverBlockID\":\"bc1a2313-0296-474d-bc99-4f69ae429e6c\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\",\"ploverBlockID\":\"ce3e8acb-af46-4993-b00c-46d905447ef6\"} /-->","راهبری پابرگ","","inherit","closed","closed","","60-revision-v1","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","60","https://hamzehhemmati.ir/?p=65","0","revision","","0"),
("66","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:group {\"tagName\":\"main\",\"ploverBlockID\":\"9ed27f2b-1626-41c5-913a-3ef339386991\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:group {\"metadata\":{\"name\":\"Plover: Big Hero Header, Dark\"},\"ploverBlockID\":\"405ad874-88ed-4615-b9a8-20e90cfdf0d3\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|large\"},\"background\":{\"backgroundImage\":{\"url\":\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/big-hero-background.png\",\"source\":\"file\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\"><!-- wp:template-part {\"slug\":\"header-transparent\",\"theme\":\"plover\",\"tagName\":\"header\",\"area\":\"header\",\"align\":\"full\"} /-->\n\n<!-- wp:spacer {\"height\":\"48px\",\"ploverBlockID\":\"5c480ee4-0289-47d0-9e1d-246567ae8a2c\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"99468279-6321-4ab6-ab5c-5f986ec427fe\",\"style\":{\"typography\":{\"lineHeight\":\"1.25\",\"textTransform\":\"capitalize\",\"fontSize\":\"3.5rem\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"font-size:3.5rem;line-height:1.25;text-transform:capitalize\">امروز یک وب سایت زیبا و عالی ایجاد کنید</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"237efa2e-73ee-4d7a-a091-35bac16decbd\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"0bcd937b-806c-4df3-9b52-35f7ce8dc546\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}},\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00225\\u0022 y1=\\u002212\\u0022 x2=\\u002219\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u002212 5 19 12 12 19\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"124px\",\"ploverBlockID\":\"77eaf37a-bac7-4ad2-bb7a-42108b52ac22\"} -->\n<div style=\"height:124px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"ploverBlockID\":\"9040df91-c04d-4bb1-a8a8-87057b027869\",\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"gradient\":\"primary\",\"layout\":{\"type\":\"constrained\"},\"stickyBlock\":\"no\",\"stickyOffsetTop\":92,\"stickyContainer\":\".wp-site-blocks\"} -->\n<div class=\"wp-block-group alignfull has-primary-gradient-background has-background\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:spacer {\"height\":\"4px\",\"ploverBlockID\":\"35c8f751-dbe8-4b8e-83ee-0739edb8e94a\"} -->\n<div style=\"height:4px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Features with icon, 4 col\"},\"ploverBlockID\":\"ff085318-dfed-4f10-8eec-834c1c223d75\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|large\",\"bottom\":\"var:preset|spacing|large\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0px;margin-bottom:0px;padding-top:var(--wp--preset--spacing--large);padding-bottom:var(--wp--preset--spacing--large)\"><!-- wp:columns {\"ploverBlockID\":\"10589a14-8410-492f-ba74-e993d1a6d2e6\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"9b4aa77b-2c29-4676-96b1-9b307e579639\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b8a82681-071c-4f1d-994f-cb7ff5973778\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-business.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"b0e14676-1561-4148-8778-543a6b902de2\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">تجارت </h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"2ceb8bbf-2075-4abb-ba23-3cc98f6a0678\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"96d6cfe1-7451-42c4-8ad8-676e698db1da\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"a60afac4-ed7b-4657-8aa4-991cbca3a6a6\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-store.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"eb9446d4-6c5a-4f9e-be08-cea84cdcaaaf\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">ویترین فروشگاه</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"b72747ce-e2c3-40d5-9568-a8f2c59fc8f6\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"f5368be6-9b13-44d4-90f8-876e9b6ee0bf\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"0cb17426-1ba4-43ca-96f5-5f852b095ba8\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-blogging.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"77785dea-31b3-4f8c-9f24-04d92793e39b\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">وبلاگ نویسی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"07e3490c-8791-4275-93a2-9da88a4687e3\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"1a2c8826-8b8e-49fa-ac3e-97d85f9ccc2e\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"33481c9d-eb4c-42a5-9b48-9e62d3a72e4d\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-portfolio.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"d41db970-6b41-4248-b675-8cda49c98986\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">نمونه کار</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"407a149d-e33f-4be5-bea8-bf364bd2d343\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Featured Projects, 3 col\"},\"ploverBlockID\":\"631855bb-d87d-4194-b61b-3b8404fd028c\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"6e615c0a-b77b-43bc-be6f-807ef321b4d5\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"514130a1-71cd-4739-8854-7889169bdbfe\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">کاری که ما انجام می دهیم</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"137ede6b-0e0b-4f7f-b030-51ec15e980a3\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">پروژه های آینده</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"6708bc5f-427f-4733-921a-48253430a4d4\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"90d7fa57-bf8f-4e57-9d2d-bad9db3bc079\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"9a31f10d-57ee-4e88-bbb6-f6f039644259\",\"style\":{\"border\":{\"radius\":\"24px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"backgroundColor\":\"neutral-0\",\"boxShadow\":\"var:custom|boxShadow|base\"} -->\n<div class=\"wp-block-column has-neutral-0-background-color has-background\" style=\"border-radius:24px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b17de89f-2326-4a9c-aeb7-a1684f2eae5a\",\"style\":{\"color\":[]}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/featured-project.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"ploverBlockID\":\"537f88c0-7b78-44d0-8d7a-65c079ffa283\",\"style\":{\"typography\":{\"fontSize\":\"1.75em\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:1.75em\">طراحی سایت</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"f8c79d1b-4af3-4467-a2da-c67a725b5fbd\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"9822e786-4bc2-4a50-a0c6-409ad8960adc\",\"style\":{\"border\":{\"radius\":\"24px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"backgroundColor\":\"neutral-0\",\"boxShadow\":\"var:custom|boxShadow|base\"} -->\n<div class=\"wp-block-column has-neutral-0-background-color has-background\" style=\"border-radius:24px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"ploverBlockID\":\"ed5f4ba4-6807-4b0a-ad1d-99ff902d7b20\",\"style\":{\"color\":[]}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/featured-project.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"ploverBlockID\":\"f2bf8d60-bffc-4f2b-b8a1-6ae87215a968\",\"style\":{\"typography\":{\"fontSize\":\"1.75em\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:1.75em\">قالب وردپرس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"536f9ae7-17e7-4b98-b814-419dae358426\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"34ad9a69-db69-4d00-a55d-59a71ecfc271\",\"style\":{\"border\":{\"radius\":\"24px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"backgroundColor\":\"neutral-0\",\"boxShadow\":\"var:custom|boxShadow|base\"} -->\n<div class=\"wp-block-column has-neutral-0-background-color has-background\" style=\"border-radius:24px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"ploverBlockID\":\"c662296a-f45c-406d-97cc-ea5332503f6d\",\"style\":{\"color\":[]}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/featured-project.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"ploverBlockID\":\"b3684547-8657-4537-9243-52ec0a16232d\",\"style\":{\"typography\":{\"fontSize\":\"1.75em\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:1.75em\">پلاگین وردپرس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"d92d4c63-28d6-4446-a293-ee4eb8eb1adf\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"f57f5163-4938-4eef-acbc-7b6c4ca48776\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Plover: Left media and text\"},\"ploverBlockID\":\"d3ef8802-ceae-43cc-b74b-01b055c31b7f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"3639c4f4-be00-4502-9b33-4f7ef9672f9a\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"f8e06d64-bdbf-430e-ba9b-7ea91fcdebc8\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/service-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"89ca84e9-2350-4303-80a6-4fb40e11cb48\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"a6d8f71a-2597-427e-bb0b-2b28009baff1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"1a21f208-fb9c-40d0-b7d3-f8dcf6d5af46\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"792aaeb1-30ea-4c29-8aee-f8049abd8b97\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">خدمات </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"3ccc7a43-da43-4ae1-a098-a99f943c4061\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">ما مشکلات طراحی وب را به طور موثر حل می کنیم</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"5c0ecde4-b889-4152-acef-5b04cb572c1c\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"82e90870-59b2-4e8c-b54d-7cbc51e7b953\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"2a0171e9-59c3-4d14-b3bf-8d6ce155f37b\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Plover: Right media and text\"},\"ploverBlockID\":\"ef0b13cc-4a9a-447a-8a74-b6f76fa7412a\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"0d061372-3d74-424d-9e6d-aaf5b1cc3d34\",\"cssOrder\":{\"desktop\":1,\"tablet\":0,\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"9a271947-a824-43f6-aaa9-6f14d0f7cbb2\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/service-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"8c55789f-89a6-48f9-9378-ca2746c66616\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"d6a35133-10b9-4a5b-bad7-d773fffdd50b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"4b8ed743-b10e-420f-bd99-3a8d0e2d333b\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"2c1e0384-7797-45b5-b8e3-fb494aed8bc5\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">انحصاری </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"eb721213-8898-4bd1-bb64-5ee0b8cbb35f\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">چیزی که باعث درخشش ما می شود</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:list {\"ploverBlockID\":\"35da1d53-1a46-4da1-94b2-dd29a13b61d5\",\"className\":\"is-style-check-circle\",\"style\":{\"spacing\":{\"blockGap\":\"4px\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<ul style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\" class=\"wp-block-list is-style-check-circle\"><!-- wp:list-item {\"ploverBlockID\":\"c24c5c17-10a4-414f-87c0-53b16e424634\"} -->\n<li>لورم ایپسوم متن ساختگی با تولید</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"3ecd2f0a-e561-4ce1-a7c6-851eba44b240\"} -->\n<li>لورم ایپسوم متن ساختگی با تولید</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"0e95c261-ff4d-4550-a896-b28202ce1776\"} -->\n<li>لورم ایپسوم متن ساختگی با تولید</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"05c346dc-0b1f-40a6-bb02-faf204b54aa2\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"c1aab3de-1b9e-4e2e-ac20-fafb398a701f\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Dark Testimonials, 4 columns\"},\"ploverBlockID\":\"9b5ff4df-9bd5-4a1b-867d-4f4c4c917adb\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"2d9d21d6-c8d6-48fc-84b1-13f53802b836\",\"style\":{\"spacing\":{\"blockGap\":\"12px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"7dc381b2-cf40-4005-bfd0-6718bdc26e15\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-active\"}}}},\"textColor\":\"primary-active\"} -->\n<p class=\"has-text-align-center has-primary-active-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">گواهینامه ها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"7e39366b-712d-410c-9739-bfa289c2cf82\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"text-transform:capitalize\">مشتریان خارجی چه می گویند</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"4fa47ad4-e52e-415f-96ab-7e2193980b4f\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"5a141fcb-2cd6-4faf-a607-8a093245729f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"08153615-378d-444b-8620-b2ff7723fe66\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"88px\",\"height\":\"88px\",\"scale\":\"cover\",\"sizeSlug\":\"medium\",\"linkDestination\":\"none\",\"ploverBlockID\":\"15bd6e8e-0af6-413f-9e3e-1d848760ef99\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"24px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-medium is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/portrait-01.jpg\" alt=\"\" style=\"border-radius:24px;object-fit:cover;width:88px;height:88px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"8ac10847-9269-4e47-bb8c-105b5a53bd7c\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"10bdb133-aedc-46a1-a507-ee3196d68fa4\"} -->\n<p class=\"has-text-align-center\">هانی</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"114c4ca8-9173-430e-b257-d583a84706c9\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":153,\"width\":\"88px\",\"height\":\"88px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"1f371619-112b-405c-b696-a9d325272c35\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"24px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/portrait-02.jpg\" alt=\"\" class=\"wp-image-153\" style=\"border-radius:24px;object-fit:cover;width:88px;height:88px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"ae59a472-3cdf-4e37-ac8d-8070a2bc7111\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"cae4fd5f-e935-4eb7-96a7-9d306e18e083\"} -->\n<p class=\"has-text-align-center\">رها</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"18710241-0371-4393-978b-01374f95ec01\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":154,\"width\":\"88px\",\"height\":\"88px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"53c6b6eb-443a-4a69-af3d-9ea565d62b46\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"24px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/portrait-03.jpg\" alt=\"\" class=\"wp-image-154\" style=\"border-radius:24px;object-fit:cover;width:88px;height:88px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"0d3eb31d-7ea1-4ad7-ac1b-57a8360590a0\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e17a6e56-50a5-424c-868f-46f146c7a914\"} -->\n<p class=\"has-text-align-center\">محمد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Frequently Asked Questions\"},\"ploverBlockID\":\"617047e2-57a2-479a-94db-cc4b21da5e96\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|small\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"91097357-13a9-4333-91d9-036b08717417\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"512bccea-03ea-40ee-93d6-87e328b6a82d\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">\n			faq        </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"cae4ee58-2854-4682-94e3-26caa30d14ac\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">سوالات متداول</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e1ce236e-5b01-4b3a-a828-c565fe69dfed\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"6cfa9756-8196-414a-889d-b1407cc31622\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"padding-top:0;padding-bottom:0\"><!-- wp:column {\"ploverBlockID\":\"34dc36b9-3b00-4f7e-938c-e92b79bfa3fa\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"ef245311-8242-4280-9ed2-b61b53757a2a\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی </summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"92afa5f9-8350-4253-850a-9d60542c8a7b\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"6257d4d3-aa51-4db1-ab16-b3c109d6b728\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"8f4bba59-ed56-4229-af04-a1b892d397ac\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"a6b86157-ccd7-4ae1-b431-26f02e4b19a3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم </summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"01c2351b-b00b-4238-a2a0-f44bd9394e13\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"7bbad92e-6dd7-4ec8-a34d-f6150cb02c6c\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"cf24926e-0281-4a37-adad-c6bae8a0eada\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن </summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"6c93b156-b8fb-4868-85f0-ff1569ac31e9\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"96ee9562-52c5-430e-8b0f-8e178e91ed5b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگی</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"7916dcb9-2e2c-41d2-9cd3-42a79454dd49\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"769be424-2de5-4fa4-b36b-a4ca47f75fab\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"25dbe8c5-0f32-493e-a169-4d5d8bb974ab\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Latest 3 posts\"},\"ploverBlockID\":\"9ad9b53e-84d5-4692-abf6-d49b9548403c\",\"align\":\"full\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"3aad0d6f-9ea2-4e10-a9c8-a63025f7e32f\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"line-height:1\">آخرین نوشته ها</h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":\"3\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"ploverBlockID\":\"8f2d5d97-4c98-41ac-8cc2-804f05716e04\",\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:group {\"ploverBlockID\":\"8f010cf5-497d-4be3-82dd-626a76160dc1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:0;padding-bottom:var(--wp--preset--spacing--50);padding-left:0\"><!-- wp:post-template {\"ploverBlockID\":\"923e03dd-0747-4277-8200-bea137de8a98\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"aspectRatio\":\"16/9\",\"ploverBlockID\":\"029eae52-910a-418d-8f99-5638a7c8e347\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"015cedc6-44c0-429d-a568-f0de0bb3a116\",\"style\":{\"spacing\":{\"blockGap\":\"10px\",\"margin\":{\"top\":\"var:preset|spacing|20\"},\"padding\":{\"top\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20);padding-top:0\"><!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"0db0024f-18c2-40d7-8b04-5555c7fc6f6b\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:post-title {\"isLink\":true,\"ploverBlockID\":\"e368b86c-8517-4e39-89d3-2a841f6aa231\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"fontSize\":\"3-x-large\"} /-->\n\n<!-- wp:template-part {\"slug\":\"post-meta-simpler\",\"theme\":\"plover\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":24,\"ploverBlockID\":\"4f2c37eb-40e5-4e86-b69e-6d955249f9a2\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"textColor\":\"contrast-2\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"86c47175-ff61-437b-a1fe-614bd62065b2\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer-dark\",\"theme\":\"plover\",\"tagName\":\"footer\",\"area\":\"footer\"} /--></main>\n<!-- /wp:group -->","نمایه","به عنوان یک قالب پشت سر هم برای تمام برگه‌ها استفاده می‌شود وقتی که یک قالب خاص‌تر تعریف نشده است.","publish","closed","closed","","index","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","0","https://hamzehhemmati.ir/index.php/2025/01/10/index/","0","wp_template","","0"),
("67","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:navigation-link {\"label\":\"حریم خصوصی\",\"url\":\"#\",\"ploverBlockID\":\"883f6d93-fdea-4de6-a271-bad07828aceb\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"شرایط\",\"url\":\"#\",\"ploverBlockID\":\"4dcdf3e6-539d-4171-b64f-6bf18925ee20\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\",\"ploverBlockID\":\"b5f83c47-e06b-4b14-b69e-e5503c9a128e\"} /-->","راهبری پابرگ","","inherit","closed","closed","","61-revision-v1","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","61","https://hamzehhemmati.ir/?p=67","0","revision","","0"),
("68","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:group {\"ploverBlockID\":\"270f792d-68a5-4a2a-8c26-13214e9f2bd0\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"var:preset|spacing|medium\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"padding-top:0;padding-bottom:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"7e8d3e65-7081-48ef-b710-6c8a6433e3e2\",\"align\":\"full\",\"gradient\":\"cool-to-warm-spectrum\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-cool-to-warm-spectrum-gradient-background has-background\"><!-- wp:spacer {\"height\":\"4px\",\"ploverBlockID\":\"fbd8df0b-22d9-4214-bdc4-cc0863026838\"} -->\n<div style=\"height:4px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"c6ebd774-f619-4bed-9dd7-106a7a8bff99\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"40%\",\"ploverBlockID\":\"017fd8dd-964d-4df2-9058-1eaaf8cf14c4\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:40%\"><!-- wp:group {\"ploverBlockID\":\"cd4eec58-dfa7-4c1c-8852-4c025de67d00\",\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"ploverBlockID\":\"7ef275bf-09fc-476f-be89-5b52271813e9\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":48,\"shouldSyncIcon\":true,\"ploverBlockID\":\"f10048a5-bf6e-416a-a5d8-2b75c4ee6b86\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /-->\n\n<!-- wp:site-title {\"level\":0,\"ploverBlockID\":\"4e52f3ad-e083-4759-a8a3-f5d2d8c50459\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"textDecoration\":\"none\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:search {\"label\":\"\",\"showLabel\":false,\"placeholder\":\"Search this site\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"ploverBlockID\":\"80b19b60-75b7-4f7f-8317-e31b4906aea3\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /-->\n\n<!-- wp:social-links {\"iconColor\":\"neutral-600\",\"iconColorValue\":\"#52525b\",\"size\":\"has-small-icon-size\",\"ploverBlockID\":\"ba6db528-f15a-446c-a396-dcffc868b591\",\"className\":\"is-style-logos-only\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\"}}}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\" style=\"margin-top:var(--wp--preset--spacing--small);margin-bottom:var(--wp--preset--spacing--small)\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"ploverBlockID\":\"99525643-3c43-4caa-ae59-552e0c3294bb\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"x\",\"ploverBlockID\":\"359386e4-2898-428b-8da3-b0d3025c87f8\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"ploverBlockID\":\"ec6223aa-9139-44e0-b0d7-415dccd79613\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"tiktok\",\"ploverBlockID\":\"28bfac15-d7de-4b85-a994-7f0a30c4c702\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"github\",\"ploverBlockID\":\"63ad209a-0e08-489c-8a7e-fcbdc4bcacd1\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\",\"ploverBlockID\":\"08e284b0-b839-4a1b-b641-054bf24de2b9\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:group {\"ploverBlockID\":\"51f24885-0b5a-463b-aabb-7fb45d1645eb\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"ploverBlockID\":\"4d55412c-8a2e-42a4-a8c9-d34f77a94725\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"ce402810-e7cd-4ee9-9562-65283627747d\",\"className\":\"has-medium-font-size\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontFamily\":\"body\"} -->\n<h2 class=\"wp-block-heading has-medium-font-size has-body-font-family\" style=\"font-style:normal;font-weight:600\">درباره</h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"ploverBlockID\":\"eb56141c-bc02-4959-a211-c10665836d5c\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|10\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":60,\"overlayMenu\":\"never\",\"ploverBlockID\":\"75f50867-063e-4a07-af7c-0db75e7b2063\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"5f1f9850-3473-4dd5-a7e7-92fce2a7b288\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"8ceb84c6-ffb5-4656-9f95-60003c9dcbe2\",\"className\":\"has-medium-font-size\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontFamily\":\"body\"} -->\n<h2 class=\"wp-block-heading has-medium-font-size has-body-font-family\" style=\"font-style:normal;font-weight:600\">دسترسی سریع </h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"ploverBlockID\":\"7e676df2-25b1-4e6f-9d1a-56e9b2f304a6\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":61,\"overlayMenu\":\"never\",\"ploverBlockID\":\"081e8cef-2360-47ee-9d3e-e1349581a4bc\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"cdeeb8d6-02ce-4114-ac68-5bcc5983bd4e\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"ploverBlockID\":\"3d5878a6-fe9e-46a8-b2b4-6f469ff2db94\",\"className\":\"has-medium-font-size\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontFamily\":\"body\"} -->\n<h2 class=\"wp-block-heading has-medium-font-size has-body-font-family\" style=\"font-style:normal;font-weight:600\">شبکه اجتماعی</h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"ploverBlockID\":\"ae44f819-08db-41ce-a1c3-c1ceed8e33fd\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"ploverBlockID\":\"c1902b30-bc3d-48fe-818f-a3ba3215a515\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"spacing\":{\"blockGap\":\"var:preset|spacing|2-x-small\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"ploverBlockID\":\"75fb74e2-e27a-4d51-b206-058b37b49093\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"0\"}}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide has-small-font-size\" style=\"padding-top:var(--wp--preset--spacing--50);padding-bottom:0\"><!-- wp:paragraph {\"ploverBlockID\":\"e92e654d-9dfa-41c4-a8c7-dc9d0e39f9ed\"} -->\n<p>فارسی شده با افتخار در لامرد وب</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"b5b27af1-c84c-43ce-bff0-b072595157b8\"} -->\n<p><a href=\"#\">بالا ↑</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Plover: Dark Footer","","publish","closed","closed","","footer-dark","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","0","https://hamzehhemmati.ir/index.php/2025/01/10/footer-dark/","0","wp_template_part","","0"),
("69","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:navigation-link {\"label\":\"فیسبوک\",\"url\":\"#\",\"ploverBlockID\":\"67fc604e-1be4-4857-8235-887f1b9bb8a6\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"سایت\",\"url\":\"#\",\"ploverBlockID\":\"03e27894-3851-49c1-ae3c-23d37967dc21\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"توییتر\",\"url\":\"#\",\"ploverBlockID\":\"1db27d41-b92b-43aa-9d12-74674a74c686\"} /-->","راهبری پابرگ","","inherit","closed","closed","","62-revision-v1","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","62","https://hamzehhemmati.ir/?p=69","0","revision","","0"),
("70","1","2025-01-10 08:15:31","2025-01-10 08:15:31","<!-- wp:group {\"tagName\":\"main\",\"ploverBlockID\":\"9ed27f2b-1626-41c5-913a-3ef339386991\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:group {\"metadata\":{\"name\":\"Plover: Big Hero Header, Dark\"},\"ploverBlockID\":\"405ad874-88ed-4615-b9a8-20e90cfdf0d3\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|large\"},\"background\":{\"backgroundImage\":{\"url\":\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/big-hero-background.png\",\"source\":\"file\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\"><!-- wp:template-part {\"slug\":\"header-transparent\",\"theme\":\"plover\",\"tagName\":\"header\",\"area\":\"header\",\"align\":\"full\"} /-->\n\n<!-- wp:spacer {\"height\":\"48px\",\"ploverBlockID\":\"5c480ee4-0289-47d0-9e1d-246567ae8a2c\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"99468279-6321-4ab6-ab5c-5f986ec427fe\",\"style\":{\"typography\":{\"lineHeight\":\"1.25\",\"textTransform\":\"capitalize\",\"fontSize\":\"3.5rem\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"font-size:3.5rem;line-height:1.25;text-transform:capitalize\">امروز یک وب سایت زیبا و عالی ایجاد کنید</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"237efa2e-73ee-4d7a-a091-35bac16decbd\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"0bcd937b-806c-4df3-9b52-35f7ce8dc546\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}},\"iconLibrary\":\"plover-core\",\"iconSlug\":\"arrow-right\",\"iconSvgString\":\"\\u003csvg xmlns=\\u0022http://www.w3.org/2000/svg\\u0022 viewBox=\\u00220 0 24 24\\u0022 fill=\\u0022none\\u0022 stroke=\\u0022currentColor\\u0022 stroke-width=\\u00222\\u0022 stroke-linecap=\\u0022round\\u0022 stroke-linejoin=\\u0022round\\u0022\\u003e\\u003cline x1=\\u00225\\u0022 y1=\\u002212\\u0022 x2=\\u002219\\u0022 y2=\\u002212\\u0022\\u003e\\u003c/line\\u003e\\u003cpolyline points=\\u002212 5 19 12 12 19\\u0022\\u003e\\u003c/polyline\\u003e\\u003c/svg\\u003e\"} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"124px\",\"ploverBlockID\":\"77eaf37a-bac7-4ad2-bb7a-42108b52ac22\"} -->\n<div style=\"height:124px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"ploverBlockID\":\"9040df91-c04d-4bb1-a8a8-87057b027869\",\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"gradient\":\"primary\",\"layout\":{\"type\":\"constrained\"},\"stickyBlock\":\"no\",\"stickyOffsetTop\":92,\"stickyContainer\":\".wp-site-blocks\"} -->\n<div class=\"wp-block-group alignfull has-primary-gradient-background has-background\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:spacer {\"height\":\"4px\",\"ploverBlockID\":\"35c8f751-dbe8-4b8e-83ee-0739edb8e94a\"} -->\n<div style=\"height:4px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Features with icon, 4 col\"},\"ploverBlockID\":\"ff085318-dfed-4f10-8eec-834c1c223d75\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|large\",\"bottom\":\"var:preset|spacing|large\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0px;margin-bottom:0px;padding-top:var(--wp--preset--spacing--large);padding-bottom:var(--wp--preset--spacing--large)\"><!-- wp:columns {\"ploverBlockID\":\"10589a14-8410-492f-ba74-e993d1a6d2e6\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"9b4aa77b-2c29-4676-96b1-9b307e579639\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b8a82681-071c-4f1d-994f-cb7ff5973778\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-business.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"b0e14676-1561-4148-8778-543a6b902de2\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">تجارت </h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"2ceb8bbf-2075-4abb-ba23-3cc98f6a0678\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"96d6cfe1-7451-42c4-8ad8-676e698db1da\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"a60afac4-ed7b-4657-8aa4-991cbca3a6a6\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-store.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"eb9446d4-6c5a-4f9e-be08-cea84cdcaaaf\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">ویترین فروشگاه</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"b72747ce-e2c3-40d5-9568-a8f2c59fc8f6\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"f5368be6-9b13-44d4-90f8-876e9b6ee0bf\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"0cb17426-1ba4-43ca-96f5-5f852b095ba8\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-blogging.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"77785dea-31b3-4f8c-9f24-04d92793e39b\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">وبلاگ نویسی</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"07e3490c-8791-4275-93a2-9da88a4687e3\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"1a2c8826-8b8e-49fa-ac3e-97d85f9ccc2e\",\"style\":{\"spacing\":{\"blockGap\":\"0.75rem\"}}} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"82px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"33481c9d-eb4c-42a5-9b48-9e62d3a72e4d\",\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/feature-portfolio.png\" alt=\"\" style=\"width:82px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"ploverBlockID\":\"d41db970-6b41-4248-b675-8cda49c98986\",\"style\":{\"typography\":{\"fontSize\":\"2rem\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:2rem\">نمونه کار</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"407a149d-e33f-4be5-bea8-bf364bd2d343\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Featured Projects, 3 col\"},\"ploverBlockID\":\"631855bb-d87d-4194-b61b-3b8404fd028c\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"6e615c0a-b77b-43bc-be6f-807ef321b4d5\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"514130a1-71cd-4739-8854-7889169bdbfe\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">کاری که ما انجام می دهیم</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"137ede6b-0e0b-4f7f-b030-51ec15e980a3\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">پروژه های آینده</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"6708bc5f-427f-4733-921a-48253430a4d4\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"90d7fa57-bf8f-4e57-9d2d-bad9db3bc079\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"9a31f10d-57ee-4e88-bbb6-f6f039644259\",\"style\":{\"border\":{\"radius\":\"24px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"backgroundColor\":\"neutral-0\",\"boxShadow\":\"var:custom|boxShadow|base\"} -->\n<div class=\"wp-block-column has-neutral-0-background-color has-background\" style=\"border-radius:24px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"ploverBlockID\":\"b17de89f-2326-4a9c-aeb7-a1684f2eae5a\",\"style\":{\"color\":[]}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/featured-project.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"ploverBlockID\":\"537f88c0-7b78-44d0-8d7a-65c079ffa283\",\"style\":{\"typography\":{\"fontSize\":\"1.75em\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:1.75em\">طراحی سایت</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"f8c79d1b-4af3-4467-a2da-c67a725b5fbd\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"9822e786-4bc2-4a50-a0c6-409ad8960adc\",\"style\":{\"border\":{\"radius\":\"24px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"backgroundColor\":\"neutral-0\",\"boxShadow\":\"var:custom|boxShadow|base\"} -->\n<div class=\"wp-block-column has-neutral-0-background-color has-background\" style=\"border-radius:24px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"ploverBlockID\":\"ed5f4ba4-6807-4b0a-ad1d-99ff902d7b20\",\"style\":{\"color\":[]}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/featured-project.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"ploverBlockID\":\"f2bf8d60-bffc-4f2b-b8a1-6ae87215a968\",\"style\":{\"typography\":{\"fontSize\":\"1.75em\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:1.75em\">قالب وردپرس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"536f9ae7-17e7-4b98-b814-419dae358426\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"34ad9a69-db69-4d00-a55d-59a71ecfc271\",\"style\":{\"border\":{\"radius\":\"24px\"},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"},\"blockGap\":\"var:preset|spacing|x-small\"}},\"backgroundColor\":\"neutral-0\",\"boxShadow\":\"var:custom|boxShadow|base\"} -->\n<div class=\"wp-block-column has-neutral-0-background-color has-background\" style=\"border-radius:24px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"ploverBlockID\":\"c662296a-f45c-406d-97cc-ea5332503f6d\",\"style\":{\"color\":[]}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/featured-project.jpg\" alt=\"\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"ploverBlockID\":\"b3684547-8657-4537-9243-52ec0a16232d\",\"style\":{\"typography\":{\"fontSize\":\"1.75em\"}}} -->\n<h3 class=\"wp-block-heading\" style=\"font-size:1.75em\">پلاگین وردپرس</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"d92d4c63-28d6-4446-a293-ee4eb8eb1adf\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"ploverBlockID\":\"f57f5163-4938-4eef-acbc-7b6c4ca48776\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Plover: Left media and text\"},\"ploverBlockID\":\"d3ef8802-ceae-43cc-b74b-01b055c31b7f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"3639c4f4-be00-4502-9b33-4f7ef9672f9a\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"f8e06d64-bdbf-430e-ba9b-7ea91fcdebc8\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/service-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"89ca84e9-2350-4303-80a6-4fb40e11cb48\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"a6d8f71a-2597-427e-bb0b-2b28009baff1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"1a21f208-fb9c-40d0-b7d3-f8dcf6d5af46\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"792aaeb1-30ea-4c29-8aee-f8049abd8b97\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">خدمات </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"3ccc7a43-da43-4ae1-a098-a99f943c4061\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">ما مشکلات طراحی وب را به طور موثر حل می کنیم</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"ploverBlockID\":\"5c0ecde4-b889-4152-acef-5b04cb572c1c\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"82e90870-59b2-4e8c-b54d-7cbc51e7b953\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"2a0171e9-59c3-4d14-b3bf-8d6ce155f37b\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"metadata\":{\"name\":\"Plover: Right media and text\"},\"ploverBlockID\":\"ef0b13cc-4a9a-447a-8a74-b6f76fa7412a\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"0d061372-3d74-424d-9e6d-aaf5b1cc3d34\",\"cssOrder\":{\"desktop\":1,\"tablet\":0,\"mobile\":\"__INITIAL_VALUE__\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"9a271947-a824-43f6-aaa9-6f14d0f7cbb2\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/service-01.jpg\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"ploverBlockID\":\"8c55789f-89a6-48f9-9378-ca2746c66616\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"ploverBlockID\":\"d6a35133-10b9-4a5b-bad7-d773fffdd50b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|medium\",\"bottom\":\"var:preset|spacing|medium\",\"left\":\"var:preset|spacing|medium\",\"right\":\"var:preset|spacing|medium\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--medium);padding-right:var(--wp--preset--spacing--medium);padding-bottom:var(--wp--preset--spacing--medium);padding-left:var(--wp--preset--spacing--medium)\"><!-- wp:group {\"ploverBlockID\":\"4b8ed743-b10e-420f-bd99-3a8d0e2d333b\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"ploverBlockID\":\"2c1e0384-7797-45b5-b8e3-fb494aed8bc5\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">انحصاری </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"ploverBlockID\":\"eb721213-8898-4bd1-bb64-5ee0b8cbb35f\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"text-transform:capitalize\">چیزی که باعث درخشش ما می شود</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:list {\"ploverBlockID\":\"35da1d53-1a46-4da1-94b2-dd29a13b61d5\",\"className\":\"is-style-check-circle\",\"style\":{\"spacing\":{\"blockGap\":\"4px\",\"padding\":{\"top\":\"var:preset|spacing|x-small\",\"bottom\":\"var:preset|spacing|x-small\"}}}} -->\n<ul style=\"padding-top:var(--wp--preset--spacing--x-small);padding-bottom:var(--wp--preset--spacing--x-small)\" class=\"wp-block-list is-style-check-circle\"><!-- wp:list-item {\"ploverBlockID\":\"c24c5c17-10a4-414f-87c0-53b16e424634\"} -->\n<li>لورم ایپسوم متن ساختگی با تولید</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"3ecd2f0a-e561-4ce1-a7c6-851eba44b240\"} -->\n<li>لورم ایپسوم متن ساختگی با تولید</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item {\"ploverBlockID\":\"0e95c261-ff4d-4550-a896-b28202ce1776\"} -->\n<li>لورم ایپسوم متن ساختگی با تولید</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"ploverBlockID\":\"05c346dc-0b1f-40a6-bb02-faf204b54aa2\"} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"ploverBlockID\":\"c1aab3de-1b9e-4e2e-ac20-fafb398a701f\",\"style\":{\"typography\":{\"letterSpacing\":\"1.2px\",\"textTransform\":\"uppercase\"}}} -->\n<div class=\"wp-block-button\" style=\"letter-spacing:1.2px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\" href=\"#\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Dark Testimonials, 4 columns\"},\"ploverBlockID\":\"9b5ff4df-9bd5-4a1b-867d-4f4c4c917adb\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|x-large\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"2d9d21d6-c8d6-48fc-84b1-13f53802b836\",\"style\":{\"spacing\":{\"blockGap\":\"12px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"7dc381b2-cf40-4005-bfd0-6718bdc26e15\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-active\"}}}},\"textColor\":\"primary-active\"} -->\n<p class=\"has-text-align-center has-primary-active-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">گواهینامه ها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"7e39366b-712d-410c-9739-bfa289c2cf82\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"text-transform:capitalize\">مشتریان خارجی چه می گویند</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"4fa47ad4-e52e-415f-96ab-7e2193980b4f\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"ploverBlockID\":\"5a141fcb-2cd6-4faf-a607-8a093245729f\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"ploverBlockID\":\"08153615-378d-444b-8620-b2ff7723fe66\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"width\":\"88px\",\"height\":\"88px\",\"scale\":\"cover\",\"sizeSlug\":\"medium\",\"linkDestination\":\"none\",\"ploverBlockID\":\"15bd6e8e-0af6-413f-9e3e-1d848760ef99\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"24px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-medium is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/portrait-01.jpg\" alt=\"\" style=\"border-radius:24px;object-fit:cover;width:88px;height:88px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"8ac10847-9269-4e47-bb8c-105b5a53bd7c\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"10bdb133-aedc-46a1-a507-ee3196d68fa4\"} -->\n<p class=\"has-text-align-center\">هانی</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"114c4ca8-9173-430e-b257-d583a84706c9\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":153,\"width\":\"88px\",\"height\":\"88px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"1f371619-112b-405c-b696-a9d325272c35\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"24px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/portrait-02.jpg\" alt=\"\" class=\"wp-image-153\" style=\"border-radius:24px;object-fit:cover;width:88px;height:88px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"ae59a472-3cdf-4e37-ac8d-8070a2bc7111\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"cae4fd5f-e935-4eb7-96a7-9d306e18e083\"} -->\n<p class=\"has-text-align-center\">رها</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"18710241-0371-4393-978b-01374f95ec01\"} -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":154,\"width\":\"88px\",\"height\":\"88px\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"ploverBlockID\":\"53c6b6eb-443a-4a69-af3d-9ea565d62b46\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"24px\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/plover/assets/images/portrait-03.jpg\" alt=\"\" class=\"wp-image-154\" style=\"border-radius:24px;object-fit:cover;width:88px;height:88px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"0d3eb31d-7ea1-4ad7-ac1b-57a8360590a0\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e17a6e56-50a5-424c-868f-46f146c7a914\"} -->\n<p class=\"has-text-align-center\">محمد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Frequently Asked Questions\"},\"ploverBlockID\":\"617047e2-57a2-479a-94db-cc4b21da5e96\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"blockGap\":\"var:preset|spacing|small\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-0\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-neutral-950-color has-neutral-0-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:group {\"ploverBlockID\":\"91097357-13a9-4333-91d9-036b08717417\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|x-small\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"512bccea-03ea-40ee-93d6-87e328b6a82d\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1.2px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary-color\"}}}},\"textColor\":\"primary-color\"} -->\n<p class=\"has-text-align-center has-primary-color-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:700;letter-spacing:1.2px;text-transform:uppercase\">\n			faq        </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"ploverBlockID\":\"cae4ee58-2854-4682-94e3-26caa30d14ac\"} -->\n<h2 class=\"wp-block-heading has-text-align-center\">سوالات متداول</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"ploverBlockID\":\"e1ce236e-5b01-4b3a-a828-c565fe69dfed\"} -->\n<p class=\"has-text-align-center\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"ploverBlockID\":\"6cfa9756-8196-414a-889d-b1407cc31622\",\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"padding-top:0;padding-bottom:0\"><!-- wp:column {\"ploverBlockID\":\"34dc36b9-3b00-4f7e-938c-e92b79bfa3fa\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"ef245311-8242-4280-9ed2-b61b53757a2a\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی </summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"92afa5f9-8350-4253-850a-9d60542c8a7b\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"6257d4d3-aa51-4db1-ab16-b3c109d6b728\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"8f4bba59-ed56-4229-af04-a1b892d397ac\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"a6b86157-ccd7-4ae1-b431-26f02e4b19a3\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم </summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"01c2351b-b00b-4238-a2a0-f44bd9394e13\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"ploverBlockID\":\"7bbad92e-6dd7-4ec8-a34d-f6150cb02c6c\"} -->\n<div class=\"wp-block-column\"><!-- wp:details {\"ploverBlockID\":\"cf24926e-0281-4a37-adad-c6bae8a0eada\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن </summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"6c93b156-b8fb-4868-85f0-ff1569ac31e9\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"96ee9562-52c5-430e-8b0f-8e178e91ed5b\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید سادگی</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"7916dcb9-2e2c-41d2-9cd3-42a79454dd49\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details -->\n\n<!-- wp:details {\"ploverBlockID\":\"769be424-2de5-4fa4-b36b-a4ca47f75fab\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|small\",\"bottom\":\"var:preset|spacing|small\",\"left\":\"var:preset|spacing|small\",\"right\":\"var:preset|spacing|small\"}},\"border\":{\"radius\":\"16px\"}},\"backgroundColor\":\"neutral-200\"} -->\n<details class=\"wp-block-details has-neutral-200-background-color has-background\" style=\"border-radius:16px;padding-top:var(--wp--preset--spacing--small);padding-right:var(--wp--preset--spacing--small);padding-bottom:var(--wp--preset--spacing--small);padding-left:var(--wp--preset--spacing--small)\"><summary>لورم ایپسوم متن ساختگی با تولید</summary><!-- wp:paragraph {\"placeholder\":\"Type / to add a hidden block\",\"ploverBlockID\":\"25dbe8c5-0f32-493e-a169-4d5d8bb974ab\"} -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ.</p>\n<!-- /wp:paragraph --></details>\n<!-- /wp:details --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Plover: Latest 3 posts\"},\"ploverBlockID\":\"9ad9b53e-84d5-4692-abf6-d49b9548403c\",\"align\":\"full\",\"className\":\"is-style-dark\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|2-x-large\",\"bottom\":\"var:preset|spacing|2-x-large\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|neutral-950\"}}}},\"backgroundColor\":\"neutral-200\",\"textColor\":\"neutral-950\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull is-style-dark has-neutral-950-color has-neutral-200-background-color has-text-color has-background has-link-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--2-x-large);padding-bottom:var(--wp--preset--spacing--2-x-large)\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"ploverBlockID\":\"3aad0d6f-9ea2-4e10-a9c8-a63025f7e32f\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}}} -->\n<h1 class=\"wp-block-heading has-text-align-center\" style=\"line-height:1\">آخرین نوشته ها</h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":\"3\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"ploverBlockID\":\"8f2d5d97-4c98-41ac-8cc2-804f05716e04\",\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:group {\"ploverBlockID\":\"8f010cf5-497d-4be3-82dd-626a76160dc1\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:0;padding-bottom:var(--wp--preset--spacing--50);padding-left:0\"><!-- wp:post-template {\"ploverBlockID\":\"923e03dd-0747-4277-8200-bea137de8a98\",\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|medium\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"aspectRatio\":\"16/9\",\"ploverBlockID\":\"029eae52-910a-418d-8f99-5638a7c8e347\"} /-->\n\n<!-- wp:group {\"ploverBlockID\":\"015cedc6-44c0-429d-a568-f0de0bb3a116\",\"style\":{\"spacing\":{\"blockGap\":\"10px\",\"margin\":{\"top\":\"var:preset|spacing|20\"},\"padding\":{\"top\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--20);padding-top:0\"><!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"0db0024f-18c2-40d7-8b04-5555c7fc6f6b\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:post-title {\"isLink\":true,\"ploverBlockID\":\"e368b86c-8517-4e39-89d3-2a841f6aa231\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"fontSize\":\"3-x-large\"} /-->\n\n<!-- wp:template-part {\"slug\":\"post-meta-simpler\",\"theme\":\"plover\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":24,\"ploverBlockID\":\"4f2c37eb-40e5-4e86-b69e-6d955249f9a2\",\"style\":{\"layout\":{\"flexSize\":\"min(2.5rem, 3vw)\",\"selfStretch\":\"fixed\"}},\"textColor\":\"contrast-2\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"0px\",\"ploverBlockID\":\"86c47175-ff61-437b-a1fe-614bd62065b2\",\"style\":{\"layout\":{\"flexSize\":\"1em\",\"selfStretch\":\"fixed\"}}} -->\n<div style=\"height:0px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer-dark\",\"theme\":\"plover\",\"tagName\":\"footer\",\"area\":\"footer\"} /--></main>\n<!-- /wp:group -->","نمایه","به عنوان یک قالب پشت سر هم برای تمام برگه‌ها استفاده می‌شود وقتی که یک قالب خاص‌تر تعریف نشده است.","inherit","closed","closed","","66-revision-v1","","","2025-01-10 08:15:31","2025-01-10 08:15:31","","66","https://hamzehhemmati.ir/?p=70","0","revision","","0"),
("71","1","2025-01-15 10:59:48","0000-00-00 00:00:00","","پیش‌نویس خودکار","","auto-draft","open","open","","","","","2025-01-15 10:59:48","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?p=71","0","post","","0"),
("72","1","2025-01-15 11:02:24","2025-01-15 11:02:24","{\"styles\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"Material Symbols Outlined\",\"slug\":\"material-symbols-outlined\",\"fontFace\":[{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_100.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"200\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_200.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_300.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_400.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_500.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_600.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_700.ttf\"]}],\"name\":\"Material Symbols Outlined\"},{\"fontFamily\":\"Material Icons\",\"slug\":\"material-icons\",\"fontFace\":[{\"fontFamily\":\"Material Icons\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/material-icons_normal_400.ttf\"]}],\"name\":\"Material Icons\"},{\"fontFamily\":\"Russo One\",\"slug\":\"heading\",\"fontFace\":[{\"fontFamily\":\"Russo One\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/russo-one_normal_400.ttf\"]}],\"name\":\"Russo One\"},{\"fontFamily\":\"Roboto\",\"slug\":\"base\",\"fontFace\":[{\"fontFamily\":\"Roboto\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_normal_400.ttf\"]}],\"name\":\"Roboto\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-patterns-automotive","","","2025-01-15 11:16:21","2025-01-15 11:16:21","","0","https://hamzehhemmati.ir/index.php/2025/01/15/wp-global-styles-patterns-automotive/","0","wp_global_styles","","0"),
("73","1","2025-01-15 11:03:06","2025-01-15 11:03:06","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"Material Symbols Outlined\",\"slug\":\"material-symbols-outlined\",\"fontFace\":[{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_100.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"200\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_200.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_300.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_400.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_500.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_600.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_700.ttf\"]}],\"name\":\"Material Symbols Outlined\"},{\"fontFamily\":\"Material Icons\",\"slug\":\"material-icons\",\"fontFace\":[{\"fontFamily\":\"Material Icons\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/material-icons_normal_400.ttf\"]}],\"name\":\"Material Icons\"},{\"fontFamily\":\"Russo One\",\"slug\":\"heading\",\"fontFace\":[{\"fontFamily\":\"Russo One\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/russo-one_normal_400.ttf\"]}],\"name\":\"Russo One\"},{\"fontFamily\":\"Roboto\",\"slug\":\"base\",\"fontFace\":[{\"fontFamily\":\"Roboto\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_normal_400.ttf\"]}],\"name\":\"Roboto\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","72-revision-v1","","","2025-01-15 11:03:06","2025-01-15 11:03:06","","72","https://hamzehhemmati.ir/?p=73","0","revision","","0"),
("74","1","2025-01-15 11:14:56","2025-01-15 11:14:56","<!-- wp:template-part {\"slug\":\"header-absolute\",\"theme\":\"patterns-automotive\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"align\":\"full\",\"className\":\"at-pos patterns-automotive-hero-banner\",\"style\":{\"color\":{\"gradient\":\"linear-gradient(132deg,rgb(8,22,27) 61%,rgb(190,32,38) 100%)\"},\"dimensions\":{\"minHeight\":\"95vh\"},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull at-pos patterns-automotive-hero-banner has-background\" style=\"background:linear-gradient(132deg,rgb(8,22,27) 61%,rgb(190,32,38) 100%);min-height:95vh;padding-right:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"verticalAlignment\":\"bottom\",\"width\":\"50%\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"200px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\" style=\"padding-top:200px;flex-basis:50%\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\",\"justifyContent\":\"center\",\"wideSize\":\"\"}} -->\n<div class=\"wp-block-group alignwide has-default-color has-text-color has-link-color\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"spacing\":{\"margin\":{\"bottom\":\"5px\"}}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-bottom:5px;letter-spacing:1px;line-height:1.2;text-transform:uppercase\">خدمات سریع و قابل اعتماد</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"60px\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:60px;line-height:1\">بهترین کیفیت خودرو را با ما اجاره کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است،</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} -->\n<div class=\"wp-block-button is-style-fill\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">تماس با ما</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\",\"width\":\"40%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\" style=\"flex-basis:40%\"><!-- wp:group {\"className\":\"at-pos patterns-automotive-hero-banner\\u002d\\u002dimg\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group at-pos patterns-automotive-hero-banner--img\"><!-- wp:image {\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"is-resized\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-3.png\" alt=\"\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"tagName\":\"main\",\"metadata\":{\"name\":\"Main\"},\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"100px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"default\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-default-background-color has-background\" style=\"padding-top:80px;padding-right:var(--wp--preset--spacing--40);padding-bottom:100px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"80px\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"id\":418,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-10.png\" alt=\"\" class=\"wp-image-418\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"textTransform\":\"uppercase\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"textColor\":\"primary\"} -->\n<p class=\"has-primary-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:14px;text-transform:uppercase\">یک سفر جدید را شروع کنید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"className\":\"has-base-color\",\"style\":{\"typography\":{\"fontSize\":\"3rem\",\"lineHeight\":\"1.1\"},\"spacing\":{\"margin\":{\"bottom\":\"20px\"}}},\"textColor\":\"secondary\"} -->\n<h2 class=\"wp-block-heading has-base-color has-secondary-color has-text-color\" style=\"margin-bottom:20px;font-size:3rem;line-height:1.1\">به لامرد وب خوش آمدید</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"25px\"}},\"typography\":{\"lineHeight\":\"1.8\"}},\"textColor\":\"tertiary\"} -->\n<p class=\"has-text-align-right has-tertiary-color has-text-color\" style=\"margin-bottom:25px;line-height:1.8\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"20px\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-bottom:20px\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">لورم ایپسوم متن ساختگی با تولید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">لورم ایپسوم متن ساختگی با تولید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">لورم ایپسوم متن ساختگی با تولید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">لورم ایپسوم متن ساختگی با تولید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"40px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:buttons {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}},\"fontFamily\":\"poppins\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons has-poppins-font-family\" style=\"letter-spacing:1px;text-transform:uppercase\"><!-- wp:button {\"textAlign\":\"center\",\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link has-text-align-center wp-element-button\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"padding\":{\"left\":\"5px\",\"right\":\"5px\",\"top\":\"5px\",\"bottom\":\"5px\"}},\"border\":{\"radius\":\"50px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-radius:50px;padding-top:5px;padding-right:5px;padding-bottom:5px;padding-left:5px\"><!-- wp:paragraph {\"fontSize\":\"x-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<p class=\"has-material-symbols-outlined-font-family has-x-large-font-size\">headset_mic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"dimensions\":{\"minHeight\":\"\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"border\":{\"radius\":\"50px\"},\"spacing\":{\"blockGap\":\"5px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-radius:50px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|tertiary\"}}}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-tertiary-color has-text-color has-link-color has-small-font-size\" style=\"line-height:1.1\">تماس</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"16px\"}}} -->\n<p style=\"font-size:16px;font-style:normal;font-weight:600\">۰۲۱-۵۶۴۴۴۵۶۴</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"padding\":{\"bottom\":\"80px\",\"top\":\"80px\",\"left\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"quaternary\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull has-quaternary-background-color has-background\" style=\"padding-top:80px;padding-right:var(--wp--preset--spacing--30);padding-bottom:80px;padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:50%\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"40px\"},\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:40px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"letterSpacing\":\"1px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"primary\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color has-text-color has-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\">آنچه ما ارائه می دهیم</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"45px\",\"lineHeight\":\"1.1\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"base\"} -->\n<h3 class=\"wp-block-heading has-base-color has-text-color\" style=\"margin-bottom:0px;font-size:45px;font-style:normal;font-weight:700;line-height:1.1\">بهترین استانداردها در همه جا.</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"lineHeight\":\"1.6\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-right has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"30px\",\"left\":\"30px\"},\"padding\":{\"top\":\"40px\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\" style=\"padding-top:40px\"><!-- wp:column {\"verticalAlignment\":\"center\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontSize\":\"x-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-primary-color has-text-color has-link-color has-material-symbols-outlined-font-family has-x-large-font-size\">computer</h4>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"bottom\":\"15px\",\"top\":\"40px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-base-color has-text-color\" style=\"margin-top:40px;margin-bottom:15px;font-size:20px;line-height:1.2\">قرار آنلاین</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontSize\":\"x-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-primary-color has-text-color has-link-color has-material-symbols-outlined-font-family has-x-large-font-size\">airport_shuttle</h4>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"bottom\":\"15px\",\"top\":\"40px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-base-color has-text-color\" style=\"margin-top:40px;margin-bottom:15px;font-size:20px;line-height:1.2\">خدمات اجاره خودرو</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontSize\":\"x-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-primary-color has-text-color has-link-color has-material-symbols-outlined-font-family has-x-large-font-size\">engineering</h4>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"bottom\":\"15px\",\"top\":\"40px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-base-color has-text-color\" style=\"margin-top:40px;margin-bottom:15px;font-size:20px;line-height:1.2\">بررسی ترمز و خدمات</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4,\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontSize\":\"x-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-primary-color has-text-color has-link-color has-material-symbols-outlined-font-family has-x-large-font-size\">credit_card_heart</h4>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"bottom\":\"15px\",\"top\":\"40px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-base-color has-text-color\" style=\"margin-top:40px;margin-bottom:15px;font-size:20px;line-height:1.2\">بهترین قیمت ها در منطقه</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"padding\":{\"bottom\":\"80px\",\"top\":\"80px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:80px;padding-right:var(--wp--preset--spacing--40);padding-bottom:80px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:50%\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"40px\"},\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:40px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"letterSpacing\":\"1px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"primary\",\"fontSize\":\"small\"} -->\n<p class=\"has-primary-color has-text-color has-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\">دستی انتخاب شد</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"45px\",\"lineHeight\":\"1.1\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"base\"} -->\n<h3 class=\"wp-block-heading has-base-color has-text-color\" style=\"margin-bottom:0px;font-size:45px;font-style:normal;font-weight:700;line-height:1.1\">لیست های ویژه</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:50%\"><!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"20px\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:20px\"><!-- wp:button {\"className\":\"is-style-fill\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} -->\n<div class=\"wp-block-button is-style-fill\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link wp-element-button\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"30px\",\"left\":\"30px\"},\"padding\":{\"top\":\"40px\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\" style=\"padding-top:40px\"><!-- wp:column {\"verticalAlignment\":\"top\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-8.jpg\",\"dimRatio\":20,\"minHeight\":630,\"contentPosition\":\"bottom center\",\"style\":{\"border\":{\"radius\":{\"topLeft\":\"5px\",\"topRight\":\"5px\",\"bottomLeft\":\"5px\",\"bottomRight\":\"5px\"}},\"spacing\":{\"padding\":{\"right\":\"0px\",\"left\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-top-left-radius:5px;border-top-right-radius:5px;border-bottom-left-radius:5px;border-bottom-right-radius:5px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px;min-height:630px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-8.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"30px\",\"bottom\":\"30px\",\"left\":\"30px\",\"right\":\"30px\"}}},\"backgroundColor\":\"secondary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide has-secondary-background-color has-background\" style=\"padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\",\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"0px\"}}},\"textColor\":\"default\"} -->\n<h5 class=\"wp-block-heading alignwide has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:20px;line-height:1.2\">قرار آنلاین</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"20px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:20px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:separator {\"align\":\"full\",\"className\":\"is-style-wide\",\"style\":{\"color\":{\"background\":\"#f0f4fa4a\"},\"spacing\":{\"margin\":{\"top\":\"20px\",\"bottom\":\"20px\"}}}} -->\n<hr class=\"wp-block-separator alignfull has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"margin-top:20px;margin-bottom:20px;background-color:#f0f4fa4a;color:#f0f4fa4a\"/>\n<!-- /wp:separator -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"12px\",\"right\":\"12px\",\"top\":\"6px\",\"bottom\":\"6px\"}},\"border\":{\"radius\":\"5px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:5px;padding-top:6px;padding-right:12px;padding-bottom:6px;padding-left:12px\">2001</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\"}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1\">اتوماتیک</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\"}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1\">دیزل</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\"}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1\">رانندگی</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"style\":{\"spacing\":{\"blockGap\":\"30px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-4.jpg\",\"dimRatio\":20,\"minHeight\":300,\"contentPosition\":\"bottom center\",\"style\":{\"border\":{\"radius\":{\"topLeft\":\"5px\",\"topRight\":\"5px\",\"bottomLeft\":\"5px\",\"bottomRight\":\"5px\"}},\"spacing\":{\"padding\":{\"right\":\"0px\",\"left\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-top-left-radius:5px;border-top-right-radius:5px;border-bottom-left-radius:5px;border-bottom-right-radius:5px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px;min-height:300px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-4.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"15px\",\"bottom\":\"15px\",\"left\":\"15px\",\"right\":\"15px\"}}},\"backgroundColor\":\"secondary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide has-secondary-background-color has-background\" style=\"padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.5\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"0px\"}}},\"textColor\":\"default\"} -->\n<h5 class=\"wp-block-heading alignwide has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;line-height:1.5\">قرار آنلاین</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;font-style:normal;font-weight:600;line-height:1\">۱.۰۰۰.۰۰۰.۰۰۰ تومان</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:separator {\"align\":\"full\",\"className\":\"is-style-wide\",\"style\":{\"color\":{\"background\":\"#f0f4fa4a\"},\"spacing\":{\"margin\":{\"top\":\"20px\",\"bottom\":\"20px\"}}}} -->\n<hr class=\"wp-block-separator alignfull has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"margin-top:20px;margin-bottom:20px;background-color:#f0f4fa4a;color:#f0f4fa4a\"/>\n<!-- /wp:separator -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"12px\",\"right\":\"12px\",\"top\":\"4px\",\"bottom\":\"4px\"}},\"border\":{\"radius\":\"5px\"},\"typography\":{\"fontSize\":\"13px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:13px\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:5px;padding-top:4px;padding-right:12px;padding-bottom:4px;padding-left:12px\">2001</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">اتوماتیک</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">دیزل</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-6.jpg\",\"dimRatio\":20,\"minHeight\":300,\"contentPosition\":\"bottom center\",\"style\":{\"border\":{\"radius\":{\"topLeft\":\"5px\",\"topRight\":\"5px\",\"bottomLeft\":\"5px\",\"bottomRight\":\"5px\"}},\"spacing\":{\"padding\":{\"right\":\"0px\",\"left\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-top-left-radius:5px;border-top-right-radius:5px;border-bottom-left-radius:5px;border-bottom-right-radius:5px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px;min-height:300px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-6.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"15px\",\"bottom\":\"15px\",\"left\":\"15px\",\"right\":\"15px\"}}},\"backgroundColor\":\"secondary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide has-secondary-background-color has-background\" style=\"padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.5\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"0px\"}}},\"textColor\":\"default\"} -->\n<h5 class=\"wp-block-heading alignwide has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;line-height:1.5\">قرار آنلاین</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;font-style:normal;font-weight:600;line-height:1\">۱.۰۰۰.۰۰۰.۰۰۰ تومان</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:separator {\"align\":\"full\",\"className\":\"is-style-wide\",\"style\":{\"color\":{\"background\":\"#f0f4fa4a\"},\"spacing\":{\"margin\":{\"top\":\"20px\",\"bottom\":\"20px\"}}}} -->\n<hr class=\"wp-block-separator alignfull has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"margin-top:20px;margin-bottom:20px;background-color:#f0f4fa4a;color:#f0f4fa4a\"/>\n<!-- /wp:separator -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"12px\",\"right\":\"12px\",\"top\":\"4px\",\"bottom\":\"4px\"}},\"border\":{\"radius\":\"5px\"},\"typography\":{\"fontSize\":\"13px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:13px\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:5px;padding-top:4px;padding-right:12px;padding-bottom:4px;padding-left:12px\">2001</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">اتوماتیک</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">دیزل</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-5.jpg\",\"dimRatio\":20,\"minHeight\":300,\"contentPosition\":\"bottom center\",\"style\":{\"border\":{\"radius\":{\"topLeft\":\"5px\",\"topRight\":\"5px\",\"bottomLeft\":\"5px\",\"bottomRight\":\"5px\"}},\"spacing\":{\"padding\":{\"right\":\"0px\",\"left\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-top-left-radius:5px;border-top-right-radius:5px;border-bottom-left-radius:5px;border-bottom-right-radius:5px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px;min-height:300px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-5.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"15px\",\"bottom\":\"15px\",\"left\":\"15px\",\"right\":\"15px\"}}},\"backgroundColor\":\"secondary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide has-secondary-background-color has-background\" style=\"padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.5\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"0px\"}}},\"textColor\":\"default\"} -->\n<h5 class=\"wp-block-heading alignwide has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;line-height:1.5\">قرار آنلاین</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;font-style:normal;font-weight:600;line-height:1\">۱.۰۰۰.۰۰۰.۰۰۰ تومان</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:separator {\"align\":\"full\",\"className\":\"is-style-wide\",\"style\":{\"color\":{\"background\":\"#f0f4fa4a\"},\"spacing\":{\"margin\":{\"top\":\"20px\",\"bottom\":\"20px\"}}}} -->\n<hr class=\"wp-block-separator alignfull has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"margin-top:20px;margin-bottom:20px;background-color:#f0f4fa4a;color:#f0f4fa4a\"/>\n<!-- /wp:separator -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"12px\",\"right\":\"12px\",\"top\":\"4px\",\"bottom\":\"4px\"}},\"border\":{\"radius\":\"5px\"},\"typography\":{\"fontSize\":\"13px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:13px\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:5px;padding-top:4px;padding-right:12px;padding-bottom:4px;padding-left:12px\">2001</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">اتوماتیک</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">دیزل</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-8.jpg\",\"dimRatio\":20,\"minHeight\":300,\"contentPosition\":\"bottom center\",\"style\":{\"border\":{\"radius\":{\"topLeft\":\"5px\",\"topRight\":\"5px\",\"bottomLeft\":\"5px\",\"bottomRight\":\"5px\"}},\"spacing\":{\"padding\":{\"right\":\"0px\",\"left\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-center\" style=\"border-top-left-radius:5px;border-top-right-radius:5px;border-bottom-left-radius:5px;border-bottom-right-radius:5px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px;min-height:300px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-8.jpg\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"15px\",\"bottom\":\"15px\",\"left\":\"15px\",\"right\":\"15px\"}}},\"backgroundColor\":\"secondary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide has-secondary-background-color has-background\" style=\"padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"lineHeight\":\"1.5\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"0px\"}}},\"textColor\":\"default\"} -->\n<h5 class=\"wp-block-heading alignwide has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;line-height:1.5\">قرار آنلاین</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:16px;font-style:normal;font-weight:600;line-height:1\">۱.۰۰۰.۰۰۰.۰۰۰ تومان</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:separator {\"align\":\"full\",\"className\":\"is-style-wide\",\"style\":{\"color\":{\"background\":\"#f0f4fa4a\"},\"spacing\":{\"margin\":{\"top\":\"20px\",\"bottom\":\"20px\"}}}} -->\n<hr class=\"wp-block-separator alignfull has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"margin-top:20px;margin-bottom:20px;background-color:#f0f4fa4a;color:#f0f4fa4a\"/>\n<!-- /wp:separator -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"spacing\":{\"padding\":{\"left\":\"12px\",\"right\":\"12px\",\"top\":\"4px\",\"bottom\":\"4px\"}},\"border\":{\"radius\":\"5px\"},\"typography\":{\"fontSize\":\"13px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:13px\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:5px;padding-top:4px;padding-right:12px;padding-bottom:4px;padding-left:12px\">2001</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">اتوماتیک</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"margin-bottom:0px;font-size:13px;line-height:1\">دیزل</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-1.jpg\",\"hasParallax\":true,\"dimRatio\":90,\"minHeight\":80,\"minHeightUnit\":\"vh\",\"customGradient\":\"linear-gradient(175deg,rgba(8,23,28,0.85) 39%,rgba(191,33,38,0.88) 78%)\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|60\",\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--60);min-height:80vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim wp-block-cover__gradient-background has-background-gradient\" style=\"background:linear-gradient(175deg,rgba(8,23,28,0.85) 39%,rgba(191,33,38,0.88) 78%)\"></span><div class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-1.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"letterSpacing\":\"1px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"default\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-default-color has-text-color has-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\">آیا شما نگاه می کنید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"45px\",\"lineHeight\":\"1.1\"}},\"textColor\":\"default\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-default-color has-text-color\" style=\"font-size:45px;font-style:normal;font-weight:700;line-height:1.1\">برای خرید یک ماشین؟</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"40px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-quaternary-color has-text-color has-small-font-size\" style=\"margin-bottom:40px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"20px\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:20px\"><!-- wp:button {\"textColor\":\"default\",\"className\":\"is-style-outline\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"borderColor\":\"default\"} -->\n<div class=\"wp-block-button is-style-outline\" style=\"letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-default-color has-text-color has-link-color has-border-color has-default-border-color wp-element-button\">خودرو خود را جستجو کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"60px\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"border\":{\"right\":{\"color\":\"var:preset|color|quaternary\",\"style\":\"solid\",\"width\":\"1px\"},\"top\":[],\"bottom\":[],\"left\":[]}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"border-right-color:var(--wp--preset--color--quaternary);border-right-style:solid;border-right-width:1px\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"30px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"level\":4,\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"xx-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-default-color has-text-color has-link-color has-material-symbols-outlined-font-family has-xx-large-font-size\">diversity_2</h4>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"5px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"fontSize\":\"x-large\"} -->\n<h2 class=\"wp-block-heading has-x-large-font-size\" style=\"font-style:normal;font-weight:400\">150+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.3\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"small\"} -->\n<p class=\"has-default-color has-text-color has-link-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.3\">تیم ورک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"border\":{\"right\":{\"color\":\"var:preset|color|quaternary\",\"style\":\"solid\",\"width\":\"1px\"},\"top\":[],\"bottom\":[],\"left\":[]}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"border-right-color:var(--wp--preset--color--quaternary);border-right-style:solid;border-right-width:1px\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"30px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"800\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"xx-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-default-color has-text-color has-link-color has-material-symbols-outlined-font-family has-xx-large-font-size\" style=\"font-style:normal;font-weight:800\">ar_on_you</h4>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"5px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"fontSize\":\"x-large\"} -->\n<h2 class=\"wp-block-heading has-x-large-font-size\" style=\"font-style:normal;font-weight:400\">150+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.3\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"small\"} -->\n<p class=\"has-default-color has-text-color has-link-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.3\">مشتریان قابل اعتماد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"border\":{\"right\":{\"color\":\"var:preset|color|quaternary\",\"style\":\"solid\",\"width\":\"1px\"},\"top\":[],\"bottom\":[],\"left\":[]}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"border-right-color:var(--wp--preset--color--quaternary);border-right-style:solid;border-right-width:1px\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"30px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"800\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"xx-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-default-color has-text-color has-link-color has-material-symbols-outlined-font-family has-xx-large-font-size\" style=\"font-style:normal;font-weight:800\">apartment</h4>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"5px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"fontSize\":\"x-large\"} -->\n<h2 class=\"wp-block-heading has-x-large-font-size\" style=\"font-style:normal;font-weight:400\">150+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.3\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"small\"} -->\n<p class=\"has-default-color has-text-color has-link-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.3\">محل دفاتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"30px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"800\"},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"xx-large\",\"fontFamily\":\"material-symbols-outlined\"} -->\n<h4 class=\"wp-block-heading has-default-color has-text-color has-link-color has-material-symbols-outlined-font-family has-xx-large-font-size\" style=\"font-style:normal;font-weight:800\">social_leaderboard</h4>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"5px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"fontSize\":\"x-large\"} -->\n<h2 class=\"wp-block-heading has-x-large-font-size\" style=\"font-style:normal;font-weight:400\">150+</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.3\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"textColor\":\"default\",\"fontSize\":\"small\"} -->\n<p class=\"has-default-color has-text-color has-link-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.3\">جوایز شرکت</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"padding\":{\"bottom\":\"80px\",\"top\":\"80px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"},\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:80px;padding-right:var(--wp--preset--spacing--40);padding-bottom:80px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"letterSpacing\":\"1px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"base\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-base-color has-text-color has-small-font-size\" style=\"letter-spacing:1px;text-transform:uppercase\">آنچه مشتریان من می گویند</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"45px\",\"lineHeight\":\"1.1\"}},\"textColor\":\"base\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-base-color has-text-color\" style=\"font-size:45px;font-style:normal;font-weight:700;line-height:1.1\">مشتریان ما به ما چه می گویند؟</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\",\"left\":\"30px\",\"right\":\"30px\"}}},\"backgroundColor\":\"quaternary\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group has-quaternary-background-color has-background\" style=\"padding-top:50px;padding-right:30px;padding-bottom:50px;padding-left:30px\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"base\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-base-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"width\":\"auto\",\"height\":\"60px\",\"aspectRatio\":\"1\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"50px\"}}} -->\n<figure class=\"wp-block-image size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-9.png\" alt=\"\" style=\"border-radius:50px;aspect-ratio:1;object-fit:cover;width:auto;height:60px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-text-align-center has-base-color has-text-color\" style=\"margin-bottom:0px;font-size:20px\">رضا</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.4\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.4\">UX / UI طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\",\"left\":\"30px\",\"right\":\"30px\"}}},\"backgroundColor\":\"quaternary\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group has-quaternary-background-color has-background\" style=\"padding-top:50px;padding-right:30px;padding-bottom:50px;padding-left:30px\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"base\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-base-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"width\":\"auto\",\"height\":\"60px\",\"aspectRatio\":\"1\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"50px\"}}} -->\n<figure class=\"wp-block-image size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-9.png\" alt=\"\" style=\"border-radius:50px;aspect-ratio:1;object-fit:cover;width:auto;height:60px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-text-align-center has-base-color has-text-color\" style=\"margin-bottom:0px;font-size:20px\">مرتضی</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.4\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.4\">UX / UI طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\",\"left\":\"30px\",\"right\":\"30px\"}}},\"backgroundColor\":\"quaternary\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group has-quaternary-background-color has-background\" style=\"padding-top:50px;padding-right:30px;padding-bottom:50px;padding-left:30px\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"base\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-base-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"width\":\"auto\",\"height\":\"60px\",\"aspectRatio\":\"1\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"50px\"}}} -->\n<figure class=\"wp-block-image size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-9.png\" alt=\"\" style=\"border-radius:50px;aspect-ratio:1;object-fit:cover;width:auto;height:60px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":5,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"20px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"base\"} -->\n<h5 class=\"wp-block-heading alignwide has-text-align-center has-base-color has-text-color\" style=\"margin-bottom:0px;font-size:20px\">علی</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.4\"}},\"textColor\":\"tertiary\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-tertiary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.4\">UX / UI طراح</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:columns {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}}} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"overlayColor\":\"primary\",\"isUserOverlayColor\":true,\"minHeight\":450,\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|70\",\"left\":\"var:preset|spacing|70\",\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"},\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--70);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-primary-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"15px\"}}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">آیا شما به دنبال یک ماشین هستید؟</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.6\"}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-small-font-size\" style=\"margin-bottom:0px;line-height:1.6\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"30px\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:30px\"><!-- wp:button {\"textColor\":\"default\",\"className\":\"is-style-outline\",\"style\":{\"border\":{\"width\":\"1px\",\"style\":\"solid\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"borderColor\":\"default\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-default-color has-text-color has-link-color has-border-color has-default-border-color wp-element-button\" style=\"border-style:solid;border-width:1px\">تماس با ما</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"at-pos patterns-automotive-pos-sty-cont-1\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group at-pos patterns-automotive-pos-sty-cont-1\"><!-- wp:image {\"width\":\"500px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-2.png\" alt=\"\" style=\"width:500px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:cover {\"overlayColor\":\"secondary\",\"isUserOverlayColor\":true,\"minHeight\":450,\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|70\",\"left\":\"var:preset|spacing|70\",\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"},\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover\" style=\"padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--70);min-height:450px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-secondary-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"15px\"}}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">چگونه ماشین بخریم؟</h4>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\",\"margin\":{\"top\":\"30px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:30px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|quaternary\"}}}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;line-height:1.2\">بهترین معاملات</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|quaternary\"}}}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;line-height:1.2\">ماشین خود را بفروشید</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"textColor\":\"primary\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-primary-color has-text-color has-link-color has-material-icons-font-family\" style=\"margin-top:5px;margin-bottom:0px;font-style:normal;font-weight:600;line-height:1.2\">check_box</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\",\"top\":\"5px\"}},\"typography\":{\"lineHeight\":\"1.2\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|quaternary\"}}}},\"textColor\":\"quaternary\",\"fontSize\":\"small\"} -->\n<p class=\"has-quaternary-color has-text-color has-link-color has-small-font-size\" style=\"margin-top:5px;margin-bottom:0px;line-height:1.2\">ارزش دفتری خودرو</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"30px\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:30px\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">بیشتر</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"at-pos patterns-automotive-pos-sty-cont-1\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group at-pos patterns-automotive-pos-sty-cont-1\"><!-- wp:image {\"width\":\"500px\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/img-3.png\" alt=\"\" style=\"width:500px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"},\"spacing\":{\"padding\":{\"bottom\":\"80px\",\"top\":\"80px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"},\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:80px;padding-right:var(--wp--preset--spacing--40);padding-bottom:80px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"constrained\",\"wideSize\":\"\",\"contentSize\":\"\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"primary\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-primary-color has-text-color has-small-font-size\" style=\"text-transform:uppercase\">بینش و ایده های سفر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"45px\",\"lineHeight\":\"1\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"textColor\":\"base\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-base-color has-text-color\" style=\"margin-bottom:0px;font-size:45px;line-height:1\">آخرین راهنمای سفر</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:query {\"queryId\":2,\"query\":{\"perPage\":\"3\",\"pages\":\"6\",\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"exclude\",\"inherit\":false},\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"30px\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:post-featured-image {\"style\":{\"border\":{\"radius\":{\"bottomLeft\":\"0px\",\"bottomRight\":\"0px\"}},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\",\"padding\":{\"top\":\"30px\",\"left\":\"30px\",\"right\":\"30px\",\"bottom\":\"30px\"}}},\"backgroundColor\":\"quaternary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-quaternary-background-color has-background\" style=\"padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px\"><!-- wp:group {\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:post-date {\"format\":\"M j, Y\",\"displayType\":\"modified\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"13px\"}}} /-->\n\n<!-- wp:post-terms {\"term\":\"category\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"13px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"18px\"}},\"fontFamily\":\"russo-one\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":20,\"style\":{\"typography\":{\"lineHeight\":\"1.2\"},\"spacing\":{\"margin\":{\"top\":\"20px\"}}}} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"patterns-automotive\",\"tagName\":\"footer\"} /-->","برگه نخست","قالب برگه اول سایت شما را نمایش می‌دهد، چه برای نمایش آخرین نوشته‌ها تنظیم شده باشد و چه یک برگه ثابت. قالب برگه اول بر همه قالب‌ها اولویت دارد.","publish","closed","closed","","front-page","","","2025-01-15 11:14:56","2025-01-15 11:14:56","","0","https://hamzehhemmati.ir/index.php/2025/01/15/front-page/","0","wp_template","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("75","1","2025-01-15 11:16:21","2025-01-15 11:16:21","{\"styles\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"Material Symbols Outlined\",\"slug\":\"material-symbols-outlined\",\"fontFace\":[{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"100\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_100.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"200\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_200.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_300.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_400.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_500.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_600.ttf\"]},{\"fontFamily\":\"Material Symbols Outlined\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/material-symbols-outlined_normal_700.ttf\"]}],\"name\":\"Material Symbols Outlined\"},{\"fontFamily\":\"Material Icons\",\"slug\":\"material-icons\",\"fontFace\":[{\"fontFamily\":\"Material Icons\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/material-icons_normal_400.ttf\"]}],\"name\":\"Material Icons\"},{\"fontFamily\":\"Russo One\",\"slug\":\"heading\",\"fontFace\":[{\"fontFamily\":\"Russo One\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/russo-one_normal_400.ttf\"]}],\"name\":\"Russo One\"},{\"fontFamily\":\"Roboto\",\"slug\":\"base\",\"fontFace\":[{\"fontFamily\":\"Roboto\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_normal_400.ttf\"]}],\"name\":\"Roboto\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","72-revision-v1","","","2025-01-15 11:16:21","2025-01-15 11:16:21","","72","https://hamzehhemmati.ir/?p=75","0","revision","","0"),
("76","1","2025-01-15 11:16:21","2025-01-15 11:16:21","<!-- wp:group {\"metadata\":{\"name\":\"Footer\"},\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"backgroundColor\":\"secondary\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-secondary-background-color has-background\"><!-- wp:group {\"metadata\":{\"name\":\"Top Footer\"},\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"40px\",\"bottom\":\"40px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:40px;padding-right:var(--wp--preset--spacing--40);padding-bottom:40px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"width\":\"auto\",\"height\":\"40px\",\"sizeSlug\":\"full\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/patterns-automotive/assets/img/patternswp-logo-default.png\" alt=\"\" style=\"width:auto;height:40px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}},\"typography\":{\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"20px\"},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"100px\"}},\"textColor\":\"default\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"ref\":62,\"textColor\":\"quaternary\",\"overlayMenu\":\"never\",\"style\":{\"typography\":{\"fontSize\":\"14px\",\"textTransform\":\"capitalize\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Middle Footer\"},\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"80px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"},\"blockGap\":\"0px\"},\"border\":{\"top\":{\"color\":\"#21252963\",\"style\":\"solid\",\"width\":\"1px\"},\"right\":[],\"bottom\":[],\"left\":[]}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"border-top-color:#21252963;border-top-style:solid;border-top-width:1px;padding-top:80px;padding-right:var(--wp--preset--spacing--40);padding-bottom:80px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"40px\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"13px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"font-size:13px;font-style:normal;font-weight:600;text-transform:uppercase\">دفتر</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|quaternary\"}}},\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color has-link-color\" style=\"font-size:14px\">شیراز-معالی اباد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"13px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"font-size:13px;font-style:normal;font-weight:600;text-transform:uppercase\">ساعات کاری</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"5px\"}},\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color has-link-color\" style=\"margin-top:0px;margin-bottom:5px;font-size:14px\">پنج شنبه : 07:00 - 22:00</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}},\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"default\"} -->\n<p class=\"has-default-color has-text-color has-link-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:14px\">شنبه تا چهارشنبه : 07:00 - 22:00</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"13px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"font-size:13px;font-style:normal;font-weight:600;text-transform:uppercase\">تماس</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"pwp-txt-dec-non\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"5px\"}}},\"textColor\":\"default\",\"fontSize\":\"medium\"} -->\n<p class=\"pwp-txt-dec-non has-default-color has-text-color has-link-color has-medium-font-size\" style=\"margin-top:0px;margin-bottom:5px\"><a href=\"\">۰۷۱-۴۵۶۳۲۱۲۲۴۶</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"pwp-txt-dec-non\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}},\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"default\"} -->\n<p class=\"pwp-txt-dec-non has-default-color has-text-color has-link-color\" style=\"margin-top:0px;margin-bottom:0px;font-size:14px\"><a href=\"mailto:hello@example.com\">hello@example.com</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"13px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"quaternary\"} -->\n<p class=\"has-quaternary-color has-text-color\" style=\"font-size:13px;font-style:normal;font-weight:600;text-transform:uppercase\">آخرین ها</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:query {\"queryId\":6,\"query\":{\"perPage\":\"1\",\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"aspectRatio\":\"1\",\"width\":\"60px\",\"height\":\"60px\"} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"style\":{\"typography\":{\"fontSize\":\"13px\"}}} /-->\n\n<!-- wp:post-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|quaternary\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"quaternary\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Bottom Footer\"},\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"color\":{\"background\":\"#00000042\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000042;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:20px;padding-right:var(--wp--preset--spacing--40);padding-bottom:20px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"5px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|quaternary\"}}}},\"textColor\":\"quaternary\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group has-quaternary-color has-text-color has-link-color\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}}} -->\n<p style=\"margin-top:0px;margin-bottom:0px;font-size:14px\">فارسی شده توسط لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Social icons\"},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z\"/>\r\n</svg>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M8 0C5.829 0 5.556.01 4.703.048 3.85.088 3.269.222 2.76.42a3.917 3.917 0 0 0-1.417.923A3.927 3.927 0 0 0 .42 2.76C.222 3.268.087 3.85.048 4.7.01 5.555 0 5.827 0 8.001c0 2.172.01 2.444.048 3.297.04.852.174 1.433.372 1.942.205.526.478.972.923 1.417.444.445.89.719 1.416.923.51.198 1.09.333 1.942.372C5.555 15.99 5.827 16 8 16s2.444-.01 3.298-.048c.851-.04 1.434-.174 1.943-.372a3.916 3.916 0 0 0 1.416-.923c.445-.445.718-.891.923-1.417.197-.509.332-1.09.372-1.942C15.99 10.445 16 10.173 16 8s-.01-2.445-.048-3.299c-.04-.851-.175-1.433-.372-1.941a3.926 3.926 0 0 0-.923-1.417A3.911 3.911 0 0 0 13.24.42c-.51-.198-1.092-.333-1.943-.372C10.443.01 10.172 0 7.998 0h.003zm-.717 1.442h.718c2.136 0 2.389.007 3.232.046.78.035 1.204.166 1.486.275.373.145.64.319.92.599.28.28.453.546.598.92.11.281.24.705.275 1.485.039.843.047 1.096.047 3.231s-.008 2.389-.047 3.232c-.035.78-.166 1.203-.275 1.485a2.47 2.47 0 0 1-.599.919c-.28.28-.546.453-.92.598-.28.11-.704.24-1.485.276-.843.038-1.096.047-3.232.047s-2.39-.009-3.233-.047c-.78-.036-1.203-.166-1.485-.276a2.478 2.478 0 0 1-.92-.598 2.48 2.48 0 0 1-.6-.92c-.109-.281-.24-.705-.275-1.485-.038-.843-.046-1.096-.046-3.233 0-2.136.008-2.388.046-3.231.036-.78.166-1.204.276-1.486.145-.373.319-.64.599-.92.28-.28.546-.453.92-.598.282-.11.705-.24 1.485-.276.738-.034 1.024-.044 2.515-.045v.002zm4.988 1.328a.96.96 0 1 0 0 1.92.96.96 0 0 0 0-1.92zm-4.27 1.122a4.109 4.109 0 1 0 0 8.217 4.109 4.109 0 0 0 0-8.217zm0 1.441a2.667 2.667 0 1 1 0 5.334 2.667 2.667 0 0 1 0-5.334z\"/>\r\n</svg>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z\"/>\r\n</svg>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"default\",\"className\":\"is-style-scroll-to-top\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}},\"border\":{\"radius\":\"50px\"},\"spacing\":{\"padding\":{\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}}},\"fontSize\":\"medium\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-scroll-to-top has-medium-font-size\"><a class=\"wp-block-button__link has-default-color has-text-color has-link-color wp-element-button\" style=\"border-radius:50px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\">Scroll To Top</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->","Site Footer","","publish","closed","closed","","footer","","","2025-01-15 11:16:21","2025-01-15 11:16:21","","0","https://hamzehhemmati.ir/index.php/2025/01/15/footer/","0","wp_template_part","","0"),
("77","1","2025-01-15 11:16:21","2025-01-15 11:16:21","<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"10px\",\"bottom\":\"10px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"backgroundColor\":\"secondary\",\"textColor\":\"default\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-default-color has-secondary-background-color has-text-color has-background has-link-color\" style=\"padding-top:10px;padding-right:var(--wp--preset--spacing--40);padding-bottom:10px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"stretch\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"fontSize\":\"13px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}}} -->\n<p style=\"margin-bottom:0px;font-size:13px;font-style:normal;font-weight:500;text-transform:uppercase\">دنبال کنید :</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z\"/>\r\n</svg>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M8 0C5.829 0 5.556.01 4.703.048 3.85.088 3.269.222 2.76.42a3.917 3.917 0 0 0-1.417.923A3.927 3.927 0 0 0 .42 2.76C.222 3.268.087 3.85.048 4.7.01 5.555 0 5.827 0 8.001c0 2.172.01 2.444.048 3.297.04.852.174 1.433.372 1.942.205.526.478.972.923 1.417.444.445.89.719 1.416.923.51.198 1.09.333 1.942.372C5.555 15.99 5.827 16 8 16s2.444-.01 3.298-.048c.851-.04 1.434-.174 1.943-.372a3.916 3.916 0 0 0 1.416-.923c.445-.445.718-.891.923-1.417.197-.509.332-1.09.372-1.942C15.99 10.445 16 10.173 16 8s-.01-2.445-.048-3.299c-.04-.851-.175-1.433-.372-1.941a3.926 3.926 0 0 0-.923-1.417A3.911 3.911 0 0 0 13.24.42c-.51-.198-1.092-.333-1.943-.372C10.443.01 10.172 0 7.998 0h.003zm-.717 1.442h.718c2.136 0 2.389.007 3.232.046.78.035 1.204.166 1.486.275.373.145.64.319.92.599.28.28.453.546.598.92.11.281.24.705.275 1.485.039.843.047 1.096.047 3.231s-.008 2.389-.047 3.232c-.035.78-.166 1.203-.275 1.485a2.47 2.47 0 0 1-.599.919c-.28.28-.546.453-.92.598-.28.11-.704.24-1.485.276-.843.038-1.096.047-3.232.047s-2.39-.009-3.233-.047c-.78-.036-1.203-.166-1.485-.276a2.478 2.478 0 0 1-.92-.598 2.48 2.48 0 0 1-.6-.92c-.109-.281-.24-.705-.275-1.485-.038-.843-.046-1.096-.046-3.233 0-2.136.008-2.388.046-3.231.036-.78.166-1.204.276-1.486.145-.373.319-.64.599-.92.28-.28.546-.453.92-.598.282-.11.705-.24 1.485-.276.738-.034 1.024-.044 2.515-.045v.002zm4.988 1.328a.96.96 0 1 0 0 1.92.96.96 0 0 0 0-1.92zm-4.27 1.122a4.109 4.109 0 1 0 0 8.217 4.109 4.109 0 0 0 0-8.217zm0 1.441a2.667 2.667 0 1 1 0 5.334 2.667 2.667 0 0 1 0-5.334z\"/>\r\n</svg>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z\"/>\r\n</svg>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"40px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"15px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"fontSize\":\"medium\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-material-icons-font-family has-medium-font-size\" style=\"margin-bottom:0px\">headset_mic</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>تلغن تماس</strong> : ۰۲۱-۴۵۶۷۸۷</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"15px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"fontSize\":\"medium\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-material-icons-font-family has-medium-font-size\" style=\"margin-bottom:0px\">alternate_email</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"13px\"}}} -->\n<p style=\"font-size:13px\"><strong>ایمیل </strong>: info@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-right:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\",\"padding\":{\"top\":\"25px\",\"bottom\":\"25px\",\"left\":\"0px\",\"right\":\"0px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:25px;padding-right:0px;padding-bottom:25px;padding-left:0px\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":40,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"180px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"level\":0,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"lineHeight\":\"1\",\"fontSize\":\"20px\",\"letterSpacing\":\"1px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"elements\":{\"link\":{\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"ref\":78} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Primary Header","","publish","closed","closed","","primary-header","","","2025-01-15 11:20:48","2025-01-15 11:20:48","","0","https://hamzehhemmati.ir/index.php/2025/01/15/primary-header/","0","wp_template_part","","0"),
("78","1","2025-01-15 11:20:48","2025-01-15 11:20:48","<!-- wp:home-link {\"label\":\"خانه\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تیم\",\"url\":\"#\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\"} /-->","راهبری 10","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-10","","","2025-01-15 11:20:48","2025-01-15 11:20:48","","0","https://hamzehhemmati.ir/?p=78","0","wp_navigation","","0"),
("79","1","2025-01-15 11:20:48","2025-01-15 11:20:48","<!-- wp:home-link {\"label\":\"خانه\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تیم\",\"url\":\"#\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس\",\"url\":\"#\"} /-->","راهبری 10","","inherit","closed","closed","","78-revision-v1","","","2025-01-15 11:20:48","2025-01-15 11:20:48","","78","https://hamzehhemmati.ir/?p=79","0","revision","","0"),
("80","1","2025-01-15 11:20:48","2025-01-15 11:20:48","<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"10px\",\"bottom\":\"10px\",\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|default\"}}}},\"backgroundColor\":\"secondary\",\"textColor\":\"default\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-default-color has-secondary-background-color has-text-color has-background has-link-color\" style=\"padding-top:10px;padding-right:var(--wp--preset--spacing--40);padding-bottom:10px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"stretch\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"fontSize\":\"13px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}}} -->\n<p style=\"margin-bottom:0px;font-size:13px;font-style:normal;font-weight:500;text-transform:uppercase\">دنبال کنید :</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z\"/>\r\n</svg>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M8 0C5.829 0 5.556.01 4.703.048 3.85.088 3.269.222 2.76.42a3.917 3.917 0 0 0-1.417.923A3.927 3.927 0 0 0 .42 2.76C.222 3.268.087 3.85.048 4.7.01 5.555 0 5.827 0 8.001c0 2.172.01 2.444.048 3.297.04.852.174 1.433.372 1.942.205.526.478.972.923 1.417.444.445.89.719 1.416.923.51.198 1.09.333 1.942.372C5.555 15.99 5.827 16 8 16s2.444-.01 3.298-.048c.851-.04 1.434-.174 1.943-.372a3.916 3.916 0 0 0 1.416-.923c.445-.445.718-.891.923-1.417.197-.509.332-1.09.372-1.942C15.99 10.445 16 10.173 16 8s-.01-2.445-.048-3.299c-.04-.851-.175-1.433-.372-1.941a3.926 3.926 0 0 0-.923-1.417A3.911 3.911 0 0 0 13.24.42c-.51-.198-1.092-.333-1.943-.372C10.443.01 10.172 0 7.998 0h.003zm-.717 1.442h.718c2.136 0 2.389.007 3.232.046.78.035 1.204.166 1.486.275.373.145.64.319.92.599.28.28.453.546.598.92.11.281.24.705.275 1.485.039.843.047 1.096.047 3.231s-.008 2.389-.047 3.232c-.035.78-.166 1.203-.275 1.485a2.47 2.47 0 0 1-.599.919c-.28.28-.546.453-.92.598-.28.11-.704.24-1.485.276-.843.038-1.096.047-3.232.047s-2.39-.009-3.233-.047c-.78-.036-1.203-.166-1.485-.276a2.478 2.478 0 0 1-.92-.598 2.48 2.48 0 0 1-.6-.92c-.109-.281-.24-.705-.275-1.485-.038-.843-.046-1.096-.046-3.233 0-2.136.008-2.388.046-3.231.036-.78.166-1.204.276-1.486.145-.373.319-.64.599-.92.28-.28.546-.453.92-.598.282-.11.705-.24 1.485-.276.738-.034 1.024-.044 2.515-.045v.002zm4.988 1.328a.96.96 0 1 0 0 1.92.96.96 0 0 0 0-1.92zm-4.27 1.122a4.109 4.109 0 1 0 0 8.217 4.109 4.109 0 0 0 0-8.217zm0 1.441a2.667 2.667 0 1 1 0 5.334 2.667 2.667 0 0 1 0-5.334z\"/>\r\n</svg>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"at-svg at-h at-w patterns-automotive-svg-icon-white\" viewBox=\"0 0 16 16\">\r\n	<path d=\"M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z\"/>\r\n</svg>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"40px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"15px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"fontSize\":\"medium\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-material-icons-font-family has-medium-font-size\" style=\"margin-bottom:0px\">headset_mic</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>تلغن تماس</strong> : ۰۲۱-۴۵۶۷۸۷</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"15px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0px\"}}},\"fontSize\":\"medium\",\"fontFamily\":\"material-icons\"} -->\n<p class=\"has-material-icons-font-family has-medium-font-size\" style=\"margin-bottom:0px\">alternate_email</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"13px\"}}} -->\n<p style=\"font-size:13px\"><strong>ایمیل </strong>: info@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-right:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\",\"padding\":{\"top\":\"25px\",\"bottom\":\"25px\",\"left\":\"0px\",\"right\":\"0px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:25px;padding-right:0px;padding-bottom:25px;padding-left:0px\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":40,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"180px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"level\":0,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"lineHeight\":\"1\",\"fontSize\":\"20px\",\"letterSpacing\":\"1px\"},\"spacing\":{\"margin\":{\"bottom\":\"0px\"}},\"elements\":{\"link\":{\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"ref\":78} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Primary Header","","inherit","closed","closed","","77-revision-v1","","","2025-01-15 11:20:48","2025-01-15 11:20:48","","77","https://hamzehhemmati.ir/?p=80","0","revision","","0"),
("81","1","2025-01-15 11:20:48","2025-01-15 11:20:48","<!-- wp:group {\"metadata\":{\"categories\":[\"header\"],\"patternName\":\"patterns-automotive/header-default\",\"name\":\"Header Default\"},\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}}},\"textColor\":\"base\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-base-color has-text-color has-link-color\"><!-- wp:template-part {\"slug\":\"primary-header\",\"theme\":\"patterns-automotive\",\"align\":\"full\"} /--></div>\n<!-- /wp:group -->","Site Header (with absolute position)","","publish","closed","closed","","header-absolute","","","2025-01-15 11:20:48","2025-01-15 11:20:48","","0","https://hamzehhemmati.ir/index.php/2025/01/15/header-absolute/","0","wp_template_part","","0"),
("82","1","2025-01-18 10:07:36","2025-01-18 10:07:36","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":400,\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"regular\",\"fontStyle\":\"regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Regular.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"medium\",\"fontStyle\":\"medium\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Medium.ttf\"]},{\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"semibold\",\"fontStyle\":\"semibold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"bold\",\"fontStyle\":\"bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Bold.ttf\"]}],\"fontFamily\":\"Barlow Condensed, sans-serif\",\"name\":\"Barlow Condensed\",\"slug\":\"barlowcondensed\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Roboto Flex\",\"fontStretch\":\"regular\",\"fontStyle\":\"regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Roboto_Flex\\/static\\/RobotoFlex-Regular.ttf\"]}],\"fontFamily\":\"Roboto Flex, sans-serif\",\"name\":\"Roboto Flex\",\"slug\":\"robotoflex\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Regular.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Bold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Black.ttf\"]}],\"fontFamily\":\"Lato, sans-serif\",\"name\":\"Lato\",\"slug\":\"lato\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Light.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Regular.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Italic.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Medium.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-SemiBold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Bold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-ExtraBold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Black.woff2\"]}],\"fontFamily\":\"Poppins, serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"thin\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Regular.ttf\"]},{\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"SemiBold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"ExtraBold\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Black\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Black.ttf\"]}],\"fontFamily\":\"League Spartan, serif\",\"name\":\"League Spartan\",\"slug\":\"leaguespartan\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"thin\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Regular.ttf\"]},{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"SemiBold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"ExtraBold\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Black\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Black.ttf\"]}],\"fontFamily\":\"Montserrat, serif\",\"name\":\"Montserrat\",\"slug\":\"montserrat\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-auto-car-dealership","","","2025-01-18 10:08:49","2025-01-18 10:08:49","","0","https://hamzehhemmati.ir/index.php/2025/01/18/wp-global-styles-auto-car-dealership/","0","wp_global_styles","","0"),
("83","1","2025-01-18 10:08:20","2025-01-18 10:08:20","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"regular\",\"fontStyle\":\"regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Regular.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"medium\",\"fontStyle\":\"medium\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Medium.ttf\"]},{\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"semibold\",\"fontStyle\":\"semibold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"bold\",\"fontStyle\":\"bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Bold.ttf\"]}],\"fontFamily\":\"Barlow Condensed, sans-serif\",\"name\":\"Barlow Condensed\",\"slug\":\"barlowcondensed\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Roboto Flex\",\"fontStretch\":\"regular\",\"fontStyle\":\"regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Roboto_Flex\\/static\\/RobotoFlex-Regular.ttf\"]}],\"fontFamily\":\"Roboto Flex, sans-serif\",\"name\":\"Roboto Flex\",\"slug\":\"robotoflex\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Regular.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Bold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Black.ttf\"]}],\"fontFamily\":\"Lato, sans-serif\",\"name\":\"Lato\",\"slug\":\"lato\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Light.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Regular.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Italic.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Medium.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-SemiBold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Bold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-ExtraBold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Black.woff2\"]}],\"fontFamily\":\"Poppins, serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"thin\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Regular.ttf\"]},{\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"SemiBold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"ExtraBold\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Black\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Black.ttf\"]}],\"fontFamily\":\"League Spartan, serif\",\"name\":\"League Spartan\",\"slug\":\"leaguespartan\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"thin\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Regular.ttf\"]},{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"SemiBold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"ExtraBold\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Black\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Black.ttf\"]}],\"fontFamily\":\"Montserrat, serif\",\"name\":\"Montserrat\",\"slug\":\"montserrat\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","82-revision-v1","","","2025-01-18 10:08:20","2025-01-18 10:08:20","","82","https://hamzehhemmati.ir/?p=83","0","revision","","0"),
("84","1","2025-01-18 10:08:49","2025-01-18 10:08:49","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":400,\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"regular\",\"fontStyle\":\"regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Regular.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"medium\",\"fontStyle\":\"medium\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Medium.ttf\"]},{\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"semibold\",\"fontStyle\":\"semibold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Barlow Condensed\",\"fontStretch\":\"bold\",\"fontStyle\":\"bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Barlow_Condensed\\/BarlowCondensed-Bold.ttf\"]}],\"fontFamily\":\"Barlow Condensed, sans-serif\",\"name\":\"Barlow Condensed\",\"slug\":\"barlowcondensed\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Roboto Flex\",\"fontStretch\":\"regular\",\"fontStyle\":\"regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Roboto_Flex\\/static\\/RobotoFlex-Regular.ttf\"]}],\"fontFamily\":\"Roboto Flex, sans-serif\",\"name\":\"Roboto Flex\",\"slug\":\"robotoflex\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Regular.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Bold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Lato\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/Lato\\/Lato-Black.ttf\"]}],\"fontFamily\":\"Lato, sans-serif\",\"name\":\"Lato\",\"slug\":\"lato\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Light.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Regular.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Italic.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Medium.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-SemiBold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Bold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-ExtraBold.woff2\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/poppins\\/Poppins-Black.woff2\"]}],\"fontFamily\":\"Poppins, serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"thin\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Regular.ttf\"]},{\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"SemiBold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"ExtraBold\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"League Spartan\",\"fontStretch\":\"normal\",\"fontStyle\":\"Black\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/League_Spartan\\/static\\/LeagueSpartan-Black.ttf\"]}],\"fontFamily\":\"League Spartan, serif\",\"name\":\"League Spartan\",\"slug\":\"leaguespartan\"},{\"fontFace\":[{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"thin\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Light.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Regular\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Regular.ttf\"]},{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Medium.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"SemiBold\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Bold\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-SemiBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"ExtraBold\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-ExtraBold.ttf\"]},{\"fontDisplay\":\"block\",\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"Black\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/fonts\\/Montserrat\\/static\\/Montserrat-Black.ttf\"]}],\"fontFamily\":\"Montserrat, serif\",\"name\":\"Montserrat\",\"slug\":\"montserrat\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","82-revision-v1","","","2025-01-18 10:08:49","2025-01-18 10:08:49","","82","https://hamzehhemmati.ir/?p=84","0","revision","","0"),
("85","1","2025-01-18 10:09:14","2025-01-18 10:09:14","<!-- wp:columns {\"align\":\"full\",\"className\":\"header-section\"} -->\n<div class=\"wp-block-columns alignfull header-section\"><!-- wp:column {\"width\":\"25%\",\"className\":\"logo\"} -->\n<div class=\"wp-block-column logo\" style=\"flex-basis:25%\"><!-- wp:cover {\"customOverlayColor\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"isUserOverlayColor\":true,\"minHeight\":100} -->\n<div class=\"wp-block-cover\" style=\"min-height:100px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:var(--wp--preset--color--primary)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:site-logo {\"width\":150,\"shouldSyncIcon\":false} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"typography\":{\"fontSize\":\"22px\"}},\"textColor\":\"white\"} /--></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:columns {\"className\":\"topbar-section\"} -->\n<div class=\"wp-block-columns topbar-section\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\",\"className\":\"contact\"} -->\n<div class=\"wp-block-column contact\" style=\"flex-basis:25%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:14px\"><strong>تماس :</strong> +۰۲۱-۲۳۴۲۳۴۵</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"35%\",\"className\":\"contact\"} -->\n<div class=\"wp-block-column contact\" style=\"flex-basis:35%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:14px\"><strong>ایمیل :</strong> example@gmail.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"30%\",\"className\":\"contact\"} -->\n<div class=\"wp-block-column contact\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:14px\"><strong>زمان :</strong> شنبه تا پنج شنبه 8:00-5:00</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"menu-section\"} -->\n<div class=\"wp-block-columns menu-section\"><!-- wp:column {\"width\":\"5%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:5%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"75%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:75%\"><!-- wp:navigation {\"ref\":86,\"textColor\":\"white\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1.5\",\"textTransform\":\"uppercase\",\"fontSize\":\"14px\"},\"spacing\":{\"blockGap\":\"50px\"}},\"fontFamily\":\"secondary\",\"layout\":{\"type\":\"flex\",\"orientation\":\"horizontal\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:20%\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"openInNewTab\":true,\"size\":\"has-small-icon-size\",\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"label\":\"#\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->","Header","","publish","closed","closed","","header","","","2025-01-18 10:13:36","2025-01-18 10:13:36","","0","https://hamzehhemmati.ir/index.php/2025/01/18/header/","0","wp_template_part","","0"),
("86","1","2025-01-18 10:13:36","2025-01-18 10:13:36","<!-- wp:navigation-link {\"label\":\"خانه\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدمات\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"الان بخرید\",\"opensInNewTab\":true,\"url\":\"https://www.vwthemes.com/products/car-wordpress-theme\",\"kind\":\"custom\",\"isTopLevelLink\":true,\"className\":\"buynow-btn\"} /-->","راهبری سربرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d8%b3%d8%b1%d8%a8%d8%b1%da%af-4","","","2025-01-18 10:13:36","2025-01-18 10:13:36","","0","https://hamzehhemmati.ir/?p=86","0","wp_navigation","","0"),
("87","1","2025-01-18 10:13:36","2025-01-18 10:13:36","<!-- wp:navigation-link {\"label\":\"خانه\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدمات\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"الان بخرید\",\"opensInNewTab\":true,\"url\":\"https://www.vwthemes.com/products/car-wordpress-theme\",\"kind\":\"custom\",\"isTopLevelLink\":true,\"className\":\"buynow-btn\"} /-->","راهبری سربرگ","","inherit","closed","closed","","86-revision-v1","","","2025-01-18 10:13:36","2025-01-18 10:13:36","","86","https://hamzehhemmati.ir/?p=87","0","revision","","0"),
("88","1","2025-01-18 10:13:36","2025-01-18 10:13:36","<!-- wp:columns {\"align\":\"full\",\"className\":\"header-section\"} -->\n<div class=\"wp-block-columns alignfull header-section\"><!-- wp:column {\"width\":\"25%\",\"className\":\"logo\"} -->\n<div class=\"wp-block-column logo\" style=\"flex-basis:25%\"><!-- wp:cover {\"customOverlayColor\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"isUserOverlayColor\":true,\"minHeight\":100} -->\n<div class=\"wp-block-cover\" style=\"min-height:100px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:var(--wp--preset--color--primary)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:site-logo {\"width\":150,\"shouldSyncIcon\":false} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"typography\":{\"fontSize\":\"22px\"}},\"textColor\":\"white\"} /--></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:columns {\"className\":\"topbar-section\"} -->\n<div class=\"wp-block-columns topbar-section\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\",\"className\":\"contact\"} -->\n<div class=\"wp-block-column contact\" style=\"flex-basis:25%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:14px\"><strong>تماس :</strong> +۰۲۱-۲۳۴۲۳۴۵</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"35%\",\"className\":\"contact\"} -->\n<div class=\"wp-block-column contact\" style=\"flex-basis:35%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:14px\"><strong>ایمیل :</strong> example@gmail.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"30%\",\"className\":\"contact\"} -->\n<div class=\"wp-block-column contact\" style=\"flex-basis:30%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:14px\"><strong>زمان :</strong> شنبه تا پنج شنبه 8:00-5:00</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"menu-section\"} -->\n<div class=\"wp-block-columns menu-section\"><!-- wp:column {\"width\":\"5%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:5%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"75%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:75%\"><!-- wp:navigation {\"ref\":86,\"textColor\":\"white\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1.5\",\"textTransform\":\"uppercase\",\"fontSize\":\"14px\"},\"spacing\":{\"blockGap\":\"50px\"}},\"fontFamily\":\"secondary\",\"layout\":{\"type\":\"flex\",\"orientation\":\"horizontal\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:20%\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"openInNewTab\":true,\"size\":\"has-small-icon-size\",\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"label\":\"#\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->","Header","","inherit","closed","closed","","85-revision-v1","","","2025-01-18 10:13:36","2025-01-18 10:13:36","","85","https://hamzehhemmati.ir/?p=88","0","revision","","0"),
("89","1","2025-01-18 10:13:36","2025-01-18 10:13:36","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-text-color has-b-yekan-font-family\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\",\"fontFamily\":\"b-yekan\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","publish","closed","closed","","home","","","2025-01-18 10:32:53","2025-01-18 10:32:53","","0","https://hamzehhemmati.ir/index.php/2025/01/18/home/","0","wp_template","","0"),
("90","1","2025-01-18 10:13:37","2025-01-18 10:13:37","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">HIGHLY TRAINED - STAFF</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">FAST &amp; EFFECTIVE SERVICES</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">SUPPORT 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">HIGHLY TRAINED - STAFF</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">FAST &amp; EFFECTIVE SERVICES</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">SUPPORT 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:30px\">OUR BRANDS</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:28px\">FEATURED CAR</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center head-text has-text-color\" style=\"color:#8c8282;font-size:14px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">$169,921</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">Sed ut perspiciatis unde omnis iste natus error sit</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">Automatic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 ml</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">$169,921</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">Sed ut perspiciatis unde omnis iste natus error sit</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">Automatic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 ml</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">$169,921</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">Sed ut perspiciatis unde omnis iste natus error sit</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">Automatic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 ml</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">$169,921</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">Sed ut perspiciatis unde omnis iste natus error sit</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">Automatic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 ml</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">$169,921</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">Sed ut perspiciatis unde omnis iste natus error sit</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">Automatic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 ml</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">$169,921</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">Sed ut perspiciatis unde omnis iste natus error sit</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">Automatic</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 ml</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:28px\">LATEST NEWS</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color\" style=\"font-size:14px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:28px\">CAR GALLERY</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:13:37","2025-01-18 10:13:37","","89","https://hamzehhemmati.ir/?p=90","0","revision","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("91","1","2025-01-18 10:21:01","2025-01-18 10:21:01","<!-- wp:navigation-link {\"label\":\"خانه\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدامت\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری پابرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d9%be%d8%a7%d8%a8%d8%b1%da%af-7","","","2025-01-18 10:21:01","2025-01-18 10:21:01","","0","https://hamzehhemmati.ir/?p=91","0","wp_navigation","","0"),
("92","1","2025-01-18 10:21:01","2025-01-18 10:21:01","<!-- wp:navigation-link {\"label\":\"خانه\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"تماس با ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدامت\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"وبلاگ\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"درباره ما\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->","راهبری پابرگ","","inherit","closed","closed","","91-revision-v1","","","2025-01-18 10:21:01","2025-01-18 10:21:01","","91","https://hamzehhemmati.ir/?p=92","0","revision","","0"),
("93","1","2025-01-18 10:21:01","2025-01-18 10:21:01","<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/footer-bg.png\",\"id\":310,\"dimRatio\":90,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"align\":\"full\",\"className\":\"footer-section\"} -->\n<div class=\"wp-block-cover alignfull footer-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-90 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-310\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/footer-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:image {\"id\":276,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/logo.png\" alt=\"\" class=\"wp-image-276\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"lineHeight\":\"1.5\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:15px;font-style:normal;font-weight:400;line-height:1.5\">لامرد وب مشاوره و آموزش راه اندازی کسب و کار اینترنتی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link wp-element-button\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"}},\"textColor\":\"white\",\"fontSize\":\"medium\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family has-medium-font-size\" style=\"font-style:italic;font-weight:700;text-transform:capitalize\">دسترسی سریع</h3>\n<!-- /wp:heading -->\n\n<!-- wp:navigation {\"ref\":91,\"textColor\":\"white\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1.5\",\"textTransform\":\"uppercase\",\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\"}},\"textColor\":\"white\",\"fontSize\":\"medium\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family has-medium-font-size\" style=\"font-style:italic;font-weight:700;text-transform:capitalize\">برند های برتر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:list {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"white\"} -->\n<ul style=\"font-size:14px;font-style:normal;font-weight:400\" class=\"wp-block-list has-white-color has-text-color\"><!-- wp:list-item -->\n<li>Audi</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>BMW</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ferrari</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Lamborghini</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Mercedes</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"}},\"textColor\":\"white\",\"fontSize\":\"medium\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family has-medium-font-size\" style=\"font-style:italic;font-weight:700;text-transform:capitalize\">تماس بگیرید</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\">آدرس : شیراز-معالی آباد</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\"><strong>ایمیل :</strong> support@example.com</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\"><strong>تلفن تماس :</strong> +(012)345-6789</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\"><strong>زمان :</strong> Mon to Fri 8:00-5:00</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"className\":\"copyright-section\"} -->\n<div class=\"wp-block-columns copyright-section\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"75%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:75%\"><!-- wp:paragraph {\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-white-color has-text-color has-b-yekan-font-family\"><a href=\"https://www.vwthemes.com/products/free-car-dealership-wordpress-theme\" target=\"_blank\" rel=\"noreferrer noopener\">Auto Car Dealership WordPress Theme</a> By VWThemesفارسی سازی شده توسط تیم لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"25%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:25%\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"openInNewTab\":true,\"size\":\"has-small-icon-size\",\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"label\":\"#\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->","Footer","","publish","closed","closed","","footer","","","2025-01-18 10:28:37","2025-01-18 10:28:37","","0","https://hamzehhemmati.ir/index.php/2025/01/18/footer/","0","wp_template_part","","0"),
("94","1","2025-01-18 10:21:01","2025-01-18 10:21:01","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center head-text has-text-color\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:21:01","2025-01-18 10:21:01","","89","https://hamzehhemmati.ir/?p=94","0","revision","","0"),
("95","1","2025-01-18 10:24:23","2025-01-18 10:24:23","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-text-color has-b-yekan-font-family\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:500\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-auto has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-capacity has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:24:23","2025-01-18 10:24:23","","89","https://hamzehhemmati.ir/?p=95","0","revision","","0"),
("96","1","2025-01-18 10:28:37","2025-01-18 10:28:37","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-text-color has-b-yekan-font-family\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:28:37","2025-01-18 10:28:37","","89","https://hamzehhemmati.ir/?p=96","0","revision","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("97","1","2025-01-18 10:28:37","2025-01-18 10:28:37","<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/footer-bg.png\",\"id\":310,\"dimRatio\":90,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"align\":\"full\",\"className\":\"footer-section\"} -->\n<div class=\"wp-block-cover alignfull footer-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-90 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-310\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/footer-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:image {\"id\":276,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/logo.png\" alt=\"\" class=\"wp-image-276\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"lineHeight\":\"1.5\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:15px;font-style:normal;font-weight:400;line-height:1.5\">لامرد وب مشاوره و آموزش راه اندازی کسب و کار اینترنتی</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link wp-element-button\">بیشتر بدانید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"}},\"textColor\":\"white\",\"fontSize\":\"medium\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family has-medium-font-size\" style=\"font-style:italic;font-weight:700;text-transform:capitalize\">دسترسی سریع</h3>\n<!-- /wp:heading -->\n\n<!-- wp:navigation {\"ref\":91,\"textColor\":\"white\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"lineHeight\":\"1.5\",\"textTransform\":\"uppercase\",\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\"}},\"textColor\":\"white\",\"fontSize\":\"medium\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family has-medium-font-size\" style=\"font-style:italic;font-weight:700;text-transform:capitalize\">برند های برتر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:list {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"textColor\":\"white\"} -->\n<ul style=\"font-size:14px;font-style:normal;font-weight:400\" class=\"wp-block-list has-white-color has-text-color\"><!-- wp:list-item -->\n<li>Audi</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>BMW</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ferrari</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Lamborghini</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Mercedes</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"footer-box\"} -->\n<div class=\"wp-block-column footer-box\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"}},\"textColor\":\"white\",\"fontSize\":\"medium\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family has-medium-font-size\" style=\"font-style:italic;font-weight:700;text-transform:capitalize\">تماس بگیرید</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\">آدرس : شیراز-معالی آباد</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\"><strong>ایمیل :</strong> support@example.com</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\"><strong>تلفن تماس :</strong> +(012)345-6789</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\" style=\"font-size:14px;line-height:1.5\"><strong>زمان :</strong> Mon to Fri 8:00-5:00</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"className\":\"copyright-section\"} -->\n<div class=\"wp-block-columns copyright-section\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"75%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:75%\"><!-- wp:paragraph {\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-white-color has-text-color has-b-yekan-font-family\"><a href=\"https://www.vwthemes.com/products/free-car-dealership-wordpress-theme\" target=\"_blank\" rel=\"noreferrer noopener\">Auto Car Dealership WordPress Theme</a> By VWThemesفارسی سازی شده توسط تیم لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"25%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:25%\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"openInNewTab\":true,\"size\":\"has-small-icon-size\",\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"label\":\"#\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->","Footer","","inherit","closed","closed","","93-revision-v1","","","2025-01-18 10:28:37","2025-01-18 10:28:37","","93","https://hamzehhemmati.ir/?p=97","0","revision","","0"),
("98","1","2025-01-18 10:29:43","2025-01-18 10:29:43","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-text-color has-b-yekan-font-family\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\",\"fontFamily\":\"b-yekan\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:29:43","2025-01-18 10:29:43","","89","https://hamzehhemmati.ir/?p=98","0","revision","","0"),
("99","1","2025-01-18 10:31:04","2025-01-18 10:31:04","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}}} -->\n<p class=\"has-text-align-center text-center has-text-color\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-text-color has-b-yekan-font-family\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\",\"fontFamily\":\"b-yekan\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:31:04","2025-01-18 10:31:04","","89","https://hamzehhemmati.ir/?p=99","0","revision","","0"),
("100","1","2025-01-18 10:32:53","2025-01-18 10:32:53","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"auto-car-dealership\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"alignfull\"} -->\n<main class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\",\"id\":11,\"dimRatio\":60,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":620,\"className\":\"main-banner-section wow zoomIn delay-1000\"} -->\n<div class=\"wp-block-cover main-banner-section wow zoomIn delay-1000\" style=\"min-height:620px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-11\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"is-vertically-aligned-center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:45%\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"has-text-align-center\",\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:35px\">ماشین رویایی خود را کاوش کنید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center has-b-yekan-font-family\" style=\"font-size:15px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\",\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"},\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"border-radius:30px;color:var(--wp--preset--color--primary);background-color:var(--wp--preset--color--secondary)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"overlayColor\":\"white\",\"isUserOverlayColor\":true,\"isDark\":false,\"className\":\"choose-us-section wow bounceInDown delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5em\",\"bottom\":\"5em\"}}}} -->\n<div class=\"wp-block-cover is-light choose-us-section wow bounceInDown delay-1000\" style=\"padding-top:5em;padding-bottom:5em\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"33px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:33px\">به خدمات خودرو خوش آمدید</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"padding\":{\"top\":\"3em\",\"bottom\":\"3em\"}}}} -->\n<div class=\"wp-block-columns\" style=\"padding-top:3em;padding-bottom:3em\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":21,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image1.png\" alt=\"\" class=\"wp-image-21\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">بسیار آموزش دیده - کارکنان</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":22,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image2.png\" alt=\"\" class=\"wp-image-22\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:16px\">خدمات سریع و موثر</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":23,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/chooseus-image3.png\" alt=\"\" class=\"wp-image-23\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#222222\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#222222;font-size:16px\">پشتیبانی 24/7</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"color\":{\"text\":\"#6b6b6b\"},\"typography\":{\"fontSize\":\"14px\",\"lineHeight\":\"1.5\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center text-center has-text-color has-b-yekan-font-family\" style=\"color:#6b6b6b;font-size:14px;line-height:1.5\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\",\"id\":28,\"dimRatio\":50,\"className\":\"brand-section wow slideInLeft delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover brand-section wow slideInLeft delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-28\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-b-yekan-font-family\" style=\"font-size:30px\">برند های ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":29,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand1.png\" alt=\"\" class=\"wp-image-29\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":30,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand2.png\" alt=\"\" class=\"wp-image-30\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":31,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand3.png\" alt=\"\" class=\"wp-image-31\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand4.png\" alt=\"\" class=\"wp-image-32\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":33,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand5.png\" alt=\"\" class=\"wp-image-33\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand6.png\" alt=\"\" class=\"wp-image-34\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand7.png\" alt=\"\" class=\"wp-image-35\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":36,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/brand8.png\" alt=\"\" class=\"wp-image-36\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"featured-car-section wow slideInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group featured-car-section wow slideInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">ماشین ویژه</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"color\":{\"text\":\"#8c8282\"},\"typography\":{\"fontSize\":\"14px\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-text-color has-b-yekan-font-family\" style=\"color:#8c8282;font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":41,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-41\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER AUDI</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":44,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-44\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK JAGUAR</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":45,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-45\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLUE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"car-col\"} -->\n<div class=\"wp-block-columns car-col\"><!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">BLACK BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":47,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-47\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">WHITE BMW</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"car-box\"} -->\n<div class=\"wp-block-column car-box\"><!-- wp:image {\"id\":48,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-48\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"price-col\",\"style\":{\"color\":{\"background\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dsecondary)\"}}} -->\n<div class=\"wp-block-columns price-col has-background\" style=\"background-color:var(--wp--preset--color--secondary)\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center m-0 px-3 has-text-color has-b-yekan-font-family\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:700\">۱.۰۰۰.۰۰۰.۰۰۰ تومان </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"location-text m-0 px-3\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dcolor\\u002d\\u002dprimary)\"}}} -->\n<p class=\"has-text-align-center location-text m-0 px-3 has-text-color\" style=\"color:var(--wp--preset--color--primary);font-size:16px;font-style:normal;font-weight:600\">Mumbai</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222222\"},\"typography\":{\"fontSize\":\"14px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h4 class=\"wp-block-heading has-text-color\" style=\"color:#222222;font-size:14px;font-style:normal;font-weight:700\">SILVER MERCEDES BENZ</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#847e7e\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-color has-b-yekan-font-family\" style=\"color:#847e7e;font-size:14px;font-style:normal;font-weight:400\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"car-features\"} -->\n<div class=\"wp-block-columns car-features\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\",\"text\":\"#5d5252\"}}} -->\n<div class=\"wp-block-column has-text-color has-background\" style=\"color:#5d5252;background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-year\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"color\":{\"text\":\"#5d5252\"}}} -->\n<p class=\"has-text-align-center car-year has-text-color\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:600\">2017</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-auto\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-auto has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">اتوماتیک</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#f1eded\"}}} -->\n<div class=\"wp-block-column has-background\" style=\"background-color:#f1eded\"><!-- wp:paragraph {\"align\":\"center\",\"className\":\"car-capacity\",\"style\":{\"typography\":{\"fontSize\":\"12px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#5d5252\"}},\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center car-capacity has-text-color has-b-yekan-font-family\" style=\"color:#5d5252;font-size:12px;font-style:normal;font-weight:700\">21,000 میلی لیتر</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\",\"id\":27,\"dimRatio\":50,\"className\":\"blog-section wow zoomInRight delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}}} -->\n<div class=\"wp-block-cover blog-section wow zoomInRight delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/latest-news-bg.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:28px\">آخرین مطالب ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":14,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border1.png\" alt=\"\" class=\"wp-image-14\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"head-text\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-text-align-center head-text has-white-color has-text-color has-b-yekan-font-family\" style=\"font-size:14px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:latest-posts {\"postsToShow\":3,\"displayPostContent\":true,\"excerptLength\":22,\"displayPostDate\":true,\"postLayout\":\"grid\",\"displayFeaturedImage\":true,\"featuredImageSizeSlug\":\"large\",\"fontFamily\":\"b-yekan\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"gallery-section wow bounceInUp delay-1000\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"50px\",\"bottom\":\"50px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group gallery-section wow bounceInUp delay-1000\" style=\"padding-top:50px;padding-bottom:50px\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"28px\"},\"color\":{\"text\":\"#222222\"}},\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color has-b-yekan-font-family\" style=\"color:#222222;font-size:28px\">گالری ماشین ما</h3>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"id\":19,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"title-img\"} -->\n<figure class=\"wp-block-image size-full title-img\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/car-border.png\" alt=\"\" class=\"wp-image-19\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car1.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car2.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":65,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car3.png\" alt=\"\" class=\"wp-image-65\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":66,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery1.png\" alt=\"\" class=\"wp-image-66\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":67,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car4.png\" alt=\"\" class=\"wp-image-67\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":68,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car5.png\" alt=\"\" class=\"wp-image-68\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":69,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/feature-car6.png\" alt=\"\" class=\"wp-image-69\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/auto-car-dealership/images/gallery2.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"auto-car-dealership\",\"tagName\":\"footer\"} /-->","صفحه اصلی بلاگ","آخرین نوشته‌ها را به عنوان برگه اصلی سایت یا برگه سفارشی تعریف شده تحت تنظیمات خواندن نمایش می‌دهد. اگر وجود داشته باشد، قالب برگه اول زمانی که نوشته‌ها در برگه اول نشان داده می‌شوند، بر این قالب غلبه می‌کند.","inherit","closed","closed","","89-revision-v1","","","2025-01-18 10:32:53","2025-01-18 10:32:53","","89","https://hamzehhemmati.ir/?p=100","0","revision","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("101","1","2025-01-18 10:57:37","2025-01-18 10:57:37","{\n    \"custom_css[auto-car-dealership]\": {\n        \"value\": \"a {\\n    font-family: \'B Yekan\' !important;!i;!;\\n}\\n\\n.container_power {\\n    font-family: \'B Yekan\';\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2025-01-18 10:57:37\"\n    }\n}","","","trash","closed","closed","","03415e8e-16b7-4d73-b655-5209988bc279","","","2025-01-18 10:57:37","2025-01-18 10:57:37","","0","https://hamzehhemmati.ir/index.php/2025/01/18/03415e8e-16b7-4d73-b655-5209988bc279/","0","customize_changeset","","0"),
("102","1","2025-01-18 10:57:37","2025-01-18 10:57:37","a {\n    font-family: \'B Yekan\' !important;!i;!;\n}\n\n.container_power {\n    font-family: \'B Yekan\';\n}","auto-car-dealership","","publish","closed","closed","","auto-car-dealership","","","2025-01-18 10:57:37","2025-01-18 10:57:37","","0","https://hamzehhemmati.ir/index.php/2025/01/18/auto-car-dealership/","0","custom_css","","0"),
("103","1","2025-01-18 10:57:37","2025-01-18 10:57:37","a {\n    font-family: \'B Yekan\' !important;!i;!;\n}\n\n.container_power {\n    font-family: \'B Yekan\';\n}","auto-car-dealership","","inherit","closed","closed","","102-revision-v1","","","2025-01-18 10:57:37","2025-01-18 10:57:37","","102","https://hamzehhemmati.ir/?p=103","0","revision","","0"),
("104","1","2025-01-19 10:28:38","0000-00-00 00:00:00","","خانه","","draft","closed","closed","","","","","2025-01-19 10:28:38","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?p=104","1","nav_menu_item","","0"),
("105","1","2025-01-19 10:28:38","0000-00-00 00:00:00"," ","","","draft","closed","closed","","","","","2025-01-19 10:28:38","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?p=105","1","nav_menu_item","","0"),
("107","1","2025-01-19 12:12:14","2025-01-19 12:12:14","سلام به همه همکاران عزیز","محمد","","publish","closed","closed","","%d9%87%d9%85%d8%a7%d9%87%d9%86%da%af%db%8c","","","2025-01-19 12:13:30","2025-01-19 12:13:30","","0","https://hamzehhemmati.ir/?post_type=ezpz-admin-chat&#038;p=107","0","ezpz-admin-chat","","0"),
("108","1","2025-01-19 12:11:58","0000-00-00 00:00:00","","پیش‌نویس خودکار","","auto-draft","closed","closed","","","","","2025-01-19 12:11:58","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?post_type=ezpz-admin-chat&p=108","0","ezpz-admin-chat","","0"),
("109","1","2025-01-19 12:12:03","0000-00-00 00:00:00","","پیش‌نویس خودکار","","auto-draft","closed","closed","","","","","2025-01-19 12:12:03","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?post_type=ezpz-admin-chat&p=109","0","ezpz-admin-chat","","0"),
("110","1","2025-01-19 12:12:08","0000-00-00 00:00:00","","پیش‌نویس خودکار","","auto-draft","closed","closed","","","","","2025-01-19 12:12:08","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?post_type=ezpz-admin-chat&p=110","0","ezpz-admin-chat","","0"),
("111","1","2025-01-19 12:12:13","0000-00-00 00:00:00","","پیش‌نویس خودکار","","auto-draft","closed","closed","","","","","2025-01-19 12:12:13","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?post_type=ezpz-admin-chat&p=111","0","ezpz-admin-chat","","0"),
("112","1","2025-01-19 12:12:29","2025-01-19 12:12:29","سلام","رضا","","publish","closed","closed","","admin","","","2025-01-19 12:13:15","2025-01-19 12:13:15","","0","https://hamzehhemmati.ir/index.php/ezpz-admin-chat/admin/","0","ezpz-admin-chat","","0"),
("113","1","2025-01-19 12:12:36","2025-01-19 12:12:36","شما خوبی؟","رضا","","publish","closed","closed","","admin-2","","","2025-01-19 12:14:33","2025-01-19 12:14:33","","0","https://hamzehhemmati.ir/index.php/ezpz-admin-chat/admin-2/","0","ezpz-admin-chat","","0"),
("114","1","2025-01-19 12:13:34","0000-00-00 00:00:00","","پیش‌نویس خودکار","","auto-draft","closed","closed","","","","","2025-01-19 12:13:34","0000-00-00 00:00:00","","0","https://hamzehhemmati.ir/?post_type=ezpz-admin-chat&p=114","0","ezpz-admin-chat","","0"),
("115","1","2025-01-19 12:13:46","2025-01-19 12:13:46","محمد آقا پست امروز منتشر شد؟؟؟","admin","","publish","closed","closed","","admin-3","","","2025-01-19 12:13:46","2025-01-19 12:13:46","","0","https://hamzehhemmati.ir/index.php/ezpz-admin-chat/admin-3/","0","ezpz-admin-chat","","0"),
("116","1","2025-01-19 12:14:05","2025-01-19 12:14:05","اره دادش پابلیش کردم😃","محمد","","publish","closed","closed","","admin-4","","","2025-01-19 12:14:18","2025-01-19 12:14:18","","0","https://hamzehhemmati.ir/index.php/ezpz-admin-chat/admin-4/","0","ezpz-admin-chat","","0"),
("117","1","2025-01-19 12:27:33","2025-01-19 12:27:33","!تست","admin","","publish","closed","closed","","admin-5","","","2025-01-19 12:27:33","2025-01-19 12:27:33","","0","https://hamzehhemmati.ir/index.php/ezpz-admin-chat/admin-5/","0","ezpz-admin-chat","","0"),
("118","1","2025-01-19 12:49:21","2025-01-19 12:49:21","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Jost\\\", sans-serif\",\"name\":\"Jost\",\"slug\":\"jost\",\"fontFace\":[{\"fontFamily\":\"Jost\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Thin.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-ExtraLight.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Light.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Regular.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Medium.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-SemiBold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Bold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"800\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-ExtraBold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"900\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Black.ttf\"]}]}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-home-internet-provider","","","2025-01-19 15:50:59","2025-01-19 15:50:59","","0","https://hamzehhemmati.ir/index.php/2025/01/19/wp-global-styles-home-internet-provider/","0","wp_global_styles","","0"),
("119","1","2025-01-19 15:50:18","2025-01-19 15:50:18","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Jost\\\", sans-serif\",\"name\":\"Jost\",\"slug\":\"jost\",\"fontFace\":[{\"fontFamily\":\"Jost\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Thin.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-ExtraLight.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Light.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Regular.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Medium.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-SemiBold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Bold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"800\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-ExtraBold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"900\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Black.ttf\"]}]}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","118-revision-v1","","","2025-01-19 15:50:18","2025-01-19 15:50:18","","118","https://hamzehhemmati.ir/?p=119","0","revision","","0"),
("120","1","2025-01-19 15:50:59","2025-01-19 15:50:59","{\"styles\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Jost\\\", sans-serif\",\"name\":\"Jost\",\"slug\":\"jost\",\"fontFace\":[{\"fontFamily\":\"Jost\",\"fontWeight\":\"100\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Thin.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"200\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-ExtraLight.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"300\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Light.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Regular.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"500\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Medium.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"600\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-SemiBold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"700\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Bold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"800\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-ExtraBold.ttf\"]},{\"fontFamily\":\"Jost\",\"fontWeight\":\"900\",\"fontStyle\":\"normal\",\"fontStretch\":\"\",\"src\":[\"file:.\\/assets\\/fonts\\/Jost\\/static\\/Jost-Black.ttf\"]}]}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","118-revision-v1","","","2025-01-19 15:50:59","2025-01-19 15:50:59","","118","https://hamzehhemmati.ir/?p=120","0","revision","","0"),
("121","1","2025-01-19 15:58:13","2025-01-19 15:58:13","<!-- wp:navigation-link {\"label\":\"خانه\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدمات\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"مشاوره \",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-submenu {\"label\":\"صفحات\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\"} -->\n<!-- wp:navigation-link {\"label\":\"Page 1\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"className\":\"\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"Page 2\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"className\":\"\"} /-->\n<!-- /wp:navigation-submenu -->\n\n<!-- wp:navigation-link {\"label\":\"خرید فوری\",\"type\":\"link\",\"opensInNewTab\":true,\"url\":\"https://www.ovationthemes.com/products/internet-provider-wordpress-theme\",\"kind\":\"custom\",\"className\":\"buynow\"} /-->","راهبری سربرگ","","publish","closed","closed","","%d8%b1%d8%a7%d9%87%d8%a8%d8%b1%db%8c-%d8%b3%d8%b1%d8%a8%d8%b1%da%af-5","","","2025-01-19 15:58:13","2025-01-19 15:58:13","","0","https://hamzehhemmati.ir/?p=121","0","wp_navigation","","0"),
("122","1","2025-01-19 15:58:13","2025-01-19 15:58:13","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"home-internet-provider\",\"tagName\":\"header\",\"className\":\"custom-home-header\"} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0px;margin-bottom:0px\"><!-- wp:group {\"className\":\"bannerimage\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group bannerimage\" style=\"margin-top:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/banner.png\",\"id\":7,\"dimRatio\":0,\"customOverlayColor\":\"#39322e\",\"isUserOverlayColor\":false,\"minHeight\":700,\"minHeightUnit\":\"px\",\"align\":\"wide\",\"className\":\"banner-image-cover\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-cover alignwide banner-image-cover\" style=\"padding-right:0;padding-left:0;min-height:700px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\" style=\"background-color:#39322e\"></span><img class=\"wp-block-cover__image-background wp-image-7\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"banner-inner\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center banner-inner\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\",\"className\":\"banner-content-block wow zoomIn\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center banner-content-block wow zoomIn\" style=\"flex-basis:50%\"><!-- wp:spacer {\"height\":\"62px\",\"className\":\"banner-spacer\"} -->\n<div style=\"height:62px\" aria-hidden=\"true\" class=\"wp-block-spacer banner-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"className\":\"banner-small-heading\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group banner-small-heading\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"top\":\"1px\",\"bottom\":\"1px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\",\"fontSize\":\"extra-small\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-primary-background-color has-text-color has-background has-link-color has-b-yekan-font-family has-extra-small-font-size\" style=\"padding-top:1px;padding-right:var(--wp--preset--spacing--40);padding-bottom:1px;padding-left:var(--wp--preset--spacing--40);font-style:normal;font-weight:400;text-transform:uppercase\">بیشترین سرعت</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:heading {\"textAlign\":\"right\",\"className\":\"wp-block-heading has-text-align-left has-jost-font-family\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"40px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-right has-text-align-left has-jost-font-family has-white-color has-text-color has-link-color has-b-yekan-font-family\" style=\"font-size:40px;font-style:normal;font-weight:700;text-transform:capitalize\">ما سریع و قابل اعتماد ارائه می دهیم<br>سرویس اینترنت</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"gradient\":\"vertical-secondary-to-primary\",\"className\":\"has-source-sans-3-font-family\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"capitalize\"},\"border\":{\"radius\":\"5px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"fontSize\":\"extra-small\",\"fontFamily\":\"jost\"} -->\n<div class=\"wp-block-button has-custom-font-size has-source-sans-3-font-family has-jost-font-family has-extra-small-font-size\" style=\"font-style:normal;font-weight:500;text-transform:capitalize\"><a class=\"wp-block-button__link has-white-color has-vertical-secondary-to-primary-gradient-background has-text-color has-background has-link-color wp-element-button\" style=\"border-radius:5px\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"className\":\"banner-dummy\"} -->\n<div class=\"wp-block-column banner-dummy\" style=\"flex-basis:50%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"about-us\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<main class=\"wp-block-group about-us\"><!-- wp:spacer {\"height\":\"58px\"} -->\n<div style=\"height:58px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"main-cols\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center main-cols\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"wow zoomIn about-images\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center wow zoomIn about-images\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"about-img\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center about-img\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"about-img-1\",\"style\":{\"border\":{\"radius\":\"5px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border about-img-1\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/about.png\" alt=\"\" class=\"wp-image-32\" style=\"border-radius:5px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"5px\"},\"spacing\":{\"margin\":{\"right\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\" style=\"margin-right:var(--wp--preset--spacing--30);margin-left:var(--wp--preset--spacing--30)\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/about1.png\" alt=\"\" class=\"wp-image-35\" style=\"border-radius:5px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"10px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"0\"}}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\" style=\"margin-top:var(--wp--preset--spacing--30);margin-bottom:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/about2.png\" alt=\"\" class=\"wp-image-34\" style=\"border-radius:10px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"about-content\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center about-content\"><!-- wp:group {\"className\":\"aboutus-small-heading\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group aboutus-small-heading\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"top\":\"1px\",\"bottom\":\"1px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\",\"fontSize\":\"extra-small\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-primary-background-color has-text-color has-background has-link-color has-b-yekan-font-family has-extra-small-font-size\" style=\"padding-top:1px;padding-right:var(--wp--preset--spacing--40);padding-bottom:1px;padding-left:var(--wp--preset--spacing--40);font-style:normal;font-weight:400;text-transform:uppercase\">درباره ما</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:heading {\"textAlign\":\"right\",\"className\":\"wp-block-heading has-text-align-left has-jost-font-family\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"30px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-right has-text-align-left has-jost-font-family has-b-yekan-font-family\" style=\"font-size:30px;font-style:normal;font-weight:700;text-transform:capitalize\">با دسترسی سریع به اینترنت و تلویزیون زنده<br>ما قادر به ارائه خدمات هستیم</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"gradient\":\"vertical-secondary-to-primary\",\"className\":\"has-source-sans-3-font-family\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"capitalize\"},\"border\":{\"radius\":\"5px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"fontSize\":\"extra-small\",\"fontFamily\":\"jost\"} -->\n<div class=\"wp-block-button has-custom-font-size has-source-sans-3-font-family has-jost-font-family has-extra-small-font-size\" style=\"font-style:normal;font-weight:500;text-transform:capitalize\"><a class=\"wp-block-button__link has-white-color has-vertical-secondary-to-primary-gradient-background has-text-color has-background has-link-color wp-element-button\" style=\"border-radius:5px\">بیشتر بدانید...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"58px\"} -->\n<div style=\"height:58px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></main>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"blog-section\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group blog-section\"><!-- wp:group {\"className\":\"blog-small-heading\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group blog-small-heading\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"top\":\"1px\",\"bottom\":\"1px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\",\"fontSize\":\"extra-small\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-primary-background-color has-text-color has-background has-link-color has-b-yekan-font-family has-extra-small-font-size\" style=\"padding-top:1px;padding-right:var(--wp--preset--spacing--40);padding-bottom:1px;padding-left:var(--wp--preset--spacing--40);font-style:normal;font-weight:400;text-transform:uppercase\">مجله ما</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"font-size:30px\">آخرین مطالب</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"18px\"} -->\n<div style=\"height:18px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:query {\"queryId\":36,\"query\":{\"perPage\":\"6\",\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"className\":\"wow fadeInUp\",\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"blog-box\",\"style\":{\"border\":{\"radius\":\"10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"textColor\":\"body-text\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group blog-box has-body-text-color has-text-color has-link-color\" style=\"border-radius:10px;padding-right:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"className\":\"blog-image-box\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group blog-image-box\"><!-- wp:post-featured-image {\"isLink\":true,\"align\":\"center\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"post-meta-row\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group post-meta-row\" style=\"margin-top:var(--wp--preset--spacing--20);margin-bottom:0\"><!-- wp:post-author-name {\"textAlign\":\"center\",\"className\":\"post-author\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"15px\"}}} /-->\n\n<!-- wp:comments -->\n<div class=\"wp-block-comments\"><!-- wp:comments-title {\"showPostTitle\":false,\"level\":3,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}},\"typography\":{\"fontSize\":\"15px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"capitalize\"}},\"textColor\":\"body-text\"} /--></div>\n<!-- /wp:comments --></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"textAlign\":\"left\",\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"},\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\"},\"margin\":{\"top\":\"var:preset|spacing|20\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"textColor\":\"heading\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":20,\"className\":\"blog-excerpt\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\"},\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"className\":\"readmore-group\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group readmore-group\" style=\"margin-top:var(--wp--preset--spacing--30)\"><!-- wp:read-more {\"className\":\"service-readmore\",\"style\":{\"typography\":{\"textDecoration\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query -->\n\n<!-- wp:spacer {\"height\":\"29px\"} -->\n<div style=\"height:29px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"home-internet-provider\",\"tagName\":\"footer\",\"className\":\"custom-footer-class\"} /-->","برگه نخست","قالب برگه اول سایت شما را نمایش می‌دهد، چه برای نمایش آخرین نوشته‌ها تنظیم شده باشد و چه یک برگه ثابت. قالب برگه اول بر همه قالب‌ها اولویت دارد.","publish","closed","closed","","front-page","","","2025-01-19 15:58:13","2025-01-19 15:58:13","","0","https://hamzehhemmati.ir/index.php/2025/01/19/front-page/","0","wp_template","","0"),
("123","1","2025-01-19 15:58:13","2025-01-19 15:58:13","<!-- wp:group {\"className\":\"footer-widgets\",\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"var:preset|spacing|80\",\"bottom\":\"var:preset|spacing|80\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"backgroundColor\":\"footer-bg\",\"textColor\":\"white\",\"fontSize\":\"small\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group footer-widgets has-white-color has-footer-bg-background-color has-text-color has-background has-link-color has-small-font-size\" style=\"padding-top:var(--wp--preset--spacing--80);padding-bottom:var(--wp--preset--spacing--80)\"><!-- wp:group {\"align\":\"wide\",\"className\":\"dealy-2000 widgets-inner\",\"style\":{\"spacing\":{\"blockGap\":\"0\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide dealy-2000 widgets-inner has-white-color has-text-color has-link-color\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"fontSize\":\"extra-large\",\"fontFamily\":\"b-yekan\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":448,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/call.png\" alt=\"\" class=\"wp-image-448\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\">۰۲۱-۳۴۵۶۷۶</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":449,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/mail.png\" alt=\"\" class=\"wp-image-449\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph -->\n<p>support@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph -->\n<p>دنبال کنید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"customIconBackgroundColor\":\"#121212\",\"iconBackgroundColorValue\":\"#121212\",\"size\":\"has-normal-icon-size\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-style-default\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"goodreads\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"whatsapp\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"1px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h5 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family\" style=\"font-style:normal;font-weight:700;letter-spacing:1px\">لینک های مفید</h5>\n<!-- /wp:heading -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li><a href=\"#\">درباره ما</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">تماس با ما</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">مشاوره قبل خرید</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">پرفروش ترین</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">جشنواره</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">استعلام قیمت</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"1px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h5 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family\" style=\"font-style:normal;font-weight:700;letter-spacing:1px\">اطلاعات</h5>\n<!-- /wp:heading -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li><a href=\"#\">شرایط و مقررات</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">حریم خصوصی</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">خدمات ویژه</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">ضوابط</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">قوانین</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"1px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h5 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family\" style=\"font-style:normal;font-weight:700;letter-spacing:1px\">جستجو</h5>\n<!-- /wp:heading -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"جستجو\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"style\":{\"border\":{\"radius\":\"6px\"},\"typography\":{\"fontSize\":\"14px\"}},\"gradient\":\"secondary-to-primary\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"right\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\"}},\"color\":{\"background\":\"#121212\"}},\"textColor\":\"white\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group has-white-color has-text-color has-background\" style=\"background-color:#121212;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"className\":\"copyright-text\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group copyright-text\"><!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}},\"textColor\":\"white\",\"fontFamily\":\"jost\"} -->\n<p class=\"has-white-color has-text-color has-link-color has-jost-font-family\">فارسی شده توسط لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"scroll-top\"} -->\n<p class=\"scroll-top\"></p>\n<!-- /wp:paragraph -->","Footer","","publish","closed","closed","","footer","","","2025-01-19 16:04:18","2025-01-19 16:04:18","","0","https://hamzehhemmati.ir/index.php/2025/01/19/footer/","0","wp_template_part","","0"),
("124","1","2025-01-19 15:58:13","2025-01-19 15:58:13","<!-- wp:navigation-link {\"label\":\"خانه\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"خدمات\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"مشاوره \",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-submenu {\"label\":\"صفحات\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\"} -->\n<!-- wp:navigation-link {\"label\":\"Page 1\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"className\":\"\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"Page 2\",\"type\":\"\",\"url\":\"#\",\"kind\":\"custom\",\"className\":\"\"} /-->\n<!-- /wp:navigation-submenu -->\n\n<!-- wp:navigation-link {\"label\":\"خرید فوری\",\"type\":\"link\",\"opensInNewTab\":true,\"url\":\"https://www.ovationthemes.com/products/internet-provider-wordpress-theme\",\"kind\":\"custom\",\"className\":\"buynow\"} /-->","راهبری سربرگ","","inherit","closed","closed","","121-revision-v1","","","2025-01-19 15:58:13","2025-01-19 15:58:13","","121","https://hamzehhemmati.ir/?p=124","0","revision","","0"),
("125","1","2025-01-19 15:58:13","2025-01-19 15:58:13","<!-- wp:group {\"className\":\"menu-header\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"backgroundColor\":\"footer-bg\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group menu-header has-footer-bg-background-color has-background\" style=\"padding-top:0;padding-bottom:0\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"top-header\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center top-header\" style=\"padding-top:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"22%\",\"className\":\"call-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center call-block\" style=\"flex-basis:22%\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":56,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/call.png\" alt=\"\" class=\"wp-image-56\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:15px\">021-45644</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"25%\",\"className\":\"mail-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mail-block\" style=\"flex-basis:25%\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":61,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/mail.png\" alt=\"\" class=\"wp-image-61\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:15px\">support@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\",\"className\":\"location-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center location-block\" style=\"flex-basis:33%\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|20\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/location.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:15px\">شیراز-معالی آباد</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\",\"className\":\"social-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center social-block\" style=\"flex-basis:20%\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"customIconBackgroundColor\":\"#ffffff61\",\"iconBackgroundColorValue\":\"#ffffff61\",\"size\":\"has-small-icon-size\",\"className\":\"is-style-default\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color has-icon-background-color is-style-default\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"x\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"google\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"whatsapp\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"inner-menu-header\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"5px\"}},\"backgroundColor\":\"primary\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center inner-menu-header has-primary-background-color has-background\" style=\"border-radius:5px;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\",\"className\":\"logo-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center logo-block\" style=\"flex-basis:20%\"><!-- wp:group {\"className\":\"logodiv\",\"textColor\":\"primary\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group logodiv has-primary-color has-text-color\"><!-- wp:site-logo {\"width\":43,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\",\"className\":\"nav-block\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center nav-block\" style=\"padding-left:0;flex-basis:50%\"><!-- wp:navigation {\"ref\":121,\"textColor\":\"white\",\"overlayBackgroundColor\":\"section-bg\",\"overlayTextColor\":\"heading\",\"metadata\":{\"ignoredHookedBlocks\":[\"woocommerce/customer-account\",\"woocommerce/mini-cart\"]},\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"fontSize\":\"14px\",\"letterSpacing\":\"1px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"10%\",\"className\":\"search-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center search-block\" style=\"flex-basis:10%\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"buttonText\":\"Search\",\"buttonPosition\":\"button-only\",\"buttonUseIcon\":true,\"isSearchFieldHidden\":true,\"align\":\"right\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"20%\",\"className\":\"btn-block\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center btn-block\" style=\"flex-basis:20%\"><!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"footer-bg\",\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"5px\"},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"fontSize\":\"extra-small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-extra-small-font-size\" style=\"font-style:normal;font-weight:500\"><a class=\"wp-block-button__link has-white-color has-footer-bg-background-color has-text-color has-background has-link-color wp-element-button\" style=\"border-radius:5px;padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">تماس بگیرید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->","Header","","publish","closed","closed","","header","","","2025-01-19 15:58:13","2025-01-19 15:58:13","","0","https://hamzehhemmati.ir/index.php/2025/01/19/header/","0","wp_template_part","","0"),
("126","1","2025-01-19 15:58:13","2025-01-19 15:58:13","<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"home-internet-provider\",\"tagName\":\"header\",\"className\":\"custom-home-header\"} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\",\"bottom\":\"0px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0px;margin-bottom:0px\"><!-- wp:group {\"className\":\"bannerimage\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group bannerimage\" style=\"margin-top:0px;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/banner.png\",\"id\":7,\"dimRatio\":0,\"customOverlayColor\":\"#39322e\",\"isUserOverlayColor\":false,\"minHeight\":700,\"minHeightUnit\":\"px\",\"align\":\"wide\",\"className\":\"banner-image-cover\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-cover alignwide banner-image-cover\" style=\"padding-right:0;padding-left:0;min-height:700px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\" style=\"background-color:#39322e\"></span><img class=\"wp-block-cover__image-background wp-image-7\" alt=\"\" src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"banner-inner\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center banner-inner\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\",\"className\":\"banner-content-block wow zoomIn\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center banner-content-block wow zoomIn\" style=\"flex-basis:50%\"><!-- wp:spacer {\"height\":\"62px\",\"className\":\"banner-spacer\"} -->\n<div style=\"height:62px\" aria-hidden=\"true\" class=\"wp-block-spacer banner-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"className\":\"banner-small-heading\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group banner-small-heading\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"top\":\"1px\",\"bottom\":\"1px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\",\"fontSize\":\"extra-small\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-primary-background-color has-text-color has-background has-link-color has-b-yekan-font-family has-extra-small-font-size\" style=\"padding-top:1px;padding-right:var(--wp--preset--spacing--40);padding-bottom:1px;padding-left:var(--wp--preset--spacing--40);font-style:normal;font-weight:400;text-transform:uppercase\">بیشترین سرعت</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:heading {\"textAlign\":\"right\",\"className\":\"wp-block-heading has-text-align-left has-jost-font-family\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"40px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-right has-text-align-left has-jost-font-family has-white-color has-text-color has-link-color has-b-yekan-font-family\" style=\"font-size:40px;font-style:normal;font-weight:700;text-transform:capitalize\">ما سریع و قابل اعتماد ارائه می دهیم<br>سرویس اینترنت</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"gradient\":\"vertical-secondary-to-primary\",\"className\":\"has-source-sans-3-font-family\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"capitalize\"},\"border\":{\"radius\":\"5px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"fontSize\":\"extra-small\",\"fontFamily\":\"jost\"} -->\n<div class=\"wp-block-button has-custom-font-size has-source-sans-3-font-family has-jost-font-family has-extra-small-font-size\" style=\"font-style:normal;font-weight:500;text-transform:capitalize\"><a class=\"wp-block-button__link has-white-color has-vertical-secondary-to-primary-gradient-background has-text-color has-background has-link-color wp-element-button\" style=\"border-radius:5px\">شروع کنید</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"className\":\"banner-dummy\"} -->\n<div class=\"wp-block-column banner-dummy\" style=\"flex-basis:50%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"tagName\":\"main\",\"className\":\"about-us\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<main class=\"wp-block-group about-us\"><!-- wp:spacer {\"height\":\"58px\"} -->\n<div style=\"height:58px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"main-cols\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center main-cols\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"wow zoomIn about-images\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center wow zoomIn about-images\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"className\":\"about-img\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center about-img\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"id\":32,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"about-img-1\",\"style\":{\"border\":{\"radius\":\"5px\"}}} -->\n<figure class=\"wp-block-image size-full has-custom-border about-img-1\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/about.png\" alt=\"\" class=\"wp-image-32\" style=\"border-radius:5px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"id\":35,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"5px\"},\"spacing\":{\"margin\":{\"right\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\" style=\"margin-right:var(--wp--preset--spacing--30);margin-left:var(--wp--preset--spacing--30)\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/about1.png\" alt=\"\" class=\"wp-image-35\" style=\"border-radius:5px\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":34,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"border\":{\"radius\":\"10px\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"0\"}}}} -->\n<figure class=\"wp-block-image size-full has-custom-border\" style=\"margin-top:var(--wp--preset--spacing--30);margin-bottom:0\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/about2.png\" alt=\"\" class=\"wp-image-34\" style=\"border-radius:10px\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"about-content\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center about-content\"><!-- wp:group {\"className\":\"aboutus-small-heading\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group aboutus-small-heading\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"top\":\"1px\",\"bottom\":\"1px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\",\"fontSize\":\"extra-small\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-primary-background-color has-text-color has-background has-link-color has-b-yekan-font-family has-extra-small-font-size\" style=\"padding-top:1px;padding-right:var(--wp--preset--spacing--40);padding-bottom:1px;padding-left:var(--wp--preset--spacing--40);font-style:normal;font-weight:400;text-transform:uppercase\">درباره ما</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:heading {\"textAlign\":\"right\",\"className\":\"wp-block-heading has-text-align-left has-jost-font-family\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"30px\"}},\"fontFamily\":\"b-yekan\"} -->\n<h2 class=\"wp-block-heading has-text-align-right has-text-align-left has-jost-font-family has-b-yekan-font-family\" style=\"font-size:30px;font-style:normal;font-weight:700;text-transform:capitalize\">با دسترسی سریع به اینترنت و تلویزیون زنده<br>ما قادر به ارائه خدمات هستیم</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"gradient\":\"vertical-secondary-to-primary\",\"className\":\"has-source-sans-3-font-family\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"capitalize\"},\"border\":{\"radius\":\"5px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"fontSize\":\"extra-small\",\"fontFamily\":\"jost\"} -->\n<div class=\"wp-block-button has-custom-font-size has-source-sans-3-font-family has-jost-font-family has-extra-small-font-size\" style=\"font-style:normal;font-weight:500;text-transform:capitalize\"><a class=\"wp-block-button__link has-white-color has-vertical-secondary-to-primary-gradient-background has-text-color has-background has-link-color wp-element-button\" style=\"border-radius:5px\">بیشتر بدانید...</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"58px\"} -->\n<div style=\"height:58px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></main>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"blog-section\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group blog-section\"><!-- wp:group {\"className\":\"blog-small-heading\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group blog-small-heading\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"left\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"top\":\"1px\",\"bottom\":\"1px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"white\",\"fontSize\":\"extra-small\",\"fontFamily\":\"b-yekan\"} -->\n<h3 class=\"wp-block-heading has-text-align-center has-white-color has-primary-background-color has-text-color has-background has-link-color has-b-yekan-font-family has-extra-small-font-size\" style=\"padding-top:1px;padding-right:var(--wp--preset--spacing--40);padding-bottom:1px;padding-left:var(--wp--preset--spacing--40);font-style:normal;font-weight:400;text-transform:uppercase\">مجله ما</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"wp-block-heading has-text-align-center\" style=\"font-size:30px\">آخرین مطالب</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"18px\"} -->\n<div style=\"height:18px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:query {\"queryId\":36,\"query\":{\"perPage\":\"6\",\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"className\":\"wow fadeInUp\",\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"blog-box\",\"style\":{\"border\":{\"radius\":\"10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}},\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"textColor\":\"body-text\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group blog-box has-body-text-color has-text-color has-link-color\" style=\"border-radius:10px;padding-right:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"className\":\"blog-image-box\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group blog-image-box\"><!-- wp:post-featured-image {\"isLink\":true,\"align\":\"center\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"post-meta-row\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group post-meta-row\" style=\"margin-top:var(--wp--preset--spacing--20);margin-bottom:0\"><!-- wp:post-author-name {\"textAlign\":\"center\",\"className\":\"post-author\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"15px\"}}} /-->\n\n<!-- wp:comments -->\n<div class=\"wp-block-comments\"><!-- wp:comments-title {\"showPostTitle\":false,\"level\":3,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|body-text\"}}},\"typography\":{\"fontSize\":\"15px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"capitalize\"}},\"textColor\":\"body-text\"} /--></div>\n<!-- /wp:comments --></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"textAlign\":\"left\",\"level\":4,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"},\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\"},\"margin\":{\"top\":\"var:preset|spacing|20\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"textColor\":\"heading\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":20,\"className\":\"blog-excerpt\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\"},\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"className\":\"readmore-group\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group readmore-group\" style=\"margin-top:var(--wp--preset--spacing--30)\"><!-- wp:read-more {\"className\":\"service-readmore\",\"style\":{\"typography\":{\"textDecoration\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"capitalize\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading\"}}}},\"textColor\":\"heading\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query -->\n\n<!-- wp:spacer {\"height\":\"29px\"} -->\n<div style=\"height:29px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"home-internet-provider\",\"tagName\":\"footer\",\"className\":\"custom-footer-class\"} /-->","برگه نخست","قالب برگه اول سایت شما را نمایش می‌دهد، چه برای نمایش آخرین نوشته‌ها تنظیم شده باشد و چه یک برگه ثابت. قالب برگه اول بر همه قالب‌ها اولویت دارد.","inherit","closed","closed","","122-revision-v1","","","2025-01-19 15:58:13","2025-01-19 15:58:13","","122","https://hamzehhemmati.ir/?p=126","0","revision","","0"),
("127","1","2025-01-19 16:04:18","2025-01-19 16:04:18","<!-- wp:group {\"className\":\"footer-widgets\",\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"var:preset|spacing|80\",\"bottom\":\"var:preset|spacing|80\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"backgroundColor\":\"footer-bg\",\"textColor\":\"white\",\"fontSize\":\"small\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group footer-widgets has-white-color has-footer-bg-background-color has-text-color has-background has-link-color has-small-font-size\" style=\"padding-top:var(--wp--preset--spacing--80);padding-bottom:var(--wp--preset--spacing--80)\"><!-- wp:group {\"align\":\"wide\",\"className\":\"dealy-2000 widgets-inner\",\"style\":{\"spacing\":{\"blockGap\":\"0\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide dealy-2000 widgets-inner has-white-color has-text-color has-link-color\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"fontSize\":\"extra-large\",\"fontFamily\":\"b-yekan\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":448,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/call.png\" alt=\"\" class=\"wp-image-448\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"fontFamily\":\"b-yekan\"} -->\n<p class=\"has-b-yekan-font-family\">۰۲۱-۳۴۵۶۷۶</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"id\":449,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/home-internet-provider/images/mail.png\" alt=\"\" class=\"wp-image-449\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph -->\n<p>support@example.com</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph -->\n<p>دنبال کنید</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"customIconBackgroundColor\":\"#121212\",\"iconBackgroundColorValue\":\"#121212\",\"size\":\"has-normal-icon-size\",\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-style-default\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"goodreads\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"whatsapp\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"1px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h5 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family\" style=\"font-style:normal;font-weight:700;letter-spacing:1px\">لینک های مفید</h5>\n<!-- /wp:heading -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li><a href=\"#\">درباره ما</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">تماس با ما</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">مشاوره قبل خرید</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">پرفروش ترین</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">جشنواره</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">استعلام قیمت</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"1px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h5 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family\" style=\"font-style:normal;font-weight:700;letter-spacing:1px\">اطلاعات</h5>\n<!-- /wp:heading -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li><a href=\"#\">شرایط و مقررات</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">حریم خصوصی</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">خدمات ویژه</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">ضوابط</a></li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li><a href=\"#\">قوانین</a></li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"1px\"}},\"textColor\":\"white\",\"fontFamily\":\"b-yekan\"} -->\n<h5 class=\"wp-block-heading has-white-color has-text-color has-b-yekan-font-family\" style=\"font-style:normal;font-weight:700;letter-spacing:1px\">جستجو</h5>\n<!-- /wp:heading -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"جستجو\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"style\":{\"border\":{\"radius\":\"6px\"},\"typography\":{\"fontSize\":\"14px\"}},\"gradient\":\"secondary-to-primary\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"right\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\"}},\"color\":{\"background\":\"#121212\"}},\"textColor\":\"white\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"80%\"}} -->\n<div class=\"wp-block-group has-white-color has-text-color has-background\" style=\"background-color:#121212;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"className\":\"copyright-text\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group copyright-text\"><!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null}},\"textColor\":\"white\",\"fontFamily\":\"jost\"} -->\n<p class=\"has-white-color has-text-color has-link-color has-jost-font-family\">فارسی شده توسط لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"className\":\"scroll-top\"} -->\n<p class=\"scroll-top\"></p>\n<!-- /wp:paragraph -->","Footer","","inherit","closed","closed","","123-revision-v1","","","2025-01-19 16:04:18","2025-01-19 16:04:18","","123","https://hamzehhemmati.ir/?p=127","0","revision","","0"),
("128","1","2025-01-20 08:21:49","2025-01-20 08:21:49","{\"styles\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Akshar\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/akshar\\/Akshar-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Akshar\\\", sans-serif\",\"name\":\"Akshar\",\"slug\":\"akshar\"},{\"fontFace\":[{\"fontFamily\":\"Allura\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/allura\\/Allura-Regular.woff2\"]}],\"fontFamily\":\"\\\"Allura\\\", sans-serif\",\"name\":\"Allura\",\"slug\":\"allura\"},{\"fontFace\":[{\"fontFamily\":\"Archivo\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/archivo\\/Archivo-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Archivo\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/archivo\\/Archivo-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Archivo\\\", sans-serif\",\"name\":\"Archivo\",\"slug\":\"archivo\"},{\"fontFace\":[{\"fontFamily\":\"Arizona\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/arizona\\/Arizona-Regular.woff2\"]}],\"fontFamily\":\"\\\"Arizona\\\", sans-serif\",\"name\":\"Arizona\",\"slug\":\"arizona\"},{\"fontFace\":[{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Light.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Regular.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Medium.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-SemiBold.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Bold.woff2\"]}],\"fontFamily\":\"\\\"Barlow\\\", sans-serif\",\"name\":\"Barlow\",\"slug\":\"barlow\"},{\"fontFace\":[{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Light.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Regular.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Medium.woff2\"]},{\"fontFamily\":\"Be Vietnam PROlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-SemiBold.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Bold.woff2\"]}],\"fontFamily\":\"\\\"Be Vietnam PRO\\\", sans-serif\",\"name\":\"Be Vietnam PRO\",\"slug\":\"be-vietnam-pro\"},{\"fontFace\":[{\"fontFamily\":\"DM Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/dm_sans\\/DMSans-VariableFont_wght.ttf\"]},{\"fontFamily\":\"DM Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/dm_sans\\/DMSans-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"DM Sans\\\", sans-serif\",\"name\":\"DM Sans\",\"slug\":\"dm-sans\"},{\"fontFace\":[{\"fontFamily\":\"Faculty Glyphic\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/faculty_glyphic\\/FacultyGlyphic-Regular.ttf\"]}],\"fontFamily\":\"\\\"Faculty Glyphic\\\", sans-serif\",\"name\":\"Faculty Glyphic\",\"slug\":\"faculty-glyphic\"},{\"fontFace\":[{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Regular.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Medium.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-SemiBold.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Bold.woff2\"]}],\"fontFamily\":\"\\\"IBM Plex Serif\\\", sans-serif\",\"name\":\"IBM Plex Serif\",\"slug\":\"ibm-plex-serif\"},{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Jost\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/jost\\/Jost-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Jost\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/jost\\/Jost-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Jost\\\", sans-serif\",\"name\":\"Jost\",\"slug\":\"jost\"},{\"fontFace\":[{\"fontFamily\":\"Lexend\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/lexend\\/Lexend-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Lexend\\\", sans-serif\",\"name\":\"Lexend\",\"slug\":\"lexend\"},{\"fontFace\":[{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-light.woff2\"]},{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-Regular.woff2\"]},{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-Bold.woff2\"]}],\"fontFamily\":\"\\\"Merriweather\\\", sans-serif\",\"name\":\"Merriweather\",\"slug\":\"merriweather\"},{\"fontFace\":[{\"fontFamily\":\"Montagu Slab\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/montagu_slab\\/MontaguSlab-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Montagu Slab\\\", sans-serif\",\"name\":\"Montagu Slab\",\"slug\":\"montagu-slab\"},{\"fontFace\":[{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/montserrat\\/Montserrat-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/montserrat\\/Montserrat-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Montserrat\\\", sans-serif\",\"name\":\"Montserrat\",\"slug\":\"montserrat\"},{\"fontFace\":[{\"fontFamily\":\"Oswald\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/oswald\\/Oswald-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Oswald\\\", sans-serif\",\"name\":\"Oswald\",\"slug\":\"oswald\"},{\"fontFace\":[{\"fontFamily\":\"Outfit\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/outfit\\/Outfit-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Outfit\\\", sans-serif\",\"name\":\"Outfit\",\"slug\":\"outfit\"},{\"fontFace\":[{\"fontFamily\":\"Parkinsans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/parkinsans\\/Parkinsans-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Parkinsans\\\", sans-serif\",\"name\":\"Parkinsans\",\"slug\":\"parkinsans\"},{\"fontFace\":[{\"fontFamily\":\"Playfair Display\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/playfair-display\\/PlayfairDisplay-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Playfair Display\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/playfair-display\\/PlayfairDisplay-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Playfair Display\\\", sans-serif\",\"name\":\"Playfair Display\",\"slug\":\"playfair-display\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"200\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Thin.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Light.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Regular.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Medium.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-SemiBold.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Bold.woff2\"]}],\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"},{\"fontFace\":[{\"fontFamily\":\"Public Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/public-sans\\/PublicSans-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Public Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/public-sans\\/PublicSans-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Public Sans\\\", sans-serif\",\"name\":\"Public Sans\",\"slug\":\"public-sans\"},{\"fontFace\":[{\"fontFamily\":\"Quicksand\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/quicksand\\/Quicksand-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Quicksand\\\", sans-serif\",\"name\":\"Quicksand\",\"slug\":\"quicksand\"},{\"fontFace\":[{\"fontFamily\":\"Raleway\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/raleway\\/Raleway-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Raleway\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/raleway\\/Raleway-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Raleway\\\", sans-serif\",\"name\":\"Raleway\",\"slug\":\"ralewayto\"},{\"fontFace\":[{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Regular.woff2\"]},{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Medium.woff2\"]},{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Bold.woff2\"]}],\"fontFamily\":\"\\\"Roboto\\\", sans-serif\",\"name\":\"Roboto\",\"slug\":\"roboto\"},{\"fontFace\":[{\"fontFamily\":\"Roboto Condensed\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_condensed\\/RobotoCondensed-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Roboto Condensed\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_condensed\\/RobotoCondensed-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Roboto Condensed\\\", sans-serif\",\"name\":\"Roboto Condensed\",\"slug\":\"roboto-condensed\"},{\"fontFace\":[{\"fontFamily\":\"Roboto Slab\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_slab\\/RobotoSlab-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Roboto Slab\\\", sans-serif\",\"name\":\"Roboto Slab\",\"slug\":\"roboto-slab\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","publish","closed","closed","","wp-global-styles-jetnews-magazine","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/20/wp-global-styles-jetnews-magazine/","0","wp_global_styles","","0"),
("129","1","2025-01-20 08:23:02","2025-01-20 08:23:02","{\"styles\":[],\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Akshar\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/akshar\\/Akshar-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Akshar\\\", sans-serif\",\"name\":\"Akshar\",\"slug\":\"akshar\"},{\"fontFace\":[{\"fontFamily\":\"Allura\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/allura\\/Allura-Regular.woff2\"]}],\"fontFamily\":\"\\\"Allura\\\", sans-serif\",\"name\":\"Allura\",\"slug\":\"allura\"},{\"fontFace\":[{\"fontFamily\":\"Archivo\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/archivo\\/Archivo-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Archivo\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/archivo\\/Archivo-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Archivo\\\", sans-serif\",\"name\":\"Archivo\",\"slug\":\"archivo\"},{\"fontFace\":[{\"fontFamily\":\"Arizona\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/arizona\\/Arizona-Regular.woff2\"]}],\"fontFamily\":\"\\\"Arizona\\\", sans-serif\",\"name\":\"Arizona\",\"slug\":\"arizona\"},{\"fontFace\":[{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Light.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Regular.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Medium.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-SemiBold.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Bold.woff2\"]}],\"fontFamily\":\"\\\"Barlow\\\", sans-serif\",\"name\":\"Barlow\",\"slug\":\"barlow\"},{\"fontFace\":[{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Light.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Regular.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Medium.woff2\"]},{\"fontFamily\":\"Be Vietnam PROlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-SemiBold.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Bold.woff2\"]}],\"fontFamily\":\"\\\"Be Vietnam PRO\\\", sans-serif\",\"name\":\"Be Vietnam PRO\",\"slug\":\"be-vietnam-pro\"},{\"fontFace\":[{\"fontFamily\":\"DM Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/dm_sans\\/DMSans-VariableFont_wght.ttf\"]},{\"fontFamily\":\"DM Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/dm_sans\\/DMSans-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"DM Sans\\\", sans-serif\",\"name\":\"DM Sans\",\"slug\":\"dm-sans\"},{\"fontFace\":[{\"fontFamily\":\"Faculty Glyphic\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/faculty_glyphic\\/FacultyGlyphic-Regular.ttf\"]}],\"fontFamily\":\"\\\"Faculty Glyphic\\\", sans-serif\",\"name\":\"Faculty Glyphic\",\"slug\":\"faculty-glyphic\"},{\"fontFace\":[{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Regular.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Medium.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-SemiBold.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Bold.woff2\"]}],\"fontFamily\":\"\\\"IBM Plex Serif\\\", sans-serif\",\"name\":\"IBM Plex Serif\",\"slug\":\"ibm-plex-serif\"},{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Jost\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/jost\\/Jost-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Jost\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/jost\\/Jost-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Jost\\\", sans-serif\",\"name\":\"Jost\",\"slug\":\"jost\"},{\"fontFace\":[{\"fontFamily\":\"Lexend\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/lexend\\/Lexend-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Lexend\\\", sans-serif\",\"name\":\"Lexend\",\"slug\":\"lexend\"},{\"fontFace\":[{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-light.woff2\"]},{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-Regular.woff2\"]},{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-Bold.woff2\"]}],\"fontFamily\":\"\\\"Merriweather\\\", sans-serif\",\"name\":\"Merriweather\",\"slug\":\"merriweather\"},{\"fontFace\":[{\"fontFamily\":\"Montagu Slab\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/montagu_slab\\/MontaguSlab-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Montagu Slab\\\", sans-serif\",\"name\":\"Montagu Slab\",\"slug\":\"montagu-slab\"},{\"fontFace\":[{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/montserrat\\/Montserrat-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/montserrat\\/Montserrat-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Montserrat\\\", sans-serif\",\"name\":\"Montserrat\",\"slug\":\"montserrat\"},{\"fontFace\":[{\"fontFamily\":\"Oswald\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/oswald\\/Oswald-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Oswald\\\", sans-serif\",\"name\":\"Oswald\",\"slug\":\"oswald\"},{\"fontFace\":[{\"fontFamily\":\"Outfit\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/outfit\\/Outfit-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Outfit\\\", sans-serif\",\"name\":\"Outfit\",\"slug\":\"outfit\"},{\"fontFace\":[{\"fontFamily\":\"Parkinsans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/parkinsans\\/Parkinsans-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Parkinsans\\\", sans-serif\",\"name\":\"Parkinsans\",\"slug\":\"parkinsans\"},{\"fontFace\":[{\"fontFamily\":\"Playfair Display\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/playfair-display\\/PlayfairDisplay-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Playfair Display\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/playfair-display\\/PlayfairDisplay-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Playfair Display\\\", sans-serif\",\"name\":\"Playfair Display\",\"slug\":\"playfair-display\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"200\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Thin.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Light.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Regular.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Medium.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-SemiBold.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Bold.woff2\"]}],\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"},{\"fontFace\":[{\"fontFamily\":\"Public Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/public-sans\\/PublicSans-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Public Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/public-sans\\/PublicSans-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Public Sans\\\", sans-serif\",\"name\":\"Public Sans\",\"slug\":\"public-sans\"},{\"fontFace\":[{\"fontFamily\":\"Quicksand\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/quicksand\\/Quicksand-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Quicksand\\\", sans-serif\",\"name\":\"Quicksand\",\"slug\":\"quicksand\"},{\"fontFace\":[{\"fontFamily\":\"Raleway\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/raleway\\/Raleway-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Raleway\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/raleway\\/Raleway-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Raleway\\\", sans-serif\",\"name\":\"Raleway\",\"slug\":\"ralewayto\"},{\"fontFace\":[{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Regular.woff2\"]},{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Medium.woff2\"]},{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Bold.woff2\"]}],\"fontFamily\":\"\\\"Roboto\\\", sans-serif\",\"name\":\"Roboto\",\"slug\":\"roboto\"},{\"fontFace\":[{\"fontFamily\":\"Roboto Condensed\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_condensed\\/RobotoCondensed-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Roboto Condensed\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_condensed\\/RobotoCondensed-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Roboto Condensed\\\", sans-serif\",\"name\":\"Roboto Condensed\",\"slug\":\"roboto-condensed\"},{\"fontFace\":[{\"fontFamily\":\"Roboto Slab\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_slab\\/RobotoSlab-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Roboto Slab\\\", sans-serif\",\"name\":\"Roboto Slab\",\"slug\":\"roboto-slab\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","128-revision-v1","","","2025-01-20 08:23:02","2025-01-20 08:23:02","","128","https://hamzehhemmati.ir/?p=129","0","revision","","0"),
("130","1","2025-01-20 08:28:41","2025-01-20 08:28:41","{\"styles\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"},\"elements\":{\"link\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"heading\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"caption\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|b-yekan\"}},\"button\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontFamily\":\"var:preset|font-family|b-yekan\"}}}},\"settings\":{\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFace\":[{\"fontFamily\":\"Akshar\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/akshar\\/Akshar-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Akshar\\\", sans-serif\",\"name\":\"Akshar\",\"slug\":\"akshar\"},{\"fontFace\":[{\"fontFamily\":\"Allura\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/allura\\/Allura-Regular.woff2\"]}],\"fontFamily\":\"\\\"Allura\\\", sans-serif\",\"name\":\"Allura\",\"slug\":\"allura\"},{\"fontFace\":[{\"fontFamily\":\"Archivo\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/archivo\\/Archivo-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Archivo\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/archivo\\/Archivo-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Archivo\\\", sans-serif\",\"name\":\"Archivo\",\"slug\":\"archivo\"},{\"fontFace\":[{\"fontFamily\":\"Arizona\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/arizona\\/Arizona-Regular.woff2\"]}],\"fontFamily\":\"\\\"Arizona\\\", sans-serif\",\"name\":\"Arizona\",\"slug\":\"arizona\"},{\"fontFace\":[{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Light.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Regular.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Medium.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-SemiBold.woff2\"]},{\"fontFamily\":\"Barlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/barlow\\/Barlow-Bold.woff2\"]}],\"fontFamily\":\"\\\"Barlow\\\", sans-serif\",\"name\":\"Barlow\",\"slug\":\"barlow\"},{\"fontFace\":[{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Light.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Regular.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Medium.woff2\"]},{\"fontFamily\":\"Be Vietnam PROlow\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-SemiBold.woff2\"]},{\"fontFamily\":\"Be Vietnam PRO\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/be_vietnam_pro\\/BeVietnamPro-Bold.woff2\"]}],\"fontFamily\":\"\\\"Be Vietnam PRO\\\", sans-serif\",\"name\":\"Be Vietnam PRO\",\"slug\":\"be-vietnam-pro\"},{\"fontFace\":[{\"fontFamily\":\"DM Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/dm_sans\\/DMSans-VariableFont_wght.ttf\"]},{\"fontFamily\":\"DM Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/dm_sans\\/DMSans-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"DM Sans\\\", sans-serif\",\"name\":\"DM Sans\",\"slug\":\"dm-sans\"},{\"fontFace\":[{\"fontFamily\":\"Faculty Glyphic\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/faculty_glyphic\\/FacultyGlyphic-Regular.ttf\"]}],\"fontFamily\":\"\\\"Faculty Glyphic\\\", sans-serif\",\"name\":\"Faculty Glyphic\",\"slug\":\"faculty-glyphic\"},{\"fontFace\":[{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Regular.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Medium.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-SemiBold.woff2\"]},{\"fontFamily\":\"IBM Plex Serif\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/ibm_plex_serif\\/IBMPlexSerif-Bold.woff2\"]}],\"fontFamily\":\"\\\"IBM Plex Serif\\\", sans-serif\",\"name\":\"IBM Plex Serif\",\"slug\":\"ibm-plex-serif\"},{\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\"},{\"fontFace\":[{\"fontFamily\":\"Jost\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/jost\\/Jost-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Jost\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/jost\\/Jost-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Jost\\\", sans-serif\",\"name\":\"Jost\",\"slug\":\"jost\"},{\"fontFace\":[{\"fontFamily\":\"Lexend\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/lexend\\/Lexend-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Lexend\\\", sans-serif\",\"name\":\"Lexend\",\"slug\":\"lexend\"},{\"fontFace\":[{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-light.woff2\"]},{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-Regular.woff2\"]},{\"fontFamily\":\"Merriweather\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/merriweather\\/Merriweather-Bold.woff2\"]}],\"fontFamily\":\"\\\"Merriweather\\\", sans-serif\",\"name\":\"Merriweather\",\"slug\":\"merriweather\"},{\"fontFace\":[{\"fontFamily\":\"Montagu Slab\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700\",\"src\":[\"file:.\\/assets\\/fonts\\/montagu_slab\\/MontaguSlab-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Montagu Slab\\\", sans-serif\",\"name\":\"Montagu Slab\",\"slug\":\"montagu-slab\"},{\"fontFace\":[{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/montserrat\\/Montserrat-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Montserrat\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/montserrat\\/Montserrat-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Montserrat\\\", sans-serif\",\"name\":\"Montserrat\",\"slug\":\"montserrat\"},{\"fontFace\":[{\"fontFamily\":\"Oswald\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/oswald\\/Oswald-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Oswald\\\", sans-serif\",\"name\":\"Oswald\",\"slug\":\"oswald\"},{\"fontFace\":[{\"fontFamily\":\"Outfit\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/outfit\\/Outfit-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Outfit\\\", sans-serif\",\"name\":\"Outfit\",\"slug\":\"outfit\"},{\"fontFace\":[{\"fontFamily\":\"Parkinsans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/parkinsans\\/Parkinsans-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Parkinsans\\\", sans-serif\",\"name\":\"Parkinsans\",\"slug\":\"parkinsans\"},{\"fontFace\":[{\"fontFamily\":\"Playfair Display\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/playfair-display\\/PlayfairDisplay-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Playfair Display\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/playfair-display\\/PlayfairDisplay-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Playfair Display\\\", sans-serif\",\"name\":\"Playfair Display\",\"slug\":\"playfair-display\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"200\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Thin.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Light.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Regular.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Medium.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-SemiBold.woff2\"]},{\"fontFamily\":\"Poppins\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins\\/Poppins-Bold.woff2\"]}],\"fontFamily\":\"\\\"Poppins\\\", sans-serif\",\"name\":\"Poppins\",\"slug\":\"poppins\"},{\"fontFace\":[{\"fontFamily\":\"Public Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/public-sans\\/PublicSans-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Public Sans\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/public-sans\\/PublicSans-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Public Sans\\\", sans-serif\",\"name\":\"Public Sans\",\"slug\":\"public-sans\"},{\"fontFace\":[{\"fontFamily\":\"Quicksand\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/quicksand\\/Quicksand-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Quicksand\\\", sans-serif\",\"name\":\"Quicksand\",\"slug\":\"quicksand\"},{\"fontFace\":[{\"fontFamily\":\"Raleway\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/raleway\\/Raleway-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Raleway\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/raleway\\/Raleway-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Raleway\\\", sans-serif\",\"name\":\"Raleway\",\"slug\":\"ralewayto\"},{\"fontFace\":[{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Regular.woff2\"]},{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Medium.woff2\"]},{\"fontFamily\":\"Roboto\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto\\/Roboto-Bold.woff2\"]}],\"fontFamily\":\"\\\"Roboto\\\", sans-serif\",\"name\":\"Roboto\",\"slug\":\"roboto\"},{\"fontFace\":[{\"fontFamily\":\"Roboto Condensed\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_condensed\\/RobotoCondensed-VariableFont_wght.ttf\"]},{\"fontFamily\":\"Roboto Condensed\",\"fontStretch\":\"normal\",\"fontStyle\":\"italic\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_condensed\\/RobotoCondensed-Italic-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Roboto Condensed\\\", sans-serif\",\"name\":\"Roboto Condensed\",\"slug\":\"roboto-condensed\"},{\"fontFace\":[{\"fontFamily\":\"Roboto Slab\",\"fontStretch\":\"normal\",\"fontStyle\":\"normal\",\"fontWeight\":\"300 400 500 600 700 900\",\"src\":[\"file:.\\/assets\\/fonts\\/roboto_slab\\/RobotoSlab-VariableFont_wght.ttf\"]}],\"fontFamily\":\"\\\"Roboto Slab\\\", sans-serif\",\"name\":\"Roboto Slab\",\"slug\":\"roboto-slab\"}],\"custom\":[{\"id\":12,\"name\":\"B Yekan\",\"slug\":\"b-yekan\",\"fontFamily\":\"\\\"B Yekan\\\"\",\"preview\":\"\",\"fontFace\":[{\"fontFamily\":\"\\\"B Yekan\\\"\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":\"https:\\/\\/hamzehhemmati.ir\\/wp-content\\/uploads\\/fonts\\/BYekan.woff\"}],\"source\":\"custom\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}","Custom Styles","","inherit","closed","closed","","128-revision-v1","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","128","https://hamzehhemmati.ir/?p=130","0","revision","","0"),
("131","1","2025-01-20 08:28:41","2025-01-20 08:28:41","<!-- wp:group {\"metadata\":{\"name\":\"Topbar Section\"},\"className\":\"jetnews-magazine-topbar\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"0\",\"bottom\":\"0px\",\"left\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group jetnews-magazine-topbar\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0;padding-bottom:0px;padding-left:0\"><!-- wp:group {\"metadata\":{\"name\":\"Topbar\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"10px\",\"bottom\":\"10px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"backgroundColor\":\"primary\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1240px\"}} -->\n<div class=\"wp-block-group has-primary-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:10px;padding-right:var(--wp--preset--spacing--40);padding-bottom:10px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"className\":\"topbar-links\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group topbar-links\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-light-color-color has-text-color has-link-color has-small-font-size\" style=\"text-transform:uppercase\"><a href=\"#\">خانه</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-light-color-color has-text-color has-link-color has-small-font-size\" style=\"text-transform:uppercase\"><a href=\"#\">درباره ما</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-light-color-color has-text-color has-link-color has-small-font-size\" style=\"text-transform:uppercase\"><a href=\"#\">تبلیغات</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} -->\n<p class=\"has-light-color-color has-text-color has-link-color has-small-font-size\" style=\"text-transform:uppercase\"><a href=\"#\">تماس با ما</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"iconColor\":\"light-color\",\"iconColorValue\":\"#FFFFFF\",\"iconBackgroundColor\":\"transparent\",\"iconBackgroundColorValue\":\"#ffffff00\",\"className\":\"jetnews-magazine-social-profile\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"2px\",\"left\":\"2px\"},\"margin\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color jetnews-magazine-social-profile\" style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"x\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"pinterest\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"whatsapp\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"feed\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"tiktok\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"jetnews-magazine-header\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"0\",\"bottom\":\"0px\",\"left\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"}},\"border\":{\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1240px\"}} -->\n<div class=\"wp-block-group jetnews-magazine-header\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:24px;margin-bottom:0;padding-top:0px;padding-right:0;padding-bottom:0px;padding-left:0\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"28px\",\"right\":\"28px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"top\":{\"color\":\"var:preset|color|primary\",\"width\":\"4px\"},\"right\":[],\"bottom\":[],\"left\":[]}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-light-color-background-color has-background\" style=\"border-top-color:var(--wp--preset--color--primary);border-top-width:4px;margin-top:0;margin-bottom:0;padding-top:20px;padding-right:28px;padding-bottom:20px;padding-left:28px\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"width\":64,\"shouldSyncIcon\":false} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"900\",\"textDecoration\":\"none\",\"lineHeight\":\"1.1\",\"letterSpacing\":\"-1px\",\"fontSize\":\"40px\"}},\"textColor\":\"heading-color\"} /-->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|foreground\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"textTransform\":\"none\",\"fontSize\":\"14px\"}},\"textColor\":\"foreground\"} -->\n<p class=\"has-foreground-color has-text-color has-link-color\" style=\"font-size:14px;font-style:normal;font-weight:300;text-transform:none\">راه اندازی کسب و کار اینترنتی</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":2965,\"sizeSlug\":\"full\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/header_ads.jpg\" alt=\"\" class=\"wp-image-2965\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"is-style-jetnews-magazine-boxshadow-large\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"28px\",\"left\":\"28px\",\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"top\":{\"color\":\"var:preset|color|primary\",\"width\":\"3px\"},\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group is-style-jetnews-magazine-boxshadow-large has-background-background-color has-background\" style=\"border-top-color:var(--wp--preset--color--primary);border-top-width:3px;border-bottom-style:none;border-bottom-width:0px;margin-top:0;margin-bottom:0;padding-top:0;padding-right:28px;padding-bottom:0;padding-left:28px\"><!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":282,\"textColor\":\"heading-color\",\"overlayBackgroundColor\":\"light-color\",\"overlayTextColor\":\"heading-color\",\"className\":\"jetnews-magazine-navigation is-style-jetnews-navigation-hover-primary-bgcolor\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.4\"},\"spacing\":{\"blockGap\":\"0px\"}},\"fontSize\":\"normal\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"jetnews-magazine Search Modal\"},\"className\":\"jetnews-magazine-search-modal\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group jetnews-magazine-search-modal\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"transparent\",\"textColor\":\"heading-color\",\"className\":\"jetnews-magazine-search-button\",\"style\":{\"spacing\":{\"padding\":{\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\",\"bottom\":\"0px\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"}}}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size jetnews-magazine-search-button has-small-font-size\"><a class=\"wp-block-button__link has-heading-color-color has-transparent-background-color has-text-color has-background has-link-color wp-element-button\" style=\"padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\">Search</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:group {\"className\":\"jetnews-magazine-search-content\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group jetnews-magazine-search-content\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:cover {\"dimRatio\":80,\"overlayColor\":\"black\",\"isUserOverlayColor\":true,\"minHeight\":760,\"className\":\"search-modal-cover jetnews-magazine-zoom-in\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"970px\"}} -->\n<div class=\"wp-block-cover search-modal-cover jetnews-magazine-zoom-in\" style=\"min-height:760px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-80 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"Search this site...\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"0px\",\"style\":\"none\",\"radius\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"backgroundColor\":\"background\",\"textColor\":\"primary\"} /-->\n\n<!-- wp:html -->\n<button class=\"jetnews-magazine-search-close\" tabindex=\"3\">x</button>\n<!-- /wp:html --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Header","","publish","closed","closed","","header","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/20/header/","0","wp_template_part","","0");

INSERT IGNORE INTO `zrO6sh_posts` VALUES 
("132","1","2025-01-20 08:28:41","2025-01-20 08:28:41","<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/main_bg.jpg\",\"id\":3034,\"hasParallax\":true,\"dimRatio\":20,\"overlayColor\":\"dark-color\",\"isUserOverlayColor\":true,\"className\":\"newsork-magazine-cover-fixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|foreground\"}}},\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"margin\":{\"top\":\"0px\"}}},\"textColor\":\"foreground\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-cover has-parallax newsork-magazine-cover-fixed has-foreground-color has-text-color has-link-color\" style=\"margin-top:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-dark-color-background-color has-background-dim-20 has-background-dim\"></span><div class=\"wp-block-cover__image-background wp-image-3034 has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/main_bg.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:template-part {\"slug\":\"header\",\"theme\":\"jetnews-magazine\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"metadata\":{\"name\":\"Main Content\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1240px\"}} -->\n<main class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"metadata\":{\"name\":\"Breaking News\"},\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"10px\",\"bottom\":\"7px\",\"left\":\"28px\",\"right\":\"28px\"}},\"border\":{\"bottom\":{\"style\":\"none\",\"width\":\"0px\"}}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group is-style-default has-light-color-background-color has-background\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:0;margin-bottom:0;padding-top:10px;padding-right:28px;padding-bottom:7px;padding-left:28px\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"2px\"}},\"spacing\":{\"padding\":{\"bottom\":\"10px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\" style=\"border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:10px\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"200px\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:200px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"},\"border\":{\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-style:none;border-bottom-width:0px\"><!-- wp:image {\"id\":35,\"width\":\"35px\",\"height\":\"auto\",\"aspectRatio\":\"1\",\"scale\":\"contain\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"color\":{\"duotone\":\"var:preset|duotone|white-primary\"}}} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/trending_icon.png\" alt=\"\" class=\"wp-image-35\" style=\"aspect-ratio:1;object-fit:contain;width:35px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"heading-color\"} -->\n<h4 class=\"wp-block-heading has-heading-color-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">اخبار</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:query {\"queryId\":18,\"query\":{\"perPage\":\"7\",\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"className\":\"newswokmarquee-wrapper\"} -->\n<div class=\"wp-block-query newswokmarquee-wrapper\"><!-- wp:post-template {\"className\":\"newswokmarquee-content\",\"layout\":{\"type\":\"default\"}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"12px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"width\":\"48px\",\"height\":\"48px\",\"style\":{\"border\":{\"radius\":\"60%\"}}} /-->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"none\"}}} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Content with Sidebar\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"28px\",\"left\":\"28px\",\"top\":\"20px\",\"bottom\":\"20px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:20px;padding-right:28px;padding-bottom:20px;padding-left:28px\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"metadata\":{\"name\":\"Featured Banner\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0px\",\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0;padding-bottom:0px;padding-left:0\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"7\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"className\":\"jetnewsmagazine-featured-slider\"} -->\n<div class=\"wp-block-query jetnewsmagazine-featured-slider\"><!-- wp:post-template {\"className\":\"jetnewsmagazine-swiper-holder\",\"style\":{\"spacing\":{\"blockGap\":\"32px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-jetnews-magazine-boxshadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-jetnews-magazine-boxshadow-medium has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:cover {\"useFeaturedImage\":true,\"isUserOverlayColor\":true,\"minHeight\":500,\"gradient\":\"primary-gradient\",\"contentPosition\":\"bottom left\",\"className\":\"is-style-jetnews-magazine-cover-hover-zoom\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"24px\",\"right\":\"24px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-left is-style-jetnews-magazine-cover-hover-zoom\" style=\"border-style:none;border-width:0px;padding-top:20px;padding-right:24px;padding-bottom:20px;padding-left:24px;min-height:500px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient has-primary-gradient-gradient-background\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|40\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}},\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"typography\":{\"lineHeight\":\"1.3\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":25} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-author-name {\"className\":\"is-style-author-name-with-white-icon\"} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-white-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Slider Controls\"},\"className\":\"jetnews-magazine-slider-controls\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-slider-controls\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:html -->\n<div class=\"jetnewsmagazine-button-prev swiper-button-prev\"></div>\n                                    <div class=\"jetnewsmagazine-button-next swiper-button-next\"></div>\n                                    <div class=\"jetnewsmagazine-pagination\"></div>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">برترین خبر ها</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"20px\"},\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\"} -->\n<div class=\"wp-block-columns has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:column {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\"} -->\n<div class=\"wp-block-column has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"1\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"32px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"300px\"} /-->\n\n<!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"20px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|40\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:20px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}},\"typography\":{\"textTransform\":\"none\",\"lineHeight\":\"1.3\",\"fontSize\":\"28px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-author-name {\"className\":\"is-style-author-name-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-icon-color\"}}}},\"textColor\":\"meta-icon-color\"} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-icon-color\"}}}},\"textColor\":\"meta-icon-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-excerpt {\"textAlign\":\"right\",\"moreText\":\"بیشتر\",\"showMoreOnNewLine\":false,\"excerptLength\":34,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\"} -->\n<div class=\"wp-block-column has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"5\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"16px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"16px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"}}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;padding-top:0px;padding-right:0px;padding-bottom:16px;padding-left:0px\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"16px\",\"left\":\"16px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"120px\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:120px\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"100px\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"18px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"blockGap\":\"20px\"},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">مسائل داغ</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"},\"blockGap\":\"0px\"},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"6\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:cover {\"useFeaturedImage\":true,\"isUserOverlayColor\":true,\"minHeight\":180,\"gradient\":\"primary-gradient\",\"contentPosition\":\"bottom left\",\"className\":\"is-style-jetnews-magazine-cover-hover-zoom\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"10px\",\"bottom\":\"10px\",\"left\":\"14px\",\"right\":\"14px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-left is-style-jetnews-magazine-cover-hover-zoom\" style=\"padding-top:10px;padding-right:14px;padding-bottom:10px;padding-left:14px;min-height:180px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient has-primary-gradient-gradient-background\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"16px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:16px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"20px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">مقالات اخیر</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"0px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:0px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"10\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"0px\",\"right\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;border-left-style:none;border-left-width:0px;margin-top:0;margin-bottom:0;padding-top:20px;padding-right:0px;padding-bottom:20px;padding-left:0px\"><!-- wp:columns {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"40%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:40%\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"248px\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"fontSize\":\"x-small\"} /-->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"24px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-author-name {\"className\":\"is-style-author-name-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\"} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-excerpt {\"moreText\":\"\",\"excerptLength\":18} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:16px\"><!-- wp:read-more {\"content\":\"بیشتر\",\"className\":\"is-style-readmore-hover-primary-fill\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}},\"border\":{\"width\":\"1px\"},\"spacing\":{\"padding\":{\"right\":\"16px\",\"left\":\"16px\",\"top\":\"4px\",\"bottom\":\"4px\"}}},\"textColor\":\"primary\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:query-pagination {\"paginationArrow\":\"chevron\",\"showLabel\":false,\"className\":\"jetnews-magazine-pagination\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\"}} -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"28%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:28%\"><!-- wp:group {\"metadata\":{\"name\":\"Sidebar Groups\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:template-part {\"slug\":\"sidebar\",\"theme\":\"jetnews-magazine\",\"area\":\"uncategorized\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"You may missed\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"28px\",\"left\":\"28px\",\"top\":\"0px\",\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:28px;padding-bottom:0px;padding-left:28px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">پیشنهادی</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"},\"margin\":{\"top\":\"20px\",\"bottom\":\"0\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;margin-top:20px;margin-bottom:0;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"className\":\"jetnewsmagazine-post-carousel\"} -->\n<div class=\"wp-block-query jetnewsmagazine-post-carousel\"><!-- wp:post-template {\"className\":\"jetnewsmagazine-swiper-holder\",\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":4}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:cover {\"useFeaturedImage\":true,\"isUserOverlayColor\":true,\"minHeight\":230,\"customGradient\":\"linear-gradient(180deg,rgba(0,0,0,0.05) 29%,rgb(0,0,0) 100%)\",\"contentPosition\":\"bottom left\",\"className\":\"is-style-jetnews-magazine-cover-hover-zoom\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"16px\",\"right\":\"16px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-left is-style-jetnews-magazine-cover-hover-zoom\" style=\"padding-top:14px;padding-right:16px;padding-bottom:14px;padding-left:16px;min-height:230px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgba(0,0,0,0.05) 29%,rgb(0,0,0) 100%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|40\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.2\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"className\":\"is-style-post-date-with-white-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Carousel Controls\"},\"className\":\"jetnews-magazine-carousel-controls\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-carousel-controls\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:html -->\n<div class=\"jetnewsmagazine-carousel-button-prev swiper-button-prev\"></div>\n                                    <div class=\"jetnewsmagazine-carousel-button-next swiper-button-next\"></div>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Ads Placement\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"32px\",\"bottom\":\"32px\"}}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1180px\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:32px;padding-right:var(--wp--preset--spacing--40);padding-bottom:32px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":3018,\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/bottom_ads.png\" alt=\"\" class=\"wp-image-3018\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"jetnews-magazine\",\"area\":\"footer\"} /--></div></div>\n<!-- /wp:cover -->","برگه نخست","قالب برگه اول سایت شما را نمایش می‌دهد، چه برای نمایش آخرین نوشته‌ها تنظیم شده باشد و چه یک برگه ثابت. قالب برگه اول بر همه قالب‌ها اولویت دارد.","publish","closed","closed","","front-page","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/20/front-page/","0","wp_template","","0"),
("133","1","2025-01-20 08:28:41","2025-01-20 08:28:41","<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Ads\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"24px\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:24px\"><!-- wp:image {\"id\":2968,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"full\",\"style\":{\"color\":{\"duotone\":\"unset\"}}} -->\n<figure class=\"wp-block-image alignfull size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/sidebar_ads.png\" alt=\"\" class=\"wp-image-2968\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Featured Post\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"blockGap\":\"20px\"},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">مقالات برگزیده</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"5\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"12px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"12px\",\"left\":\"0px\",\"right\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;border-left-style:none;border-left-width:0px;margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:12px;padding-left:0px\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"16px\",\"left\":\"16px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"37%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:37%\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"100px\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.4\",\"fontSize\":\"16px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Search\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:24px;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">جستجو</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Search\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"جستجو کنید\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"}}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"transparent\",\"textColor\":\"heading-color\",\"borderColor\":\"border-color\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Author\'s Profile\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:24px;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">نویسنده</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Author Profile\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"28px\",\"bottom\":\"28px\",\"left\":\"20px\",\"right\":\"20px\"},\"blockGap\":\"var:preset|spacing|30\"},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;padding-top:28px;padding-right:20px;padding-bottom:28px;padding-left:20px\"><!-- wp:image {\"id\":3064,\"width\":\"120px\",\"height\":\"auto\",\"aspectRatio\":\"1\",\"scale\":\"cover\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"50%\"}}} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized has-custom-border\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/testimonial_2.jpg\" alt=\"\" class=\"wp-image-3064\" style=\"border-radius:50%;aspect-ratio:1;object-fit:cover;width:120px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"}}},\"spacing\":{\"margin\":{\"top\":\"24px\"}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"heading-color\",\"fontSize\":\"medium\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-heading-color-color has-text-color has-link-color has-medium-font-size\" style=\"margin-top:24px;font-style:normal;font-weight:600\">جنیفر پروپتز</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"24px\"}}}} -->\n<p class=\"has-text-align-center\" style=\"margin-bottom:24px\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"light-color\",\"iconColorValue\":\"#FFFFFF\",\"iconBackgroundColor\":\"primary\",\"iconBackgroundColorValue\":\"#03815B\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"x\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"tiktok\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Social Icons\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:24px;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">ما را دنبال کنید</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:social-links {\"iconColor\":\"light-color\",\"iconColorValue\":\"#FFFFFF\",\"className\":\"sidebar-social-media-icons\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"margin\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0px\",\"bottom\":\"0\"}}}} -->\n<ul class=\"wp-block-social-links has-icon-color sidebar-social-media-icons\" style=\"margin-top:0px;margin-right:0;margin-bottom:0;margin-left:0\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"x\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"vk\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"pinterest\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"lastfm\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"tiktok\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"telegram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"whatsapp\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"feed\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Categories List\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:24px;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">دسته بندی ها</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"\"},\"className\":\"sidebar-categories\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group sidebar-categories has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;padding-top:16px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:categories {\"showPostCounts\":true,\"className\":\"is-style-jetnews-magazine-categories-bullet-hide-style-heading flex sidebar-category-list\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Archives List\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:24px;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">آرشیو</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"\"},\"className\":\"sidebar-categories\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group sidebar-categories has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;padding-top:16px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:archives {\"showPostCounts\":true,\"className\":\"is-style-jetnews-magazine-archive-square-bullet\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"10px\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Sidebar Tag List\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"24px\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:24px;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">برچسپ ها</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"\"},\"className\":\"sidebar-categories\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group sidebar-categories has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:tag-cloud {\"smallestFontSize\":\"14px\",\"largestFontSize\":\"12px\",\"className\":\"sidebar-tag-clouds\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->","Sidebar","","publish","closed","closed","","sidebar","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/20/sidebar/","0","wp_template_part","","0"),
("134","1","2025-01-20 08:28:41","2025-01-20 08:28:41","<!-- wp:group {\"metadata\":{\"name\":\"Footer\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"bottom\":{\"style\":\"none\",\"width\":\"0px\"},\"top\":[],\"right\":[],\"left\":[]}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1240px\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"className\":\"jetnews-magazine-footer\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"28px\",\"right\":\"0\",\"left\":\"0\",\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"0\"},\"border\":{\"top\":{\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"3px\"},\"left\":{\"width\":\"0px\",\"style\":\"none\"}}},\"backgroundColor\":\"dark-shade\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group jetnews-magazine-footer has-dark-shade-background-color has-background\" style=\"border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:3px;border-left-style:none;border-left-width:0px;margin-top:0;margin-bottom:0;padding-top:28px;padding-right:0;padding-bottom:0px;padding-left:0\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"right\":\"28px\",\"left\":\"28px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1180px\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-right:28px;padding-left:28px\"><!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"40px\"},\"margin\":{\"top\":\"40px\"}}}} -->\n<div class=\"wp-block-columns\" style=\"margin-top:40px\"><!-- wp:column {\"width\":\"\",\"className\":\"jetnews-magazine-footer-list\"} -->\n<div class=\"wp-block-column jetnews-magazine-footer-list\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"16px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:16px;font-style:normal;font-weight:600;text-transform:uppercase\">درباره ما</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|40\",\"padding\":{\"top\":\"24px\",\"bottom\":\"24px\",\"left\":\"24px\",\"right\":\"24px\"}},\"border\":{\"width\":\"1px\"},\"dimensions\":{\"minHeight\":\"360px\"}},\"borderColor\":\"border-dark-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-border-color has-border-dark-color-border-color\" style=\"border-width:1px;min-height:360px;padding-top:24px;padding-right:24px;padding-bottom:24px;padding-left:24px\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"lineHeight\":\"1.4\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"32px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\"}}},\"textColor\":\"light-color\"} -->\n<h3 class=\"wp-block-heading has-light-color-color has-text-color has-link-color\" style=\"padding-top:0px;font-size:32px;font-style:normal;font-weight:600;line-height:1.4;text-transform:uppercase\">لامرد وب</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"textColor\":\"light-color\"} -->\n<p class=\"has-light-color-color has-text-color has-link-color\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"jetnews-magazine-footer-list\"} -->\n<div class=\"wp-block-column jetnews-magazine-footer-list\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"16px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:16px;font-style:normal;font-weight:600;text-transform:uppercase\">آخرین مقالات</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"12px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"10px\",\"bottom\":\"10px\",\"left\":\"10px\",\"right\":\"10px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"width\":\"1px\"}},\"borderColor\":\"border-dark-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-border-color has-border-dark-color-border-color\" style=\"border-width:1px;border-radius:0px;margin-top:0;margin-bottom:0;padding-top:10px;padding-right:10px;padding-bottom:10px;padding-left:10px\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"16px\",\"left\":\"16px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"30%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:30%\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"90px\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.4\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"16px\"},\"spacing\":{\"margin\":{\"top\":\"0\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\"}}}} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-white-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"jetnews-magazine-footer-list\"} -->\n<div class=\"wp-block-column jetnews-magazine-footer-list\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"16px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:16px;font-style:normal;font-weight:600;text-transform:uppercase\">دسته بندی</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"24px\",\"right\":\"24px\"}},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-dark-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-dark-color-border-color\" style=\"border-width:1px;padding-top:20px;padding-right:24px;padding-bottom:20px;padding-left:24px\"><!-- wp:categories {\"showPostCounts\":true,\"className\":\"is-style-jetnews-magazine-categories-bullet-hide-style-white\",\"style\":{\"border\":{\"width\":\"0px\",\"style\":\"none\"},\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"typography\":{\"lineHeight\":\"1.8\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0px\"},\"padding\":{\"top\":\"48px\",\"bottom\":\"48px\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"blockGap\":\"var:preset|spacing|50\"},\"border\":{\"top\":{\"width\":\"0px\",\"style\":\"none\"},\"right\":[],\"bottom\":[],\"left\":[]}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1180px\"}} -->\n<div class=\"wp-block-group\" style=\"border-top-style:none;border-top-width:0px;margin-top:0px;padding-top:48px;padding-right:var(--wp--preset--spacing--40);padding-bottom:48px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"28px\"},\"border\":{\"top\":{\"width\":\"0px\",\"style\":\"none\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"border-top-style:none;border-top-width:0px;margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:social-links {\"iconColor\":\"primary\",\"iconColorValue\":\"#1FAC17\",\"iconBackgroundColor\":\"background\",\"iconBackgroundColorValue\":\"#FFFFFF\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"}}}} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color\" style=\"margin-top:0px;margin-bottom:0\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"x\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"vk\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"tiktok\"} /--></ul>\n<!-- /wp:social-links -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}},\"typography\":{\"lineHeight\":\"1.5\"}},\"textColor\":\"light-color\",\"fontSize\":\"normal\"} -->\n<p class=\"has-light-color-color has-text-color has-link-color has-normal-font-size\" style=\"line-height:1.5\">فارسی سازی شده توسط لامرد وب</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:buttons {\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-buttons\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:button {\"backgroundColor\":\"tertiary\",\"textColor\":\"foregound-alt\",\"className\":\"jetnews-magazine-scrollto-top is-style-button-hover-secondary-bgcolor\",\"style\":{\"border\":{\"radius\":\"50%\"}}} -->\n<div class=\"wp-block-button jetnews-magazine-scrollto-top is-style-button-hover-secondary-bgcolor\"><a class=\"wp-block-button__link has-foregound-alt-color has-tertiary-background-color has-text-color has-background wp-element-button\" style=\"border-radius:50%\">Scroll to Top</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->","Footer","","publish","closed","closed","","footer","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","0","https://hamzehhemmati.ir/index.php/2025/01/20/footer/","0","wp_template_part","","0"),
("135","1","2025-01-20 08:28:41","2025-01-20 08:28:41","<!-- wp:cover {\"url\":\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/main_bg.jpg\",\"id\":3034,\"hasParallax\":true,\"dimRatio\":20,\"overlayColor\":\"dark-color\",\"isUserOverlayColor\":true,\"className\":\"newsork-magazine-cover-fixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|foreground\"}}},\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"margin\":{\"top\":\"0px\"}}},\"textColor\":\"foreground\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-cover has-parallax newsork-magazine-cover-fixed has-foreground-color has-text-color has-link-color\" style=\"margin-top:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-dark-color-background-color has-background-dim-20 has-background-dim\"></span><div class=\"wp-block-cover__image-background wp-image-3034 has-parallax\" style=\"background-position:50% 50%;background-image:url(https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/main_bg.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:template-part {\"slug\":\"header\",\"theme\":\"jetnews-magazine\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"metadata\":{\"name\":\"Main Content\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1240px\"}} -->\n<main class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"metadata\":{\"name\":\"Breaking News\"},\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"10px\",\"bottom\":\"7px\",\"left\":\"28px\",\"right\":\"28px\"}},\"border\":{\"bottom\":{\"style\":\"none\",\"width\":\"0px\"}}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group is-style-default has-light-color-background-color has-background\" style=\"border-bottom-style:none;border-bottom-width:0px;margin-top:0;margin-bottom:0;padding-top:10px;padding-right:28px;padding-bottom:7px;padding-left:28px\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"2px\"}},\"spacing\":{\"padding\":{\"bottom\":\"10px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\" style=\"border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:10px\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"200px\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:200px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"10px\"},\"border\":{\"bottom\":{\"width\":\"0px\",\"style\":\"none\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-style:none;border-bottom-width:0px\"><!-- wp:image {\"id\":35,\"width\":\"35px\",\"height\":\"auto\",\"aspectRatio\":\"1\",\"scale\":\"contain\",\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"style\":{\"color\":{\"duotone\":\"var:preset|duotone|white-primary\"}}} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/trending_icon.png\" alt=\"\" class=\"wp-image-35\" style=\"aspect-ratio:1;object-fit:contain;width:35px;height:auto\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"heading-color\"} -->\n<h4 class=\"wp-block-heading has-heading-color-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">اخبار</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:query {\"queryId\":18,\"query\":{\"perPage\":\"7\",\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"className\":\"newswokmarquee-wrapper\"} -->\n<div class=\"wp-block-query newswokmarquee-wrapper\"><!-- wp:post-template {\"className\":\"newswokmarquee-content\",\"layout\":{\"type\":\"default\"}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"12px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"width\":\"48px\",\"height\":\"48px\",\"style\":{\"border\":{\"radius\":\"60%\"}}} /-->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"none\"}}} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Content with Sidebar\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"28px\",\"left\":\"28px\",\"top\":\"20px\",\"bottom\":\"20px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:20px;padding-right:28px;padding-bottom:20px;padding-left:28px\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"\"} -->\n<div class=\"wp-block-column\"><!-- wp:group {\"metadata\":{\"name\":\"Featured Banner\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0px\",\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0;padding-bottom:0px;padding-left:0\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"7\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"className\":\"jetnewsmagazine-featured-slider\"} -->\n<div class=\"wp-block-query jetnewsmagazine-featured-slider\"><!-- wp:post-template {\"className\":\"jetnewsmagazine-swiper-holder\",\"style\":{\"spacing\":{\"blockGap\":\"32px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-jetnews-magazine-boxshadow-medium\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-jetnews-magazine-boxshadow-medium has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:cover {\"useFeaturedImage\":true,\"isUserOverlayColor\":true,\"minHeight\":500,\"gradient\":\"primary-gradient\",\"contentPosition\":\"bottom left\",\"className\":\"is-style-jetnews-magazine-cover-hover-zoom\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"24px\",\"right\":\"24px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-left is-style-jetnews-magazine-cover-hover-zoom\" style=\"border-style:none;border-width:0px;padding-top:20px;padding-right:24px;padding-bottom:20px;padding-left:24px;min-height:500px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient has-primary-gradient-gradient-background\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|40\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}},\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"typography\":{\"lineHeight\":\"1.3\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"excerptLength\":25} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-author-name {\"className\":\"is-style-author-name-with-white-icon\"} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-white-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Slider Controls\"},\"className\":\"jetnews-magazine-slider-controls\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-slider-controls\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:html -->\n<div class=\"jetnewsmagazine-button-prev swiper-button-prev\"></div>\n                                    <div class=\"jetnewsmagazine-button-next swiper-button-next\"></div>\n                                    <div class=\"jetnewsmagazine-pagination\"></div>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">برترین خبر ها</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns {\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"20px\",\"left\":\"20px\"},\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\"} -->\n<div class=\"wp-block-columns has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:column {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\"} -->\n<div class=\"wp-block-column has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"1\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"32px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"300px\"} /-->\n\n<!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"20px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|40\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:20px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}},\"typography\":{\"textTransform\":\"none\",\"lineHeight\":\"1.3\",\"fontSize\":\"28px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-author-name {\"className\":\"is-style-author-name-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-icon-color\"}}}},\"textColor\":\"meta-icon-color\"} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-icon-color\"}}}},\"textColor\":\"meta-icon-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-excerpt {\"textAlign\":\"right\",\"moreText\":\"بیشتر\",\"showMoreOnNewLine\":false,\"excerptLength\":34,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|secondary\"}}}}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\"} -->\n<div class=\"wp-block-column has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"5\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"16px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"16px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"}}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;padding-top:0px;padding-right:0px;padding-bottom:16px;padding-left:0px\"><!-- wp:columns {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"16px\",\"left\":\"16px\"}}}} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"120px\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:120px\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"100px\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"0\",\"left\":\"0\",\"top\":\"0\",\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"18px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"blockGap\":\"20px\"},\"border\":{\"width\":\"0px\",\"style\":\"none\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-light-color-background-color has-background\" style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">مسائل داغ</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"},\"blockGap\":\"0px\"},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"6\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:cover {\"useFeaturedImage\":true,\"isUserOverlayColor\":true,\"minHeight\":180,\"gradient\":\"primary-gradient\",\"contentPosition\":\"bottom left\",\"className\":\"is-style-jetnews-magazine-cover-hover-zoom\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"10px\",\"bottom\":\"10px\",\"left\":\"14px\",\"right\":\"14px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-left is-style-jetnews-magazine-cover-hover-zoom\" style=\"padding-top:10px;padding-right:14px;padding-bottom:10px;padding-left:14px;min-height:180px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient has-primary-gradient-gradient-background\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"16px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:16px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"20px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"},\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">مقالات اخیر</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"0px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"}},\"border\":{\"width\":\"1px\"}},\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color\" style=\"border-width:1px;padding-top:0px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":\"10\",\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false}} -->\n<div class=\"wp-block-query\"><!-- wp:post-template {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":3}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"0px\",\"right\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"color\":\"var:preset|color|border-color\",\"width\":\"1px\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-color:var(--wp--preset--color--border-color);border-bottom-width:1px;border-left-style:none;border-left-width:0px;margin-top:0;margin-bottom:0;padding-top:20px;padding-right:0px;padding-bottom:20px;padding-left:0px\"><!-- wp:columns {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-columns are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"40%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:40%\"><!-- wp:post-featured-image {\"isLink\":true,\"height\":\"248px\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0px\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0px;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"fontSize\":\"x-small\"} /-->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|heading-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"24px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|30\"}}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-author-name {\"className\":\"is-style-author-name-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\"} /-->\n\n<!-- wp:post-date {\"className\":\"is-style-post-date-with-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|meta-color\"}}}},\"textColor\":\"meta-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-excerpt {\"moreText\":\"\",\"excerptLength\":18} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"margin\":{\"top\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:16px\"><!-- wp:read-more {\"content\":\"بیشتر\",\"className\":\"is-style-readmore-hover-primary-fill\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|primary\"}}},\"border\":{\"width\":\"1px\"},\"spacing\":{\"padding\":{\"right\":\"16px\",\"left\":\"16px\",\"top\":\"4px\",\"bottom\":\"4px\"}}},\"textColor\":\"primary\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:query-pagination {\"paginationArrow\":\"chevron\",\"showLabel\":false,\"className\":\"jetnews-magazine-pagination\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\"}} -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"28%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:28%\"><!-- wp:group {\"metadata\":{\"name\":\"Sidebar Groups\"},\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:template-part {\"slug\":\"sidebar\",\"theme\":\"jetnews-magazine\",\"area\":\"uncategorized\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"You may missed\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"28px\",\"left\":\"28px\",\"top\":\"0px\",\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"20px\"}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:28px;padding-bottom:0px;padding-left:28px\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|primary\",\"width\":\"2px\"},\"top\":[],\"right\":[],\"left\":[]},\"spacing\":{\"padding\":{\"bottom\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--primary);border-bottom-width:2px;margin-top:0;margin-bottom:0;padding-bottom:0px\"><!-- wp:group {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}},\"spacing\":{\"padding\":{\"top\":\"5px\",\"bottom\":\"5px\",\"left\":\"12px\",\"right\":\"12px\"}}},\"backgroundColor\":\"primary\",\"textColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-light-color-color has-primary-background-color has-text-color has-background has-link-color\" style=\"padding-top:5px;padding-right:12px;padding-bottom:5px;padding-left:12px\"><!-- wp:heading {\"level\":4,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"fontSize\":\"18px\"}},\"textColor\":\"background\"} -->\n<h4 class=\"wp-block-heading has-background-color has-text-color has-link-color\" style=\"font-size:18px;font-style:normal;font-weight:600;text-transform:uppercase\">پیشنهادی</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"20px\",\"bottom\":\"20px\",\"left\":\"20px\",\"right\":\"20px\"},\"margin\":{\"top\":\"20px\",\"bottom\":\"0\"}},\"border\":{\"width\":\"1px\"}},\"backgroundColor\":\"light-color\",\"borderColor\":\"border-color\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"100%\"}} -->\n<div class=\"wp-block-group has-border-color has-border-color-border-color has-light-color-background-color has-background\" style=\"border-width:1px;margin-top:20px;margin-bottom:0;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:query {\"queryId\":23,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":\"0\",\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"className\":\"jetnewsmagazine-post-carousel\"} -->\n<div class=\"wp-block-query jetnewsmagazine-post-carousel\"><!-- wp:post-template {\"className\":\"jetnewsmagazine-swiper-holder\",\"style\":{\"spacing\":{\"blockGap\":\"20px\"}},\"layout\":{\"type\":\"default\",\"columnCount\":4}} -->\n<!-- wp:group {\"className\":\"jetnews-magazine-post-featuredimg is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0px\",\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\"}},\"border\":{\"radius\":\"0px\"}},\"backgroundColor\":\"light-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-post-featuredimg is-style-default has-light-color-background-color has-background\" style=\"border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:cover {\"useFeaturedImage\":true,\"isUserOverlayColor\":true,\"minHeight\":230,\"customGradient\":\"linear-gradient(180deg,rgba(0,0,0,0.05) 29%,rgb(0,0,0) 100%)\",\"contentPosition\":\"bottom left\",\"className\":\"is-style-jetnews-magazine-cover-hover-zoom\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"16px\",\"right\":\"16px\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-cover has-custom-content-position is-position-bottom-left is-style-jetnews-magazine-cover-hover-zoom\" style=\"padding-top:14px;padding-right:16px;padding-bottom:14px;padding-left:16px;min-height:230px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgba(0,0,0,0.05) 29%,rgb(0,0,0) 100%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"is-style-default\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"0px\",\"left\":\"0px\",\"right\":\"0px\",\"top\":\"0px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|40\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group is-style-default\" style=\"margin-top:0;margin-bottom:0;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-terms {\"term\":\"category\",\"className\":\"is-style-categories-background-with-mixed\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}},\"textColor\":\"light-color\",\"fontSize\":\"x-small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"level\":4,\"isLink\":true,\"className\":\"is-style-default\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|primary\"}}}},\"typography\":{\"lineHeight\":\"1.2\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|20\"}}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-date {\"className\":\"is-style-post-date-with-white-icon\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|light-color\"}}}},\"textColor\":\"light-color\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Carousel Controls\"},\"className\":\"jetnews-magazine-carousel-controls\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group jetnews-magazine-carousel-controls\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:html -->\n<div class=\"jetnewsmagazine-carousel-button-prev swiper-button-prev\"></div>\n                                    <div class=\"jetnewsmagazine-carousel-button-next swiper-button-next\"></div>\n<!-- /wp:html --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Ads Placement\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"32px\",\"bottom\":\"32px\"}}},\"backgroundColor\":\"background\",\"layout\":{\"type\":\"constrained\",\"contentSize\":\"1180px\"}} -->\n<div class=\"wp-block-group has-background-background-color has-background\" style=\"margin-top:0;margin-bottom:0;padding-top:32px;padding-right:var(--wp--preset--spacing--40);padding-bottom:32px;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:image {\"lightbox\":{\"enabled\":false},\"id\":3018,\"sizeSlug\":\"full\",\"linkDestination\":\"custom\",\"align\":\"center\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"https://hamzehhemmati.ir/wp-content/themes/jetnews-magazine/assets/images/bottom_ads.png\" alt=\"\" class=\"wp-image-3018\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"jetnews-magazine\",\"area\":\"footer\"} /--></div></div>\n<!-- /wp:cover -->","برگه نخست","قالب برگه اول سایت شما را نمایش می‌دهد، چه برای نمایش آخرین نوشته‌ها تنظیم شده باشد و چه یک برگه ثابت. قالب برگه اول بر همه قالب‌ها اولویت دارد.","inherit","closed","closed","","132-revision-v1","","","2025-01-20 08:28:41","2025-01-20 08:28:41","","132","https://hamzehhemmati.ir/?p=135","0","revision","","0");

INSERT IGNORE INTO `zrO6sh_terms` VALUES 
("1","Uncategorized","uncategorized","0"),
("2","twentytwentyfive","twentytwentyfive","0"),
("3","cinema-house","cinema-house","0"),
("4","footer","footer","0"),
("5","header","header","0"),
("6","uncategorized","uncategorized","0"),
("7","spike-construction","spike-construction","0"),
("8","hello-elementor","hello-elementor","0"),
("9","nexal","nexal","0"),
("10","plover","plover","0"),
("11","patterns-automotive","patterns-automotive","0"),
("12","auto-car-dealership","auto-car-dealership","0"),
("13","home-internet-provider","home-internet-provider","0"),
("14","jetnews-magazine","jetnews-magazine","0");

INSERT IGNORE INTO `zrO6sh_term_relationships` VALUES 
("1","1","0"),
("6","2","0"),
("11","3","0"),
("16","3","0"),
("16","4","0"),
("17","3","0"),
("18","3","0"),
("18","5","0"),
("21","3","0"),
("21","6","0"),
("30","7","0"),
("34","4","0"),
("34","7","0"),
("36","5","0"),
("36","7","0"),
("37","7","0"),
("39","8","0"),
("43","9","0"),
("46","5","0"),
("46","9","0"),
("47","9","0"),
("54","4","0"),
("54","9","0"),
("58","10","0"),
("64","5","0"),
("64","10","0"),
("66","10","0"),
("68","4","0"),
("68","10","0"),
("72","11","0"),
("74","11","0"),
("76","4","0"),
("76","11","0"),
("77","6","0"),
("77","11","0"),
("81","5","0"),
("81","11","0"),
("82","12","0"),
("85","5","0"),
("85","12","0"),
("89","12","0"),
("93","4","0"),
("93","12","0"),
("118","13","0"),
("122","13","0"),
("123","4","0"),
("123","13","0"),
("125","5","0"),
("125","13","0"),
("128","14","0"),
("131","5","0"),
("131","14","0"),
("132","14","0"),
("133","6","0"),
("133","14","0"),
("134","4","0"),
("134","14","0");

INSERT IGNORE INTO `zrO6sh_term_taxonomy` VALUES 
("1","1","category","","0","1"),
("2","2","wp_theme","","0","1"),
("3","3","wp_theme","","0","5"),
("4","4","wp_template_part_area","","0","8"),
("5","5","wp_template_part_area","","0","8"),
("6","6","wp_template_part_area","","0","3"),
("7","7","wp_theme","","0","4"),
("8","8","wp_theme","","0","1"),
("9","9","wp_theme","","0","4"),
("10","10","wp_theme","","0","4"),
("11","11","wp_theme","","0","5"),
("12","12","wp_theme","","0","4"),
("13","13","wp_theme","","0","4"),
("14","14","wp_theme","","0","5");


/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;

/* Duplicator WordPress Timestamp: 2025-01-20 08:47:05*/
/* DUPLICATOR_PRO_MYSQLDUMP_EOF */
